#include "parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 17879
#define LARGE_STATE_COUNT 2351
#define SYMBOL_COUNT 327
#define ALIAS_COUNT 4
#define TOKEN_COUNT 110
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 32
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 189

enum ts_symbol_identifiers {
  sym__alpha_identifier = 1,
  anon_sym_enum = 2,
  anon_sym_COLON = 3,
  anon_sym_LBRACE = 4,
  anon_sym_RBRACE = 5,
  anon_sym_case = 6,
  anon_sym_COMMA = 7,
  anon_sym_package = 8,
  anon_sym_DOT = 9,
  anon_sym_object = 10,
  anon_sym_import = 11,
  anon_sym_export = 12,
  anon_sym_STAR = 13,
  anon_sym__ = 14,
  anon_sym_given = 15,
  anon_sym_EQ_GT = 16,
  anon_sym_as = 17,
  anon_sym_class = 18,
  anon_sym_trait = 19,
  anon_sym_LBRACK = 20,
  anon_sym_RBRACK = 21,
  anon_sym_PLUS = 22,
  anon_sym_DASH = 23,
  anon_sym_LT_COLON = 24,
  anon_sym_GT_COLON = 25,
  anon_sym_LT_PERCENT = 26,
  anon_sym_end = 27,
  anon_sym_if = 28,
  anon_sym_while = 29,
  anon_sym_for = 30,
  anon_sym_match = 31,
  anon_sym_try = 32,
  anon_sym_new = 33,
  anon_sym_this = 34,
  anon_sym_extension = 35,
  anon_sym_val = 36,
  anon_sym_AT = 37,
  anon_sym_EQ = 38,
  anon_sym_var = 39,
  anon_sym_type = 40,
  anon_sym_def = 41,
  anon_sym_opaque = 42,
  anon_sym_with = 43,
  anon_sym_abstract = 44,
  anon_sym_final = 45,
  anon_sym_sealed = 46,
  anon_sym_implicit = 47,
  anon_sym_lazy = 48,
  anon_sym_override = 49,
  anon_sym_private = 50,
  anon_sym_protected = 51,
  anon_sym_inline = 52,
  anon_sym_infix = 53,
  anon_sym_open = 54,
  anon_sym_transparent = 55,
  anon_sym_extends = 56,
  anon_sym_derives = 57,
  anon_sym_LPAREN = 58,
  anon_sym_using = 59,
  anon_sym_RPAREN = 60,
  anon_sym_SEMI = 61,
  anon_sym_POUND = 62,
  anon_sym_QMARK_EQ_GT = 63,
  anon_sym_EQ_GT_GT = 64,
  anon_sym_PIPE = 65,
  anon_sym_else = 66,
  anon_sym_then = 67,
  anon_sym_catch = 68,
  anon_sym_finally = 69,
  anon_sym_macro = 70,
  anon_sym_BANG = 71,
  anon_sym_TILDE = 72,
  anon_sym_DOLLAR = 73,
  anon_sym_SQUOTE = 74,
  sym_symbol_literal = 75,
  sym__interpolation_identifier = 76,
  sym__backquoted_id = 77,
  sym_operator_identifier = 78,
  sym_integer_literal = 79,
  sym_floating_point_literal = 80,
  anon_sym_true = 81,
  anon_sym_false = 82,
  sym_character_literal = 83,
  anon_sym_DQUOTE = 84,
  sym__interpolated_multiline_string_start = 85,
  sym_null_literal = 86,
  anon_sym_return = 87,
  anon_sym_throw = 88,
  anon_sym_do = 89,
  anon_sym_yield = 90,
  anon_sym_LT_DASH = 91,
  aux_sym__shebang_token1 = 92,
  anon_sym_SLASH_SLASH = 93,
  sym__comment_text = 94,
  anon_sym_GT = 95,
  sym_using_directive_key = 96,
  sym_using_directive_value = 97,
  anon_sym_SLASH_STAR = 98,
  aux_sym_block_comment_token1 = 99,
  anon_sym_STAR_SLASH = 100,
  sym__automatic_semicolon = 101,
  sym__indent = 102,
  sym__interpolated_string_middle = 103,
  sym__interpolated_string_end = 104,
  sym__interpolated_multiline_string_middle = 105,
  sym__interpolated_multiline_string_end = 106,
  sym__outdent = 107,
  sym__simple_multiline_string = 108,
  sym__simple_string = 109,
  sym_compilation_unit = 110,
  sym__top_level_definition = 111,
  sym_enum_definition = 112,
  sym__enum_block = 113,
  sym_enum_body = 114,
  sym_enum_case_definitions = 115,
  sym_simple_enum_case = 116,
  sym_full_enum_case = 117,
  sym__full_enum_def = 118,
  sym_package_clause = 119,
  sym_package_identifier = 120,
  sym_package_object = 121,
  sym_import_declaration = 122,
  sym_export_declaration = 123,
  sym__namespace_expression = 124,
  sym_namespace_wildcard = 125,
  sym__namespace_given_by_type = 126,
  sym_namespace_selectors = 127,
  sym_arrow_renamed_identifier = 128,
  sym_as_renamed_identifier = 129,
  sym_object_definition = 130,
  sym__object_definition = 131,
  sym_class_definition = 132,
  sym__class_definition = 133,
  sym__definition_body = 134,
  sym__class_constructor = 135,
  sym_trait_definition = 136,
  sym_type_parameters = 137,
  sym__variant_type_parameter = 138,
  sym_covariant_type_parameter = 139,
  sym_contravariant_type_parameter = 140,
  sym__type_parameter = 141,
  sym_upper_bound = 142,
  sym_lower_bound = 143,
  sym_view_bound = 144,
  sym_context_bound = 145,
  sym_template_body = 146,
  sym__indented_template_body = 147,
  sym__braced_template_body = 148,
  sym__braced_template_body1 = 149,
  sym__braced_template_body2 = 150,
  sym_with_template_body = 151,
  sym__extension_template_body = 152,
  sym__end_marker = 153,
  sym_self_type = 154,
  sym__self_type_ascription = 155,
  sym_annotation = 156,
  sym_val_definition = 157,
  sym_val_declaration = 158,
  sym__start_val = 159,
  sym_var_declaration = 160,
  sym_var_definition = 161,
  sym__start_var = 162,
  sym_type_definition = 163,
  sym__type_constructor = 164,
  sym_function_definition = 165,
  sym_function_declaration = 166,
  sym__function_declaration = 167,
  sym__function_constructor = 168,
  sym_opaque_modifier = 169,
  sym_extension_definition = 170,
  sym_given_definition = 171,
  sym__given_constructor = 172,
  sym__structural_instance = 173,
  sym__constructor_application = 174,
  sym__constructor_applications = 175,
  sym_modifiers = 176,
  sym_access_modifier = 177,
  sym_access_qualifier = 178,
  sym_inline_modifier = 179,
  sym_infix_modifier = 180,
  sym_open_modifier = 181,
  sym_transparent_modifier = 182,
  sym_extends_clause = 183,
  sym_derives_clause = 184,
  sym_class_parameters = 185,
  sym_parameters = 186,
  sym__using_parameters_clause = 187,
  sym_class_parameter = 188,
  sym_parameter = 189,
  sym__block = 190,
  sym__indentable_expression = 191,
  sym_block = 192,
  sym_indented_block = 193,
  sym_indented_cases = 194,
  sym__indented_type_cases = 195,
  sym__type = 196,
  sym__annotated_type = 197,
  sym_annotated_type = 198,
  sym__simple_type = 199,
  sym_compound_type = 200,
  sym__structural_type = 201,
  sym__refinement = 202,
  sym__infix_type_choice = 203,
  sym_infix_type = 204,
  sym_tuple_type = 205,
  sym_singleton_type = 206,
  sym_stable_type_identifier = 207,
  sym_stable_identifier = 208,
  sym_generic_type = 209,
  sym_projected_type = 210,
  sym_match_type = 211,
  sym_type_case_clause = 212,
  sym_function_type = 213,
  sym__arrow_then_type = 214,
  sym_parameter_types = 215,
  sym_lazy_parameter_type = 216,
  sym_repeated_parameter_type = 217,
  sym__type_identifier = 218,
  sym_type_lambda = 219,
  sym_case_class_pattern = 220,
  sym_infix_pattern = 221,
  sym_capture_pattern = 222,
  sym_repeat_pattern = 223,
  sym_typed_pattern = 224,
  sym_given_pattern = 225,
  sym_alternative_pattern = 226,
  sym_tuple_pattern = 227,
  sym_expression = 228,
  sym__simple_expression = 229,
  sym_lambda_expression = 230,
  sym_if_expression = 231,
  sym__if_condition = 232,
  sym_match_expression = 233,
  sym_try_expression = 234,
  sym_catch_clause = 235,
  sym__expr_case_clause = 236,
  sym_finally_clause = 237,
  sym_binding = 238,
  sym_bindings = 239,
  sym_case_block = 240,
  sym_case_clause = 241,
  sym__case_pattern = 242,
  sym_guard = 243,
  sym_assignment_expression = 244,
  sym_generic_function = 245,
  sym_call_expression = 246,
  sym_colon_argument = 247,
  sym_field_expression = 248,
  sym_instance_expression = 249,
  sym_ascription_expression = 250,
  sym_infix_expression = 251,
  sym_postfix_expression = 252,
  sym__postfix_expression_choice = 253,
  sym_macro_body = 254,
  sym_prefix_expression = 255,
  sym_tuple_expression = 256,
  sym_parenthesized_expression = 257,
  sym_type_arguments = 258,
  sym_arguments = 259,
  sym__exprs_in_parens = 260,
  sym_splice_expression = 261,
  sym_quote_expression = 262,
  sym_identifier = 263,
  sym__soft_identifier = 264,
  sym_identifiers = 265,
  sym_wildcard = 266,
  sym__non_null_literal = 267,
  sym_literal_type = 268,
  sym_boolean_literal = 269,
  sym_interpolated_string_expression = 270,
  sym__interpolated_string_start = 271,
  sym__dollar_escape = 272,
  sym__aliased_interpolation_identifier = 273,
  sym_interpolation = 274,
  sym_interpolated_string = 275,
  sym_string = 276,
  sym_unit = 277,
  sym_return_expression = 278,
  sym_throw_expression = 279,
  sym_while_expression = 280,
  sym_do_while_expression = 281,
  sym_for_expression = 282,
  sym_enumerators = 283,
  sym_enumerator = 284,
  sym__shebang = 285,
  sym_comment = 286,
  sym_using_directive = 287,
  sym_block_comment = 288,
  aux_sym_compilation_unit_repeat1 = 289,
  aux_sym_enum_definition_repeat1 = 290,
  aux_sym__enum_block_repeat1 = 291,
  aux_sym_enum_case_definitions_repeat1 = 292,
  aux_sym__full_enum_def_repeat1 = 293,
  aux_sym_package_identifier_repeat1 = 294,
  aux_sym_import_declaration_repeat1 = 295,
  aux_sym_namespace_selectors_repeat1 = 296,
  aux_sym__class_constructor_repeat1 = 297,
  aux_sym_type_parameters_repeat1 = 298,
  aux_sym__type_parameter_repeat1 = 299,
  aux_sym__type_parameter_repeat2 = 300,
  aux_sym_annotation_repeat1 = 301,
  aux_sym_val_declaration_repeat1 = 302,
  aux_sym__function_constructor_repeat1 = 303,
  aux_sym_extension_definition_repeat1 = 304,
  aux_sym__constructor_applications_repeat1 = 305,
  aux_sym__constructor_applications_repeat2 = 306,
  aux_sym_modifiers_repeat1 = 307,
  aux_sym_derives_clause_repeat1 = 308,
  aux_sym_class_parameters_repeat1 = 309,
  aux_sym_parameters_repeat1 = 310,
  aux_sym__using_parameters_clause_repeat1 = 311,
  aux_sym__block_repeat1 = 312,
  aux_sym_indented_cases_repeat1 = 313,
  aux_sym__indented_type_cases_repeat1 = 314,
  aux_sym_compound_type_repeat1 = 315,
  aux_sym_tuple_type_repeat1 = 316,
  aux_sym_type_lambda_repeat1 = 317,
  aux_sym_case_class_pattern_repeat1 = 318,
  aux_sym_bindings_repeat1 = 319,
  aux_sym_tuple_expression_repeat1 = 320,
  aux_sym_identifiers_repeat1 = 321,
  aux_sym_interpolated_string_repeat1 = 322,
  aux_sym_interpolated_string_repeat2 = 323,
  aux_sym_enumerators_repeat1 = 324,
  aux_sym_enumerator_repeat1 = 325,
  aux_sym_block_comment_repeat1 = 326,
  anon_alias_sym__end_ident = 327,
  alias_sym_refinement = 328,
  alias_sym_structural_type = 329,
  alias_sym_type_identifier = 330,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__alpha_identifier] = "_alpha_identifier",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_case] = "case",
  [anon_sym_COMMA] = ",",
  [anon_sym_package] = "package",
  [anon_sym_DOT] = ".",
  [anon_sym_object] = "object",
  [anon_sym_import] = "import",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym__] = "_",
  [anon_sym_given] = "given",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_as] = "as",
  [anon_sym_class] = "class",
  [anon_sym_trait] = "trait",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_LT_COLON] = "<:",
  [anon_sym_GT_COLON] = ">:",
  [anon_sym_LT_PERCENT] = "<%",
  [anon_sym_end] = "end",
  [anon_sym_if] = "if",
  [anon_sym_while] = "while",
  [anon_sym_for] = "for",
  [anon_sym_match] = "match",
  [anon_sym_try] = "try",
  [anon_sym_new] = "new",
  [anon_sym_this] = "this",
  [anon_sym_extension] = "extension",
  [anon_sym_val] = "val",
  [anon_sym_AT] = "@",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_type] = "type",
  [anon_sym_def] = "def",
  [anon_sym_opaque] = "opaque",
  [anon_sym_with] = "with",
  [anon_sym_abstract] = "abstract",
  [anon_sym_final] = "final",
  [anon_sym_sealed] = "sealed",
  [anon_sym_implicit] = "implicit",
  [anon_sym_lazy] = "lazy",
  [anon_sym_override] = "override",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_inline] = "inline",
  [anon_sym_infix] = "infix",
  [anon_sym_open] = "open",
  [anon_sym_transparent] = "transparent",
  [anon_sym_extends] = "extends",
  [anon_sym_derives] = "derives",
  [anon_sym_LPAREN] = "(",
  [anon_sym_using] = "using",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SEMI] = ";",
  [anon_sym_POUND] = "#",
  [anon_sym_QMARK_EQ_GT] = "\?=>",
  [anon_sym_EQ_GT_GT] = "=>>",
  [anon_sym_PIPE] = "|",
  [anon_sym_else] = "else",
  [anon_sym_then] = "then",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_macro] = "macro",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_SQUOTE] = "'",
  [sym_symbol_literal] = "symbol_literal",
  [sym__interpolation_identifier] = "identifier",
  [sym__backquoted_id] = "_backquoted_id",
  [sym_operator_identifier] = "operator_identifier",
  [sym_integer_literal] = "integer_literal",
  [sym_floating_point_literal] = "floating_point_literal",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym_character_literal] = "character_literal",
  [anon_sym_DQUOTE] = "\"",
  [sym__interpolated_multiline_string_start] = "_interpolated_multiline_string_start",
  [sym_null_literal] = "null_literal",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_do] = "do",
  [anon_sym_yield] = "yield",
  [anon_sym_LT_DASH] = "<-",
  [aux_sym__shebang_token1] = "comment",
  [anon_sym_SLASH_SLASH] = "//",
  [sym__comment_text] = "_comment_text",
  [anon_sym_GT] = ">",
  [sym_using_directive_key] = "using_directive_key",
  [sym_using_directive_value] = "using_directive_value",
  [anon_sym_SLASH_STAR] = "/*",
  [aux_sym_block_comment_token1] = "block_comment_token1",
  [anon_sym_STAR_SLASH] = "*/",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__indent] = "_indent",
  [sym__interpolated_string_middle] = "_interpolated_string_middle",
  [sym__interpolated_string_end] = "_interpolated_string_end",
  [sym__interpolated_multiline_string_middle] = "_interpolated_multiline_string_middle",
  [sym__interpolated_multiline_string_end] = "_interpolated_multiline_string_end",
  [sym__outdent] = "_outdent",
  [sym__simple_multiline_string] = "_simple_multiline_string",
  [sym__simple_string] = "_simple_string",
  [sym_compilation_unit] = "compilation_unit",
  [sym__top_level_definition] = "_top_level_definition",
  [sym_enum_definition] = "enum_definition",
  [sym__enum_block] = "_enum_block",
  [sym_enum_body] = "enum_body",
  [sym_enum_case_definitions] = "enum_case_definitions",
  [sym_simple_enum_case] = "simple_enum_case",
  [sym_full_enum_case] = "full_enum_case",
  [sym__full_enum_def] = "_full_enum_def",
  [sym_package_clause] = "package_clause",
  [sym_package_identifier] = "package_identifier",
  [sym_package_object] = "package_object",
  [sym_import_declaration] = "import_declaration",
  [sym_export_declaration] = "export_declaration",
  [sym__namespace_expression] = "_namespace_expression",
  [sym_namespace_wildcard] = "namespace_wildcard",
  [sym__namespace_given_by_type] = "_namespace_given_by_type",
  [sym_namespace_selectors] = "namespace_selectors",
  [sym_arrow_renamed_identifier] = "arrow_renamed_identifier",
  [sym_as_renamed_identifier] = "as_renamed_identifier",
  [sym_object_definition] = "object_definition",
  [sym__object_definition] = "_object_definition",
  [sym_class_definition] = "class_definition",
  [sym__class_definition] = "_class_definition",
  [sym__definition_body] = "_definition_body",
  [sym__class_constructor] = "_class_constructor",
  [sym_trait_definition] = "trait_definition",
  [sym_type_parameters] = "type_parameters",
  [sym__variant_type_parameter] = "_variant_type_parameter",
  [sym_covariant_type_parameter] = "covariant_type_parameter",
  [sym_contravariant_type_parameter] = "contravariant_type_parameter",
  [sym__type_parameter] = "_type_parameter",
  [sym_upper_bound] = "upper_bound",
  [sym_lower_bound] = "lower_bound",
  [sym_view_bound] = "view_bound",
  [sym_context_bound] = "context_bound",
  [sym_template_body] = "template_body",
  [sym__indented_template_body] = "_indented_template_body",
  [sym__braced_template_body] = "_braced_template_body",
  [sym__braced_template_body1] = "_braced_template_body1",
  [sym__braced_template_body2] = "_braced_template_body2",
  [sym_with_template_body] = "with_template_body",
  [sym__extension_template_body] = "_extension_template_body",
  [sym__end_marker] = "_end_marker",
  [sym_self_type] = "self_type",
  [sym__self_type_ascription] = "_self_type_ascription",
  [sym_annotation] = "annotation",
  [sym_val_definition] = "val_definition",
  [sym_val_declaration] = "val_declaration",
  [sym__start_val] = "_start_val",
  [sym_var_declaration] = "var_declaration",
  [sym_var_definition] = "var_definition",
  [sym__start_var] = "_start_var",
  [sym_type_definition] = "type_definition",
  [sym__type_constructor] = "_type_constructor",
  [sym_function_definition] = "function_definition",
  [sym_function_declaration] = "function_declaration",
  [sym__function_declaration] = "_function_declaration",
  [sym__function_constructor] = "_function_constructor",
  [sym_opaque_modifier] = "opaque_modifier",
  [sym_extension_definition] = "extension_definition",
  [sym_given_definition] = "given_definition",
  [sym__given_constructor] = "_given_constructor",
  [sym__structural_instance] = "_structural_instance",
  [sym__constructor_application] = "_constructor_application",
  [sym__constructor_applications] = "_constructor_applications",
  [sym_modifiers] = "modifiers",
  [sym_access_modifier] = "access_modifier",
  [sym_access_qualifier] = "access_qualifier",
  [sym_inline_modifier] = "inline_modifier",
  [sym_infix_modifier] = "infix_modifier",
  [sym_open_modifier] = "open_modifier",
  [sym_transparent_modifier] = "transparent_modifier",
  [sym_extends_clause] = "extends_clause",
  [sym_derives_clause] = "derives_clause",
  [sym_class_parameters] = "class_parameters",
  [sym_parameters] = "parameters",
  [sym__using_parameters_clause] = "_using_parameters_clause",
  [sym_class_parameter] = "class_parameter",
  [sym_parameter] = "parameter",
  [sym__block] = "_block",
  [sym__indentable_expression] = "_indentable_expression",
  [sym_block] = "block",
  [sym_indented_block] = "indented_block",
  [sym_indented_cases] = "indented_cases",
  [sym__indented_type_cases] = "_indented_type_cases",
  [sym__type] = "_type",
  [sym__annotated_type] = "_annotated_type",
  [sym_annotated_type] = "annotated_type",
  [sym__simple_type] = "_simple_type",
  [sym_compound_type] = "compound_type",
  [sym__structural_type] = "_structural_type",
  [sym__refinement] = "_refinement",
  [sym__infix_type_choice] = "_infix_type_choice",
  [sym_infix_type] = "infix_type",
  [sym_tuple_type] = "tuple_type",
  [sym_singleton_type] = "singleton_type",
  [sym_stable_type_identifier] = "stable_type_identifier",
  [sym_stable_identifier] = "stable_identifier",
  [sym_generic_type] = "generic_type",
  [sym_projected_type] = "projected_type",
  [sym_match_type] = "match_type",
  [sym_type_case_clause] = "type_case_clause",
  [sym_function_type] = "function_type",
  [sym__arrow_then_type] = "_arrow_then_type",
  [sym_parameter_types] = "parameter_types",
  [sym_lazy_parameter_type] = "lazy_parameter_type",
  [sym_repeated_parameter_type] = "repeated_parameter_type",
  [sym__type_identifier] = "_type_identifier",
  [sym_type_lambda] = "type_lambda",
  [sym_case_class_pattern] = "case_class_pattern",
  [sym_infix_pattern] = "infix_pattern",
  [sym_capture_pattern] = "capture_pattern",
  [sym_repeat_pattern] = "repeat_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_given_pattern] = "given_pattern",
  [sym_alternative_pattern] = "alternative_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_expression] = "expression",
  [sym__simple_expression] = "_simple_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_if_expression] = "if_expression",
  [sym__if_condition] = "_if_condition",
  [sym_match_expression] = "match_expression",
  [sym_try_expression] = "try_expression",
  [sym_catch_clause] = "catch_clause",
  [sym__expr_case_clause] = "_expr_case_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_binding] = "binding",
  [sym_bindings] = "bindings",
  [sym_case_block] = "case_block",
  [sym_case_clause] = "case_clause",
  [sym__case_pattern] = "_case_pattern",
  [sym_guard] = "guard",
  [sym_assignment_expression] = "assignment_expression",
  [sym_generic_function] = "generic_function",
  [sym_call_expression] = "call_expression",
  [sym_colon_argument] = "colon_argument",
  [sym_field_expression] = "field_expression",
  [sym_instance_expression] = "instance_expression",
  [sym_ascription_expression] = "ascription_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym__postfix_expression_choice] = "_postfix_expression_choice",
  [sym_macro_body] = "macro_body",
  [sym_prefix_expression] = "prefix_expression",
  [sym_tuple_expression] = "tuple_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_type_arguments] = "type_arguments",
  [sym_arguments] = "arguments",
  [sym__exprs_in_parens] = "_exprs_in_parens",
  [sym_splice_expression] = "splice_expression",
  [sym_quote_expression] = "quote_expression",
  [sym_identifier] = "identifier",
  [sym__soft_identifier] = "_soft_identifier",
  [sym_identifiers] = "identifiers",
  [sym_wildcard] = "wildcard",
  [sym__non_null_literal] = "_non_null_literal",
  [sym_literal_type] = "literal_type",
  [sym_boolean_literal] = "boolean_literal",
  [sym_interpolated_string_expression] = "interpolated_string_expression",
  [sym__interpolated_string_start] = "_interpolated_string_start",
  [sym__dollar_escape] = "_dollar_escape",
  [sym__aliased_interpolation_identifier] = "_aliased_interpolation_identifier",
  [sym_interpolation] = "interpolation",
  [sym_interpolated_string] = "interpolated_string",
  [sym_string] = "string",
  [sym_unit] = "unit",
  [sym_return_expression] = "return_expression",
  [sym_throw_expression] = "throw_expression",
  [sym_while_expression] = "while_expression",
  [sym_do_while_expression] = "do_while_expression",
  [sym_for_expression] = "for_expression",
  [sym_enumerators] = "enumerators",
  [sym_enumerator] = "enumerator",
  [sym__shebang] = "_shebang",
  [sym_comment] = "comment",
  [sym_using_directive] = "using_directive",
  [sym_block_comment] = "block_comment",
  [aux_sym_compilation_unit_repeat1] = "compilation_unit_repeat1",
  [aux_sym_enum_definition_repeat1] = "enum_definition_repeat1",
  [aux_sym__enum_block_repeat1] = "_enum_block_repeat1",
  [aux_sym_enum_case_definitions_repeat1] = "enum_case_definitions_repeat1",
  [aux_sym__full_enum_def_repeat1] = "_full_enum_def_repeat1",
  [aux_sym_package_identifier_repeat1] = "package_identifier_repeat1",
  [aux_sym_import_declaration_repeat1] = "import_declaration_repeat1",
  [aux_sym_namespace_selectors_repeat1] = "namespace_selectors_repeat1",
  [aux_sym__class_constructor_repeat1] = "_class_constructor_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym__type_parameter_repeat1] = "_type_parameter_repeat1",
  [aux_sym__type_parameter_repeat2] = "_type_parameter_repeat2",
  [aux_sym_annotation_repeat1] = "annotation_repeat1",
  [aux_sym_val_declaration_repeat1] = "val_declaration_repeat1",
  [aux_sym__function_constructor_repeat1] = "_function_constructor_repeat1",
  [aux_sym_extension_definition_repeat1] = "extension_definition_repeat1",
  [aux_sym__constructor_applications_repeat1] = "_constructor_applications_repeat1",
  [aux_sym__constructor_applications_repeat2] = "_constructor_applications_repeat2",
  [aux_sym_modifiers_repeat1] = "modifiers_repeat1",
  [aux_sym_derives_clause_repeat1] = "derives_clause_repeat1",
  [aux_sym_class_parameters_repeat1] = "class_parameters_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym__using_parameters_clause_repeat1] = "_using_parameters_clause_repeat1",
  [aux_sym__block_repeat1] = "_block_repeat1",
  [aux_sym_indented_cases_repeat1] = "indented_cases_repeat1",
  [aux_sym__indented_type_cases_repeat1] = "_indented_type_cases_repeat1",
  [aux_sym_compound_type_repeat1] = "compound_type_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_type_lambda_repeat1] = "type_lambda_repeat1",
  [aux_sym_case_class_pattern_repeat1] = "case_class_pattern_repeat1",
  [aux_sym_bindings_repeat1] = "bindings_repeat1",
  [aux_sym_tuple_expression_repeat1] = "tuple_expression_repeat1",
  [aux_sym_identifiers_repeat1] = "identifiers_repeat1",
  [aux_sym_interpolated_string_repeat1] = "interpolated_string_repeat1",
  [aux_sym_interpolated_string_repeat2] = "interpolated_string_repeat2",
  [aux_sym_enumerators_repeat1] = "enumerators_repeat1",
  [aux_sym_enumerator_repeat1] = "enumerator_repeat1",
  [aux_sym_block_comment_repeat1] = "block_comment_repeat1",
  [anon_alias_sym__end_ident] = "_end_ident",
  [alias_sym_refinement] = "refinement",
  [alias_sym_structural_type] = "structural_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__alpha_identifier] = sym__alpha_identifier,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym__] = anon_sym__,
  [anon_sym_given] = anon_sym_given,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_trait] = anon_sym_trait,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_LT_COLON] = anon_sym_LT_COLON,
  [anon_sym_GT_COLON] = anon_sym_GT_COLON,
  [anon_sym_LT_PERCENT] = anon_sym_LT_PERCENT,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_this] = anon_sym_this,
  [anon_sym_extension] = anon_sym_extension,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_opaque] = anon_sym_opaque,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_sealed] = anon_sym_sealed,
  [anon_sym_implicit] = anon_sym_implicit,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym_infix] = anon_sym_infix,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_transparent] = anon_sym_transparent,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_derives] = anon_sym_derives,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_QMARK_EQ_GT] = anon_sym_QMARK_EQ_GT,
  [anon_sym_EQ_GT_GT] = anon_sym_EQ_GT_GT,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_macro] = anon_sym_macro,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_symbol_literal] = sym_symbol_literal,
  [sym__interpolation_identifier] = sym_identifier,
  [sym__backquoted_id] = sym__backquoted_id,
  [sym_operator_identifier] = sym_operator_identifier,
  [sym_integer_literal] = sym_integer_literal,
  [sym_floating_point_literal] = sym_floating_point_literal,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym_character_literal] = sym_character_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__interpolated_multiline_string_start] = sym__interpolated_multiline_string_start,
  [sym_null_literal] = sym_null_literal,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [aux_sym__shebang_token1] = sym_comment,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [sym__comment_text] = sym__comment_text,
  [anon_sym_GT] = anon_sym_GT,
  [sym_using_directive_key] = sym_using_directive_key,
  [sym_using_directive_value] = sym_using_directive_value,
  [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
  [aux_sym_block_comment_token1] = aux_sym_block_comment_token1,
  [anon_sym_STAR_SLASH] = anon_sym_STAR_SLASH,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__indent] = sym__indent,
  [sym__interpolated_string_middle] = sym__interpolated_string_middle,
  [sym__interpolated_string_end] = sym__interpolated_string_end,
  [sym__interpolated_multiline_string_middle] = sym__interpolated_multiline_string_middle,
  [sym__interpolated_multiline_string_end] = sym__interpolated_multiline_string_end,
  [sym__outdent] = sym__outdent,
  [sym__simple_multiline_string] = sym__simple_multiline_string,
  [sym__simple_string] = sym__simple_string,
  [sym_compilation_unit] = sym_compilation_unit,
  [sym__top_level_definition] = sym__top_level_definition,
  [sym_enum_definition] = sym_enum_definition,
  [sym__enum_block] = sym__enum_block,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_case_definitions] = sym_enum_case_definitions,
  [sym_simple_enum_case] = sym_simple_enum_case,
  [sym_full_enum_case] = sym_full_enum_case,
  [sym__full_enum_def] = sym__full_enum_def,
  [sym_package_clause] = sym_package_clause,
  [sym_package_identifier] = sym_package_identifier,
  [sym_package_object] = sym_package_object,
  [sym_import_declaration] = sym_import_declaration,
  [sym_export_declaration] = sym_export_declaration,
  [sym__namespace_expression] = sym__namespace_expression,
  [sym_namespace_wildcard] = sym_namespace_wildcard,
  [sym__namespace_given_by_type] = sym__namespace_given_by_type,
  [sym_namespace_selectors] = sym_namespace_selectors,
  [sym_arrow_renamed_identifier] = sym_arrow_renamed_identifier,
  [sym_as_renamed_identifier] = sym_as_renamed_identifier,
  [sym_object_definition] = sym_object_definition,
  [sym__object_definition] = sym__object_definition,
  [sym_class_definition] = sym_class_definition,
  [sym__class_definition] = sym__class_definition,
  [sym__definition_body] = sym__definition_body,
  [sym__class_constructor] = sym__class_constructor,
  [sym_trait_definition] = sym_trait_definition,
  [sym_type_parameters] = sym_type_parameters,
  [sym__variant_type_parameter] = sym__variant_type_parameter,
  [sym_covariant_type_parameter] = sym_covariant_type_parameter,
  [sym_contravariant_type_parameter] = sym_contravariant_type_parameter,
  [sym__type_parameter] = sym__type_parameter,
  [sym_upper_bound] = sym_upper_bound,
  [sym_lower_bound] = sym_lower_bound,
  [sym_view_bound] = sym_view_bound,
  [sym_context_bound] = sym_context_bound,
  [sym_template_body] = sym_template_body,
  [sym__indented_template_body] = sym__indented_template_body,
  [sym__braced_template_body] = sym__braced_template_body,
  [sym__braced_template_body1] = sym__braced_template_body1,
  [sym__braced_template_body2] = sym__braced_template_body2,
  [sym_with_template_body] = sym_with_template_body,
  [sym__extension_template_body] = sym__extension_template_body,
  [sym__end_marker] = sym__end_marker,
  [sym_self_type] = sym_self_type,
  [sym__self_type_ascription] = sym__self_type_ascription,
  [sym_annotation] = sym_annotation,
  [sym_val_definition] = sym_val_definition,
  [sym_val_declaration] = sym_val_declaration,
  [sym__start_val] = sym__start_val,
  [sym_var_declaration] = sym_var_declaration,
  [sym_var_definition] = sym_var_definition,
  [sym__start_var] = sym__start_var,
  [sym_type_definition] = sym_type_definition,
  [sym__type_constructor] = sym__type_constructor,
  [sym_function_definition] = sym_function_definition,
  [sym_function_declaration] = sym_function_declaration,
  [sym__function_declaration] = sym__function_declaration,
  [sym__function_constructor] = sym__function_constructor,
  [sym_opaque_modifier] = sym_opaque_modifier,
  [sym_extension_definition] = sym_extension_definition,
  [sym_given_definition] = sym_given_definition,
  [sym__given_constructor] = sym__given_constructor,
  [sym__structural_instance] = sym__structural_instance,
  [sym__constructor_application] = sym__constructor_application,
  [sym__constructor_applications] = sym__constructor_applications,
  [sym_modifiers] = sym_modifiers,
  [sym_access_modifier] = sym_access_modifier,
  [sym_access_qualifier] = sym_access_qualifier,
  [sym_inline_modifier] = sym_inline_modifier,
  [sym_infix_modifier] = sym_infix_modifier,
  [sym_open_modifier] = sym_open_modifier,
  [sym_transparent_modifier] = sym_transparent_modifier,
  [sym_extends_clause] = sym_extends_clause,
  [sym_derives_clause] = sym_derives_clause,
  [sym_class_parameters] = sym_class_parameters,
  [sym_parameters] = sym_parameters,
  [sym__using_parameters_clause] = sym__using_parameters_clause,
  [sym_class_parameter] = sym_class_parameter,
  [sym_parameter] = sym_parameter,
  [sym__block] = sym__block,
  [sym__indentable_expression] = sym__indentable_expression,
  [sym_block] = sym_block,
  [sym_indented_block] = sym_indented_block,
  [sym_indented_cases] = sym_indented_cases,
  [sym__indented_type_cases] = sym__indented_type_cases,
  [sym__type] = sym__type,
  [sym__annotated_type] = sym__annotated_type,
  [sym_annotated_type] = sym_annotated_type,
  [sym__simple_type] = sym__simple_type,
  [sym_compound_type] = sym_compound_type,
  [sym__structural_type] = sym__structural_type,
  [sym__refinement] = sym__refinement,
  [sym__infix_type_choice] = sym__infix_type_choice,
  [sym_infix_type] = sym_infix_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_singleton_type] = sym_singleton_type,
  [sym_stable_type_identifier] = sym_stable_type_identifier,
  [sym_stable_identifier] = sym_stable_identifier,
  [sym_generic_type] = sym_generic_type,
  [sym_projected_type] = sym_projected_type,
  [sym_match_type] = sym_match_type,
  [sym_type_case_clause] = sym_type_case_clause,
  [sym_function_type] = sym_function_type,
  [sym__arrow_then_type] = sym__arrow_then_type,
  [sym_parameter_types] = sym_parameter_types,
  [sym_lazy_parameter_type] = sym_lazy_parameter_type,
  [sym_repeated_parameter_type] = sym_repeated_parameter_type,
  [sym__type_identifier] = sym__type_identifier,
  [sym_type_lambda] = sym_type_lambda,
  [sym_case_class_pattern] = sym_case_class_pattern,
  [sym_infix_pattern] = sym_infix_pattern,
  [sym_capture_pattern] = sym_capture_pattern,
  [sym_repeat_pattern] = sym_repeat_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_given_pattern] = sym_given_pattern,
  [sym_alternative_pattern] = sym_alternative_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_expression] = sym_expression,
  [sym__simple_expression] = sym__simple_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_if_expression] = sym_if_expression,
  [sym__if_condition] = sym__if_condition,
  [sym_match_expression] = sym_match_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_catch_clause] = sym_catch_clause,
  [sym__expr_case_clause] = sym__expr_case_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_binding] = sym_binding,
  [sym_bindings] = sym_bindings,
  [sym_case_block] = sym_case_block,
  [sym_case_clause] = sym_case_clause,
  [sym__case_pattern] = sym__case_pattern,
  [sym_guard] = sym_guard,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_generic_function] = sym_generic_function,
  [sym_call_expression] = sym_call_expression,
  [sym_colon_argument] = sym_colon_argument,
  [sym_field_expression] = sym_field_expression,
  [sym_instance_expression] = sym_instance_expression,
  [sym_ascription_expression] = sym_ascription_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym__postfix_expression_choice] = sym__postfix_expression_choice,
  [sym_macro_body] = sym_macro_body,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_tuple_expression] = sym_tuple_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_type_arguments] = sym_type_arguments,
  [sym_arguments] = sym_arguments,
  [sym__exprs_in_parens] = sym__exprs_in_parens,
  [sym_splice_expression] = sym_splice_expression,
  [sym_quote_expression] = sym_quote_expression,
  [sym_identifier] = sym_identifier,
  [sym__soft_identifier] = sym__soft_identifier,
  [sym_identifiers] = sym_identifiers,
  [sym_wildcard] = sym_wildcard,
  [sym__non_null_literal] = sym__non_null_literal,
  [sym_literal_type] = sym_literal_type,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym_interpolated_string_expression] = sym_interpolated_string_expression,
  [sym__interpolated_string_start] = sym__interpolated_string_start,
  [sym__dollar_escape] = sym__dollar_escape,
  [sym__aliased_interpolation_identifier] = sym__aliased_interpolation_identifier,
  [sym_interpolation] = sym_interpolation,
  [sym_interpolated_string] = sym_interpolated_string,
  [sym_string] = sym_string,
  [sym_unit] = sym_unit,
  [sym_return_expression] = sym_return_expression,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_expression] = sym_while_expression,
  [sym_do_while_expression] = sym_do_while_expression,
  [sym_for_expression] = sym_for_expression,
  [sym_enumerators] = sym_enumerators,
  [sym_enumerator] = sym_enumerator,
  [sym__shebang] = sym__shebang,
  [sym_comment] = sym_comment,
  [sym_using_directive] = sym_using_directive,
  [sym_block_comment] = sym_block_comment,
  [aux_sym_compilation_unit_repeat1] = aux_sym_compilation_unit_repeat1,
  [aux_sym_enum_definition_repeat1] = aux_sym_enum_definition_repeat1,
  [aux_sym__enum_block_repeat1] = aux_sym__enum_block_repeat1,
  [aux_sym_enum_case_definitions_repeat1] = aux_sym_enum_case_definitions_repeat1,
  [aux_sym__full_enum_def_repeat1] = aux_sym__full_enum_def_repeat1,
  [aux_sym_package_identifier_repeat1] = aux_sym_package_identifier_repeat1,
  [aux_sym_import_declaration_repeat1] = aux_sym_import_declaration_repeat1,
  [aux_sym_namespace_selectors_repeat1] = aux_sym_namespace_selectors_repeat1,
  [aux_sym__class_constructor_repeat1] = aux_sym__class_constructor_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym__type_parameter_repeat1] = aux_sym__type_parameter_repeat1,
  [aux_sym__type_parameter_repeat2] = aux_sym__type_parameter_repeat2,
  [aux_sym_annotation_repeat1] = aux_sym_annotation_repeat1,
  [aux_sym_val_declaration_repeat1] = aux_sym_val_declaration_repeat1,
  [aux_sym__function_constructor_repeat1] = aux_sym__function_constructor_repeat1,
  [aux_sym_extension_definition_repeat1] = aux_sym_extension_definition_repeat1,
  [aux_sym__constructor_applications_repeat1] = aux_sym__constructor_applications_repeat1,
  [aux_sym__constructor_applications_repeat2] = aux_sym__constructor_applications_repeat2,
  [aux_sym_modifiers_repeat1] = aux_sym_modifiers_repeat1,
  [aux_sym_derives_clause_repeat1] = aux_sym_derives_clause_repeat1,
  [aux_sym_class_parameters_repeat1] = aux_sym_class_parameters_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym__using_parameters_clause_repeat1] = aux_sym__using_parameters_clause_repeat1,
  [aux_sym__block_repeat1] = aux_sym__block_repeat1,
  [aux_sym_indented_cases_repeat1] = aux_sym_indented_cases_repeat1,
  [aux_sym__indented_type_cases_repeat1] = aux_sym__indented_type_cases_repeat1,
  [aux_sym_compound_type_repeat1] = aux_sym_compound_type_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_type_lambda_repeat1] = aux_sym_type_lambda_repeat1,
  [aux_sym_case_class_pattern_repeat1] = aux_sym_case_class_pattern_repeat1,
  [aux_sym_bindings_repeat1] = aux_sym_bindings_repeat1,
  [aux_sym_tuple_expression_repeat1] = aux_sym_tuple_expression_repeat1,
  [aux_sym_identifiers_repeat1] = aux_sym_identifiers_repeat1,
  [aux_sym_interpolated_string_repeat1] = aux_sym_interpolated_string_repeat1,
  [aux_sym_interpolated_string_repeat2] = aux_sym_interpolated_string_repeat2,
  [aux_sym_enumerators_repeat1] = aux_sym_enumerators_repeat1,
  [aux_sym_enumerator_repeat1] = aux_sym_enumerator_repeat1,
  [aux_sym_block_comment_repeat1] = aux_sym_block_comment_repeat1,
  [anon_alias_sym__end_ident] = anon_alias_sym__end_ident,
  [alias_sym_refinement] = alias_sym_refinement,
  [alias_sym_structural_type] = alias_sym_structural_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__alpha_identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_given] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_trait] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_this] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extension] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opaque] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transparent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_derives] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_macro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_symbol_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolation_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__backquoted_id] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__interpolated_multiline_string_start] = {
    .visible = false,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__shebang_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym__comment_text] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_using_directive_key] = {
    .visible = true,
    .named = true,
  },
  [sym_using_directive_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SLASH_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_STAR_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_string_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_string_end] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_multiline_string_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_multiline_string_end] = {
    .visible = false,
    .named = true,
  },
  [sym__outdent] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_multiline_string] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string] = {
    .visible = false,
    .named = true,
  },
  [sym_compilation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_block] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_case_definitions] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_full_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym__full_enum_def] = {
    .visible = false,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_package_object] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_export_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_given_by_type] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_selectors] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_renamed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_as_renamed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_object_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__object_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__class_definition] = {
    .visible = false,
    .named = true,
  },
  [sym__definition_body] = {
    .visible = false,
    .named = true,
  },
  [sym__class_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym_trait_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__variant_type_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_covariant_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_contravariant_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__type_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_upper_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_lower_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_view_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_context_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_template_body] = {
    .visible = true,
    .named = true,
  },
  [sym__indented_template_body] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_template_body] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_template_body1] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_template_body2] = {
    .visible = false,
    .named = true,
  },
  [sym_with_template_body] = {
    .visible = true,
    .named = true,
  },
  [sym__extension_template_body] = {
    .visible = false,
    .named = true,
  },
  [sym__end_marker] = {
    .visible = false,
    .named = true,
  },
  [sym_self_type] = {
    .visible = true,
    .named = true,
  },
  [sym__self_type_ascription] = {
    .visible = false,
    .named = true,
  },
  [sym_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_val_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_val_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__start_val] = {
    .visible = false,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__start_var] = {
    .visible = false,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__function_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym_opaque_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_given_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__given_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym__structural_instance] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_application] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_applications] = {
    .visible = false,
    .named = true,
  },
  [sym_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_access_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_access_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_open_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_transparent_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_derives_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_class_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__using_parameters_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_class_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__block] = {
    .visible = false,
    .named = true,
  },
  [sym__indentable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_indented_block] = {
    .visible = true,
    .named = true,
  },
  [sym_indented_cases] = {
    .visible = true,
    .named = true,
  },
  [sym__indented_type_cases] = {
    .visible = false,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym__annotated_type] = {
    .visible = false,
    .named = true,
  },
  [sym_annotated_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
  },
  [sym_compound_type] = {
    .visible = true,
    .named = true,
  },
  [sym__structural_type] = {
    .visible = false,
    .named = true,
  },
  [sym__refinement] = {
    .visible = false,
    .named = true,
  },
  [sym__infix_type_choice] = {
    .visible = false,
    .named = true,
  },
  [sym_infix_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_singleton_type] = {
    .visible = true,
    .named = true,
  },
  [sym_stable_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_stable_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_projected_type] = {
    .visible = true,
    .named = true,
  },
  [sym_match_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym__arrow_then_type] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter_types] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_parameter_type] = {
    .visible = true,
    .named = true,
  },
  [sym_repeated_parameter_type] = {
    .visible = true,
    .named = true,
  },
  [sym__type_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_type_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_case_class_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_capture_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_repeat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_given_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alternative_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__simple_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__if_condition] = {
    .visible = false,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__expr_case_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_bindings] = {
    .visible = true,
    .named = true,
  },
  [sym_case_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__case_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ascription_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__postfix_expression_choice] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_body] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__exprs_in_parens] = {
    .visible = false,
    .named = true,
  },
  [sym_splice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_quote_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__soft_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_identifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__non_null_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolated_string_start] = {
    .visible = false,
    .named = true,
  },
  [sym__dollar_escape] = {
    .visible = false,
    .named = true,
  },
  [sym__aliased_interpolation_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerators] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym__shebang] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_using_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_compilation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__enum_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_case_definitions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__full_enum_def_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_package_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_selectors_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_constructor_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_parameter_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_val_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_constructor_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extension_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_applications_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_applications_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derives_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__using_parameters_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_indented_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__indented_type_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_compound_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_lambda_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_class_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bindings_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_identifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_comment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym__end_ident] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_refinement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_structural_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_base = 4,
  field_body = 5,
  field_bound = 6,
  field_class_parameters = 7,
  field_condition = 8,
  field_consequence = 9,
  field_default_value = 10,
  field_derive = 11,
  field_enumerators = 12,
  field_extend = 13,
  field_extra = 14,
  field_field = 15,
  field_function = 16,
  field_interpolator = 17,
  field_lambda_start = 18,
  field_left = 19,
  field_name = 20,
  field_operator = 21,
  field_parameter_types = 22,
  field_parameters = 23,
  field_path = 24,
  field_pattern = 25,
  field_return_type = 26,
  field_right = 27,
  field_selector = 28,
  field_type = 29,
  field_type_arguments = 30,
  field_type_parameters = 31,
  field_value = 32,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_base] = "base",
  [field_body] = "body",
  [field_bound] = "bound",
  [field_class_parameters] = "class_parameters",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_default_value] = "default_value",
  [field_derive] = "derive",
  [field_enumerators] = "enumerators",
  [field_extend] = "extend",
  [field_extra] = "extra",
  [field_field] = "field",
  [field_function] = "function",
  [field_interpolator] = "interpolator",
  [field_lambda_start] = "lambda_start",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameter_types] = "parameter_types",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_selector] = "selector",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 4},
  [2] = {.index = 4, .length = 1},
  [3] = {.index = 5, .length = 1},
  [4] = {.index = 6, .length = 4},
  [5] = {.index = 10, .length = 1},
  [6] = {.index = 11, .length = 1},
  [9] = {.index = 12, .length = 3},
  [10] = {.index = 15, .length = 1},
  [11] = {.index = 16, .length = 6},
  [12] = {.index = 22, .length = 3},
  [14] = {.index = 25, .length = 1},
  [15] = {.index = 26, .length = 1},
  [16] = {.index = 27, .length = 3},
  [17] = {.index = 30, .length = 3},
  [18] = {.index = 33, .length = 5},
  [19] = {.index = 38, .length = 2},
  [20] = {.index = 40, .length = 2},
  [21] = {.index = 42, .length = 1},
  [22] = {.index = 43, .length = 2},
  [23] = {.index = 45, .length = 2},
  [24] = {.index = 47, .length = 4},
  [25] = {.index = 51, .length = 1},
  [26] = {.index = 52, .length = 4},
  [27] = {.index = 56, .length = 6},
  [28] = {.index = 62, .length = 2},
  [29] = {.index = 64, .length = 3},
  [30] = {.index = 67, .length = 1},
  [31] = {.index = 68, .length = 2},
  [32] = {.index = 70, .length = 2},
  [33] = {.index = 72, .length = 2},
  [34] = {.index = 74, .length = 2},
  [35] = {.index = 76, .length = 3},
  [36] = {.index = 79, .length = 1},
  [37] = {.index = 80, .length = 6},
  [38] = {.index = 86, .length = 4},
  [40] = {.index = 90, .length = 1},
  [41] = {.index = 91, .length = 1},
  [42] = {.index = 92, .length = 2},
  [43] = {.index = 94, .length = 2},
  [44] = {.index = 96, .length = 1},
  [45] = {.index = 97, .length = 5},
  [46] = {.index = 102, .length = 4},
  [47] = {.index = 106, .length = 4},
  [48] = {.index = 110, .length = 2},
  [49] = {.index = 112, .length = 2},
  [50] = {.index = 114, .length = 1},
  [51] = {.index = 115, .length = 1},
  [52] = {.index = 116, .length = 1},
  [53] = {.index = 117, .length = 2},
  [54] = {.index = 119, .length = 2},
  [55] = {.index = 121, .length = 2},
  [56] = {.index = 123, .length = 2},
  [57] = {.index = 125, .length = 2},
  [58] = {.index = 127, .length = 5},
  [59] = {.index = 132, .length = 3},
  [60] = {.index = 135, .length = 3},
  [61] = {.index = 138, .length = 1},
  [62] = {.index = 139, .length = 3},
  [63] = {.index = 142, .length = 2},
  [64] = {.index = 144, .length = 2},
  [65] = {.index = 146, .length = 2},
  [66] = {.index = 148, .length = 3},
  [67] = {.index = 151, .length = 2},
  [68] = {.index = 153, .length = 3},
  [69] = {.index = 156, .length = 2},
  [70] = {.index = 158, .length = 1},
  [71] = {.index = 159, .length = 2},
  [72] = {.index = 161, .length = 5},
  [73] = {.index = 166, .length = 5},
  [74] = {.index = 171, .length = 2},
  [75] = {.index = 173, .length = 4},
  [76] = {.index = 177, .length = 3},
  [77] = {.index = 180, .length = 4},
  [78] = {.index = 184, .length = 2},
  [79] = {.index = 186, .length = 2},
  [80] = {.index = 188, .length = 2},
  [81] = {.index = 190, .length = 2},
  [82] = {.index = 192, .length = 2},
  [83] = {.index = 194, .length = 1},
  [84] = {.index = 195, .length = 2},
  [85] = {.index = 197, .length = 2},
  [86] = {.index = 199, .length = 6},
  [87] = {.index = 205, .length = 5},
  [88] = {.index = 210, .length = 6},
  [89] = {.index = 216, .length = 3},
  [90] = {.index = 219, .length = 2},
  [91] = {.index = 221, .length = 2},
  [92] = {.index = 223, .length = 1},
  [93] = {.index = 224, .length = 2},
  [94] = {.index = 226, .length = 2},
  [95] = {.index = 228, .length = 3},
  [96] = {.index = 231, .length = 4},
  [97] = {.index = 235, .length = 3},
  [98] = {.index = 238, .length = 3},
  [99] = {.index = 241, .length = 3},
  [100] = {.index = 244, .length = 4},
  [101] = {.index = 248, .length = 2},
  [102] = {.index = 250, .length = 2},
  [103] = {.index = 252, .length = 1},
  [104] = {.index = 253, .length = 2},
  [105] = {.index = 255, .length = 2},
  [106] = {.index = 257, .length = 2},
  [107] = {.index = 259, .length = 2},
  [108] = {.index = 261, .length = 4},
  [109] = {.index = 265, .length = 6},
  [110] = {.index = 271, .length = 6},
  [111] = {.index = 277, .length = 4},
  [112] = {.index = 281, .length = 3},
  [113] = {.index = 284, .length = 2},
  [114] = {.index = 286, .length = 2},
  [115] = {.index = 288, .length = 4},
  [116] = {.index = 292, .length = 4},
  [117] = {.index = 296, .length = 3},
  [118] = {.index = 299, .length = 1},
  [119] = {.index = 300, .length = 3},
  [120] = {.index = 303, .length = 3},
  [121] = {.index = 306, .length = 2},
  [122] = {.index = 308, .length = 2},
  [123] = {.index = 310, .length = 2},
  [124] = {.index = 312, .length = 6},
  [125] = {.index = 318, .length = 5},
  [126] = {.index = 323, .length = 6},
  [127] = {.index = 329, .length = 6},
  [128] = {.index = 335, .length = 5},
  [129] = {.index = 340, .length = 7},
  [130] = {.index = 347, .length = 3},
  [131] = {.index = 350, .length = 4},
  [132] = {.index = 354, .length = 2},
  [133] = {.index = 356, .length = 4},
  [134] = {.index = 360, .length = 3},
  [135] = {.index = 363, .length = 4},
  [136] = {.index = 367, .length = 2},
  [137] = {.index = 369, .length = 4},
  [138] = {.index = 373, .length = 2},
  [139] = {.index = 375, .length = 5},
  [140] = {.index = 380, .length = 5},
  [141] = {.index = 385, .length = 4},
  [142] = {.index = 389, .length = 6},
  [143] = {.index = 395, .length = 6},
  [144] = {.index = 401, .length = 4},
  [145] = {.index = 405, .length = 3},
  [146] = {.index = 408, .length = 2},
  [147] = {.index = 410, .length = 1},
  [148] = {.index = 411, .length = 3},
  [149] = {.index = 414, .length = 4},
  [150] = {.index = 418, .length = 1},
  [151] = {.index = 419, .length = 2},
  [152] = {.index = 421, .length = 2},
  [153] = {.index = 423, .length = 4},
  [154] = {.index = 427, .length = 3},
  [155] = {.index = 430, .length = 4},
  [156] = {.index = 434, .length = 3},
  [157] = {.index = 437, .length = 3},
  [158] = {.index = 440, .length = 5},
  [159] = {.index = 445, .length = 4},
  [160] = {.index = 449, .length = 3},
  [161] = {.index = 452, .length = 6},
  [162] = {.index = 458, .length = 2},
  [163] = {.index = 460, .length = 4},
  [164] = {.index = 464, .length = 2},
  [165] = {.index = 466, .length = 1},
  [166] = {.index = 467, .length = 2},
  [167] = {.index = 469, .length = 2},
  [168] = {.index = 471, .length = 4},
  [169] = {.index = 475, .length = 5},
  [170] = {.index = 480, .length = 5},
  [171] = {.index = 485, .length = 3},
  [172] = {.index = 488, .length = 2},
  [173] = {.index = 490, .length = 4},
  [174] = {.index = 494, .length = 3},
  [175] = {.index = 497, .length = 5},
  [176] = {.index = 502, .length = 4},
  [177] = {.index = 506, .length = 2},
  [178] = {.index = 508, .length = 3},
  [179] = {.index = 511, .length = 4},
  [180] = {.index = 515, .length = 7},
  [181] = {.index = 522, .length = 6},
  [182] = {.index = 528, .length = 3},
  [183] = {.index = 531, .length = 2},
  [184] = {.index = 533, .length = 2},
  [185] = {.index = 535, .length = 2},
  [186] = {.index = 537, .length = 7},
  [187] = {.index = 544, .length = 3},
  [188] = {.index = 547, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [4] =
    {field_name, 0},
  [5] =
    {field_name, 1},
  [6] =
    {field_body, 1, .inherited = true},
    {field_derive, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [10] =
    {field_path, 0},
  [11] =
    {field_path, 1, .inherited = true},
  [12] =
    {field_arguments, 1, .inherited = true},
    {field_body, 1, .inherited = true},
    {field_return_type, 1},
  [15] =
    {field_return_type, 1},
  [16] =
    {field_body, 1, .inherited = true},
    {field_class_parameters, 1, .inherited = true},
    {field_derive, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [22] =
    {field_class_parameters, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [25] =
    {field_body, 1},
  [26] =
    {field_arguments, 1, .inherited = true},
  [27] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [30] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [33] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [38] =
    {field_function, 0},
    {field_type_arguments, 1},
  [40] =
    {field_arguments, 1},
    {field_function, 0},
  [42] =
    {field_interpolator, 0},
  [43] =
    {field_name, 0},
    {field_type_parameters, 1},
  [45] =
    {field_class_parameters, 1},
    {field_name, 0},
  [47] =
    {field_body, 2},
    {field_class_parameters, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [51] =
    {field_pattern, 1, .inherited = true},
  [52] =
    {field_body, 2, .inherited = true},
    {field_derive, 2, .inherited = true},
    {field_extend, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [56] =
    {field_body, 2, .inherited = true},
    {field_class_parameters, 2, .inherited = true},
    {field_derive, 2, .inherited = true},
    {field_extend, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [62] =
    {field_body, 2},
    {field_name, 1},
  [64] =
    {field_body, 1},
    {field_body, 1, .inherited = true},
    {field_name, 0},
  [67] =
    {field_body, 0},
  [68] =
    {field_extend, 1},
    {field_name, 0},
  [70] =
    {field_derive, 1},
    {field_name, 0},
  [72] =
    {field_path, 0},
    {field_path, 1},
  [74] =
    {field_path, 1, .inherited = true},
    {field_path, 2, .inherited = true},
  [76] =
    {field_bound, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [79] =
    {field_type_parameters, 0},
  [80] =
    {field_arguments, 2, .inherited = true},
    {field_body, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 2},
    {field_type_parameters, 1, .inherited = true},
  [86] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 2},
    {field_type_parameters, 1, .inherited = true},
  [90] =
    {field_base, 0},
  [91] =
    {field_arguments, 1},
  [92] =
    {field_base, 0},
    {field_extra, 1, .inherited = true},
  [94] =
    {field_type, 0},
    {field_type_arguments, 1},
  [96] =
    {field_parameters, 0},
  [97] =
    {field_body, 1},
    {field_body, 1, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [102] =
    {field_class_parameters, 0, .inherited = true},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [106] =
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [110] =
    {field_condition, 1},
    {field_consequence, 2},
  [112] =
    {field_body, 2},
    {field_condition, 1},
  [114] =
    {field_type, 1},
  [115] =
    {field_condition, 1},
  [116] =
    {field_pattern, 0},
  [117] =
    {field_body, 2},
    {field_type_parameters, 1},
  [119] =
    {field_body, 2},
    {field_parameters, 1},
  [121] =
    {field_arguments, 2},
    {field_name, 1},
  [123] =
    {field_bound, 1},
    {field_name, 0},
  [125] =
    {field_name, 0},
    {field_parameters, 1},
  [127] =
    {field_body, 2},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [132] =
    {field_bound, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [135] =
    {field_arguments, 2, .inherited = true},
    {field_body, 2, .inherited = true},
    {field_return_type, 2},
  [138] =
    {field_return_type, 2},
  [139] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [142] =
    {field_body, 2},
    {field_value, 0},
  [144] =
    {field_field, 2},
    {field_value, 0},
  [146] =
    {field_left, 0},
    {field_right, 2},
  [148] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [151] =
    {field_arguments, 2},
    {field_function, 0},
  [153] =
    {field_class_parameters, 2},
    {field_name, 0},
    {field_type_parameters, 1},
  [156] =
    {field_class_parameters, 2},
    {field_name, 0},
  [158] =
    {field_arguments, 0, .inherited = true},
  [159] =
    {field_arguments, 1, .inherited = true},
    {field_type, 1},
  [161] =
    {field_body, 3},
    {field_class_parameters, 1, .inherited = true},
    {field_extend, 2},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [166] =
    {field_body, 3},
    {field_class_parameters, 1, .inherited = true},
    {field_derive, 2},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [171] =
    {field_body, 2},
    {field_pattern, 1, .inherited = true},
  [173] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_extend, 1},
    {field_name, 0},
  [177] =
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0},
  [180] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_derive, 1},
    {field_name, 0},
  [184] =
    {field_path, 0, .inherited = true},
    {field_path, 1, .inherited = true},
  [186] =
    {field_parameter_types, 0},
    {field_return_type, 1, .inherited = true},
  [188] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [190] =
    {field_arguments, 0, .inherited = true},
    {field_body, 2},
  [192] =
    {field_body, 3},
    {field_return_type, 1},
  [194] =
    {field_extra, 1},
  [195] =
    {field_extra, 0, .inherited = true},
    {field_extra, 1, .inherited = true},
  [197] =
    {field_selector, 2},
    {field_type, 0},
  [199] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [205] =
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [210] =
    {field_body, 2},
    {field_body, 2, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [216] =
    {field_body, 3},
    {field_condition, 1},
    {field_condition, 2},
  [219] =
    {field_pattern, 0},
    {field_type, 2},
  [221] =
    {field_name, 0},
    {field_pattern, 2},
  [223] =
    {field_type, 0},
  [224] =
    {field_body, 3},
    {field_enumerators, 1},
  [226] =
    {field_body, 1, .inherited = true},
    {field_pattern, 1, .inherited = true},
  [228] =
    {field_body, 3},
    {field_parameters, 2},
    {field_type_parameters, 1},
  [231] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 3},
    {field_type_parameters, 1, .inherited = true},
  [235] =
    {field_bound, 2},
    {field_name, 0},
    {field_type_parameters, 1},
  [238] =
    {field_bound, 1},
    {field_bound, 2},
    {field_name, 0},
  [241] =
    {field_name, 0},
    {field_parameters, 2},
    {field_type_parameters, 1},
  [244] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 1, .inherited = true},
  [248] =
    {field_parameters, 0},
    {field_parameters, 1},
  [250] =
    {field_name, 0},
    {field_type, 2},
  [252] =
    {field_type, 2},
  [253] =
    {field_body, 1},
    {field_condition, 3},
  [255] =
    {field_name, 1},
    {field_type, 3},
  [257] =
    {field_pattern, 1},
    {field_value, 3},
  [259] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [261] =
    {field_body, 3, .inherited = true},
    {field_derive, 3, .inherited = true},
    {field_extend, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [265] =
    {field_body, 3, .inherited = true},
    {field_class_parameters, 3, .inherited = true},
    {field_derive, 3, .inherited = true},
    {field_extend, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [271] =
    {field_arguments, 3, .inherited = true},
    {field_body, 3, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 2, .inherited = true},
  [277] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 2, .inherited = true},
  [281] =
    {field_bound, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [284] =
    {field_condition, 2},
    {field_consequence, 3},
  [286] =
    {field_body, 3},
    {field_value, 1},
  [288] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
    {field_right, 3},
  [292] =
    {field_body, 3},
    {field_class_parameters, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [296] =
    {field_arguments, 3, .inherited = true},
    {field_body, 3, .inherited = true},
    {field_return_type, 3},
  [299] =
    {field_return_type, 3},
  [300] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [303] =
    {field_class_parameters, 3},
    {field_name, 0},
    {field_type_parameters, 1},
  [306] =
    {field_class_parameters, 3},
    {field_name, 0},
  [308] =
    {field_arguments, 0, .inherited = true},
    {field_arguments, 1, .inherited = true},
  [310] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [312] =
    {field_body, 4},
    {field_class_parameters, 1, .inherited = true},
    {field_derive, 3},
    {field_extend, 2},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [318] =
    {field_body, 3},
    {field_body, 3, .inherited = true},
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0},
  [323] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [329] =
    {field_bound, 0, .inherited = true},
    {field_bound, 1, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [335] =
    {field_body, 4},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 2},
    {field_type_parameters, 1, .inherited = true},
  [340] =
    {field_body, 3},
    {field_body, 3, .inherited = true},
    {field_class_parameters, 0, .inherited = true},
    {field_derive, 2},
    {field_extend, 1},
    {field_name, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [347] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [350] =
    {field_body, 4},
    {field_enumerators, 1},
    {field_enumerators, 2},
    {field_enumerators, 3},
  [354] =
    {field_pattern, 2},
    {field_type, 0},
  [356] =
    {field_bound, 2},
    {field_bound, 3},
    {field_name, 0},
    {field_type_parameters, 1},
  [360] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
    {field_type, 4},
  [363] =
    {field_bound, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 4},
    {field_type_parameters, 2, .inherited = true},
  [367] =
    {field_body, 4},
    {field_return_type, 2},
  [369] =
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 2, .inherited = true},
  [373] =
    {field_lambda_start, 0},
    {field_lambda_start, 1},
  [375] =
    {field_body, 4},
    {field_class_parameters, 2, .inherited = true},
    {field_extend, 3},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [380] =
    {field_body, 4},
    {field_class_parameters, 2, .inherited = true},
    {field_derive, 3},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [385] =
    {field_body, 4, .inherited = true},
    {field_derive, 4, .inherited = true},
    {field_extend, 4, .inherited = true},
    {field_name, 4, .inherited = true},
  [389] =
    {field_body, 4, .inherited = true},
    {field_class_parameters, 4, .inherited = true},
    {field_derive, 4, .inherited = true},
    {field_extend, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [395] =
    {field_arguments, 4, .inherited = true},
    {field_body, 4, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 3, .inherited = true},
  [401] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 3, .inherited = true},
  [405] =
    {field_bound, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [408] =
    {field_default_value, 2},
    {field_name, 0},
  [410] =
    {field_name, 2},
  [411] =
    {field_class_parameters, 4},
    {field_name, 0},
    {field_type_parameters, 1},
  [414] =
    {field_class_parameters, 1, .inherited = true},
    {field_extend, 1, .inherited = true},
    {field_name, 0},
    {field_type_parameters, 1, .inherited = true},
  [418] =
    {field_class_parameters, 0},
  [419] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [421] =
    {field_alias, 2},
    {field_name, 0},
  [423] =
    {field_bound, 1},
    {field_bound, 2},
    {field_bound, 3},
    {field_name, 0},
  [427] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 2},
  [430] =
    {field_body, 5},
    {field_enumerators, 1},
    {field_enumerators, 2},
    {field_enumerators, 3},
  [434] =
    {field_pattern, 2},
    {field_pattern, 3},
    {field_type, 0},
  [437] =
    {field_pattern, 1},
    {field_type, 3},
    {field_value, 5},
  [440] =
    {field_body, 5},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 3},
    {field_type_parameters, 2, .inherited = true},
  [445] =
    {field_bound, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type, 5},
    {field_type_parameters, 3, .inherited = true},
  [449] =
    {field_alternative, 5},
    {field_condition, 2},
    {field_consequence, 3},
  [452] =
    {field_body, 5},
    {field_class_parameters, 2, .inherited = true},
    {field_derive, 4},
    {field_extend, 3},
    {field_name, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [458] =
    {field_body, 5},
    {field_return_type, 3},
  [460] =
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 3, .inherited = true},
  [464] =
    {field_default_value, 3},
    {field_name, 1},
  [466] =
    {field_name, 3},
  [467] =
    {field_class_parameters, 1},
    {field_type_parameters, 0},
  [469] =
    {field_class_parameters, 0},
    {field_extend, 1},
  [471] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 1, .inherited = true},
  [475] =
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_name, 0},
    {field_type_parameters, 1},
  [480] =
    {field_bound, 1},
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_name, 0},
  [485] =
    {field_default_value, 4},
    {field_name, 0},
    {field_type, 2},
  [488] =
    {field_name, 2},
    {field_type, 4},
  [490] =
    {field_pattern, 2},
    {field_pattern, 3},
    {field_pattern, 4},
    {field_type, 0},
  [494] =
    {field_alternative, 6},
    {field_condition, 2},
    {field_consequence, 3},
  [497] =
    {field_body, 6},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 4},
    {field_type_parameters, 3, .inherited = true},
  [502] =
    {field_bound, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type, 6},
    {field_type_parameters, 4, .inherited = true},
  [506] =
    {field_default_value, 4},
    {field_name, 2},
  [508] =
    {field_class_parameters, 1},
    {field_extend, 2},
    {field_type_parameters, 0},
  [511] =
    {field_bound, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 1, .inherited = true},
  [515] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_return_type, 5},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [522] =
    {field_bound, 2},
    {field_bound, 3},
    {field_bound, 4},
    {field_bound, 5},
    {field_name, 0},
    {field_type_parameters, 1},
  [528] =
    {field_default_value, 5},
    {field_name, 1},
    {field_type, 3},
  [531] =
    {field_body, 2},
    {field_return_type, 2, .inherited = true},
  [533] =
    {field_name, 3},
    {field_type, 5},
  [535] =
    {field_default_value, 5},
    {field_name, 3},
  [537] =
    {field_bound, 1, .inherited = true},
    {field_bound, 2, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_return_type, 6},
    {field_type_parameters, 1, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [544] =
    {field_default_value, 6},
    {field_name, 2},
    {field_type, 4},
  [547] =
    {field_default_value, 7},
    {field_name, 3},
    {field_type, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [7] = {
    [0] = alias_sym_type_identifier,
  },
  [8] = {
    [0] = alias_sym_structural_type,
  },
  [13] = {
    [1] = anon_alias_sym__end_ident,
  },
  [39] = {
    [0] = alias_sym_refinement,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_template_body, 3,
    sym_template_body,
    alias_sym_refinement,
    alias_sym_structural_type,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 2,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 2,
  [21] = 2,
  [22] = 2,
  [23] = 2,
  [24] = 2,
  [25] = 2,
  [26] = 2,
  [27] = 2,
  [28] = 2,
  [29] = 2,
  [30] = 2,
  [31] = 2,
  [32] = 2,
  [33] = 2,
  [34] = 2,
  [35] = 2,
  [36] = 2,
  [37] = 2,
  [38] = 2,
  [39] = 2,
  [40] = 2,
  [41] = 2,
  [42] = 2,
  [43] = 2,
  [44] = 2,
  [45] = 2,
  [46] = 2,
  [47] = 2,
  [48] = 2,
  [49] = 2,
  [50] = 2,
  [51] = 2,
  [52] = 2,
  [53] = 2,
  [54] = 2,
  [55] = 2,
  [56] = 2,
  [57] = 2,
  [58] = 2,
  [59] = 2,
  [60] = 2,
  [61] = 2,
  [62] = 2,
  [63] = 2,
  [64] = 2,
  [65] = 2,
  [66] = 2,
  [67] = 2,
  [68] = 2,
  [69] = 2,
  [70] = 2,
  [71] = 2,
  [72] = 2,
  [73] = 2,
  [74] = 2,
  [75] = 2,
  [76] = 2,
  [77] = 2,
  [78] = 2,
  [79] = 2,
  [80] = 2,
  [81] = 2,
  [82] = 2,
  [83] = 2,
  [84] = 2,
  [85] = 2,
  [86] = 2,
  [87] = 2,
  [88] = 2,
  [89] = 2,
  [90] = 2,
  [91] = 2,
  [92] = 2,
  [93] = 2,
  [94] = 2,
  [95] = 2,
  [96] = 2,
  [97] = 2,
  [98] = 2,
  [99] = 2,
  [100] = 2,
  [101] = 2,
  [102] = 2,
  [103] = 2,
  [104] = 2,
  [105] = 2,
  [106] = 2,
  [107] = 2,
  [108] = 2,
  [109] = 2,
  [110] = 2,
  [111] = 2,
  [112] = 2,
  [113] = 2,
  [114] = 2,
  [115] = 2,
  [116] = 2,
  [117] = 2,
  [118] = 2,
  [119] = 2,
  [120] = 120,
  [121] = 120,
  [122] = 122,
  [123] = 120,
  [124] = 120,
  [125] = 120,
  [126] = 120,
  [127] = 120,
  [128] = 120,
  [129] = 120,
  [130] = 120,
  [131] = 120,
  [132] = 120,
  [133] = 133,
  [134] = 120,
  [135] = 120,
  [136] = 136,
  [137] = 120,
  [138] = 120,
  [139] = 120,
  [140] = 120,
  [141] = 120,
  [142] = 120,
  [143] = 120,
  [144] = 144,
  [145] = 120,
  [146] = 120,
  [147] = 120,
  [148] = 120,
  [149] = 149,
  [150] = 149,
  [151] = 149,
  [152] = 149,
  [153] = 149,
  [154] = 149,
  [155] = 149,
  [156] = 149,
  [157] = 149,
  [158] = 149,
  [159] = 159,
  [160] = 160,
  [161] = 149,
  [162] = 149,
  [163] = 149,
  [164] = 149,
  [165] = 149,
  [166] = 149,
  [167] = 149,
  [168] = 149,
  [169] = 149,
  [170] = 149,
  [171] = 149,
  [172] = 149,
  [173] = 149,
  [174] = 149,
  [175] = 149,
  [176] = 149,
  [177] = 149,
  [178] = 149,
  [179] = 149,
  [180] = 149,
  [181] = 149,
  [182] = 149,
  [183] = 149,
  [184] = 149,
  [185] = 149,
  [186] = 149,
  [187] = 149,
  [188] = 149,
  [189] = 149,
  [190] = 149,
  [191] = 149,
  [192] = 149,
  [193] = 149,
  [194] = 194,
  [195] = 194,
  [196] = 194,
  [197] = 194,
  [198] = 194,
  [199] = 194,
  [200] = 194,
  [201] = 194,
  [202] = 194,
  [203] = 194,
  [204] = 194,
  [205] = 194,
  [206] = 194,
  [207] = 194,
  [208] = 194,
  [209] = 194,
  [210] = 194,
  [211] = 194,
  [212] = 194,
  [213] = 194,
  [214] = 194,
  [215] = 194,
  [216] = 194,
  [217] = 194,
  [218] = 194,
  [219] = 219,
  [220] = 194,
  [221] = 194,
  [222] = 194,
  [223] = 194,
  [224] = 194,
  [225] = 194,
  [226] = 194,
  [227] = 194,
  [228] = 194,
  [229] = 194,
  [230] = 194,
  [231] = 231,
  [232] = 194,
  [233] = 194,
  [234] = 194,
  [235] = 194,
  [236] = 194,
  [237] = 194,
  [238] = 194,
  [239] = 194,
  [240] = 194,
  [241] = 241,
  [242] = 194,
  [243] = 194,
  [244] = 194,
  [245] = 194,
  [246] = 194,
  [247] = 194,
  [248] = 194,
  [249] = 194,
  [250] = 194,
  [251] = 194,
  [252] = 194,
  [253] = 194,
  [254] = 194,
  [255] = 194,
  [256] = 194,
  [257] = 194,
  [258] = 194,
  [259] = 194,
  [260] = 194,
  [261] = 194,
  [262] = 194,
  [263] = 194,
  [264] = 194,
  [265] = 219,
  [266] = 194,
  [267] = 241,
  [268] = 194,
  [269] = 194,
  [270] = 194,
  [271] = 194,
  [272] = 194,
  [273] = 194,
  [274] = 194,
  [275] = 194,
  [276] = 194,
  [277] = 194,
  [278] = 219,
  [279] = 194,
  [280] = 194,
  [281] = 194,
  [282] = 194,
  [283] = 194,
  [284] = 284,
  [285] = 194,
  [286] = 194,
  [287] = 194,
  [288] = 194,
  [289] = 194,
  [290] = 284,
  [291] = 194,
  [292] = 194,
  [293] = 194,
  [294] = 194,
  [295] = 295,
  [296] = 194,
  [297] = 194,
  [298] = 194,
  [299] = 299,
  [300] = 194,
  [301] = 194,
  [302] = 194,
  [303] = 219,
  [304] = 194,
  [305] = 295,
  [306] = 194,
  [307] = 194,
  [308] = 194,
  [309] = 194,
  [310] = 194,
  [311] = 194,
  [312] = 194,
  [313] = 194,
  [314] = 194,
  [315] = 194,
  [316] = 194,
  [317] = 194,
  [318] = 194,
  [319] = 194,
  [320] = 194,
  [321] = 194,
  [322] = 194,
  [323] = 194,
  [324] = 324,
  [325] = 324,
  [326] = 324,
  [327] = 324,
  [328] = 324,
  [329] = 329,
  [330] = 324,
  [331] = 324,
  [332] = 324,
  [333] = 324,
  [334] = 324,
  [335] = 324,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 324,
  [340] = 324,
  [341] = 341,
  [342] = 324,
  [343] = 324,
  [344] = 324,
  [345] = 324,
  [346] = 346,
  [347] = 324,
  [348] = 324,
  [349] = 337,
  [350] = 324,
  [351] = 338,
  [352] = 324,
  [353] = 324,
  [354] = 324,
  [355] = 324,
  [356] = 324,
  [357] = 324,
  [358] = 324,
  [359] = 337,
  [360] = 338,
  [361] = 324,
  [362] = 324,
  [363] = 324,
  [364] = 337,
  [365] = 324,
  [366] = 338,
  [367] = 324,
  [368] = 324,
  [369] = 337,
  [370] = 338,
  [371] = 324,
  [372] = 324,
  [373] = 341,
  [374] = 337,
  [375] = 324,
  [376] = 338,
  [377] = 324,
  [378] = 324,
  [379] = 324,
  [380] = 324,
  [381] = 337,
  [382] = 338,
  [383] = 329,
  [384] = 324,
  [385] = 324,
  [386] = 324,
  [387] = 324,
  [388] = 324,
  [389] = 324,
  [390] = 324,
  [391] = 337,
  [392] = 324,
  [393] = 338,
  [394] = 394,
  [395] = 324,
  [396] = 324,
  [397] = 324,
  [398] = 324,
  [399] = 324,
  [400] = 337,
  [401] = 338,
  [402] = 324,
  [403] = 324,
  [404] = 324,
  [405] = 324,
  [406] = 337,
  [407] = 324,
  [408] = 338,
  [409] = 324,
  [410] = 324,
  [411] = 324,
  [412] = 324,
  [413] = 324,
  [414] = 329,
  [415] = 337,
  [416] = 338,
  [417] = 324,
  [418] = 324,
  [419] = 324,
  [420] = 346,
  [421] = 324,
  [422] = 337,
  [423] = 338,
  [424] = 394,
  [425] = 324,
  [426] = 324,
  [427] = 324,
  [428] = 324,
  [429] = 337,
  [430] = 324,
  [431] = 324,
  [432] = 338,
  [433] = 324,
  [434] = 324,
  [435] = 324,
  [436] = 324,
  [437] = 338,
  [438] = 337,
  [439] = 338,
  [440] = 337,
  [441] = 324,
  [442] = 329,
  [443] = 324,
  [444] = 324,
  [445] = 324,
  [446] = 394,
  [447] = 324,
  [448] = 337,
  [449] = 338,
  [450] = 324,
  [451] = 324,
  [452] = 324,
  [453] = 324,
  [454] = 324,
  [455] = 337,
  [456] = 338,
  [457] = 324,
  [458] = 324,
  [459] = 324,
  [460] = 324,
  [461] = 324,
  [462] = 324,
  [463] = 338,
  [464] = 337,
  [465] = 338,
  [466] = 324,
  [467] = 336,
  [468] = 324,
  [469] = 324,
  [470] = 324,
  [471] = 337,
  [472] = 324,
  [473] = 338,
  [474] = 324,
  [475] = 324,
  [476] = 324,
  [477] = 394,
  [478] = 338,
  [479] = 324,
  [480] = 337,
  [481] = 324,
  [482] = 338,
  [483] = 324,
  [484] = 324,
  [485] = 324,
  [486] = 338,
  [487] = 324,
  [488] = 337,
  [489] = 324,
  [490] = 338,
  [491] = 324,
  [492] = 338,
  [493] = 324,
  [494] = 337,
  [495] = 324,
  [496] = 324,
  [497] = 324,
  [498] = 337,
  [499] = 338,
  [500] = 324,
  [501] = 338,
  [502] = 324,
  [503] = 324,
  [504] = 337,
  [505] = 324,
  [506] = 337,
  [507] = 338,
  [508] = 324,
  [509] = 509,
  [510] = 510,
  [511] = 510,
  [512] = 512,
  [513] = 509,
  [514] = 509,
  [515] = 512,
  [516] = 509,
  [517] = 517,
  [518] = 517,
  [519] = 519,
  [520] = 519,
  [521] = 521,
  [522] = 521,
  [523] = 521,
  [524] = 524,
  [525] = 524,
  [526] = 524,
  [527] = 524,
  [528] = 524,
  [529] = 529,
  [530] = 529,
  [531] = 529,
  [532] = 529,
  [533] = 529,
  [534] = 529,
  [535] = 529,
  [536] = 536,
  [537] = 536,
  [538] = 529,
  [539] = 536,
  [540] = 529,
  [541] = 529,
  [542] = 529,
  [543] = 536,
  [544] = 529,
  [545] = 536,
  [546] = 536,
  [547] = 529,
  [548] = 536,
  [549] = 536,
  [550] = 529,
  [551] = 536,
  [552] = 536,
  [553] = 536,
  [554] = 529,
  [555] = 529,
  [556] = 536,
  [557] = 529,
  [558] = 536,
  [559] = 529,
  [560] = 536,
  [561] = 536,
  [562] = 536,
  [563] = 536,
  [564] = 536,
  [565] = 529,
  [566] = 536,
  [567] = 536,
  [568] = 536,
  [569] = 529,
  [570] = 529,
  [571] = 536,
  [572] = 536,
  [573] = 529,
  [574] = 536,
  [575] = 536,
  [576] = 529,
  [577] = 536,
  [578] = 536,
  [579] = 536,
  [580] = 580,
  [581] = 536,
  [582] = 580,
  [583] = 580,
  [584] = 580,
  [585] = 580,
  [586] = 580,
  [587] = 580,
  [588] = 536,
  [589] = 580,
  [590] = 580,
  [591] = 580,
  [592] = 580,
  [593] = 580,
  [594] = 536,
  [595] = 580,
  [596] = 580,
  [597] = 536,
  [598] = 529,
  [599] = 580,
  [600] = 580,
  [601] = 580,
  [602] = 580,
  [603] = 580,
  [604] = 580,
  [605] = 536,
  [606] = 580,
  [607] = 580,
  [608] = 580,
  [609] = 580,
  [610] = 536,
  [611] = 580,
  [612] = 580,
  [613] = 580,
  [614] = 580,
  [615] = 580,
  [616] = 580,
  [617] = 536,
  [618] = 580,
  [619] = 536,
  [620] = 580,
  [621] = 536,
  [622] = 580,
  [623] = 580,
  [624] = 580,
  [625] = 536,
  [626] = 536,
  [627] = 529,
  [628] = 536,
  [629] = 580,
  [630] = 529,
  [631] = 631,
  [632] = 631,
  [633] = 633,
  [634] = 631,
  [635] = 536,
  [636] = 631,
  [637] = 637,
  [638] = 631,
  [639] = 631,
  [640] = 637,
  [641] = 633,
  [642] = 637,
  [643] = 631,
  [644] = 631,
  [645] = 633,
  [646] = 536,
  [647] = 631,
  [648] = 633,
  [649] = 631,
  [650] = 631,
  [651] = 637,
  [652] = 637,
  [653] = 631,
  [654] = 631,
  [655] = 633,
  [656] = 633,
  [657] = 637,
  [658] = 633,
  [659] = 631,
  [660] = 637,
  [661] = 633,
  [662] = 637,
  [663] = 631,
  [664] = 631,
  [665] = 637,
  [666] = 631,
  [667] = 631,
  [668] = 633,
  [669] = 633,
  [670] = 637,
  [671] = 633,
  [672] = 637,
  [673] = 637,
  [674] = 633,
  [675] = 637,
  [676] = 637,
  [677] = 633,
  [678] = 637,
  [679] = 631,
  [680] = 633,
  [681] = 631,
  [682] = 633,
  [683] = 631,
  [684] = 631,
  [685] = 637,
  [686] = 637,
  [687] = 631,
  [688] = 633,
  [689] = 631,
  [690] = 637,
  [691] = 633,
  [692] = 633,
  [693] = 633,
  [694] = 637,
  [695] = 536,
  [696] = 633,
  [697] = 536,
  [698] = 637,
  [699] = 631,
  [700] = 637,
  [701] = 631,
  [702] = 631,
  [703] = 633,
  [704] = 637,
  [705] = 633,
  [706] = 631,
  [707] = 633,
  [708] = 637,
  [709] = 633,
  [710] = 631,
  [711] = 637,
  [712] = 631,
  [713] = 637,
  [714] = 631,
  [715] = 633,
  [716] = 631,
  [717] = 637,
  [718] = 631,
  [719] = 637,
  [720] = 633,
  [721] = 637,
  [722] = 633,
  [723] = 631,
  [724] = 536,
  [725] = 633,
  [726] = 637,
  [727] = 631,
  [728] = 633,
  [729] = 536,
  [730] = 637,
  [731] = 637,
  [732] = 631,
  [733] = 633,
  [734] = 631,
  [735] = 631,
  [736] = 637,
  [737] = 633,
  [738] = 633,
  [739] = 633,
  [740] = 637,
  [741] = 631,
  [742] = 631,
  [743] = 631,
  [744] = 637,
  [745] = 631,
  [746] = 633,
  [747] = 637,
  [748] = 633,
  [749] = 631,
  [750] = 633,
  [751] = 637,
  [752] = 633,
  [753] = 536,
  [754] = 637,
  [755] = 637,
  [756] = 631,
  [757] = 637,
  [758] = 631,
  [759] = 633,
  [760] = 637,
  [761] = 633,
  [762] = 633,
  [763] = 631,
  [764] = 633,
  [765] = 631,
  [766] = 637,
  [767] = 637,
  [768] = 633,
  [769] = 536,
  [770] = 637,
  [771] = 631,
  [772] = 633,
  [773] = 633,
  [774] = 637,
  [775] = 637,
  [776] = 631,
  [777] = 633,
  [778] = 637,
  [779] = 637,
  [780] = 633,
  [781] = 631,
  [782] = 633,
  [783] = 633,
  [784] = 637,
  [785] = 633,
  [786] = 633,
  [787] = 633,
  [788] = 637,
  [789] = 637,
  [790] = 633,
  [791] = 631,
  [792] = 633,
  [793] = 633,
  [794] = 631,
  [795] = 631,
  [796] = 631,
  [797] = 633,
  [798] = 633,
  [799] = 637,
  [800] = 637,
  [801] = 637,
  [802] = 637,
  [803] = 637,
  [804] = 631,
  [805] = 631,
  [806] = 637,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 808,
  [825] = 825,
  [826] = 826,
  [827] = 815,
  [828] = 815,
  [829] = 822,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 815,
  [834] = 834,
  [835] = 826,
  [836] = 836,
  [837] = 814,
  [838] = 830,
  [839] = 831,
  [840] = 815,
  [841] = 841,
  [842] = 836,
  [843] = 831,
  [844] = 822,
  [845] = 823,
  [846] = 825,
  [847] = 808,
  [848] = 808,
  [849] = 825,
  [850] = 826,
  [851] = 823,
  [852] = 823,
  [853] = 826,
  [854] = 825,
  [855] = 808,
  [856] = 808,
  [857] = 825,
  [858] = 826,
  [859] = 815,
  [860] = 822,
  [861] = 831,
  [862] = 807,
  [863] = 823,
  [864] = 836,
  [865] = 814,
  [866] = 830,
  [867] = 836,
  [868] = 831,
  [869] = 822,
  [870] = 823,
  [871] = 830,
  [872] = 814,
  [873] = 815,
  [874] = 831,
  [875] = 808,
  [876] = 825,
  [877] = 836,
  [878] = 826,
  [879] = 822,
  [880] = 815,
  [881] = 822,
  [882] = 825,
  [883] = 814,
  [884] = 830,
  [885] = 822,
  [886] = 836,
  [887] = 836,
  [888] = 831,
  [889] = 822,
  [890] = 834,
  [891] = 815,
  [892] = 830,
  [893] = 823,
  [894] = 808,
  [895] = 825,
  [896] = 817,
  [897] = 831,
  [898] = 831,
  [899] = 836,
  [900] = 832,
  [901] = 818,
  [902] = 834,
  [903] = 826,
  [904] = 823,
  [905] = 819,
  [906] = 814,
  [907] = 826,
  [908] = 841,
  [909] = 830,
  [910] = 830,
  [911] = 814,
  [912] = 815,
  [913] = 836,
  [914] = 830,
  [915] = 814,
  [916] = 836,
  [917] = 830,
  [918] = 831,
  [919] = 825,
  [920] = 808,
  [921] = 830,
  [922] = 807,
  [923] = 814,
  [924] = 823,
  [925] = 808,
  [926] = 814,
  [927] = 820,
  [928] = 830,
  [929] = 836,
  [930] = 822,
  [931] = 831,
  [932] = 536,
  [933] = 822,
  [934] = 831,
  [935] = 814,
  [936] = 823,
  [937] = 808,
  [938] = 823,
  [939] = 822,
  [940] = 836,
  [941] = 830,
  [942] = 815,
  [943] = 825,
  [944] = 832,
  [945] = 814,
  [946] = 826,
  [947] = 825,
  [948] = 832,
  [949] = 826,
  [950] = 834,
  [951] = 826,
  [952] = 836,
  [953] = 841,
  [954] = 815,
  [955] = 808,
  [956] = 825,
  [957] = 807,
  [958] = 831,
  [959] = 823,
  [960] = 814,
  [961] = 826,
  [962] = 808,
  [963] = 825,
  [964] = 826,
  [965] = 814,
  [966] = 832,
  [967] = 836,
  [968] = 834,
  [969] = 830,
  [970] = 836,
  [971] = 831,
  [972] = 826,
  [973] = 841,
  [974] = 815,
  [975] = 808,
  [976] = 823,
  [977] = 807,
  [978] = 815,
  [979] = 822,
  [980] = 832,
  [981] = 834,
  [982] = 822,
  [983] = 831,
  [984] = 823,
  [985] = 836,
  [986] = 841,
  [987] = 815,
  [988] = 808,
  [989] = 825,
  [990] = 807,
  [991] = 830,
  [992] = 826,
  [993] = 814,
  [994] = 832,
  [995] = 834,
  [996] = 841,
  [997] = 830,
  [998] = 836,
  [999] = 814,
  [1000] = 807,
  [1001] = 831,
  [1002] = 815,
  [1003] = 825,
  [1004] = 832,
  [1005] = 814,
  [1006] = 834,
  [1007] = 826,
  [1008] = 826,
  [1009] = 825,
  [1010] = 808,
  [1011] = 841,
  [1012] = 807,
  [1013] = 822,
  [1014] = 816,
  [1015] = 825,
  [1016] = 814,
  [1017] = 832,
  [1018] = 834,
  [1019] = 808,
  [1020] = 841,
  [1021] = 807,
  [1022] = 823,
  [1023] = 808,
  [1024] = 808,
  [1025] = 825,
  [1026] = 826,
  [1027] = 823,
  [1028] = 814,
  [1029] = 814,
  [1030] = 815,
  [1031] = 823,
  [1032] = 821,
  [1033] = 832,
  [1034] = 834,
  [1035] = 830,
  [1036] = 822,
  [1037] = 822,
  [1038] = 841,
  [1039] = 815,
  [1040] = 807,
  [1041] = 836,
  [1042] = 831,
  [1043] = 830,
  [1044] = 831,
  [1045] = 823,
  [1046] = 832,
  [1047] = 834,
  [1048] = 815,
  [1049] = 822,
  [1050] = 830,
  [1051] = 823,
  [1052] = 841,
  [1053] = 536,
  [1054] = 807,
  [1055] = 808,
  [1056] = 836,
  [1057] = 836,
  [1058] = 830,
  [1059] = 831,
  [1060] = 814,
  [1061] = 807,
  [1062] = 814,
  [1063] = 832,
  [1064] = 825,
  [1065] = 834,
  [1066] = 826,
  [1067] = 830,
  [1068] = 841,
  [1069] = 831,
  [1070] = 836,
  [1071] = 836,
  [1072] = 831,
  [1073] = 831,
  [1074] = 807,
  [1075] = 822,
  [1076] = 832,
  [1077] = 834,
  [1078] = 841,
  [1079] = 822,
  [1080] = 807,
  [1081] = 815,
  [1082] = 826,
  [1083] = 808,
  [1084] = 825,
  [1085] = 836,
  [1086] = 832,
  [1087] = 834,
  [1088] = 841,
  [1089] = 812,
  [1090] = 815,
  [1091] = 823,
  [1092] = 807,
  [1093] = 825,
  [1094] = 808,
  [1095] = 825,
  [1096] = 815,
  [1097] = 826,
  [1098] = 814,
  [1099] = 830,
  [1100] = 832,
  [1101] = 834,
  [1102] = 836,
  [1103] = 815,
  [1104] = 841,
  [1105] = 831,
  [1106] = 808,
  [1107] = 826,
  [1108] = 807,
  [1109] = 831,
  [1110] = 836,
  [1111] = 830,
  [1112] = 823,
  [1113] = 822,
  [1114] = 814,
  [1115] = 832,
  [1116] = 834,
  [1117] = 822,
  [1118] = 823,
  [1119] = 536,
  [1120] = 822,
  [1121] = 841,
  [1122] = 808,
  [1123] = 825,
  [1124] = 807,
  [1125] = 826,
  [1126] = 825,
  [1127] = 808,
  [1128] = 814,
  [1129] = 830,
  [1130] = 823,
  [1131] = 822,
  [1132] = 836,
  [1133] = 831,
  [1134] = 832,
  [1135] = 831,
  [1136] = 834,
  [1137] = 841,
  [1138] = 830,
  [1139] = 826,
  [1140] = 836,
  [1141] = 832,
  [1142] = 834,
  [1143] = 822,
  [1144] = 841,
  [1145] = 830,
  [1146] = 807,
  [1147] = 832,
  [1148] = 823,
  [1149] = 834,
  [1150] = 815,
  [1151] = 831,
  [1152] = 836,
  [1153] = 841,
  [1154] = 808,
  [1155] = 822,
  [1156] = 814,
  [1157] = 825,
  [1158] = 826,
  [1159] = 807,
  [1160] = 814,
  [1161] = 832,
  [1162] = 834,
  [1163] = 830,
  [1164] = 815,
  [1165] = 841,
  [1166] = 807,
  [1167] = 814,
  [1168] = 826,
  [1169] = 830,
  [1170] = 814,
  [1171] = 830,
  [1172] = 836,
  [1173] = 823,
  [1174] = 807,
  [1175] = 813,
  [1176] = 832,
  [1177] = 834,
  [1178] = 831,
  [1179] = 841,
  [1180] = 807,
  [1181] = 822,
  [1182] = 808,
  [1183] = 825,
  [1184] = 814,
  [1185] = 832,
  [1186] = 830,
  [1187] = 834,
  [1188] = 830,
  [1189] = 826,
  [1190] = 815,
  [1191] = 836,
  [1192] = 831,
  [1193] = 830,
  [1194] = 826,
  [1195] = 825,
  [1196] = 815,
  [1197] = 841,
  [1198] = 836,
  [1199] = 831,
  [1200] = 807,
  [1201] = 529,
  [1202] = 825,
  [1203] = 832,
  [1204] = 815,
  [1205] = 808,
  [1206] = 834,
  [1207] = 809,
  [1208] = 823,
  [1209] = 808,
  [1210] = 808,
  [1211] = 841,
  [1212] = 807,
  [1213] = 826,
  [1214] = 822,
  [1215] = 825,
  [1216] = 825,
  [1217] = 826,
  [1218] = 832,
  [1219] = 841,
  [1220] = 808,
  [1221] = 834,
  [1222] = 815,
  [1223] = 826,
  [1224] = 841,
  [1225] = 823,
  [1226] = 807,
  [1227] = 826,
  [1228] = 831,
  [1229] = 823,
  [1230] = 825,
  [1231] = 826,
  [1232] = 832,
  [1233] = 811,
  [1234] = 834,
  [1235] = 823,
  [1236] = 822,
  [1237] = 841,
  [1238] = 807,
  [1239] = 823,
  [1240] = 825,
  [1241] = 815,
  [1242] = 808,
  [1243] = 814,
  [1244] = 830,
  [1245] = 836,
  [1246] = 832,
  [1247] = 815,
  [1248] = 834,
  [1249] = 834,
  [1250] = 841,
  [1251] = 823,
  [1252] = 807,
  [1253] = 831,
  [1254] = 836,
  [1255] = 831,
  [1256] = 822,
  [1257] = 832,
  [1258] = 810,
  [1259] = 823,
  [1260] = 814,
  [1261] = 832,
  [1262] = 834,
  [1263] = 841,
  [1264] = 807,
  [1265] = 808,
  [1266] = 822,
  [1267] = 814,
  [1268] = 832,
  [1269] = 834,
  [1270] = 830,
  [1271] = 841,
  [1272] = 826,
  [1273] = 822,
  [1274] = 830,
  [1275] = 836,
  [1276] = 831,
  [1277] = 825,
  [1278] = 836,
  [1279] = 808,
  [1280] = 814,
  [1281] = 815,
  [1282] = 807,
  [1283] = 825,
  [1284] = 832,
  [1285] = 834,
  [1286] = 841,
  [1287] = 831,
  [1288] = 807,
  [1289] = 826,
  [1290] = 822,
  [1291] = 832,
  [1292] = 834,
  [1293] = 841,
  [1294] = 841,
  [1295] = 807,
  [1296] = 815,
  [1297] = 823,
  [1298] = 823,
  [1299] = 823,
  [1300] = 811,
  [1301] = 812,
  [1302] = 815,
  [1303] = 822,
  [1304] = 815,
  [1305] = 832,
  [1306] = 834,
  [1307] = 823,
  [1308] = 841,
  [1309] = 808,
  [1310] = 825,
  [1311] = 823,
  [1312] = 826,
  [1313] = 807,
  [1314] = 832,
  [1315] = 834,
  [1316] = 815,
  [1317] = 808,
  [1318] = 841,
  [1319] = 822,
  [1320] = 815,
  [1321] = 826,
  [1322] = 807,
  [1323] = 825,
  [1324] = 826,
  [1325] = 825,
  [1326] = 808,
  [1327] = 822,
  [1328] = 814,
  [1329] = 815,
  [1330] = 832,
  [1331] = 834,
  [1332] = 841,
  [1333] = 536,
  [1334] = 807,
  [1335] = 830,
  [1336] = 831,
  [1337] = 832,
  [1338] = 836,
  [1339] = 823,
  [1340] = 822,
  [1341] = 831,
  [1342] = 834,
  [1343] = 841,
  [1344] = 822,
  [1345] = 831,
  [1346] = 807,
  [1347] = 814,
  [1348] = 822,
  [1349] = 823,
  [1350] = 830,
  [1351] = 822,
  [1352] = 836,
  [1353] = 831,
  [1354] = 814,
  [1355] = 832,
  [1356] = 834,
  [1357] = 841,
  [1358] = 807,
  [1359] = 808,
  [1360] = 825,
  [1361] = 836,
  [1362] = 832,
  [1363] = 834,
  [1364] = 830,
  [1365] = 830,
  [1366] = 808,
  [1367] = 841,
  [1368] = 807,
  [1369] = 826,
  [1370] = 822,
  [1371] = 832,
  [1372] = 814,
  [1373] = 834,
  [1374] = 836,
  [1375] = 823,
  [1376] = 813,
  [1377] = 841,
  [1378] = 823,
  [1379] = 807,
  [1380] = 825,
  [1381] = 831,
  [1382] = 814,
  [1383] = 808,
  [1384] = 825,
  [1385] = 832,
  [1386] = 831,
  [1387] = 834,
  [1388] = 822,
  [1389] = 826,
  [1390] = 823,
  [1391] = 841,
  [1392] = 807,
  [1393] = 808,
  [1394] = 825,
  [1395] = 826,
  [1396] = 822,
  [1397] = 836,
  [1398] = 832,
  [1399] = 834,
  [1400] = 830,
  [1401] = 841,
  [1402] = 808,
  [1403] = 825,
  [1404] = 807,
  [1405] = 815,
  [1406] = 823,
  [1407] = 826,
  [1408] = 832,
  [1409] = 834,
  [1410] = 841,
  [1411] = 808,
  [1412] = 807,
  [1413] = 814,
  [1414] = 825,
  [1415] = 815,
  [1416] = 832,
  [1417] = 834,
  [1418] = 841,
  [1419] = 807,
  [1420] = 808,
  [1421] = 815,
  [1422] = 826,
  [1423] = 832,
  [1424] = 814,
  [1425] = 834,
  [1426] = 814,
  [1427] = 841,
  [1428] = 807,
  [1429] = 830,
  [1430] = 836,
  [1431] = 831,
  [1432] = 832,
  [1433] = 834,
  [1434] = 841,
  [1435] = 807,
  [1436] = 815,
  [1437] = 832,
  [1438] = 834,
  [1439] = 841,
  [1440] = 807,
  [1441] = 814,
  [1442] = 822,
  [1443] = 832,
  [1444] = 834,
  [1445] = 836,
  [1446] = 841,
  [1447] = 807,
  [1448] = 826,
  [1449] = 830,
  [1450] = 816,
  [1451] = 836,
  [1452] = 825,
  [1453] = 808,
  [1454] = 823,
  [1455] = 832,
  [1456] = 825,
  [1457] = 834,
  [1458] = 822,
  [1459] = 826,
  [1460] = 834,
  [1461] = 841,
  [1462] = 823,
  [1463] = 807,
  [1464] = 831,
  [1465] = 808,
  [1466] = 825,
  [1467] = 826,
  [1468] = 832,
  [1469] = 814,
  [1470] = 834,
  [1471] = 830,
  [1472] = 841,
  [1473] = 807,
  [1474] = 814,
  [1475] = 822,
  [1476] = 815,
  [1477] = 823,
  [1478] = 808,
  [1479] = 832,
  [1480] = 815,
  [1481] = 831,
  [1482] = 834,
  [1483] = 822,
  [1484] = 841,
  [1485] = 834,
  [1486] = 836,
  [1487] = 830,
  [1488] = 830,
  [1489] = 807,
  [1490] = 825,
  [1491] = 814,
  [1492] = 826,
  [1493] = 832,
  [1494] = 834,
  [1495] = 841,
  [1496] = 807,
  [1497] = 830,
  [1498] = 832,
  [1499] = 834,
  [1500] = 841,
  [1501] = 807,
  [1502] = 814,
  [1503] = 832,
  [1504] = 836,
  [1505] = 841,
  [1506] = 836,
  [1507] = 830,
  [1508] = 810,
  [1509] = 807,
  [1510] = 831,
  [1511] = 836,
  [1512] = 836,
  [1513] = 831,
  [1514] = 815,
  [1515] = 815,
  [1516] = 832,
  [1517] = 831,
  [1518] = 841,
  [1519] = 826,
  [1520] = 825,
  [1521] = 808,
  [1522] = 817,
  [1523] = 834,
  [1524] = 807,
  [1525] = 818,
  [1526] = 815,
  [1527] = 823,
  [1528] = 823,
  [1529] = 819,
  [1530] = 832,
  [1531] = 822,
  [1532] = 841,
  [1533] = 830,
  [1534] = 807,
  [1535] = 831,
  [1536] = 822,
  [1537] = 836,
  [1538] = 807,
  [1539] = 830,
  [1540] = 841,
  [1541] = 832,
  [1542] = 841,
  [1543] = 834,
  [1544] = 814,
  [1545] = 807,
  [1546] = 820,
  [1547] = 815,
  [1548] = 808,
  [1549] = 832,
  [1550] = 823,
  [1551] = 814,
  [1552] = 808,
  [1553] = 825,
  [1554] = 823,
  [1555] = 826,
  [1556] = 830,
  [1557] = 815,
  [1558] = 836,
  [1559] = 815,
  [1560] = 831,
  [1561] = 822,
  [1562] = 823,
  [1563] = 808,
  [1564] = 825,
  [1565] = 825,
  [1566] = 826,
  [1567] = 826,
  [1568] = 825,
  [1569] = 831,
  [1570] = 814,
  [1571] = 826,
  [1572] = 815,
  [1573] = 808,
  [1574] = 821,
  [1575] = 814,
  [1576] = 815,
  [1577] = 820,
  [1578] = 815,
  [1579] = 825,
  [1580] = 808,
  [1581] = 830,
  [1582] = 823,
  [1583] = 819,
  [1584] = 830,
  [1585] = 836,
  [1586] = 831,
  [1587] = 822,
  [1588] = 818,
  [1589] = 814,
  [1590] = 834,
  [1591] = 817,
  [1592] = 831,
  [1593] = 821,
  [1594] = 831,
  [1595] = 836,
  [1596] = 831,
  [1597] = 823,
  [1598] = 826,
  [1599] = 816,
  [1600] = 822,
  [1601] = 813,
  [1602] = 809,
  [1603] = 812,
  [1604] = 811,
  [1605] = 814,
  [1606] = 823,
  [1607] = 808,
  [1608] = 825,
  [1609] = 826,
  [1610] = 830,
  [1611] = 810,
  [1612] = 836,
  [1613] = 809,
  [1614] = 815,
  [1615] = 836,
  [1616] = 831,
  [1617] = 821,
  [1618] = 814,
  [1619] = 820,
  [1620] = 830,
  [1621] = 819,
  [1622] = 818,
  [1623] = 817,
  [1624] = 836,
  [1625] = 831,
  [1626] = 822,
  [1627] = 816,
  [1628] = 822,
  [1629] = 823,
  [1630] = 813,
  [1631] = 808,
  [1632] = 836,
  [1633] = 830,
  [1634] = 825,
  [1635] = 812,
  [1636] = 830,
  [1637] = 814,
  [1638] = 811,
  [1639] = 826,
  [1640] = 823,
  [1641] = 808,
  [1642] = 825,
  [1643] = 826,
  [1644] = 822,
  [1645] = 822,
  [1646] = 810,
  [1647] = 809,
  [1648] = 815,
  [1649] = 814,
  [1650] = 815,
  [1651] = 1651,
  [1652] = 1651,
  [1653] = 1651,
  [1654] = 1651,
  [1655] = 1651,
  [1656] = 1651,
  [1657] = 529,
  [1658] = 1651,
  [1659] = 529,
  [1660] = 1651,
  [1661] = 1651,
  [1662] = 1651,
  [1663] = 1651,
  [1664] = 1651,
  [1665] = 1651,
  [1666] = 1651,
  [1667] = 529,
  [1668] = 1651,
  [1669] = 529,
  [1670] = 1651,
  [1671] = 1651,
  [1672] = 1651,
  [1673] = 1651,
  [1674] = 1651,
  [1675] = 1651,
  [1676] = 1651,
  [1677] = 529,
  [1678] = 1651,
  [1679] = 536,
  [1680] = 1651,
  [1681] = 529,
  [1682] = 1651,
  [1683] = 1651,
  [1684] = 1651,
  [1685] = 1651,
  [1686] = 1651,
  [1687] = 1651,
  [1688] = 1651,
  [1689] = 529,
  [1690] = 1651,
  [1691] = 1651,
  [1692] = 1651,
  [1693] = 1651,
  [1694] = 1651,
  [1695] = 1651,
  [1696] = 1651,
  [1697] = 1651,
  [1698] = 1651,
  [1699] = 529,
  [1700] = 1651,
  [1701] = 1651,
  [1702] = 1651,
  [1703] = 1651,
  [1704] = 529,
  [1705] = 1651,
  [1706] = 1651,
  [1707] = 1651,
  [1708] = 1651,
  [1709] = 1651,
  [1710] = 529,
  [1711] = 1651,
  [1712] = 1651,
  [1713] = 1651,
  [1714] = 1651,
  [1715] = 1651,
  [1716] = 1651,
  [1717] = 529,
  [1718] = 1651,
  [1719] = 1651,
  [1720] = 1651,
  [1721] = 529,
  [1722] = 1651,
  [1723] = 529,
  [1724] = 1651,
  [1725] = 1651,
  [1726] = 1651,
  [1727] = 1651,
  [1728] = 1651,
  [1729] = 1651,
  [1730] = 1651,
  [1731] = 1651,
  [1732] = 1651,
  [1733] = 1651,
  [1734] = 1651,
  [1735] = 1651,
  [1736] = 1651,
  [1737] = 529,
  [1738] = 1651,
  [1739] = 1651,
  [1740] = 1651,
  [1741] = 1651,
  [1742] = 1651,
  [1743] = 1651,
  [1744] = 1651,
  [1745] = 1651,
  [1746] = 1651,
  [1747] = 1651,
  [1748] = 1651,
  [1749] = 529,
  [1750] = 1651,
  [1751] = 1651,
  [1752] = 1651,
  [1753] = 1651,
  [1754] = 1651,
  [1755] = 1651,
  [1756] = 1651,
  [1757] = 1651,
  [1758] = 1651,
  [1759] = 1651,
  [1760] = 1651,
  [1761] = 529,
  [1762] = 1651,
  [1763] = 1651,
  [1764] = 1651,
  [1765] = 536,
  [1766] = 1651,
  [1767] = 529,
  [1768] = 529,
  [1769] = 1651,
  [1770] = 529,
  [1771] = 1651,
  [1772] = 1651,
  [1773] = 1651,
  [1774] = 1651,
  [1775] = 529,
  [1776] = 1651,
  [1777] = 1651,
  [1778] = 1651,
  [1779] = 1651,
  [1780] = 1651,
  [1781] = 1651,
  [1782] = 1651,
  [1783] = 1651,
  [1784] = 1651,
  [1785] = 1651,
  [1786] = 1651,
  [1787] = 529,
  [1788] = 1651,
  [1789] = 529,
  [1790] = 1651,
  [1791] = 1651,
  [1792] = 1651,
  [1793] = 1651,
  [1794] = 529,
  [1795] = 529,
  [1796] = 1651,
  [1797] = 1651,
  [1798] = 1651,
  [1799] = 529,
  [1800] = 1800,
  [1801] = 1800,
  [1802] = 1800,
  [1803] = 1800,
  [1804] = 1800,
  [1805] = 1800,
  [1806] = 1800,
  [1807] = 1800,
  [1808] = 1800,
  [1809] = 1800,
  [1810] = 1800,
  [1811] = 1800,
  [1812] = 536,
  [1813] = 1800,
  [1814] = 1800,
  [1815] = 536,
  [1816] = 1800,
  [1817] = 1800,
  [1818] = 1800,
  [1819] = 1800,
  [1820] = 1800,
  [1821] = 1800,
  [1822] = 1800,
  [1823] = 1800,
  [1824] = 1800,
  [1825] = 1800,
  [1826] = 1800,
  [1827] = 1800,
  [1828] = 1800,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1831,
  [1833] = 1831,
  [1834] = 1831,
  [1835] = 1829,
  [1836] = 1831,
  [1837] = 1831,
  [1838] = 1829,
  [1839] = 1830,
  [1840] = 1831,
  [1841] = 1831,
  [1842] = 1830,
  [1843] = 1829,
  [1844] = 1831,
  [1845] = 1829,
  [1846] = 1830,
  [1847] = 1830,
  [1848] = 1830,
  [1849] = 1831,
  [1850] = 1831,
  [1851] = 1831,
  [1852] = 1831,
  [1853] = 1829,
  [1854] = 1831,
  [1855] = 1831,
  [1856] = 1831,
  [1857] = 1829,
  [1858] = 1831,
  [1859] = 1829,
  [1860] = 1831,
  [1861] = 1829,
  [1862] = 1830,
  [1863] = 1831,
  [1864] = 1831,
  [1865] = 1831,
  [1866] = 1831,
  [1867] = 1829,
  [1868] = 1831,
  [1869] = 1831,
  [1870] = 1831,
  [1871] = 1831,
  [1872] = 1831,
  [1873] = 1830,
  [1874] = 1831,
  [1875] = 1830,
  [1876] = 1831,
  [1877] = 1831,
  [1878] = 1829,
  [1879] = 1831,
  [1880] = 1831,
  [1881] = 1831,
  [1882] = 1830,
  [1883] = 1831,
  [1884] = 1831,
  [1885] = 1830,
  [1886] = 1831,
  [1887] = 1829,
  [1888] = 1829,
  [1889] = 1830,
  [1890] = 1831,
  [1891] = 1831,
  [1892] = 1831,
  [1893] = 1829,
  [1894] = 1831,
  [1895] = 1829,
  [1896] = 1831,
  [1897] = 1831,
  [1898] = 1831,
  [1899] = 1831,
  [1900] = 1829,
  [1901] = 1829,
  [1902] = 1831,
  [1903] = 1831,
  [1904] = 1829,
  [1905] = 1831,
  [1906] = 1831,
  [1907] = 1829,
  [1908] = 1830,
  [1909] = 1831,
  [1910] = 1831,
  [1911] = 1831,
  [1912] = 1831,
  [1913] = 1829,
  [1914] = 1831,
  [1915] = 1831,
  [1916] = 1831,
  [1917] = 1829,
  [1918] = 1831,
  [1919] = 1831,
  [1920] = 1829,
  [1921] = 1829,
  [1922] = 1831,
  [1923] = 1829,
  [1924] = 1831,
  [1925] = 1829,
  [1926] = 1831,
  [1927] = 1831,
  [1928] = 1831,
  [1929] = 1831,
  [1930] = 1831,
  [1931] = 1831,
  [1932] = 1829,
  [1933] = 1831,
  [1934] = 1830,
  [1935] = 1829,
  [1936] = 1831,
  [1937] = 1829,
  [1938] = 1829,
  [1939] = 1831,
  [1940] = 1831,
  [1941] = 1831,
  [1942] = 1829,
  [1943] = 1831,
  [1944] = 1829,
  [1945] = 1831,
  [1946] = 1830,
  [1947] = 1831,
  [1948] = 1831,
  [1949] = 1829,
  [1950] = 1831,
  [1951] = 1831,
  [1952] = 1831,
  [1953] = 1830,
  [1954] = 1831,
  [1955] = 1831,
  [1956] = 1831,
  [1957] = 1831,
  [1958] = 1831,
  [1959] = 1831,
  [1960] = 1831,
  [1961] = 1829,
  [1962] = 1831,
  [1963] = 1830,
  [1964] = 1830,
  [1965] = 1831,
  [1966] = 1831,
  [1967] = 1831,
  [1968] = 1829,
  [1969] = 1829,
  [1970] = 1831,
  [1971] = 1831,
  [1972] = 1831,
  [1973] = 1829,
  [1974] = 1831,
  [1975] = 1831,
  [1976] = 1830,
  [1977] = 1831,
  [1978] = 1829,
  [1979] = 1831,
  [1980] = 1831,
  [1981] = 1831,
  [1982] = 1829,
  [1983] = 1829,
  [1984] = 1831,
  [1985] = 1831,
  [1986] = 1829,
  [1987] = 1831,
  [1988] = 1830,
  [1989] = 1989,
  [1990] = 1829,
  [1991] = 1831,
  [1992] = 1831,
  [1993] = 1829,
  [1994] = 1830,
  [1995] = 1829,
  [1996] = 1831,
  [1997] = 1831,
  [1998] = 1829,
  [1999] = 1831,
  [2000] = 1831,
  [2001] = 1830,
  [2002] = 1831,
  [2003] = 1831,
  [2004] = 1829,
  [2005] = 1831,
  [2006] = 1831,
  [2007] = 1829,
  [2008] = 1829,
  [2009] = 1829,
  [2010] = 1829,
  [2011] = 1831,
  [2012] = 1831,
  [2013] = 1830,
  [2014] = 1829,
  [2015] = 1830,
  [2016] = 1829,
  [2017] = 1831,
  [2018] = 1831,
  [2019] = 1829,
  [2020] = 2020,
  [2021] = 1831,
  [2022] = 1831,
  [2023] = 1831,
  [2024] = 1830,
  [2025] = 1831,
  [2026] = 1831,
  [2027] = 1831,
  [2028] = 1829,
  [2029] = 1829,
  [2030] = 1829,
  [2031] = 1831,
  [2032] = 1831,
  [2033] = 1829,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2036,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2038,
  [2041] = 2034,
  [2042] = 2042,
  [2043] = 2036,
  [2044] = 2044,
  [2045] = 2034,
  [2046] = 2036,
  [2047] = 2047,
  [2048] = 2034,
  [2049] = 2036,
  [2050] = 2036,
  [2051] = 2042,
  [2052] = 2034,
  [2053] = 2036,
  [2054] = 2054,
  [2055] = 2036,
  [2056] = 2036,
  [2057] = 2038,
  [2058] = 2034,
  [2059] = 2038,
  [2060] = 2042,
  [2061] = 2042,
  [2062] = 2062,
  [2063] = 2042,
  [2064] = 2036,
  [2065] = 2036,
  [2066] = 2036,
  [2067] = 2034,
  [2068] = 2047,
  [2069] = 2069,
  [2070] = 2047,
  [2071] = 2038,
  [2072] = 2036,
  [2073] = 2039,
  [2074] = 2074,
  [2075] = 2042,
  [2076] = 2042,
  [2077] = 2038,
  [2078] = 2039,
  [2079] = 2036,
  [2080] = 2036,
  [2081] = 2038,
  [2082] = 2082,
  [2083] = 2034,
  [2084] = 2038,
  [2085] = 2034,
  [2086] = 2074,
  [2087] = 2054,
  [2088] = 2047,
  [2089] = 2039,
  [2090] = 2036,
  [2091] = 2091,
  [2092] = 2038,
  [2093] = 2042,
  [2094] = 2047,
  [2095] = 2034,
  [2096] = 2034,
  [2097] = 2036,
  [2098] = 2034,
  [2099] = 2042,
  [2100] = 2036,
  [2101] = 2047,
  [2102] = 2038,
  [2103] = 2038,
  [2104] = 2038,
  [2105] = 2036,
  [2106] = 2038,
  [2107] = 2042,
  [2108] = 2039,
  [2109] = 2074,
  [2110] = 2036,
  [2111] = 2034,
  [2112] = 2039,
  [2113] = 2074,
  [2114] = 2039,
  [2115] = 2038,
  [2116] = 2042,
  [2117] = 2042,
  [2118] = 2118,
  [2119] = 2074,
  [2120] = 2036,
  [2121] = 2039,
  [2122] = 2034,
  [2123] = 2036,
  [2124] = 2047,
  [2125] = 2038,
  [2126] = 2074,
  [2127] = 2036,
  [2128] = 2042,
  [2129] = 2129,
  [2130] = 2047,
  [2131] = 2042,
  [2132] = 2042,
  [2133] = 2036,
  [2134] = 2038,
  [2135] = 2042,
  [2136] = 2039,
  [2137] = 2034,
  [2138] = 2038,
  [2139] = 2036,
  [2140] = 2074,
  [2141] = 2034,
  [2142] = 2042,
  [2143] = 2034,
  [2144] = 2074,
  [2145] = 2039,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2044,
  [2149] = 2074,
  [2150] = 2039,
  [2151] = 2039,
  [2152] = 2034,
  [2153] = 2147,
  [2154] = 2034,
  [2155] = 2036,
  [2156] = 2074,
  [2157] = 2034,
  [2158] = 2038,
  [2159] = 2042,
  [2160] = 2038,
  [2161] = 2042,
  [2162] = 2034,
  [2163] = 2034,
  [2164] = 2034,
  [2165] = 2042,
  [2166] = 2047,
  [2167] = 2038,
  [2168] = 2034,
  [2169] = 2074,
  [2170] = 2034,
  [2171] = 2039,
  [2172] = 2036,
  [2173] = 2042,
  [2174] = 2047,
  [2175] = 2038,
  [2176] = 2034,
  [2177] = 2147,
  [2178] = 2147,
  [2179] = 2042,
  [2180] = 2036,
  [2181] = 2042,
  [2182] = 2182,
  [2183] = 2036,
  [2184] = 2147,
  [2185] = 2054,
  [2186] = 2036,
  [2187] = 2042,
  [2188] = 2042,
  [2189] = 2147,
  [2190] = 2036,
  [2191] = 2034,
  [2192] = 2036,
  [2193] = 2074,
  [2194] = 2038,
  [2195] = 2047,
  [2196] = 2034,
  [2197] = 2034,
  [2198] = 2034,
  [2199] = 2034,
  [2200] = 2038,
  [2201] = 2074,
  [2202] = 2036,
  [2203] = 2039,
  [2204] = 2044,
  [2205] = 2036,
  [2206] = 2034,
  [2207] = 2034,
  [2208] = 2039,
  [2209] = 2074,
  [2210] = 2036,
  [2211] = 2042,
  [2212] = 2042,
  [2213] = 2042,
  [2214] = 2038,
  [2215] = 2039,
  [2216] = 2036,
  [2217] = 2034,
  [2218] = 2042,
  [2219] = 2038,
  [2220] = 2047,
  [2221] = 2034,
  [2222] = 2042,
  [2223] = 2034,
  [2224] = 2034,
  [2225] = 2034,
  [2226] = 2147,
  [2227] = 2034,
  [2228] = 2034,
  [2229] = 2042,
  [2230] = 2042,
  [2231] = 2231,
  [2232] = 2042,
  [2233] = 2036,
  [2234] = 2074,
  [2235] = 2147,
  [2236] = 2042,
  [2237] = 2237,
  [2238] = 2074,
  [2239] = 2038,
  [2240] = 2047,
  [2241] = 2062,
  [2242] = 2042,
  [2243] = 2034,
  [2244] = 2042,
  [2245] = 2036,
  [2246] = 2036,
  [2247] = 2047,
  [2248] = 2147,
  [2249] = 2042,
  [2250] = 2074,
  [2251] = 2042,
  [2252] = 2034,
  [2253] = 2036,
  [2254] = 2074,
  [2255] = 2038,
  [2256] = 2042,
  [2257] = 2038,
  [2258] = 2042,
  [2259] = 2036,
  [2260] = 2039,
  [2261] = 2042,
  [2262] = 2074,
  [2263] = 2074,
  [2264] = 2038,
  [2265] = 2034,
  [2266] = 2034,
  [2267] = 2039,
  [2268] = 2147,
  [2269] = 2042,
  [2270] = 2147,
  [2271] = 2036,
  [2272] = 2036,
  [2273] = 2273,
  [2274] = 2042,
  [2275] = 2034,
  [2276] = 2038,
  [2277] = 2034,
  [2278] = 2147,
  [2279] = 2036,
  [2280] = 2042,
  [2281] = 2042,
  [2282] = 2042,
  [2283] = 2039,
  [2284] = 2042,
  [2285] = 2047,
  [2286] = 2036,
  [2287] = 2036,
  [2288] = 2042,
  [2289] = 2036,
  [2290] = 2034,
  [2291] = 2147,
  [2292] = 2074,
  [2293] = 2038,
  [2294] = 2039,
  [2295] = 2042,
  [2296] = 2036,
  [2297] = 2074,
  [2298] = 2039,
  [2299] = 2036,
  [2300] = 2074,
  [2301] = 2036,
  [2302] = 2039,
  [2303] = 2038,
  [2304] = 2147,
  [2305] = 2042,
  [2306] = 2036,
  [2307] = 2042,
  [2308] = 2147,
  [2309] = 2034,
  [2310] = 2036,
  [2311] = 2047,
  [2312] = 2034,
  [2313] = 2036,
  [2314] = 2039,
  [2315] = 2074,
  [2316] = 2034,
  [2317] = 2038,
  [2318] = 2074,
  [2319] = 2034,
  [2320] = 2074,
  [2321] = 2034,
  [2322] = 2034,
  [2323] = 2039,
  [2324] = 2038,
  [2325] = 2034,
  [2326] = 2039,
  [2327] = 2042,
  [2328] = 2042,
  [2329] = 2034,
  [2330] = 2147,
  [2331] = 2036,
  [2332] = 2147,
  [2333] = 2147,
  [2334] = 2042,
  [2335] = 2034,
  [2336] = 2062,
  [2337] = 2036,
  [2338] = 2047,
  [2339] = 2042,
  [2340] = 2039,
  [2341] = 2038,
  [2342] = 2042,
  [2343] = 2074,
  [2344] = 2344,
  [2345] = 2038,
  [2346] = 2047,
  [2347] = 2036,
  [2348] = 2348,
  [2349] = 2348,
  [2350] = 2348,
  [2351] = 2351,
  [2352] = 2351,
  [2353] = 2351,
  [2354] = 2351,
  [2355] = 2351,
  [2356] = 2351,
  [2357] = 2351,
  [2358] = 2351,
  [2359] = 2351,
  [2360] = 2351,
  [2361] = 2351,
  [2362] = 2351,
  [2363] = 2351,
  [2364] = 2351,
  [2365] = 2351,
  [2366] = 2351,
  [2367] = 2351,
  [2368] = 2351,
  [2369] = 2351,
  [2370] = 2351,
  [2371] = 2351,
  [2372] = 2351,
  [2373] = 2351,
  [2374] = 2351,
  [2375] = 2351,
  [2376] = 2351,
  [2377] = 2351,
  [2378] = 2351,
  [2379] = 2351,
  [2380] = 2351,
  [2381] = 2351,
  [2382] = 2351,
  [2383] = 2351,
  [2384] = 2351,
  [2385] = 2351,
  [2386] = 2351,
  [2387] = 2351,
  [2388] = 2351,
  [2389] = 2351,
  [2390] = 2351,
  [2391] = 2351,
  [2392] = 2351,
  [2393] = 2351,
  [2394] = 2351,
  [2395] = 2351,
  [2396] = 2351,
  [2397] = 2351,
  [2398] = 2351,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2400,
  [2403] = 2399,
  [2404] = 2404,
  [2405] = 2401,
  [2406] = 2406,
  [2407] = 2406,
  [2408] = 2399,
  [2409] = 2409,
  [2410] = 2409,
  [2411] = 2409,
  [2412] = 2412,
  [2413] = 2412,
  [2414] = 2412,
  [2415] = 2412,
  [2416] = 2412,
  [2417] = 2412,
  [2418] = 2412,
  [2419] = 2412,
  [2420] = 2412,
  [2421] = 2412,
  [2422] = 2412,
  [2423] = 2412,
  [2424] = 2412,
  [2425] = 2412,
  [2426] = 2412,
  [2427] = 2412,
  [2428] = 2412,
  [2429] = 2412,
  [2430] = 2412,
  [2431] = 2412,
  [2432] = 2412,
  [2433] = 2412,
  [2434] = 2412,
  [2435] = 2412,
  [2436] = 2436,
  [2437] = 2436,
  [2438] = 2436,
  [2439] = 2439,
  [2440] = 2436,
  [2441] = 2441,
  [2442] = 2441,
  [2443] = 2441,
  [2444] = 2436,
  [2445] = 2436,
  [2446] = 2441,
  [2447] = 2436,
  [2448] = 2436,
  [2449] = 2436,
  [2450] = 2436,
  [2451] = 2451,
  [2452] = 2441,
  [2453] = 2441,
  [2454] = 2441,
  [2455] = 2441,
  [2456] = 2441,
  [2457] = 2441,
  [2458] = 2441,
  [2459] = 2436,
  [2460] = 2436,
  [2461] = 2441,
  [2462] = 2441,
  [2463] = 2441,
  [2464] = 2436,
  [2465] = 2436,
  [2466] = 2441,
  [2467] = 2436,
  [2468] = 2441,
  [2469] = 2436,
  [2470] = 2436,
  [2471] = 2441,
  [2472] = 2436,
  [2473] = 2436,
  [2474] = 2441,
  [2475] = 2436,
  [2476] = 2441,
  [2477] = 2436,
  [2478] = 2441,
  [2479] = 2441,
  [2480] = 2436,
  [2481] = 2441,
  [2482] = 2436,
  [2483] = 2436,
  [2484] = 2451,
  [2485] = 2451,
  [2486] = 2441,
  [2487] = 2348,
  [2488] = 2488,
  [2489] = 2441,
  [2490] = 2441,
  [2491] = 2436,
  [2492] = 2436,
  [2493] = 2441,
  [2494] = 2436,
  [2495] = 2436,
  [2496] = 2441,
  [2497] = 2441,
  [2498] = 2441,
  [2499] = 2436,
  [2500] = 2441,
  [2501] = 2436,
  [2502] = 2441,
  [2503] = 2441,
  [2504] = 2436,
  [2505] = 2436,
  [2506] = 2441,
  [2507] = 2441,
  [2508] = 2441,
  [2509] = 2441,
  [2510] = 2436,
  [2511] = 2436,
  [2512] = 2436,
  [2513] = 2441,
  [2514] = 2436,
  [2515] = 2441,
  [2516] = 2441,
  [2517] = 2441,
  [2518] = 2436,
  [2519] = 2436,
  [2520] = 2441,
  [2521] = 2436,
  [2522] = 2441,
  [2523] = 2436,
  [2524] = 2436,
  [2525] = 2441,
  [2526] = 2436,
  [2527] = 2441,
  [2528] = 2441,
  [2529] = 2436,
  [2530] = 2436,
  [2531] = 2441,
  [2532] = 2441,
  [2533] = 2436,
  [2534] = 2439,
  [2535] = 2441,
  [2536] = 2436,
  [2537] = 2436,
  [2538] = 2441,
  [2539] = 2436,
  [2540] = 2441,
  [2541] = 2436,
  [2542] = 2436,
  [2543] = 2436,
  [2544] = 2441,
  [2545] = 2436,
  [2546] = 2436,
  [2547] = 2547,
  [2548] = 2436,
  [2549] = 2436,
  [2550] = 2441,
  [2551] = 2436,
  [2552] = 2441,
  [2553] = 2441,
  [2554] = 2441,
  [2555] = 2441,
  [2556] = 2441,
  [2557] = 2441,
  [2558] = 2436,
  [2559] = 2441,
  [2560] = 2436,
  [2561] = 2439,
  [2562] = 2436,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2348,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2348,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2574,
  [2575] = 2575,
  [2576] = 2348,
  [2577] = 2348,
  [2578] = 2348,
  [2579] = 2348,
  [2580] = 2580,
  [2581] = 2581,
  [2582] = 2582,
  [2583] = 2582,
  [2584] = 2584,
  [2585] = 2584,
  [2586] = 2581,
  [2587] = 2580,
  [2588] = 2584,
  [2589] = 2580,
  [2590] = 2581,
  [2591] = 2582,
  [2592] = 2581,
  [2593] = 2581,
  [2594] = 2582,
  [2595] = 2584,
  [2596] = 2580,
  [2597] = 2581,
  [2598] = 2581,
  [2599] = 2580,
  [2600] = 2584,
  [2601] = 2348,
  [2602] = 2582,
  [2603] = 2581,
  [2604] = 2348,
  [2605] = 2582,
  [2606] = 2580,
  [2607] = 2584,
  [2608] = 2582,
  [2609] = 2580,
  [2610] = 2581,
  [2611] = 2584,
  [2612] = 2584,
  [2613] = 2581,
  [2614] = 2581,
  [2615] = 2582,
  [2616] = 2580,
  [2617] = 2580,
  [2618] = 2584,
  [2619] = 2580,
  [2620] = 2581,
  [2621] = 2584,
  [2622] = 2582,
  [2623] = 2582,
  [2624] = 2584,
  [2625] = 2581,
  [2626] = 2580,
  [2627] = 2581,
  [2628] = 2584,
  [2629] = 2580,
  [2630] = 2581,
  [2631] = 2584,
  [2632] = 2581,
  [2633] = 2582,
  [2634] = 2581,
  [2635] = 2584,
  [2636] = 2582,
  [2637] = 2584,
  [2638] = 2580,
  [2639] = 2581,
  [2640] = 2582,
  [2641] = 2581,
  [2642] = 2584,
  [2643] = 2580,
  [2644] = 2582,
  [2645] = 2584,
  [2646] = 2580,
  [2647] = 2584,
  [2648] = 2582,
  [2649] = 2582,
  [2650] = 2582,
  [2651] = 2580,
  [2652] = 2581,
  [2653] = 2584,
  [2654] = 2580,
  [2655] = 2581,
  [2656] = 2584,
  [2657] = 2581,
  [2658] = 2584,
  [2659] = 2580,
  [2660] = 2582,
  [2661] = 2581,
  [2662] = 2584,
  [2663] = 2581,
  [2664] = 2584,
  [2665] = 2580,
  [2666] = 2580,
  [2667] = 2580,
  [2668] = 2584,
  [2669] = 2584,
  [2670] = 2581,
  [2671] = 2582,
  [2672] = 2582,
  [2673] = 2584,
  [2674] = 2581,
  [2675] = 2580,
  [2676] = 2581,
  [2677] = 2582,
  [2678] = 2584,
  [2679] = 2580,
  [2680] = 2581,
  [2681] = 2582,
  [2682] = 2584,
  [2683] = 2580,
  [2684] = 2581,
  [2685] = 2584,
  [2686] = 2582,
  [2687] = 2584,
  [2688] = 2581,
  [2689] = 2580,
  [2690] = 2580,
  [2691] = 2580,
  [2692] = 2584,
  [2693] = 2582,
  [2694] = 2581,
  [2695] = 2582,
  [2696] = 2584,
  [2697] = 2582,
  [2698] = 2581,
  [2699] = 2581,
  [2700] = 2581,
  [2701] = 2582,
  [2702] = 2580,
  [2703] = 2584,
  [2704] = 2581,
  [2705] = 2584,
  [2706] = 2582,
  [2707] = 2581,
  [2708] = 2580,
  [2709] = 2581,
  [2710] = 2584,
  [2711] = 2581,
  [2712] = 2582,
  [2713] = 2581,
  [2714] = 2584,
  [2715] = 2582,
  [2716] = 2580,
  [2717] = 2584,
  [2718] = 2584,
  [2719] = 2584,
  [2720] = 2582,
  [2721] = 2580,
  [2722] = 2582,
  [2723] = 2580,
  [2724] = 2581,
  [2725] = 2581,
  [2726] = 2581,
  [2727] = 2582,
  [2728] = 2584,
  [2729] = 2580,
  [2730] = 2581,
  [2731] = 2582,
  [2732] = 2584,
  [2733] = 2580,
  [2734] = 2581,
  [2735] = 2581,
  [2736] = 2582,
  [2737] = 2580,
  [2738] = 2581,
  [2739] = 2584,
  [2740] = 2584,
  [2741] = 2582,
  [2742] = 2584,
  [2743] = 2582,
  [2744] = 2580,
  [2745] = 2580,
  [2746] = 2584,
  [2747] = 2581,
  [2748] = 2581,
  [2749] = 2582,
  [2750] = 2581,
  [2751] = 2581,
  [2752] = 2582,
  [2753] = 2584,
  [2754] = 2580,
  [2755] = 2580,
  [2756] = 2584,
  [2757] = 2581,
  [2758] = 2580,
  [2759] = 2580,
  [2760] = 2584,
  [2761] = 2584,
  [2762] = 2581,
  [2763] = 2581,
  [2764] = 2582,
  [2765] = 2581,
  [2766] = 2581,
  [2767] = 2582,
  [2768] = 2582,
  [2769] = 2584,
  [2770] = 2584,
  [2771] = 2580,
  [2772] = 2580,
  [2773] = 2581,
  [2774] = 2582,
  [2775] = 2582,
  [2776] = 2584,
  [2777] = 2580,
  [2778] = 2581,
  [2779] = 2584,
  [2780] = 2581,
  [2781] = 2582,
  [2782] = 2580,
  [2783] = 2581,
  [2784] = 2584,
  [2785] = 2584,
  [2786] = 2580,
  [2787] = 2584,
  [2788] = 2582,
  [2789] = 2580,
  [2790] = 2582,
  [2791] = 2581,
  [2792] = 2580,
  [2793] = 2581,
  [2794] = 2582,
  [2795] = 2584,
  [2796] = 2581,
  [2797] = 2580,
  [2798] = 2581,
  [2799] = 2580,
  [2800] = 2582,
  [2801] = 2582,
  [2802] = 2584,
  [2803] = 2584,
  [2804] = 2580,
  [2805] = 2581,
  [2806] = 2584,
  [2807] = 2580,
  [2808] = 2582,
  [2809] = 2580,
  [2810] = 2584,
  [2811] = 2581,
  [2812] = 2582,
  [2813] = 2582,
  [2814] = 2581,
  [2815] = 2584,
  [2816] = 2580,
  [2817] = 2582,
  [2818] = 2581,
  [2819] = 2582,
  [2820] = 2584,
  [2821] = 2580,
  [2822] = 2581,
  [2823] = 2582,
  [2824] = 2584,
  [2825] = 2580,
  [2826] = 2580,
  [2827] = 2582,
  [2828] = 2580,
  [2829] = 2584,
  [2830] = 2582,
  [2831] = 2582,
  [2832] = 2584,
  [2833] = 2581,
  [2834] = 2580,
  [2835] = 2580,
  [2836] = 2582,
  [2837] = 2584,
  [2838] = 2584,
  [2839] = 2582,
  [2840] = 2581,
  [2841] = 2582,
  [2842] = 2584,
  [2843] = 2582,
  [2844] = 2580,
  [2845] = 2581,
  [2846] = 2584,
  [2847] = 2582,
  [2848] = 2584,
  [2849] = 2580,
  [2850] = 2584,
  [2851] = 2580,
  [2852] = 2580,
  [2853] = 2581,
  [2854] = 2581,
  [2855] = 2582,
  [2856] = 2581,
  [2857] = 2582,
  [2858] = 2580,
  [2859] = 2581,
  [2860] = 2584,
  [2861] = 2584,
  [2862] = 2584,
  [2863] = 2582,
  [2864] = 2580,
  [2865] = 2580,
  [2866] = 2581,
  [2867] = 2582,
  [2868] = 2581,
  [2869] = 2581,
  [2870] = 2584,
  [2871] = 2581,
  [2872] = 2580,
  [2873] = 2582,
  [2874] = 2584,
  [2875] = 2584,
  [2876] = 2580,
  [2877] = 2581,
  [2878] = 2584,
  [2879] = 2581,
  [2880] = 2582,
  [2881] = 2582,
  [2882] = 2584,
  [2883] = 2582,
  [2884] = 2580,
  [2885] = 2582,
  [2886] = 2584,
  [2887] = 2581,
  [2888] = 2582,
  [2889] = 2581,
  [2890] = 2584,
  [2891] = 2580,
  [2892] = 2581,
  [2893] = 2584,
  [2894] = 2584,
  [2895] = 2580,
  [2896] = 2581,
  [2897] = 2584,
  [2898] = 2580,
  [2899] = 2582,
  [2900] = 2582,
  [2901] = 2584,
  [2902] = 2580,
  [2903] = 2581,
  [2904] = 2581,
  [2905] = 2580,
  [2906] = 2582,
  [2907] = 2584,
  [2908] = 2580,
  [2909] = 2581,
  [2910] = 2581,
  [2911] = 2582,
  [2912] = 2584,
  [2913] = 2580,
  [2914] = 2581,
  [2915] = 2581,
  [2916] = 2581,
  [2917] = 2581,
  [2918] = 2580,
  [2919] = 2580,
  [2920] = 2581,
  [2921] = 2584,
  [2922] = 2582,
  [2923] = 2584,
  [2924] = 2580,
  [2925] = 2582,
  [2926] = 2580,
  [2927] = 2581,
  [2928] = 2584,
  [2929] = 2582,
  [2930] = 2584,
  [2931] = 2580,
  [2932] = 2581,
  [2933] = 2584,
  [2934] = 2582,
  [2935] = 2582,
  [2936] = 2584,
  [2937] = 2580,
  [2938] = 2582,
  [2939] = 2581,
  [2940] = 2582,
  [2941] = 2584,
  [2942] = 2580,
  [2943] = 2581,
  [2944] = 2584,
  [2945] = 2582,
  [2946] = 2582,
  [2947] = 2581,
  [2948] = 2584,
  [2949] = 2580,
  [2950] = 2584,
  [2951] = 2584,
  [2952] = 2580,
  [2953] = 2581,
  [2954] = 2581,
  [2955] = 2582,
  [2956] = 2584,
  [2957] = 2580,
  [2958] = 2584,
  [2959] = 2582,
  [2960] = 2581,
  [2961] = 2584,
  [2962] = 2584,
  [2963] = 2582,
  [2964] = 2581,
  [2965] = 2584,
  [2966] = 2580,
  [2967] = 2580,
  [2968] = 2581,
  [2969] = 2584,
  [2970] = 2582,
  [2971] = 2584,
  [2972] = 2582,
  [2973] = 2580,
  [2974] = 2584,
  [2975] = 2581,
  [2976] = 2581,
  [2977] = 2580,
  [2978] = 2580,
  [2979] = 2582,
  [2980] = 2348,
  [2981] = 2581,
  [2982] = 2582,
  [2983] = 2584,
  [2984] = 2584,
  [2985] = 2580,
  [2986] = 2581,
  [2987] = 2582,
  [2988] = 2582,
  [2989] = 2584,
  [2990] = 2580,
  [2991] = 2582,
  [2992] = 2581,
  [2993] = 2582,
  [2994] = 2584,
  [2995] = 2580,
  [2996] = 2581,
  [2997] = 2582,
  [2998] = 2584,
  [2999] = 2580,
  [3000] = 2581,
  [3001] = 2581,
  [3002] = 2584,
  [3003] = 2584,
  [3004] = 2582,
  [3005] = 2580,
  [3006] = 2584,
  [3007] = 2580,
  [3008] = 2581,
  [3009] = 2581,
  [3010] = 2348,
  [3011] = 2581,
  [3012] = 2584,
  [3013] = 2580,
  [3014] = 2582,
  [3015] = 2584,
  [3016] = 2582,
  [3017] = 2582,
  [3018] = 2584,
  [3019] = 2582,
  [3020] = 2584,
  [3021] = 2580,
  [3022] = 2580,
  [3023] = 2581,
  [3024] = 2581,
  [3025] = 2584,
  [3026] = 2582,
  [3027] = 2584,
  [3028] = 2580,
  [3029] = 2584,
  [3030] = 2581,
  [3031] = 2584,
  [3032] = 2582,
  [3033] = 2582,
  [3034] = 2584,
  [3035] = 2580,
  [3036] = 2580,
  [3037] = 2581,
  [3038] = 2582,
  [3039] = 2584,
  [3040] = 2581,
  [3041] = 2580,
  [3042] = 2581,
  [3043] = 2581,
  [3044] = 2582,
  [3045] = 2580,
  [3046] = 2581,
  [3047] = 2584,
  [3048] = 2584,
  [3049] = 2581,
  [3050] = 2580,
  [3051] = 2582,
  [3052] = 2580,
  [3053] = 2581,
  [3054] = 2584,
  [3055] = 2581,
  [3056] = 2580,
  [3057] = 2582,
  [3058] = 2584,
  [3059] = 2580,
  [3060] = 2581,
  [3061] = 2584,
  [3062] = 2581,
  [3063] = 2581,
  [3064] = 2584,
  [3065] = 2581,
  [3066] = 2584,
  [3067] = 2584,
  [3068] = 2581,
  [3069] = 2581,
  [3070] = 2580,
  [3071] = 2580,
  [3072] = 2584,
  [3073] = 2584,
  [3074] = 2581,
  [3075] = 2581,
  [3076] = 2582,
  [3077] = 2584,
  [3078] = 2581,
  [3079] = 2584,
  [3080] = 2581,
  [3081] = 2581,
  [3082] = 3082,
  [3083] = 3083,
  [3084] = 3084,
  [3085] = 3085,
  [3086] = 3086,
  [3087] = 3087,
  [3088] = 3082,
  [3089] = 2348,
  [3090] = 3090,
  [3091] = 3090,
  [3092] = 3092,
  [3093] = 3082,
  [3094] = 3092,
  [3095] = 3092,
  [3096] = 3090,
  [3097] = 3084,
  [3098] = 3085,
  [3099] = 3086,
  [3100] = 3087,
  [3101] = 3101,
  [3102] = 3085,
  [3103] = 3101,
  [3104] = 3087,
  [3105] = 3086,
  [3106] = 3090,
  [3107] = 2348,
  [3108] = 3108,
  [3109] = 3082,
  [3110] = 3082,
  [3111] = 3084,
  [3112] = 3082,
  [3113] = 3113,
  [3114] = 3084,
  [3115] = 3085,
  [3116] = 3101,
  [3117] = 3087,
  [3118] = 3086,
  [3119] = 3090,
  [3120] = 3082,
  [3121] = 3092,
  [3122] = 3108,
  [3123] = 3092,
  [3124] = 3113,
  [3125] = 3108,
  [3126] = 3082,
  [3127] = 3113,
  [3128] = 3092,
  [3129] = 3082,
  [3130] = 3082,
  [3131] = 3090,
  [3132] = 3084,
  [3133] = 3092,
  [3134] = 3086,
  [3135] = 3087,
  [3136] = 3101,
  [3137] = 3085,
  [3138] = 3087,
  [3139] = 3108,
  [3140] = 3085,
  [3141] = 3101,
  [3142] = 3087,
  [3143] = 3086,
  [3144] = 3090,
  [3145] = 3082,
  [3146] = 3092,
  [3147] = 3113,
  [3148] = 3084,
  [3149] = 3084,
  [3150] = 3085,
  [3151] = 3092,
  [3152] = 3092,
  [3153] = 3101,
  [3154] = 3087,
  [3155] = 3086,
  [3156] = 3084,
  [3157] = 3082,
  [3158] = 3092,
  [3159] = 3082,
  [3160] = 3082,
  [3161] = 3082,
  [3162] = 3086,
  [3163] = 3092,
  [3164] = 3084,
  [3165] = 3085,
  [3166] = 3101,
  [3167] = 3087,
  [3168] = 3086,
  [3169] = 3090,
  [3170] = 3092,
  [3171] = 3086,
  [3172] = 3087,
  [3173] = 3101,
  [3174] = 3085,
  [3175] = 3113,
  [3176] = 3176,
  [3177] = 3108,
  [3178] = 3082,
  [3179] = 3179,
  [3180] = 3092,
  [3181] = 3082,
  [3182] = 3092,
  [3183] = 3084,
  [3184] = 3084,
  [3185] = 3085,
  [3186] = 3101,
  [3187] = 3108,
  [3188] = 3092,
  [3189] = 3087,
  [3190] = 3113,
  [3191] = 3086,
  [3192] = 3192,
  [3193] = 3092,
  [3194] = 3092,
  [3195] = 3083,
  [3196] = 3082,
  [3197] = 3092,
  [3198] = 3092,
  [3199] = 3092,
  [3200] = 3084,
  [3201] = 3113,
  [3202] = 3202,
  [3203] = 3108,
  [3204] = 3090,
  [3205] = 3085,
  [3206] = 3086,
  [3207] = 3087,
  [3208] = 3101,
  [3209] = 3085,
  [3210] = 3101,
  [3211] = 3087,
  [3212] = 3086,
  [3213] = 3082,
  [3214] = 3092,
  [3215] = 3092,
  [3216] = 3092,
  [3217] = 3084,
  [3218] = 3082,
  [3219] = 3219,
  [3220] = 3092,
  [3221] = 3084,
  [3222] = 3085,
  [3223] = 3101,
  [3224] = 3087,
  [3225] = 3082,
  [3226] = 3092,
  [3227] = 3092,
  [3228] = 3086,
  [3229] = 3113,
  [3230] = 3092,
  [3231] = 3082,
  [3232] = 3108,
  [3233] = 3092,
  [3234] = 3082,
  [3235] = 3090,
  [3236] = 3092,
  [3237] = 3086,
  [3238] = 3087,
  [3239] = 3101,
  [3240] = 3085,
  [3241] = 3082,
  [3242] = 3082,
  [3243] = 3108,
  [3244] = 3085,
  [3245] = 3092,
  [3246] = 3082,
  [3247] = 3101,
  [3248] = 3087,
  [3249] = 3084,
  [3250] = 3086,
  [3251] = 3092,
  [3252] = 3108,
  [3253] = 3092,
  [3254] = 3092,
  [3255] = 3113,
  [3256] = 3113,
  [3257] = 3084,
  [3258] = 3092,
  [3259] = 3082,
  [3260] = 3085,
  [3261] = 3101,
  [3262] = 3087,
  [3263] = 3086,
  [3264] = 3092,
  [3265] = 3101,
  [3266] = 3092,
  [3267] = 3082,
  [3268] = 3090,
  [3269] = 3092,
  [3270] = 3092,
  [3271] = 3086,
  [3272] = 3087,
  [3273] = 3101,
  [3274] = 3085,
  [3275] = 3275,
  [3276] = 3084,
  [3277] = 3085,
  [3278] = 3101,
  [3279] = 3087,
  [3280] = 3086,
  [3281] = 3082,
  [3282] = 3084,
  [3283] = 3092,
  [3284] = 3092,
  [3285] = 3082,
  [3286] = 3082,
  [3287] = 3275,
  [3288] = 3092,
  [3289] = 3289,
  [3290] = 3113,
  [3291] = 3108,
  [3292] = 3092,
  [3293] = 3084,
  [3294] = 3092,
  [3295] = 3113,
  [3296] = 3092,
  [3297] = 3085,
  [3298] = 3101,
  [3299] = 3087,
  [3300] = 3090,
  [3301] = 3086,
  [3302] = 3086,
  [3303] = 3087,
  [3304] = 3101,
  [3305] = 3085,
  [3306] = 3108,
  [3307] = 3092,
  [3308] = 3082,
  [3309] = 3309,
  [3310] = 3084,
  [3311] = 3085,
  [3312] = 3101,
  [3313] = 3087,
  [3314] = 3086,
  [3315] = 3289,
  [3316] = 3084,
  [3317] = 3309,
  [3318] = 3092,
  [3319] = 3113,
  [3320] = 3082,
  [3321] = 3092,
  [3322] = 3108,
  [3323] = 3084,
  [3324] = 3092,
  [3325] = 3085,
  [3326] = 3101,
  [3327] = 3087,
  [3328] = 3086,
  [3329] = 3084,
  [3330] = 3330,
  [3331] = 3082,
  [3332] = 3082,
  [3333] = 3082,
  [3334] = 3090,
  [3335] = 3090,
  [3336] = 3309,
  [3337] = 3086,
  [3338] = 3087,
  [3339] = 3101,
  [3340] = 3085,
  [3341] = 3341,
  [3342] = 3084,
  [3343] = 3082,
  [3344] = 3085,
  [3345] = 3101,
  [3346] = 3087,
  [3347] = 3082,
  [3348] = 3086,
  [3349] = 3108,
  [3350] = 3092,
  [3351] = 3289,
  [3352] = 3092,
  [3353] = 3084,
  [3354] = 3354,
  [3355] = 3113,
  [3356] = 3113,
  [3357] = 3092,
  [3358] = 3275,
  [3359] = 3108,
  [3360] = 3084,
  [3361] = 3082,
  [3362] = 3085,
  [3363] = 3101,
  [3364] = 3087,
  [3365] = 3086,
  [3366] = 3082,
  [3367] = 3082,
  [3368] = 3082,
  [3369] = 3090,
  [3370] = 3092,
  [3371] = 3086,
  [3372] = 3087,
  [3373] = 3101,
  [3374] = 3085,
  [3375] = 3092,
  [3376] = 3092,
  [3377] = 3092,
  [3378] = 3084,
  [3379] = 3085,
  [3380] = 3101,
  [3381] = 3087,
  [3382] = 3084,
  [3383] = 3092,
  [3384] = 3086,
  [3385] = 3113,
  [3386] = 3082,
  [3387] = 3082,
  [3388] = 3108,
  [3389] = 3092,
  [3390] = 3092,
  [3391] = 3082,
  [3392] = 3084,
  [3393] = 3082,
  [3394] = 3085,
  [3395] = 3395,
  [3396] = 3082,
  [3397] = 3101,
  [3398] = 3087,
  [3399] = 3090,
  [3400] = 3086,
  [3401] = 3086,
  [3402] = 3087,
  [3403] = 3101,
  [3404] = 3085,
  [3405] = 3090,
  [3406] = 3082,
  [3407] = 3092,
  [3408] = 3084,
  [3409] = 3084,
  [3410] = 3085,
  [3411] = 3108,
  [3412] = 3101,
  [3413] = 3084,
  [3414] = 3092,
  [3415] = 3087,
  [3416] = 3086,
  [3417] = 3092,
  [3418] = 3113,
  [3419] = 3113,
  [3420] = 3108,
  [3421] = 3092,
  [3422] = 3082,
  [3423] = 3082,
  [3424] = 3092,
  [3425] = 3084,
  [3426] = 3085,
  [3427] = 3101,
  [3428] = 3087,
  [3429] = 3086,
  [3430] = 3092,
  [3431] = 3092,
  [3432] = 3090,
  [3433] = 3113,
  [3434] = 3086,
  [3435] = 3087,
  [3436] = 3101,
  [3437] = 3085,
  [3438] = 3084,
  [3439] = 3085,
  [3440] = 3101,
  [3441] = 3087,
  [3442] = 2348,
  [3443] = 3086,
  [3444] = 3108,
  [3445] = 3082,
  [3446] = 3082,
  [3447] = 3084,
  [3448] = 3092,
  [3449] = 3084,
  [3450] = 3082,
  [3451] = 3085,
  [3452] = 3101,
  [3453] = 3087,
  [3454] = 3092,
  [3455] = 3086,
  [3456] = 3092,
  [3457] = 3457,
  [3458] = 3113,
  [3459] = 3082,
  [3460] = 3084,
  [3461] = 3092,
  [3462] = 3113,
  [3463] = 3092,
  [3464] = 3082,
  [3465] = 3085,
  [3466] = 3101,
  [3467] = 3087,
  [3468] = 3090,
  [3469] = 3086,
  [3470] = 3086,
  [3471] = 3108,
  [3472] = 3087,
  [3473] = 3101,
  [3474] = 3085,
  [3475] = 3082,
  [3476] = 3082,
  [3477] = 3082,
  [3478] = 3092,
  [3479] = 3092,
  [3480] = 3082,
  [3481] = 3084,
  [3482] = 2348,
  [3483] = 3084,
  [3484] = 3085,
  [3485] = 3085,
  [3486] = 3101,
  [3487] = 3087,
  [3488] = 3086,
  [3489] = 3176,
  [3490] = 3084,
  [3491] = 3179,
  [3492] = 3085,
  [3493] = 3101,
  [3494] = 3092,
  [3495] = 3101,
  [3496] = 3202,
  [3497] = 3087,
  [3498] = 3086,
  [3499] = 3082,
  [3500] = 3082,
  [3501] = 3113,
  [3502] = 3082,
  [3503] = 3092,
  [3504] = 3090,
  [3505] = 3092,
  [3506] = 3092,
  [3507] = 3086,
  [3508] = 3087,
  [3509] = 3092,
  [3510] = 3101,
  [3511] = 3113,
  [3512] = 3092,
  [3513] = 3085,
  [3514] = 3085,
  [3515] = 3101,
  [3516] = 3087,
  [3517] = 3086,
  [3518] = 3092,
  [3519] = 3519,
  [3520] = 3084,
  [3521] = 3521,
  [3522] = 3108,
  [3523] = 3084,
  [3524] = 3084,
  [3525] = 3525,
  [3526] = 3085,
  [3527] = 3082,
  [3528] = 3101,
  [3529] = 3087,
  [3530] = 3086,
  [3531] = 3531,
  [3532] = 3082,
  [3533] = 3533,
  [3534] = 3082,
  [3535] = 3092,
  [3536] = 3113,
  [3537] = 3082,
  [3538] = 3092,
  [3539] = 3539,
  [3540] = 3084,
  [3541] = 3085,
  [3542] = 3090,
  [3543] = 3101,
  [3544] = 3092,
  [3545] = 3082,
  [3546] = 3092,
  [3547] = 3086,
  [3548] = 3087,
  [3549] = 3087,
  [3550] = 3101,
  [3551] = 3082,
  [3552] = 3085,
  [3553] = 3086,
  [3554] = 3176,
  [3555] = 3179,
  [3556] = 3083,
  [3557] = 3202,
  [3558] = 3092,
  [3559] = 3084,
  [3560] = 3092,
  [3561] = 3092,
  [3562] = 3082,
  [3563] = 3085,
  [3564] = 3101,
  [3565] = 3087,
  [3566] = 3086,
  [3567] = 3084,
  [3568] = 3113,
  [3569] = 3092,
  [3570] = 3108,
  [3571] = 3571,
  [3572] = 3082,
  [3573] = 3082,
  [3574] = 3092,
  [3575] = 3192,
  [3576] = 3082,
  [3577] = 3219,
  [3578] = 3082,
  [3579] = 3341,
  [3580] = 3092,
  [3581] = 3092,
  [3582] = 3084,
  [3583] = 3085,
  [3584] = 3082,
  [3585] = 3101,
  [3586] = 3087,
  [3587] = 3086,
  [3588] = 3092,
  [3589] = 3092,
  [3590] = 3084,
  [3591] = 3085,
  [3592] = 3101,
  [3593] = 3593,
  [3594] = 3087,
  [3595] = 3519,
  [3596] = 3596,
  [3597] = 3086,
  [3598] = 3082,
  [3599] = 3092,
  [3600] = 3082,
  [3601] = 3176,
  [3602] = 3092,
  [3603] = 3092,
  [3604] = 3179,
  [3605] = 3605,
  [3606] = 3083,
  [3607] = 3521,
  [3608] = 3085,
  [3609] = 3101,
  [3610] = 3087,
  [3611] = 3525,
  [3612] = 3090,
  [3613] = 3086,
  [3614] = 3086,
  [3615] = 3087,
  [3616] = 3082,
  [3617] = 3101,
  [3618] = 3085,
  [3619] = 3084,
  [3620] = 3202,
  [3621] = 3092,
  [3622] = 3086,
  [3623] = 3087,
  [3624] = 3092,
  [3625] = 3101,
  [3626] = 3092,
  [3627] = 3082,
  [3628] = 3084,
  [3629] = 3085,
  [3630] = 3092,
  [3631] = 3085,
  [3632] = 3101,
  [3633] = 3087,
  [3634] = 3086,
  [3635] = 3113,
  [3636] = 3108,
  [3637] = 3082,
  [3638] = 3084,
  [3639] = 3531,
  [3640] = 3082,
  [3641] = 3085,
  [3642] = 3101,
  [3643] = 3533,
  [3644] = 3644,
  [3645] = 3082,
  [3646] = 3087,
  [3647] = 3086,
  [3648] = 3087,
  [3649] = 3084,
  [3650] = 3192,
  [3651] = 3092,
  [3652] = 3092,
  [3653] = 3084,
  [3654] = 3085,
  [3655] = 3101,
  [3656] = 3087,
  [3657] = 3084,
  [3658] = 3086,
  [3659] = 3219,
  [3660] = 3082,
  [3661] = 3084,
  [3662] = 3539,
  [3663] = 3192,
  [3664] = 3085,
  [3665] = 3101,
  [3666] = 3219,
  [3667] = 3341,
  [3668] = 3082,
  [3669] = 3087,
  [3670] = 3086,
  [3671] = 3092,
  [3672] = 3092,
  [3673] = 3092,
  [3674] = 3571,
  [3675] = 3084,
  [3676] = 3085,
  [3677] = 3101,
  [3678] = 3087,
  [3679] = 3092,
  [3680] = 3457,
  [3681] = 3082,
  [3682] = 3086,
  [3683] = 3092,
  [3684] = 3092,
  [3685] = 3084,
  [3686] = 3082,
  [3687] = 3082,
  [3688] = 3085,
  [3689] = 3101,
  [3690] = 3354,
  [3691] = 3092,
  [3692] = 3087,
  [3693] = 3086,
  [3694] = 3108,
  [3695] = 3176,
  [3696] = 3082,
  [3697] = 3092,
  [3698] = 3082,
  [3699] = 3092,
  [3700] = 3084,
  [3701] = 3179,
  [3702] = 3085,
  [3703] = 3101,
  [3704] = 3330,
  [3705] = 3086,
  [3706] = 3082,
  [3707] = 3082,
  [3708] = 3092,
  [3709] = 3083,
  [3710] = 3084,
  [3711] = 3202,
  [3712] = 3085,
  [3713] = 3082,
  [3714] = 3101,
  [3715] = 3092,
  [3716] = 3092,
  [3717] = 3090,
  [3718] = 3087,
  [3719] = 3086,
  [3720] = 3113,
  [3721] = 3082,
  [3722] = 3082,
  [3723] = 3084,
  [3724] = 3092,
  [3725] = 3092,
  [3726] = 3090,
  [3727] = 3082,
  [3728] = 3085,
  [3729] = 3101,
  [3730] = 3289,
  [3731] = 3092,
  [3732] = 3113,
  [3733] = 3086,
  [3734] = 3087,
  [3735] = 3086,
  [3736] = 3101,
  [3737] = 3087,
  [3738] = 3085,
  [3739] = 3086,
  [3740] = 3593,
  [3741] = 3084,
  [3742] = 3085,
  [3743] = 3593,
  [3744] = 3084,
  [3745] = 3086,
  [3746] = 3082,
  [3747] = 3085,
  [3748] = 3087,
  [3749] = 3101,
  [3750] = 3101,
  [3751] = 3571,
  [3752] = 3087,
  [3753] = 3092,
  [3754] = 3086,
  [3755] = 3085,
  [3756] = 3092,
  [3757] = 3092,
  [3758] = 3084,
  [3759] = 3108,
  [3760] = 3085,
  [3761] = 3101,
  [3762] = 3092,
  [3763] = 3087,
  [3764] = 2348,
  [3765] = 3086,
  [3766] = 3092,
  [3767] = 3084,
  [3768] = 3085,
  [3769] = 3101,
  [3770] = 3082,
  [3771] = 3082,
  [3772] = 3087,
  [3773] = 3092,
  [3774] = 3086,
  [3775] = 3082,
  [3776] = 3086,
  [3777] = 3092,
  [3778] = 3084,
  [3779] = 3085,
  [3780] = 3082,
  [3781] = 3101,
  [3782] = 3087,
  [3783] = 3086,
  [3784] = 3092,
  [3785] = 3084,
  [3786] = 3084,
  [3787] = 3085,
  [3788] = 3101,
  [3789] = 3092,
  [3790] = 3082,
  [3791] = 3092,
  [3792] = 3082,
  [3793] = 3087,
  [3794] = 3086,
  [3795] = 3082,
  [3796] = 3330,
  [3797] = 3084,
  [3798] = 3085,
  [3799] = 3192,
  [3800] = 3219,
  [3801] = 3341,
  [3802] = 3082,
  [3803] = 3101,
  [3804] = 3087,
  [3805] = 3092,
  [3806] = 3092,
  [3807] = 3084,
  [3808] = 3085,
  [3809] = 3101,
  [3810] = 3087,
  [3811] = 3539,
  [3812] = 3086,
  [3813] = 3092,
  [3814] = 3457,
  [3815] = 3082,
  [3816] = 3092,
  [3817] = 3082,
  [3818] = 3533,
  [3819] = 3090,
  [3820] = 3092,
  [3821] = 3082,
  [3822] = 3101,
  [3823] = 3531,
  [3824] = 3525,
  [3825] = 3082,
  [3826] = 3087,
  [3827] = 3521,
  [3828] = 3082,
  [3829] = 3092,
  [3830] = 3082,
  [3831] = 3354,
  [3832] = 3092,
  [3833] = 3519,
  [3834] = 3082,
  [3835] = 3092,
  [3836] = 3092,
  [3837] = 3082,
  [3838] = 2348,
  [3839] = 3082,
  [3840] = 3092,
  [3841] = 2348,
  [3842] = 2348,
  [3843] = 2348,
  [3844] = 2348,
  [3845] = 2348,
  [3846] = 2348,
  [3847] = 3847,
  [3848] = 3847,
  [3849] = 3847,
  [3850] = 3847,
  [3851] = 3847,
  [3852] = 3847,
  [3853] = 3847,
  [3854] = 3847,
  [3855] = 3847,
  [3856] = 3847,
  [3857] = 3847,
  [3858] = 3847,
  [3859] = 3847,
  [3860] = 3847,
  [3861] = 3847,
  [3862] = 3847,
  [3863] = 3847,
  [3864] = 3847,
  [3865] = 3847,
  [3866] = 3847,
  [3867] = 3847,
  [3868] = 3847,
  [3869] = 3847,
  [3870] = 3847,
  [3871] = 3847,
  [3872] = 3847,
  [3873] = 3847,
  [3874] = 3847,
  [3875] = 3847,
  [3876] = 3847,
  [3877] = 3847,
  [3878] = 3847,
  [3879] = 3847,
  [3880] = 3847,
  [3881] = 3847,
  [3882] = 3847,
  [3883] = 3847,
  [3884] = 3847,
  [3885] = 3847,
  [3886] = 3847,
  [3887] = 3887,
  [3888] = 3847,
  [3889] = 3847,
  [3890] = 3890,
  [3891] = 3847,
  [3892] = 3847,
  [3893] = 3847,
  [3894] = 3847,
  [3895] = 3847,
  [3896] = 3847,
  [3897] = 3847,
  [3898] = 3847,
  [3899] = 3847,
  [3900] = 3847,
  [3901] = 3847,
  [3902] = 3847,
  [3903] = 3847,
  [3904] = 3847,
  [3905] = 3905,
  [3906] = 3905,
  [3907] = 3905,
  [3908] = 3908,
  [3909] = 3908,
  [3910] = 3905,
  [3911] = 3905,
  [3912] = 3908,
  [3913] = 3887,
  [3914] = 3905,
  [3915] = 3908,
  [3916] = 3890,
  [3917] = 3905,
  [3918] = 3908,
  [3919] = 3908,
  [3920] = 3905,
  [3921] = 3905,
  [3922] = 3908,
  [3923] = 3905,
  [3924] = 3908,
  [3925] = 3905,
  [3926] = 3908,
  [3927] = 3927,
  [3928] = 3905,
  [3929] = 3908,
  [3930] = 3908,
  [3931] = 3905,
  [3932] = 3905,
  [3933] = 3908,
  [3934] = 3905,
  [3935] = 3908,
  [3936] = 3905,
  [3937] = 3908,
  [3938] = 3905,
  [3939] = 3908,
  [3940] = 3908,
  [3941] = 3905,
  [3942] = 3887,
  [3943] = 3905,
  [3944] = 3908,
  [3945] = 3905,
  [3946] = 3908,
  [3947] = 3908,
  [3948] = 3890,
  [3949] = 3908,
  [3950] = 3905,
  [3951] = 3905,
  [3952] = 3952,
  [3953] = 3908,
  [3954] = 3905,
  [3955] = 3908,
  [3956] = 3905,
  [3957] = 3905,
  [3958] = 3908,
  [3959] = 3905,
  [3960] = 3908,
  [3961] = 3908,
  [3962] = 3908,
  [3963] = 3908,
  [3964] = 3905,
  [3965] = 3905,
  [3966] = 3908,
  [3967] = 3905,
  [3968] = 3905,
  [3969] = 3908,
  [3970] = 3905,
  [3971] = 3908,
  [3972] = 3905,
  [3973] = 3905,
  [3974] = 3905,
  [3975] = 3908,
  [3976] = 3908,
  [3977] = 3908,
  [3978] = 3905,
  [3979] = 3905,
  [3980] = 3908,
  [3981] = 3927,
  [3982] = 3908,
  [3983] = 3908,
  [3984] = 3905,
  [3985] = 3905,
  [3986] = 3908,
  [3987] = 3905,
  [3988] = 3908,
  [3989] = 3908,
  [3990] = 3908,
  [3991] = 3905,
  [3992] = 3905,
  [3993] = 3905,
  [3994] = 3908,
  [3995] = 3905,
  [3996] = 3908,
  [3997] = 3905,
  [3998] = 3908,
  [3999] = 3908,
  [4000] = 3952,
  [4001] = 3905,
  [4002] = 3905,
  [4003] = 3908,
  [4004] = 3908,
  [4005] = 3908,
  [4006] = 3905,
  [4007] = 3905,
  [4008] = 3908,
  [4009] = 3908,
  [4010] = 3905,
  [4011] = 3905,
  [4012] = 3908,
  [4013] = 3905,
  [4014] = 3908,
  [4015] = 3905,
  [4016] = 3905,
  [4017] = 3908,
  [4018] = 3908,
  [4019] = 3908,
  [4020] = 3905,
  [4021] = 3905,
  [4022] = 3908,
  [4023] = 3908,
  [4024] = 3905,
  [4025] = 3890,
  [4026] = 3887,
  [4027] = 3890,
  [4028] = 3890,
  [4029] = 3887,
  [4030] = 3890,
  [4031] = 4031,
  [4032] = 3887,
  [4033] = 3887,
  [4034] = 4034,
  [4035] = 3890,
  [4036] = 3887,
  [4037] = 3887,
  [4038] = 4038,
  [4039] = 3887,
  [4040] = 4040,
  [4041] = 3887,
  [4042] = 3890,
  [4043] = 3890,
  [4044] = 4038,
  [4045] = 3887,
  [4046] = 3890,
  [4047] = 3890,
  [4048] = 4038,
  [4049] = 3887,
  [4050] = 3887,
  [4051] = 3890,
  [4052] = 3890,
  [4053] = 3887,
  [4054] = 3890,
  [4055] = 3887,
  [4056] = 3887,
  [4057] = 3887,
  [4058] = 3890,
  [4059] = 3890,
  [4060] = 3890,
  [4061] = 3890,
  [4062] = 3887,
  [4063] = 3890,
  [4064] = 4064,
  [4065] = 3890,
  [4066] = 3887,
  [4067] = 4067,
  [4068] = 3887,
  [4069] = 3890,
  [4070] = 3887,
  [4071] = 3890,
  [4072] = 4064,
  [4073] = 4073,
  [4074] = 3887,
  [4075] = 3887,
  [4076] = 3887,
  [4077] = 3890,
  [4078] = 3890,
  [4079] = 4079,
  [4080] = 4080,
  [4081] = 4080,
  [4082] = 4080,
  [4083] = 4080,
  [4084] = 4080,
  [4085] = 4080,
  [4086] = 4086,
  [4087] = 4087,
  [4088] = 4080,
  [4089] = 4080,
  [4090] = 4080,
  [4091] = 4091,
  [4092] = 4080,
  [4093] = 4079,
  [4094] = 4094,
  [4095] = 4091,
  [4096] = 4080,
  [4097] = 4080,
  [4098] = 4080,
  [4099] = 4080,
  [4100] = 4094,
  [4101] = 4101,
  [4102] = 4080,
  [4103] = 4080,
  [4104] = 4080,
  [4105] = 4080,
  [4106] = 4080,
  [4107] = 4079,
  [4108] = 4080,
  [4109] = 4080,
  [4110] = 4080,
  [4111] = 4080,
  [4112] = 4087,
  [4113] = 4073,
  [4114] = 4080,
  [4115] = 4080,
  [4116] = 4101,
  [4117] = 4094,
  [4118] = 4080,
  [4119] = 4080,
  [4120] = 4086,
  [4121] = 4080,
  [4122] = 4101,
  [4123] = 4080,
  [4124] = 4086,
  [4125] = 4080,
  [4126] = 4080,
  [4127] = 4080,
  [4128] = 4080,
  [4129] = 4094,
  [4130] = 4080,
  [4131] = 4087,
  [4132] = 4094,
  [4133] = 4087,
  [4134] = 4087,
  [4135] = 4080,
  [4136] = 4080,
  [4137] = 4137,
  [4138] = 4138,
  [4139] = 4139,
  [4140] = 4140,
  [4141] = 4141,
  [4142] = 4141,
  [4143] = 4138,
  [4144] = 4140,
  [4145] = 4145,
  [4146] = 4138,
  [4147] = 4147,
  [4148] = 4137,
  [4149] = 4149,
  [4150] = 4150,
  [4151] = 4137,
  [4152] = 4139,
  [4153] = 4137,
  [4154] = 4150,
  [4155] = 4139,
  [4156] = 4150,
  [4157] = 4145,
  [4158] = 4138,
  [4159] = 4147,
  [4160] = 4138,
  [4161] = 4137,
  [4162] = 4145,
  [4163] = 4140,
  [4164] = 4141,
  [4165] = 4165,
  [4166] = 4166,
  [4167] = 4167,
  [4168] = 4139,
  [4169] = 4167,
  [4170] = 3887,
  [4171] = 4165,
  [4172] = 4166,
  [4173] = 4166,
  [4174] = 4167,
  [4175] = 4165,
  [4176] = 4139,
  [4177] = 3890,
  [4178] = 4147,
  [4179] = 4179,
  [4180] = 4180,
  [4181] = 4180,
  [4182] = 4180,
  [4183] = 4180,
  [4184] = 4180,
  [4185] = 4180,
  [4186] = 4180,
  [4187] = 4180,
  [4188] = 4180,
  [4189] = 4189,
  [4190] = 4180,
  [4191] = 4180,
  [4192] = 4180,
  [4193] = 4180,
  [4194] = 4180,
  [4195] = 4180,
  [4196] = 4180,
  [4197] = 4180,
  [4198] = 4180,
  [4199] = 4180,
  [4200] = 4180,
  [4201] = 4180,
  [4202] = 4180,
  [4203] = 4180,
  [4204] = 4180,
  [4205] = 4180,
  [4206] = 4180,
  [4207] = 4180,
  [4208] = 4180,
  [4209] = 4180,
  [4210] = 4180,
  [4211] = 4180,
  [4212] = 4180,
  [4213] = 4180,
  [4214] = 4180,
  [4215] = 4180,
  [4216] = 4180,
  [4217] = 4180,
  [4218] = 4180,
  [4219] = 4180,
  [4220] = 4180,
  [4221] = 4180,
  [4222] = 4180,
  [4223] = 4180,
  [4224] = 4180,
  [4225] = 4180,
  [4226] = 4180,
  [4227] = 4180,
  [4228] = 4180,
  [4229] = 4180,
  [4230] = 4180,
  [4231] = 4180,
  [4232] = 4180,
  [4233] = 4180,
  [4234] = 4180,
  [4235] = 4180,
  [4236] = 4180,
  [4237] = 4180,
  [4238] = 4180,
  [4239] = 4180,
  [4240] = 4180,
  [4241] = 4180,
  [4242] = 4180,
  [4243] = 4180,
  [4244] = 4244,
  [4245] = 4245,
  [4246] = 4246,
  [4247] = 4246,
  [4248] = 4248,
  [4249] = 4246,
  [4250] = 4250,
  [4251] = 4246,
  [4252] = 4250,
  [4253] = 4246,
  [4254] = 4254,
  [4255] = 4255,
  [4256] = 4256,
  [4257] = 4257,
  [4258] = 4258,
  [4259] = 4259,
  [4260] = 4260,
  [4261] = 4258,
  [4262] = 4258,
  [4263] = 4263,
  [4264] = 4258,
  [4265] = 4258,
  [4266] = 4255,
  [4267] = 4250,
  [4268] = 4254,
  [4269] = 4256,
  [4270] = 4255,
  [4271] = 4255,
  [4272] = 4257,
  [4273] = 4256,
  [4274] = 4274,
  [4275] = 4256,
  [4276] = 4276,
  [4277] = 4277,
  [4278] = 4278,
  [4279] = 4279,
  [4280] = 4280,
  [4281] = 4281,
  [4282] = 4282,
  [4283] = 4283,
  [4284] = 4284,
  [4285] = 4285,
  [4286] = 4286,
  [4287] = 4287,
  [4288] = 4288,
  [4289] = 4289,
  [4290] = 4274,
  [4291] = 4291,
  [4292] = 4292,
  [4293] = 4293,
  [4294] = 4281,
  [4295] = 4286,
  [4296] = 4287,
  [4297] = 4280,
  [4298] = 4279,
  [4299] = 4299,
  [4300] = 4283,
  [4301] = 4301,
  [4302] = 4284,
  [4303] = 4303,
  [4304] = 4304,
  [4305] = 4305,
  [4306] = 4278,
  [4307] = 4277,
  [4308] = 4308,
  [4309] = 4309,
  [4310] = 4310,
  [4311] = 4311,
  [4312] = 4278,
  [4313] = 4313,
  [4314] = 4314,
  [4315] = 4315,
  [4316] = 4259,
  [4317] = 4317,
  [4318] = 4263,
  [4319] = 4282,
  [4320] = 4259,
  [4321] = 4278,
  [4322] = 4274,
  [4323] = 4317,
  [4324] = 4259,
  [4325] = 4259,
  [4326] = 4315,
  [4327] = 4327,
  [4328] = 4328,
  [4329] = 4317,
  [4330] = 4283,
  [4331] = 4314,
  [4332] = 4282,
  [4333] = 4313,
  [4334] = 4334,
  [4335] = 4335,
  [4336] = 4314,
  [4337] = 4276,
  [4338] = 4308,
  [4339] = 4334,
  [4340] = 4277,
  [4341] = 4263,
  [4342] = 4278,
  [4343] = 4343,
  [4344] = 4284,
  [4345] = 4286,
  [4346] = 4346,
  [4347] = 4288,
  [4348] = 4289,
  [4349] = 4277,
  [4350] = 4293,
  [4351] = 4291,
  [4352] = 4288,
  [4353] = 4283,
  [4354] = 4278,
  [4355] = 4334,
  [4356] = 4282,
  [4357] = 4288,
  [4358] = 4289,
  [4359] = 4276,
  [4360] = 4278,
  [4361] = 4291,
  [4362] = 4317,
  [4363] = 4288,
  [4364] = 4314,
  [4365] = 4334,
  [4366] = 4282,
  [4367] = 4276,
  [4368] = 4308,
  [4369] = 4334,
  [4370] = 4286,
  [4371] = 4289,
  [4372] = 4291,
  [4373] = 4289,
  [4374] = 4283,
  [4375] = 4293,
  [4376] = 4293,
  [4377] = 4310,
  [4378] = 4286,
  [4379] = 4284,
  [4380] = 4308,
  [4381] = 4381,
  [4382] = 4382,
  [4383] = 4383,
  [4384] = 3890,
  [4385] = 4281,
  [4386] = 4259,
  [4387] = 3887,
  [4388] = 4388,
  [4389] = 4388,
  [4390] = 4388,
  [4391] = 4391,
  [4392] = 4260,
  [4393] = 4388,
  [4394] = 4382,
  [4395] = 4381,
  [4396] = 4388,
  [4397] = 4382,
  [4398] = 4398,
  [4399] = 4279,
  [4400] = 4259,
  [4401] = 4388,
  [4402] = 4281,
  [4403] = 4274,
  [4404] = 4388,
  [4405] = 4388,
  [4406] = 4292,
  [4407] = 4263,
  [4408] = 4382,
  [4409] = 4292,
  [4410] = 4245,
  [4411] = 4381,
  [4412] = 4274,
  [4413] = 4388,
  [4414] = 4279,
  [4415] = 3890,
  [4416] = 4335,
  [4417] = 4417,
  [4418] = 4388,
  [4419] = 4388,
  [4420] = 4259,
  [4421] = 4259,
  [4422] = 4422,
  [4423] = 4388,
  [4424] = 4274,
  [4425] = 4388,
  [4426] = 4263,
  [4427] = 4281,
  [4428] = 4388,
  [4429] = 4381,
  [4430] = 4388,
  [4431] = 4382,
  [4432] = 4279,
  [4433] = 4388,
  [4434] = 4292,
  [4435] = 4388,
  [4436] = 4388,
  [4437] = 4346,
  [4438] = 4259,
  [4439] = 4439,
  [4440] = 4388,
  [4441] = 4281,
  [4442] = 4442,
  [4443] = 4388,
  [4444] = 4259,
  [4445] = 4445,
  [4446] = 4335,
  [4447] = 4388,
  [4448] = 4448,
  [4449] = 4279,
  [4450] = 4346,
  [4451] = 4381,
  [4452] = 4388,
  [4453] = 4263,
  [4454] = 4279,
  [4455] = 4455,
  [4456] = 4259,
  [4457] = 4281,
  [4458] = 4388,
  [4459] = 4459,
  [4460] = 4388,
  [4461] = 4335,
  [4462] = 4388,
  [4463] = 3887,
  [4464] = 4259,
  [4465] = 4455,
  [4466] = 4279,
  [4467] = 4467,
  [4468] = 3890,
  [4469] = 4281,
  [4470] = 4442,
  [4471] = 4260,
  [4472] = 4259,
  [4473] = 4383,
  [4474] = 4260,
  [4475] = 4281,
  [4476] = 4259,
  [4477] = 4422,
  [4478] = 3890,
  [4479] = 4259,
  [4480] = 4263,
  [4481] = 3887,
  [4482] = 4459,
  [4483] = 4263,
  [4484] = 4484,
  [4485] = 3890,
  [4486] = 3887,
  [4487] = 4259,
  [4488] = 4281,
  [4489] = 4279,
  [4490] = 4335,
  [4491] = 4259,
  [4492] = 4259,
  [4493] = 4305,
  [4494] = 4292,
  [4495] = 4455,
  [4496] = 3890,
  [4497] = 4263,
  [4498] = 4383,
  [4499] = 4274,
  [4500] = 4279,
  [4501] = 4346,
  [4502] = 4335,
  [4503] = 4292,
  [4504] = 4346,
  [4505] = 4279,
  [4506] = 4292,
  [4507] = 4467,
  [4508] = 4442,
  [4509] = 3890,
  [4510] = 4259,
  [4511] = 4279,
  [4512] = 3887,
  [4513] = 4274,
  [4514] = 4422,
  [4515] = 4279,
  [4516] = 4335,
  [4517] = 4301,
  [4518] = 4281,
  [4519] = 4260,
  [4520] = 4292,
  [4521] = 4303,
  [4522] = 4259,
  [4523] = 4304,
  [4524] = 3887,
  [4525] = 4309,
  [4526] = 4285,
  [4527] = 4281,
  [4528] = 4311,
  [4529] = 4279,
  [4530] = 4245,
  [4531] = 4531,
  [4532] = 4245,
  [4533] = 4335,
  [4534] = 4292,
  [4535] = 4248,
  [4536] = 4281,
  [4537] = 4179,
  [4538] = 4346,
  [4539] = 4274,
  [4540] = 4459,
  [4541] = 4459,
  [4542] = 4455,
  [4543] = 4279,
  [4544] = 3890,
  [4545] = 4299,
  [4546] = 4343,
  [4547] = 4459,
  [4548] = 4328,
  [4549] = 4549,
  [4550] = 4281,
  [4551] = 4259,
  [4552] = 3887,
  [4553] = 4245,
  [4554] = 4455,
  [4555] = 4484,
  [4556] = 4281,
  [4557] = 3890,
  [4558] = 4335,
  [4559] = 3887,
  [4560] = 4327,
  [4561] = 4245,
  [4562] = 4245,
  [4563] = 4563,
  [4564] = 3890,
  [4565] = 4565,
  [4566] = 4346,
  [4567] = 4303,
  [4568] = 4335,
  [4569] = 4304,
  [4570] = 3887,
  [4571] = 4305,
  [4572] = 4346,
  [4573] = 4346,
  [4574] = 3887,
  [4575] = 4260,
  [4576] = 4305,
  [4577] = 4455,
  [4578] = 3890,
  [4579] = 4309,
  [4580] = 4281,
  [4581] = 4581,
  [4582] = 4327,
  [4583] = 4328,
  [4584] = 4248,
  [4585] = 4260,
  [4586] = 4311,
  [4587] = 4343,
  [4588] = 4274,
  [4589] = 4422,
  [4590] = 3887,
  [4591] = 4455,
  [4592] = 4260,
  [4593] = 4263,
  [4594] = 4442,
  [4595] = 4179,
  [4596] = 4346,
  [4597] = 4259,
  [4598] = 4279,
  [4599] = 4335,
  [4600] = 4467,
  [4601] = 4259,
  [4602] = 4281,
  [4603] = 3890,
  [4604] = 4259,
  [4605] = 4301,
  [4606] = 4259,
  [4607] = 3890,
  [4608] = 4281,
  [4609] = 4455,
  [4610] = 4260,
  [4611] = 4335,
  [4612] = 3890,
  [4613] = 3887,
  [4614] = 3890,
  [4615] = 4459,
  [4616] = 3887,
  [4617] = 3890,
  [4618] = 4305,
  [4619] = 4455,
  [4620] = 4279,
  [4621] = 4274,
  [4622] = 3887,
  [4623] = 4279,
  [4624] = 4274,
  [4625] = 4422,
  [4626] = 4549,
  [4627] = 4311,
  [4628] = 4455,
  [4629] = 4274,
  [4630] = 4442,
  [4631] = 4259,
  [4632] = 4301,
  [4633] = 4459,
  [4634] = 4346,
  [4635] = 4422,
  [4636] = 4299,
  [4637] = 4327,
  [4638] = 4335,
  [4639] = 4311,
  [4640] = 4281,
  [4641] = 4279,
  [4642] = 4328,
  [4643] = 4260,
  [4644] = 4343,
  [4645] = 4281,
  [4646] = 4263,
  [4647] = 4279,
  [4648] = 4459,
  [4649] = 4309,
  [4650] = 4301,
  [4651] = 4292,
  [4652] = 4259,
  [4653] = 4383,
  [4654] = 4279,
  [4655] = 4299,
  [4656] = 4292,
  [4657] = 4657,
  [4658] = 4305,
  [4659] = 4303,
  [4660] = 4303,
  [4661] = 4304,
  [4662] = 4309,
  [4663] = 4259,
  [4664] = 4245,
  [4665] = 4304,
  [4666] = 4303,
  [4667] = 4459,
  [4668] = 4383,
  [4669] = 4285,
  [4670] = 4311,
  [4671] = 4304,
  [4672] = 4248,
  [4673] = 4383,
  [4674] = 3887,
  [4675] = 4281,
  [4676] = 4335,
  [4677] = 4327,
  [4678] = 4299,
  [4679] = 4263,
  [4680] = 4467,
  [4681] = 4309,
  [4682] = 4448,
  [4683] = 4445,
  [4684] = 4439,
  [4685] = 4179,
  [4686] = 4484,
  [4687] = 4285,
  [4688] = 4259,
  [4689] = 4328,
  [4690] = 4292,
  [4691] = 3890,
  [4692] = 4484,
  [4693] = 4301,
  [4694] = 4259,
  [4695] = 4442,
  [4696] = 4281,
  [4697] = 4248,
  [4698] = 4292,
  [4699] = 4245,
  [4700] = 4260,
  [4701] = 4259,
  [4702] = 4292,
  [4703] = 4343,
  [4704] = 4281,
  [4705] = 4299,
  [4706] = 4279,
  [4707] = 3887,
  [4708] = 4335,
  [4709] = 4279,
  [4710] = 4459,
  [4711] = 4484,
  [4712] = 4179,
  [4713] = 3890,
  [4714] = 4281,
  [4715] = 4455,
  [4716] = 3887,
  [4717] = 4327,
  [4718] = 4245,
  [4719] = 4328,
  [4720] = 4343,
  [4721] = 4179,
  [4722] = 4459,
  [4723] = 4467,
  [4724] = 4484,
  [4725] = 4285,
  [4726] = 4245,
  [4727] = 4484,
  [4728] = 4292,
  [4729] = 4281,
  [4730] = 4263,
  [4731] = 4467,
  [4732] = 4285,
  [4733] = 4292,
  [4734] = 4279,
  [4735] = 4467,
  [4736] = 4417,
  [4737] = 4455,
  [4738] = 4459,
  [4739] = 4248,
  [4740] = 4549,
  [4741] = 3887,
  [4742] = 4335,
  [4743] = 4279,
  [4744] = 3890,
  [4745] = 4259,
  [4746] = 4260,
  [4747] = 4299,
  [4748] = 4303,
  [4749] = 4304,
  [4750] = 4346,
  [4751] = 4309,
  [4752] = 4335,
  [4753] = 4259,
  [4754] = 4467,
  [4755] = 4311,
  [4756] = 4274,
  [4757] = 4263,
  [4758] = 4292,
  [4759] = 4346,
  [4760] = 4179,
  [4761] = 4305,
  [4762] = 4260,
  [4763] = 4260,
  [4764] = 4335,
  [4765] = 4279,
  [4766] = 4343,
  [4767] = 4565,
  [4768] = 4328,
  [4769] = 4281,
  [4770] = 4279,
  [4771] = 4563,
  [4772] = 4285,
  [4773] = 4327,
  [4774] = 4301,
  [4775] = 4299,
  [4776] = 4303,
  [4777] = 4304,
  [4778] = 4301,
  [4779] = 4309,
  [4780] = 4285,
  [4781] = 4328,
  [4782] = 4299,
  [4783] = 4343,
  [4784] = 4311,
  [4785] = 4292,
  [4786] = 4248,
  [4787] = 4260,
  [4788] = 4303,
  [4789] = 4248,
  [4790] = 4304,
  [4791] = 4791,
  [4792] = 4448,
  [4793] = 4445,
  [4794] = 4309,
  [4795] = 4467,
  [4796] = 4549,
  [4797] = 4439,
  [4798] = 4259,
  [4799] = 4459,
  [4800] = 4311,
  [4801] = 4274,
  [4802] = 4455,
  [4803] = 4301,
  [4804] = 4299,
  [4805] = 4309,
  [4806] = 4245,
  [4807] = 4335,
  [4808] = 4245,
  [4809] = 4179,
  [4810] = 4285,
  [4811] = 4263,
  [4812] = 4259,
  [4813] = 4248,
  [4814] = 4303,
  [4815] = 4442,
  [4816] = 3890,
  [4817] = 4417,
  [4818] = 3887,
  [4819] = 4346,
  [4820] = 4259,
  [4821] = 4281,
  [4822] = 4563,
  [4823] = 4459,
  [4824] = 3887,
  [4825] = 4299,
  [4826] = 4455,
  [4827] = 4281,
  [4828] = 4565,
  [4829] = 4179,
  [4830] = 4335,
  [4831] = 4467,
  [4832] = 4448,
  [4833] = 4305,
  [4834] = 4445,
  [4835] = 4459,
  [4836] = 4549,
  [4837] = 4301,
  [4838] = 4245,
  [4839] = 4346,
  [4840] = 4304,
  [4841] = 4260,
  [4842] = 4439,
  [4843] = 4455,
  [4844] = 4844,
  [4845] = 4279,
  [4846] = 4274,
  [4847] = 4343,
  [4848] = 4328,
  [4849] = 4327,
  [4850] = 4439,
  [4851] = 4292,
  [4852] = 4179,
  [4853] = 4248,
  [4854] = 4343,
  [4855] = 4346,
  [4856] = 4328,
  [4857] = 4445,
  [4858] = 4581,
  [4859] = 4327,
  [4860] = 4459,
  [4861] = 4448,
  [4862] = 4279,
  [4863] = 4467,
  [4864] = 4281,
  [4865] = 4455,
  [4866] = 4281,
  [4867] = 4263,
  [4868] = 4292,
  [4869] = 4245,
  [4870] = 4279,
  [4871] = 4179,
  [4872] = 3887,
  [4873] = 4417,
  [4874] = 4281,
  [4875] = 4422,
  [4876] = 3887,
  [4877] = 4467,
  [4878] = 4327,
  [4879] = 4245,
  [4880] = 3890,
  [4881] = 4279,
  [4882] = 4281,
  [4883] = 4279,
  [4884] = 4245,
  [4885] = 4281,
  [4886] = 4484,
  [4887] = 4279,
  [4888] = 4279,
  [4889] = 3890,
  [4890] = 4484,
  [4891] = 4245,
  [4892] = 3887,
  [4893] = 4346,
  [4894] = 4346,
  [4895] = 4328,
  [4896] = 4279,
  [4897] = 4281,
  [4898] = 4467,
  [4899] = 4259,
  [4900] = 4301,
  [4901] = 4299,
  [4902] = 4343,
  [4903] = 4455,
  [4904] = 4303,
  [4905] = 4259,
  [4906] = 4245,
  [4907] = 4304,
  [4908] = 4844,
  [4909] = 4459,
  [4910] = 4309,
  [4911] = 4311,
  [4912] = 3890,
  [4913] = 4259,
  [4914] = 4417,
  [4915] = 3890,
  [4916] = 4346,
  [4917] = 4346,
  [4918] = 3887,
  [4919] = 4248,
  [4920] = 4305,
  [4921] = 4259,
  [4922] = 4346,
  [4923] = 4346,
  [4924] = 4305,
  [4925] = 4417,
  [4926] = 4179,
  [4927] = 3890,
  [4928] = 4928,
  [4929] = 4484,
  [4930] = 3887,
  [4931] = 3890,
  [4932] = 4259,
  [4933] = 4260,
  [4934] = 4285,
  [4935] = 4439,
  [4936] = 4455,
  [4937] = 4279,
  [4938] = 4657,
  [4939] = 4939,
  [4940] = 4442,
  [4941] = 4260,
  [4942] = 4259,
  [4943] = 4383,
  [4944] = 4459,
  [4945] = 4260,
  [4946] = 4946,
  [4947] = 3890,
  [4948] = 4459,
  [4949] = 4455,
  [4950] = 4581,
  [4951] = 4292,
  [4952] = 3887,
  [4953] = 3890,
  [4954] = 4565,
  [4955] = 4260,
  [4956] = 4455,
  [4957] = 4285,
  [4958] = 3887,
  [4959] = 4459,
  [4960] = 4563,
  [4961] = 4245,
  [4962] = 4455,
  [4963] = 4259,
  [4964] = 4281,
  [4965] = 4657,
  [4966] = 4459,
  [4967] = 4335,
  [4968] = 4484,
  [4969] = 4484,
  [4970] = 4946,
  [4971] = 3887,
  [4972] = 4422,
  [4973] = 3890,
  [4974] = 4484,
  [4975] = 4301,
  [4976] = 4455,
  [4977] = 4299,
  [4978] = 4303,
  [4979] = 4304,
  [4980] = 4292,
  [4981] = 4422,
  [4982] = 4467,
  [4983] = 4309,
  [4984] = 4285,
  [4985] = 4292,
  [4986] = 4281,
  [4987] = 4259,
  [4988] = 4311,
  [4989] = 3890,
  [4990] = 4179,
  [4991] = 4259,
  [4992] = 4467,
  [4993] = 4335,
  [4994] = 4383,
  [4995] = 4301,
  [4996] = 4311,
  [4997] = 4484,
  [4998] = 4305,
  [4999] = 4484,
  [5000] = 4303,
  [5001] = 4259,
  [5002] = 4335,
  [5003] = 4304,
  [5004] = 4259,
  [5005] = 4309,
  [5006] = 4285,
  [5007] = 4311,
  [5008] = 4939,
  [5009] = 4305,
  [5010] = 3887,
  [5011] = 3890,
  [5012] = 4445,
  [5013] = 4343,
  [5014] = 4448,
  [5015] = 4459,
  [5016] = 4328,
  [5017] = 4327,
  [5018] = 4263,
  [5019] = 4248,
  [5020] = 4327,
  [5021] = 4442,
  [5022] = 4179,
  [5023] = 4274,
  [5024] = 4305,
  [5025] = 4346,
  [5026] = 4248,
  [5027] = 4549,
  [5028] = 3887,
  [5029] = 4343,
  [5030] = 4328,
  [5031] = 4327,
  [5032] = 3890,
  [5033] = 3890,
  [5034] = 4467,
  [5035] = 4281,
  [5036] = 4248,
  [5037] = 3890,
  [5038] = 4343,
  [5039] = 5039,
  [5040] = 4448,
  [5041] = 3887,
  [5042] = 4445,
  [5043] = 4281,
  [5044] = 4455,
  [5045] = 4439,
  [5046] = 3890,
  [5047] = 5047,
  [5048] = 4581,
  [5049] = 4459,
  [5050] = 4844,
  [5051] = 4327,
  [5052] = 4445,
  [5053] = 4328,
  [5054] = 4448,
  [5055] = 4343,
  [5056] = 4328,
  [5057] = 4439,
  [5058] = 5058,
  [5059] = 4279,
  [5060] = 4245,
  [5061] = 4311,
  [5062] = 4259,
  [5063] = 4279,
  [5064] = 4309,
  [5065] = 4304,
  [5066] = 5058,
  [5067] = 3887,
  [5068] = 4346,
  [5069] = 4303,
  [5070] = 4335,
  [5071] = 4383,
  [5072] = 4299,
  [5073] = 4292,
  [5074] = 4259,
  [5075] = 4301,
  [5076] = 5058,
  [5077] = 5077,
  [5078] = 4179,
  [5079] = 3887,
  [5080] = 3890,
  [5081] = 5081,
  [5082] = 4346,
  [5083] = 5083,
  [5084] = 4285,
  [5085] = 5058,
  [5086] = 4259,
  [5087] = 4327,
  [5088] = 4279,
  [5089] = 4279,
  [5090] = 4281,
  [5091] = 4260,
  [5092] = 4263,
  [5093] = 3887,
  [5094] = 4484,
  [5095] = 4327,
  [5096] = 4346,
  [5097] = 4292,
  [5098] = 4939,
  [5099] = 4328,
  [5100] = 4484,
  [5101] = 4343,
  [5102] = 4299,
  [5103] = 4292,
  [5104] = 5104,
  [5105] = 4263,
  [5106] = 4245,
  [5107] = 4281,
  [5108] = 4549,
  [5109] = 4260,
  [5110] = 4274,
  [5111] = 4939,
  [5112] = 4467,
  [5113] = 4259,
  [5114] = 3890,
  [5115] = 4459,
  [5116] = 4455,
  [5117] = 4179,
  [5118] = 4335,
  [5119] = 4549,
  [5120] = 4259,
  [5121] = 4346,
  [5122] = 4274,
  [5123] = 4928,
  [5124] = 3887,
  [5125] = 4279,
  [5126] = 4281,
  [5127] = 4549,
  [5128] = 4939,
  [5129] = 4484,
  [5130] = 4946,
  [5131] = 4484,
  [5132] = 4946,
  [5133] = 4292,
  [5134] = 4484,
  [5135] = 5135,
  [5136] = 4484,
  [5137] = 4281,
  [5138] = 4305,
  [5139] = 4791,
  [5140] = 4467,
  [5141] = 4281,
  [5142] = 4417,
  [5143] = 5039,
  [5144] = 4565,
  [5145] = 4383,
  [5146] = 4467,
  [5147] = 4484,
  [5148] = 4417,
  [5149] = 4563,
  [5150] = 4467,
  [5151] = 4417,
  [5152] = 4928,
  [5153] = 4467,
  [5154] = 5083,
  [5155] = 4565,
  [5156] = 3887,
  [5157] = 4335,
  [5158] = 4346,
  [5159] = 4467,
  [5160] = 4563,
  [5161] = 4417,
  [5162] = 4301,
  [5163] = 4279,
  [5164] = 4844,
  [5165] = 5165,
  [5166] = 4455,
  [5167] = 4305,
  [5168] = 4939,
  [5169] = 4383,
  [5170] = 4459,
  [5171] = 3890,
  [5172] = 4260,
  [5173] = 4455,
  [5174] = 4467,
  [5175] = 4335,
  [5176] = 4484,
  [5177] = 4245,
  [5178] = 4459,
  [5179] = 4946,
  [5180] = 4292,
  [5181] = 4279,
  [5182] = 4259,
  [5183] = 4422,
  [5184] = 4439,
  [5185] = 4346,
  [5186] = 4445,
  [5187] = 4565,
  [5188] = 4442,
  [5189] = 4448,
  [5190] = 4292,
  [5191] = 4285,
  [5192] = 4260,
  [5193] = 4442,
  [5194] = 4563,
  [5195] = 4346,
  [5196] = 4439,
  [5197] = 4279,
  [5198] = 4260,
  [5199] = 4305,
  [5200] = 4248,
  [5201] = 4335,
  [5202] = 4844,
  [5203] = 4445,
  [5204] = 4346,
  [5205] = 4448,
  [5206] = 4335,
  [5207] = 4565,
  [5208] = 4335,
  [5209] = 4844,
  [5210] = 4467,
  [5211] = 4281,
  [5212] = 4311,
  [5213] = 4260,
  [5214] = 4285,
  [5215] = 4309,
  [5216] = 4303,
  [5217] = 4346,
  [5218] = 4304,
  [5219] = 4346,
  [5220] = 4248,
  [5221] = 4248,
  [5222] = 4303,
  [5223] = 4299,
  [5224] = 4301,
  [5225] = 4304,
  [5226] = 4245,
  [5227] = 4448,
  [5228] = 4279,
  [5229] = 4311,
  [5230] = 4259,
  [5231] = 3890,
  [5232] = 4292,
  [5233] = 4445,
  [5234] = 4422,
  [5235] = 4563,
  [5236] = 4309,
  [5237] = 4304,
  [5238] = 4439,
  [5239] = 4303,
  [5240] = 4299,
  [5241] = 4417,
  [5242] = 4301,
  [5243] = 4073,
  [5244] = 4279,
  [5245] = 4327,
  [5246] = 4309,
  [5247] = 4281,
  [5248] = 4259,
  [5249] = 4260,
  [5250] = 4328,
  [5251] = 4279,
  [5252] = 4417,
  [5253] = 4346,
  [5254] = 4248,
  [5255] = 4279,
  [5256] = 4179,
  [5257] = 4343,
  [5258] = 4292,
  [5259] = 4281,
  [5260] = 4259,
  [5261] = 4327,
  [5262] = 4346,
  [5263] = 4328,
  [5264] = 4245,
  [5265] = 4343,
  [5266] = 4305,
  [5267] = 4311,
  [5268] = 4285,
  [5269] = 4657,
  [5270] = 4245,
  [5271] = 4309,
  [5272] = 4311,
  [5273] = 4304,
  [5274] = 4459,
  [5275] = 4335,
  [5276] = 4303,
  [5277] = 3887,
  [5278] = 4844,
  [5279] = 4285,
  [5280] = 4299,
  [5281] = 4844,
  [5282] = 4301,
  [5283] = 4946,
  [5284] = 4179,
  [5285] = 4455,
  [5286] = 4301,
  [5287] = 4346,
  [5288] = 4179,
  [5289] = 4459,
  [5290] = 4245,
  [5291] = 4439,
  [5292] = 4299,
  [5293] = 4844,
  [5294] = 4305,
  [5295] = 4657,
  [5296] = 4445,
  [5297] = 5297,
  [5298] = 4303,
  [5299] = 4304,
  [5300] = 4305,
  [5301] = 4263,
  [5302] = 4448,
  [5303] = 4346,
  [5304] = 4260,
  [5305] = 4455,
  [5306] = 4309,
  [5307] = 4179,
  [5308] = 4346,
  [5309] = 4455,
  [5310] = 4844,
  [5311] = 4279,
  [5312] = 4259,
  [5313] = 4581,
  [5314] = 4285,
  [5315] = 4301,
  [5316] = 4259,
  [5317] = 4305,
  [5318] = 5318,
  [5319] = 4299,
  [5320] = 4311,
  [5321] = 4459,
  [5322] = 4299,
  [5323] = 4248,
  [5324] = 5324,
  [5325] = 4259,
  [5326] = 4303,
  [5327] = 4305,
  [5328] = 4311,
  [5329] = 4304,
  [5330] = 4285,
  [5331] = 4281,
  [5332] = 4309,
  [5333] = 4484,
  [5334] = 4304,
  [5335] = 4303,
  [5336] = 4248,
  [5337] = 4301,
  [5338] = 3887,
  [5339] = 4259,
  [5340] = 4309,
  [5341] = 4281,
  [5342] = 4311,
  [5343] = 3887,
  [5344] = 4442,
  [5345] = 4260,
  [5346] = 4279,
  [5347] = 5347,
  [5348] = 4383,
  [5349] = 4259,
  [5350] = 4285,
  [5351] = 4259,
  [5352] = 3890,
  [5353] = 4581,
  [5354] = 4422,
  [5355] = 4844,
  [5356] = 4305,
  [5357] = 4245,
  [5358] = 5358,
  [5359] = 4179,
  [5360] = 4791,
  [5361] = 4305,
  [5362] = 4274,
  [5363] = 4442,
  [5364] = 4301,
  [5365] = 3887,
  [5366] = 4565,
  [5367] = 4455,
  [5368] = 4459,
  [5369] = 4299,
  [5370] = 4327,
  [5371] = 4448,
  [5372] = 4259,
  [5373] = 4259,
  [5374] = 4383,
  [5375] = 4303,
  [5376] = 4248,
  [5377] = 4304,
  [5378] = 4328,
  [5379] = 4343,
  [5380] = 4563,
  [5381] = 4422,
  [5382] = 4445,
  [5383] = 4309,
  [5384] = 3890,
  [5385] = 4335,
  [5386] = 4467,
  [5387] = 4311,
  [5388] = 4309,
  [5389] = 4304,
  [5390] = 4248,
  [5391] = 4303,
  [5392] = 3887,
  [5393] = 4299,
  [5394] = 4311,
  [5395] = 4417,
  [5396] = 5396,
  [5397] = 4439,
  [5398] = 4301,
  [5399] = 4455,
  [5400] = 4285,
  [5401] = 4459,
  [5402] = 4327,
  [5403] = 4274,
  [5404] = 4657,
  [5405] = 4328,
  [5406] = 4939,
  [5407] = 4343,
  [5408] = 3890,
  [5409] = 4484,
  [5410] = 4455,
  [5411] = 4439,
  [5412] = 4245,
  [5413] = 4459,
  [5414] = 4179,
  [5415] = 4445,
  [5416] = 4448,
  [5417] = 4285,
  [5418] = 4179,
  [5419] = 4260,
  [5420] = 4279,
  [5421] = 4327,
  [5422] = 4328,
  [5423] = 4343,
  [5424] = 4946,
  [5425] = 4346,
  [5426] = 4245,
  [5427] = 4179,
  [5428] = 5428,
  [5429] = 3887,
  [5430] = 4327,
  [5431] = 4328,
  [5432] = 4343,
  [5433] = 3890,
  [5434] = 4263,
  [5435] = 4179,
  [5436] = 3887,
  [5437] = 5437,
  [5438] = 3890,
  [5439] = 4281,
  [5440] = 4292,
  [5441] = 4327,
  [5442] = 5058,
  [5443] = 4328,
  [5444] = 4343,
  [5445] = 4248,
  [5446] = 4179,
  [5447] = 4422,
  [5448] = 4279,
  [5449] = 4549,
  [5450] = 4563,
  [5451] = 4445,
  [5452] = 4327,
  [5453] = 4455,
  [5454] = 4439,
  [5455] = 4439,
  [5456] = 4328,
  [5457] = 4281,
  [5458] = 4459,
  [5459] = 4448,
  [5460] = 4565,
  [5461] = 4445,
  [5462] = 4279,
  [5463] = 4343,
  [5464] = 3890,
  [5465] = 4448,
  [5466] = 4946,
  [5467] = 4327,
  [5468] = 4328,
  [5469] = 4179,
  [5470] = 4484,
  [5471] = 4343,
  [5472] = 4455,
  [5473] = 5039,
  [5474] = 4459,
  [5475] = 3887,
  [5476] = 4259,
  [5477] = 5083,
  [5478] = 4245,
  [5479] = 4563,
  [5480] = 4263,
  [5481] = 4292,
  [5482] = 4565,
  [5483] = 4459,
  [5484] = 4946,
  [5485] = 4335,
  [5486] = 4939,
  [5487] = 4245,
  [5488] = 4346,
  [5489] = 4279,
  [5490] = 4549,
  [5491] = 4484,
  [5492] = 5039,
  [5493] = 4939,
  [5494] = 5083,
  [5495] = 4455,
  [5496] = 4343,
  [5497] = 4281,
  [5498] = 4343,
  [5499] = 4484,
  [5500] = 4260,
  [5501] = 4179,
  [5502] = 4328,
  [5503] = 4844,
  [5504] = 4946,
  [5505] = 4346,
  [5506] = 4327,
  [5507] = 4459,
  [5508] = 4260,
  [5509] = 4455,
  [5510] = 4455,
  [5511] = 4274,
  [5512] = 4455,
  [5513] = 4281,
  [5514] = 4328,
  [5515] = 4442,
  [5516] = 4248,
  [5517] = 4335,
  [5518] = 4459,
  [5519] = 4279,
  [5520] = 4259,
  [5521] = 4383,
  [5522] = 4327,
  [5523] = 5396,
  [5524] = 4459,
  [5525] = 4259,
  [5526] = 4245,
  [5527] = 4467,
  [5528] = 4346,
  [5529] = 4455,
  [5530] = 4279,
  [5531] = 4422,
  [5532] = 4281,
  [5533] = 4459,
  [5534] = 4260,
  [5535] = 3890,
  [5536] = 4563,
  [5537] = 4565,
  [5538] = 4179,
  [5539] = 4581,
  [5540] = 4946,
  [5541] = 4563,
  [5542] = 4346,
  [5543] = 4245,
  [5544] = 4565,
  [5545] = 4179,
  [5546] = 4459,
  [5547] = 3890,
  [5548] = 4844,
  [5549] = 5297,
  [5550] = 4939,
  [5551] = 4442,
  [5552] = 4346,
  [5553] = 4292,
  [5554] = 4311,
  [5555] = 4260,
  [5556] = 3887,
  [5557] = 4346,
  [5558] = 4455,
  [5559] = 4285,
  [5560] = 4467,
  [5561] = 4467,
  [5562] = 4309,
  [5563] = 4346,
  [5564] = 4844,
  [5565] = 4304,
  [5566] = 4844,
  [5567] = 4422,
  [5568] = 4346,
  [5569] = 4259,
  [5570] = 4279,
  [5571] = 4245,
  [5572] = 4248,
  [5573] = 4939,
  [5574] = 4303,
  [5575] = 5297,
  [5576] = 4844,
  [5577] = 4946,
  [5578] = 3887,
  [5579] = 4299,
  [5580] = 4928,
  [5581] = 4301,
  [5582] = 4383,
  [5583] = 4346,
  [5584] = 4292,
  [5585] = 4844,
  [5586] = 4346,
  [5587] = 4657,
  [5588] = 4346,
  [5589] = 4484,
  [5590] = 3890,
  [5591] = 3887,
  [5592] = 5083,
  [5593] = 4442,
  [5594] = 4844,
  [5595] = 4844,
  [5596] = 4484,
  [5597] = 5597,
  [5598] = 4844,
  [5599] = 4939,
  [5600] = 4439,
  [5601] = 4279,
  [5602] = 4417,
  [5603] = 4445,
  [5604] = 4346,
  [5605] = 4448,
  [5606] = 5606,
  [5607] = 5607,
  [5608] = 4311,
  [5609] = 4301,
  [5610] = 5610,
  [5611] = 4073,
  [5612] = 4299,
  [5613] = 4263,
  [5614] = 4303,
  [5615] = 4335,
  [5616] = 4245,
  [5617] = 4304,
  [5618] = 4581,
  [5619] = 5619,
  [5620] = 5620,
  [5621] = 5621,
  [5622] = 4309,
  [5623] = 4484,
  [5624] = 4292,
  [5625] = 5625,
  [5626] = 5318,
  [5627] = 4285,
  [5628] = 5628,
  [5629] = 4311,
  [5630] = 4179,
  [5631] = 5631,
  [5632] = 5396,
  [5633] = 4309,
  [5634] = 5634,
  [5635] = 5635,
  [5636] = 5324,
  [5637] = 4304,
  [5638] = 5638,
  [5639] = 4303,
  [5640] = 5640,
  [5641] = 4281,
  [5642] = 5642,
  [5643] = 4299,
  [5644] = 4292,
  [5645] = 4259,
  [5646] = 3890,
  [5647] = 3887,
  [5648] = 4946,
  [5649] = 5649,
  [5650] = 3890,
  [5651] = 4301,
  [5652] = 4459,
  [5653] = 4259,
  [5654] = 4285,
  [5655] = 5318,
  [5656] = 4939,
  [5657] = 5657,
  [5658] = 3890,
  [5659] = 5324,
  [5660] = 4248,
  [5661] = 4305,
  [5662] = 3887,
  [5663] = 4281,
  [5664] = 4281,
  [5665] = 4335,
  [5666] = 5666,
  [5667] = 4245,
  [5668] = 4279,
  [5669] = 5669,
  [5670] = 3890,
  [5671] = 3887,
  [5672] = 4179,
  [5673] = 4657,
  [5674] = 4439,
  [5675] = 4459,
  [5676] = 4305,
  [5677] = 3890,
  [5678] = 3887,
  [5679] = 4335,
  [5680] = 5083,
  [5681] = 4445,
  [5682] = 4563,
  [5683] = 5683,
  [5684] = 4455,
  [5685] = 4448,
  [5686] = 4467,
  [5687] = 4565,
  [5688] = 5688,
  [5689] = 4455,
  [5690] = 5039,
  [5691] = 3887,
  [5692] = 4274,
  [5693] = 4346,
  [5694] = 4417,
  [5695] = 4343,
  [5696] = 4260,
  [5697] = 4467,
  [5698] = 4335,
  [5699] = 4328,
  [5700] = 3890,
  [5701] = 3887,
  [5702] = 3890,
  [5703] = 4305,
  [5704] = 4327,
  [5705] = 4260,
  [5706] = 3887,
  [5707] = 5083,
  [5708] = 3890,
  [5709] = 4292,
  [5710] = 3890,
  [5711] = 3887,
  [5712] = 4279,
  [5713] = 3887,
  [5714] = 4292,
  [5715] = 4422,
  [5716] = 4279,
  [5717] = 3890,
  [5718] = 4791,
  [5719] = 4179,
  [5720] = 4245,
  [5721] = 4383,
  [5722] = 4928,
  [5723] = 4467,
  [5724] = 4279,
  [5725] = 4179,
  [5726] = 3887,
  [5727] = 5165,
  [5728] = 4417,
  [5729] = 5077,
  [5730] = 4285,
  [5731] = 5039,
  [5732] = 4343,
  [5733] = 4328,
  [5734] = 4327,
  [5735] = 4179,
  [5736] = 4343,
  [5737] = 4328,
  [5738] = 5738,
  [5739] = 4259,
  [5740] = 4327,
  [5741] = 5135,
  [5742] = 4335,
  [5743] = 5743,
  [5744] = 5744,
  [5745] = 4281,
  [5746] = 4260,
  [5747] = 4383,
  [5748] = 4073,
  [5749] = 4301,
  [5750] = 4281,
  [5751] = 4657,
  [5752] = 4484,
  [5753] = 4281,
  [5754] = 4305,
  [5755] = 3890,
  [5756] = 5347,
  [5757] = 5358,
  [5758] = 4467,
  [5759] = 4549,
  [5760] = 4299,
  [5761] = 5104,
  [5762] = 4179,
  [5763] = 4346,
  [5764] = 4343,
  [5765] = 4328,
  [5766] = 4448,
  [5767] = 4445,
  [5768] = 5768,
  [5769] = 4327,
  [5770] = 4285,
  [5771] = 4844,
  [5772] = 4303,
  [5773] = 4305,
  [5774] = 4439,
  [5775] = 3887,
  [5776] = 5081,
  [5777] = 3890,
  [5778] = 4304,
  [5779] = 4417,
  [5780] = 3887,
  [5781] = 5077,
  [5782] = 3887,
  [5783] = 4309,
  [5784] = 4335,
  [5785] = 4279,
  [5786] = 4279,
  [5787] = 5047,
  [5788] = 3890,
  [5789] = 4791,
  [5790] = 3890,
  [5791] = 5791,
  [5792] = 4311,
  [5793] = 4327,
  [5794] = 4439,
  [5795] = 4791,
  [5796] = 4328,
  [5797] = 4343,
  [5798] = 4445,
  [5799] = 4448,
  [5800] = 4346,
  [5801] = 3890,
  [5802] = 4260,
  [5803] = 4346,
  [5804] = 4245,
  [5805] = 4417,
  [5806] = 3887,
  [5807] = 4179,
  [5808] = 5324,
  [5809] = 4459,
  [5810] = 4417,
  [5811] = 4455,
  [5812] = 4259,
  [5813] = 3887,
  [5814] = 4245,
  [5815] = 4343,
  [5816] = 4328,
  [5817] = 4327,
  [5818] = 4448,
  [5819] = 4549,
  [5820] = 4292,
  [5821] = 4311,
  [5822] = 4305,
  [5823] = 5358,
  [5824] = 5347,
  [5825] = 4245,
  [5826] = 4445,
  [5827] = 4448,
  [5828] = 4179,
  [5829] = 4484,
  [5830] = 4439,
  [5831] = 4245,
  [5832] = 4417,
  [5833] = 5318,
  [5834] = 4245,
  [5835] = 4305,
  [5836] = 4260,
  [5837] = 4301,
  [5838] = 4439,
  [5839] = 4327,
  [5840] = 4445,
  [5841] = 4299,
  [5842] = 5396,
  [5843] = 4328,
  [5844] = 4448,
  [5845] = 4343,
  [5846] = 4928,
  [5847] = 4279,
  [5848] = 4279,
  [5849] = 3887,
  [5850] = 4455,
  [5851] = 4281,
  [5852] = 4303,
  [5853] = 4248,
  [5854] = 4467,
  [5855] = 4459,
  [5856] = 4292,
  [5857] = 5047,
  [5858] = 5858,
  [5859] = 4285,
  [5860] = 4304,
  [5861] = 4309,
  [5862] = 4305,
  [5863] = 4484,
  [5864] = 5081,
  [5865] = 4445,
  [5866] = 4248,
  [5867] = 4346,
  [5868] = 4179,
  [5869] = 4245,
  [5870] = 4309,
  [5871] = 4285,
  [5872] = 5104,
  [5873] = 4346,
  [5874] = 4260,
  [5875] = 4311,
  [5876] = 4311,
  [5877] = 4581,
  [5878] = 4309,
  [5879] = 4439,
  [5880] = 5135,
  [5881] = 4417,
  [5882] = 4304,
  [5883] = 4305,
  [5884] = 4260,
  [5885] = 3890,
  [5886] = 4439,
  [5887] = 4939,
  [5888] = 4304,
  [5889] = 4248,
  [5890] = 4303,
  [5891] = 5165,
  [5892] = 4299,
  [5893] = 4292,
  [5894] = 4303,
  [5895] = 4445,
  [5896] = 4301,
  [5897] = 4565,
  [5898] = 5898,
  [5899] = 4448,
  [5900] = 4248,
  [5901] = 4301,
  [5902] = 3890,
  [5903] = 4299,
  [5904] = 5047,
  [5905] = 4279,
  [5906] = 4484,
  [5907] = 4442,
  [5908] = 4311,
  [5909] = 4301,
  [5910] = 5358,
  [5911] = 4285,
  [5912] = 4309,
  [5913] = 4448,
  [5914] = 4285,
  [5915] = 5347,
  [5916] = 4844,
  [5917] = 4299,
  [5918] = 4304,
  [5919] = 4281,
  [5920] = 4303,
  [5921] = 4301,
  [5922] = 4303,
  [5923] = 4248,
  [5924] = 4299,
  [5925] = 4299,
  [5926] = 4279,
  [5927] = 4301,
  [5928] = 4304,
  [5929] = 4563,
  [5930] = 4459,
  [5931] = 4563,
  [5932] = 4467,
  [5933] = 5081,
  [5934] = 4309,
  [5935] = 4445,
  [5936] = 4285,
  [5937] = 4259,
  [5938] = 4844,
  [5939] = 4455,
  [5940] = 4939,
  [5941] = 4311,
  [5942] = 4565,
  [5943] = 5039,
  [5944] = 4303,
  [5945] = 4260,
  [5946] = 4281,
  [5947] = 3887,
  [5948] = 4248,
  [5949] = 4946,
  [5950] = 5165,
  [5951] = 4311,
  [5952] = 4467,
  [5953] = 4417,
  [5954] = 4304,
  [5955] = 4260,
  [5956] = 5104,
  [5957] = 4455,
  [5958] = 4459,
  [5959] = 4484,
  [5960] = 4448,
  [5961] = 4946,
  [5962] = 4335,
  [5963] = 4439,
  [5964] = 5964,
  [5965] = 4445,
  [5966] = 4448,
  [5967] = 4445,
  [5968] = 4073,
  [5969] = 4309,
  [5970] = 4281,
  [5971] = 4467,
  [5972] = 4248,
  [5973] = 4335,
  [5974] = 4439,
  [5975] = 4305,
  [5976] = 4417,
  [5977] = 4439,
  [5978] = 4260,
  [5979] = 5135,
  [5980] = 4484,
  [5981] = 4309,
  [5982] = 5396,
  [5983] = 5631,
  [5984] = 5631,
  [5985] = 4417,
  [5986] = 4455,
  [5987] = 4335,
  [5988] = 4304,
  [5989] = 4248,
  [5990] = 4245,
  [5991] = 5135,
  [5992] = 4303,
  [5993] = 4311,
  [5994] = 4335,
  [5995] = 3887,
  [5996] = 4248,
  [5997] = 4279,
  [5998] = 4946,
  [5999] = 5638,
  [6000] = 5628,
  [6001] = 5297,
  [6002] = 4285,
  [6003] = 5621,
  [6004] = 4248,
  [6005] = 5640,
  [6006] = 4459,
  [6007] = 4299,
  [6008] = 5619,
  [6009] = 4417,
  [6010] = 4281,
  [6011] = 4260,
  [6012] = 4455,
  [6013] = 4657,
  [6014] = 4301,
  [6015] = 5642,
  [6016] = 5649,
  [6017] = 4285,
  [6018] = 5610,
  [6019] = 4484,
  [6020] = 4939,
  [6021] = 5039,
  [6022] = 4459,
  [6023] = 4245,
  [6024] = 3890,
  [6025] = 5607,
  [6026] = 3890,
  [6027] = 4311,
  [6028] = 4285,
  [6029] = 4292,
  [6030] = 4301,
  [6031] = 4179,
  [6032] = 5165,
  [6033] = 3887,
  [6034] = 4309,
  [6035] = 5683,
  [6036] = 4073,
  [6037] = 5083,
  [6038] = 5688,
  [6039] = 4304,
  [6040] = 4245,
  [6041] = 5606,
  [6042] = 4439,
  [6043] = 3887,
  [6044] = 4346,
  [6045] = 4303,
  [6046] = 4299,
  [6047] = 4299,
  [6048] = 4343,
  [6049] = 4301,
  [6050] = 4328,
  [6051] = 4303,
  [6052] = 4327,
  [6053] = 5743,
  [6054] = 4445,
  [6055] = 4467,
  [6056] = 4304,
  [6057] = 4484,
  [6058] = 4305,
  [6059] = 5104,
  [6060] = 4448,
  [6061] = 4484,
  [6062] = 5324,
  [6063] = 5039,
  [6064] = 5744,
  [6065] = 4309,
  [6066] = 4245,
  [6067] = 4179,
  [6068] = 4179,
  [6069] = 4245,
  [6070] = 4301,
  [6071] = 5318,
  [6072] = 4299,
  [6073] = 4565,
  [6074] = 4459,
  [6075] = 4303,
  [6076] = 4563,
  [6077] = 4304,
  [6078] = 4260,
  [6079] = 5083,
  [6080] = 4248,
  [6081] = 4311,
  [6082] = 4305,
  [6083] = 4467,
  [6084] = 4292,
  [6085] = 4455,
  [6086] = 4309,
  [6087] = 4285,
  [6088] = 4844,
  [6089] = 3887,
  [6090] = 4484,
  [6091] = 4455,
  [6092] = 4422,
  [6093] = 4343,
  [6094] = 4565,
  [6095] = 4448,
  [6096] = 4328,
  [6097] = 4311,
  [6098] = 4563,
  [6099] = 3890,
  [6100] = 4179,
  [6101] = 4445,
  [6102] = 5358,
  [6103] = 5347,
  [6104] = 4327,
  [6105] = 4248,
  [6106] = 4343,
  [6107] = 4939,
  [6108] = 4260,
  [6109] = 4417,
  [6110] = 4311,
  [6111] = 4657,
  [6112] = 4459,
  [6113] = 4328,
  [6114] = 4439,
  [6115] = 5324,
  [6116] = 4327,
  [6117] = 5081,
  [6118] = 4563,
  [6119] = 4946,
  [6120] = 4245,
  [6121] = 5297,
  [6122] = 4179,
  [6123] = 4484,
  [6124] = 4459,
  [6125] = 4467,
  [6126] = 4383,
  [6127] = 4260,
  [6128] = 4309,
  [6129] = 4311,
  [6130] = 4248,
  [6131] = 5635,
  [6132] = 5634,
  [6133] = 4946,
  [6134] = 4259,
  [6135] = 4281,
  [6136] = 4285,
  [6137] = 4455,
  [6138] = 5625,
  [6139] = 4309,
  [6140] = 4304,
  [6141] = 4260,
  [6142] = 4248,
  [6143] = 4417,
  [6144] = 4442,
  [6145] = 4304,
  [6146] = 4303,
  [6147] = 4303,
  [6148] = 4335,
  [6149] = 4343,
  [6150] = 4299,
  [6151] = 4581,
  [6152] = 5047,
  [6153] = 4301,
  [6154] = 4565,
  [6155] = 4299,
  [6156] = 4448,
  [6157] = 4328,
  [6158] = 4445,
  [6159] = 4439,
  [6160] = 4327,
  [6161] = 4305,
  [6162] = 4260,
  [6163] = 4301,
  [6164] = 4346,
  [6165] = 4445,
  [6166] = 4301,
  [6167] = 5318,
  [6168] = 4448,
  [6169] = 4467,
  [6170] = 4439,
  [6171] = 4439,
  [6172] = 4279,
  [6173] = 4445,
  [6174] = 4448,
  [6175] = 4417,
  [6176] = 4939,
  [6177] = 4844,
  [6178] = 4179,
  [6179] = 4459,
  [6180] = 4245,
  [6181] = 4455,
  [6182] = 4299,
  [6183] = 4245,
  [6184] = 4343,
  [6185] = 4301,
  [6186] = 4285,
  [6187] = 4328,
  [6188] = 4281,
  [6189] = 3887,
  [6190] = 4327,
  [6191] = 4328,
  [6192] = 4335,
  [6193] = 4299,
  [6194] = 4327,
  [6195] = 3890,
  [6196] = 4343,
  [6197] = 4179,
  [6198] = 3890,
  [6199] = 4281,
  [6200] = 4467,
  [6201] = 3887,
  [6202] = 3887,
  [6203] = 4292,
  [6204] = 4303,
  [6205] = 5898,
  [6206] = 3890,
  [6207] = 4304,
  [6208] = 4581,
  [6209] = 4442,
  [6210] = 4179,
  [6211] = 3890,
  [6212] = 4309,
  [6213] = 4327,
  [6214] = 4328,
  [6215] = 4343,
  [6216] = 4285,
  [6217] = 4455,
  [6218] = 4311,
  [6219] = 4179,
  [6220] = 4459,
  [6221] = 5077,
  [6222] = 4248,
  [6223] = 4245,
  [6224] = 4311,
  [6225] = 4179,
  [6226] = 4448,
  [6227] = 4281,
  [6228] = 4260,
  [6229] = 4248,
  [6230] = 4260,
  [6231] = 4245,
  [6232] = 5964,
  [6233] = 4303,
  [6234] = 4467,
  [6235] = 4417,
  [6236] = 4445,
  [6237] = 4285,
  [6238] = 5964,
  [6239] = 4439,
  [6240] = 4928,
  [6241] = 4467,
  [6242] = 4484,
  [6243] = 4248,
  [6244] = 4304,
  [6245] = 4073,
  [6246] = 4439,
  [6247] = 4422,
  [6248] = 4445,
  [6249] = 4448,
  [6250] = 5597,
  [6251] = 5620,
  [6252] = 4285,
  [6253] = 4259,
  [6254] = 4311,
  [6255] = 3887,
  [6256] = 4260,
  [6257] = 5165,
  [6258] = 5898,
  [6259] = 4939,
  [6260] = 4327,
  [6261] = 5135,
  [6262] = 4467,
  [6263] = 4328,
  [6264] = 4422,
  [6265] = 4343,
  [6266] = 4343,
  [6267] = 4301,
  [6268] = 4565,
  [6269] = 4328,
  [6270] = 4439,
  [6271] = 4281,
  [6272] = 4309,
  [6273] = 4179,
  [6274] = 3890,
  [6275] = 4549,
  [6276] = 4335,
  [6277] = 4445,
  [6278] = 4343,
  [6279] = 4455,
  [6280] = 4299,
  [6281] = 4563,
  [6282] = 4327,
  [6283] = 4455,
  [6284] = 4304,
  [6285] = 5104,
  [6286] = 4305,
  [6287] = 4303,
  [6288] = 4383,
  [6289] = 4328,
  [6290] = 4303,
  [6291] = 4459,
  [6292] = 4304,
  [6293] = 4448,
  [6294] = 4459,
  [6295] = 4442,
  [6296] = 4292,
  [6297] = 4281,
  [6298] = 4309,
  [6299] = 4299,
  [6300] = 4309,
  [6301] = 5081,
  [6302] = 3887,
  [6303] = 3890,
  [6304] = 5625,
  [6305] = 5047,
  [6306] = 4327,
  [6307] = 5634,
  [6308] = 4459,
  [6309] = 4311,
  [6310] = 4301,
  [6311] = 5635,
  [6312] = 4311,
  [6313] = 3887,
  [6314] = 3890,
  [6315] = 4346,
  [6316] = 4285,
  [6317] = 5165,
  [6318] = 4467,
  [6319] = 4309,
  [6320] = 4928,
  [6321] = 4549,
  [6322] = 4304,
  [6323] = 4248,
  [6324] = 4455,
  [6325] = 5738,
  [6326] = 4309,
  [6327] = 4303,
  [6328] = 4299,
  [6329] = 3887,
  [6330] = 4285,
  [6331] = 4301,
  [6332] = 4304,
  [6333] = 5597,
  [6334] = 3890,
  [6335] = 5047,
  [6336] = 5347,
  [6337] = 5358,
  [6338] = 5620,
  [6339] = 3890,
  [6340] = 5396,
  [6341] = 4259,
  [6342] = 5669,
  [6343] = 4281,
  [6344] = 3887,
  [6345] = 5135,
  [6346] = 3890,
  [6347] = 5666,
  [6348] = 4581,
  [6349] = 4281,
  [6350] = 4484,
  [6351] = 3887,
  [6352] = 5039,
  [6353] = 5657,
  [6354] = 4417,
  [6355] = 3890,
  [6356] = 4467,
  [6357] = 4245,
  [6358] = 4303,
  [6359] = 5083,
  [6360] = 4939,
  [6361] = 4327,
  [6362] = 4281,
  [6363] = 4328,
  [6364] = 4292,
  [6365] = 4260,
  [6366] = 4343,
  [6367] = 3887,
  [6368] = 3890,
  [6369] = 3887,
  [6370] = 5768,
  [6371] = 3890,
  [6372] = 5081,
  [6373] = 5738,
  [6374] = 3887,
  [6375] = 5104,
  [6376] = 4311,
  [6377] = 4844,
  [6378] = 4285,
  [6379] = 5791,
  [6380] = 4343,
  [6381] = 6381,
  [6382] = 4309,
  [6383] = 4073,
  [6384] = 4304,
  [6385] = 4179,
  [6386] = 4248,
  [6387] = 5768,
  [6388] = 4791,
  [6389] = 4327,
  [6390] = 4328,
  [6391] = 4248,
  [6392] = 4939,
  [6393] = 5791,
  [6394] = 4303,
  [6395] = 4335,
  [6396] = 5081,
  [6397] = 4299,
  [6398] = 4327,
  [6399] = 4301,
  [6400] = 4179,
  [6401] = 4259,
  [6402] = 4305,
  [6403] = 5104,
  [6404] = 4259,
  [6405] = 4439,
  [6406] = 4939,
  [6407] = 4328,
  [6408] = 4259,
  [6409] = 4279,
  [6410] = 5047,
  [6411] = 4301,
  [6412] = 4343,
  [6413] = 4445,
  [6414] = 4260,
  [6415] = 4448,
  [6416] = 4946,
  [6417] = 3887,
  [6418] = 4179,
  [6419] = 4946,
  [6420] = 4565,
  [6421] = 4311,
  [6422] = 4791,
  [6423] = 4459,
  [6424] = 5744,
  [6425] = 5858,
  [6426] = 6426,
  [6427] = 4285,
  [6428] = 4292,
  [6429] = 4309,
  [6430] = 4844,
  [6431] = 5083,
  [6432] = 4335,
  [6433] = 6426,
  [6434] = 4346,
  [6435] = 5135,
  [6436] = 5743,
  [6437] = 4305,
  [6438] = 4304,
  [6439] = 4248,
  [6440] = 4844,
  [6441] = 4303,
  [6442] = 4467,
  [6443] = 4791,
  [6444] = 4455,
  [6445] = 4259,
  [6446] = 4844,
  [6447] = 4299,
  [6448] = 4383,
  [6449] = 4292,
  [6450] = 4844,
  [6451] = 4301,
  [6452] = 4928,
  [6453] = 4343,
  [6454] = 4448,
  [6455] = 4260,
  [6456] = 4328,
  [6457] = 4549,
  [6458] = 4274,
  [6459] = 4299,
  [6460] = 4946,
  [6461] = 5165,
  [6462] = 4448,
  [6463] = 4445,
  [6464] = 4563,
  [6465] = 4327,
  [6466] = 4346,
  [6467] = 4445,
  [6468] = 4260,
  [6469] = 5039,
  [6470] = 4305,
  [6471] = 4305,
  [6472] = 4305,
  [6473] = 4439,
  [6474] = 5083,
  [6475] = 5688,
  [6476] = 5683,
  [6477] = 4484,
  [6478] = 4484,
  [6479] = 4467,
  [6480] = 4179,
  [6481] = 6481,
  [6482] = 4844,
  [6483] = 4346,
  [6484] = 4346,
  [6485] = 4946,
  [6486] = 4346,
  [6487] = 4939,
  [6488] = 4305,
  [6489] = 4305,
  [6490] = 4844,
  [6491] = 4791,
  [6492] = 4439,
  [6493] = 4346,
  [6494] = 3890,
  [6495] = 4565,
  [6496] = 4844,
  [6497] = 4946,
  [6498] = 4448,
  [6499] = 5039,
  [6500] = 4311,
  [6501] = 4245,
  [6502] = 5396,
  [6503] = 5083,
  [6504] = 4459,
  [6505] = 4285,
  [6506] = 4455,
  [6507] = 4311,
  [6508] = 4179,
  [6509] = 4309,
  [6510] = 4563,
  [6511] = 4484,
  [6512] = 4260,
  [6513] = 4304,
  [6514] = 4417,
  [6515] = 5047,
  [6516] = 4445,
  [6517] = 4303,
  [6518] = 5081,
  [6519] = 4299,
  [6520] = 4939,
  [6521] = 4301,
  [6522] = 5077,
  [6523] = 4179,
  [6524] = 4245,
  [6525] = 4442,
  [6526] = 3887,
  [6527] = 5649,
  [6528] = 5104,
  [6529] = 4285,
  [6530] = 6530,
  [6531] = 4248,
  [6532] = 4549,
  [6533] = 4346,
  [6534] = 4459,
  [6535] = 5642,
  [6536] = 4484,
  [6537] = 4335,
  [6538] = 4245,
  [6539] = 5135,
  [6540] = 4455,
  [6541] = 5039,
  [6542] = 3890,
  [6543] = 4343,
  [6544] = 5640,
  [6545] = 4484,
  [6546] = 4328,
  [6547] = 4327,
  [6548] = 5347,
  [6549] = 4946,
  [6550] = 4439,
  [6551] = 5358,
  [6552] = 5638,
  [6553] = 4279,
  [6554] = 4844,
  [6555] = 4305,
  [6556] = 5077,
  [6557] = 6557,
  [6558] = 4946,
  [6559] = 5165,
  [6560] = 6426,
  [6561] = 4281,
  [6562] = 4305,
  [6563] = 4563,
  [6564] = 4259,
  [6565] = 3890,
  [6566] = 4467,
  [6567] = 5324,
  [6568] = 5858,
  [6569] = 4292,
  [6570] = 4439,
  [6571] = 4422,
  [6572] = 5318,
  [6573] = 4245,
  [6574] = 5657,
  [6575] = 5083,
  [6576] = 4260,
  [6577] = 3887,
  [6578] = 4581,
  [6579] = 3887,
  [6580] = 4448,
  [6581] = 4179,
  [6582] = 4844,
  [6583] = 4305,
  [6584] = 5666,
  [6585] = 6585,
  [6586] = 4459,
  [6587] = 5669,
  [6588] = 4279,
  [6589] = 4343,
  [6590] = 5858,
  [6591] = 4279,
  [6592] = 4417,
  [6593] = 5396,
  [6594] = 4245,
  [6595] = 5297,
  [6596] = 3890,
  [6597] = 6597,
  [6598] = 4448,
  [6599] = 4445,
  [6600] = 4328,
  [6601] = 4657,
  [6602] = 4657,
  [6603] = 6603,
  [6604] = 6604,
  [6605] = 6605,
  [6606] = 5347,
  [6607] = 5628,
  [6608] = 5621,
  [6609] = 5358,
  [6610] = 5619,
  [6611] = 4305,
  [6612] = 4445,
  [6613] = 5039,
  [6614] = 4327,
  [6615] = 4292,
  [6616] = 4844,
  [6617] = 4455,
  [6618] = 4263,
  [6619] = 5083,
  [6620] = 4448,
  [6621] = 5610,
  [6622] = 4260,
  [6623] = 3887,
  [6624] = 5324,
  [6625] = 4445,
  [6626] = 3890,
  [6627] = 5039,
  [6628] = 4245,
  [6629] = 3887,
  [6630] = 4343,
  [6631] = 4791,
  [6632] = 4328,
  [6633] = 5318,
  [6634] = 4467,
  [6635] = 4439,
  [6636] = 4327,
  [6637] = 4939,
  [6638] = 4417,
  [6639] = 4073,
  [6640] = 5607,
  [6641] = 4565,
  [6642] = 5606,
  [6643] = 4279,
  [6644] = 6644,
  [6645] = 4844,
  [6646] = 4439,
  [6647] = 3890,
  [6648] = 4260,
  [6649] = 4791,
  [6650] = 4335,
  [6651] = 5039,
  [6652] = 4245,
  [6653] = 4179,
  [6654] = 4939,
  [6655] = 4343,
  [6656] = 4328,
  [6657] = 5744,
  [6658] = 4327,
  [6659] = 4281,
  [6660] = 4417,
  [6661] = 4309,
  [6662] = 4343,
  [6663] = 5083,
  [6664] = 4179,
  [6665] = 4346,
  [6666] = 4305,
  [6667] = 4455,
  [6668] = 4304,
  [6669] = 4179,
  [6670] = 5358,
  [6671] = 4303,
  [6672] = 4328,
  [6673] = 5743,
  [6674] = 5347,
  [6675] = 4343,
  [6676] = 4301,
  [6677] = 4459,
  [6678] = 4328,
  [6679] = 4791,
  [6680] = 4299,
  [6681] = 4327,
  [6682] = 4303,
  [6683] = 4299,
  [6684] = 4279,
  [6685] = 4335,
  [6686] = 4304,
  [6687] = 4301,
  [6688] = 4179,
  [6689] = 4309,
  [6690] = 4939,
  [6691] = 4467,
  [6692] = 4285,
  [6693] = 4311,
  [6694] = 6694,
  [6695] = 5396,
  [6696] = 4311,
  [6697] = 4939,
  [6698] = 4327,
  [6699] = 4245,
  [6700] = 3887,
  [6701] = 5669,
  [6702] = 5666,
  [6703] = 4467,
  [6704] = 5688,
  [6705] = 4417,
  [6706] = 4484,
  [6707] = 5683,
  [6708] = 5858,
  [6709] = 4484,
  [6710] = 4417,
  [6711] = 4417,
  [6712] = 4073,
  [6713] = 4439,
  [6714] = 4484,
  [6715] = 4445,
  [6716] = 4179,
  [6717] = 4245,
  [6718] = 4448,
  [6719] = 4439,
  [6720] = 5657,
  [6721] = 4448,
  [6722] = 4946,
  [6723] = 4445,
  [6724] = 6724,
  [6725] = 4248,
  [6726] = 4928,
  [6727] = 4439,
  [6728] = 6728,
  [6729] = 4417,
  [6730] = 6730,
  [6731] = 4467,
  [6732] = 4285,
  [6733] = 4455,
  [6734] = 4928,
  [6735] = 4439,
  [6736] = 6736,
  [6737] = 4343,
  [6738] = 4445,
  [6739] = 4328,
  [6740] = 4467,
  [6741] = 4327,
  [6742] = 4459,
  [6743] = 4563,
  [6744] = 4445,
  [6745] = 6745,
  [6746] = 4484,
  [6747] = 4448,
  [6748] = 3890,
  [6749] = 5077,
  [6750] = 4448,
  [6751] = 4946,
  [6752] = 4565,
  [6753] = 4581,
  [6754] = 4301,
  [6755] = 4299,
  [6756] = 4303,
  [6757] = 6757,
  [6758] = 5649,
  [6759] = 4260,
  [6760] = 5083,
  [6761] = 4304,
  [6762] = 5657,
  [6763] = 5964,
  [6764] = 4346,
  [6765] = 5428,
  [6766] = 4309,
  [6767] = 4657,
  [6768] = 4285,
  [6769] = 4285,
  [6770] = 3887,
  [6771] = 4455,
  [6772] = 4073,
  [6773] = 4311,
  [6774] = 5039,
  [6775] = 4260,
  [6776] = 5642,
  [6777] = 4467,
  [6778] = 4439,
  [6779] = 5297,
  [6780] = 5640,
  [6781] = 4248,
  [6782] = 4281,
  [6783] = 4484,
  [6784] = 4939,
  [6785] = 5621,
  [6786] = 4305,
  [6787] = 4459,
  [6788] = 4445,
  [6789] = 4448,
  [6790] = 4939,
  [6791] = 5638,
  [6792] = 5083,
  [6793] = 4248,
  [6794] = 4448,
  [6795] = 4305,
  [6796] = 4305,
  [6797] = 4327,
  [6798] = 4563,
  [6799] = 4281,
  [6800] = 5039,
  [6801] = 4939,
  [6802] = 4292,
  [6803] = 4565,
  [6804] = 4459,
  [6805] = 5083,
  [6806] = 4305,
  [6807] = 4455,
  [6808] = 4328,
  [6809] = 4445,
  [6810] = 5625,
  [6811] = 4791,
  [6812] = 3890,
  [6813] = 4417,
  [6814] = 4343,
  [6815] = 5039,
  [6816] = 5634,
  [6817] = 5635,
  [6818] = 4791,
  [6819] = 4179,
  [6820] = 4459,
  [6821] = 4311,
  [6822] = 4285,
  [6823] = 4301,
  [6824] = 5083,
  [6825] = 4248,
  [6826] = 4309,
  [6827] = 4439,
  [6828] = 4304,
  [6829] = 5666,
  [6830] = 5039,
  [6831] = 5669,
  [6832] = 5039,
  [6833] = 4303,
  [6834] = 4445,
  [6835] = 5898,
  [6836] = 5744,
  [6837] = 5743,
  [6838] = 4299,
  [6839] = 4448,
  [6840] = 4292,
  [6841] = 4657,
  [6842] = 4299,
  [6843] = 4301,
  [6844] = 4343,
  [6845] = 5047,
  [6846] = 5597,
  [6847] = 4448,
  [6848] = 4328,
  [6849] = 5081,
  [6850] = 4445,
  [6851] = 4327,
  [6852] = 6757,
  [6853] = 4439,
  [6854] = 5620,
  [6855] = 4484,
  [6856] = 5688,
  [6857] = 5683,
  [6858] = 5104,
  [6859] = 4245,
  [6860] = 5964,
  [6861] = 4439,
  [6862] = 4455,
  [6863] = 4417,
  [6864] = 4946,
  [6865] = 6481,
  [6866] = 4455,
  [6867] = 6381,
  [6868] = 5396,
  [6869] = 5631,
  [6870] = 4303,
  [6871] = 4245,
  [6872] = 4248,
  [6873] = 5628,
  [6874] = 4581,
  [6875] = 5135,
  [6876] = 5738,
  [6877] = 4260,
  [6878] = 4467,
  [6879] = 4260,
  [6880] = 4248,
  [6881] = 4939,
  [6882] = 5165,
  [6883] = 4305,
  [6884] = 4248,
  [6885] = 5898,
  [6886] = 4304,
  [6887] = 5039,
  [6888] = 5649,
  [6889] = 5083,
  [6890] = 5642,
  [6891] = 5318,
  [6892] = 4073,
  [6893] = 5077,
  [6894] = 4459,
  [6895] = 5768,
  [6896] = 5619,
  [6897] = 5791,
  [6898] = 4305,
  [6899] = 4946,
  [6900] = 3887,
  [6901] = 5640,
  [6902] = 4335,
  [6903] = 5083,
  [6904] = 5324,
  [6905] = 4467,
  [6906] = 5610,
  [6907] = 4335,
  [6908] = 4285,
  [6909] = 4581,
  [6910] = 4467,
  [6911] = 5625,
  [6912] = 5638,
  [6913] = 4791,
  [6914] = 5634,
  [6915] = 4459,
  [6916] = 4311,
  [6917] = 4309,
  [6918] = 5635,
  [6919] = 5628,
  [6920] = 4245,
  [6921] = 4285,
  [6922] = 4281,
  [6923] = 4455,
  [6924] = 4309,
  [6925] = 4442,
  [6926] = 5358,
  [6927] = 5347,
  [6928] = 5039,
  [6929] = 4383,
  [6930] = 5607,
  [6931] = 6745,
  [6932] = 4304,
  [6933] = 4303,
  [6934] = 4343,
  [6935] = 6724,
  [6936] = 4299,
  [6937] = 4301,
  [6938] = 3890,
  [6939] = 6939,
  [6940] = 4248,
  [6941] = 5657,
  [6942] = 4328,
  [6943] = 5606,
  [6944] = 4939,
  [6945] = 5081,
  [6946] = 5324,
  [6947] = 4484,
  [6948] = 5858,
  [6949] = 4292,
  [6950] = 6745,
  [6951] = 5625,
  [6952] = 4311,
  [6953] = 4285,
  [6954] = 4422,
  [6955] = 6724,
  [6956] = 4309,
  [6957] = 4179,
  [6958] = 5634,
  [6959] = 4304,
  [6960] = 5635,
  [6961] = 4303,
  [6962] = 4946,
  [6963] = 4299,
  [6964] = 4301,
  [6965] = 4279,
  [6966] = 4335,
  [6967] = 4327,
  [6968] = 5165,
  [6969] = 5047,
  [6970] = 5744,
  [6971] = 6745,
  [6972] = 4484,
  [6973] = 5077,
  [6974] = 4248,
  [6975] = 5743,
  [6976] = 5318,
  [6977] = 6724,
  [6978] = 4311,
  [6979] = 4305,
  [6980] = 5324,
  [6981] = 3890,
  [6982] = 5135,
  [6983] = 4309,
  [6984] = 4417,
  [6985] = 4179,
  [6986] = 4791,
  [6987] = 4844,
  [6988] = 5104,
  [6989] = 4304,
  [6990] = 4335,
  [6991] = 4303,
  [6992] = 4279,
  [6993] = 4417,
  [6994] = 4305,
  [6995] = 4305,
  [6996] = 5081,
  [6997] = 5396,
  [6998] = 4299,
  [6999] = 6999,
  [7000] = 5047,
  [7001] = 4939,
  [7002] = 4301,
  [7003] = 4946,
  [7004] = 4260,
  [7005] = 4549,
  [7006] = 4327,
  [7007] = 5688,
  [7008] = 4346,
  [7009] = 4563,
  [7010] = 4285,
  [7011] = 3887,
  [7012] = 5683,
  [7013] = 4939,
  [7014] = 4327,
  [7015] = 4549,
  [7016] = 4335,
  [7017] = 4328,
  [7018] = 4328,
  [7019] = 4844,
  [7020] = 4565,
  [7021] = 5666,
  [7022] = 4346,
  [7023] = 4343,
  [7024] = 4343,
  [7025] = 4844,
  [7026] = 4791,
  [7027] = 4292,
  [7028] = 5669,
  [7029] = 4455,
  [7030] = 5631,
  [7031] = 4305,
  [7032] = 4248,
  [7033] = 4260,
  [7034] = 4657,
  [7035] = 4459,
  [7036] = 7036,
  [7037] = 4179,
  [7038] = 4279,
  [7039] = 5318,
  [7040] = 4417,
  [7041] = 4439,
  [7042] = 6745,
  [7043] = 4445,
  [7044] = 4448,
  [7045] = 3887,
  [7046] = 6724,
  [7047] = 5597,
  [7048] = 5039,
  [7049] = 4311,
  [7050] = 4285,
  [7051] = 4455,
  [7052] = 4309,
  [7053] = 4439,
  [7054] = 4946,
  [7055] = 4304,
  [7056] = 5620,
  [7057] = 5621,
  [7058] = 4303,
  [7059] = 5083,
  [7060] = 4455,
  [7061] = 4299,
  [7062] = 4285,
  [7063] = 4309,
  [7064] = 4301,
  [7065] = 5104,
  [7066] = 4417,
  [7067] = 5619,
  [7068] = 5649,
  [7069] = 5642,
  [7070] = 4327,
  [7071] = 4328,
  [7072] = 4467,
  [7073] = 4279,
  [7074] = 4459,
  [7075] = 4343,
  [7076] = 3890,
  [7077] = 4467,
  [7078] = 3890,
  [7079] = 4260,
  [7080] = 4285,
  [7081] = 5640,
  [7082] = 4791,
  [7083] = 7083,
  [7084] = 4245,
  [7085] = 4484,
  [7086] = 5610,
  [7087] = 4343,
  [7088] = 4844,
  [7089] = 4179,
  [7090] = 6481,
  [7091] = 4285,
  [7092] = 4301,
  [7093] = 5631,
  [7094] = 4179,
  [7095] = 4484,
  [7096] = 4928,
  [7097] = 4179,
  [7098] = 4328,
  [7099] = 4301,
  [7100] = 4299,
  [7101] = 4303,
  [7102] = 5638,
  [7103] = 4304,
  [7104] = 4459,
  [7105] = 3887,
  [7106] = 4260,
  [7107] = 6381,
  [7108] = 4657,
  [7109] = 4311,
  [7110] = 4292,
  [7111] = 5347,
  [7112] = 4299,
  [7113] = 4281,
  [7114] = 5358,
  [7115] = 4309,
  [7116] = 5858,
  [7117] = 4439,
  [7118] = 4305,
  [7119] = 4285,
  [7120] = 4346,
  [7121] = 4327,
  [7122] = 4311,
  [7123] = 4179,
  [7124] = 3887,
  [7125] = 4791,
  [7126] = 4179,
  [7127] = 4383,
  [7128] = 4343,
  [7129] = 4301,
  [7130] = 4844,
  [7131] = 4303,
  [7132] = 4346,
  [7133] = 4565,
  [7134] = 4445,
  [7135] = 4791,
  [7136] = 4248,
  [7137] = 4445,
  [7138] = 4328,
  [7139] = 4448,
  [7140] = 4549,
  [7141] = 4946,
  [7142] = 4299,
  [7143] = 4563,
  [7144] = 4563,
  [7145] = 4327,
  [7146] = 5607,
  [7147] = 4303,
  [7148] = 4448,
  [7149] = 4304,
  [7150] = 4248,
  [7151] = 5606,
  [7152] = 4791,
  [7153] = 4304,
  [7154] = 4383,
  [7155] = 4844,
  [7156] = 4455,
  [7157] = 4309,
  [7158] = 4565,
  [7159] = 4281,
  [7160] = 4245,
  [7161] = 5324,
  [7162] = 4459,
  [7163] = 4073,
  [7164] = 5083,
  [7165] = 4844,
  [7166] = 6745,
  [7167] = 5635,
  [7168] = 4311,
  [7169] = 4439,
  [7170] = 3890,
  [7171] = 4305,
  [7172] = 6724,
  [7173] = 5135,
  [7174] = 4311,
  [7175] = 5396,
  [7176] = 4343,
  [7177] = 5318,
  [7178] = 4448,
  [7179] = 4328,
  [7180] = 5625,
  [7181] = 4445,
  [7182] = 4327,
  [7183] = 5657,
  [7184] = 4445,
  [7185] = 4248,
  [7186] = 4439,
  [7187] = 5628,
  [7188] = 5858,
  [7189] = 4285,
  [7190] = 4292,
  [7191] = 4311,
  [7192] = 4484,
  [7193] = 4791,
  [7194] = 5666,
  [7195] = 5669,
  [7196] = 5621,
  [7197] = 5738,
  [7198] = 4285,
  [7199] = 3887,
  [7200] = 5634,
  [7201] = 5039,
  [7202] = 4448,
  [7203] = 4301,
  [7204] = 4301,
  [7205] = 4565,
  [7206] = 4179,
  [7207] = 5619,
  [7208] = 4299,
  [7209] = 4946,
  [7210] = 4303,
  [7211] = 4346,
  [7212] = 4260,
  [7213] = 5083,
  [7214] = 4304,
  [7215] = 4301,
  [7216] = 4565,
  [7217] = 4305,
  [7218] = 4259,
  [7219] = 4928,
  [7220] = 4335,
  [7221] = 4309,
  [7222] = 5791,
  [7223] = 3890,
  [7224] = 4279,
  [7225] = 5610,
  [7226] = 3887,
  [7227] = 4311,
  [7228] = 4299,
  [7229] = 4563,
  [7230] = 4299,
  [7231] = 4563,
  [7232] = 5347,
  [7233] = 5358,
  [7234] = 4439,
  [7235] = 4448,
  [7236] = 5768,
  [7237] = 5768,
  [7238] = 5858,
  [7239] = 4445,
  [7240] = 4563,
  [7241] = 5791,
  [7242] = 4311,
  [7243] = 5165,
  [7244] = 4422,
  [7245] = 3890,
  [7246] = 5607,
  [7247] = 4248,
  [7248] = 4939,
  [7249] = 4303,
  [7250] = 4417,
  [7251] = 4439,
  [7252] = 4304,
  [7253] = 4305,
  [7254] = 4565,
  [7255] = 4281,
  [7256] = 4445,
  [7257] = 4563,
  [7258] = 4303,
  [7259] = 4309,
  [7260] = 4309,
  [7261] = 4467,
  [7262] = 4467,
  [7263] = 4439,
  [7264] = 4327,
  [7265] = 4445,
  [7266] = 4328,
  [7267] = 4455,
  [7268] = 4448,
  [7269] = 4259,
  [7270] = 4343,
  [7271] = 4179,
  [7272] = 4304,
  [7273] = 4383,
  [7274] = 3887,
  [7275] = 4448,
  [7276] = 5606,
  [7277] = 4179,
  [7278] = 4303,
  [7279] = 4311,
  [7280] = 5738,
  [7281] = 4459,
  [7282] = 4327,
  [7283] = 4179,
  [7284] = 4245,
  [7285] = 4439,
  [7286] = 4299,
  [7287] = 4581,
  [7288] = 4305,
  [7289] = 4327,
  [7290] = 4445,
  [7291] = 4328,
  [7292] = 4448,
  [7293] = 4328,
  [7294] = 4442,
  [7295] = 4343,
  [7296] = 4304,
  [7297] = 4301,
  [7298] = 3890,
  [7299] = 4343,
  [7300] = 4565,
  [7301] = 4179,
  [7302] = 4467,
  [7303] = 4844,
  [7304] = 4327,
  [7305] = 4946,
  [7306] = 4844,
  [7307] = 4946,
  [7308] = 4327,
  [7309] = 4328,
  [7310] = 4343,
  [7311] = 4305,
  [7312] = 4179,
  [7313] = 4565,
  [7314] = 4346,
  [7315] = 4285,
  [7316] = 4417,
  [7317] = 4455,
  [7318] = 5047,
  [7319] = 4343,
  [7320] = 4248,
  [7321] = 4459,
  [7322] = 5898,
  [7323] = 4327,
  [7324] = 4383,
  [7325] = 4563,
  [7326] = 4328,
  [7327] = 4484,
  [7328] = 4301,
  [7329] = 4484,
  [7330] = 4327,
  [7331] = 4281,
  [7332] = 5964,
  [7333] = 4563,
  [7334] = 3890,
  [7335] = 5081,
  [7336] = 3887,
  [7337] = 4328,
  [7338] = 4343,
  [7339] = 3887,
  [7340] = 4309,
  [7341] = 4179,
  [7342] = 4565,
  [7343] = 4343,
  [7344] = 5297,
  [7345] = 4484,
  [7346] = 3890,
  [7347] = 4328,
  [7348] = 4248,
  [7349] = 4549,
  [7350] = 4311,
  [7351] = 5165,
  [7352] = 4467,
  [7353] = 5104,
  [7354] = 4299,
  [7355] = 5597,
  [7356] = 4292,
  [7357] = 5620,
  [7358] = 4309,
  [7359] = 4304,
  [7360] = 5135,
  [7361] = 4248,
  [7362] = 4303,
  [7363] = 5297,
  [7364] = 5135,
  [7365] = 6736,
  [7366] = 6757,
  [7367] = 4304,
  [7368] = 7368,
  [7369] = 5964,
  [7370] = 5396,
  [7371] = 4484,
  [7372] = 5083,
  [7373] = 4303,
  [7374] = 7368,
  [7375] = 5297,
  [7376] = 4299,
  [7377] = 4260,
  [7378] = 4484,
  [7379] = 5858,
  [7380] = 4946,
  [7381] = 4417,
  [7382] = 5628,
  [7383] = 4581,
  [7384] = 5621,
  [7385] = 4563,
  [7386] = 4245,
  [7387] = 4844,
  [7388] = 5619,
  [7389] = 7368,
  [7390] = 4245,
  [7391] = 4946,
  [7392] = 5396,
  [7393] = 4179,
  [7394] = 5638,
  [7395] = 4791,
  [7396] = 4285,
  [7397] = 7368,
  [7398] = 4343,
  [7399] = 5738,
  [7400] = 3887,
  [7401] = 4328,
  [7402] = 3890,
  [7403] = 4327,
  [7404] = 7404,
  [7405] = 4439,
  [7406] = 5606,
  [7407] = 4442,
  [7408] = 4565,
  [7409] = 5610,
  [7410] = 3890,
  [7411] = 4301,
  [7412] = 7368,
  [7413] = 5628,
  [7414] = 4946,
  [7415] = 5039,
  [7416] = 5640,
  [7417] = 5669,
  [7418] = 7368,
  [7419] = 4445,
  [7420] = 3887,
  [7421] = 4563,
  [7422] = 7368,
  [7423] = 3887,
  [7424] = 7368,
  [7425] = 3890,
  [7426] = 5621,
  [7427] = 5619,
  [7428] = 5642,
  [7429] = 5649,
  [7430] = 4448,
  [7431] = 7368,
  [7432] = 4565,
  [7433] = 4260,
  [7434] = 7368,
  [7435] = 4309,
  [7436] = 5666,
  [7437] = 5347,
  [7438] = 3890,
  [7439] = 5358,
  [7440] = 5638,
  [7441] = 5607,
  [7442] = 5768,
  [7443] = 4417,
  [7444] = 5791,
  [7445] = 4563,
  [7446] = 4484,
  [7447] = 4844,
  [7448] = 3887,
  [7449] = 4260,
  [7450] = 4565,
  [7451] = 3890,
  [7452] = 5324,
  [7453] = 5640,
  [7454] = 4467,
  [7455] = 7368,
  [7456] = 5083,
  [7457] = 7368,
  [7458] = 4563,
  [7459] = 4301,
  [7460] = 4657,
  [7461] = 5657,
  [7462] = 4179,
  [7463] = 7368,
  [7464] = 4285,
  [7465] = 3890,
  [7466] = 4311,
  [7467] = 4791,
  [7468] = 4285,
  [7469] = 5642,
  [7470] = 5649,
  [7471] = 7471,
  [7472] = 7368,
  [7473] = 4439,
  [7474] = 5858,
  [7475] = 4383,
  [7476] = 4292,
  [7477] = 7477,
  [7478] = 5039,
  [7479] = 7479,
  [7480] = 4301,
  [7481] = 4179,
  [7482] = 7482,
  [7483] = 4939,
  [7484] = 3887,
  [7485] = 4301,
  [7486] = 4285,
  [7487] = 4445,
  [7488] = 4299,
  [7489] = 4303,
  [7490] = 4285,
  [7491] = 5083,
  [7492] = 7083,
  [7493] = 4304,
  [7494] = 7368,
  [7495] = 4565,
  [7496] = 5324,
  [7497] = 4309,
  [7498] = 4448,
  [7499] = 5039,
  [7500] = 7368,
  [7501] = 7501,
  [7502] = 4285,
  [7503] = 5324,
  [7504] = 4459,
  [7505] = 4179,
  [7506] = 4245,
  [7507] = 4311,
  [7508] = 4422,
  [7509] = 4179,
  [7510] = 4305,
  [7511] = 5620,
  [7512] = 4939,
  [7513] = 5165,
  [7514] = 3890,
  [7515] = 5318,
  [7516] = 5297,
  [7517] = 5610,
  [7518] = 4467,
  [7519] = 4299,
  [7520] = 4939,
  [7521] = 7368,
  [7522] = 4484,
  [7523] = 4791,
  [7524] = 4299,
  [7525] = 4309,
  [7526] = 4311,
  [7527] = 7368,
  [7528] = 4179,
  [7529] = 4484,
  [7530] = 5597,
  [7531] = 7368,
  [7532] = 7083,
  [7533] = 4484,
  [7534] = 4305,
  [7535] = 7368,
  [7536] = 5135,
  [7537] = 5597,
  [7538] = 5318,
  [7539] = 5683,
  [7540] = 4292,
  [7541] = 7368,
  [7542] = 5688,
  [7543] = 4248,
  [7544] = 4303,
  [7545] = 4248,
  [7546] = 5620,
  [7547] = 7547,
  [7548] = 4484,
  [7549] = 4327,
  [7550] = 4304,
  [7551] = 5858,
  [7552] = 5104,
  [7553] = 4549,
  [7554] = 4459,
  [7555] = 5683,
  [7556] = 5039,
  [7557] = 4305,
  [7558] = 7368,
  [7559] = 7368,
  [7560] = 4448,
  [7561] = 4946,
  [7562] = 4445,
  [7563] = 5688,
  [7564] = 4467,
  [7565] = 5625,
  [7566] = 4248,
  [7567] = 5081,
  [7568] = 4439,
  [7569] = 5083,
  [7570] = 4274,
  [7571] = 4791,
  [7572] = 7368,
  [7573] = 5047,
  [7574] = 4484,
  [7575] = 4309,
  [7576] = 5898,
  [7577] = 4946,
  [7578] = 5634,
  [7579] = 5635,
  [7580] = 5635,
  [7581] = 5607,
  [7582] = 4484,
  [7583] = 5634,
  [7584] = 7368,
  [7585] = 5318,
  [7586] = 5625,
  [7587] = 7587,
  [7588] = 4303,
  [7589] = 4343,
  [7590] = 4328,
  [7591] = 5625,
  [7592] = 4327,
  [7593] = 3887,
  [7594] = 5039,
  [7595] = 7368,
  [7596] = 4304,
  [7597] = 4335,
  [7598] = 4328,
  [7599] = 4248,
  [7600] = 6999,
  [7601] = 4303,
  [7602] = 5634,
  [7603] = 5635,
  [7604] = 5743,
  [7605] = 5606,
  [7606] = 4844,
  [7607] = 4455,
  [7608] = 4343,
  [7609] = 7368,
  [7610] = 7368,
  [7611] = 5744,
  [7612] = 4311,
  [7613] = 4304,
  [7614] = 5607,
  [7615] = 6694,
  [7616] = 4179,
  [7617] = 4928,
  [7618] = 7368,
  [7619] = 5039,
  [7620] = 4455,
  [7621] = 5610,
  [7622] = 5619,
  [7623] = 6381,
  [7624] = 5597,
  [7625] = 4179,
  [7626] = 5606,
  [7627] = 5621,
  [7628] = 4448,
  [7629] = 4417,
  [7630] = 4445,
  [7631] = 5165,
  [7632] = 7477,
  [7633] = 7479,
  [7634] = 5628,
  [7635] = 5657,
  [7636] = 4245,
  [7637] = 5620,
  [7638] = 5135,
  [7639] = 7482,
  [7640] = 5631,
  [7641] = 5396,
  [7642] = 4448,
  [7643] = 7368,
  [7644] = 3887,
  [7645] = 5743,
  [7646] = 4439,
  [7647] = 7368,
  [7648] = 4445,
  [7649] = 5083,
  [7650] = 7368,
  [7651] = 7501,
  [7652] = 5104,
  [7653] = 4305,
  [7654] = 5666,
  [7655] = 5669,
  [7656] = 4467,
  [7657] = 4439,
  [7658] = 7368,
  [7659] = 4073,
  [7660] = 5640,
  [7661] = 4439,
  [7662] = 6481,
  [7663] = 4327,
  [7664] = 5081,
  [7665] = 7368,
  [7666] = 5744,
  [7667] = 4439,
  [7668] = 6481,
  [7669] = 4245,
  [7670] = 4301,
  [7671] = 3890,
  [7672] = 5047,
  [7673] = 4328,
  [7674] = 4301,
  [7675] = 5047,
  [7676] = 7368,
  [7677] = 5083,
  [7678] = 5081,
  [7679] = 4565,
  [7680] = 4343,
  [7681] = 4260,
  [7682] = 3887,
  [7683] = 3887,
  [7684] = 7547,
  [7685] = 5642,
  [7686] = 7368,
  [7687] = 5649,
  [7688] = 4939,
  [7689] = 4467,
  [7690] = 3890,
  [7691] = 7368,
  [7692] = 5104,
  [7693] = 5738,
  [7694] = 7368,
  [7695] = 5638,
  [7696] = 4791,
  [7697] = 5858,
  [7698] = 4179,
  [7699] = 5039,
  [7700] = 4305,
  [7701] = 6939,
  [7702] = 4439,
  [7703] = 4439,
  [7704] = 4445,
  [7705] = 7368,
  [7706] = 6999,
  [7707] = 4467,
  [7708] = 6999,
  [7709] = 4455,
  [7710] = 4439,
  [7711] = 6728,
  [7712] = 6730,
  [7713] = 7368,
  [7714] = 4279,
  [7715] = 4445,
  [7716] = 4563,
  [7717] = 4459,
  [7718] = 5165,
  [7719] = 5083,
  [7720] = 4581,
  [7721] = 7404,
  [7722] = 4459,
  [7723] = 4448,
  [7724] = 5683,
  [7725] = 4844,
  [7726] = 4455,
  [7727] = 5077,
  [7728] = 5625,
  [7729] = 4448,
  [7730] = 5669,
  [7731] = 5634,
  [7732] = 5635,
  [7733] = 4791,
  [7734] = 5688,
  [7735] = 4445,
  [7736] = 4305,
  [7737] = 4844,
  [7738] = 4445,
  [7739] = 7368,
  [7740] = 4791,
  [7741] = 4484,
  [7742] = 7368,
  [7743] = 4299,
  [7744] = 4445,
  [7745] = 5657,
  [7746] = 4417,
  [7747] = 5768,
  [7748] = 4563,
  [7749] = 7404,
  [7750] = 4073,
  [7751] = 4563,
  [7752] = 4439,
  [7753] = 4260,
  [7754] = 7368,
  [7755] = 4439,
  [7756] = 4448,
  [7757] = 4305,
  [7758] = 5039,
  [7759] = 4791,
  [7760] = 4327,
  [7761] = 4445,
  [7762] = 5666,
  [7763] = 4939,
  [7764] = 4299,
  [7765] = 5669,
  [7766] = 4327,
  [7767] = 4445,
  [7768] = 7368,
  [7769] = 4946,
  [7770] = 4448,
  [7771] = 4328,
  [7772] = 4448,
  [7773] = 4179,
  [7774] = 4928,
  [7775] = 4343,
  [7776] = 4565,
  [7777] = 4448,
  [7778] = 3890,
  [7779] = 7404,
  [7780] = 3887,
  [7781] = 4563,
  [7782] = 5666,
  [7783] = 7368,
  [7784] = 5297,
  [7785] = 4260,
  [7786] = 4565,
  [7787] = 7368,
  [7788] = 4346,
  [7789] = 4303,
  [7790] = 4459,
  [7791] = 4309,
  [7792] = 4484,
  [7793] = 4245,
  [7794] = 4467,
  [7795] = 4565,
  [7796] = 4455,
  [7797] = 7404,
  [7798] = 4301,
  [7799] = 4304,
  [7800] = 5743,
  [7801] = 4417,
  [7802] = 4328,
  [7803] = 4448,
  [7804] = 4299,
  [7805] = 4303,
  [7806] = 5744,
  [7807] = 3890,
  [7808] = 4260,
  [7809] = 4939,
  [7810] = 6381,
  [7811] = 4939,
  [7812] = 4791,
  [7813] = 7368,
  [7814] = 4565,
  [7815] = 4928,
  [7816] = 4285,
  [7817] = 7404,
  [7818] = 4304,
  [7819] = 5631,
  [7820] = 4467,
  [7821] = 4309,
  [7822] = 7368,
  [7823] = 4343,
  [7824] = 4285,
  [7825] = 4179,
  [7826] = 4563,
  [7827] = 4311,
  [7828] = 4417,
  [7829] = 7036,
  [7830] = 4179,
  [7831] = 5791,
  [7832] = 4417,
  [7833] = 6381,
  [7834] = 6481,
  [7835] = 4791,
  [7836] = 7368,
  [7837] = 7083,
  [7838] = 5077,
  [7839] = 4073,
  [7840] = 4311,
  [7841] = 4939,
  [7842] = 7368,
  [7843] = 7036,
  [7844] = 7368,
  [7845] = 4305,
  [7846] = 4260,
  [7847] = 4343,
  [7848] = 4179,
  [7849] = 4657,
  [7850] = 4448,
  [7851] = 4305,
  [7852] = 4328,
  [7853] = 4335,
  [7854] = 5858,
  [7855] = 5347,
  [7856] = 5083,
  [7857] = 7368,
  [7858] = 4445,
  [7859] = 4327,
  [7860] = 4327,
  [7861] = 5358,
  [7862] = 4248,
  [7863] = 4844,
  [7864] = 7477,
  [7865] = 4328,
  [7866] = 7479,
  [7867] = 4245,
  [7868] = 4439,
  [7869] = 4343,
  [7870] = 4467,
  [7871] = 4301,
  [7872] = 5165,
  [7873] = 7368,
  [7874] = 4311,
  [7875] = 4309,
  [7876] = 7368,
  [7877] = 7501,
  [7878] = 5768,
  [7879] = 4791,
  [7880] = 6939,
  [7881] = 5738,
  [7882] = 4343,
  [7883] = 4448,
  [7884] = 7547,
  [7885] = 5898,
  [7886] = 4445,
  [7887] = 5791,
  [7888] = 5135,
  [7889] = 3887,
  [7890] = 4281,
  [7891] = 5047,
  [7892] = 4928,
  [7893] = 5669,
  [7894] = 7368,
  [7895] = 4439,
  [7896] = 4259,
  [7897] = 5666,
  [7898] = 4328,
  [7899] = 4417,
  [7900] = 5964,
  [7901] = 5104,
  [7902] = 5635,
  [7903] = 4939,
  [7904] = 5858,
  [7905] = 4791,
  [7906] = 5634,
  [7907] = 5858,
  [7908] = 4657,
  [7909] = 5081,
  [7910] = 5625,
  [7911] = 7368,
  [7912] = 3887,
  [7913] = 4327,
  [7914] = 5039,
  [7915] = 4448,
  [7916] = 4263,
  [7917] = 4179,
  [7918] = 7368,
  [7919] = 4445,
  [7920] = 7368,
  [7921] = 4946,
  [7922] = 5631,
  [7923] = 4939,
  [7924] = 4467,
  [7925] = 7368,
  [7926] = 5077,
  [7927] = 4467,
  [7928] = 4439,
  [7929] = 4299,
  [7930] = 5347,
  [7931] = 4946,
  [7932] = 4260,
  [7933] = 4439,
  [7934] = 5669,
  [7935] = 5666,
  [7936] = 6694,
  [7937] = 5358,
  [7938] = 5104,
  [7939] = 4445,
  [7940] = 4311,
  [7941] = 4448,
  [7942] = 7368,
  [7943] = 3890,
  [7944] = 4946,
  [7945] = 7368,
  [7946] = 4248,
  [7947] = 4417,
  [7948] = 5657,
  [7949] = 4939,
  [7950] = 4281,
  [7951] = 4248,
  [7952] = 7368,
  [7953] = 4844,
  [7954] = 5077,
  [7955] = 5081,
  [7956] = 7368,
  [7957] = 3887,
  [7958] = 4939,
  [7959] = 4563,
  [7960] = 7368,
  [7961] = 7368,
  [7962] = 4791,
  [7963] = 5135,
  [7964] = 4309,
  [7965] = 4565,
  [7966] = 4946,
  [7967] = 4844,
  [7968] = 5083,
  [7969] = 4455,
  [7970] = 7368,
  [7971] = 4581,
  [7972] = 4327,
  [7973] = 7368,
  [7974] = 5039,
  [7975] = 5165,
  [7976] = 4303,
  [7977] = 7368,
  [7978] = 4946,
  [7979] = 4417,
  [7980] = 4328,
  [7981] = 6694,
  [7982] = 4581,
  [7983] = 4343,
  [7984] = 4417,
  [7985] = 7368,
  [7986] = 5083,
  [7987] = 7368,
  [7988] = 5297,
  [7989] = 4791,
  [7990] = 7368,
  [7991] = 4563,
  [7992] = 4946,
  [7993] = 7368,
  [7994] = 4939,
  [7995] = 7368,
  [7996] = 7368,
  [7997] = 4791,
  [7998] = 4448,
  [7999] = 5047,
  [8000] = 5657,
  [8001] = 4445,
  [8002] = 4459,
  [8003] = 7368,
  [8004] = 5083,
  [8005] = 4327,
  [8006] = 5625,
  [8007] = 4565,
  [8008] = 4179,
  [8009] = 5634,
  [8010] = 5635,
  [8011] = 4791,
  [8012] = 7368,
  [8013] = 4248,
  [8014] = 4417,
  [8015] = 4311,
  [8016] = 4439,
  [8017] = 7368,
  [8018] = 4285,
  [8019] = 7368,
  [8020] = 4459,
  [8021] = 7368,
  [8022] = 4245,
  [8023] = 7368,
  [8024] = 4260,
  [8025] = 7368,
  [8026] = 4309,
  [8027] = 4179,
  [8028] = 7368,
  [8029] = 4346,
  [8030] = 4565,
  [8031] = 4248,
  [8032] = 7368,
  [8033] = 4304,
  [8034] = 4455,
  [8035] = 4946,
  [8036] = 4343,
  [8037] = 4304,
  [8038] = 4563,
  [8039] = 4303,
  [8040] = 4657,
  [8041] = 4417,
  [8042] = 4343,
  [8043] = 5964,
  [8044] = 4299,
  [8045] = 7368,
  [8046] = 7368,
  [8047] = 7477,
  [8048] = 4301,
  [8049] = 5047,
  [8050] = 7368,
  [8051] = 4417,
  [8052] = 7479,
  [8053] = 3890,
  [8054] = 5081,
  [8055] = 4946,
  [8056] = 5039,
  [8057] = 7479,
  [8058] = 7368,
  [8059] = 7477,
  [8060] = 7368,
  [8061] = 5104,
  [8062] = 7368,
  [8063] = 4328,
  [8064] = 5898,
  [8065] = 4549,
  [8066] = 4245,
  [8067] = 4563,
  [8068] = 4328,
  [8069] = 4565,
  [8070] = 5135,
  [8071] = 7368,
  [8072] = 5657,
  [8073] = 4327,
  [8074] = 4245,
  [8075] = 5165,
  [8076] = 5347,
  [8077] = 3887,
  [8078] = 5768,
  [8079] = 5791,
  [8080] = 6694,
  [8081] = 4791,
  [8082] = 4939,
  [8083] = 5964,
  [8084] = 3887,
  [8085] = 4145,
  [8086] = 5738,
  [8087] = 5081,
  [8088] = 6694,
  [8089] = 5165,
  [8090] = 4292,
  [8091] = 4301,
  [8092] = 4343,
  [8093] = 4581,
  [8094] = 5744,
  [8095] = 4328,
  [8096] = 4791,
  [8097] = 6999,
  [8098] = 4445,
  [8099] = 4928,
  [8100] = 5858,
  [8101] = 4140,
  [8102] = 4141,
  [8103] = 5135,
  [8104] = 4939,
  [8105] = 4565,
  [8106] = 4448,
  [8107] = 4791,
  [8108] = 4791,
  [8109] = 4299,
  [8110] = 5625,
  [8111] = 4439,
  [8112] = 4073,
  [8113] = 4327,
  [8114] = 4327,
  [8115] = 4791,
  [8116] = 5039,
  [8117] = 4563,
  [8118] = 4445,
  [8119] = 4791,
  [8120] = 4844,
  [8121] = 4328,
  [8122] = 5635,
  [8123] = 5634,
  [8124] = 4303,
  [8125] = 5625,
  [8126] = 5104,
  [8127] = 5634,
  [8128] = 4343,
  [8129] = 4455,
  [8130] = 5964,
  [8131] = 5635,
  [8132] = 7083,
  [8133] = 5083,
  [8134] = 5657,
  [8135] = 6939,
  [8136] = 8136,
  [8137] = 4445,
  [8138] = 4439,
  [8139] = 5620,
  [8140] = 5688,
  [8141] = 5047,
  [8142] = 5683,
  [8143] = 6694,
  [8144] = 5104,
  [8145] = 5165,
  [8146] = 5597,
  [8147] = 4303,
  [8148] = 5039,
  [8149] = 5324,
  [8150] = 4281,
  [8151] = 4301,
  [8152] = 4448,
  [8153] = 4939,
  [8154] = 4459,
  [8155] = 5083,
  [8156] = 4657,
  [8157] = 5898,
  [8158] = 4299,
  [8159] = 4484,
  [8160] = 4417,
  [8161] = 5081,
  [8162] = 4303,
  [8163] = 5666,
  [8164] = 5083,
  [8165] = 5669,
  [8166] = 4346,
  [8167] = 6730,
  [8168] = 4484,
  [8169] = 4304,
  [8170] = 4304,
  [8171] = 5047,
  [8172] = 4791,
  [8173] = 6728,
  [8174] = 6736,
  [8175] = 4417,
  [8176] = 4311,
  [8177] = 5081,
  [8178] = 5039,
  [8179] = 4305,
  [8180] = 4309,
  [8181] = 5047,
  [8182] = 4248,
  [8183] = 5083,
  [8184] = 4305,
  [8185] = 5104,
  [8186] = 4285,
  [8187] = 4946,
  [8188] = 4311,
  [8189] = 5039,
  [8190] = 5039,
  [8191] = 5318,
  [8192] = 5649,
  [8193] = 5642,
  [8194] = 5135,
  [8195] = 4305,
  [8196] = 5898,
  [8197] = 4448,
  [8198] = 5620,
  [8199] = 4946,
  [8200] = 4445,
  [8201] = 5083,
  [8202] = 5165,
  [8203] = 4484,
  [8204] = 5640,
  [8205] = 4285,
  [8206] = 4439,
  [8207] = 5597,
  [8208] = 6999,
  [8209] = 4939,
  [8210] = 5688,
  [8211] = 5635,
  [8212] = 5318,
  [8213] = 5634,
  [8214] = 5625,
  [8215] = 5039,
  [8216] = 4928,
  [8217] = 5620,
  [8218] = 6481,
  [8219] = 5625,
  [8220] = 4448,
  [8221] = 5638,
  [8222] = 5964,
  [8223] = 5165,
  [8224] = 4417,
  [8225] = 5738,
  [8226] = 4445,
  [8227] = 4309,
  [8228] = 5135,
  [8229] = 5358,
  [8230] = 4179,
  [8231] = 4946,
  [8232] = 4417,
  [8233] = 5104,
  [8234] = 4467,
  [8235] = 5347,
  [8236] = 5738,
  [8237] = 4439,
  [8238] = 5081,
  [8239] = 4417,
  [8240] = 4248,
  [8241] = 5047,
  [8242] = 5597,
  [8243] = 4791,
  [8244] = 5135,
  [8245] = 4928,
  [8246] = 5083,
  [8247] = 5165,
  [8248] = 4073,
  [8249] = 5135,
  [8250] = 4417,
  [8251] = 4939,
  [8252] = 3890,
  [8253] = 5635,
  [8254] = 5768,
  [8255] = 5634,
  [8256] = 4311,
  [8257] = 5039,
  [8258] = 4791,
  [8259] = 7036,
  [8260] = 4343,
  [8261] = 4299,
  [8262] = 4448,
  [8263] = 4939,
  [8264] = 5898,
  [8265] = 5791,
  [8266] = 4791,
  [8267] = 5077,
  [8268] = 8268,
  [8269] = 4445,
  [8270] = 4285,
  [8271] = 4281,
  [8272] = 4327,
  [8273] = 5135,
  [8274] = 5657,
  [8275] = 5669,
  [8276] = 5607,
  [8277] = 5666,
  [8278] = 4565,
  [8279] = 5083,
  [8280] = 4467,
  [8281] = 8281,
  [8282] = 5657,
  [8283] = 4467,
  [8284] = 5083,
  [8285] = 8285,
  [8286] = 4439,
  [8287] = 5964,
  [8288] = 5396,
  [8289] = 4179,
  [8290] = 4309,
  [8291] = 5666,
  [8292] = 5039,
  [8293] = 5669,
  [8294] = 4439,
  [8295] = 4467,
  [8296] = 4335,
  [8297] = 4791,
  [8298] = 5666,
  [8299] = 4309,
  [8300] = 5628,
  [8301] = 8268,
  [8302] = 4939,
  [8303] = 5669,
  [8304] = 5621,
  [8305] = 5104,
  [8306] = 4445,
  [8307] = 5619,
  [8308] = 4309,
  [8309] = 5039,
  [8310] = 4448,
  [8311] = 4484,
  [8312] = 4327,
  [8313] = 5358,
  [8314] = 5039,
  [8315] = 4791,
  [8316] = 8281,
  [8317] = 4791,
  [8318] = 3890,
  [8319] = 2348,
  [8320] = 5635,
  [8321] = 5165,
  [8322] = 4343,
  [8323] = 5634,
  [8324] = 5744,
  [8325] = 4327,
  [8326] = 5625,
  [8327] = 4285,
  [8328] = 5135,
  [8329] = 4328,
  [8330] = 4328,
  [8331] = 4791,
  [8332] = 5657,
  [8333] = 5083,
  [8334] = 5081,
  [8335] = 5858,
  [8336] = 4417,
  [8337] = 4791,
  [8338] = 4844,
  [8339] = 5104,
  [8340] = 6999,
  [8341] = 5666,
  [8342] = 5669,
  [8343] = 5898,
  [8344] = 5743,
  [8345] = 5610,
  [8346] = 4343,
  [8347] = 5047,
  [8348] = 8136,
  [8349] = 4311,
  [8350] = 4459,
  [8351] = 5081,
  [8352] = 5324,
  [8353] = 4939,
  [8354] = 5165,
  [8355] = 5047,
  [8356] = 5768,
  [8357] = 5791,
  [8358] = 5625,
  [8359] = 5077,
  [8360] = 3890,
  [8361] = 5634,
  [8362] = 5635,
  [8363] = 4439,
  [8364] = 5657,
  [8365] = 4946,
  [8366] = 4179,
  [8367] = 4328,
  [8368] = 4248,
  [8369] = 4346,
  [8370] = 5039,
  [8371] = 4311,
  [8372] = 5318,
  [8373] = 4260,
  [8374] = 5047,
  [8375] = 6694,
  [8376] = 4305,
  [8377] = 4179,
  [8378] = 4328,
  [8379] = 4417,
  [8380] = 4455,
  [8381] = 5635,
  [8382] = 5634,
  [8383] = 4309,
  [8384] = 4301,
  [8385] = 4327,
  [8386] = 4304,
  [8387] = 4327,
  [8388] = 5606,
  [8389] = 3887,
  [8390] = 4791,
  [8391] = 4563,
  [8392] = 4343,
  [8393] = 4328,
  [8394] = 4563,
  [8395] = 4439,
  [8396] = 5083,
  [8397] = 5657,
  [8398] = 4304,
  [8399] = 5666,
  [8400] = 5669,
  [8401] = 5683,
  [8402] = 5625,
  [8403] = 4303,
  [8404] = 4565,
  [8405] = 5634,
  [8406] = 5635,
  [8407] = 5858,
  [8408] = 6381,
  [8409] = 5165,
  [8410] = 4245,
  [8411] = 5297,
  [8412] = 7036,
  [8413] = 4179,
  [8414] = 4327,
  [8415] = 4448,
  [8416] = 5135,
  [8417] = 4279,
  [8418] = 4448,
  [8419] = 4791,
  [8420] = 4299,
  [8421] = 6999,
  [8422] = 5324,
  [8423] = 5606,
  [8424] = 4484,
  [8425] = 5657,
  [8426] = 5606,
  [8427] = 5104,
  [8428] = 7083,
  [8429] = 4279,
  [8430] = 4303,
  [8431] = 4467,
  [8432] = 5669,
  [8433] = 5104,
  [8434] = 4939,
  [8435] = 5666,
  [8436] = 5649,
  [8437] = 5666,
  [8438] = 4328,
  [8439] = 5081,
  [8440] = 5669,
  [8441] = 4305,
  [8442] = 5635,
  [8443] = 5047,
  [8444] = 5634,
  [8445] = 5625,
  [8446] = 4301,
  [8447] = 8447,
  [8448] = 5642,
  [8449] = 4946,
  [8450] = 6939,
  [8451] = 4445,
  [8452] = 3887,
  [8453] = 4343,
  [8454] = 4445,
  [8455] = 5640,
  [8456] = 5607,
  [8457] = 4260,
  [8458] = 4417,
  [8459] = 5858,
  [8460] = 4946,
  [8461] = 4179,
  [8462] = 8462,
  [8463] = 5638,
  [8464] = 4939,
  [8465] = 4791,
  [8466] = 5607,
  [8467] = 4299,
  [8468] = 5610,
  [8469] = 4248,
  [8470] = 4439,
  [8471] = 5318,
  [8472] = 4327,
  [8473] = 7083,
  [8474] = 4439,
  [8475] = 5625,
  [8476] = 4285,
  [8477] = 5165,
  [8478] = 7036,
  [8479] = 7083,
  [8480] = 5619,
  [8481] = 4445,
  [8482] = 4445,
  [8483] = 5621,
  [8484] = 5396,
  [8485] = 4448,
  [8486] = 4448,
  [8487] = 8487,
  [8488] = 3887,
  [8489] = 5628,
  [8490] = 4328,
  [8491] = 8491,
  [8492] = 8492,
  [8493] = 8493,
  [8494] = 8494,
  [8495] = 4179,
  [8496] = 4445,
  [8497] = 8497,
  [8498] = 4448,
  [8499] = 8499,
  [8500] = 5077,
  [8501] = 5631,
  [8502] = 5858,
  [8503] = 5396,
  [8504] = 4343,
  [8505] = 3890,
  [8506] = 4343,
  [8507] = 4305,
  [8508] = 5638,
  [8509] = 4455,
  [8510] = 4343,
  [8511] = 4311,
  [8512] = 5640,
  [8513] = 4328,
  [8514] = 4581,
  [8515] = 3887,
  [8516] = 4305,
  [8517] = 8517,
  [8518] = 4301,
  [8519] = 5657,
  [8520] = 5297,
  [8521] = 4327,
  [8522] = 4939,
  [8523] = 5631,
  [8524] = 5642,
  [8525] = 5628,
  [8526] = 5649,
  [8527] = 4304,
  [8528] = 5791,
  [8529] = 5621,
  [8530] = 6999,
  [8531] = 5657,
  [8532] = 5619,
  [8533] = 4445,
  [8534] = 5625,
  [8535] = 5610,
  [8536] = 3890,
  [8537] = 5634,
  [8538] = 5635,
  [8539] = 4946,
  [8540] = 5768,
  [8541] = 5165,
  [8542] = 5039,
  [8543] = 5081,
  [8544] = 4285,
  [8545] = 5744,
  [8546] = 4563,
  [8547] = 4304,
  [8548] = 4417,
  [8549] = 4439,
  [8550] = 5297,
  [8551] = 5666,
  [8552] = 5669,
  [8553] = 4073,
  [8554] = 6694,
  [8555] = 5297,
  [8556] = 5135,
  [8557] = 5610,
  [8558] = 4459,
  [8559] = 4248,
  [8560] = 5683,
  [8561] = 5688,
  [8562] = 8562,
  [8563] = 5743,
  [8564] = 5083,
  [8565] = 4303,
  [8566] = 4448,
  [8567] = 4305,
  [8568] = 4946,
  [8569] = 5047,
  [8570] = 6481,
  [8571] = 4417,
  [8572] = 5104,
  [8573] = 5607,
  [8574] = 4565,
  [8575] = 5738,
  [8576] = 4179,
  [8577] = 5083,
  [8578] = 5619,
  [8579] = 5621,
  [8580] = 4946,
  [8581] = 5657,
  [8582] = 4439,
  [8583] = 4549,
  [8584] = 4445,
  [8585] = 4939,
  [8586] = 5631,
  [8587] = 4448,
  [8588] = 6939,
  [8589] = 3890,
  [8590] = 4439,
  [8591] = 4327,
  [8592] = 5606,
  [8593] = 4565,
  [8594] = 6999,
  [8595] = 4285,
  [8596] = 5628,
  [8597] = 4301,
  [8598] = 5743,
  [8599] = 4328,
  [8600] = 4448,
  [8601] = 8281,
  [8602] = 5047,
  [8603] = 5631,
  [8604] = 4343,
  [8605] = 5625,
  [8606] = 6694,
  [8607] = 5634,
  [8608] = 5347,
  [8609] = 5635,
  [8610] = 4939,
  [8611] = 4563,
  [8612] = 8612,
  [8613] = 8613,
  [8614] = 5743,
  [8615] = 5620,
  [8616] = 6694,
  [8617] = 5597,
  [8618] = 5083,
  [8619] = 4299,
  [8620] = 4439,
  [8621] = 5358,
  [8622] = 4445,
  [8623] = 5635,
  [8624] = 5077,
  [8625] = 4448,
  [8626] = 8268,
  [8627] = 4946,
  [8628] = 5634,
  [8629] = 4657,
  [8630] = 5081,
  [8631] = 5347,
  [8632] = 5358,
  [8633] = 3890,
  [8634] = 4299,
  [8635] = 4248,
  [8636] = 5744,
  [8637] = 5047,
  [8638] = 5858,
  [8639] = 4484,
  [8640] = 6381,
  [8641] = 4179,
  [8642] = 7083,
  [8643] = 5081,
  [8644] = 8447,
  [8645] = 4439,
  [8646] = 4439,
  [8647] = 5625,
  [8648] = 5396,
  [8649] = 5135,
  [8650] = 5165,
  [8651] = 4248,
  [8652] = 4309,
  [8653] = 4946,
  [8654] = 4343,
  [8655] = 5688,
  [8656] = 4259,
  [8657] = 4311,
  [8658] = 4445,
  [8659] = 4417,
  [8660] = 5135,
  [8661] = 5683,
  [8662] = 4448,
  [8663] = 4245,
  [8664] = 4328,
  [8665] = 4928,
  [8666] = 6381,
  [8667] = 5077,
  [8668] = 4303,
  [8669] = 5638,
  [8670] = 4260,
  [8671] = 8671,
  [8672] = 4439,
  [8673] = 5104,
  [8674] = 4417,
  [8675] = 4327,
  [8676] = 4301,
  [8677] = 8447,
  [8678] = 4245,
  [8679] = 4248,
  [8680] = 4299,
  [8681] = 5640,
  [8682] = 4467,
  [8683] = 4179,
  [8684] = 4073,
  [8685] = 5324,
  [8686] = 4303,
  [8687] = 4445,
  [8688] = 4946,
  [8689] = 5081,
  [8690] = 4304,
  [8691] = 5858,
  [8692] = 7083,
  [8693] = 5039,
  [8694] = 4304,
  [8695] = 3887,
  [8696] = 4301,
  [8697] = 4309,
  [8698] = 5104,
  [8699] = 5649,
  [8700] = 5642,
  [8701] = 4946,
  [8702] = 5666,
  [8703] = 5669,
  [8704] = 4335,
  [8705] = 4946,
  [8706] = 3887,
  [8707] = 4939,
  [8708] = 4311,
  [8709] = 4448,
  [8710] = 4285,
  [8711] = 8711,
  [8712] = 5083,
  [8713] = 5039,
  [8714] = 4073,
  [8715] = 5625,
  [8716] = 8711,
  [8717] = 5768,
  [8718] = 3890,
  [8719] = 3887,
  [8720] = 8711,
  [8721] = 4448,
  [8722] = 6999,
  [8723] = 8285,
  [8724] = 5791,
  [8725] = 5666,
  [8726] = 5669,
  [8727] = 5634,
  [8728] = 8711,
  [8729] = 3887,
  [8730] = 8711,
  [8731] = 3890,
  [8732] = 5635,
  [8733] = 5297,
  [8734] = 4179,
  [8735] = 5738,
  [8736] = 8711,
  [8737] = 4285,
  [8738] = 4445,
  [8739] = 4417,
  [8740] = 8711,
  [8741] = 5083,
  [8742] = 8711,
  [8743] = 5898,
  [8744] = 5964,
  [8745] = 5620,
  [8746] = 5597,
  [8747] = 7083,
  [8748] = 5083,
  [8749] = 5039,
  [8750] = 4248,
  [8751] = 5347,
  [8752] = 5358,
  [8753] = 4343,
  [8754] = 8711,
  [8755] = 8711,
  [8756] = 4328,
  [8757] = 8757,
  [8758] = 5324,
  [8759] = 8711,
  [8760] = 5657,
  [8761] = 4467,
  [8762] = 4844,
  [8763] = 8711,
  [8764] = 4439,
  [8765] = 8711,
  [8766] = 4417,
  [8767] = 5858,
  [8768] = 5606,
  [8769] = 8711,
  [8770] = 6694,
  [8771] = 4327,
  [8772] = 4939,
  [8773] = 4939,
  [8774] = 8711,
  [8775] = 8136,
  [8776] = 4327,
  [8777] = 5669,
  [8778] = 5607,
  [8779] = 8711,
  [8780] = 8711,
  [8781] = 5666,
  [8782] = 4445,
  [8783] = 4305,
  [8784] = 4791,
  [8785] = 5625,
  [8786] = 4791,
  [8787] = 8711,
  [8788] = 4563,
  [8789] = 4417,
  [8790] = 5077,
  [8791] = 5039,
  [8792] = 8711,
  [8793] = 4328,
  [8794] = 4343,
  [8795] = 5610,
  [8796] = 4946,
  [8797] = 8711,
  [8798] = 8136,
  [8799] = 8136,
  [8800] = 5619,
  [8801] = 5597,
  [8802] = 5628,
  [8803] = 5318,
  [8804] = 4791,
  [8805] = 5657,
  [8806] = 4565,
  [8807] = 5620,
  [8808] = 3890,
  [8809] = 8711,
  [8810] = 4292,
  [8811] = 5657,
  [8812] = 4939,
  [8813] = 8711,
  [8814] = 5083,
  [8815] = 6939,
  [8816] = 8711,
  [8817] = 8711,
  [8818] = 5396,
  [8819] = 8711,
  [8820] = 4422,
  [8821] = 6999,
  [8822] = 4448,
  [8823] = 5666,
  [8824] = 5669,
  [8825] = 5347,
  [8826] = 8711,
  [8827] = 8711,
  [8828] = 3887,
  [8829] = 5039,
  [8830] = 5657,
  [8831] = 5077,
  [8832] = 5625,
  [8833] = 4791,
  [8834] = 5358,
  [8835] = 5964,
  [8836] = 4442,
  [8837] = 5638,
  [8838] = 8711,
  [8839] = 8711,
  [8840] = 5039,
  [8841] = 4791,
  [8842] = 6381,
  [8843] = 5634,
  [8844] = 5083,
  [8845] = 4844,
  [8846] = 8711,
  [8847] = 8136,
  [8848] = 5635,
  [8849] = 8711,
  [8850] = 5039,
  [8851] = 4073,
  [8852] = 4309,
  [8853] = 4791,
  [8854] = 5640,
  [8855] = 4292,
  [8856] = 5642,
  [8857] = 4304,
  [8858] = 6694,
  [8859] = 5669,
  [8860] = 5666,
  [8861] = 4439,
  [8862] = 5858,
  [8863] = 5606,
  [8864] = 5666,
  [8865] = 5669,
  [8866] = 5649,
  [8867] = 8711,
  [8868] = 5738,
  [8869] = 4311,
  [8870] = 8711,
  [8871] = 4303,
  [8872] = 5083,
  [8873] = 5657,
  [8874] = 5039,
  [8875] = 5635,
  [8876] = 8711,
  [8877] = 4327,
  [8878] = 8136,
  [8879] = 4946,
  [8880] = 8711,
  [8881] = 5621,
  [8882] = 4791,
  [8883] = 4299,
  [8884] = 4328,
  [8885] = 8711,
  [8886] = 4939,
  [8887] = 4343,
  [8888] = 8711,
  [8889] = 5324,
  [8890] = 7083,
  [8891] = 5683,
  [8892] = 3887,
  [8893] = 4328,
  [8894] = 5688,
  [8895] = 4301,
  [8896] = 4343,
  [8897] = 4327,
  [8898] = 5768,
  [8899] = 5318,
  [8900] = 5625,
  [8901] = 4939,
  [8902] = 8711,
  [8903] = 5297,
  [8904] = 5898,
  [8905] = 8711,
  [8906] = 8711,
  [8907] = 5744,
  [8908] = 5607,
  [8909] = 5634,
  [8910] = 5083,
  [8911] = 5791,
  [8912] = 5635,
  [8913] = 5744,
  [8914] = 8711,
  [8915] = 8711,
  [8916] = 4260,
  [8917] = 4417,
  [8918] = 4939,
  [8919] = 4844,
  [8920] = 4657,
  [8921] = 5165,
  [8922] = 5743,
  [8923] = 5083,
  [8924] = 4448,
  [8925] = 5743,
  [8926] = 5039,
  [8927] = 8711,
  [8928] = 8711,
  [8929] = 5635,
  [8930] = 5634,
  [8931] = 4939,
  [8932] = 8671,
  [8933] = 8711,
  [8934] = 3890,
  [8935] = 5625,
  [8936] = 4445,
  [8937] = 5165,
  [8938] = 5358,
  [8939] = 5039,
  [8940] = 5039,
  [8941] = 8711,
  [8942] = 5634,
  [8943] = 4928,
  [8944] = 5135,
  [8945] = 8711,
  [8946] = 7083,
  [8947] = 5898,
  [8948] = 4439,
  [8949] = 6999,
  [8950] = 6694,
  [8951] = 8711,
  [8952] = 5743,
  [8953] = 8757,
  [8954] = 7083,
  [8955] = 5104,
  [8956] = 8711,
  [8957] = 4327,
  [8958] = 5047,
  [8959] = 5081,
  [8960] = 5657,
  [8961] = 5688,
  [8962] = 4791,
  [8963] = 4328,
  [8964] = 8711,
  [8965] = 8711,
  [8966] = 8711,
  [8967] = 5081,
  [8968] = 5610,
  [8969] = 5683,
  [8970] = 5666,
  [8971] = 5047,
  [8972] = 5669,
  [8973] = 4939,
  [8974] = 5104,
  [8975] = 5744,
  [8976] = 3890,
  [8977] = 4343,
  [8978] = 8978,
  [8979] = 8711,
  [8980] = 5135,
  [8981] = 8711,
  [8982] = 5964,
  [8983] = 5165,
  [8984] = 3887,
  [8985] = 4946,
  [8986] = 8711,
  [8987] = 6939,
  [8988] = 4335,
  [8989] = 8136,
  [8990] = 5688,
  [8991] = 4285,
  [8992] = 8711,
  [8993] = 8711,
  [8994] = 5683,
  [8995] = 5597,
  [8996] = 5638,
  [8997] = 8711,
  [8998] = 5657,
  [8999] = 4417,
  [9000] = 8711,
  [9001] = 4448,
  [9002] = 5619,
  [9003] = 5083,
  [9004] = 8711,
  [9005] = 5649,
  [9006] = 5642,
  [9007] = 6999,
  [9008] = 8711,
  [9009] = 5858,
  [9010] = 5621,
  [9011] = 8711,
  [9012] = 4581,
  [9013] = 5039,
  [9014] = 6481,
  [9015] = 5640,
  [9016] = 8711,
  [9017] = 4445,
  [9018] = 5625,
  [9019] = 5657,
  [9020] = 4248,
  [9021] = 5634,
  [9022] = 5635,
  [9023] = 4946,
  [9024] = 5628,
  [9025] = 8711,
  [9026] = 5657,
  [9027] = 4245,
  [9028] = 7083,
  [9029] = 8711,
  [9030] = 5649,
  [9031] = 5631,
  [9032] = 5638,
  [9033] = 5791,
  [9034] = 5666,
  [9035] = 5642,
  [9036] = 5634,
  [9037] = 4281,
  [9038] = 8711,
  [9039] = 5669,
  [9040] = 4417,
  [9041] = 5666,
  [9042] = 5396,
  [9043] = 5669,
  [9044] = 5135,
  [9045] = 8711,
  [9046] = 8285,
  [9047] = 8711,
  [9048] = 6694,
  [9049] = 4939,
  [9050] = 6381,
  [9051] = 5635,
  [9052] = 5347,
  [9053] = 8711,
  [9054] = 5631,
  [9055] = 5619,
  [9056] = 8711,
  [9057] = 4946,
  [9058] = 5768,
  [9059] = 8711,
  [9060] = 4439,
  [9061] = 5628,
  [9062] = 8711,
  [9063] = 5858,
  [9064] = 5621,
  [9065] = 4939,
  [9066] = 5620,
  [9067] = 5666,
  [9068] = 5669,
  [9069] = 5165,
  [9070] = 5635,
  [9071] = 5610,
  [9072] = 8711,
  [9073] = 7083,
  [9074] = 8711,
  [9075] = 5047,
  [9076] = 5135,
  [9077] = 5607,
  [9078] = 8711,
  [9079] = 5081,
  [9080] = 5669,
  [9081] = 8711,
  [9082] = 8711,
  [9083] = 5625,
  [9084] = 5666,
  [9085] = 5606,
  [9086] = 5104,
  [9087] = 5104,
  [9088] = 8711,
  [9089] = 4417,
  [9090] = 4327,
  [9091] = 5657,
  [9092] = 2348,
  [9093] = 5135,
  [9094] = 8711,
  [9095] = 5858,
  [9096] = 5634,
  [9097] = 4328,
  [9098] = 5165,
  [9099] = 5081,
  [9100] = 5669,
  [9101] = 5666,
  [9102] = 5047,
  [9103] = 5047,
  [9104] = 8711,
  [9105] = 5318,
  [9106] = 5625,
  [9107] = 4565,
  [9108] = 8711,
  [9109] = 5634,
  [9110] = 5635,
  [9111] = 5625,
  [9112] = 5858,
  [9113] = 8711,
  [9114] = 5297,
  [9115] = 4260,
  [9116] = 4343,
  [9117] = 4467,
  [9118] = 8711,
  [9119] = 5165,
  [9120] = 5081,
  [9121] = 5135,
  [9122] = 8711,
  [9123] = 4179,
  [9124] = 9124,
  [9125] = 6381,
  [9126] = 5640,
  [9127] = 5104,
  [9128] = 8711,
  [9129] = 5635,
  [9130] = 5634,
  [9131] = 5625,
  [9132] = 5081,
  [9133] = 5738,
  [9134] = 5047,
  [9135] = 4448,
  [9136] = 8711,
  [9137] = 5638,
  [9138] = 6694,
  [9139] = 7083,
  [9140] = 8711,
  [9141] = 5738,
  [9142] = 5135,
  [9143] = 5039,
  [9144] = 6694,
  [9145] = 4445,
  [9146] = 8711,
  [9147] = 6481,
  [9148] = 5640,
  [9149] = 4563,
  [9150] = 4484,
  [9151] = 5858,
  [9152] = 4448,
  [9153] = 6999,
  [9154] = 5768,
  [9155] = 8711,
  [9156] = 5791,
  [9157] = 6999,
  [9158] = 4445,
  [9159] = 5165,
  [9160] = 8711,
  [9161] = 4946,
  [9162] = 5104,
  [9163] = 5642,
  [9164] = 4439,
  [9165] = 4439,
  [9166] = 5858,
  [9167] = 8285,
  [9168] = 4335,
  [9169] = 8711,
  [9170] = 8711,
  [9171] = 5396,
  [9172] = 8711,
  [9173] = 5631,
  [9174] = 5649,
  [9175] = 5047,
  [9176] = 5104,
  [9177] = 8711,
  [9178] = 6999,
  [9179] = 5081,
  [9180] = 5635,
  [9181] = 5634,
  [9182] = 5625,
  [9183] = 4301,
  [9184] = 6381,
  [9185] = 8711,
  [9186] = 4439,
  [9187] = 5083,
  [9188] = 4346,
  [9189] = 5104,
  [9190] = 8711,
  [9191] = 5165,
  [9192] = 4445,
  [9193] = 8711,
  [9194] = 4791,
  [9195] = 4448,
  [9196] = 6694,
  [9197] = 5135,
  [9198] = 5628,
  [9199] = 5898,
  [9200] = 5964,
  [9201] = 8711,
  [9202] = 5083,
  [9203] = 5620,
  [9204] = 5083,
  [9205] = 4439,
  [9206] = 5104,
  [9207] = 5619,
  [9208] = 5635,
  [9209] = 5634,
  [9210] = 5135,
  [9211] = 5625,
  [9212] = 5858,
  [9213] = 8136,
  [9214] = 8711,
  [9215] = 4445,
  [9216] = 5081,
  [9217] = 5597,
  [9218] = 6481,
  [9219] = 4448,
  [9220] = 5047,
  [9221] = 7036,
  [9222] = 5077,
  [9223] = 7036,
  [9224] = 5165,
  [9225] = 5898,
  [9226] = 5631,
  [9227] = 8711,
  [9228] = 8711,
  [9229] = 4791,
  [9230] = 6481,
  [9231] = 5077,
  [9232] = 4179,
  [9233] = 4311,
  [9234] = 5964,
  [9235] = 3887,
  [9236] = 8711,
  [9237] = 4448,
  [9238] = 4245,
  [9239] = 5610,
  [9240] = 5047,
  [9241] = 4946,
  [9242] = 8711,
  [9243] = 6694,
  [9244] = 6481,
  [9245] = 4928,
  [9246] = 5083,
  [9247] = 6694,
  [9248] = 4281,
  [9249] = 5683,
  [9250] = 6694,
  [9251] = 4073,
  [9252] = 5688,
  [9253] = 5621,
  [9254] = 4445,
  [9255] = 8711,
  [9256] = 4299,
  [9257] = 8757,
  [9258] = 9258,
  [9259] = 8711,
  [9260] = 4439,
  [9261] = 4309,
  [9262] = 5635,
  [9263] = 5607,
  [9264] = 8136,
  [9265] = 4455,
  [9266] = 4179,
  [9267] = 5634,
  [9268] = 5625,
  [9269] = 4565,
  [9270] = 4448,
  [9271] = 8711,
  [9272] = 8711,
  [9273] = 5606,
  [9274] = 4439,
  [9275] = 4563,
  [9276] = 4459,
  [9277] = 4445,
  [9278] = 4445,
  [9279] = 8711,
  [9280] = 5657,
  [9281] = 5669,
  [9282] = 5666,
  [9283] = 5858,
  [9284] = 5047,
  [9285] = 8671,
  [9286] = 8711,
  [9287] = 5081,
  [9288] = 4946,
  [9289] = 4939,
  [9290] = 5039,
  [9291] = 5083,
  [9292] = 5657,
  [9293] = 4563,
  [9294] = 5104,
  [9295] = 8711,
  [9296] = 5135,
  [9297] = 4946,
  [9298] = 5858,
  [9299] = 5047,
  [9300] = 5165,
  [9301] = 8711,
  [9302] = 4946,
  [9303] = 5165,
  [9304] = 4439,
  [9305] = 5081,
  [9306] = 4563,
  [9307] = 4305,
  [9308] = 5135,
  [9309] = 4304,
  [9310] = 8711,
  [9311] = 5081,
  [9312] = 5297,
  [9313] = 4303,
  [9314] = 5039,
  [9315] = 4565,
  [9316] = 5743,
  [9317] = 5324,
  [9318] = 4448,
  [9319] = 4565,
  [9320] = 8711,
  [9321] = 8136,
  [9322] = 5104,
  [9323] = 5744,
  [9324] = 3890,
  [9325] = 4946,
  [9326] = 5297,
  [9327] = 9327,
  [9328] = 5858,
  [9329] = 4248,
  [9330] = 3890,
  [9331] = 3887,
  [9332] = 5638,
  [9333] = 4417,
  [9334] = 3890,
  [9335] = 5858,
  [9336] = 4455,
  [9337] = 5964,
  [9338] = 5318,
  [9339] = 5640,
  [9340] = 4939,
  [9341] = 5039,
  [9342] = 4417,
  [9343] = 6939,
  [9344] = 4459,
  [9345] = 4939,
  [9346] = 6999,
  [9347] = 4448,
  [9348] = 5791,
  [9349] = 5768,
  [9350] = 4939,
  [9351] = 5657,
  [9352] = 3887,
  [9353] = 5858,
  [9354] = 5635,
  [9355] = 5634,
  [9356] = 5625,
  [9357] = 4791,
  [9358] = 6999,
  [9359] = 5642,
  [9360] = 4563,
  [9361] = 5649,
  [9362] = 6481,
  [9363] = 5631,
  [9364] = 5628,
  [9365] = 3890,
  [9366] = 4311,
  [9367] = 5324,
  [9368] = 5621,
  [9369] = 4285,
  [9370] = 9327,
  [9371] = 6999,
  [9372] = 5625,
  [9373] = 4309,
  [9374] = 9374,
  [9375] = 5634,
  [9376] = 5635,
  [9377] = 5619,
  [9378] = 5083,
  [9379] = 4304,
  [9380] = 5635,
  [9381] = 4946,
  [9382] = 4303,
  [9383] = 5634,
  [9384] = 5688,
  [9385] = 5165,
  [9386] = 5625,
  [9387] = 4299,
  [9388] = 5083,
  [9389] = 4445,
  [9390] = 5610,
  [9391] = 4301,
  [9392] = 5657,
  [9393] = 5083,
  [9394] = 5083,
  [9395] = 4327,
  [9396] = 4791,
  [9397] = 5898,
  [9398] = 5683,
  [9399] = 5135,
  [9400] = 4565,
  [9401] = 4467,
  [9402] = 5858,
  [9403] = 5607,
  [9404] = 8285,
  [9405] = 6694,
  [9406] = 8671,
  [9407] = 5104,
  [9408] = 5738,
  [9409] = 8136,
  [9410] = 4791,
  [9411] = 4484,
  [9412] = 9327,
  [9413] = 5081,
  [9414] = 8136,
  [9415] = 9327,
  [9416] = 5743,
  [9417] = 5666,
  [9418] = 6694,
  [9419] = 5669,
  [9420] = 8136,
  [9421] = 4073,
  [9422] = 4179,
  [9423] = 4328,
  [9424] = 4343,
  [9425] = 5964,
  [9426] = 4328,
  [9427] = 5669,
  [9428] = 5666,
  [9429] = 5047,
  [9430] = 4327,
  [9431] = 5165,
  [9432] = 5635,
  [9433] = 5165,
  [9434] = 5634,
  [9435] = 5625,
  [9436] = 8136,
  [9437] = 4448,
  [9438] = 5135,
  [9439] = 4445,
  [9440] = 4939,
  [9441] = 4439,
  [9442] = 5858,
  [9443] = 5135,
  [9444] = 5104,
  [9445] = 5744,
  [9446] = 7083,
  [9447] = 5964,
  [9448] = 5666,
  [9449] = 5669,
  [9450] = 6999,
  [9451] = 5039,
  [9452] = 4343,
  [9453] = 5081,
  [9454] = 5606,
  [9455] = 4946,
  [9456] = 9456,
  [9457] = 5047,
  [9458] = 5625,
  [9459] = 6694,
  [9460] = 5657,
  [9461] = 4939,
  [9462] = 5635,
  [9463] = 4439,
  [9464] = 5634,
  [9465] = 8671,
  [9466] = 9327,
  [9467] = 5634,
  [9468] = 4939,
  [9469] = 5625,
  [9470] = 5635,
  [9471] = 4467,
  [9472] = 4791,
  [9473] = 4484,
  [9474] = 4946,
  [9475] = 5858,
  [9476] = 5104,
  [9477] = 9327,
  [9478] = 9327,
  [9479] = 6694,
  [9480] = 5039,
  [9481] = 8136,
  [9482] = 4327,
  [9483] = 5635,
  [9484] = 5634,
  [9485] = 5625,
  [9486] = 7036,
  [9487] = 9327,
  [9488] = 5898,
  [9489] = 5625,
  [9490] = 5634,
  [9491] = 5347,
  [9492] = 5358,
  [9493] = 8671,
  [9494] = 5625,
  [9495] = 5898,
  [9496] = 5669,
  [9497] = 5635,
  [9498] = 4328,
  [9499] = 5597,
  [9500] = 3890,
  [9501] = 7083,
  [9502] = 5620,
  [9503] = 4791,
  [9504] = 5081,
  [9505] = 5620,
  [9506] = 5597,
  [9507] = 5669,
  [9508] = 4455,
  [9509] = 3887,
  [9510] = 6939,
  [9511] = 5621,
  [9512] = 5898,
  [9513] = 6381,
  [9514] = 5666,
  [9515] = 8136,
  [9516] = 4459,
  [9517] = 5634,
  [9518] = 5964,
  [9519] = 7036,
  [9520] = 6939,
  [9521] = 5635,
  [9522] = 4791,
  [9523] = 4791,
  [9524] = 5597,
  [9525] = 5083,
  [9526] = 8136,
  [9527] = 5620,
  [9528] = 5738,
  [9529] = 6999,
  [9530] = 5297,
  [9531] = 6694,
  [9532] = 5039,
  [9533] = 8136,
  [9534] = 5744,
  [9535] = 5743,
  [9536] = 5744,
  [9537] = 9327,
  [9538] = 8136,
  [9539] = 5743,
  [9540] = 5657,
  [9541] = 5039,
  [9542] = 5083,
  [9543] = 3887,
  [9544] = 4305,
  [9545] = 5083,
  [9546] = 5858,
  [9547] = 5039,
  [9548] = 6694,
  [9549] = 5631,
  [9550] = 5688,
  [9551] = 5666,
  [9552] = 5683,
  [9553] = 5635,
  [9554] = 5634,
  [9555] = 5625,
  [9556] = 5083,
  [9557] = 5657,
  [9558] = 5858,
  [9559] = 5642,
  [9560] = 3887,
  [9561] = 4343,
  [9562] = 8285,
  [9563] = 5649,
  [9564] = 8285,
  [9565] = 5165,
  [9566] = 5039,
  [9567] = 5738,
  [9568] = 6694,
  [9569] = 6694,
  [9570] = 5135,
  [9571] = 3890,
  [9572] = 5640,
  [9573] = 5638,
  [9574] = 5768,
  [9575] = 4928,
  [9576] = 5104,
  [9577] = 5858,
  [9578] = 4327,
  [9579] = 5666,
  [9580] = 5768,
  [9581] = 5791,
  [9582] = 5657,
  [9583] = 5791,
  [9584] = 5858,
  [9585] = 5081,
  [9586] = 5669,
  [9587] = 8136,
  [9588] = 5744,
  [9589] = 5047,
  [9590] = 5396,
  [9591] = 5743,
  [9592] = 9327,
  [9593] = 3887,
  [9594] = 5631,
  [9595] = 5047,
  [9596] = 9596,
  [9597] = 9597,
  [9598] = 5165,
  [9599] = 5657,
  [9600] = 5628,
  [9601] = 5666,
  [9602] = 6939,
  [9603] = 5135,
  [9604] = 9327,
  [9605] = 5669,
  [9606] = 5669,
  [9607] = 5077,
  [9608] = 5666,
  [9609] = 5104,
  [9610] = 9327,
  [9611] = 5047,
  [9612] = 4946,
  [9613] = 7083,
  [9614] = 5081,
  [9615] = 5039,
  [9616] = 5606,
  [9617] = 5791,
  [9618] = 5081,
  [9619] = 5324,
  [9620] = 9327,
  [9621] = 5619,
  [9622] = 5047,
  [9623] = 5104,
  [9624] = 6381,
  [9625] = 5631,
  [9626] = 5610,
  [9627] = 5607,
  [9628] = 8136,
  [9629] = 6694,
  [9630] = 9258,
  [9631] = 4328,
  [9632] = 5688,
  [9633] = 9327,
  [9634] = 5683,
  [9635] = 5657,
  [9636] = 5077,
  [9637] = 6481,
  [9638] = 5347,
  [9639] = 5083,
  [9640] = 5607,
  [9641] = 4343,
  [9642] = 6694,
  [9643] = 5768,
  [9644] = 5688,
  [9645] = 5135,
  [9646] = 4328,
  [9647] = 5669,
  [9648] = 5666,
  [9649] = 5683,
  [9650] = 5165,
  [9651] = 5606,
  [9652] = 5610,
  [9653] = 2348,
  [9654] = 7036,
  [9655] = 5635,
  [9656] = 5634,
  [9657] = 5657,
  [9658] = 5619,
  [9659] = 5649,
  [9660] = 4343,
  [9661] = 5597,
  [9662] = 5606,
  [9663] = 4791,
  [9664] = 9327,
  [9665] = 5642,
  [9666] = 5621,
  [9667] = 6481,
  [9668] = 9668,
  [9669] = 5628,
  [9670] = 9327,
  [9671] = 3890,
  [9672] = 5657,
  [9673] = 5607,
  [9674] = 7083,
  [9675] = 4327,
  [9676] = 9327,
  [9677] = 5666,
  [9678] = 6939,
  [9679] = 5669,
  [9680] = 5625,
  [9681] = 5858,
  [9682] = 5640,
  [9683] = 7083,
  [9684] = 3887,
  [9685] = 5620,
  [9686] = 5039,
  [9687] = 5358,
  [9688] = 8285,
  [9689] = 5738,
  [9690] = 5631,
  [9691] = 5396,
  [9692] = 5610,
  [9693] = 6999,
  [9694] = 5638,
  [9695] = 5039,
  [9696] = 7036,
  [9697] = 6694,
  [9698] = 9698,
  [9699] = 5039,
  [9700] = 4946,
  [9701] = 7036,
  [9702] = 6381,
  [9703] = 8285,
  [9704] = 9704,
  [9705] = 9705,
  [9706] = 4946,
  [9707] = 9707,
  [9708] = 5318,
  [9709] = 6939,
  [9710] = 8136,
  [9711] = 9711,
  [9712] = 5619,
  [9713] = 5638,
  [9714] = 8285,
  [9715] = 9327,
  [9716] = 7083,
  [9717] = 4417,
  [9718] = 6694,
  [9719] = 5083,
  [9720] = 4073,
  [9721] = 5640,
  [9722] = 6381,
  [9723] = 5635,
  [9724] = 5621,
  [9725] = 6481,
  [9726] = 5628,
  [9727] = 5642,
  [9728] = 5649,
  [9729] = 5634,
  [9730] = 5083,
  [9731] = 5625,
  [9732] = 5039,
  [9733] = 7036,
  [9734] = 5625,
  [9735] = 4328,
  [9736] = 5634,
  [9737] = 5635,
  [9738] = 5297,
  [9739] = 6999,
  [9740] = 6381,
  [9741] = 4549,
  [9742] = 5081,
  [9743] = 5657,
  [9744] = 4335,
  [9745] = 6694,
  [9746] = 3887,
  [9747] = 5620,
  [9748] = 8285,
  [9749] = 5047,
  [9750] = 4343,
  [9751] = 5104,
  [9752] = 8285,
  [9753] = 4285,
  [9754] = 6694,
  [9755] = 7083,
  [9756] = 5666,
  [9757] = 6999,
  [9758] = 5669,
  [9759] = 5597,
  [9760] = 7083,
  [9761] = 6999,
  [9762] = 6694,
  [9763] = 4304,
  [9764] = 5135,
  [9765] = 6694,
  [9766] = 3890,
  [9767] = 5047,
  [9768] = 4327,
  [9769] = 4939,
  [9770] = 8671,
  [9771] = 5081,
  [9772] = 5165,
  [9773] = 6999,
  [9774] = 5964,
  [9775] = 5039,
  [9776] = 5104,
  [9777] = 5083,
  [9778] = 9778,
  [9779] = 9779,
  [9780] = 8136,
  [9781] = 4301,
  [9782] = 9782,
  [9783] = 6694,
  [9784] = 4299,
  [9785] = 7083,
  [9786] = 5791,
  [9787] = 5768,
  [9788] = 4303,
  [9789] = 6694,
  [9790] = 6381,
  [9791] = 5135,
  [9792] = 9792,
  [9793] = 6694,
  [9794] = 5738,
  [9795] = 6481,
  [9796] = 5165,
  [9797] = 5047,
  [9798] = 5669,
  [9799] = 9799,
  [9800] = 5165,
  [9801] = 7036,
  [9802] = 5135,
  [9803] = 3890,
  [9804] = 5081,
  [9805] = 4309,
  [9806] = 5666,
  [9807] = 6694,
  [9808] = 8285,
  [9809] = 8285,
  [9810] = 6694,
  [9811] = 5104,
  [9812] = 7083,
  [9813] = 5898,
  [9814] = 5104,
  [9815] = 5964,
  [9816] = 5135,
  [9817] = 6694,
  [9818] = 5669,
  [9819] = 4311,
  [9820] = 5620,
  [9821] = 5666,
  [9822] = 5666,
  [9823] = 5081,
  [9824] = 5165,
  [9825] = 5606,
  [9826] = 3890,
  [9827] = 7083,
  [9828] = 5625,
  [9829] = 6939,
  [9830] = 6999,
  [9831] = 5669,
  [9832] = 5597,
  [9833] = 9833,
  [9834] = 7036,
  [9835] = 8285,
  [9836] = 5634,
  [9837] = 4946,
  [9838] = 5610,
  [9839] = 5607,
  [9840] = 5898,
  [9841] = 3887,
  [9842] = 5657,
  [9843] = 5635,
  [9844] = 5619,
  [9845] = 5621,
  [9846] = 5858,
  [9847] = 5165,
  [9848] = 8136,
  [9849] = 5635,
  [9850] = 5628,
  [9851] = 9851,
  [9852] = 5634,
  [9853] = 9853,
  [9854] = 5631,
  [9855] = 5625,
  [9856] = 5165,
  [9857] = 9857,
  [9858] = 5135,
  [9859] = 8136,
  [9860] = 5135,
  [9861] = 4549,
  [9862] = 9862,
  [9863] = 4549,
  [9864] = 5669,
  [9865] = 5666,
  [9866] = 6381,
  [9867] = 5738,
  [9868] = 6939,
  [9869] = 5104,
  [9870] = 5638,
  [9871] = 5640,
  [9872] = 4328,
  [9873] = 5858,
  [9874] = 7083,
  [9875] = 5104,
  [9876] = 5047,
  [9877] = 5081,
  [9878] = 4248,
  [9879] = 6999,
  [9880] = 5047,
  [9881] = 5165,
  [9882] = 5135,
  [9883] = 5657,
  [9884] = 5642,
  [9885] = 5104,
  [9886] = 5649,
  [9887] = 5081,
  [9888] = 5047,
  [9889] = 5081,
  [9890] = 9851,
  [9891] = 4549,
  [9892] = 5047,
  [9893] = 5625,
  [9894] = 9853,
  [9895] = 4549,
  [9896] = 6694,
  [9897] = 5657,
  [9898] = 5634,
  [9899] = 8136,
  [9900] = 5683,
  [9901] = 5688,
  [9902] = 5635,
  [9903] = 6694,
  [9904] = 5669,
  [9905] = 5666,
  [9906] = 5625,
  [9907] = 6999,
  [9908] = 5858,
  [9909] = 5635,
  [9910] = 5743,
  [9911] = 8285,
  [9912] = 5744,
  [9913] = 9851,
  [9914] = 9853,
  [9915] = 5634,
  [9916] = 5625,
  [9917] = 5625,
  [9918] = 5625,
  [9919] = 8136,
  [9920] = 5634,
  [9921] = 4791,
  [9922] = 4245,
  [9923] = 5634,
  [9924] = 8136,
  [9925] = 5635,
  [9926] = 5657,
  [9927] = 5635,
  [9928] = 7083,
  [9929] = 5858,
  [9930] = 6999,
  [9931] = 5669,
  [9932] = 5666,
  [9933] = 4549,
  [9934] = 5858,
  [9935] = 5625,
  [9936] = 5858,
  [9937] = 5858,
  [9938] = 5635,
  [9939] = 5634,
  [9940] = 4549,
  [9941] = 5634,
  [9942] = 5635,
  [9943] = 4549,
  [9944] = 8136,
  [9945] = 8136,
  [9946] = 5606,
  [9947] = 5635,
  [9948] = 5039,
  [9949] = 5657,
  [9950] = 6694,
  [9951] = 4549,
  [9952] = 4549,
  [9953] = 5165,
  [9954] = 4549,
  [9955] = 7083,
  [9956] = 4657,
  [9957] = 5135,
  [9958] = 5610,
  [9959] = 9779,
  [9960] = 5669,
  [9961] = 4260,
  [9962] = 5666,
  [9963] = 5619,
  [9964] = 9778,
  [9965] = 4549,
  [9966] = 5657,
  [9967] = 5104,
  [9968] = 4549,
  [9969] = 7083,
  [9970] = 5621,
  [9971] = 5628,
  [9972] = 9851,
  [9973] = 4327,
  [9974] = 9853,
  [9975] = 5081,
  [9976] = 5083,
  [9977] = 5047,
  [9978] = 4343,
  [9979] = 5657,
  [9980] = 5625,
  [9981] = 5083,
  [9982] = 4467,
  [9983] = 5634,
  [9984] = 5635,
  [9985] = 5165,
  [9986] = 6694,
  [9987] = 4439,
  [9988] = 5631,
  [9989] = 4445,
  [9990] = 8136,
  [9991] = 4448,
  [9992] = 4549,
  [9993] = 3887,
  [9994] = 5165,
  [9995] = 4417,
  [9996] = 5669,
  [9997] = 6939,
  [9998] = 5666,
  [9999] = 5634,
  [10000] = 5744,
  [10001] = 4549,
  [10002] = 5634,
  [10003] = 6481,
  [10004] = 5039,
  [10005] = 5135,
  [10006] = 5135,
  [10007] = 4791,
  [10008] = 4549,
  [10009] = 5657,
  [10010] = 8136,
  [10011] = 5768,
  [10012] = 6694,
  [10013] = 3887,
  [10014] = 6694,
  [10015] = 5638,
  [10016] = 5640,
  [10017] = 8136,
  [10018] = 5625,
  [10019] = 5104,
  [10020] = 7083,
  [10021] = 8136,
  [10022] = 6694,
  [10023] = 4549,
  [10024] = 5635,
  [10025] = 4305,
  [10026] = 5634,
  [10027] = 6694,
  [10028] = 4179,
  [10029] = 5165,
  [10030] = 5642,
  [10031] = 5039,
  [10032] = 4549,
  [10033] = 5135,
  [10034] = 6999,
  [10035] = 4549,
  [10036] = 7083,
  [10037] = 5791,
  [10038] = 5104,
  [10039] = 6694,
  [10040] = 5635,
  [10041] = 8136,
  [10042] = 5634,
  [10043] = 5081,
  [10044] = 5649,
  [10045] = 5047,
  [10046] = 5657,
  [10047] = 4327,
  [10048] = 6999,
  [10049] = 5625,
  [10050] = 5081,
  [10051] = 6939,
  [10052] = 8136,
  [10053] = 5047,
  [10054] = 6999,
  [10055] = 3890,
  [10056] = 5104,
  [10057] = 5625,
  [10058] = 8671,
  [10059] = 4328,
  [10060] = 7036,
  [10061] = 6481,
  [10062] = 5634,
  [10063] = 5635,
  [10064] = 4343,
  [10065] = 5666,
  [10066] = 5081,
  [10067] = 5669,
  [10068] = 8285,
  [10069] = 4549,
  [10070] = 5683,
  [10071] = 9779,
  [10072] = 5688,
  [10073] = 4549,
  [10074] = 5047,
  [10075] = 5047,
  [10076] = 5635,
  [10077] = 5081,
  [10078] = 9778,
  [10079] = 5669,
  [10080] = 5666,
  [10081] = 5669,
  [10082] = 7083,
  [10083] = 9833,
  [10084] = 5858,
  [10085] = 5666,
  [10086] = 5634,
  [10087] = 9851,
  [10088] = 9853,
  [10089] = 4484,
  [10090] = 4549,
  [10091] = 5657,
  [10092] = 5743,
  [10093] = 5083,
  [10094] = 5625,
  [10095] = 4946,
  [10096] = 4563,
  [10097] = 5607,
  [10098] = 8671,
  [10099] = 5083,
  [10100] = 4565,
  [10101] = 5104,
  [10102] = 5039,
  [10103] = 4549,
  [10104] = 6381,
  [10105] = 5669,
  [10106] = 5666,
  [10107] = 5625,
  [10108] = 5657,
  [10109] = 9707,
  [10110] = 5635,
  [10111] = 5657,
  [10112] = 5083,
  [10113] = 5135,
  [10114] = 5634,
  [10115] = 3890,
  [10116] = 5625,
  [10117] = 5625,
  [10118] = 5657,
  [10119] = 9705,
  [10120] = 6999,
  [10121] = 5165,
  [10122] = 5635,
  [10123] = 5666,
  [10124] = 5669,
  [10125] = 9698,
  [10126] = 4549,
  [10127] = 5047,
  [10128] = 5669,
  [10129] = 5625,
  [10130] = 5634,
  [10131] = 4939,
  [10132] = 5669,
  [10133] = 8671,
  [10134] = 6999,
  [10135] = 10135,
  [10136] = 10136,
  [10137] = 7083,
  [10138] = 5610,
  [10139] = 6999,
  [10140] = 5635,
  [10141] = 10141,
  [10142] = 8136,
  [10143] = 5634,
  [10144] = 8136,
  [10145] = 4439,
  [10146] = 4417,
  [10147] = 5625,
  [10148] = 7036,
  [10149] = 6381,
  [10150] = 4445,
  [10151] = 10136,
  [10152] = 5635,
  [10153] = 4448,
  [10154] = 8671,
  [10155] = 10155,
  [10156] = 5635,
  [10157] = 4343,
  [10158] = 4581,
  [10159] = 5165,
  [10160] = 5666,
  [10161] = 5047,
  [10162] = 5625,
  [10163] = 5657,
  [10164] = 5135,
  [10165] = 10136,
  [10166] = 4259,
  [10167] = 5165,
  [10168] = 5669,
  [10169] = 10169,
  [10170] = 5165,
  [10171] = 5104,
  [10172] = 5081,
  [10173] = 7083,
  [10174] = 5635,
  [10175] = 5104,
  [10176] = 4581,
  [10177] = 5634,
  [10178] = 8285,
  [10179] = 5666,
  [10180] = 7036,
  [10181] = 4259,
  [10182] = 5135,
  [10183] = 5165,
  [10184] = 6694,
  [10185] = 5081,
  [10186] = 6694,
  [10187] = 5625,
  [10188] = 5625,
  [10189] = 4581,
  [10190] = 5634,
  [10191] = 5047,
  [10192] = 6999,
  [10193] = 10136,
  [10194] = 5669,
  [10195] = 5858,
  [10196] = 5619,
  [10197] = 5597,
  [10198] = 5135,
  [10199] = 4581,
  [10200] = 5744,
  [10201] = 10136,
  [10202] = 5635,
  [10203] = 4328,
  [10204] = 5666,
  [10205] = 5047,
  [10206] = 4939,
  [10207] = 5634,
  [10208] = 6481,
  [10209] = 6939,
  [10210] = 5669,
  [10211] = 6939,
  [10212] = 5081,
  [10213] = 6694,
  [10214] = 10136,
  [10215] = 6694,
  [10216] = 6999,
  [10217] = 6999,
  [10218] = 5621,
  [10219] = 3890,
  [10220] = 4581,
  [10221] = 5743,
  [10222] = 5625,
  [10223] = 4581,
  [10224] = 5666,
  [10225] = 5628,
  [10226] = 5634,
  [10227] = 10155,
  [10228] = 5635,
  [10229] = 5620,
  [10230] = 8671,
  [10231] = 5104,
  [10232] = 5165,
  [10233] = 6481,
  [10234] = 6481,
  [10235] = 10135,
  [10236] = 7036,
  [10237] = 8136,
  [10238] = 5657,
  [10239] = 5104,
  [10240] = 10240,
  [10241] = 6694,
  [10242] = 5669,
  [10243] = 10136,
  [10244] = 10136,
  [10245] = 5135,
  [10246] = 4439,
  [10247] = 6694,
  [10248] = 4417,
  [10249] = 5635,
  [10250] = 4581,
  [10251] = 10251,
  [10252] = 4445,
  [10253] = 3887,
  [10254] = 10136,
  [10255] = 10255,
  [10256] = 6694,
  [10257] = 4448,
  [10258] = 5657,
  [10259] = 10155,
  [10260] = 5666,
  [10261] = 5165,
  [10262] = 5625,
  [10263] = 10136,
  [10264] = 5634,
  [10265] = 5635,
  [10266] = 3887,
  [10267] = 6999,
  [10268] = 7083,
  [10269] = 5135,
  [10270] = 5657,
  [10271] = 5666,
  [10272] = 5669,
  [10273] = 6694,
  [10274] = 4581,
  [10275] = 10136,
  [10276] = 8285,
  [10277] = 4946,
  [10278] = 5666,
  [10279] = 10136,
  [10280] = 5669,
  [10281] = 7083,
  [10282] = 5607,
  [10283] = 5104,
  [10284] = 5858,
  [10285] = 5165,
  [10286] = 5625,
  [10287] = 4581,
  [10288] = 5047,
  [10289] = 8136,
  [10290] = 5135,
  [10291] = 4581,
  [10292] = 10255,
  [10293] = 5634,
  [10294] = 10136,
  [10295] = 5635,
  [10296] = 5635,
  [10297] = 5791,
  [10298] = 5104,
  [10299] = 4946,
  [10300] = 10135,
  [10301] = 6694,
  [10302] = 10302,
  [10303] = 5081,
  [10304] = 10136,
  [10305] = 5606,
  [10306] = 5634,
  [10307] = 5634,
  [10308] = 5135,
  [10309] = 4327,
  [10310] = 5104,
  [10311] = 10136,
  [10312] = 5768,
  [10313] = 5688,
  [10314] = 6481,
  [10315] = 5081,
  [10316] = 6999,
  [10317] = 10255,
  [10318] = 5047,
  [10319] = 5625,
  [10320] = 8285,
  [10321] = 5638,
  [10322] = 5657,
  [10323] = 5634,
  [10324] = 5635,
  [10325] = 4791,
  [10326] = 7083,
  [10327] = 5634,
  [10328] = 7083,
  [10329] = 5657,
  [10330] = 8136,
  [10331] = 8285,
  [10332] = 5669,
  [10333] = 3890,
  [10334] = 5625,
  [10335] = 7083,
  [10336] = 5083,
  [10337] = 5039,
  [10338] = 4581,
  [10339] = 4581,
  [10340] = 5135,
  [10341] = 6381,
  [10342] = 5858,
  [10343] = 10136,
  [10344] = 8671,
  [10345] = 5683,
  [10346] = 6939,
  [10347] = 6999,
  [10348] = 5657,
  [10349] = 5081,
  [10350] = 5666,
  [10351] = 10136,
  [10352] = 10136,
  [10353] = 4581,
  [10354] = 6481,
  [10355] = 5165,
  [10356] = 5640,
  [10357] = 5669,
  [10358] = 5165,
  [10359] = 4581,
  [10360] = 7083,
  [10361] = 8136,
  [10362] = 5625,
  [10363] = 5635,
  [10364] = 10136,
  [10365] = 5634,
  [10366] = 5625,
  [10367] = 5081,
  [10368] = 5135,
  [10369] = 5047,
  [10370] = 5634,
  [10371] = 10136,
  [10372] = 5635,
  [10373] = 5666,
  [10374] = 5666,
  [10375] = 7083,
  [10376] = 10376,
  [10377] = 5858,
  [10378] = 10378,
  [10379] = 10169,
  [10380] = 4581,
  [10381] = 5104,
  [10382] = 5047,
  [10383] = 9707,
  [10384] = 6999,
  [10385] = 5642,
  [10386] = 6694,
  [10387] = 4581,
  [10388] = 10388,
  [10389] = 5081,
  [10390] = 5081,
  [10391] = 4581,
  [10392] = 10136,
  [10393] = 5649,
  [10394] = 10394,
  [10395] = 4581,
  [10396] = 10136,
  [10397] = 5635,
  [10398] = 10398,
  [10399] = 5635,
  [10400] = 5047,
  [10401] = 5738,
  [10402] = 5634,
  [10403] = 5625,
  [10404] = 9698,
  [10405] = 8136,
  [10406] = 10406,
  [10407] = 10141,
  [10408] = 5858,
  [10409] = 5625,
  [10410] = 8285,
  [10411] = 5104,
  [10412] = 6694,
  [10413] = 5165,
  [10414] = 5858,
  [10415] = 4581,
  [10416] = 10136,
  [10417] = 4581,
  [10418] = 6694,
  [10419] = 6999,
  [10420] = 5858,
  [10421] = 10136,
  [10422] = 8285,
  [10423] = 5657,
  [10424] = 6694,
  [10425] = 5047,
  [10426] = 5104,
  [10427] = 5657,
  [10428] = 4581,
  [10429] = 5657,
  [10430] = 8136,
  [10431] = 6694,
  [10432] = 5625,
  [10433] = 5081,
  [10434] = 6694,
  [10435] = 9705,
  [10436] = 4581,
  [10437] = 8136,
  [10438] = 5135,
  [10439] = 6694,
  [10440] = 4581,
  [10441] = 10136,
  [10442] = 4581,
  [10443] = 4791,
  [10444] = 8671,
  [10445] = 10445,
  [10446] = 10445,
  [10447] = 7083,
  [10448] = 5666,
  [10449] = 5669,
  [10450] = 5635,
  [10451] = 8285,
  [10452] = 5634,
  [10453] = 6939,
  [10454] = 6694,
  [10455] = 10455,
  [10456] = 7083,
  [10457] = 5625,
  [10458] = 4791,
  [10459] = 5635,
  [10460] = 8285,
  [10461] = 5634,
  [10462] = 6694,
  [10463] = 5634,
  [10464] = 6939,
  [10465] = 8136,
  [10466] = 4245,
  [10467] = 5635,
  [10468] = 5625,
  [10469] = 5657,
  [10470] = 8136,
  [10471] = 5625,
  [10472] = 10472,
  [10473] = 10473,
  [10474] = 10406,
  [10475] = 10475,
  [10476] = 5047,
  [10477] = 10398,
  [10478] = 6694,
  [10479] = 6694,
  [10480] = 4928,
  [10481] = 10394,
  [10482] = 10388,
  [10483] = 5858,
  [10484] = 10484,
  [10485] = 6999,
  [10486] = 10378,
  [10487] = 6694,
  [10488] = 10376,
  [10489] = 8285,
  [10490] = 8285,
  [10491] = 10491,
  [10492] = 5666,
  [10493] = 6999,
  [10494] = 6694,
  [10495] = 5625,
  [10496] = 8136,
  [10497] = 6381,
  [10498] = 5634,
  [10499] = 10475,
  [10500] = 5047,
  [10501] = 6939,
  [10502] = 5081,
  [10503] = 10473,
  [10504] = 10473,
  [10505] = 5081,
  [10506] = 5669,
  [10507] = 10475,
  [10508] = 6999,
  [10509] = 7036,
  [10510] = 5165,
  [10511] = 7083,
  [10512] = 5666,
  [10513] = 10513,
  [10514] = 10514,
  [10515] = 10515,
  [10516] = 10513,
  [10517] = 5669,
  [10518] = 8671,
  [10519] = 5666,
  [10520] = 5135,
  [10521] = 5104,
  [10522] = 5135,
  [10523] = 5104,
  [10524] = 10514,
  [10525] = 5657,
  [10526] = 8285,
  [10527] = 6694,
  [10528] = 5635,
  [10529] = 5047,
  [10530] = 8671,
  [10531] = 7036,
  [10532] = 6694,
  [10533] = 6694,
  [10534] = 5039,
  [10535] = 7083,
  [10536] = 5666,
  [10537] = 4274,
  [10538] = 10538,
  [10539] = 5634,
  [10540] = 10513,
  [10541] = 5081,
  [10542] = 7083,
  [10543] = 10514,
  [10544] = 6694,
  [10545] = 8285,
  [10546] = 8285,
  [10547] = 6939,
  [10548] = 5666,
  [10549] = 5625,
  [10550] = 5669,
  [10551] = 5669,
  [10552] = 10552,
  [10553] = 5635,
  [10554] = 10455,
  [10555] = 6999,
  [10556] = 5081,
  [10557] = 5165,
  [10558] = 5165,
  [10559] = 6694,
  [10560] = 4939,
  [10561] = 6694,
  [10562] = 8285,
  [10563] = 5625,
  [10564] = 5047,
  [10565] = 5634,
  [10566] = 5625,
  [10567] = 10515,
  [10568] = 5135,
  [10569] = 5081,
  [10570] = 5657,
  [10571] = 8136,
  [10572] = 5657,
  [10573] = 5635,
  [10574] = 5635,
  [10575] = 7083,
  [10576] = 10552,
  [10577] = 10538,
  [10578] = 8285,
  [10579] = 5625,
  [10580] = 4259,
  [10581] = 5625,
  [10582] = 5104,
  [10583] = 6694,
  [10584] = 5104,
  [10585] = 6939,
  [10586] = 6999,
  [10587] = 5104,
  [10588] = 7036,
  [10589] = 7036,
  [10590] = 5657,
  [10591] = 5047,
  [10592] = 8136,
  [10593] = 4274,
  [10594] = 5634,
  [10595] = 6999,
  [10596] = 8285,
  [10597] = 5081,
  [10598] = 5165,
  [10599] = 6694,
  [10600] = 5039,
  [10601] = 5047,
  [10602] = 5634,
  [10603] = 6694,
  [10604] = 5077,
  [10605] = 5135,
  [10606] = 5635,
  [10607] = 5135,
  [10608] = 5297,
  [10609] = 5165,
  [10610] = 5635,
  [10611] = 7036,
  [10612] = 5083,
  [10613] = 5625,
  [10614] = 5165,
  [10615] = 7083,
  [10616] = 8136,
  [10617] = 5104,
  [10618] = 5635,
  [10619] = 8136,
  [10620] = 10620,
  [10621] = 10240,
  [10622] = 6694,
  [10623] = 5135,
  [10624] = 5634,
  [10625] = 10625,
  [10626] = 5083,
  [10627] = 6481,
  [10628] = 5625,
  [10629] = 6694,
  [10630] = 5669,
  [10631] = 8136,
  [10632] = 5104,
  [10633] = 5634,
  [10634] = 5634,
  [10635] = 5635,
  [10636] = 6939,
  [10637] = 6694,
  [10638] = 5634,
  [10639] = 5669,
  [10640] = 5666,
  [10641] = 4946,
  [10642] = 8671,
  [10643] = 5635,
  [10644] = 8285,
  [10645] = 5635,
  [10646] = 5634,
  [10647] = 5657,
  [10648] = 6694,
  [10649] = 5625,
  [10650] = 5165,
  [10651] = 8285,
  [10652] = 5657,
  [10653] = 7083,
  [10654] = 5135,
  [10655] = 5634,
  [10656] = 5635,
  [10657] = 5625,
  [10658] = 5047,
  [10659] = 6999,
  [10660] = 4259,
  [10661] = 5081,
  [10662] = 5625,
  [10663] = 5135,
  [10664] = 8499,
  [10665] = 4274,
  [10666] = 4274,
  [10667] = 10667,
  [10668] = 8671,
  [10669] = 5964,
  [10670] = 3887,
  [10671] = 8517,
  [10672] = 3890,
  [10673] = 8136,
  [10674] = 10674,
  [10675] = 5634,
  [10676] = 10676,
  [10677] = 5738,
  [10678] = 5635,
  [10679] = 5634,
  [10680] = 10680,
  [10681] = 5625,
  [10682] = 6999,
  [10683] = 5104,
  [10684] = 5635,
  [10685] = 5625,
  [10686] = 6694,
  [10687] = 5135,
  [10688] = 5635,
  [10689] = 5669,
  [10690] = 4245,
  [10691] = 5634,
  [10692] = 5898,
  [10693] = 5683,
  [10694] = 10694,
  [10695] = 5620,
  [10696] = 5625,
  [10697] = 4274,
  [10698] = 5669,
  [10699] = 5039,
  [10700] = 5666,
  [10701] = 5318,
  [10702] = 6694,
  [10703] = 5657,
  [10704] = 7083,
  [10705] = 8285,
  [10706] = 7083,
  [10707] = 6694,
  [10708] = 5649,
  [10709] = 5135,
  [10710] = 8494,
  [10711] = 8493,
  [10712] = 5597,
  [10713] = 5642,
  [10714] = 4459,
  [10715] = 8285,
  [10716] = 4259,
  [10717] = 7036,
  [10718] = 5104,
  [10719] = 5657,
  [10720] = 6999,
  [10721] = 8462,
  [10722] = 10722,
  [10723] = 10723,
  [10724] = 7083,
  [10725] = 8492,
  [10726] = 5104,
  [10727] = 5666,
  [10728] = 8491,
  [10729] = 8487,
  [10730] = 5634,
  [10731] = 4263,
  [10732] = 5165,
  [10733] = 5669,
  [10734] = 4343,
  [10735] = 8671,
  [10736] = 6694,
  [10737] = 5047,
  [10738] = 4260,
  [10739] = 4439,
  [10740] = 10740,
  [10741] = 10741,
  [10742] = 10742,
  [10743] = 10743,
  [10744] = 10620,
  [10745] = 4328,
  [10746] = 6694,
  [10747] = 4073,
  [10748] = 5165,
  [10749] = 6999,
  [10750] = 4327,
  [10751] = 8612,
  [10752] = 6694,
  [10753] = 5640,
  [10754] = 8285,
  [10755] = 5135,
  [10756] = 4245,
  [10757] = 8562,
  [10758] = 10758,
  [10759] = 5638,
  [10760] = 4259,
  [10761] = 10761,
  [10762] = 5081,
  [10763] = 4445,
  [10764] = 5635,
  [10765] = 7083,
  [10766] = 5081,
  [10767] = 10674,
  [10768] = 8562,
  [10769] = 4259,
  [10770] = 4279,
  [10771] = 10771,
  [10772] = 10680,
  [10773] = 5104,
  [10774] = 5165,
  [10775] = 5669,
  [10776] = 10776,
  [10777] = 5688,
  [10778] = 8285,
  [10779] = 5047,
  [10780] = 5081,
  [10781] = 8499,
  [10782] = 8671,
  [10783] = 5358,
  [10784] = 5347,
  [10785] = 10785,
  [10786] = 5047,
  [10787] = 4263,
  [10788] = 10788,
  [10789] = 8285,
  [10790] = 5634,
  [10791] = 10791,
  [10792] = 6694,
  [10793] = 5135,
  [10794] = 6694,
  [10795] = 4455,
  [10796] = 8462,
  [10797] = 10797,
  [10798] = 5743,
  [10799] = 5047,
  [10800] = 10800,
  [10801] = 8517,
  [10802] = 10802,
  [10803] = 5081,
  [10804] = 5606,
  [10805] = 10805,
  [10806] = 5135,
  [10807] = 8671,
  [10808] = 5081,
  [10809] = 10809,
  [10810] = 5635,
  [10811] = 5657,
  [10812] = 5635,
  [10813] = 10813,
  [10814] = 10398,
  [10815] = 10740,
  [10816] = 5635,
  [10817] = 5625,
  [10818] = 5396,
  [10819] = 5634,
  [10820] = 5047,
  [10821] = 6694,
  [10822] = 5744,
  [10823] = 10813,
  [10824] = 8285,
  [10825] = 5631,
  [10826] = 10809,
  [10827] = 5634,
  [10828] = 10828,
  [10829] = 10376,
  [10830] = 10830,
  [10831] = 5625,
  [10832] = 5628,
  [10833] = 8494,
  [10834] = 5621,
  [10835] = 8493,
  [10836] = 8492,
  [10837] = 8491,
  [10838] = 6694,
  [10839] = 10743,
  [10840] = 8487,
  [10841] = 8285,
  [10842] = 10741,
  [10843] = 6939,
  [10844] = 5625,
  [10845] = 5657,
  [10846] = 5619,
  [10847] = 5634,
  [10848] = 5635,
  [10849] = 10378,
  [10850] = 4179,
  [10851] = 5669,
  [10852] = 5657,
  [10853] = 10667,
  [10854] = 10676,
  [10855] = 5625,
  [10856] = 5610,
  [10857] = 5635,
  [10858] = 6694,
  [10859] = 4260,
  [10860] = 5666,
  [10861] = 10676,
  [10862] = 10667,
  [10863] = 6999,
  [10864] = 5104,
  [10865] = 6694,
  [10866] = 5634,
  [10867] = 6999,
  [10868] = 8462,
  [10869] = 10828,
  [10870] = 5666,
  [10871] = 10388,
  [10872] = 10394,
  [10873] = 5657,
  [10874] = 5047,
  [10875] = 10800,
  [10876] = 5083,
  [10877] = 5104,
  [10878] = 10802,
  [10879] = 5081,
  [10880] = 5858,
  [10881] = 5081,
  [10882] = 8612,
  [10883] = 10776,
  [10884] = 5666,
  [10885] = 5607,
  [10886] = 5768,
  [10887] = 10741,
  [10888] = 5669,
  [10889] = 10674,
  [10890] = 10680,
  [10891] = 10743,
  [10892] = 4245,
  [10893] = 5081,
  [10894] = 4448,
  [10895] = 3887,
  [10896] = 10740,
  [10897] = 5165,
  [10898] = 5791,
  [10899] = 6694,
  [10900] = 5165,
  [10901] = 10901,
  [10902] = 10902,
  [10903] = 5625,
  [10904] = 10828,
  [10905] = 5635,
  [10906] = 3890,
  [10907] = 5634,
  [10908] = 5165,
  [10909] = 10406,
  [10910] = 5104,
  [10911] = 5135,
  [10912] = 5625,
  [10913] = 5104,
  [10914] = 10800,
  [10915] = 4259,
  [10916] = 10916,
  [10917] = 5135,
  [10918] = 10472,
  [10919] = 10813,
  [10920] = 5625,
  [10921] = 5047,
  [10922] = 5165,
  [10923] = 10484,
  [10924] = 10491,
  [10925] = 10802,
  [10926] = 7083,
  [10927] = 10805,
  [10928] = 4259,
  [10929] = 4245,
  [10930] = 5047,
  [10931] = 5324,
  [10932] = 5635,
  [10933] = 5634,
  [10934] = 3890,
  [10935] = 3887,
  [10936] = 4459,
  [10937] = 5666,
  [10938] = 5625,
  [10939] = 8136,
  [10940] = 8285,
  [10941] = 10771,
  [10942] = 6694,
  [10943] = 4455,
  [10944] = 10944,
  [10945] = 10945,
  [10946] = 5165,
  [10947] = 10947,
  [10948] = 10771,
  [10949] = 8285,
  [10950] = 5635,
  [10951] = 10805,
  [10952] = 5768,
  [10953] = 5104,
  [10954] = 4299,
  [10955] = 4179,
  [10956] = 8671,
  [10957] = 6694,
  [10958] = 5047,
  [10959] = 6694,
  [10960] = 5081,
  [10961] = 10472,
  [10962] = 6999,
  [10963] = 5135,
  [10964] = 10809,
  [10965] = 5165,
  [10966] = 4304,
  [10967] = 10967,
  [10968] = 6694,
  [10969] = 8612,
  [10970] = 3890,
  [10971] = 4301,
  [10972] = 8285,
  [10973] = 8285,
  [10974] = 4279,
  [10975] = 4248,
  [10976] = 10976,
  [10977] = 4245,
  [10978] = 4259,
  [10979] = 4299,
  [10980] = 10484,
  [10981] = 6694,
  [10982] = 10982,
  [10983] = 8285,
  [10984] = 8136,
  [10985] = 10985,
  [10986] = 5165,
  [10987] = 10987,
  [10988] = 10988,
  [10989] = 4281,
  [10990] = 10990,
  [10991] = 4259,
  [10992] = 6694,
  [10993] = 10988,
  [10994] = 8285,
  [10995] = 10976,
  [10996] = 10996,
  [10997] = 4309,
  [10998] = 4328,
  [10999] = 10999,
  [11000] = 5669,
  [11001] = 11001,
  [11002] = 8136,
  [11003] = 4303,
  [11004] = 10491,
  [11005] = 8487,
  [11006] = 4305,
  [11007] = 10999,
  [11008] = 5047,
  [11009] = 4311,
  [11010] = 11010,
  [11011] = 4248,
  [11012] = 5047,
  [11013] = 10996,
  [11014] = 10988,
  [11015] = 10990,
  [11016] = 5081,
  [11017] = 5135,
  [11018] = 4260,
  [11019] = 8491,
  [11020] = 4285,
  [11021] = 4259,
  [11022] = 6694,
  [11023] = 8492,
  [11024] = 5738,
  [11025] = 4309,
  [11026] = 8493,
  [11027] = 8494,
  [11028] = 5104,
  [11029] = 4467,
  [11030] = 10976,
  [11031] = 11031,
  [11032] = 8285,
  [11033] = 10809,
  [11034] = 3887,
  [11035] = 10805,
  [11036] = 4259,
  [11037] = 5634,
  [11038] = 6694,
  [11039] = 4245,
  [11040] = 5135,
  [11041] = 5635,
  [11042] = 5081,
  [11043] = 5625,
  [11044] = 10985,
  [11045] = 4305,
  [11046] = 5165,
  [11047] = 5791,
  [11048] = 5625,
  [11049] = 4179,
  [11050] = 5634,
  [11051] = 4327,
  [11052] = 4274,
  [11053] = 7083,
  [11054] = 5620,
  [11055] = 3887,
  [11056] = 8136,
  [11057] = 4343,
  [11058] = 10999,
  [11059] = 5666,
  [11060] = 10996,
  [11061] = 5858,
  [11062] = 4259,
  [11063] = 10988,
  [11064] = 5625,
  [11065] = 10990,
  [11066] = 6381,
  [11067] = 8671,
  [11068] = 4328,
  [11069] = 10999,
  [11070] = 3890,
  [11071] = 11071,
  [11072] = 10996,
  [11073] = 10988,
  [11074] = 3887,
  [11075] = 11075,
  [11076] = 11076,
  [11077] = 10990,
  [11078] = 8462,
  [11079] = 5635,
  [11080] = 5625,
  [11081] = 4303,
  [11082] = 11082,
  [11083] = 3890,
  [11084] = 5634,
  [11085] = 5635,
  [11086] = 3890,
  [11087] = 4263,
  [11088] = 4245,
  [11089] = 4459,
  [11090] = 5104,
  [11091] = 4281,
  [11092] = 4248,
  [11093] = 7083,
  [11094] = 8517,
  [11095] = 4304,
  [11096] = 4311,
  [11097] = 4455,
  [11098] = 4285,
  [11099] = 10809,
  [11100] = 4285,
  [11101] = 4179,
  [11102] = 8562,
  [11103] = 10805,
  [11104] = 10797,
  [11105] = 4459,
  [11106] = 5625,
  [11107] = 4301,
  [11108] = 5597,
  [11109] = 4327,
  [11110] = 4263,
  [11111] = 5634,
  [11112] = 4260,
  [11113] = 6694,
  [11114] = 8285,
  [11115] = 5635,
  [11116] = 11116,
  [11117] = 6694,
  [11118] = 10985,
  [11119] = 5634,
  [11120] = 8285,
  [11121] = 3887,
  [11122] = 4455,
  [11123] = 8285,
  [11124] = 8499,
  [11125] = 5634,
  [11126] = 5657,
  [11127] = 10999,
  [11128] = 10996,
  [11129] = 5297,
  [11130] = 5635,
  [11131] = 10990,
  [11132] = 5625,
  [11133] = 4343,
  [11134] = 8562,
  [11135] = 4305,
  [11136] = 4417,
  [11137] = 5768,
  [11138] = 11138,
  [11139] = 5135,
  [11140] = 11138,
  [11141] = 5135,
  [11142] = 11142,
  [11143] = 5634,
  [11144] = 5635,
  [11145] = 11142,
  [11146] = 11146,
  [11147] = 11147,
  [11148] = 3887,
  [11149] = 11149,
  [11150] = 11138,
  [11151] = 4260,
  [11152] = 5791,
  [11153] = 5081,
  [11154] = 4305,
  [11155] = 3890,
  [11156] = 5104,
  [11157] = 11157,
  [11158] = 11142,
  [11159] = 11142,
  [11160] = 11138,
  [11161] = 5047,
  [11162] = 3890,
  [11163] = 11138,
  [11164] = 5297,
  [11165] = 5165,
  [11166] = 11142,
  [11167] = 5625,
  [11168] = 4260,
  [11169] = 11138,
  [11170] = 11170,
  [11171] = 5634,
  [11172] = 5635,
  [11173] = 11142,
  [11174] = 4459,
  [11175] = 8285,
  [11176] = 11138,
  [11177] = 11177,
  [11178] = 11138,
  [11179] = 6694,
  [11180] = 11142,
  [11181] = 3887,
  [11182] = 11142,
  [11183] = 11138,
  [11184] = 11142,
  [11185] = 11138,
  [11186] = 11142,
  [11187] = 11138,
  [11188] = 11142,
  [11189] = 11189,
  [11190] = 11138,
  [11191] = 11191,
  [11192] = 11142,
  [11193] = 8487,
  [11194] = 8491,
  [11195] = 8492,
  [11196] = 5104,
  [11197] = 11138,
  [11198] = 11142,
  [11199] = 11138,
  [11200] = 11138,
  [11201] = 11075,
  [11202] = 8493,
  [11203] = 5738,
  [11204] = 8494,
  [11205] = 11142,
  [11206] = 11138,
  [11207] = 11142,
  [11208] = 11208,
  [11209] = 11209,
  [11210] = 5047,
  [11211] = 8671,
  [11212] = 11138,
  [11213] = 11142,
  [11214] = 6939,
  [11215] = 3887,
  [11216] = 11138,
  [11217] = 5047,
  [11218] = 4245,
  [11219] = 11116,
  [11220] = 11142,
  [11221] = 4245,
  [11222] = 11138,
  [11223] = 11142,
  [11224] = 11138,
  [11225] = 4301,
  [11226] = 8285,
  [11227] = 11142,
  [11228] = 11142,
  [11229] = 4299,
  [11230] = 4303,
  [11231] = 6694,
  [11232] = 4304,
  [11233] = 4274,
  [11234] = 11234,
  [11235] = 11142,
  [11236] = 11142,
  [11237] = 8285,
  [11238] = 8462,
  [11239] = 4299,
  [11240] = 11138,
  [11241] = 6694,
  [11242] = 4245,
  [11243] = 4285,
  [11244] = 4309,
  [11245] = 11142,
  [11246] = 4281,
  [11247] = 4285,
  [11248] = 6694,
  [11249] = 11138,
  [11250] = 11142,
  [11251] = 11142,
  [11252] = 11147,
  [11253] = 4301,
  [11254] = 11138,
  [11255] = 11149,
  [11256] = 11256,
  [11257] = 11257,
  [11258] = 4311,
  [11259] = 11138,
  [11260] = 11208,
  [11261] = 11257,
  [11262] = 11177,
  [11263] = 11170,
  [11264] = 11147,
  [11265] = 11142,
  [11266] = 11146,
  [11267] = 11142,
  [11268] = 11138,
  [11269] = 5081,
  [11270] = 11138,
  [11271] = 11149,
  [11272] = 8285,
  [11273] = 11142,
  [11274] = 11138,
  [11275] = 11142,
  [11276] = 11142,
  [11277] = 11138,
  [11278] = 11149,
  [11279] = 4259,
  [11280] = 3890,
  [11281] = 11147,
  [11282] = 4303,
  [11283] = 11138,
  [11284] = 5081,
  [11285] = 8612,
  [11286] = 11142,
  [11287] = 4304,
  [11288] = 11138,
  [11289] = 5635,
  [11290] = 11142,
  [11291] = 4274,
  [11292] = 11082,
  [11293] = 11076,
  [11294] = 8499,
  [11295] = 4455,
  [11296] = 11142,
  [11297] = 5625,
  [11298] = 11256,
  [11299] = 11138,
  [11300] = 11142,
  [11301] = 4245,
  [11302] = 11138,
  [11303] = 11138,
  [11304] = 4309,
  [11305] = 11138,
  [11306] = 4311,
  [11307] = 8499,
  [11308] = 4248,
  [11309] = 8517,
  [11310] = 4448,
  [11311] = 6694,
  [11312] = 4260,
  [11313] = 8285,
  [11314] = 6694,
  [11315] = 4274,
  [11316] = 8285,
  [11317] = 4245,
  [11318] = 8462,
  [11319] = 4281,
  [11320] = 4274,
  [11321] = 4260,
  [11322] = 3887,
  [11323] = 11142,
  [11324] = 5104,
  [11325] = 11138,
  [11326] = 8612,
  [11327] = 11327,
  [11328] = 11234,
  [11329] = 5620,
  [11330] = 4327,
  [11331] = 4259,
  [11332] = 11142,
  [11333] = 4248,
  [11334] = 11138,
  [11335] = 4328,
  [11336] = 11336,
  [11337] = 4343,
  [11338] = 8562,
  [11339] = 11142,
  [11340] = 4179,
  [11341] = 3890,
  [11342] = 5635,
  [11343] = 5625,
  [11344] = 11344,
  [11345] = 11138,
  [11346] = 11142,
  [11347] = 11142,
  [11348] = 5634,
  [11349] = 11138,
  [11350] = 4327,
  [11351] = 4328,
  [11352] = 5597,
  [11353] = 4445,
  [11354] = 11142,
  [11355] = 5634,
  [11356] = 4417,
  [11357] = 4260,
  [11358] = 11138,
  [11359] = 8612,
  [11360] = 11138,
  [11361] = 11361,
  [11362] = 4343,
  [11363] = 11142,
  [11364] = 11138,
  [11365] = 4179,
  [11366] = 11138,
  [11367] = 4455,
  [11368] = 4439,
  [11369] = 5625,
  [11370] = 10987,
  [11371] = 10982,
  [11372] = 5165,
  [11373] = 11142,
  [11374] = 11138,
  [11375] = 11375,
  [11376] = 11138,
  [11377] = 11142,
  [11378] = 8487,
  [11379] = 11142,
  [11380] = 11138,
  [11381] = 11138,
  [11382] = 11138,
  [11383] = 11142,
  [11384] = 11138,
  [11385] = 11142,
  [11386] = 8491,
  [11387] = 11138,
  [11388] = 3887,
  [11389] = 11142,
  [11390] = 11142,
  [11391] = 11138,
  [11392] = 5165,
  [11393] = 8487,
  [11394] = 8491,
  [11395] = 11138,
  [11396] = 8492,
  [11397] = 10967,
  [11398] = 8493,
  [11399] = 11142,
  [11400] = 11142,
  [11401] = 8494,
  [11402] = 8492,
  [11403] = 11138,
  [11404] = 11138,
  [11405] = 11142,
  [11406] = 11010,
  [11407] = 11138,
  [11408] = 11138,
  [11409] = 11142,
  [11410] = 11138,
  [11411] = 11142,
  [11412] = 11142,
  [11413] = 11413,
  [11414] = 11138,
  [11415] = 11138,
  [11416] = 11142,
  [11417] = 8493,
  [11418] = 11138,
  [11419] = 11142,
  [11420] = 11138,
  [11421] = 8494,
  [11422] = 4179,
  [11423] = 11142,
  [11424] = 11142,
  [11425] = 11138,
  [11426] = 11001,
  [11427] = 5297,
  [11428] = 11142,
  [11429] = 11138,
  [11430] = 11142,
  [11431] = 5135,
  [11432] = 3890,
  [11433] = 8562,
  [11434] = 11142,
  [11435] = 8517,
  [11436] = 11142,
  [11437] = 11138,
  [11438] = 11149,
  [11439] = 10240,
  [11440] = 11142,
  [11441] = 11147,
  [11442] = 11138,
  [11443] = 11142,
  [11444] = 11142,
  [11445] = 11138,
  [11446] = 11142,
  [11447] = 11189,
  [11448] = 8499,
  [11449] = 11449,
  [11450] = 11138,
  [11451] = 8517,
  [11452] = 11142,
  [11453] = 11138,
  [11454] = 11142,
  [11455] = 11138,
  [11456] = 4459,
  [11457] = 11138,
  [11458] = 11142,
  [11459] = 4248,
  [11460] = 3890,
  [11461] = 6694,
  [11462] = 11170,
  [11463] = 4327,
  [11464] = 4311,
  [11465] = 4305,
  [11466] = 4459,
  [11467] = 4309,
  [11468] = 4484,
  [11469] = 11469,
  [11470] = 11470,
  [11471] = 11257,
  [11472] = 5047,
  [11473] = 4459,
  [11474] = 10967,
  [11475] = 11146,
  [11476] = 11476,
  [11477] = 4301,
  [11478] = 11177,
  [11479] = 4328,
  [11480] = 5666,
  [11481] = 8462,
  [11482] = 4299,
  [11483] = 4343,
  [11484] = 8462,
  [11485] = 11208,
  [11486] = 11486,
  [11487] = 5625,
  [11488] = 8499,
  [11489] = 4179,
  [11490] = 5104,
  [11491] = 11491,
  [11492] = 5634,
  [11493] = 5081,
  [11494] = 5635,
  [11495] = 4455,
  [11496] = 4303,
  [11497] = 11497,
  [11498] = 11498,
  [11499] = 11470,
  [11500] = 4304,
  [11501] = 4309,
  [11502] = 11470,
  [11503] = 11503,
  [11504] = 4285,
  [11505] = 11505,
  [11506] = 11506,
  [11507] = 11470,
  [11508] = 11508,
  [11509] = 5104,
  [11510] = 11510,
  [11511] = 4311,
  [11512] = 11470,
  [11513] = 11513,
  [11514] = 11470,
  [11515] = 11470,
  [11516] = 11470,
  [11517] = 11257,
  [11518] = 11470,
  [11519] = 11519,
  [11520] = 11520,
  [11521] = 11521,
  [11522] = 11470,
  [11523] = 11523,
  [11524] = 4301,
  [11525] = 4343,
  [11526] = 11177,
  [11527] = 5047,
  [11528] = 11470,
  [11529] = 11529,
  [11530] = 11530,
  [11531] = 4259,
  [11532] = 11532,
  [11533] = 8494,
  [11534] = 5081,
  [11535] = 11535,
  [11536] = 11536,
  [11537] = 11001,
  [11538] = 11010,
  [11539] = 11208,
  [11540] = 11208,
  [11541] = 11470,
  [11542] = 8487,
  [11543] = 8491,
  [11544] = 5669,
  [11545] = 8492,
  [11546] = 11470,
  [11547] = 11470,
  [11548] = 5297,
  [11549] = 4263,
  [11550] = 11550,
  [11551] = 11470,
  [11552] = 8494,
  [11553] = 4179,
  [11554] = 11554,
  [11555] = 11555,
  [11556] = 11556,
  [11557] = 11470,
  [11558] = 8493,
  [11559] = 4285,
  [11560] = 4179,
  [11561] = 8493,
  [11562] = 11170,
  [11563] = 11470,
  [11564] = 11470,
  [11565] = 11157,
  [11566] = 4309,
  [11567] = 11470,
  [11568] = 5165,
  [11569] = 11470,
  [11570] = 5135,
  [11571] = 8492,
  [11572] = 11256,
  [11573] = 8492,
  [11574] = 4248,
  [11575] = 11470,
  [11576] = 8562,
  [11577] = 11470,
  [11578] = 4467,
  [11579] = 11579,
  [11580] = 11336,
  [11581] = 11470,
  [11582] = 8462,
  [11583] = 11470,
  [11584] = 11584,
  [11585] = 11585,
  [11586] = 4946,
  [11587] = 11587,
  [11588] = 11588,
  [11589] = 3890,
  [11590] = 11590,
  [11591] = 11591,
  [11592] = 11592,
  [11593] = 4259,
  [11594] = 11594,
  [11595] = 11470,
  [11596] = 8517,
  [11597] = 11470,
  [11598] = 11470,
  [11599] = 5104,
  [11600] = 8491,
  [11601] = 5657,
  [11602] = 8487,
  [11603] = 5165,
  [11604] = 5635,
  [11605] = 5634,
  [11606] = 4328,
  [11607] = 4327,
  [11608] = 11608,
  [11609] = 4327,
  [11610] = 4305,
  [11611] = 11611,
  [11612] = 11375,
  [11613] = 11470,
  [11614] = 4263,
  [11615] = 4417,
  [11616] = 11470,
  [11617] = 11470,
  [11618] = 5165,
  [11619] = 8487,
  [11620] = 11257,
  [11621] = 4301,
  [11622] = 8491,
  [11623] = 5625,
  [11624] = 11470,
  [11625] = 11579,
  [11626] = 11470,
  [11627] = 11470,
  [11628] = 8562,
  [11629] = 11075,
  [11630] = 5047,
  [11631] = 8493,
  [11632] = 4311,
  [11633] = 11146,
  [11634] = 5297,
  [11635] = 4263,
  [11636] = 4260,
  [11637] = 4459,
  [11638] = 11470,
  [11639] = 11639,
  [11640] = 11470,
  [11641] = 8517,
  [11642] = 11470,
  [11643] = 5081,
  [11644] = 11521,
  [11645] = 4245,
  [11646] = 11646,
  [11647] = 8499,
  [11648] = 11470,
  [11649] = 4343,
  [11650] = 4259,
  [11651] = 11470,
  [11652] = 4467,
  [11653] = 11470,
  [11654] = 11470,
  [11655] = 4299,
  [11656] = 8499,
  [11657] = 5135,
  [11658] = 11470,
  [11659] = 4311,
  [11660] = 11470,
  [11661] = 11470,
  [11662] = 4305,
  [11663] = 11146,
  [11664] = 11076,
  [11665] = 11082,
  [11666] = 5165,
  [11667] = 11521,
  [11668] = 11668,
  [11669] = 4304,
  [11670] = 4299,
  [11671] = 7083,
  [11672] = 11470,
  [11673] = 11470,
  [11674] = 4305,
  [11675] = 11470,
  [11676] = 8494,
  [11677] = 11470,
  [11678] = 5791,
  [11679] = 11470,
  [11680] = 4285,
  [11681] = 4259,
  [11682] = 5135,
  [11683] = 5768,
  [11684] = 4303,
  [11685] = 11470,
  [11686] = 11470,
  [11687] = 11470,
  [11688] = 4309,
  [11689] = 4459,
  [11690] = 11470,
  [11691] = 4328,
  [11692] = 11470,
  [11693] = 8612,
  [11694] = 11579,
  [11695] = 11470,
  [11696] = 8517,
  [11697] = 11256,
  [11698] = 11170,
  [11699] = 8612,
  [11700] = 4279,
  [11701] = 11470,
  [11702] = 11470,
  [11703] = 4245,
  [11704] = 4343,
  [11705] = 4484,
  [11706] = 4305,
  [11707] = 11470,
  [11708] = 4179,
  [11709] = 4245,
  [11710] = 11470,
  [11711] = 3887,
  [11712] = 4260,
  [11713] = 4304,
  [11714] = 4248,
  [11715] = 4303,
  [11716] = 4304,
  [11717] = 5738,
  [11718] = 11470,
  [11719] = 4260,
  [11720] = 4260,
  [11721] = 4248,
  [11722] = 11722,
  [11723] = 4417,
  [11724] = 4304,
  [11725] = 4455,
  [11726] = 4455,
  [11727] = 4327,
  [11728] = 11177,
  [11729] = 11449,
  [11730] = 11344,
  [11731] = 11256,
  [11732] = 4301,
  [11733] = 5135,
  [11734] = 4327,
  [11735] = 4263,
  [11736] = 4309,
  [11737] = 3887,
  [11738] = 11470,
  [11739] = 4245,
  [11740] = 4179,
  [11741] = 11375,
  [11742] = 5620,
  [11743] = 4285,
  [11744] = 11470,
  [11745] = 11470,
  [11746] = 6999,
  [11747] = 5597,
  [11748] = 11116,
  [11749] = 4299,
  [11750] = 11470,
  [11751] = 11470,
  [11752] = 11470,
  [11753] = 4285,
  [11754] = 11327,
  [11755] = 4455,
  [11756] = 11327,
  [11757] = 4303,
  [11758] = 8562,
  [11759] = 11470,
  [11760] = 4248,
  [11761] = 4328,
  [11762] = 5047,
  [11763] = 4343,
  [11764] = 11470,
  [11765] = 4303,
  [11766] = 4301,
  [11767] = 4328,
  [11768] = 4279,
  [11769] = 3890,
  [11770] = 11470,
  [11771] = 3887,
  [11772] = 5081,
  [11773] = 8612,
  [11774] = 6694,
  [11775] = 4455,
  [11776] = 8285,
  [11777] = 4311,
  [11778] = 4260,
  [11779] = 10987,
  [11780] = 4299,
  [11781] = 10982,
  [11782] = 11470,
  [11783] = 4459,
  [11784] = 5104,
  [11785] = 11506,
  [11786] = 4467,
  [11787] = 11491,
  [11788] = 4248,
  [11789] = 11510,
  [11790] = 4309,
  [11791] = 4245,
  [11792] = 4484,
  [11793] = 11513,
  [11794] = 11794,
  [11795] = 11555,
  [11796] = 11794,
  [11797] = 11486,
  [11798] = 11794,
  [11799] = 4417,
  [11800] = 11794,
  [11801] = 11794,
  [11802] = 5135,
  [11803] = 4304,
  [11804] = 4459,
  [11805] = 11584,
  [11806] = 4179,
  [11807] = 11794,
  [11808] = 11523,
  [11809] = 11476,
  [11810] = 11810,
  [11811] = 11794,
  [11812] = 4301,
  [11813] = 11530,
  [11814] = 4455,
  [11815] = 11510,
  [11816] = 11794,
  [11817] = 11817,
  [11818] = 11818,
  [11819] = 11520,
  [11820] = 11519,
  [11821] = 11794,
  [11822] = 11794,
  [11823] = 4179,
  [11824] = 4311,
  [11825] = 4285,
  [11826] = 11794,
  [11827] = 11827,
  [11828] = 4303,
  [11829] = 11794,
  [11830] = 11513,
  [11831] = 11554,
  [11832] = 11832,
  [11833] = 8462,
  [11834] = 11834,
  [11835] = 4343,
  [11836] = 11794,
  [11837] = 11794,
  [11838] = 11587,
  [11839] = 11588,
  [11840] = 8487,
  [11841] = 11794,
  [11842] = 11590,
  [11843] = 11794,
  [11844] = 11794,
  [11845] = 11591,
  [11846] = 4309,
  [11847] = 11847,
  [11848] = 8462,
  [11849] = 11849,
  [11850] = 11850,
  [11851] = 5081,
  [11852] = 8491,
  [11853] = 4343,
  [11854] = 4304,
  [11855] = 11327,
  [11856] = 11794,
  [11857] = 10791,
  [11858] = 11794,
  [11859] = 8492,
  [11860] = 8499,
  [11861] = 4179,
  [11862] = 4459,
  [11863] = 11529,
  [11864] = 11592,
  [11865] = 11794,
  [11866] = 8562,
  [11867] = 11794,
  [11868] = 11794,
  [11869] = 4328,
  [11870] = 11722,
  [11871] = 11871,
  [11872] = 4459,
  [11873] = 11519,
  [11874] = 11794,
  [11875] = 4327,
  [11876] = 11794,
  [11877] = 11520,
  [11878] = 11878,
  [11879] = 4328,
  [11880] = 11794,
  [11881] = 8671,
  [11882] = 4248,
  [11883] = 5104,
  [11884] = 11327,
  [11885] = 11594,
  [11886] = 4327,
  [11887] = 4248,
  [11888] = 11639,
  [11889] = 8487,
  [11890] = 5297,
  [11891] = 4328,
  [11892] = 11794,
  [11893] = 11794,
  [11894] = 11794,
  [11895] = 11895,
  [11896] = 11794,
  [11897] = 11506,
  [11898] = 11794,
  [11899] = 5047,
  [11900] = 5135,
  [11901] = 11794,
  [11902] = 11810,
  [11903] = 11817,
  [11904] = 4343,
  [11905] = 11794,
  [11906] = 5165,
  [11907] = 5104,
  [11908] = 4299,
  [11909] = 11794,
  [11910] = 11794,
  [11911] = 11508,
  [11912] = 8491,
  [11913] = 3887,
  [11914] = 8492,
  [11915] = 11847,
  [11916] = 3890,
  [11917] = 4301,
  [11918] = 11834,
  [11919] = 4305,
  [11920] = 11794,
  [11921] = 11497,
  [11922] = 8462,
  [11923] = 4305,
  [11924] = 4274,
  [11925] = 8493,
  [11926] = 4274,
  [11927] = 11794,
  [11928] = 8494,
  [11929] = 11794,
  [11930] = 4459,
  [11931] = 11931,
  [11932] = 3887,
  [11933] = 3890,
  [11934] = 11934,
  [11935] = 11532,
  [11936] = 4484,
  [11937] = 4327,
  [11938] = 11469,
  [11939] = 11469,
  [11940] = 11794,
  [11941] = 4285,
  [11942] = 4343,
  [11943] = 4259,
  [11944] = 11944,
  [11945] = 4299,
  [11946] = 11946,
  [11947] = 11794,
  [11948] = 4455,
  [11949] = 11794,
  [11950] = 11794,
  [11951] = 4285,
  [11952] = 11952,
  [11953] = 11794,
  [11954] = 11794,
  [11955] = 5047,
  [11956] = 11794,
  [11957] = 11847,
  [11958] = 11834,
  [11959] = 11476,
  [11960] = 11871,
  [11961] = 11961,
  [11962] = 11849,
  [11963] = 11794,
  [11964] = 11964,
  [11965] = 11639,
  [11966] = 11535,
  [11967] = 4455,
  [11968] = 11794,
  [11969] = 11536,
  [11970] = 11944,
  [11971] = 11794,
  [11972] = 11972,
  [11973] = 11585,
  [11974] = 11523,
  [11975] = 11794,
  [11976] = 11794,
  [11977] = 4303,
  [11978] = 11978,
  [11979] = 4311,
  [11980] = 11794,
  [11981] = 11794,
  [11982] = 4281,
  [11983] = 11375,
  [11984] = 11978,
  [11985] = 11794,
  [11986] = 11529,
  [11987] = 4328,
  [11988] = 11794,
  [11989] = 11989,
  [11990] = 11794,
  [11991] = 11794,
  [11992] = 4305,
  [11993] = 11993,
  [11994] = 4303,
  [11995] = 11995,
  [11996] = 11972,
  [11997] = 11794,
  [11998] = 11794,
  [11999] = 11794,
  [12000] = 4248,
  [12001] = 11550,
  [12002] = 8494,
  [12003] = 4455,
  [12004] = 11794,
  [12005] = 11794,
  [12006] = 8562,
  [12007] = 8517,
  [12008] = 11834,
  [12009] = 4301,
  [12010] = 11794,
  [12011] = 11594,
  [12012] = 4305,
  [12013] = 4304,
  [12014] = 11794,
  [12015] = 11847,
  [12016] = 11530,
  [12017] = 11375,
  [12018] = 12018,
  [12019] = 11818,
  [12020] = 11794,
  [12021] = 4260,
  [12022] = 4327,
  [12023] = 8612,
  [12024] = 11794,
  [12025] = 11794,
  [12026] = 8493,
  [12027] = 8487,
  [12028] = 11532,
  [12029] = 11587,
  [12030] = 11794,
  [12031] = 11588,
  [12032] = 8491,
  [12033] = 5165,
  [12034] = 11794,
  [12035] = 12035,
  [12036] = 11590,
  [12037] = 11584,
  [12038] = 4259,
  [12039] = 11794,
  [12040] = 11592,
  [12041] = 11794,
  [12042] = 8492,
  [12043] = 11794,
  [12044] = 11794,
  [12045] = 8493,
  [12046] = 5135,
  [12047] = 11794,
  [12048] = 11794,
  [12049] = 11794,
  [12050] = 4304,
  [12051] = 11794,
  [12052] = 8494,
  [12053] = 11535,
  [12054] = 4299,
  [12055] = 11794,
  [12056] = 11794,
  [12057] = 11794,
  [12058] = 11794,
  [12059] = 11536,
  [12060] = 11794,
  [12061] = 4327,
  [12062] = 11486,
  [12063] = 4305,
  [12064] = 11554,
  [12065] = 4299,
  [12066] = 11794,
  [12067] = 5297,
  [12068] = 11794,
  [12069] = 11794,
  [12070] = 8517,
  [12071] = 11794,
  [12072] = 11491,
  [12073] = 4303,
  [12074] = 4179,
  [12075] = 11794,
  [12076] = 11556,
  [12077] = 11794,
  [12078] = 4281,
  [12079] = 4179,
  [12080] = 4309,
  [12081] = 10901,
  [12082] = 4303,
  [12083] = 8499,
  [12084] = 11794,
  [12085] = 11794,
  [12086] = 4301,
  [12087] = 12087,
  [12088] = 12088,
  [12089] = 4467,
  [12090] = 12090,
  [12091] = 8517,
  [12092] = 12092,
  [12093] = 11794,
  [12094] = 11934,
  [12095] = 4281,
  [12096] = 11555,
  [12097] = 4309,
  [12098] = 12098,
  [12099] = 11832,
  [12100] = 11550,
  [12101] = 11794,
  [12102] = 11794,
  [12103] = 11834,
  [12104] = 11832,
  [12105] = 11818,
  [12106] = 11827,
  [12107] = 11847,
  [12108] = 12108,
  [12109] = 4309,
  [12110] = 4455,
  [12111] = 12111,
  [12112] = 4343,
  [12113] = 4245,
  [12114] = 4285,
  [12115] = 11817,
  [12116] = 11497,
  [12117] = 11585,
  [12118] = 5047,
  [12119] = 4311,
  [12120] = 4301,
  [12121] = 4260,
  [12122] = 11794,
  [12123] = 4328,
  [12124] = 8462,
  [12125] = 8562,
  [12126] = 12126,
  [12127] = 11794,
  [12128] = 10797,
  [12129] = 11794,
  [12130] = 11794,
  [12131] = 11964,
  [12132] = 11794,
  [12133] = 11794,
  [12134] = 12134,
  [12135] = 11978,
  [12136] = 4311,
  [12137] = 11556,
  [12138] = 11794,
  [12139] = 11794,
  [12140] = 11591,
  [12141] = 11794,
  [12142] = 12142,
  [12143] = 4245,
  [12144] = 5081,
  [12145] = 11794,
  [12146] = 4259,
  [12147] = 4459,
  [12148] = 11794,
  [12149] = 5165,
  [12150] = 11794,
  [12151] = 11794,
  [12152] = 5104,
  [12153] = 11972,
  [12154] = 11508,
  [12155] = 8499,
  [12156] = 11794,
  [12157] = 4311,
  [12158] = 5081,
  [12159] = 4281,
  [12160] = 10944,
  [12161] = 4304,
  [12162] = 4299,
  [12163] = 10945,
  [12164] = 8612,
  [12165] = 4417,
  [12166] = 11794,
  [12167] = 11794,
  [12168] = 11794,
  [12169] = 11794,
  [12170] = 11794,
  [12171] = 11794,
  [12172] = 11794,
  [12173] = 8612,
  [12174] = 12174,
  [12175] = 12175,
  [12176] = 12176,
  [12177] = 12177,
  [12178] = 4459,
  [12179] = 12179,
  [12180] = 12180,
  [12181] = 12181,
  [12182] = 4343,
  [12183] = 4328,
  [12184] = 11556,
  [12185] = 12180,
  [12186] = 4327,
  [12187] = 4279,
  [12188] = 8562,
  [12189] = 12180,
  [12190] = 12181,
  [12191] = 12181,
  [12192] = 12180,
  [12193] = 11585,
  [12194] = 11594,
  [12195] = 12181,
  [12196] = 11555,
  [12197] = 12197,
  [12198] = 11554,
  [12199] = 4299,
  [12200] = 12181,
  [12201] = 12180,
  [12202] = 12181,
  [12203] = 4301,
  [12204] = 12180,
  [12205] = 12181,
  [12206] = 12179,
  [12207] = 12175,
  [12208] = 12181,
  [12209] = 11550,
  [12210] = 4303,
  [12211] = 4305,
  [12212] = 4439,
  [12213] = 12181,
  [12214] = 12179,
  [12215] = 12175,
  [12216] = 12216,
  [12217] = 12180,
  [12218] = 12181,
  [12219] = 12181,
  [12220] = 12181,
  [12221] = 12221,
  [12222] = 12180,
  [12223] = 12223,
  [12224] = 12181,
  [12225] = 12181,
  [12226] = 4245,
  [12227] = 12227,
  [12228] = 12176,
  [12229] = 12175,
  [12230] = 12180,
  [12231] = 12179,
  [12232] = 12181,
  [12233] = 4304,
  [12234] = 12180,
  [12235] = 12181,
  [12236] = 4309,
  [12237] = 12181,
  [12238] = 12180,
  [12239] = 12239,
  [12240] = 5135,
  [12241] = 5077,
  [12242] = 4285,
  [12243] = 12243,
  [12244] = 6694,
  [12245] = 4455,
  [12246] = 12181,
  [12247] = 12179,
  [12248] = 12181,
  [12249] = 12181,
  [12250] = 12174,
  [12251] = 12251,
  [12252] = 12180,
  [12253] = 12181,
  [12254] = 12179,
  [12255] = 12175,
  [12256] = 12181,
  [12257] = 11639,
  [12258] = 10944,
  [12259] = 12181,
  [12260] = 12180,
  [12261] = 11327,
  [12262] = 11536,
  [12263] = 11535,
  [12264] = 10945,
  [12265] = 12265,
  [12266] = 4946,
  [12267] = 11532,
  [12268] = 12181,
  [12269] = 5165,
  [12270] = 4311,
  [12271] = 12177,
  [12272] = 12272,
  [12273] = 11530,
  [12274] = 12180,
  [12275] = 12180,
  [12276] = 11529,
  [12277] = 12180,
  [12278] = 12181,
  [12279] = 12181,
  [12280] = 12181,
  [12281] = 11523,
  [12282] = 12282,
  [12283] = 11520,
  [12284] = 11519,
  [12285] = 12180,
  [12286] = 5297,
  [12287] = 11508,
  [12288] = 11506,
  [12289] = 12180,
  [12290] = 12181,
  [12291] = 12179,
  [12292] = 12175,
  [12293] = 12177,
  [12294] = 12181,
  [12295] = 4245,
  [12296] = 12181,
  [12297] = 12180,
  [12298] = 4179,
  [12299] = 11476,
  [12300] = 12179,
  [12301] = 12301,
  [12302] = 12181,
  [12303] = 12181,
  [12304] = 12180,
  [12305] = 12181,
  [12306] = 12306,
  [12307] = 11587,
  [12308] = 12181,
  [12309] = 12181,
  [12310] = 12181,
  [12311] = 12175,
  [12312] = 12179,
  [12313] = 12181,
  [12314] = 11588,
  [12315] = 11961,
  [12316] = 12180,
  [12317] = 12180,
  [12318] = 12181,
  [12319] = 11497,
  [12320] = 12181,
  [12321] = 12181,
  [12322] = 12181,
  [12323] = 12175,
  [12324] = 12180,
  [12325] = 12177,
  [12326] = 12179,
  [12327] = 12181,
  [12328] = 4305,
  [12329] = 12179,
  [12330] = 12175,
  [12331] = 12181,
  [12332] = 12332,
  [12333] = 12180,
  [12334] = 12180,
  [12335] = 12181,
  [12336] = 12251,
  [12337] = 12180,
  [12338] = 12180,
  [12339] = 12265,
  [12340] = 12181,
  [12341] = 12180,
  [12342] = 12181,
  [12343] = 11590,
  [12344] = 12175,
  [12345] = 12179,
  [12346] = 12180,
  [12347] = 5635,
  [12348] = 5634,
  [12349] = 8499,
  [12350] = 12180,
  [12351] = 11497,
  [12352] = 12180,
  [12353] = 4259,
  [12354] = 5625,
  [12355] = 11486,
  [12356] = 12175,
  [12357] = 11491,
  [12358] = 11486,
  [12359] = 4448,
  [12360] = 4448,
  [12361] = 12181,
  [12362] = 12181,
  [12363] = 12179,
  [12364] = 12175,
  [12365] = 4448,
  [12366] = 4285,
  [12367] = 11491,
  [12368] = 12181,
  [12369] = 12180,
  [12370] = 11476,
  [12371] = 12181,
  [12372] = 12181,
  [12373] = 12180,
  [12374] = 4263,
  [12375] = 8517,
  [12376] = 10791,
  [12377] = 12216,
  [12378] = 12181,
  [12379] = 12181,
  [12380] = 12181,
  [12381] = 12180,
  [12382] = 12181,
  [12383] = 12175,
  [12384] = 12181,
  [12385] = 12181,
  [12386] = 12386,
  [12387] = 12174,
  [12388] = 10901,
  [12389] = 12181,
  [12390] = 12180,
  [12391] = 12391,
  [12392] = 4417,
  [12393] = 12306,
  [12394] = 12180,
  [12395] = 12181,
  [12396] = 12181,
  [12397] = 12180,
  [12398] = 12180,
  [12399] = 12175,
  [12400] = 12181,
  [12401] = 12179,
  [12402] = 11639,
  [12403] = 3890,
  [12404] = 11592,
  [12405] = 12180,
  [12406] = 12180,
  [12407] = 12175,
  [12408] = 11591,
  [12409] = 12391,
  [12410] = 4245,
  [12411] = 12181,
  [12412] = 11591,
  [12413] = 12181,
  [12414] = 12181,
  [12415] = 12181,
  [12416] = 4439,
  [12417] = 12181,
  [12418] = 12180,
  [12419] = 11590,
  [12420] = 11588,
  [12421] = 11587,
  [12422] = 12180,
  [12423] = 11375,
  [12424] = 12180,
  [12425] = 12181,
  [12426] = 5047,
  [12427] = 3887,
  [12428] = 12181,
  [12429] = 4445,
  [12430] = 7083,
  [12431] = 12239,
  [12432] = 12181,
  [12433] = 12180,
  [12434] = 4260,
  [12435] = 12179,
  [12436] = 12175,
  [12437] = 5437,
  [12438] = 12438,
  [12439] = 4301,
  [12440] = 12181,
  [12441] = 12181,
  [12442] = 4459,
  [12443] = 12180,
  [12444] = 4455,
  [12445] = 12445,
  [12446] = 12446,
  [12447] = 12447,
  [12448] = 4299,
  [12449] = 12180,
  [12450] = 12450,
  [12451] = 4303,
  [12452] = 12306,
  [12453] = 11584,
  [12454] = 12181,
  [12455] = 12181,
  [12456] = 4304,
  [12457] = 12181,
  [12458] = 12180,
  [12459] = 12459,
  [12460] = 4939,
  [12461] = 12181,
  [12462] = 11375,
  [12463] = 12175,
  [12464] = 12464,
  [12465] = 12181,
  [12466] = 12177,
  [12467] = 8462,
  [12468] = 12464,
  [12469] = 4327,
  [12470] = 12180,
  [12471] = 11592,
  [12472] = 4260,
  [12473] = 3890,
  [12474] = 12272,
  [12475] = 11591,
  [12476] = 11590,
  [12477] = 3887,
  [12478] = 12181,
  [12479] = 11588,
  [12480] = 3887,
  [12481] = 4309,
  [12482] = 12459,
  [12483] = 11584,
  [12484] = 4439,
  [12485] = 11587,
  [12486] = 4260,
  [12487] = 12180,
  [12488] = 12488,
  [12489] = 12180,
  [12490] = 4328,
  [12491] = 4343,
  [12492] = 5081,
  [12493] = 12181,
  [12494] = 12175,
  [12495] = 11508,
  [12496] = 12176,
  [12497] = 12181,
  [12498] = 12179,
  [12499] = 3890,
  [12500] = 12179,
  [12501] = 12175,
  [12502] = 12180,
  [12503] = 12450,
  [12504] = 4285,
  [12505] = 11469,
  [12506] = 12179,
  [12507] = 12175,
  [12508] = 12181,
  [12509] = 12181,
  [12510] = 12180,
  [12511] = 12176,
  [12512] = 12180,
  [12513] = 4459,
  [12514] = 12175,
  [12515] = 4311,
  [12516] = 4179,
  [12517] = 12517,
  [12518] = 12175,
  [12519] = 12181,
  [12520] = 8487,
  [12521] = 12181,
  [12522] = 4946,
  [12523] = 12179,
  [12524] = 12181,
  [12525] = 12180,
  [12526] = 12181,
  [12527] = 12176,
  [12528] = 12181,
  [12529] = 11584,
  [12530] = 3890,
  [12531] = 12181,
  [12532] = 4248,
  [12533] = 12197,
  [12534] = 12180,
  [12535] = 12180,
  [12536] = 12175,
  [12537] = 4263,
  [12538] = 4459,
  [12539] = 4445,
  [12540] = 12177,
  [12541] = 12179,
  [12542] = 11556,
  [12543] = 12181,
  [12544] = 11585,
  [12545] = 4248,
  [12546] = 11555,
  [12547] = 4455,
  [12548] = 4417,
  [12549] = 12180,
  [12550] = 12181,
  [12551] = 12175,
  [12552] = 11554,
  [12553] = 12179,
  [12554] = 12180,
  [12555] = 12181,
  [12556] = 8612,
  [12557] = 12175,
  [12558] = 4417,
  [12559] = 12559,
  [12560] = 8492,
  [12561] = 12181,
  [12562] = 12181,
  [12563] = 4260,
  [12564] = 12181,
  [12565] = 4445,
  [12566] = 4259,
  [12567] = 11594,
  [12568] = 12180,
  [12569] = 4417,
  [12570] = 4245,
  [12571] = 11506,
  [12572] = 11550,
  [12573] = 12181,
  [12574] = 12181,
  [12575] = 12181,
  [12576] = 12181,
  [12577] = 12179,
  [12578] = 12175,
  [12579] = 12180,
  [12580] = 12180,
  [12581] = 5104,
  [12582] = 11513,
  [12583] = 11510,
  [12584] = 12181,
  [12585] = 11592,
  [12586] = 12181,
  [12587] = 3887,
  [12588] = 12181,
  [12589] = 12180,
  [12590] = 8493,
  [12591] = 11989,
  [12592] = 12181,
  [12593] = 12265,
  [12594] = 12181,
  [12595] = 12181,
  [12596] = 12181,
  [12597] = 11536,
  [12598] = 12180,
  [12599] = 12181,
  [12600] = 4248,
  [12601] = 12601,
  [12602] = 8494,
  [12603] = 12603,
  [12604] = 12181,
  [12605] = 12181,
  [12606] = 12606,
  [12607] = 12181,
  [12608] = 12608,
  [12609] = 12180,
  [12610] = 12175,
  [12611] = 12179,
  [12612] = 12111,
  [12613] = 11535,
  [12614] = 5297,
  [12615] = 11532,
  [12616] = 4417,
  [12617] = 12488,
  [12618] = 4455,
  [12619] = 8491,
  [12620] = 11530,
  [12621] = 11529,
  [12622] = 11469,
  [12623] = 12181,
  [12624] = 12180,
  [12625] = 12176,
  [12626] = 12517,
  [12627] = 11523,
  [12628] = 12181,
  [12629] = 8285,
  [12630] = 12179,
  [12631] = 12175,
  [12632] = 12181,
  [12633] = 12181,
  [12634] = 12180,
  [12635] = 11327,
  [12636] = 12179,
  [12637] = 4259,
  [12638] = 11520,
  [12639] = 11519,
  [12640] = 4303,
  [12641] = 4448,
  [12642] = 12642,
  [12643] = 12643,
  [12644] = 4309,
  [12645] = 12645,
  [12646] = 8285,
  [12647] = 5081,
  [12648] = 11587,
  [12649] = 12645,
  [12650] = 11556,
  [12651] = 11506,
  [12652] = 8562,
  [12653] = 11588,
  [12654] = 4301,
  [12655] = 12655,
  [12656] = 4299,
  [12657] = 11486,
  [12658] = 5165,
  [12659] = 12659,
  [12660] = 11469,
  [12661] = 4303,
  [12662] = 11585,
  [12663] = 5039,
  [12664] = 12664,
  [12665] = 12645,
  [12666] = 12645,
  [12667] = 11555,
  [12668] = 11554,
  [12669] = 12669,
  [12670] = 12645,
  [12671] = 11584,
  [12672] = 11592,
  [12673] = 11491,
  [12674] = 12674,
  [12675] = 12659,
  [12676] = 12176,
  [12677] = 12645,
  [12678] = 12678,
  [12679] = 12176,
  [12680] = 4459,
  [12681] = 12386,
  [12682] = 4417,
  [12683] = 5135,
  [12684] = 12659,
  [12685] = 12659,
  [12686] = 11508,
  [12687] = 12659,
  [12688] = 4309,
  [12689] = 11519,
  [12690] = 12645,
  [12691] = 8462,
  [12692] = 5297,
  [12693] = 12176,
  [12694] = 5047,
  [12695] = 4285,
  [12696] = 12645,
  [12697] = 11520,
  [12698] = 4311,
  [12699] = 12645,
  [12700] = 8612,
  [12701] = 4304,
  [12702] = 11550,
  [12703] = 11327,
  [12704] = 5165,
  [12705] = 12645,
  [12706] = 4248,
  [12707] = 4305,
  [12708] = 5104,
  [12709] = 12709,
  [12710] = 12710,
  [12711] = 12659,
  [12712] = 12655,
  [12713] = 12645,
  [12714] = 12608,
  [12715] = 8492,
  [12716] = 11523,
  [12717] = 3887,
  [12718] = 12176,
  [12719] = 12606,
  [12720] = 12645,
  [12721] = 12721,
  [12722] = 4245,
  [12723] = 12723,
  [12724] = 3890,
  [12725] = 11536,
  [12726] = 12645,
  [12727] = 11535,
  [12728] = 12659,
  [12729] = 11532,
  [12730] = 3887,
  [12731] = 3890,
  [12732] = 12601,
  [12733] = 12603,
  [12734] = 11530,
  [12735] = 5083,
  [12736] = 5657,
  [12737] = 12176,
  [12738] = 12645,
  [12739] = 12645,
  [12740] = 11529,
  [12741] = 11588,
  [12742] = 4179,
  [12743] = 11523,
  [12744] = 12659,
  [12745] = 11520,
  [12746] = 11587,
  [12747] = 4303,
  [12748] = 11639,
  [12749] = 11476,
  [12750] = 11529,
  [12751] = 12645,
  [12752] = 6694,
  [12753] = 12659,
  [12754] = 11519,
  [12755] = 11584,
  [12756] = 3887,
  [12757] = 4439,
  [12758] = 3890,
  [12759] = 5047,
  [12760] = 4417,
  [12761] = 4248,
  [12762] = 12645,
  [12763] = 11591,
  [12764] = 4301,
  [12765] = 11639,
  [12766] = 12176,
  [12767] = 12645,
  [12768] = 11497,
  [12769] = 11508,
  [12770] = 11530,
  [12771] = 11532,
  [12772] = 12645,
  [12773] = 11592,
  [12774] = 4248,
  [12775] = 11375,
  [12776] = 4343,
  [12777] = 4327,
  [12778] = 4328,
  [12779] = 5297,
  [12780] = 4299,
  [12781] = 11506,
  [12782] = 12645,
  [12783] = 8493,
  [12784] = 4445,
  [12785] = 12645,
  [12786] = 11535,
  [12787] = 4327,
  [12788] = 11536,
  [12789] = 5437,
  [12790] = 12176,
  [12791] = 12645,
  [12792] = 12176,
  [12793] = 5135,
  [12794] = 4327,
  [12795] = 11584,
  [12796] = 12176,
  [12797] = 12659,
  [12798] = 12176,
  [12799] = 5081,
  [12800] = 4328,
  [12801] = 12659,
  [12802] = 12645,
  [12803] = 12282,
  [12804] = 11591,
  [12805] = 8612,
  [12806] = 4343,
  [12807] = 4448,
  [12808] = 5135,
  [12809] = 4328,
  [12810] = 12645,
  [12811] = 11497,
  [12812] = 4343,
  [12813] = 5104,
  [12814] = 12645,
  [12815] = 11491,
  [12816] = 11486,
  [12817] = 12447,
  [12818] = 4417,
  [12819] = 11592,
  [12820] = 8517,
  [12821] = 4260,
  [12822] = 12659,
  [12823] = 11590,
  [12824] = 4417,
  [12825] = 12825,
  [12826] = 12301,
  [12827] = 4281,
  [12828] = 4303,
  [12829] = 12655,
  [12830] = 12645,
  [12831] = 12645,
  [12832] = 12832,
  [12833] = 4455,
  [12834] = 12645,
  [12835] = 4459,
  [12836] = 8499,
  [12837] = 10901,
  [12838] = 4304,
  [12839] = 4281,
  [12840] = 12645,
  [12841] = 12655,
  [12842] = 5077,
  [12843] = 12843,
  [12844] = 12645,
  [12845] = 4309,
  [12846] = 5104,
  [12847] = 8562,
  [12848] = 12655,
  [12849] = 12176,
  [12850] = 5666,
  [12851] = 4301,
  [12852] = 4946,
  [12853] = 5081,
  [12854] = 4946,
  [12855] = 4179,
  [12856] = 5669,
  [12857] = 12645,
  [12858] = 12858,
  [12859] = 11476,
  [12860] = 12843,
  [12861] = 12645,
  [12862] = 12446,
  [12863] = 12445,
  [12864] = 12832,
  [12865] = 11585,
  [12866] = 12866,
  [12867] = 4285,
  [12868] = 12645,
  [12869] = 12723,
  [12870] = 12870,
  [12871] = 12832,
  [12872] = 11556,
  [12873] = 5165,
  [12874] = 11590,
  [12875] = 12645,
  [12876] = 4245,
  [12877] = 12659,
  [12878] = 12659,
  [12879] = 12645,
  [12880] = 4311,
  [12881] = 12438,
  [12882] = 12176,
  [12883] = 12721,
  [12884] = 12645,
  [12885] = 12645,
  [12886] = 12645,
  [12887] = 4439,
  [12888] = 12888,
  [12889] = 5104,
  [12890] = 10944,
  [12891] = 12659,
  [12892] = 4455,
  [12893] = 10945,
  [12894] = 8517,
  [12895] = 4179,
  [12896] = 4455,
  [12897] = 12659,
  [12898] = 4305,
  [12899] = 12659,
  [12900] = 4343,
  [12901] = 12659,
  [12902] = 11587,
  [12903] = 11588,
  [12904] = 8499,
  [12905] = 11327,
  [12906] = 4445,
  [12907] = 12176,
  [12908] = 4301,
  [12909] = 12645,
  [12910] = 8494,
  [12911] = 12911,
  [12912] = 4328,
  [12913] = 4248,
  [12914] = 8612,
  [12915] = 12645,
  [12916] = 8493,
  [12917] = 11550,
  [12918] = 11449,
  [12919] = 12645,
  [12920] = 12176,
  [12921] = 12645,
  [12922] = 12922,
  [12923] = 12659,
  [12924] = 4299,
  [12925] = 8492,
  [12926] = 8491,
  [12927] = 4260,
  [12928] = 8487,
  [12929] = 4448,
  [12930] = 4299,
  [12931] = 8462,
  [12932] = 12659,
  [12933] = 4311,
  [12934] = 12659,
  [12935] = 12832,
  [12936] = 5135,
  [12937] = 4327,
  [12938] = 5047,
  [12939] = 8499,
  [12940] = 4417,
  [12941] = 11594,
  [12942] = 12645,
  [12943] = 12176,
  [12944] = 4305,
  [12945] = 4260,
  [12946] = 12176,
  [12947] = 12645,
  [12948] = 12832,
  [12949] = 5081,
  [12950] = 12645,
  [12951] = 11469,
  [12952] = 12645,
  [12953] = 12659,
  [12954] = 11554,
  [12955] = 12176,
  [12956] = 12227,
  [12957] = 12664,
  [12958] = 5898,
  [12959] = 8562,
  [12960] = 11510,
  [12961] = 12961,
  [12962] = 12962,
  [12963] = 12559,
  [12964] = 11344,
  [12965] = 11375,
  [12966] = 4245,
  [12967] = 11513,
  [12968] = 8494,
  [12969] = 12843,
  [12970] = 4304,
  [12971] = 12659,
  [12972] = 12645,
  [12973] = 8517,
  [12974] = 12974,
  [12975] = 8493,
  [12976] = 8494,
  [12977] = 12645,
  [12978] = 12645,
  [12979] = 4305,
  [12980] = 11590,
  [12981] = 5077,
  [12982] = 12645,
  [12983] = 12983,
  [12984] = 11594,
  [12985] = 11591,
  [12986] = 8487,
  [12987] = 12176,
  [12988] = 8492,
  [12989] = 4179,
  [12990] = 11555,
  [12991] = 4311,
  [12992] = 5964,
  [12993] = 5165,
  [12994] = 8491,
  [12995] = 12995,
  [12996] = 4304,
  [12997] = 4309,
  [12998] = 12645,
  [12999] = 12645,
  [13000] = 4459,
  [13001] = 4439,
  [13002] = 4939,
  [13003] = 5039,
  [13004] = 13004,
  [13005] = 13005,
  [13006] = 5047,
  [13007] = 12645,
  [13008] = 12645,
  [13009] = 4445,
  [13010] = 12645,
  [13011] = 4285,
  [13012] = 8487,
  [13013] = 12659,
  [13014] = 8491,
  [13015] = 4285,
  [13016] = 10791,
  [13017] = 12645,
  [13018] = 12221,
  [13019] = 12659,
  [13020] = 12664,
  [13021] = 12223,
  [13022] = 5297,
  [13023] = 8462,
  [13024] = 5297,
  [13025] = 5083,
  [13026] = 5104,
  [13027] = 5047,
  [13028] = 5165,
  [13029] = 11594,
  [13030] = 5964,
  [13031] = 8492,
  [13032] = 5657,
  [13033] = 5898,
  [13034] = 13034,
  [13035] = 11554,
  [13036] = 5669,
  [13037] = 11327,
  [13038] = 11513,
  [13039] = 8493,
  [13040] = 8517,
  [13041] = 12723,
  [13042] = 11555,
  [13043] = 13005,
  [13044] = 11556,
  [13045] = 4417,
  [13046] = 11585,
  [13047] = 11506,
  [13048] = 11594,
  [13049] = 11590,
  [13050] = 8494,
  [13051] = 8462,
  [13052] = 8517,
  [13053] = 11375,
  [13054] = 11510,
  [13055] = 13004,
  [13056] = 12176,
  [13057] = 4448,
  [13058] = 5135,
  [13059] = 8499,
  [13060] = 4455,
  [13061] = 11535,
  [13062] = 5135,
  [13063] = 10944,
  [13064] = 4179,
  [13065] = 12858,
  [13066] = 11591,
  [13067] = 4299,
  [13068] = 10945,
  [13069] = 12723,
  [13070] = 11536,
  [13071] = 8499,
  [13072] = 11491,
  [13073] = 12176,
  [13074] = 5165,
  [13075] = 11555,
  [13076] = 4179,
  [13077] = 8491,
  [13078] = 11556,
  [13079] = 4301,
  [13080] = 11590,
  [13081] = 8462,
  [13082] = 8499,
  [13083] = 4417,
  [13084] = 5104,
  [13085] = 11550,
  [13086] = 8494,
  [13087] = 4343,
  [13088] = 11520,
  [13089] = 4343,
  [13090] = 5104,
  [13091] = 8562,
  [13092] = 8499,
  [13093] = 8493,
  [13094] = 4439,
  [13095] = 8487,
  [13096] = 4328,
  [13097] = 4459,
  [13098] = 10791,
  [13099] = 5135,
  [13100] = 11588,
  [13101] = 11592,
  [13102] = 8494,
  [13103] = 8493,
  [13104] = 8492,
  [13105] = 8492,
  [13106] = 6585,
  [13107] = 4343,
  [13108] = 4305,
  [13109] = 8491,
  [13110] = 12723,
  [13111] = 8462,
  [13112] = 5898,
  [13113] = 11639,
  [13114] = 8491,
  [13115] = 13115,
  [13116] = 13116,
  [13117] = 8487,
  [13118] = 12176,
  [13119] = 8487,
  [13120] = 11536,
  [13121] = 4311,
  [13122] = 11590,
  [13123] = 4301,
  [13124] = 11535,
  [13125] = 11519,
  [13126] = 4327,
  [13127] = 11469,
  [13128] = 4328,
  [13129] = 4285,
  [13130] = 11554,
  [13131] = 11532,
  [13132] = 11588,
  [13133] = 11587,
  [13134] = 8494,
  [13135] = 4303,
  [13136] = 4299,
  [13137] = 11476,
  [13138] = 5135,
  [13139] = 8493,
  [13140] = 11520,
  [13141] = 4328,
  [13142] = 13142,
  [13143] = 8492,
  [13144] = 6530,
  [13145] = 8491,
  [13146] = 8487,
  [13147] = 5039,
  [13148] = 4303,
  [13149] = 4309,
  [13150] = 5165,
  [13151] = 11486,
  [13152] = 12674,
  [13153] = 12723,
  [13154] = 12710,
  [13155] = 5047,
  [13156] = 5165,
  [13157] = 3890,
  [13158] = 4304,
  [13159] = 12709,
  [13160] = 11469,
  [13161] = 5666,
  [13162] = 11508,
  [13163] = 4259,
  [13164] = 4303,
  [13165] = 5047,
  [13166] = 11530,
  [13167] = 12723,
  [13168] = 5297,
  [13169] = 12995,
  [13170] = 4417,
  [13171] = 8517,
  [13172] = 5297,
  [13173] = 12176,
  [13174] = 11592,
  [13175] = 5081,
  [13176] = 4305,
  [13177] = 8612,
  [13178] = 12176,
  [13179] = 12962,
  [13180] = 11587,
  [13181] = 5081,
  [13182] = 11530,
  [13183] = 11519,
  [13184] = 4309,
  [13185] = 4299,
  [13186] = 4245,
  [13187] = 13187,
  [13188] = 11327,
  [13189] = 11497,
  [13190] = 11506,
  [13191] = 11327,
  [13192] = 5047,
  [13193] = 4301,
  [13194] = 8612,
  [13195] = 11594,
  [13196] = 4285,
  [13197] = 8562,
  [13198] = 5081,
  [13199] = 8517,
  [13200] = 4311,
  [13201] = 4260,
  [13202] = 11584,
  [13203] = 5081,
  [13204] = 13204,
  [13205] = 4260,
  [13206] = 5104,
  [13207] = 8562,
  [13208] = 11497,
  [13209] = 11523,
  [13210] = 11584,
  [13211] = 11591,
  [13212] = 11529,
  [13213] = 12866,
  [13214] = 5104,
  [13215] = 13215,
  [13216] = 12723,
  [13217] = 4304,
  [13218] = 12176,
  [13219] = 11550,
  [13220] = 4309,
  [13221] = 8562,
  [13222] = 4327,
  [13223] = 11591,
  [13224] = 13224,
  [13225] = 11375,
  [13226] = 8612,
  [13227] = 11592,
  [13228] = 13228,
  [13229] = 5104,
  [13230] = 4327,
  [13231] = 11532,
  [13232] = 5081,
  [13233] = 5081,
  [13234] = 13215,
  [13235] = 13228,
  [13236] = 5297,
  [13237] = 11587,
  [13238] = 4248,
  [13239] = 11588,
  [13240] = 12870,
  [13241] = 11375,
  [13242] = 11592,
  [13243] = 10901,
  [13244] = 4285,
  [13245] = 11529,
  [13246] = 4179,
  [13247] = 4311,
  [13248] = 12723,
  [13249] = 4417,
  [13250] = 4459,
  [13251] = 4279,
  [13252] = 12176,
  [13253] = 4305,
  [13254] = 12176,
  [13255] = 4248,
  [13256] = 5047,
  [13257] = 12723,
  [13258] = 11639,
  [13259] = 11327,
  [13260] = 4304,
  [13261] = 13215,
  [13262] = 5047,
  [13263] = 5657,
  [13264] = 12723,
  [13265] = 13265,
  [13266] = 4445,
  [13267] = 13215,
  [13268] = 13228,
  [13269] = 12176,
  [13270] = 11590,
  [13271] = 5135,
  [13272] = 4455,
  [13273] = 3887,
  [13274] = 12721,
  [13275] = 13275,
  [13276] = 13276,
  [13277] = 13228,
  [13278] = 12176,
  [13279] = 13279,
  [13280] = 11327,
  [13281] = 8462,
  [13282] = 11508,
  [13283] = 5669,
  [13284] = 11584,
  [13285] = 8612,
  [13286] = 5165,
  [13287] = 11523,
  [13288] = 13288,
  [13289] = 8462,
  [13290] = 13290,
  [13291] = 12911,
  [13292] = 11585,
  [13293] = 11491,
  [13294] = 11591,
  [13295] = 12723,
  [13296] = 13296,
  [13297] = 11486,
  [13298] = 5165,
  [13299] = 5135,
  [13300] = 11375,
  [13301] = 13301,
  [13302] = 12669,
  [13303] = 5964,
  [13304] = 11584,
  [13305] = 5077,
  [13306] = 13306,
  [13307] = 8462,
  [13308] = 4248,
  [13309] = 5666,
  [13310] = 11513,
  [13311] = 12176,
  [13312] = 11510,
  [13313] = 13313,
  [13314] = 12176,
  [13315] = 5039,
  [13316] = 13316,
  [13317] = 11476,
  [13318] = 11588,
  [13319] = 11587,
  [13320] = 13320,
  [13321] = 11486,
  [13322] = 11469,
  [13323] = 8494,
  [13324] = 4939,
  [13325] = 5669,
  [13326] = 4484,
  [13327] = 5135,
  [13328] = 8493,
  [13329] = 8517,
  [13330] = 13228,
  [13331] = 4301,
  [13332] = 11506,
  [13333] = 5666,
  [13334] = 12176,
  [13335] = 5898,
  [13336] = 11592,
  [13337] = 11508,
  [13338] = 11491,
  [13339] = 4455,
  [13340] = 11585,
  [13341] = 13341,
  [13342] = 5104,
  [13343] = 11519,
  [13344] = 8499,
  [13345] = 8462,
  [13346] = 11497,
  [13347] = 11556,
  [13348] = 8492,
  [13349] = 11594,
  [13350] = 5657,
  [13351] = 12723,
  [13352] = 4417,
  [13353] = 6530,
  [13354] = 12723,
  [13355] = 8491,
  [13356] = 11555,
  [13357] = 10902,
  [13358] = 13228,
  [13359] = 11520,
  [13360] = 11497,
  [13361] = 13361,
  [13362] = 11587,
  [13363] = 8562,
  [13364] = 10758,
  [13365] = 11588,
  [13366] = 13215,
  [13367] = 11590,
  [13368] = 11491,
  [13369] = 11486,
  [13370] = 12723,
  [13371] = 11523,
  [13372] = 11327,
  [13373] = 13373,
  [13374] = 4299,
  [13375] = 13187,
  [13376] = 13204,
  [13377] = 11554,
  [13378] = 13228,
  [13379] = 11529,
  [13380] = 11530,
  [13381] = 11532,
  [13382] = 4281,
  [13383] = 11535,
  [13384] = 11536,
  [13385] = 8562,
  [13386] = 12176,
  [13387] = 11476,
  [13388] = 4445,
  [13389] = 4343,
  [13390] = 11587,
  [13391] = 13391,
  [13392] = 12723,
  [13393] = 11591,
  [13394] = 11588,
  [13395] = 4305,
  [13396] = 4303,
  [13397] = 5081,
  [13398] = 13265,
  [13399] = 8462,
  [13400] = 13301,
  [13401] = 4304,
  [13402] = 11639,
  [13403] = 13279,
  [13404] = 10947,
  [13405] = 4417,
  [13406] = 4417,
  [13407] = 4309,
  [13408] = 4939,
  [13409] = 11591,
  [13410] = 10916,
  [13411] = 12723,
  [13412] = 5165,
  [13413] = 13115,
  [13414] = 13215,
  [13415] = 11591,
  [13416] = 13116,
  [13417] = 13313,
  [13418] = 13228,
  [13419] = 5081,
  [13420] = 5297,
  [13421] = 13275,
  [13422] = 13276,
  [13423] = 8487,
  [13424] = 12723,
  [13425] = 12723,
  [13426] = 5964,
  [13427] = 11550,
  [13428] = 5135,
  [13429] = 13224,
  [13430] = 11590,
  [13431] = 4179,
  [13432] = 5047,
  [13433] = 11535,
  [13434] = 13320,
  [13435] = 13228,
  [13436] = 11497,
  [13437] = 10761,
  [13438] = 13438,
  [13439] = 8499,
  [13440] = 12176,
  [13441] = 11584,
  [13442] = 12723,
  [13443] = 11520,
  [13444] = 8612,
  [13445] = 13215,
  [13446] = 4439,
  [13447] = 13228,
  [13448] = 11375,
  [13449] = 11554,
  [13450] = 11327,
  [13451] = 11584,
  [13452] = 4467,
  [13453] = 13228,
  [13454] = 11555,
  [13455] = 11585,
  [13456] = 5047,
  [13457] = 8487,
  [13458] = 13215,
  [13459] = 11550,
  [13460] = 5135,
  [13461] = 4311,
  [13462] = 11556,
  [13463] = 5165,
  [13464] = 11506,
  [13465] = 11556,
  [13466] = 4299,
  [13467] = 4301,
  [13468] = 11590,
  [13469] = 11327,
  [13470] = 11508,
  [13471] = 13215,
  [13472] = 8562,
  [13473] = 13473,
  [13474] = 11639,
  [13475] = 11550,
  [13476] = 11594,
  [13477] = 12176,
  [13478] = 11639,
  [13479] = 11536,
  [13480] = 11491,
  [13481] = 11639,
  [13482] = 12723,
  [13483] = 11519,
  [13484] = 11585,
  [13485] = 12176,
  [13486] = 11584,
  [13487] = 11486,
  [13488] = 11469,
  [13489] = 4327,
  [13490] = 11523,
  [13491] = 11555,
  [13492] = 11554,
  [13493] = 12176,
  [13494] = 11510,
  [13495] = 11592,
  [13496] = 8499,
  [13497] = 4343,
  [13498] = 11513,
  [13499] = 11588,
  [13500] = 11469,
  [13501] = 11587,
  [13502] = 4327,
  [13503] = 6585,
  [13504] = 4285,
  [13505] = 13228,
  [13506] = 12723,
  [13507] = 8517,
  [13508] = 13215,
  [13509] = 11375,
  [13510] = 12176,
  [13511] = 11513,
  [13512] = 8612,
  [13513] = 11506,
  [13514] = 5081,
  [13515] = 10830,
  [13516] = 12176,
  [13517] = 13215,
  [13518] = 12176,
  [13519] = 11584,
  [13520] = 13215,
  [13521] = 8612,
  [13522] = 11476,
  [13523] = 13228,
  [13524] = 4179,
  [13525] = 11523,
  [13526] = 8462,
  [13527] = 11327,
  [13528] = 12723,
  [13529] = 12176,
  [13530] = 11536,
  [13531] = 11508,
  [13532] = 11519,
  [13533] = 8517,
  [13534] = 8494,
  [13535] = 4309,
  [13536] = 5104,
  [13537] = 12176,
  [13538] = 11590,
  [13539] = 8462,
  [13540] = 11529,
  [13541] = 13541,
  [13542] = 11591,
  [13543] = 11536,
  [13544] = 4304,
  [13545] = 13215,
  [13546] = 10742,
  [13547] = 4328,
  [13548] = 12176,
  [13549] = 12723,
  [13550] = 11532,
  [13551] = 13551,
  [13552] = 11530,
  [13553] = 12723,
  [13554] = 11530,
  [13555] = 13215,
  [13556] = 4248,
  [13557] = 11529,
  [13558] = 11588,
  [13559] = 11556,
  [13560] = 11476,
  [13561] = 12176,
  [13562] = 12723,
  [13563] = 8493,
  [13564] = 11520,
  [13565] = 5165,
  [13566] = 5047,
  [13567] = 13228,
  [13568] = 12723,
  [13569] = 13569,
  [13570] = 11587,
  [13571] = 8492,
  [13572] = 4311,
  [13573] = 8491,
  [13574] = 11592,
  [13575] = 10785,
  [13576] = 11594,
  [13577] = 11529,
  [13578] = 4328,
  [13579] = 12723,
  [13580] = 11476,
  [13581] = 13228,
  [13582] = 11532,
  [13583] = 11375,
  [13584] = 11523,
  [13585] = 11550,
  [13586] = 8487,
  [13587] = 11554,
  [13588] = 11486,
  [13589] = 11491,
  [13590] = 8491,
  [13591] = 13215,
  [13592] = 10788,
  [13593] = 11520,
  [13594] = 8492,
  [13595] = 5047,
  [13596] = 11555,
  [13597] = 11510,
  [13598] = 4303,
  [13599] = 11530,
  [13600] = 11519,
  [13601] = 13228,
  [13602] = 11513,
  [13603] = 11469,
  [13604] = 11497,
  [13605] = 5297,
  [13606] = 13142,
  [13607] = 5165,
  [13608] = 13215,
  [13609] = 5104,
  [13610] = 13290,
  [13611] = 13288,
  [13612] = 8493,
  [13613] = 12176,
  [13614] = 5135,
  [13615] = 13615,
  [13616] = 11510,
  [13617] = 11508,
  [13618] = 11535,
  [13619] = 11506,
  [13620] = 11532,
  [13621] = 13541,
  [13622] = 4448,
  [13623] = 4305,
  [13624] = 11585,
  [13625] = 11592,
  [13626] = 5081,
  [13627] = 11535,
  [13628] = 4459,
  [13629] = 5104,
  [13630] = 8494,
  [13631] = 13296,
  [13632] = 13215,
  [13633] = 11519,
  [13634] = 12223,
  [13635] = 13635,
  [13636] = 11530,
  [13637] = 12227,
  [13638] = 13228,
  [13639] = 13215,
  [13640] = 11529,
  [13641] = 11535,
  [13642] = 11523,
  [13643] = 13228,
  [13644] = 11591,
  [13645] = 13645,
  [13646] = 11520,
  [13647] = 11961,
  [13648] = 10830,
  [13649] = 11508,
  [13650] = 11506,
  [13651] = 13228,
  [13652] = 11594,
  [13653] = 11536,
  [13654] = 11497,
  [13655] = 13655,
  [13656] = 11588,
  [13657] = 11587,
  [13658] = 11491,
  [13659] = 11486,
  [13660] = 11590,
  [13661] = 13661,
  [13662] = 11476,
  [13663] = 12723,
  [13664] = 11532,
  [13665] = 13665,
  [13666] = 10758,
  [13667] = 11375,
  [13668] = 12723,
  [13669] = 4260,
  [13670] = 11550,
  [13671] = 12723,
  [13672] = 12723,
  [13673] = 11591,
  [13674] = 13341,
  [13675] = 13228,
  [13676] = 11639,
  [13677] = 11592,
  [13678] = 11961,
  [13679] = 11510,
  [13680] = 11639,
  [13681] = 11469,
  [13682] = 13661,
  [13683] = 11513,
  [13684] = 11591,
  [13685] = 10788,
  [13686] = 10785,
  [13687] = 12723,
  [13688] = 13688,
  [13689] = 11590,
  [13690] = 11469,
  [13691] = 11594,
  [13692] = 10916,
  [13693] = 11639,
  [13694] = 13228,
  [13695] = 13215,
  [13696] = 11961,
  [13697] = 13697,
  [13698] = 13698,
  [13699] = 11961,
  [13700] = 13700,
  [13701] = 12301,
  [13702] = 11519,
  [13703] = 13215,
  [13704] = 13704,
  [13705] = 5083,
  [13706] = 10947,
  [13707] = 13707,
  [13708] = 13228,
  [13709] = 13215,
  [13710] = 13228,
  [13711] = 13215,
  [13712] = 13391,
  [13713] = 11554,
  [13714] = 13228,
  [13715] = 13215,
  [13716] = 13707,
  [13717] = 13473,
  [13718] = 11555,
  [13719] = 11585,
  [13720] = 13228,
  [13721] = 10761,
  [13722] = 13569,
  [13723] = 11556,
  [13724] = 10742,
  [13725] = 11476,
  [13726] = 11588,
  [13727] = 4417,
  [13728] = 5083,
  [13729] = 11961,
  [13730] = 11587,
  [13731] = 11588,
  [13732] = 12446,
  [13733] = 12723,
  [13734] = 12438,
  [13735] = 13735,
  [13736] = 10902,
  [13737] = 12445,
  [13738] = 13738,
  [13739] = 13739,
  [13740] = 13228,
  [13741] = 12922,
  [13742] = 11592,
  [13743] = 12723,
  [13744] = 12447,
  [13745] = 13215,
  [13746] = 11486,
  [13747] = 11491,
  [13748] = 13215,
  [13749] = 11587,
  [13750] = 11497,
  [13751] = 12723,
  [13752] = 11556,
  [13753] = 13753,
  [13754] = 11585,
  [13755] = 11506,
  [13756] = 11555,
  [13757] = 11554,
  [13758] = 11508,
  [13759] = 13228,
  [13760] = 11519,
  [13761] = 11520,
  [13762] = 11536,
  [13763] = 11535,
  [13764] = 13541,
  [13765] = 11592,
  [13766] = 11523,
  [13767] = 11327,
  [13768] = 13688,
  [13769] = 11529,
  [13770] = 13215,
  [13771] = 11530,
  [13772] = 11532,
  [13773] = 13773,
  [13774] = 11550,
  [13775] = 13775,
  [13776] = 11535,
  [13777] = 13215,
  [13778] = 11536,
  [13779] = 11550,
  [13780] = 13780,
  [13781] = 11513,
  [13782] = 11510,
  [13783] = 13783,
  [13784] = 12642,
  [13785] = 11554,
  [13786] = 12723,
  [13787] = 11592,
  [13788] = 11555,
  [13789] = 11585,
  [13790] = 13215,
  [13791] = 11556,
  [13792] = 11469,
  [13793] = 13793,
  [13794] = 11536,
  [13795] = 13795,
  [13796] = 11535,
  [13797] = 11584,
  [13798] = 11532,
  [13799] = 11584,
  [13800] = 11530,
  [13801] = 4245,
  [13802] = 13228,
  [13803] = 11375,
  [13804] = 12608,
  [13805] = 12606,
  [13806] = 11590,
  [13807] = 12723,
  [13808] = 11529,
  [13809] = 11591,
  [13810] = 3890,
  [13811] = 11476,
  [13812] = 11486,
  [13813] = 11491,
  [13814] = 11523,
  [13815] = 13373,
  [13816] = 11520,
  [13817] = 11584,
  [13818] = 11497,
  [13819] = 11584,
  [13820] = 12723,
  [13821] = 12221,
  [13822] = 11508,
  [13823] = 11590,
  [13824] = 11587,
  [13825] = 11506,
  [13826] = 13228,
  [13827] = 3887,
  [13828] = 11588,
  [13829] = 13215,
  [13830] = 13551,
  [13831] = 13215,
  [13832] = 13228,
  [13833] = 12723,
  [13834] = 13793,
  [13835] = 13835,
  [13836] = 4305,
  [13837] = 4311,
  [13838] = 13228,
  [13839] = 12723,
  [13840] = 3890,
  [13841] = 13841,
  [13842] = 13842,
  [13843] = 11639,
  [13844] = 11476,
  [13845] = 13215,
  [13846] = 4439,
  [13847] = 13847,
  [13848] = 11486,
  [13849] = 4301,
  [13850] = 13850,
  [13851] = 13783,
  [13852] = 11491,
  [13853] = 12866,
  [13854] = 13661,
  [13855] = 11556,
  [13856] = 11469,
  [13857] = 11497,
  [13858] = 13228,
  [13859] = 13859,
  [13860] = 12176,
  [13861] = 12723,
  [13862] = 11587,
  [13863] = 11588,
  [13864] = 4417,
  [13865] = 5077,
  [13866] = 13215,
  [13867] = 12176,
  [13868] = 13868,
  [13869] = 11639,
  [13870] = 4445,
  [13871] = 13871,
  [13872] = 13700,
  [13873] = 11585,
  [13874] = 13874,
  [13875] = 13875,
  [13876] = 11555,
  [13877] = 13004,
  [13878] = 11554,
  [13879] = 13228,
  [13880] = 4946,
  [13881] = 4299,
  [13882] = 11584,
  [13883] = 4459,
  [13884] = 13884,
  [13885] = 11590,
  [13886] = 13886,
  [13887] = 12866,
  [13888] = 11506,
  [13889] = 11519,
  [13890] = 11520,
  [13891] = 4303,
  [13892] = 13892,
  [13893] = 12723,
  [13894] = 12723,
  [13895] = 11508,
  [13896] = 11591,
  [13897] = 13859,
  [13898] = 11469,
  [13899] = 13661,
  [13900] = 12176,
  [13901] = 11523,
  [13902] = 11529,
  [13903] = 11584,
  [13904] = 13215,
  [13905] = 5077,
  [13906] = 13906,
  [13907] = 13907,
  [13908] = 11530,
  [13909] = 11532,
  [13910] = 4448,
  [13911] = 11587,
  [13912] = 12723,
  [13913] = 11550,
  [13914] = 3890,
  [13915] = 11588,
  [13916] = 13916,
  [13917] = 13215,
  [13918] = 4939,
  [13919] = 13919,
  [13920] = 12723,
  [13921] = 12176,
  [13922] = 13215,
  [13923] = 13923,
  [13924] = 5077,
  [13925] = 11594,
  [13926] = 13228,
  [13927] = 3887,
  [13928] = 11550,
  [13929] = 4343,
  [13930] = 13215,
  [13931] = 4467,
  [13932] = 13004,
  [13933] = 13228,
  [13934] = 13228,
  [13935] = 4248,
  [13936] = 4455,
  [13937] = 13753,
  [13938] = 13938,
  [13939] = 13868,
  [13940] = 12176,
  [13941] = 12723,
  [13942] = 13215,
  [13943] = 13228,
  [13944] = 13938,
  [13945] = 4285,
  [13946] = 11592,
  [13947] = 11590,
  [13948] = 13795,
  [13949] = 11536,
  [13950] = 13215,
  [13951] = 11535,
  [13952] = 13892,
  [13953] = 3887,
  [13954] = 13215,
  [13955] = 13215,
  [13956] = 13795,
  [13957] = 13228,
  [13958] = 11532,
  [13959] = 13215,
  [13960] = 13228,
  [13961] = 11530,
  [13962] = 13962,
  [13963] = 11529,
  [13964] = 11554,
  [13965] = 11555,
  [13966] = 4304,
  [13967] = 11591,
  [13968] = 11585,
  [13969] = 11523,
  [13970] = 13215,
  [13971] = 13228,
  [13972] = 13972,
  [13973] = 13215,
  [13974] = 11520,
  [13975] = 13907,
  [13976] = 11476,
  [13977] = 13977,
  [13978] = 13228,
  [13979] = 13215,
  [13980] = 13980,
  [13981] = 13228,
  [13982] = 11519,
  [13983] = 4327,
  [13984] = 11327,
  [13985] = 11486,
  [13986] = 4309,
  [13987] = 12176,
  [13988] = 13228,
  [13989] = 11556,
  [13990] = 11508,
  [13991] = 13228,
  [13992] = 11506,
  [13993] = 13916,
  [13994] = 11491,
  [13995] = 13923,
  [13996] = 13850,
  [13997] = 4328,
  [13998] = 11497,
  [13999] = 13704,
  [14000] = 13841,
  [14001] = 4484,
  [14002] = 13919,
  [14003] = 12723,
  [14004] = 11592,
  [14005] = 13847,
  [14006] = 4179,
  [14007] = 12723,
  [14008] = 12723,
  [14009] = 11587,
  [14010] = 5165,
  [14011] = 5964,
  [14012] = 13005,
  [14013] = 13215,
  [14014] = 13004,
  [14015] = 13005,
  [14016] = 5657,
  [14017] = 5666,
  [14018] = 5669,
  [14019] = 5047,
  [14020] = 5081,
  [14021] = 14021,
  [14022] = 5898,
  [14023] = 13916,
  [14024] = 13938,
  [14025] = 5135,
  [14026] = 5165,
  [14027] = 13265,
  [14028] = 12723,
  [14029] = 5104,
  [14030] = 14021,
  [14031] = 5104,
  [14032] = 14032,
  [14033] = 13228,
  [14034] = 13215,
  [14035] = 5083,
  [14036] = 14036,
  [14037] = 5135,
  [14038] = 5165,
  [14039] = 14021,
  [14040] = 13215,
  [14041] = 14021,
  [14042] = 14032,
  [14043] = 14021,
  [14044] = 14044,
  [14045] = 5047,
  [14046] = 13906,
  [14047] = 5081,
  [14048] = 11592,
  [14049] = 5077,
  [14050] = 13265,
  [14051] = 5964,
  [14052] = 14052,
  [14053] = 14053,
  [14054] = 10901,
  [14055] = 14055,
  [14056] = 13859,
  [14057] = 14021,
  [14058] = 14058,
  [14059] = 13228,
  [14060] = 13215,
  [14061] = 13005,
  [14062] = 14062,
  [14063] = 5081,
  [14064] = 14064,
  [14065] = 13215,
  [14066] = 8462,
  [14067] = 5104,
  [14068] = 14068,
  [14069] = 13228,
  [14070] = 14021,
  [14071] = 5135,
  [14072] = 13228,
  [14073] = 14073,
  [14074] = 13228,
  [14075] = 5047,
  [14076] = 14076,
  [14077] = 5964,
  [14078] = 13972,
  [14079] = 13938,
  [14080] = 14021,
  [14081] = 5898,
  [14082] = 13228,
  [14083] = 13215,
  [14084] = 14084,
  [14085] = 13228,
  [14086] = 13215,
  [14087] = 14021,
  [14088] = 8462,
  [14089] = 13980,
  [14090] = 14021,
  [14091] = 13005,
  [14092] = 13962,
  [14093] = 13438,
  [14094] = 13615,
  [14095] = 14095,
  [14096] = 14021,
  [14097] = 14097,
  [14098] = 13215,
  [14099] = 14099,
  [14100] = 14100,
  [14101] = 5898,
  [14102] = 14021,
  [14103] = 14021,
  [14104] = 10944,
  [14105] = 10945,
  [14106] = 14021,
  [14107] = 13875,
  [14108] = 13874,
  [14109] = 14021,
  [14110] = 14110,
  [14111] = 14021,
  [14112] = 14021,
  [14113] = 14064,
  [14114] = 12723,
  [14115] = 8462,
  [14116] = 13361,
  [14117] = 14021,
  [14118] = 5039,
  [14119] = 12870,
  [14120] = 12866,
  [14121] = 14021,
  [14122] = 13884,
  [14123] = 14123,
  [14124] = 13886,
  [14125] = 13005,
  [14126] = 14126,
  [14127] = 13841,
  [14128] = 13276,
  [14129] = 12870,
  [14130] = 14130,
  [14131] = 13977,
  [14132] = 14021,
  [14133] = 11584,
  [14134] = 13938,
  [14135] = 14044,
  [14136] = 5657,
  [14137] = 14021,
  [14138] = 14138,
  [14139] = 10791,
  [14140] = 11591,
  [14141] = 14021,
  [14142] = 13850,
  [14143] = 11588,
  [14144] = 14021,
  [14145] = 5669,
  [14146] = 5666,
  [14147] = 14021,
  [14148] = 14148,
  [14149] = 12870,
  [14150] = 5666,
  [14151] = 13847,
  [14152] = 13276,
  [14153] = 5657,
  [14154] = 14154,
  [14155] = 14021,
  [14156] = 14156,
  [14157] = 14021,
  [14158] = 14158,
  [14159] = 13228,
  [14160] = 11590,
  [14161] = 14161,
  [14162] = 14162,
  [14163] = 5669,
  [14164] = 14021,
  [14165] = 14165,
  [14166] = 14166,
  [14167] = 14167,
  [14168] = 14165,
  [14169] = 4445,
  [14170] = 14170,
  [14171] = 14171,
  [14172] = 14172,
  [14173] = 14173,
  [14174] = 14174,
  [14175] = 13279,
  [14176] = 14176,
  [14177] = 14165,
  [14178] = 14165,
  [14179] = 13275,
  [14180] = 14165,
  [14181] = 14181,
  [14182] = 14182,
  [14183] = 14183,
  [14184] = 4448,
  [14185] = 13296,
  [14186] = 14186,
  [14187] = 14187,
  [14188] = 14188,
  [14189] = 14165,
  [14190] = 13290,
  [14191] = 14191,
  [14192] = 14192,
  [14193] = 14193,
  [14194] = 14194,
  [14195] = 14195,
  [14196] = 14196,
  [14197] = 14165,
  [14198] = 13279,
  [14199] = 14199,
  [14200] = 14200,
  [14201] = 14201,
  [14202] = 14202,
  [14203] = 14203,
  [14204] = 14204,
  [14205] = 13204,
  [14206] = 14165,
  [14207] = 14207,
  [14208] = 14208,
  [14209] = 14165,
  [14210] = 14210,
  [14211] = 14211,
  [14212] = 14212,
  [14213] = 14213,
  [14214] = 14214,
  [14215] = 14165,
  [14216] = 14216,
  [14217] = 14217,
  [14218] = 14218,
  [14219] = 14219,
  [14220] = 14165,
  [14221] = 14221,
  [14222] = 14222,
  [14223] = 14223,
  [14224] = 14224,
  [14225] = 14225,
  [14226] = 4439,
  [14227] = 14227,
  [14228] = 14062,
  [14229] = 14229,
  [14230] = 14165,
  [14231] = 13275,
  [14232] = 13115,
  [14233] = 14233,
  [14234] = 14165,
  [14235] = 14235,
  [14236] = 14165,
  [14237] = 14237,
  [14238] = 13276,
  [14239] = 14165,
  [14240] = 14240,
  [14241] = 13275,
  [14242] = 14165,
  [14243] = 14243,
  [14244] = 14244,
  [14245] = 14165,
  [14246] = 13265,
  [14247] = 14247,
  [14248] = 14248,
  [14249] = 14165,
  [14250] = 14250,
  [14251] = 14240,
  [14252] = 14165,
  [14253] = 14165,
  [14254] = 14254,
  [14255] = 14255,
  [14256] = 12723,
  [14257] = 14257,
  [14258] = 14165,
  [14259] = 13780,
  [14260] = 14260,
  [14261] = 14261,
  [14262] = 14154,
  [14263] = 14263,
  [14264] = 14264,
  [14265] = 14265,
  [14266] = 14165,
  [14267] = 14267,
  [14268] = 12723,
  [14269] = 13204,
  [14270] = 14165,
  [14271] = 14271,
  [14272] = 14272,
  [14273] = 14165,
  [14274] = 14097,
  [14275] = 14095,
  [14276] = 14276,
  [14277] = 14277,
  [14278] = 13290,
  [14279] = 14165,
  [14280] = 14165,
  [14281] = 14165,
  [14282] = 14282,
  [14283] = 14165,
  [14284] = 14055,
  [14285] = 14165,
  [14286] = 14165,
  [14287] = 14287,
  [14288] = 14165,
  [14289] = 14165,
  [14290] = 14290,
  [14291] = 14291,
  [14292] = 14292,
  [14293] = 14165,
  [14294] = 14165,
  [14295] = 14058,
  [14296] = 13977,
  [14297] = 14297,
  [14298] = 8462,
  [14299] = 14299,
  [14300] = 14300,
  [14301] = 14165,
  [14302] = 14076,
  [14303] = 13215,
  [14304] = 13228,
  [14305] = 14305,
  [14306] = 14165,
  [14307] = 5135,
  [14308] = 14053,
  [14309] = 14309,
  [14310] = 14165,
  [14311] = 4946,
  [14312] = 13215,
  [14313] = 4417,
  [14314] = 13228,
  [14315] = 14165,
  [14316] = 4939,
  [14317] = 14317,
  [14318] = 14318,
  [14319] = 14319,
  [14320] = 14320,
  [14321] = 14165,
  [14322] = 14165,
  [14323] = 14323,
  [14324] = 4439,
  [14325] = 14325,
  [14326] = 4445,
  [14327] = 14327,
  [14328] = 4448,
  [14329] = 14329,
  [14330] = 14100,
  [14331] = 14329,
  [14332] = 12723,
  [14333] = 14333,
  [14334] = 14334,
  [14335] = 14165,
  [14336] = 14254,
  [14337] = 14337,
  [14338] = 13215,
  [14339] = 14339,
  [14340] = 14165,
  [14341] = 14244,
  [14342] = 14342,
  [14343] = 14343,
  [14344] = 14174,
  [14345] = 14165,
  [14346] = 14346,
  [14347] = 14123,
  [14348] = 14165,
  [14349] = 14165,
  [14350] = 14350,
  [14351] = 14126,
  [14352] = 14334,
  [14353] = 14165,
  [14354] = 14165,
  [14355] = 13215,
  [14356] = 13228,
  [14357] = 14165,
  [14358] = 5898,
  [14359] = 14359,
  [14360] = 5165,
  [14361] = 13224,
  [14362] = 14362,
  [14363] = 14167,
  [14364] = 14165,
  [14365] = 13228,
  [14366] = 14366,
  [14367] = 14292,
  [14368] = 13224,
  [14369] = 14369,
  [14370] = 14318,
  [14371] = 14162,
  [14372] = 14372,
  [14373] = 14165,
  [14374] = 14374,
  [14375] = 14375,
  [14376] = 14376,
  [14377] = 14287,
  [14378] = 14165,
  [14379] = 14148,
  [14380] = 14380,
  [14381] = 14165,
  [14382] = 13296,
  [14383] = 14265,
  [14384] = 14255,
  [14385] = 5104,
  [14386] = 14386,
  [14387] = 14204,
  [14388] = 14366,
  [14389] = 14211,
  [14390] = 14390,
  [14391] = 14391,
  [14392] = 14165,
  [14393] = 14243,
  [14394] = 14374,
  [14395] = 5081,
  [14396] = 14165,
  [14397] = 14397,
  [14398] = 14369,
  [14399] = 5666,
  [14400] = 5047,
  [14401] = 14401,
  [14402] = 14165,
  [14403] = 5669,
  [14404] = 14165,
  [14405] = 14165,
  [14406] = 14406,
  [14407] = 13115,
  [14408] = 14290,
  [14409] = 14409,
  [14410] = 5657,
  [14411] = 14165,
  [14412] = 14412,
  [14413] = 5964,
  [14414] = 14414,
  [14415] = 14372,
  [14416] = 14165,
  [14417] = 12723,
  [14418] = 14391,
  [14419] = 13753,
  [14420] = 3887,
  [14421] = 14421,
  [14422] = 14422,
  [14423] = 14423,
  [14424] = 3890,
  [14425] = 14425,
  [14426] = 14426,
  [14427] = 14427,
  [14428] = 5039,
  [14429] = 14429,
  [14430] = 14430,
  [14431] = 14431,
  [14432] = 14421,
  [14433] = 14422,
  [14434] = 14423,
  [14435] = 14425,
  [14436] = 14426,
  [14437] = 14437,
  [14438] = 14427,
  [14439] = 14430,
  [14440] = 14431,
  [14441] = 14421,
  [14442] = 14422,
  [14443] = 14369,
  [14444] = 14423,
  [14445] = 14421,
  [14446] = 14425,
  [14447] = 14426,
  [14448] = 14448,
  [14449] = 14430,
  [14450] = 14431,
  [14451] = 14421,
  [14452] = 14422,
  [14453] = 14423,
  [14454] = 14425,
  [14455] = 14426,
  [14456] = 14243,
  [14457] = 14430,
  [14458] = 14431,
  [14459] = 14421,
  [14460] = 14422,
  [14461] = 14461,
  [14462] = 14462,
  [14463] = 14423,
  [14464] = 14425,
  [14465] = 14426,
  [14466] = 14422,
  [14467] = 14467,
  [14468] = 14430,
  [14469] = 14431,
  [14470] = 14421,
  [14471] = 14422,
  [14472] = 14366,
  [14473] = 14473,
  [14474] = 14423,
  [14475] = 14425,
  [14476] = 14426,
  [14477] = 14430,
  [14478] = 14431,
  [14479] = 14421,
  [14480] = 14480,
  [14481] = 14481,
  [14482] = 14422,
  [14483] = 14423,
  [14484] = 14484,
  [14485] = 14423,
  [14486] = 14486,
  [14487] = 14425,
  [14488] = 14426,
  [14489] = 14430,
  [14490] = 14431,
  [14491] = 14421,
  [14492] = 14422,
  [14493] = 14423,
  [14494] = 14494,
  [14495] = 14425,
  [14496] = 14426,
  [14497] = 14265,
  [14498] = 14425,
  [14499] = 14426,
  [14500] = 14430,
  [14501] = 14431,
  [14502] = 14421,
  [14503] = 14422,
  [14504] = 14504,
  [14505] = 14423,
  [14506] = 14506,
  [14507] = 14425,
  [14508] = 14426,
  [14509] = 14509,
  [14510] = 13391,
  [14511] = 13473,
  [14512] = 14512,
  [14513] = 14430,
  [14514] = 14431,
  [14515] = 14334,
  [14516] = 14421,
  [14517] = 14422,
  [14518] = 14423,
  [14519] = 14519,
  [14520] = 14425,
  [14521] = 14427,
  [14522] = 14430,
  [14523] = 14523,
  [14524] = 14431,
  [14525] = 14525,
  [14526] = 14421,
  [14527] = 14426,
  [14528] = 14528,
  [14529] = 14422,
  [14530] = 5083,
  [14531] = 14423,
  [14532] = 14532,
  [14533] = 14533,
  [14534] = 14425,
  [14535] = 14426,
  [14536] = 14430,
  [14537] = 14431,
  [14538] = 14421,
  [14539] = 14422,
  [14540] = 14423,
  [14541] = 13753,
  [14542] = 14425,
  [14543] = 14426,
  [14544] = 14430,
  [14545] = 14431,
  [14546] = 14421,
  [14547] = 14422,
  [14548] = 14548,
  [14549] = 14423,
  [14550] = 14287,
  [14551] = 14425,
  [14552] = 14426,
  [14553] = 14431,
  [14554] = 14421,
  [14555] = 14422,
  [14556] = 14430,
  [14557] = 14557,
  [14558] = 14558,
  [14559] = 13569,
  [14560] = 14425,
  [14561] = 14426,
  [14562] = 14562,
  [14563] = 14430,
  [14564] = 14431,
  [14565] = 14421,
  [14566] = 14422,
  [14567] = 14567,
  [14568] = 14423,
  [14569] = 14569,
  [14570] = 14423,
  [14571] = 14571,
  [14572] = 14425,
  [14573] = 14426,
  [14574] = 14574,
  [14575] = 14430,
  [14576] = 14431,
  [14577] = 14421,
  [14578] = 14422,
  [14579] = 14431,
  [14580] = 14580,
  [14581] = 14423,
  [14582] = 14425,
  [14583] = 14426,
  [14584] = 14318,
  [14585] = 14585,
  [14586] = 14586,
  [14587] = 14429,
  [14588] = 14588,
  [14589] = 14430,
  [14590] = 14590,
  [14591] = 14421,
  [14592] = 14422,
  [14593] = 13341,
  [14594] = 14423,
  [14595] = 14425,
  [14596] = 14426,
  [14597] = 14597,
  [14598] = 14431,
  [14599] = 14430,
  [14600] = 14600,
  [14601] = 14430,
  [14602] = 14602,
  [14603] = 14421,
  [14604] = 14423,
  [14605] = 14605,
  [14606] = 14606,
  [14607] = 14607,
  [14608] = 14608,
  [14609] = 14430,
  [14610] = 14421,
  [14611] = 14611,
  [14612] = 14612,
  [14613] = 14613,
  [14614] = 14614,
  [14615] = 14430,
  [14616] = 14421,
  [14617] = 14423,
  [14618] = 14369,
  [14619] = 14423,
  [14620] = 14282,
  [14621] = 14430,
  [14622] = 14421,
  [14623] = 14461,
  [14624] = 14263,
  [14625] = 14218,
  [14626] = 14423,
  [14627] = 13842,
  [14628] = 14461,
  [14629] = 14237,
  [14630] = 14430,
  [14631] = 14421,
  [14632] = 14461,
  [14633] = 14219,
  [14634] = 14423,
  [14635] = 14212,
  [14636] = 14366,
  [14637] = 14473,
  [14638] = 14461,
  [14639] = 14208,
  [14640] = 14207,
  [14641] = 14203,
  [14642] = 14202,
  [14643] = 14430,
  [14644] = 14421,
  [14645] = 14461,
  [14646] = 14183,
  [14647] = 14247,
  [14648] = 14423,
  [14649] = 14461,
  [14650] = 14182,
  [14651] = 14430,
  [14652] = 14291,
  [14653] = 14214,
  [14654] = 14421,
  [14655] = 14186,
  [14656] = 14461,
  [14657] = 14191,
  [14658] = 14423,
  [14659] = 14196,
  [14660] = 14210,
  [14661] = 14264,
  [14662] = 14461,
  [14663] = 14430,
  [14664] = 14461,
  [14665] = 14235,
  [14666] = 14509,
  [14667] = 14248,
  [14668] = 14250,
  [14669] = 14512,
  [14670] = 14334,
  [14671] = 14461,
  [14672] = 14260,
  [14673] = 14261,
  [14674] = 14327,
  [14675] = 14430,
  [14676] = 14299,
  [14677] = 14461,
  [14678] = 14305,
  [14679] = 14317,
  [14680] = 14319,
  [14681] = 14461,
  [14682] = 14329,
  [14683] = 14461,
  [14684] = 14333,
  [14685] = 14337,
  [14686] = 14339,
  [14687] = 14342,
  [14688] = 14062,
  [14689] = 14461,
  [14690] = 14359,
  [14691] = 14375,
  [14692] = 14376,
  [14693] = 14386,
  [14694] = 14380,
  [14695] = 14397,
  [14696] = 14401,
  [14697] = 14461,
  [14698] = 14557,
  [14699] = 14409,
  [14700] = 14412,
  [14701] = 14414,
  [14702] = 14362,
  [14703] = 14166,
  [14704] = 14461,
  [14705] = 14431,
  [14706] = 14346,
  [14707] = 14343,
  [14708] = 14325,
  [14709] = 14323,
  [14710] = 14320,
  [14711] = 14309,
  [14712] = 14300,
  [14713] = 14297,
  [14714] = 14187,
  [14715] = 14276,
  [14716] = 14272,
  [14717] = 14257,
  [14718] = 14588,
  [14719] = 14590,
  [14720] = 14461,
  [14721] = 14229,
  [14722] = 14227,
  [14723] = 14225,
  [14724] = 14176,
  [14725] = 14223,
  [14726] = 14222,
  [14727] = 14188,
  [14728] = 14607,
  [14729] = 14173,
  [14730] = 14192,
  [14731] = 14193,
  [14732] = 14732,
  [14733] = 14733,
  [14734] = 14733,
  [14735] = 14735,
  [14736] = 14736,
  [14737] = 14737,
  [14738] = 14735,
  [14739] = 14739,
  [14740] = 14740,
  [14741] = 14741,
  [14742] = 14742,
  [14743] = 14742,
  [14744] = 14739,
  [14745] = 14745,
  [14746] = 14732,
  [14747] = 14747,
  [14748] = 14739,
  [14749] = 14749,
  [14750] = 14742,
  [14751] = 14742,
  [14752] = 14733,
  [14753] = 14733,
  [14754] = 14754,
  [14755] = 14735,
  [14756] = 14756,
  [14757] = 14735,
  [14758] = 14754,
  [14759] = 14759,
  [14760] = 14760,
  [14761] = 14742,
  [14762] = 14733,
  [14763] = 14739,
  [14764] = 14764,
  [14765] = 14765,
  [14766] = 14733,
  [14767] = 14767,
  [14768] = 14745,
  [14769] = 14747,
  [14770] = 14739,
  [14771] = 14756,
  [14772] = 14733,
  [14773] = 14773,
  [14774] = 14774,
  [14775] = 14735,
  [14776] = 14776,
  [14777] = 14777,
  [14778] = 14778,
  [14779] = 14742,
  [14780] = 14739,
  [14781] = 14739,
  [14782] = 14782,
  [14783] = 14732,
  [14784] = 14735,
  [14785] = 14742,
  [14786] = 14735,
  [14787] = 14787,
  [14788] = 14735,
  [14789] = 14742,
  [14790] = 14733,
  [14791] = 14736,
  [14792] = 14737,
  [14793] = 14735,
  [14794] = 14794,
  [14795] = 14795,
  [14796] = 14733,
  [14797] = 14742,
  [14798] = 14798,
  [14799] = 14739,
  [14800] = 14800,
  [14801] = 14801,
  [14802] = 14735,
  [14803] = 14732,
  [14804] = 14798,
  [14805] = 14739,
  [14806] = 14801,
  [14807] = 14798,
  [14808] = 14733,
  [14809] = 14742,
  [14810] = 14810,
  [14811] = 14735,
  [14812] = 14801,
  [14813] = 14813,
  [14814] = 14798,
  [14815] = 14742,
  [14816] = 14739,
  [14817] = 14739,
  [14818] = 14818,
  [14819] = 14801,
  [14820] = 14798,
  [14821] = 14742,
  [14822] = 14822,
  [14823] = 14801,
  [14824] = 14735,
  [14825] = 14825,
  [14826] = 14733,
  [14827] = 14798,
  [14828] = 14742,
  [14829] = 14735,
  [14830] = 14801,
  [14831] = 14739,
  [14832] = 14733,
  [14833] = 14742,
  [14834] = 14798,
  [14835] = 14739,
  [14836] = 14836,
  [14837] = 14801,
  [14838] = 14756,
  [14839] = 14754,
  [14840] = 14798,
  [14841] = 14774,
  [14842] = 14842,
  [14843] = 14801,
  [14844] = 14733,
  [14845] = 14798,
  [14846] = 14801,
  [14847] = 14735,
  [14848] = 14739,
  [14849] = 14798,
  [14850] = 14739,
  [14851] = 14742,
  [14852] = 14801,
  [14853] = 14739,
  [14854] = 14774,
  [14855] = 14798,
  [14856] = 14742,
  [14857] = 14857,
  [14858] = 14801,
  [14859] = 14735,
  [14860] = 14860,
  [14861] = 14798,
  [14862] = 14733,
  [14863] = 14863,
  [14864] = 14733,
  [14865] = 14735,
  [14866] = 14801,
  [14867] = 14867,
  [14868] = 14739,
  [14869] = 14742,
  [14870] = 14745,
  [14871] = 14739,
  [14872] = 14798,
  [14873] = 14873,
  [14874] = 14874,
  [14875] = 14801,
  [14876] = 14733,
  [14877] = 14877,
  [14878] = 14798,
  [14879] = 14801,
  [14880] = 14733,
  [14881] = 14745,
  [14882] = 14739,
  [14883] = 14735,
  [14884] = 14798,
  [14885] = 14747,
  [14886] = 14801,
  [14887] = 14742,
  [14888] = 14742,
  [14889] = 14739,
  [14890] = 14890,
  [14891] = 14891,
  [14892] = 14798,
  [14893] = 14893,
  [14894] = 14735,
  [14895] = 14801,
  [14896] = 14896,
  [14897] = 14798,
  [14898] = 14733,
  [14899] = 14733,
  [14900] = 14801,
  [14901] = 14735,
  [14902] = 14902,
  [14903] = 14742,
  [14904] = 14733,
  [14905] = 14742,
  [14906] = 14737,
  [14907] = 14739,
  [14908] = 14798,
  [14909] = 14801,
  [14910] = 14910,
  [14911] = 14773,
  [14912] = 14912,
  [14913] = 14798,
  [14914] = 14733,
  [14915] = 14801,
  [14916] = 14733,
  [14917] = 14739,
  [14918] = 14918,
  [14919] = 14735,
  [14920] = 14798,
  [14921] = 14801,
  [14922] = 14798,
  [14923] = 14742,
  [14924] = 14924,
  [14925] = 14739,
  [14926] = 14801,
  [14927] = 14927,
  [14928] = 14798,
  [14929] = 14735,
  [14930] = 14749,
  [14931] = 14801,
  [14932] = 14733,
  [14933] = 14736,
  [14934] = 14733,
  [14935] = 14798,
  [14936] = 14739,
  [14937] = 14735,
  [14938] = 14735,
  [14939] = 14801,
  [14940] = 14735,
  [14941] = 14742,
  [14942] = 14942,
  [14943] = 14739,
  [14944] = 14742,
  [14945] = 14798,
  [14946] = 14946,
  [14947] = 14801,
  [14948] = 14733,
  [14949] = 14732,
  [14950] = 14739,
  [14951] = 14798,
  [14952] = 14733,
  [14953] = 14736,
  [14954] = 14742,
  [14955] = 14735,
  [14956] = 14801,
  [14957] = 14737,
  [14958] = 14742,
  [14959] = 14742,
  [14960] = 14798,
  [14961] = 14739,
  [14962] = 14773,
  [14963] = 14801,
  [14964] = 14735,
  [14965] = 14735,
  [14966] = 14798,
  [14967] = 14733,
  [14968] = 14756,
  [14969] = 14801,
  [14970] = 14733,
  [14971] = 14971,
  [14972] = 14742,
  [14973] = 14735,
  [14974] = 14754,
  [14975] = 14798,
  [14976] = 14764,
  [14977] = 14742,
  [14978] = 14927,
  [14979] = 14739,
  [14980] = 14801,
  [14981] = 14765,
  [14982] = 14733,
  [14983] = 14798,
  [14984] = 14747,
  [14985] = 14739,
  [14986] = 14801,
  [14987] = 14798,
  [14988] = 14733,
  [14989] = 14742,
  [14990] = 14801,
  [14991] = 14735,
  [14992] = 14798,
  [14993] = 14773,
  [14994] = 14801,
  [14995] = 14742,
  [14996] = 14735,
  [14997] = 14739,
  [14998] = 14798,
  [14999] = 14801,
  [15000] = 15000,
  [15001] = 14798,
  [15002] = 14733,
  [15003] = 14739,
  [15004] = 14745,
  [15005] = 14801,
  [15006] = 14733,
  [15007] = 14735,
  [15008] = 14776,
  [15009] = 14735,
  [15010] = 14777,
  [15011] = 14798,
  [15012] = 14747,
  [15013] = 14742,
  [15014] = 14778,
  [15015] = 14739,
  [15016] = 14801,
  [15017] = 14782,
  [15018] = 14798,
  [15019] = 14735,
  [15020] = 14739,
  [15021] = 14801,
  [15022] = 14742,
  [15023] = 14745,
  [15024] = 14733,
  [15025] = 14798,
  [15026] = 14801,
  [15027] = 14735,
  [15028] = 14742,
  [15029] = 14736,
  [15030] = 14735,
  [15031] = 14742,
  [15032] = 14798,
  [15033] = 14739,
  [15034] = 14737,
  [15035] = 14801,
  [15036] = 15036,
  [15037] = 14733,
  [15038] = 14795,
  [15039] = 14924,
  [15040] = 14798,
  [15041] = 14801,
  [15042] = 14733,
  [15043] = 14733,
  [15044] = 14810,
  [15045] = 14735,
  [15046] = 14798,
  [15047] = 14813,
  [15048] = 14754,
  [15049] = 14742,
  [15050] = 14801,
  [15051] = 14739,
  [15052] = 14818,
  [15053] = 14739,
  [15054] = 14798,
  [15055] = 14822,
  [15056] = 14739,
  [15057] = 14756,
  [15058] = 14801,
  [15059] = 14825,
  [15060] = 14733,
  [15061] = 14742,
  [15062] = 14798,
  [15063] = 14735,
  [15064] = 14742,
  [15065] = 14801,
  [15066] = 14774,
  [15067] = 14742,
  [15068] = 14735,
  [15069] = 14739,
  [15070] = 14732,
  [15071] = 14798,
  [15072] = 14842,
  [15073] = 14801,
  [15074] = 14733,
  [15075] = 14798,
  [15076] = 14739,
  [15077] = 14739,
  [15078] = 14733,
  [15079] = 15079,
  [15080] = 14801,
  [15081] = 14735,
  [15082] = 14774,
  [15083] = 14798,
  [15084] = 15084,
  [15085] = 14742,
  [15086] = 14867,
  [15087] = 14739,
  [15088] = 14801,
  [15089] = 14873,
  [15090] = 14735,
  [15091] = 14798,
  [15092] = 14801,
  [15093] = 14739,
  [15094] = 14732,
  [15095] = 14890,
  [15096] = 14733,
  [15097] = 14742,
  [15098] = 14798,
  [15099] = 14735,
  [15100] = 14891,
  [15101] = 14801,
  [15102] = 14893,
  [15103] = 14742,
  [15104] = 14735,
  [15105] = 14739,
  [15106] = 14733,
  [15107] = 14798,
  [15108] = 14896,
  [15109] = 14801,
  [15110] = 14733,
  [15111] = 14912,
  [15112] = 14774,
  [15113] = 14798,
  [15114] = 14733,
  [15115] = 14756,
  [15116] = 14801,
  [15117] = 14735,
  [15118] = 14739,
  [15119] = 14798,
  [15120] = 14754,
  [15121] = 14742,
  [15122] = 14924,
  [15123] = 14739,
  [15124] = 14801,
  [15125] = 14749,
  [15126] = 14798,
  [15127] = 14733,
  [15128] = 14739,
  [15129] = 14801,
  [15130] = 14742,
  [15131] = 14798,
  [15132] = 14733,
  [15133] = 14801,
  [15134] = 14733,
  [15135] = 14735,
  [15136] = 14798,
  [15137] = 14801,
  [15138] = 14735,
  [15139] = 14742,
  [15140] = 15140,
  [15141] = 14739,
  [15142] = 14745,
  [15143] = 14739,
  [15144] = 14798,
  [15145] = 14747,
  [15146] = 14733,
  [15147] = 14801,
  [15148] = 14739,
  [15149] = 14735,
  [15150] = 14733,
  [15151] = 15151,
  [15152] = 14735,
  [15153] = 14756,
  [15154] = 14798,
  [15155] = 14754,
  [15156] = 14742,
  [15157] = 14737,
  [15158] = 14739,
  [15159] = 14801,
  [15160] = 14764,
  [15161] = 14798,
  [15162] = 14733,
  [15163] = 14801,
  [15164] = 14739,
  [15165] = 14747,
  [15166] = 14798,
  [15167] = 14733,
  [15168] = 14735,
  [15169] = 14735,
  [15170] = 14801,
  [15171] = 14742,
  [15172] = 14742,
  [15173] = 14745,
  [15174] = 14739,
  [15175] = 14733,
  [15176] = 14798,
  [15177] = 14801,
  [15178] = 14735,
  [15179] = 14773,
  [15180] = 14798,
  [15181] = 14801,
  [15182] = 14735,
  [15183] = 14736,
  [15184] = 14798,
  [15185] = 14735,
  [15186] = 14739,
  [15187] = 14801,
  [15188] = 14736,
  [15189] = 14733,
  [15190] = 14798,
  [15191] = 15191,
  [15192] = 14737,
  [15193] = 14735,
  [15194] = 14801,
  [15195] = 14795,
  [15196] = 15196,
  [15197] = 14739,
  [15198] = 14810,
  [15199] = 14798,
  [15200] = 14742,
  [15201] = 14773,
  [15202] = 14801,
  [15203] = 14787,
  [15204] = 14735,
  [15205] = 14798,
  [15206] = 14801,
  [15207] = 14733,
  [15208] = 14739,
  [15209] = 14739,
  [15210] = 14774,
  [15211] = 14798,
  [15212] = 14739,
  [15213] = 14867,
  [15214] = 14801,
  [15215] = 14735,
  [15216] = 14873,
  [15217] = 14798,
  [15218] = 14742,
  [15219] = 14739,
  [15220] = 14912,
  [15221] = 14801,
  [15222] = 15222,
  [15223] = 14732,
  [15224] = 14735,
  [15225] = 14924,
  [15226] = 14735,
  [15227] = 14749,
  [15228] = 14742,
  [15229] = 14739,
  [15230] = 14739,
  [15231] = 14732,
  [15232] = 14798,
  [15233] = 14745,
  [15234] = 14801,
  [15235] = 14733,
  [15236] = 14742,
  [15237] = 14735,
  [15238] = 15079,
  [15239] = 14735,
  [15240] = 5077,
  [15241] = 14739,
  [15242] = 14735,
  [15243] = 14756,
  [15244] = 14742,
  [15245] = 14735,
  [15246] = 14735,
  [15247] = 14754,
  [15248] = 14764,
  [15249] = 14739,
  [15250] = 14733,
  [15251] = 14742,
  [15252] = 14747,
  [15253] = 14735,
  [15254] = 14732,
  [15255] = 14773,
  [15256] = 14739,
  [15257] = 14736,
  [15258] = 14739,
  [15259] = 14739,
  [15260] = 14735,
  [15261] = 14735,
  [15262] = 14742,
  [15263] = 14739,
  [15264] = 14736,
  [15265] = 14742,
  [15266] = 14737,
  [15267] = 14735,
  [15268] = 14810,
  [15269] = 14742,
  [15270] = 14739,
  [15271] = 14737,
  [15272] = 14735,
  [15273] = 14735,
  [15274] = 14739,
  [15275] = 14739,
  [15276] = 14774,
  [15277] = 14735,
  [15278] = 14742,
  [15279] = 14739,
  [15280] = 14733,
  [15281] = 14735,
  [15282] = 14739,
  [15283] = 14739,
  [15284] = 14742,
  [15285] = 14735,
  [15286] = 14773,
  [15287] = 14739,
  [15288] = 15288,
  [15289] = 14735,
  [15290] = 14740,
  [15291] = 14739,
  [15292] = 14732,
  [15293] = 14735,
  [15294] = 14732,
  [15295] = 14739,
  [15296] = 14733,
  [15297] = 14735,
  [15298] = 14739,
  [15299] = 14739,
  [15300] = 15300,
  [15301] = 14735,
  [15302] = 14774,
  [15303] = 14739,
  [15304] = 14745,
  [15305] = 14735,
  [15306] = 14739,
  [15307] = 14739,
  [15308] = 14756,
  [15309] = 14735,
  [15310] = 14742,
  [15311] = 14739,
  [15312] = 14754,
  [15313] = 14735,
  [15314] = 14764,
  [15315] = 14739,
  [15316] = 14735,
  [15317] = 14735,
  [15318] = 14733,
  [15319] = 14739,
  [15320] = 14747,
  [15321] = 14735,
  [15322] = 14747,
  [15323] = 14739,
  [15324] = 14735,
  [15325] = 14735,
  [15326] = 14946,
  [15327] = 14739,
  [15328] = 14733,
  [15329] = 14735,
  [15330] = 14733,
  [15331] = 14739,
  [15332] = 14733,
  [15333] = 14745,
  [15334] = 14918,
  [15335] = 14773,
  [15336] = 14754,
  [15337] = 14756,
  [15338] = 13704,
  [15339] = 14735,
  [15340] = 14787,
  [15341] = 14736,
  [15342] = 14739,
  [15343] = 14737,
  [15344] = 15079,
  [15345] = 14739,
  [15346] = 14810,
  [15347] = 14742,
  [15348] = 14742,
  [15349] = 14742,
  [15350] = 14732,
  [15351] = 14756,
  [15352] = 14754,
  [15353] = 15079,
  [15354] = 14130,
  [15355] = 14735,
  [15356] = 14739,
  [15357] = 14732,
  [15358] = 15358,
  [15359] = 14759,
  [15360] = 14733,
  [15361] = 14774,
  [15362] = 15362,
  [15363] = 14735,
  [15364] = 14756,
  [15365] = 14739,
  [15366] = 14754,
  [15367] = 14742,
  [15368] = 14742,
  [15369] = 14760,
  [15370] = 14732,
  [15371] = 14733,
  [15372] = 14739,
  [15373] = 14747,
  [15374] = 15374,
  [15375] = 14735,
  [15376] = 14742,
  [15377] = 15079,
  [15378] = 14756,
  [15379] = 14754,
  [15380] = 14735,
  [15381] = 14733,
  [15382] = 15382,
  [15383] = 14747,
  [15384] = 14733,
  [15385] = 14747,
  [15386] = 15386,
  [15387] = 14735,
  [15388] = 14742,
  [15389] = 14773,
  [15390] = 15390,
  [15391] = 14774,
  [15392] = 14742,
  [15393] = 14735,
  [15394] = 14739,
  [15395] = 15362,
  [15396] = 14773,
  [15397] = 14736,
  [15398] = 14742,
  [15399] = 15374,
  [15400] = 14787,
  [15401] = 14737,
  [15402] = 14742,
  [15403] = 14739,
  [15404] = 15404,
  [15405] = 14735,
  [15406] = 14764,
  [15407] = 14745,
  [15408] = 14735,
  [15409] = 14742,
  [15410] = 14739,
  [15411] = 14774,
  [15412] = 15390,
  [15413] = 14801,
  [15414] = 14765,
  [15415] = 14733,
  [15416] = 14733,
  [15417] = 14739,
  [15418] = 15418,
  [15419] = 14735,
  [15420] = 14747,
  [15421] = 14912,
  [15422] = 14798,
  [15423] = 14745,
  [15424] = 14910,
  [15425] = 14735,
  [15426] = 14732,
  [15427] = 14733,
  [15428] = 14787,
  [15429] = 14733,
  [15430] = 14756,
  [15431] = 14739,
  [15432] = 14754,
  [15433] = 14742,
  [15434] = 14735,
  [15435] = 14733,
  [15436] = 14735,
  [15437] = 14942,
  [15438] = 14737,
  [15439] = 14747,
  [15440] = 14773,
  [15441] = 14773,
  [15442] = 14736,
  [15443] = 15079,
  [15444] = 14742,
  [15445] = 14733,
  [15446] = 14733,
  [15447] = 14733,
  [15448] = 14733,
  [15449] = 14735,
  [15450] = 14739,
  [15451] = 14735,
  [15452] = 14736,
  [15453] = 14735,
  [15454] = 14733,
  [15455] = 14747,
  [15456] = 14736,
  [15457] = 14739,
  [15458] = 14739,
  [15459] = 14747,
  [15460] = 14747,
  [15461] = 14747,
  [15462] = 14747,
  [15463] = 14747,
  [15464] = 14747,
  [15465] = 14747,
  [15466] = 14747,
  [15467] = 14747,
  [15468] = 14747,
  [15469] = 14747,
  [15470] = 14747,
  [15471] = 14747,
  [15472] = 14747,
  [15473] = 14747,
  [15474] = 14747,
  [15475] = 14747,
  [15476] = 14737,
  [15477] = 14742,
  [15478] = 14739,
  [15479] = 14774,
  [15480] = 14735,
  [15481] = 14739,
  [15482] = 14739,
  [15483] = 14742,
  [15484] = 14732,
  [15485] = 14733,
  [15486] = 14737,
  [15487] = 14756,
  [15488] = 14735,
  [15489] = 14754,
  [15490] = 14052,
  [15491] = 14733,
  [15492] = 14747,
  [15493] = 14733,
  [15494] = 14773,
  [15495] = 14902,
  [15496] = 14739,
  [15497] = 14774,
  [15498] = 15498,
  [15499] = 14773,
  [15500] = 15500,
  [15501] = 14742,
  [15502] = 14773,
  [15503] = 14739,
  [15504] = 14733,
  [15505] = 14742,
  [15506] = 14747,
  [15507] = 14776,
  [15508] = 15079,
  [15509] = 14742,
  [15510] = 14735,
  [15511] = 14777,
  [15512] = 14735,
  [15513] = 14778,
  [15514] = 14782,
  [15515] = 14735,
  [15516] = 14733,
  [15517] = 14739,
  [15518] = 14745,
  [15519] = 14733,
  [15520] = 14736,
  [15521] = 14754,
  [15522] = 14737,
  [15523] = 14742,
  [15524] = 14787,
  [15525] = 14896,
  [15526] = 14739,
  [15527] = 14735,
  [15528] = 14787,
  [15529] = 14733,
  [15530] = 14739,
  [15531] = 14742,
  [15532] = 14801,
  [15533] = 14774,
  [15534] = 14756,
  [15535] = 14787,
  [15536] = 14742,
  [15537] = 14798,
  [15538] = 14745,
  [15539] = 14739,
  [15540] = 15540,
  [15541] = 14756,
  [15542] = 14754,
  [15543] = 14735,
  [15544] = 14736,
  [15545] = 15545,
  [15546] = 14737,
  [15547] = 14747,
  [15548] = 14747,
  [15549] = 14747,
  [15550] = 14747,
  [15551] = 14747,
  [15552] = 14747,
  [15553] = 14747,
  [15554] = 14747,
  [15555] = 14733,
  [15556] = 14733,
  [15557] = 14732,
  [15558] = 14742,
  [15559] = 14735,
  [15560] = 15079,
  [15561] = 14732,
  [15562] = 14742,
  [15563] = 14742,
  [15564] = 13753,
  [15565] = 15565,
  [15566] = 14773,
  [15567] = 14742,
  [15568] = 14795,
  [15569] = 14739,
  [15570] = 14756,
  [15571] = 14742,
  [15572] = 14735,
  [15573] = 14747,
  [15574] = 15079,
  [15575] = 14754,
  [15576] = 14735,
  [15577] = 14737,
  [15578] = 14742,
  [15579] = 14735,
  [15580] = 14733,
  [15581] = 15581,
  [15582] = 14733,
  [15583] = 14787,
  [15584] = 14739,
  [15585] = 14733,
  [15586] = 14774,
  [15587] = 14800,
  [15588] = 14742,
  [15589] = 14801,
  [15590] = 14747,
  [15591] = 14735,
  [15592] = 14742,
  [15593] = 14798,
  [15594] = 14745,
  [15595] = 14733,
  [15596] = 14739,
  [15597] = 14739,
  [15598] = 14732,
  [15599] = 14774,
  [15600] = 14739,
  [15601] = 14739,
  [15602] = 14747,
  [15603] = 14747,
  [15604] = 14747,
  [15605] = 14747,
  [15606] = 14747,
  [15607] = 14747,
  [15608] = 14747,
  [15609] = 14747,
  [15610] = 14756,
  [15611] = 14742,
  [15612] = 14754,
  [15613] = 14733,
  [15614] = 14735,
  [15615] = 14747,
  [15616] = 14733,
  [15617] = 14739,
  [15618] = 14801,
  [15619] = 14742,
  [15620] = 14733,
  [15621] = 14737,
  [15622] = 14736,
  [15623] = 14773,
  [15624] = 15624,
  [15625] = 14735,
  [15626] = 14735,
  [15627] = 14733,
  [15628] = 14745,
  [15629] = 15079,
  [15630] = 14739,
  [15631] = 14735,
  [15632] = 14773,
  [15633] = 14810,
  [15634] = 14773,
  [15635] = 14736,
  [15636] = 14745,
  [15637] = 14739,
  [15638] = 14787,
  [15639] = 14813,
  [15640] = 14742,
  [15641] = 15641,
  [15642] = 14736,
  [15643] = 14737,
  [15644] = 15644,
  [15645] = 14745,
  [15646] = 14818,
  [15647] = 14739,
  [15648] = 14822,
  [15649] = 14735,
  [15650] = 14742,
  [15651] = 14747,
  [15652] = 14747,
  [15653] = 14747,
  [15654] = 14825,
  [15655] = 14787,
  [15656] = 14742,
  [15657] = 14747,
  [15658] = 15658,
  [15659] = 14733,
  [15660] = 14739,
  [15661] = 14774,
  [15662] = 14742,
  [15663] = 14735,
  [15664] = 14739,
  [15665] = 14733,
  [15666] = 14742,
  [15667] = 15667,
  [15668] = 14742,
  [15669] = 15079,
  [15670] = 15079,
  [15671] = 14893,
  [15672] = 14732,
  [15673] = 14735,
  [15674] = 14735,
  [15675] = 14787,
  [15676] = 14068,
  [15677] = 14891,
  [15678] = 14747,
  [15679] = 14739,
  [15680] = 14736,
  [15681] = 14756,
  [15682] = 14745,
  [15683] = 14754,
  [15684] = 14733,
  [15685] = 14836,
  [15686] = 14742,
  [15687] = 14747,
  [15688] = 14747,
  [15689] = 14737,
  [15690] = 14736,
  [15691] = 14733,
  [15692] = 14773,
  [15693] = 14742,
  [15694] = 14735,
  [15695] = 14842,
  [15696] = 14737,
  [15697] = 14739,
  [15698] = 14735,
  [15699] = 14736,
  [15700] = 14747,
  [15701] = 14733,
  [15702] = 14737,
  [15703] = 14756,
  [15704] = 15079,
  [15705] = 14754,
  [15706] = 14742,
  [15707] = 14733,
  [15708] = 14742,
  [15709] = 14787,
  [15710] = 14739,
  [15711] = 15711,
  [15712] = 14739,
  [15713] = 14774,
  [15714] = 14754,
  [15715] = 14732,
  [15716] = 14745,
  [15717] = 14890,
  [15718] = 14774,
  [15719] = 14739,
  [15720] = 14756,
  [15721] = 14739,
  [15722] = 14747,
  [15723] = 14754,
  [15724] = 14733,
  [15725] = 14747,
  [15726] = 14773,
  [15727] = 14742,
  [15728] = 14735,
  [15729] = 14756,
  [15730] = 14735,
  [15731] = 14737,
  [15732] = 14736,
  [15733] = 14733,
  [15734] = 14735,
  [15735] = 14733,
  [15736] = 14736,
  [15737] = 14733,
  [15738] = 15079,
  [15739] = 14737,
  [15740] = 14742,
  [15741] = 14735,
  [15742] = 14739,
  [15743] = 14787,
  [15744] = 14774,
  [15745] = 14747,
  [15746] = 15746,
  [15747] = 14733,
  [15748] = 15748,
  [15749] = 15749,
  [15750] = 14745,
  [15751] = 14745,
  [15752] = 14739,
  [15753] = 15753,
  [15754] = 14754,
  [15755] = 14756,
  [15756] = 14733,
  [15757] = 14735,
  [15758] = 14733,
  [15759] = 15759,
  [15760] = 15760,
  [15761] = 14787,
  [15762] = 14735,
  [15763] = 14735,
  [15764] = 14774,
  [15765] = 14732,
  [15766] = 14732,
  [15767] = 14739,
  [15768] = 15079,
  [15769] = 14733,
  [15770] = 14742,
  [15771] = 15079,
  [15772] = 15772,
  [15773] = 14735,
  [15774] = 14739,
  [15775] = 14756,
  [15776] = 14787,
  [15777] = 14754,
  [15778] = 14733,
  [15779] = 14733,
  [15780] = 14747,
  [15781] = 14739,
  [15782] = 14773,
  [15783] = 14745,
  [15784] = 14739,
  [15785] = 14756,
  [15786] = 15786,
  [15787] = 14754,
  [15788] = 14742,
  [15789] = 14742,
  [15790] = 14737,
  [15791] = 14735,
  [15792] = 14736,
  [15793] = 14736,
  [15794] = 15794,
  [15795] = 14735,
  [15796] = 14737,
  [15797] = 14742,
  [15798] = 14774,
  [15799] = 14742,
  [15800] = 14733,
  [15801] = 14747,
  [15802] = 14739,
  [15803] = 15803,
  [15804] = 15079,
  [15805] = 14747,
  [15806] = 14733,
  [15807] = 14798,
  [15808] = 14754,
  [15809] = 14787,
  [15810] = 14756,
  [15811] = 14733,
  [15812] = 15812,
  [15813] = 14742,
  [15814] = 14774,
  [15815] = 14857,
  [15816] = 14745,
  [15817] = 14739,
  [15818] = 14739,
  [15819] = 14735,
  [15820] = 14732,
  [15821] = 14737,
  [15822] = 14736,
  [15823] = 14773,
  [15824] = 14877,
  [15825] = 14863,
  [15826] = 15826,
  [15827] = 14774,
  [15828] = 14756,
  [15829] = 14739,
  [15830] = 14867,
  [15831] = 14735,
  [15832] = 14742,
  [15833] = 14754,
  [15834] = 14737,
  [15835] = 14735,
  [15836] = 14736,
  [15837] = 15079,
  [15838] = 14873,
  [15839] = 14735,
  [15840] = 14735,
  [15841] = 14733,
  [15842] = 14787,
  [15843] = 14747,
  [15844] = 14742,
  [15845] = 15565,
  [15846] = 14773,
  [15847] = 14739,
  [15848] = 14742,
  [15849] = 14745,
  [15850] = 15850,
  [15851] = 15851,
  [15852] = 15852,
  [15853] = 15853,
  [15854] = 15854,
  [15855] = 15851,
  [15856] = 15851,
  [15857] = 5081,
  [15858] = 15854,
  [15859] = 15853,
  [15860] = 15852,
  [15861] = 15861,
  [15862] = 15862,
  [15863] = 15853,
  [15864] = 15864,
  [15865] = 15853,
  [15866] = 15850,
  [15867] = 15852,
  [15868] = 15868,
  [15869] = 15854,
  [15870] = 15870,
  [15871] = 15852,
  [15872] = 15854,
  [15873] = 14100,
  [15874] = 15851,
  [15875] = 15875,
  [15876] = 15851,
  [15877] = 15854,
  [15878] = 15851,
  [15879] = 15852,
  [15880] = 15851,
  [15881] = 15881,
  [15882] = 15882,
  [15883] = 15883,
  [15884] = 15854,
  [15885] = 15885,
  [15886] = 15852,
  [15887] = 15853,
  [15888] = 15850,
  [15889] = 15852,
  [15890] = 15854,
  [15891] = 15851,
  [15892] = 15851,
  [15893] = 15853,
  [15894] = 15894,
  [15895] = 15853,
  [15896] = 15854,
  [15897] = 15852,
  [15898] = 15850,
  [15899] = 5657,
  [15900] = 15852,
  [15901] = 15854,
  [15902] = 15851,
  [15903] = 15851,
  [15904] = 15854,
  [15905] = 15852,
  [15906] = 15906,
  [15907] = 15853,
  [15908] = 15853,
  [15909] = 15909,
  [15910] = 15910,
  [15911] = 15911,
  [15912] = 15851,
  [15913] = 15850,
  [15914] = 15854,
  [15915] = 15852,
  [15916] = 15850,
  [15917] = 15851,
  [15918] = 15918,
  [15919] = 15919,
  [15920] = 5104,
  [15921] = 15853,
  [15922] = 15852,
  [15923] = 15854,
  [15924] = 15851,
  [15925] = 15868,
  [15926] = 15854,
  [15927] = 15852,
  [15928] = 15853,
  [15929] = 15851,
  [15930] = 15850,
  [15931] = 15852,
  [15932] = 15854,
  [15933] = 15854,
  [15934] = 15851,
  [15935] = 15851,
  [15936] = 15936,
  [15937] = 15854,
  [15938] = 15852,
  [15939] = 15854,
  [15940] = 15852,
  [15941] = 15854,
  [15942] = 15942,
  [15943] = 15852,
  [15944] = 15851,
  [15945] = 15853,
  [15946] = 15851,
  [15947] = 15854,
  [15948] = 15852,
  [15949] = 15850,
  [15950] = 15851,
  [15951] = 15850,
  [15952] = 15854,
  [15953] = 15953,
  [15954] = 15852,
  [15955] = 15955,
  [15956] = 15956,
  [15957] = 15957,
  [15958] = 15853,
  [15959] = 15854,
  [15960] = 15850,
  [15961] = 15852,
  [15962] = 15854,
  [15963] = 15853,
  [15964] = 15953,
  [15965] = 15851,
  [15966] = 15851,
  [15967] = 15956,
  [15968] = 15850,
  [15969] = 15852,
  [15970] = 15852,
  [15971] = 5666,
  [15972] = 5669,
  [15973] = 15973,
  [15974] = 15852,
  [15975] = 15854,
  [15976] = 15851,
  [15977] = 15851,
  [15978] = 15854,
  [15979] = 15852,
  [15980] = 15980,
  [15981] = 15981,
  [15982] = 15853,
  [15983] = 15983,
  [15984] = 15955,
  [15985] = 15853,
  [15986] = 5135,
  [15987] = 15850,
  [15988] = 15854,
  [15989] = 15854,
  [15990] = 15851,
  [15991] = 15852,
  [15992] = 15852,
  [15993] = 15851,
  [15994] = 14126,
  [15995] = 15854,
  [15996] = 15851,
  [15997] = 15851,
  [15998] = 15854,
  [15999] = 15852,
  [16000] = 15851,
  [16001] = 15852,
  [16002] = 15853,
  [16003] = 15854,
  [16004] = 15854,
  [16005] = 16005,
  [16006] = 15852,
  [16007] = 16007,
  [16008] = 15850,
  [16009] = 15851,
  [16010] = 16010,
  [16011] = 15851,
  [16012] = 16012,
  [16013] = 16013,
  [16014] = 15854,
  [16015] = 15852,
  [16016] = 15851,
  [16017] = 5047,
  [16018] = 15852,
  [16019] = 15854,
  [16020] = 16020,
  [16021] = 15852,
  [16022] = 15851,
  [16023] = 15852,
  [16024] = 15854,
  [16025] = 15853,
  [16026] = 15852,
  [16027] = 15850,
  [16028] = 15853,
  [16029] = 15854,
  [16030] = 15850,
  [16031] = 15851,
  [16032] = 15854,
  [16033] = 15852,
  [16034] = 16012,
  [16035] = 16013,
  [16036] = 15852,
  [16037] = 15854,
  [16038] = 5165,
  [16039] = 16039,
  [16040] = 15853,
  [16041] = 15851,
  [16042] = 16042,
  [16043] = 15854,
  [16044] = 16044,
  [16045] = 15851,
  [16046] = 15850,
  [16047] = 16044,
  [16048] = 15851,
  [16049] = 15852,
  [16050] = 16012,
  [16051] = 15852,
  [16052] = 16052,
  [16053] = 15853,
  [16054] = 16013,
  [16055] = 15852,
  [16056] = 15854,
  [16057] = 16057,
  [16058] = 15851,
  [16059] = 15851,
  [16060] = 15854,
  [16061] = 15852,
  [16062] = 15852,
  [16063] = 16012,
  [16064] = 15851,
  [16065] = 15851,
  [16066] = 13780,
  [16067] = 15851,
  [16068] = 15854,
  [16069] = 15852,
  [16070] = 15851,
  [16071] = 15853,
  [16072] = 15854,
  [16073] = 15852,
  [16074] = 15854,
  [16075] = 14191,
  [16076] = 15851,
  [16077] = 15854,
  [16078] = 15852,
  [16079] = 14191,
  [16080] = 15851,
  [16081] = 15854,
  [16082] = 15852,
  [16083] = 15850,
  [16084] = 15851,
  [16085] = 15853,
  [16086] = 15854,
  [16087] = 15852,
  [16088] = 16013,
  [16089] = 15852,
  [16090] = 15854,
  [16091] = 5631,
  [16092] = 15851,
  [16093] = 15851,
  [16094] = 15854,
  [16095] = 8499,
  [16096] = 15852,
  [16097] = 16097,
  [16098] = 8487,
  [16099] = 15851,
  [16100] = 16100,
  [16101] = 15854,
  [16102] = 15852,
  [16103] = 8492,
  [16104] = 8493,
  [16105] = 16105,
  [16106] = 15851,
  [16107] = 15854,
  [16108] = 15853,
  [16109] = 15852,
  [16110] = 8494,
  [16111] = 15851,
  [16112] = 16112,
  [16113] = 15854,
  [16114] = 15852,
  [16115] = 15852,
  [16116] = 15854,
  [16117] = 15853,
  [16118] = 15851,
  [16119] = 15854,
  [16120] = 15854,
  [16121] = 15852,
  [16122] = 15936,
  [16123] = 15851,
  [16124] = 8462,
  [16125] = 8491,
  [16126] = 15854,
  [16127] = 15852,
  [16128] = 15850,
  [16129] = 15973,
  [16130] = 15851,
  [16131] = 15854,
  [16132] = 15853,
  [16133] = 15852,
  [16134] = 16007,
  [16135] = 16012,
  [16136] = 16013,
  [16137] = 15852,
  [16138] = 15854,
  [16139] = 8517,
  [16140] = 15851,
  [16141] = 16105,
  [16142] = 5631,
  [16143] = 8562,
  [16144] = 15851,
  [16145] = 16145,
  [16146] = 8612,
  [16147] = 16147,
  [16148] = 16148,
  [16149] = 16149,
  [16150] = 16150,
  [16151] = 16151,
  [16152] = 16152,
  [16153] = 16153,
  [16154] = 16154,
  [16155] = 16153,
  [16156] = 16147,
  [16157] = 16157,
  [16158] = 16158,
  [16159] = 16159,
  [16160] = 16151,
  [16161] = 16161,
  [16162] = 16162,
  [16163] = 16148,
  [16164] = 16164,
  [16165] = 16165,
  [16166] = 16166,
  [16167] = 16165,
  [16168] = 16148,
  [16169] = 16164,
  [16170] = 16162,
  [16171] = 16158,
  [16172] = 16157,
  [16173] = 16173,
  [16174] = 16174,
  [16175] = 16175,
  [16176] = 16176,
  [16177] = 16154,
  [16178] = 16178,
  [16179] = 16179,
  [16180] = 16149,
  [16181] = 16175,
  [16182] = 16174,
  [16183] = 16183,
  [16184] = 16183,
  [16185] = 16176,
  [16186] = 16178,
  [16187] = 16154,
  [16188] = 16179,
  [16189] = 16175,
  [16190] = 16157,
  [16191] = 16174,
  [16192] = 16158,
  [16193] = 16173,
  [16194] = 16157,
  [16195] = 16165,
  [16196] = 16162,
  [16197] = 16148,
  [16198] = 16148,
  [16199] = 16166,
  [16200] = 16162,
  [16201] = 16158,
  [16202] = 16157,
  [16203] = 16165,
  [16204] = 16164,
  [16205] = 16161,
  [16206] = 16159,
  [16207] = 16154,
  [16208] = 16178,
  [16209] = 16147,
  [16210] = 16162,
  [16211] = 16152,
  [16212] = 16149,
  [16213] = 16151,
  [16214] = 16150,
  [16215] = 16174,
  [16216] = 16150,
  [16217] = 16152,
  [16218] = 16149,
  [16219] = 16153,
  [16220] = 16164,
  [16221] = 16166,
  [16222] = 16147,
  [16223] = 16159,
  [16224] = 16178,
  [16225] = 16165,
  [16226] = 16149,
  [16227] = 16154,
  [16228] = 16148,
  [16229] = 16173,
  [16230] = 16162,
  [16231] = 16158,
  [16232] = 16157,
  [16233] = 16157,
  [16234] = 16161,
  [16235] = 16158,
  [16236] = 16162,
  [16237] = 16154,
  [16238] = 16178,
  [16239] = 16148,
  [16240] = 16166,
  [16241] = 16174,
  [16242] = 16166,
  [16243] = 16165,
  [16244] = 16175,
  [16245] = 16176,
  [16246] = 16179,
  [16247] = 16175,
  [16248] = 16175,
  [16249] = 16183,
  [16250] = 16183,
  [16251] = 16174,
  [16252] = 16149,
  [16253] = 16179,
  [16254] = 16175,
  [16255] = 16165,
  [16256] = 16176,
  [16257] = 16164,
  [16258] = 16148,
  [16259] = 16166,
  [16260] = 16162,
  [16261] = 16158,
  [16262] = 16157,
  [16263] = 16174,
  [16264] = 16178,
  [16265] = 16154,
  [16266] = 16178,
  [16267] = 16173,
  [16268] = 16268,
  [16269] = 16154,
  [16270] = 16166,
  [16271] = 16164,
  [16272] = 16161,
  [16273] = 16164,
  [16274] = 16157,
  [16275] = 16149,
  [16276] = 16158,
  [16277] = 16162,
  [16278] = 16148,
  [16279] = 16159,
  [16280] = 16149,
  [16281] = 16165,
  [16282] = 16165,
  [16283] = 16147,
  [16284] = 16153,
  [16285] = 16148,
  [16286] = 16152,
  [16287] = 16162,
  [16288] = 16158,
  [16289] = 16157,
  [16290] = 16164,
  [16291] = 16151,
  [16292] = 16154,
  [16293] = 16178,
  [16294] = 16150,
  [16295] = 16149,
  [16296] = 16150,
  [16297] = 16151,
  [16298] = 16152,
  [16299] = 16153,
  [16300] = 16164,
  [16301] = 16147,
  [16302] = 16159,
  [16303] = 16173,
  [16304] = 16166,
  [16305] = 16178,
  [16306] = 16158,
  [16307] = 16154,
  [16308] = 16162,
  [16309] = 16148,
  [16310] = 16174,
  [16311] = 16162,
  [16312] = 16158,
  [16313] = 16157,
  [16314] = 16314,
  [16315] = 16175,
  [16316] = 16154,
  [16317] = 16178,
  [16318] = 16157,
  [16319] = 16158,
  [16320] = 16166,
  [16321] = 16166,
  [16322] = 16148,
  [16323] = 16179,
  [16324] = 16174,
  [16325] = 16175,
  [16326] = 16165,
  [16327] = 16174,
  [16328] = 16183,
  [16329] = 16175,
  [16330] = 16176,
  [16331] = 16176,
  [16332] = 16164,
  [16333] = 16148,
  [16334] = 16162,
  [16335] = 16158,
  [16336] = 16157,
  [16337] = 16149,
  [16338] = 16174,
  [16339] = 16154,
  [16340] = 16178,
  [16341] = 16183,
  [16342] = 16147,
  [16343] = 8487,
  [16344] = 16161,
  [16345] = 16178,
  [16346] = 16179,
  [16347] = 16175,
  [16348] = 16175,
  [16349] = 16164,
  [16350] = 16154,
  [16351] = 16159,
  [16352] = 16174,
  [16353] = 16147,
  [16354] = 16173,
  [16355] = 16153,
  [16356] = 16148,
  [16357] = 16162,
  [16358] = 16158,
  [16359] = 16157,
  [16360] = 16157,
  [16361] = 16149,
  [16362] = 16154,
  [16363] = 16178,
  [16364] = 16158,
  [16365] = 16162,
  [16366] = 16148,
  [16367] = 16152,
  [16368] = 16151,
  [16369] = 16164,
  [16370] = 16165,
  [16371] = 16150,
  [16372] = 16166,
  [16373] = 16149,
  [16374] = 16166,
  [16375] = 16149,
  [16376] = 8491,
  [16377] = 16148,
  [16378] = 16162,
  [16379] = 16158,
  [16380] = 16157,
  [16381] = 16166,
  [16382] = 16175,
  [16383] = 16154,
  [16384] = 16178,
  [16385] = 16174,
  [16386] = 16150,
  [16387] = 16164,
  [16388] = 16151,
  [16389] = 16178,
  [16390] = 16154,
  [16391] = 16173,
  [16392] = 16152,
  [16393] = 16393,
  [16394] = 16153,
  [16395] = 16174,
  [16396] = 16147,
  [16397] = 16179,
  [16398] = 16148,
  [16399] = 16162,
  [16400] = 16158,
  [16401] = 16157,
  [16402] = 16159,
  [16403] = 16157,
  [16404] = 16154,
  [16405] = 16178,
  [16406] = 16161,
  [16407] = 16158,
  [16408] = 16162,
  [16409] = 16166,
  [16410] = 16148,
  [16411] = 16166,
  [16412] = 16175,
  [16413] = 16179,
  [16414] = 16149,
  [16415] = 16164,
  [16416] = 16165,
  [16417] = 16149,
  [16418] = 8492,
  [16419] = 16148,
  [16420] = 16162,
  [16421] = 16158,
  [16422] = 16157,
  [16423] = 16176,
  [16424] = 16183,
  [16425] = 16154,
  [16426] = 16178,
  [16427] = 8493,
  [16428] = 16164,
  [16429] = 16183,
  [16430] = 16147,
  [16431] = 16176,
  [16432] = 16166,
  [16433] = 16174,
  [16434] = 16179,
  [16435] = 16175,
  [16436] = 16178,
  [16437] = 16174,
  [16438] = 16154,
  [16439] = 16173,
  [16440] = 16148,
  [16441] = 16162,
  [16442] = 16158,
  [16443] = 16157,
  [16444] = 16161,
  [16445] = 16175,
  [16446] = 16154,
  [16447] = 16178,
  [16448] = 16164,
  [16449] = 16164,
  [16450] = 16159,
  [16451] = 16157,
  [16452] = 16149,
  [16453] = 16453,
  [16454] = 16174,
  [16455] = 16158,
  [16456] = 16162,
  [16457] = 16148,
  [16458] = 16150,
  [16459] = 16175,
  [16460] = 16151,
  [16461] = 16148,
  [16462] = 16162,
  [16463] = 16161,
  [16464] = 16157,
  [16465] = 16465,
  [16466] = 16152,
  [16467] = 16154,
  [16468] = 16178,
  [16469] = 16153,
  [16470] = 16179,
  [16471] = 16174,
  [16472] = 16159,
  [16473] = 16165,
  [16474] = 16166,
  [16475] = 16153,
  [16476] = 16164,
  [16477] = 16152,
  [16478] = 16161,
  [16479] = 16151,
  [16480] = 16150,
  [16481] = 16149,
  [16482] = 16148,
  [16483] = 16162,
  [16484] = 16158,
  [16485] = 16157,
  [16486] = 8494,
  [16487] = 16149,
  [16488] = 16154,
  [16489] = 16178,
  [16490] = 16174,
  [16491] = 16175,
  [16492] = 16166,
  [16493] = 16164,
  [16494] = 16173,
  [16495] = 16174,
  [16496] = 16178,
  [16497] = 16154,
  [16498] = 16175,
  [16499] = 16164,
  [16500] = 16149,
  [16501] = 16157,
  [16502] = 16176,
  [16503] = 16148,
  [16504] = 16162,
  [16505] = 16158,
  [16506] = 16157,
  [16507] = 16158,
  [16508] = 16162,
  [16509] = 16154,
  [16510] = 16178,
  [16511] = 16148,
  [16512] = 16183,
  [16513] = 16183,
  [16514] = 16165,
  [16515] = 16149,
  [16516] = 16179,
  [16517] = 16175,
  [16518] = 16166,
  [16519] = 16174,
  [16520] = 16175,
  [16521] = 16173,
  [16522] = 16176,
  [16523] = 16166,
  [16524] = 16148,
  [16525] = 16162,
  [16526] = 16158,
  [16527] = 16157,
  [16528] = 16166,
  [16529] = 16148,
  [16530] = 16154,
  [16531] = 16178,
  [16532] = 16161,
  [16533] = 16174,
  [16534] = 16534,
  [16535] = 16535,
  [16536] = 16536,
  [16537] = 16178,
  [16538] = 16175,
  [16539] = 16164,
  [16540] = 16154,
  [16541] = 16159,
  [16542] = 16147,
  [16543] = 16149,
  [16544] = 16148,
  [16545] = 16162,
  [16546] = 16158,
  [16547] = 16157,
  [16548] = 16166,
  [16549] = 16157,
  [16550] = 16154,
  [16551] = 16178,
  [16552] = 16164,
  [16553] = 16158,
  [16554] = 16162,
  [16555] = 16148,
  [16556] = 16150,
  [16557] = 16151,
  [16558] = 16152,
  [16559] = 16153,
  [16560] = 16174,
  [16561] = 16153,
  [16562] = 16152,
  [16563] = 16147,
  [16564] = 16148,
  [16565] = 16162,
  [16566] = 16158,
  [16567] = 16157,
  [16568] = 16159,
  [16569] = 16569,
  [16570] = 16154,
  [16571] = 16178,
  [16572] = 16175,
  [16573] = 16161,
  [16574] = 16165,
  [16575] = 16151,
  [16576] = 16166,
  [16577] = 16150,
  [16578] = 16149,
  [16579] = 16164,
  [16580] = 16173,
  [16581] = 16175,
  [16582] = 16174,
  [16583] = 16175,
  [16584] = 16148,
  [16585] = 16162,
  [16586] = 16158,
  [16587] = 16157,
  [16588] = 16178,
  [16589] = 5135,
  [16590] = 16154,
  [16591] = 16178,
  [16592] = 16154,
  [16593] = 16176,
  [16594] = 16178,
  [16595] = 16183,
  [16596] = 16183,
  [16597] = 16157,
  [16598] = 16158,
  [16599] = 16174,
  [16600] = 16162,
  [16601] = 16179,
  [16602] = 16175,
  [16603] = 16148,
  [16604] = 16148,
  [16605] = 16162,
  [16606] = 16158,
  [16607] = 16157,
  [16608] = 16176,
  [16609] = 16165,
  [16610] = 16154,
  [16611] = 16178,
  [16612] = 16174,
  [16613] = 16166,
  [16614] = 16161,
  [16615] = 16164,
  [16616] = 16173,
  [16617] = 16159,
  [16618] = 16147,
  [16619] = 16151,
  [16620] = 16164,
  [16621] = 16149,
  [16622] = 16150,
  [16623] = 16149,
  [16624] = 16148,
  [16625] = 16162,
  [16626] = 16158,
  [16627] = 16157,
  [16628] = 16149,
  [16629] = 16166,
  [16630] = 16154,
  [16631] = 16178,
  [16632] = 16178,
  [16633] = 16154,
  [16634] = 16164,
  [16635] = 16174,
  [16636] = 16157,
  [16637] = 16158,
  [16638] = 16150,
  [16639] = 16151,
  [16640] = 16152,
  [16641] = 16153,
  [16642] = 16166,
  [16643] = 16162,
  [16644] = 16148,
  [16645] = 16162,
  [16646] = 16158,
  [16647] = 16157,
  [16648] = 16147,
  [16649] = 16159,
  [16650] = 16154,
  [16651] = 16178,
  [16652] = 16164,
  [16653] = 16161,
  [16654] = 16654,
  [16655] = 16148,
  [16656] = 16174,
  [16657] = 16166,
  [16658] = 16658,
  [16659] = 16149,
  [16660] = 16165,
  [16661] = 16175,
  [16662] = 16173,
  [16663] = 16174,
  [16664] = 16148,
  [16665] = 16162,
  [16666] = 16158,
  [16667] = 16157,
  [16668] = 16175,
  [16669] = 16166,
  [16670] = 16154,
  [16671] = 16178,
  [16672] = 16179,
  [16673] = 16176,
  [16674] = 16179,
  [16675] = 16175,
  [16676] = 16149,
  [16677] = 16183,
  [16678] = 16176,
  [16679] = 16183,
  [16680] = 16164,
  [16681] = 16154,
  [16682] = 16157,
  [16683] = 16148,
  [16684] = 16162,
  [16685] = 16158,
  [16686] = 16157,
  [16687] = 16149,
  [16688] = 16158,
  [16689] = 16154,
  [16690] = 16178,
  [16691] = 16164,
  [16692] = 16162,
  [16693] = 16179,
  [16694] = 16175,
  [16695] = 16148,
  [16696] = 16166,
  [16697] = 16165,
  [16698] = 16159,
  [16699] = 16161,
  [16700] = 16173,
  [16701] = 16159,
  [16702] = 16148,
  [16703] = 16162,
  [16704] = 16158,
  [16705] = 16157,
  [16706] = 16147,
  [16707] = 16164,
  [16708] = 16154,
  [16709] = 16178,
  [16710] = 16151,
  [16711] = 16150,
  [16712] = 16149,
  [16713] = 16174,
  [16714] = 16149,
  [16715] = 16166,
  [16716] = 16173,
  [16717] = 16150,
  [16718] = 16151,
  [16719] = 16152,
  [16720] = 16153,
  [16721] = 16148,
  [16722] = 16162,
  [16723] = 16158,
  [16724] = 16157,
  [16725] = 16173,
  [16726] = 16147,
  [16727] = 16154,
  [16728] = 16178,
  [16729] = 16176,
  [16730] = 16174,
  [16731] = 16161,
  [16732] = 16178,
  [16733] = 16154,
  [16734] = 16166,
  [16735] = 16173,
  [16736] = 8499,
  [16737] = 16174,
  [16738] = 16157,
  [16739] = 16158,
  [16740] = 16148,
  [16741] = 16162,
  [16742] = 16158,
  [16743] = 16157,
  [16744] = 16176,
  [16745] = 16162,
  [16746] = 16154,
  [16747] = 16178,
  [16748] = 16174,
  [16749] = 16183,
  [16750] = 16148,
  [16751] = 16175,
  [16752] = 16175,
  [16753] = 16179,
  [16754] = 16175,
  [16755] = 16175,
  [16756] = 16174,
  [16757] = 16179,
  [16758] = 16173,
  [16759] = 16148,
  [16760] = 16162,
  [16761] = 16158,
  [16762] = 16157,
  [16763] = 16165,
  [16764] = 16176,
  [16765] = 16178,
  [16766] = 16164,
  [16767] = 16179,
  [16768] = 16166,
  [16769] = 16149,
  [16770] = 16174,
  [16771] = 16161,
  [16772] = 16159,
  [16773] = 16147,
  [16774] = 16150,
  [16775] = 16151,
  [16776] = 16151,
  [16777] = 16148,
  [16778] = 16162,
  [16779] = 16158,
  [16780] = 16157,
  [16781] = 16166,
  [16782] = 16150,
  [16783] = 16178,
  [16784] = 16152,
  [16785] = 16153,
  [16786] = 16173,
  [16787] = 16149,
  [16788] = 16147,
  [16789] = 16159,
  [16790] = 16178,
  [16791] = 16161,
  [16792] = 16154,
  [16793] = 16164,
  [16794] = 16157,
  [16795] = 16148,
  [16796] = 16162,
  [16797] = 16158,
  [16798] = 16157,
  [16799] = 16166,
  [16800] = 16158,
  [16801] = 16178,
  [16802] = 16162,
  [16803] = 16148,
  [16804] = 16164,
  [16805] = 16149,
  [16806] = 16173,
  [16807] = 16165,
  [16808] = 16174,
  [16809] = 16175,
  [16810] = 16164,
  [16811] = 16149,
  [16812] = 16164,
  [16813] = 16148,
  [16814] = 16162,
  [16815] = 16158,
  [16816] = 16157,
  [16817] = 16183,
  [16818] = 16179,
  [16819] = 16178,
  [16820] = 16176,
  [16821] = 16166,
  [16822] = 16164,
  [16823] = 16179,
  [16824] = 16175,
  [16825] = 16174,
  [16826] = 16174,
  [16827] = 16175,
  [16828] = 16173,
  [16829] = 16166,
  [16830] = 16178,
  [16831] = 16148,
  [16832] = 16162,
  [16833] = 16158,
  [16834] = 16157,
  [16835] = 16154,
  [16836] = 16161,
  [16837] = 16178,
  [16838] = 16159,
  [16839] = 16164,
  [16840] = 16840,
  [16841] = 16147,
  [16842] = 16157,
  [16843] = 16158,
  [16844] = 16162,
  [16845] = 16148,
  [16846] = 16149,
  [16847] = 16164,
  [16848] = 16165,
  [16849] = 16148,
  [16850] = 16162,
  [16851] = 16158,
  [16852] = 16157,
  [16853] = 16149,
  [16854] = 16176,
  [16855] = 16178,
  [16856] = 16174,
  [16857] = 16175,
  [16858] = 8517,
  [16859] = 16179,
  [16860] = 16179,
  [16861] = 16149,
  [16862] = 16150,
  [16863] = 16166,
  [16864] = 16151,
  [16865] = 16175,
  [16866] = 16152,
  [16867] = 16148,
  [16868] = 16162,
  [16869] = 16158,
  [16870] = 16157,
  [16871] = 16153,
  [16872] = 16147,
  [16873] = 16178,
  [16874] = 16147,
  [16875] = 16159,
  [16876] = 16166,
  [16877] = 16161,
  [16878] = 16878,
  [16879] = 16159,
  [16880] = 16880,
  [16881] = 16881,
  [16882] = 16159,
  [16883] = 16883,
  [16884] = 16164,
  [16885] = 16148,
  [16886] = 16162,
  [16887] = 16158,
  [16888] = 16157,
  [16889] = 16178,
  [16890] = 16161,
  [16891] = 16178,
  [16892] = 16147,
  [16893] = 16154,
  [16894] = 16166,
  [16895] = 16149,
  [16896] = 16164,
  [16897] = 16175,
  [16898] = 16173,
  [16899] = 16174,
  [16900] = 16176,
  [16901] = 16175,
  [16902] = 16174,
  [16903] = 16148,
  [16904] = 16162,
  [16905] = 16158,
  [16906] = 16157,
  [16907] = 16178,
  [16908] = 16183,
  [16909] = 16157,
  [16910] = 16158,
  [16911] = 16179,
  [16912] = 16162,
  [16913] = 16148,
  [16914] = 16166,
  [16915] = 16148,
  [16916] = 16162,
  [16917] = 16158,
  [16918] = 16157,
  [16919] = 16178,
  [16920] = 16920,
  [16921] = 16179,
  [16922] = 16176,
  [16923] = 16175,
  [16924] = 16924,
  [16925] = 16925,
  [16926] = 16164,
  [16927] = 16148,
  [16928] = 16162,
  [16929] = 16158,
  [16930] = 16157,
  [16931] = 16178,
  [16932] = 16149,
  [16933] = 16174,
  [16934] = 16165,
  [16935] = 16173,
  [16936] = 16166,
  [16937] = 16937,
  [16938] = 16161,
  [16939] = 16148,
  [16940] = 16162,
  [16941] = 16158,
  [16942] = 16157,
  [16943] = 16178,
  [16944] = 16159,
  [16945] = 16164,
  [16946] = 16147,
  [16947] = 16166,
  [16948] = 16149,
  [16949] = 16149,
  [16950] = 16148,
  [16951] = 16162,
  [16952] = 16158,
  [16953] = 16157,
  [16954] = 16178,
  [16955] = 16150,
  [16956] = 16164,
  [16957] = 16164,
  [16958] = 16149,
  [16959] = 16173,
  [16960] = 16150,
  [16961] = 16148,
  [16962] = 16162,
  [16963] = 16158,
  [16964] = 16157,
  [16965] = 16178,
  [16966] = 16174,
  [16967] = 16151,
  [16968] = 16152,
  [16969] = 16153,
  [16970] = 16175,
  [16971] = 16924,
  [16972] = 16148,
  [16973] = 16162,
  [16974] = 16158,
  [16975] = 16157,
  [16976] = 16178,
  [16977] = 16977,
  [16978] = 16978,
  [16979] = 16147,
  [16980] = 16159,
  [16981] = 16176,
  [16982] = 16161,
  [16983] = 16148,
  [16984] = 16162,
  [16985] = 16158,
  [16986] = 16157,
  [16987] = 16178,
  [16988] = 16178,
  [16989] = 16176,
  [16990] = 16154,
  [16991] = 16166,
  [16992] = 16166,
  [16993] = 16166,
  [16994] = 16148,
  [16995] = 16162,
  [16996] = 16158,
  [16997] = 16157,
  [16998] = 16178,
  [16999] = 16161,
  [17000] = 16159,
  [17001] = 16147,
  [17002] = 16157,
  [17003] = 16158,
  [17004] = 16149,
  [17005] = 16148,
  [17006] = 16162,
  [17007] = 16158,
  [17008] = 16157,
  [17009] = 16178,
  [17010] = 16162,
  [17011] = 16165,
  [17012] = 16178,
  [17013] = 16176,
  [17014] = 16164,
  [17015] = 16174,
  [17016] = 16148,
  [17017] = 16162,
  [17018] = 16158,
  [17019] = 16157,
  [17020] = 16178,
  [17021] = 16183,
  [17022] = 16164,
  [17023] = 16175,
  [17024] = 16166,
  [17025] = 16149,
  [17026] = 16178,
  [17027] = 16179,
  [17028] = 16175,
  [17029] = 16149,
  [17030] = 16174,
  [17031] = 16164,
  [17032] = 16178,
  [17033] = 16925,
  [17034] = 16924,
  [17035] = 16173,
  [17036] = 16175,
  [17037] = 16173,
  [17038] = 16178,
  [17039] = 16165,
  [17040] = 16174,
  [17041] = 16164,
  [17042] = 16175,
  [17043] = 16179,
  [17044] = 16178,
  [17045] = 16149,
  [17046] = 16174,
  [17047] = 16176,
  [17048] = 16166,
  [17049] = 16161,
  [17050] = 16178,
  [17051] = 16159,
  [17052] = 16147,
  [17053] = 16149,
  [17054] = 16164,
  [17055] = 16173,
  [17056] = 16178,
  [17057] = 16150,
  [17058] = 16151,
  [17059] = 16152,
  [17060] = 16153,
  [17061] = 16175,
  [17062] = 16178,
  [17063] = 16174,
  [17064] = 16175,
  [17065] = 16179,
  [17066] = 16147,
  [17067] = 16159,
  [17068] = 16178,
  [17069] = 16151,
  [17070] = 16152,
  [17071] = 16153,
  [17072] = 16149,
  [17073] = 16176,
  [17074] = 16178,
  [17075] = 16149,
  [17076] = 16166,
  [17077] = 16161,
  [17078] = 17078,
  [17079] = 17079,
  [17080] = 16178,
  [17081] = 16161,
  [17082] = 16166,
  [17083] = 16159,
  [17084] = 16147,
  [17085] = 16164,
  [17086] = 16178,
  [17087] = 16178,
  [17088] = 16149,
  [17089] = 16176,
  [17090] = 17090,
  [17091] = 16164,
  [17092] = 16178,
  [17093] = 17093,
  [17094] = 17094,
  [17095] = 16149,
  [17096] = 17096,
  [17097] = 16183,
  [17098] = 16178,
  [17099] = 16154,
  [17100] = 16173,
  [17101] = 16164,
  [17102] = 16179,
  [17103] = 16175,
  [17104] = 16178,
  [17105] = 16174,
  [17106] = 16147,
  [17107] = 16174,
  [17108] = 17108,
  [17109] = 16173,
  [17110] = 16178,
  [17111] = 16150,
  [17112] = 16179,
  [17113] = 16164,
  [17114] = 16175,
  [17115] = 16174,
  [17116] = 16178,
  [17117] = 16149,
  [17118] = 16174,
  [17119] = 16175,
  [17120] = 16179,
  [17121] = 16159,
  [17122] = 16178,
  [17123] = 16176,
  [17124] = 16173,
  [17125] = 16150,
  [17126] = 16166,
  [17127] = 16161,
  [17128] = 16178,
  [17129] = 16151,
  [17130] = 16152,
  [17131] = 16153,
  [17132] = 16166,
  [17133] = 16147,
  [17134] = 16178,
  [17135] = 16174,
  [17136] = 16159,
  [17137] = 16175,
  [17138] = 16161,
  [17139] = 16166,
  [17140] = 16178,
  [17141] = 5964,
  [17142] = 16161,
  [17143] = 16159,
  [17144] = 16147,
  [17145] = 16149,
  [17146] = 16178,
  [17147] = 16166,
  [17148] = 16164,
  [17149] = 16173,
  [17150] = 16166,
  [17151] = 16174,
  [17152] = 16178,
  [17153] = 16175,
  [17154] = 16157,
  [17155] = 16176,
  [17156] = 16158,
  [17157] = 16179,
  [17158] = 16178,
  [17159] = 16175,
  [17160] = 16183,
  [17161] = 16162,
  [17162] = 16148,
  [17163] = 16174,
  [17164] = 16178,
  [17165] = 16176,
  [17166] = 16179,
  [17167] = 16166,
  [17168] = 16161,
  [17169] = 16175,
  [17170] = 16178,
  [17171] = 16149,
  [17172] = 16174,
  [17173] = 16159,
  [17174] = 16173,
  [17175] = 16147,
  [17176] = 16178,
  [17177] = 16925,
  [17178] = 16924,
  [17179] = 16978,
  [17180] = 16165,
  [17181] = 16164,
  [17182] = 16178,
  [17183] = 16149,
  [17184] = 16164,
  [17185] = 17185,
  [17186] = 16166,
  [17187] = 16149,
  [17188] = 16178,
  [17189] = 16149,
  [17190] = 16149,
  [17191] = 16173,
  [17192] = 16174,
  [17193] = 16175,
  [17194] = 16178,
  [17195] = 16174,
  [17196] = 16151,
  [17197] = 16152,
  [17198] = 16153,
  [17199] = 16179,
  [17200] = 16178,
  [17201] = 16147,
  [17202] = 16159,
  [17203] = 16164,
  [17204] = 16176,
  [17205] = 16161,
  [17206] = 16178,
  [17207] = 16166,
  [17208] = 16161,
  [17209] = 16159,
  [17210] = 16166,
  [17211] = 16164,
  [17212] = 16178,
  [17213] = 16158,
  [17214] = 16149,
  [17215] = 16149,
  [17216] = 16164,
  [17217] = 16166,
  [17218] = 16178,
  [17219] = 16173,
  [17220] = 16176,
  [17221] = 16164,
  [17222] = 16174,
  [17223] = 16175,
  [17224] = 16178,
  [17225] = 16183,
  [17226] = 8562,
  [17227] = 17227,
  [17228] = 16179,
  [17229] = 16174,
  [17230] = 16178,
  [17231] = 16179,
  [17232] = 16175,
  [17233] = 16176,
  [17234] = 16149,
  [17235] = 17079,
  [17236] = 16178,
  [17237] = 5104,
  [17238] = 17238,
  [17239] = 16161,
  [17240] = 16159,
  [17241] = 16173,
  [17242] = 16178,
  [17243] = 16174,
  [17244] = 16147,
  [17245] = 16149,
  [17246] = 16178,
  [17247] = 17247,
  [17248] = 16178,
  [17249] = 16164,
  [17250] = 16173,
  [17251] = 16164,
  [17252] = 16166,
  [17253] = 16154,
  [17254] = 16178,
  [17255] = 17108,
  [17256] = 17256,
  [17257] = 17257,
  [17258] = 16147,
  [17259] = 16149,
  [17260] = 16178,
  [17261] = 16175,
  [17262] = 16174,
  [17263] = 16174,
  [17264] = 16166,
  [17265] = 16175,
  [17266] = 16178,
  [17267] = 16179,
  [17268] = 16150,
  [17269] = 16151,
  [17270] = 16152,
  [17271] = 16153,
  [17272] = 16178,
  [17273] = 16175,
  [17274] = 16159,
  [17275] = 16147,
  [17276] = 16159,
  [17277] = 16176,
  [17278] = 16178,
  [17279] = 16161,
  [17280] = 16166,
  [17281] = 16149,
  [17282] = 16161,
  [17283] = 16164,
  [17284] = 16178,
  [17285] = 16147,
  [17286] = 16166,
  [17287] = 16149,
  [17288] = 16164,
  [17289] = 16175,
  [17290] = 16173,
  [17291] = 16166,
  [17292] = 16174,
  [17293] = 16176,
  [17294] = 16175,
  [17295] = 16174,
  [17296] = 16183,
  [17297] = 16179,
  [17298] = 16159,
  [17299] = 16176,
  [17300] = 16164,
  [17301] = 16179,
  [17302] = 16166,
  [17303] = 16175,
  [17304] = 16161,
  [17305] = 16174,
  [17306] = 17306,
  [17307] = 16159,
  [17308] = 16654,
  [17309] = 16658,
  [17310] = 16173,
  [17311] = 16147,
  [17312] = 16174,
  [17313] = 16149,
  [17314] = 16164,
  [17315] = 16149,
  [17316] = 16164,
  [17317] = 17317,
  [17318] = 16149,
  [17319] = 16174,
  [17320] = 16173,
  [17321] = 16149,
  [17322] = 16164,
  [17323] = 16174,
  [17324] = 16150,
  [17325] = 16151,
  [17326] = 17079,
  [17327] = 16152,
  [17328] = 16153,
  [17329] = 16176,
  [17330] = 16174,
  [17331] = 16147,
  [17332] = 17332,
  [17333] = 16159,
  [17334] = 16149,
  [17335] = 16161,
  [17336] = 16175,
  [17337] = 16149,
  [17338] = 16179,
  [17339] = 16174,
  [17340] = 16166,
  [17341] = 16176,
  [17342] = 16147,
  [17343] = 16178,
  [17344] = 16175,
  [17345] = 5898,
  [17346] = 16174,
  [17347] = 16166,
  [17348] = 17317,
  [17349] = 17306,
  [17350] = 16164,
  [17351] = 17227,
  [17352] = 16149,
  [17353] = 17090,
  [17354] = 16166,
  [17355] = 16161,
  [17356] = 16159,
  [17357] = 16176,
  [17358] = 16175,
  [17359] = 16174,
  [17360] = 16183,
  [17361] = 16158,
  [17362] = 16164,
  [17363] = 16164,
  [17364] = 16157,
  [17365] = 16149,
  [17366] = 16175,
  [17367] = 17247,
  [17368] = 16166,
  [17369] = 16149,
  [17370] = 17317,
  [17371] = 16162,
  [17372] = 16164,
  [17373] = 16175,
  [17374] = 16174,
  [17375] = 16179,
  [17376] = 8462,
  [17377] = 16148,
  [17378] = 16175,
  [17379] = 17317,
  [17380] = 16164,
  [17381] = 16149,
  [17382] = 16166,
  [17383] = 16173,
  [17384] = 16174,
  [17385] = 16174,
  [17386] = 16175,
  [17387] = 16174,
  [17388] = 17317,
  [17389] = 16175,
  [17390] = 16654,
  [17391] = 16164,
  [17392] = 16658,
  [17393] = 16173,
  [17394] = 16149,
  [17395] = 17317,
  [17396] = 16166,
  [17397] = 16179,
  [17398] = 16176,
  [17399] = 16175,
  [17400] = 16164,
  [17401] = 16174,
  [17402] = 17317,
  [17403] = 16164,
  [17404] = 16149,
  [17405] = 16166,
  [17406] = 16166,
  [17407] = 16149,
  [17408] = 16166,
  [17409] = 17317,
  [17410] = 16175,
  [17411] = 16174,
  [17412] = 16161,
  [17413] = 16166,
  [17414] = 16164,
  [17415] = 16150,
  [17416] = 17317,
  [17417] = 16149,
  [17418] = 16151,
  [17419] = 16166,
  [17420] = 16152,
  [17421] = 16153,
  [17422] = 16159,
  [17423] = 17317,
  [17424] = 16147,
  [17425] = 16147,
  [17426] = 16149,
  [17427] = 16159,
  [17428] = 16175,
  [17429] = 16174,
  [17430] = 17317,
  [17431] = 16164,
  [17432] = 16164,
  [17433] = 16149,
  [17434] = 16161,
  [17435] = 16166,
  [17436] = 16183,
  [17437] = 17317,
  [17438] = 16173,
  [17439] = 16174,
  [17440] = 16175,
  [17441] = 16179,
  [17442] = 16149,
  [17443] = 16166,
  [17444] = 17317,
  [17445] = 16175,
  [17446] = 16174,
  [17447] = 16176,
  [17448] = 16164,
  [17449] = 16164,
  [17450] = 16149,
  [17451] = 17317,
  [17452] = 16166,
  [17453] = 16166,
  [17454] = 16161,
  [17455] = 16159,
  [17456] = 16175,
  [17457] = 16174,
  [17458] = 17317,
  [17459] = 16147,
  [17460] = 16176,
  [17461] = 16164,
  [17462] = 16179,
  [17463] = 5081,
  [17464] = 16149,
  [17465] = 17317,
  [17466] = 16149,
  [17467] = 16175,
  [17468] = 16164,
  [17469] = 16183,
  [17470] = 17470,
  [17471] = 5047,
  [17472] = 17317,
  [17473] = 16166,
  [17474] = 16173,
  [17475] = 16174,
  [17476] = 16174,
  [17477] = 16175,
  [17478] = 16157,
  [17479] = 17317,
  [17480] = 16175,
  [17481] = 16174,
  [17482] = 16179,
  [17483] = 16166,
  [17484] = 16154,
  [17485] = 17317,
  [17486] = 16149,
  [17487] = 16158,
  [17488] = 16176,
  [17489] = 16162,
  [17490] = 16149,
  [17491] = 17317,
  [17492] = 16166,
  [17493] = 16159,
  [17494] = 16147,
  [17495] = 16175,
  [17496] = 16174,
  [17497] = 17317,
  [17498] = 16149,
  [17499] = 16164,
  [17500] = 16149,
  [17501] = 16164,
  [17502] = 16166,
  [17503] = 17317,
  [17504] = 16173,
  [17505] = 16148,
  [17506] = 16174,
  [17507] = 16175,
  [17508] = 16175,
  [17509] = 17317,
  [17510] = 16175,
  [17511] = 16174,
  [17512] = 16179,
  [17513] = 16164,
  [17514] = 16174,
  [17515] = 17317,
  [17516] = 16149,
  [17517] = 16176,
  [17518] = 16166,
  [17519] = 16654,
  [17520] = 16658,
  [17521] = 17317,
  [17522] = 16166,
  [17523] = 16159,
  [17524] = 16147,
  [17525] = 16173,
  [17526] = 16175,
  [17527] = 17317,
  [17528] = 16174,
  [17529] = 16164,
  [17530] = 16149,
  [17531] = 16164,
  [17532] = 17257,
  [17533] = 17317,
  [17534] = 16166,
  [17535] = 16173,
  [17536] = 16174,
  [17537] = 16175,
  [17538] = 16175,
  [17539] = 17317,
  [17540] = 16174,
  [17541] = 16179,
  [17542] = 16164,
  [17543] = 16149,
  [17544] = 16880,
  [17545] = 17317,
  [17546] = 16176,
  [17547] = 16164,
  [17548] = 16166,
  [17549] = 8612,
  [17550] = 16166,
  [17551] = 17317,
  [17552] = 16149,
  [17553] = 16175,
  [17554] = 16174,
  [17555] = 16147,
  [17556] = 16164,
  [17557] = 17317,
  [17558] = 16149,
  [17559] = 16149,
  [17560] = 16149,
  [17561] = 16164,
  [17562] = 17562,
  [17563] = 17317,
  [17564] = 16166,
  [17565] = 16173,
  [17566] = 16174,
  [17567] = 16164,
  [17568] = 16175,
  [17569] = 17317,
  [17570] = 16175,
  [17571] = 16174,
  [17572] = 16179,
  [17573] = 16164,
  [17574] = 16149,
  [17575] = 17317,
  [17576] = 16176,
  [17577] = 16166,
  [17578] = 16166,
  [17579] = 16150,
  [17580] = 16159,
  [17581] = 17317,
  [17582] = 16147,
  [17583] = 16151,
  [17584] = 16175,
  [17585] = 16152,
  [17586] = 16153,
  [17587] = 17317,
  [17588] = 16174,
  [17589] = 16149,
  [17590] = 16164,
  [17591] = 17078,
  [17592] = 16147,
  [17593] = 17317,
  [17594] = 16147,
  [17595] = 16159,
  [17596] = 16164,
  [17597] = 16149,
  [17598] = 16161,
  [17599] = 17317,
  [17600] = 16166,
  [17601] = 16173,
  [17602] = 16174,
  [17603] = 16175,
  [17604] = 16179,
  [17605] = 17317,
  [17606] = 16175,
  [17607] = 16174,
  [17608] = 16176,
  [17609] = 16166,
  [17610] = 16164,
  [17611] = 17317,
  [17612] = 16149,
  [17613] = 16166,
  [17614] = 16166,
  [17615] = 16159,
  [17616] = 16176,
  [17617] = 17317,
  [17618] = 16159,
  [17619] = 16175,
  [17620] = 16174,
  [17621] = 16149,
  [17622] = 16164,
  [17623] = 17317,
  [17624] = 16164,
  [17625] = 16149,
  [17626] = 16173,
  [17627] = 16166,
  [17628] = 16174,
  [17629] = 17317,
  [17630] = 16175,
  [17631] = 16183,
  [17632] = 16179,
  [17633] = 16175,
  [17634] = 16174,
  [17635] = 17317,
  [17636] = 16176,
  [17637] = 16164,
  [17638] = 16149,
  [17639] = 16174,
  [17640] = 16159,
  [17641] = 17317,
  [17642] = 16166,
  [17643] = 16159,
  [17644] = 16147,
  [17645] = 16157,
  [17646] = 16149,
  [17647] = 17317,
  [17648] = 16175,
  [17649] = 16174,
  [17650] = 16164,
  [17651] = 16268,
  [17652] = 16175,
  [17653] = 17317,
  [17654] = 16166,
  [17655] = 16158,
  [17656] = 16164,
  [17657] = 16162,
  [17658] = 16149,
  [17659] = 17317,
  [17660] = 16173,
  [17661] = 16166,
  [17662] = 16174,
  [17663] = 16175,
  [17664] = 16179,
  [17665] = 17317,
  [17666] = 16176,
  [17667] = 16880,
  [17668] = 16175,
  [17669] = 16174,
  [17670] = 16164,
  [17671] = 17317,
  [17672] = 16149,
  [17673] = 16179,
  [17674] = 16166,
  [17675] = 16166,
  [17676] = 16453,
  [17677] = 17317,
  [17678] = 16159,
  [17679] = 16147,
  [17680] = 16149,
  [17681] = 16164,
  [17682] = 16175,
  [17683] = 17317,
  [17684] = 16174,
  [17685] = 16173,
  [17686] = 16164,
  [17687] = 16148,
  [17688] = 16149,
  [17689] = 17317,
  [17690] = 16174,
  [17691] = 16175,
  [17692] = 16166,
  [17693] = 16175,
  [17694] = 16569,
  [17695] = 17317,
  [17696] = 16179,
  [17697] = 16176,
  [17698] = 16175,
  [17699] = 16174,
  [17700] = 16166,
  [17701] = 17317,
  [17702] = 16164,
  [17703] = 16149,
  [17704] = 16174,
  [17705] = 16166,
  [17706] = 16166,
  [17707] = 17317,
  [17708] = 16147,
  [17709] = 16149,
  [17710] = 16164,
  [17711] = 16175,
  [17712] = 17317,
  [17713] = 16174,
  [17714] = 16174,
  [17715] = 16173,
  [17716] = 16164,
  [17717] = 17317,
  [17718] = 16149,
  [17719] = 16654,
  [17720] = 16174,
  [17721] = 16658,
  [17722] = 17317,
  [17723] = 16175,
  [17724] = 16166,
  [17725] = 16179,
  [17726] = 16173,
  [17727] = 17317,
  [17728] = 16176,
  [17729] = 16175,
  [17730] = 16174,
  [17731] = 16166,
  [17732] = 17317,
  [17733] = 16164,
  [17734] = 16149,
  [17735] = 16159,
  [17736] = 16147,
  [17737] = 17317,
  [17738] = 16166,
  [17739] = 16149,
  [17740] = 16164,
  [17741] = 16166,
  [17742] = 17317,
  [17743] = 16173,
  [17744] = 16175,
  [17745] = 16174,
  [17746] = 16176,
  [17747] = 17317,
  [17748] = 16164,
  [17749] = 16149,
  [17750] = 16175,
  [17751] = 17090,
  [17752] = 17317,
  [17753] = 16166,
  [17754] = 16164,
  [17755] = 16179,
  [17756] = 16920,
  [17757] = 17317,
  [17758] = 16176,
  [17759] = 16175,
  [17760] = 16174,
  [17761] = 16937,
  [17762] = 17317,
  [17763] = 17317,
  [17764] = 17317,
  [17765] = 17317,
  [17766] = 17317,
  [17767] = 17317,
  [17768] = 17317,
  [17769] = 17317,
  [17770] = 17317,
  [17771] = 17317,
  [17772] = 17317,
  [17773] = 17317,
  [17774] = 17317,
  [17775] = 17317,
  [17776] = 17317,
  [17777] = 17317,
  [17778] = 17317,
  [17779] = 17317,
  [17780] = 17317,
  [17781] = 17317,
  [17782] = 17317,
  [17783] = 17317,
  [17784] = 17317,
  [17785] = 17317,
  [17786] = 17317,
  [17787] = 17317,
  [17788] = 17317,
  [17789] = 17317,
  [17790] = 17317,
  [17791] = 17317,
  [17792] = 17317,
  [17793] = 17317,
  [17794] = 17317,
  [17795] = 17317,
  [17796] = 17317,
  [17797] = 17317,
  [17798] = 17317,
  [17799] = 17317,
  [17800] = 17317,
  [17801] = 17317,
  [17802] = 17317,
  [17803] = 17317,
  [17804] = 17317,
  [17805] = 17317,
  [17806] = 17317,
  [17807] = 17317,
  [17808] = 17317,
  [17809] = 17317,
  [17810] = 17317,
  [17811] = 17317,
  [17812] = 17317,
  [17813] = 17317,
  [17814] = 16166,
  [17815] = 16978,
  [17816] = 16164,
  [17817] = 16149,
  [17818] = 16159,
  [17819] = 16149,
  [17820] = 16147,
  [17821] = 16166,
  [17822] = 16149,
  [17823] = 16164,
  [17824] = 16173,
  [17825] = 16175,
  [17826] = 16174,
  [17827] = 16174,
  [17828] = 16164,
  [17829] = 16149,
  [17830] = 16150,
  [17831] = 16151,
  [17832] = 16152,
  [17833] = 16153,
  [17834] = 16175,
  [17835] = 17078,
  [17836] = 16149,
  [17837] = 17094,
  [17838] = 17096,
  [17839] = 16147,
  [17840] = 16159,
  [17841] = 16166,
  [17842] = 16161,
  [17843] = 16179,
  [17844] = 16166,
  [17845] = 16176,
  [17846] = 16166,
  [17847] = 16175,
  [17848] = 16166,
  [17849] = 16174,
  [17850] = 16159,
  [17851] = 16164,
  [17852] = 16149,
  [17853] = 16175,
  [17854] = 17108,
  [17855] = 16147,
  [17856] = 16149,
  [17857] = 16166,
  [17858] = 16164,
  [17859] = 17306,
  [17860] = 16173,
  [17861] = 16176,
  [17862] = 16174,
  [17863] = 16178,
  [17864] = 16175,
  [17865] = 16174,
  [17866] = 16183,
  [17867] = 16174,
  [17868] = 17257,
  [17869] = 16175,
  [17870] = 16179,
  [17871] = 16164,
  [17872] = 16149,
  [17873] = 8462,
  [17874] = 5165,
  [17875] = 17875,
  [17876] = 17876,
  [17877] = 17877,
  [17878] = 17878,
};

static TSCharacterRange sym__alpha_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0xd6},
  {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377},
  {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f},
  {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f},
  {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824},
  {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d},
  {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a},
  {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd},
  {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33},
  {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0},
  {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61},
  {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde},
  {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56},
  {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30},
  {0xe32, 0xe33}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0},
  {0xeb2, 0xeb3}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c},
  {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070},
  {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731},
  {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x1884},
  {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4},
  {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96},
  {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde},
  {0x2e2f, 0x2e2f}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa},
  {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf}, {0x4e00, 0x4e00},
  {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805},
  {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925},
  {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28},
  {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd},
  {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16},
  {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36},
  {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdfb}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x1092b},
};

static TSCharacterRange sym__alpha_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe33}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb3}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x1884}, {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab},
  {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf},
  {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec},
  {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d},
  {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe},
  {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124},
  {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188},
  {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f},
  {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6},
  {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f},
  {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf},
  {0x4e00, 0x4e00}, {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d},
  {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801},
  {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe},
  {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe},
  {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6},
  {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e},
  {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f},
  {0xfd92, 0xfdc7}, {0xfdf0, 0xfdfb}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375},
  {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527},
  {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9},
  {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805},
  {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2},
  {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x1092b},
};

static TSCharacterRange sym__alpha_identifier_character_set_3[] = {
  {'!', '!'}, {'#', '&'}, {'*', '+'}, {'-', '-'}, {'/', ':'}, {'<', 'Z'}, {'\\', '\\'}, {'^', '_'},
  {'a', 'z'}, {'|', '|'}, {'~', '~'}, {0xa6, 0xa6}, {0xa9, 0xaa}, {0xac, 0xac}, {0xae, 0xae}, {0xb0, 0xb1},
  {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x482},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x58d, 0x58e}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x606, 0x608},
  {0x60e, 0x60f}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6de, 0x6de}, {0x6e5, 0x6e6}, {0x6e9, 0x6e9},
  {0x6ee, 0x6ef}, {0x6fa, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f6},
  {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887},
  {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c},
  {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd},
  {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fa, 0x9fa}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30},
  {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91},
  {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9},
  {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d},
  {0xb5f, 0xb61}, {0xb70, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c},
  {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xbf3, 0xbf8}, {0xbfa, 0xbfa}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc7f, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4f}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd79, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe33},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb3},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf03}, {0xf13, 0xf13}, {0xf15, 0xf17}, {0xf1a, 0xf1f},
  {0xf34, 0xf34}, {0xf36, 0xf36}, {0xf38, 0xf38}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0xfbe, 0xfc5}, {0xfc7, 0xfcc},
  {0xfce, 0xfcf}, {0xfd5, 0xfd8}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x109e, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x1399},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166d}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x1884}, {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1940, 0x1940}, {0x1950, 0x196d}, {0x1970, 0x1974},
  {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19de, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b61, 0x1b6a},
  {0x1b74, 0x1b7c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88},
  {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15},
  {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d},
  {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec},
  {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2044, 0x2044}, {0x2052, 0x2052}, {0x2071, 0x2071}, {0x207a, 0x207c}, {0x207f, 0x207f}, {0x208a, 0x208c},
  {0x2090, 0x209c}, {0x2100, 0x214f}, {0x2160, 0x2188}, {0x218a, 0x218b}, {0x2190, 0x2307}, {0x230c, 0x2328}, {0x232b, 0x2426}, {0x2440, 0x244a},
  {0x249c, 0x24e9}, {0x2500, 0x2767}, {0x2794, 0x27c4}, {0x27c7, 0x27e5}, {0x27f0, 0x2982}, {0x2999, 0x29d7}, {0x29dc, 0x29fb}, {0x29fe, 0x2b73},
  {0x2b76, 0x2b95}, {0x2b97, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f},
  {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6},
  {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f}, {0x2e50, 0x2e51}, {0x2e80, 0x2e99}, {0x2e9b, 0x2ef3}, {0x2f00, 0x2fd5}, {0x2ff0, 0x2ffb}, {0x3004, 0x3007},
  {0x3012, 0x3013}, {0x3020, 0x3029}, {0x3031, 0x303c}, {0x303e, 0x303f}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff},
  {0x3105, 0x312f}, {0x3131, 0x318e}, {0x3190, 0x3191}, {0x3196, 0x31e3}, {0x31f0, 0x321e}, {0x322a, 0x3247}, {0x3250, 0x3250}, {0x3260, 0x327f},
  {0x328a, 0x32b0}, {0x32c0, 0x3400}, {0x4dbf, 0x4e00}, {0x9fff, 0xa48c}, {0xa490, 0xa4c6}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa828, 0xa82b}, {0xa836, 0xa837},
  {0xa839, 0xa839}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946},
  {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42},
  {0xaa44, 0xaa4b}, {0xaa60, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd40, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdcf, 0xfdcf}, {0xfdf0, 0xfdfb}, {0xfdfd, 0xfdff},
  {0xfe62, 0xfe62}, {0xfe64, 0xfe66}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff0b, 0xff0b}, {0xff1c, 0xff1e}, {0xff21, 0xff3a}, {0xff41, 0xff5a},
  {0xff5c, 0xff5c}, {0xff5e, 0xff5e}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0xffe2, 0xffe2},
  {0xffe4, 0xffe4}, {0xffe8, 0xffee}, {0xfffc, 0xfffd}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10137, 0x10174}, {0x10179, 0x10189}, {0x1018c, 0x1018e}, {0x10190, 0x1019c}, {0x101a0, 0x101a0}, {0x101d0, 0x101fc},
  {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf},
  {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10878}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x1092b},
};

static TSCharacterRange sym__alpha_identifier_character_set_4[] = {
  {'!', '!'}, {'#', '#'}, {'%', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {':', ':'}, {'<', '@'},
  {'\\', '\\'}, {'^', '^'}, {'|', '|'}, {'~', '~'}, {0xa6, 0xa6}, {0xa9, 0xa9}, {0xac, 0xac}, {0xae, 0xae},
  {0xb0, 0xb1}, {0xd7, 0xd7}, {0xf7, 0xf7}, {0x3f6, 0x3f6}, {0x482, 0x482}, {0x58d, 0x58e}, {0x606, 0x608}, {0x60e, 0x60f},
  {0x6de, 0x6de}, {0x6e9, 0x6e9}, {0x6fd, 0x6fe}, {0x7f6, 0x7f6}, {0x9fa, 0x9fa}, {0xb70, 0xb70}, {0xbf3, 0xbf8}, {0xbfa, 0xbfa},
  {0xc7f, 0xc7f}, {0xd4f, 0xd4f}, {0xd79, 0xd79}, {0xf01, 0xf03}, {0xf13, 0xf13}, {0xf15, 0xf17}, {0xf1a, 0xf1f}, {0xf34, 0xf34},
  {0xf36, 0xf36}, {0xf38, 0xf38}, {0xfbe, 0xfc5}, {0xfc7, 0xfcc}, {0xfce, 0xfcf}, {0xfd5, 0xfd8}, {0x109e, 0x109f}, {0x1390, 0x1399},
  {0x166d, 0x166d}, {0x1940, 0x1940}, {0x19de, 0x19ff}, {0x1b61, 0x1b6a}, {0x1b74, 0x1b7c}, {0x2044, 0x2044}, {0x2052, 0x2052}, {0x207a, 0x207c},
  {0x208a, 0x208c}, {0x2100, 0x2101}, {0x2103, 0x2106}, {0x2108, 0x2109}, {0x2114, 0x2114}, {0x2116, 0x2118}, {0x211e, 0x2123}, {0x2125, 0x2125},
  {0x2127, 0x2127}, {0x2129, 0x2129}, {0x212e, 0x212e}, {0x213a, 0x213b}, {0x2140, 0x2144}, {0x214a, 0x214d}, {0x214f, 0x214f}, {0x218a, 0x218b},
  {0x2190, 0x2307}, {0x230c, 0x2328}, {0x232b, 0x2426}, {0x2440, 0x244a}, {0x249c, 0x24e9}, {0x2500, 0x2767}, {0x2794, 0x27c4}, {0x27c7, 0x27e5},
  {0x27f0, 0x2982}, {0x2999, 0x29d7}, {0x29dc, 0x29fb}, {0x29fe, 0x2b73}, {0x2b76, 0x2b95}, {0x2b97, 0x2bff}, {0x2ce5, 0x2cea}, {0x2e50, 0x2e51},
  {0x2e80, 0x2e99}, {0x2e9b, 0x2ef3}, {0x2f00, 0x2fd5}, {0x2ff0, 0x2ffb}, {0x3004, 0x3004}, {0x3012, 0x3013}, {0x3020, 0x3020}, {0x3036, 0x3037},
  {0x303e, 0x303f}, {0x3190, 0x3191}, {0x3196, 0x319f}, {0x31c0, 0x31e3}, {0x3200, 0x321e}, {0x322a, 0x3247}, {0x3250, 0x3250}, {0x3260, 0x327f},
  {0x328a, 0x32b0}, {0x32c0, 0x33ff}, {0x4dc0, 0x4dff}, {0xa490, 0xa4c6}, {0xa828, 0xa82b}, {0xa836, 0xa837}, {0xa839, 0xa839}, {0xaa77, 0xaa79},
  {0xfb29, 0xfb29}, {0xfd40, 0xfd4f}, {0xfdcf, 0xfdcf}, {0xfdfd, 0xfdff}, {0xfe62, 0xfe62}, {0xfe64, 0xfe66}, {0xff0b, 0xff0b}, {0xff1c, 0xff1e},
  {0xff5c, 0xff5c}, {0xff5e, 0xff5e}, {0xffe2, 0xffe2}, {0xffe4, 0xffe4}, {0xffe8, 0xffee}, {0xfffc, 0xfffd}, {0x10137, 0x1013f}, {0x10179, 0x10189},
  {0x1018c, 0x1018e}, {0x10190, 0x1019c}, {0x101a0, 0x101a0}, {0x101d0, 0x101fc}, {0x10877, 0x10878},
};

static TSCharacterRange sym__interpolation_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37a, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe33},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb3},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x1884}, {0x1887, 0x18a8},
  {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16},
  {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23},
  {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6},
  {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c},
  {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128},
  {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f},
  {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff},
  {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf}, {0x4e00, 0x4e00}, {0x9fff, 0xa48c},
  {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a},
  {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946},
  {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42},
  {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0},
  {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdfb},
  {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7},
  {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa},
  {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3},
  {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a},
  {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736},
  {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835},
  {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915},
  {0x10920, 0x1092b},
};

static TSCharacterRange sym__interpolation_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xbb}, {0xc0, 0xd6},
  {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377},
  {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f},
  {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f},
  {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824},
  {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d},
  {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a},
  {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd},
  {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33},
  {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0},
  {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61},
  {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde},
  {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56},
  {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30},
  {0xe32, 0xe33}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0},
  {0xeb2, 0xeb3}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c},
  {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070},
  {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731},
  {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x1884},
  {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4},
  {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96},
  {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde},
  {0x2e2f, 0x2e2f}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa},
  {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf}, {0x4e00, 0x4e00},
  {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805},
  {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925},
  {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28},
  {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd},
  {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16},
  {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36},
  {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdfb}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x1092b},
};

static TSCharacterRange sym_operator_identifier_character_set_1[] = {
  {'!', '!'}, {'#', '#'}, {'%', '&'}, {'+', '+'}, {'-', '-'}, {':', ':'}, {'<', '@'}, {'\\', '\\'},
  {'^', '^'}, {'|', '|'}, {'~', '~'}, {0xa6, 0xa6}, {0xa9, 0xa9}, {0xac, 0xac}, {0xae, 0xae}, {0xb0, 0xb1},
  {0xd7, 0xd7}, {0xf7, 0xf7}, {0x3f6, 0x3f6}, {0x482, 0x482}, {0x58d, 0x58e}, {0x606, 0x608}, {0x60e, 0x60f}, {0x6de, 0x6de},
  {0x6e9, 0x6e9}, {0x6fd, 0x6fe}, {0x7f6, 0x7f6}, {0x9fa, 0x9fa}, {0xb70, 0xb70}, {0xbf3, 0xbf8}, {0xbfa, 0xbfa}, {0xc7f, 0xc7f},
  {0xd4f, 0xd4f}, {0xd79, 0xd79}, {0xf01, 0xf03}, {0xf13, 0xf13}, {0xf15, 0xf17}, {0xf1a, 0xf1f}, {0xf34, 0xf34}, {0xf36, 0xf36},
  {0xf38, 0xf38}, {0xfbe, 0xfc5}, {0xfc7, 0xfcc}, {0xfce, 0xfcf}, {0xfd5, 0xfd8}, {0x109e, 0x109f}, {0x1390, 0x1399}, {0x166d, 0x166d},
  {0x1940, 0x1940}, {0x19de, 0x19ff}, {0x1b61, 0x1b6a}, {0x1b74, 0x1b7c}, {0x2044, 0x2044}, {0x2052, 0x2052}, {0x207a, 0x207c}, {0x208a, 0x208c},
  {0x2100, 0x2101}, {0x2103, 0x2106}, {0x2108, 0x2109}, {0x2114, 0x2114}, {0x2116, 0x2118}, {0x211e, 0x2123}, {0x2125, 0x2125}, {0x2127, 0x2127},
  {0x2129, 0x2129}, {0x212e, 0x212e}, {0x213a, 0x213b}, {0x2140, 0x2144}, {0x214a, 0x214d}, {0x214f, 0x214f}, {0x218a, 0x218b}, {0x2190, 0x2307},
  {0x230c, 0x2328}, {0x232b, 0x2426}, {0x2440, 0x244a}, {0x249c, 0x24e9}, {0x2500, 0x2767}, {0x2794, 0x27c4}, {0x27c7, 0x27e5}, {0x27f0, 0x2982},
  {0x2999, 0x29d7}, {0x29dc, 0x29fb}, {0x29fe, 0x2b73}, {0x2b76, 0x2b95}, {0x2b97, 0x2bff}, {0x2ce5, 0x2cea}, {0x2e50, 0x2e51}, {0x2e80, 0x2e99},
  {0x2e9b, 0x2ef3}, {0x2f00, 0x2fd5}, {0x2ff0, 0x2ffb}, {0x3004, 0x3004}, {0x3012, 0x3013}, {0x3020, 0x3020}, {0x3036, 0x3037}, {0x303e, 0x303f},
  {0x3190, 0x3191}, {0x3196, 0x319f}, {0x31c0, 0x31e3}, {0x3200, 0x321e}, {0x322a, 0x3247}, {0x3250, 0x3250}, {0x3260, 0x327f}, {0x328a, 0x32b0},
  {0x32c0, 0x33ff}, {0x4dc0, 0x4dff}, {0xa490, 0xa4c6}, {0xa828, 0xa82b}, {0xa836, 0xa837}, {0xa839, 0xa839}, {0xaa77, 0xaa79}, {0xfb29, 0xfb29},
  {0xfd40, 0xfd4f}, {0xfdcf, 0xfdcf}, {0xfdfd, 0xfdff}, {0xfe62, 0xfe62}, {0xfe64, 0xfe66}, {0xff0b, 0xff0b}, {0xff1c, 0xff1e}, {0xff5c, 0xff5c},
  {0xff5e, 0xff5e}, {0xffe2, 0xffe2}, {0xffe4, 0xffe4}, {0xffe8, 0xffee}, {0xfffc, 0xfffd}, {0x10137, 0x1013f}, {0x10179, 0x10189}, {0x1018c, 0x1018e},
  {0x10190, 0x1019c}, {0x101a0, 0x101a0}, {0x101d0, 0x101fc}, {0x10877, 0x10878},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 107,
        '"', 141,
        '#', 100,
        '$', 112,
        '\'', 113,
        '(', 97,
        ')', 98,
        '*', 75,
        '+', 81,
        ',', 72,
        '-', 84,
        '.', 74,
        '/', 22,
        '0', 132,
        ':', 68,
        ';', 99,
        '<', 12,
        '=', 94,
        '>', 153,
        '?', 27,
        '@', 91,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
        '|', 105,
        '}', 71,
        '~', 109,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (set_contains(sym__interpolation_identifier_character_set_2, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1);
      if (lookahead == '*') ADVANCE(165);
      if (lookahead == '/') ADVANCE(163);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(164);
      if (lookahead != 0) ADVANCE(162);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 108,
        '$', 112,
        '\'', 113,
        '(', 97,
        '+', 82,
        '-', 83,
        '.', 38,
        '/', 122,
        '0', 132,
        ':', 69,
        '=', 30,
        '[', 79,
        '`', 46,
        '{', 70,
        '~', 110,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__interpolation_identifier_character_set_2, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '"', 141,
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        '<', 123,
        '=', 96,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
        '|', 106,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '"', 141,
        '(', 97,
        '*', 76,
        '.', 73,
        '/', 122,
        ':', 69,
        '=', 30,
        '@', 92,
        '`', 46,
        '|', 106,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 5:
      if (lookahead == '"') ADVANCE(142);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(140);
      if (lookahead == '$') ADVANCE(111);
      if (lookahead == '/') ADVANCE(22);
      if (lookahead == '=') ADVANCE(32);
      if (lookahead == '{') ADVANCE(70);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (set_contains(sym__interpolation_identifier_character_set_1, 433, lookahead)) ADVANCE(117);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        '<', 123,
        '=', 95,
        '?', 126,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '|', 106,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        '+', 82,
        '-', 85,
        '.', 73,
        '/', 122,
        '@', 92,
        '[', 79,
        '`', 46,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (lookahead == ':' ||
          lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        '<', 120,
        '=', 30,
        '?', 126,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        '<', 121,
        '=', 30,
        '?', 126,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        '.', 73,
        '/', 122,
        ':', 69,
        '=', 95,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 12:
      if (lookahead == '%') ADVANCE(89);
      if (lookahead == '-') ADVANCE(143);
      if (lookahead == ':') ADVANCE(86);
      END_STATE();
    case 13:
      if (lookahead == '%') ADVANCE(89);
      if (lookahead == ':') ADVANCE(86);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '\'', 113,
        '(', 97,
        ')', 98,
        ',', 72,
        '-', 124,
        '.', 38,
        '/', 122,
        '0', 132,
        ':', 69,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_3, 496, lookahead)) ADVANCE(115);
      END_STATE();
    case 15:
      if (lookahead == '\'') ADVANCE(139);
      END_STATE();
    case 16:
      if (lookahead == '\'') ADVANCE(139);
      if (lookahead == '\\') ADVANCE(34);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(15);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '/', 122,
        ':', 69,
        '<', 123,
        '=', 95,
        '?', 126,
        '@', 92,
        '`', 46,
        '{', 70,
        '|', 106,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '(', 97,
        '+', 82,
        '-', 85,
        '/', 122,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (lookahead == ':' ||
          lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '(', 97,
        ',', 72,
        '/', 122,
        ':', 69,
        '<', 120,
        '=', 30,
        '?', 126,
        '@', 92,
        ']', 80,
        '`', 46,
        '{', 70,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '(', 97,
        ',', 72,
        '/', 122,
        ':', 69,
        '<', 121,
        '=', 30,
        '?', 126,
        '@', 92,
        ']', 80,
        '`', 46,
        '{', 70,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '(', 97,
        '.', 73,
        '/', 122,
        ':', 69,
        '=', 95,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(159);
      if (lookahead == '/') ADVANCE(146);
      END_STATE();
    case 23:
      if (lookahead == ',') ADVANCE(72);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == '<') ADVANCE(120);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '`') ADVANCE(46);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (lookahead == '=' ||
          lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 24:
      if (lookahead == ',') ADVANCE(72);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == '<') ADVANCE(121);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '`') ADVANCE(46);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (lookahead == '=' ||
          lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 25:
      if (lookahead == '/') ADVANCE(154);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (lookahead != 0) ADVANCE(155);
      END_STATE();
    case 26:
      if (lookahead == ':') ADVANCE(88);
      END_STATE();
    case 27:
      if (lookahead == '=') ADVANCE(29);
      END_STATE();
    case 28:
      if (lookahead == '>') ADVANCE(77);
      END_STATE();
    case 29:
      if (lookahead == '>') ADVANCE(102);
      END_STATE();
    case 30:
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(104);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(31);
      END_STATE();
    case 33:
      if (lookahead == '`') ADVANCE(118);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(33);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(44);
      if (lookahead != 0) ADVANCE(15);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 36:
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 37:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(15);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(134);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 46:
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '`') ADVANCE(33);
      END_STATE();
    case 47:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 107,
        '"', 141,
        '#', 100,
        '$', 112,
        '\'', 113,
        '(', 97,
        ')', 98,
        '*', 75,
        '+', 81,
        ',', 72,
        '-', 84,
        '.', 74,
        '/', 22,
        '0', 132,
        ':', 68,
        ';', 99,
        '<', 12,
        '=', 94,
        '>', 26,
        '?', 27,
        '@', 91,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
        '|', 105,
        '}', 71,
        '~', 109,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (set_contains(sym__interpolation_identifier_character_set_2, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 48:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 108,
        '"', 141,
        '$', 112,
        '\'', 113,
        '(', 97,
        ')', 98,
        '+', 82,
        ',', 72,
        '-', 83,
        '.', 74,
        '/', 122,
        '0', 132,
        ':', 69,
        ';', 99,
        '=', 95,
        '?', 126,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
        '~', 110,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__interpolation_identifier_character_set_2, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 49:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 108,
        '#', 119,
        '$', 112,
        '\'', 113,
        '(', 97,
        '+', 82,
        '-', 83,
        '.', 38,
        '/', 122,
        '0', 132,
        '@', 92,
        '`', 46,
        '{', 70,
        '~', 110,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (lookahead == ':' ||
          lookahead == '=' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__interpolation_identifier_character_set_2, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 50:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 108,
        '$', 112,
        '\'', 113,
        '(', 97,
        ')', 98,
        '+', 82,
        ',', 72,
        '-', 83,
        '.', 74,
        '/', 122,
        '0', 132,
        ':', 69,
        ';', 99,
        '=', 96,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
        '~', 110,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__interpolation_identifier_character_set_2, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 51:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '"', 141,
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 96,
        '@', 92,
        '`', 46,
        '|', 106,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 52:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '"', 141,
        '(', 97,
        ')', 98,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 95,
        '?', 126,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 53:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 100,
        '(', 97,
        ')', 98,
        '*', 75,
        ',', 72,
        '.', 73,
        '/', 22,
        ':', 68,
        ';', 99,
        '<', 13,
        '=', 93,
        '>', 26,
        '@', 91,
        '[', 79,
        ']', 80,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 54:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 100,
        '(', 97,
        ')', 98,
        '*', 75,
        ',', 72,
        '.', 73,
        '/', 22,
        ':', 68,
        ';', 99,
        '<', 13,
        '=', 28,
        '>', 26,
        '?', 27,
        '@', 91,
        '[', 79,
        ']', 80,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 55:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 95,
        '?', 126,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '|', 106,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 56:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 95,
        '?', 126,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 57:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        ')', 98,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 96,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 58:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        ')', 98,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 95,
        '?', 126,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 59:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 101,
        '(', 97,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '<', 125,
        '=', 95,
        '?', 126,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 60:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '\'', 16,
        '(', 97,
        ')', 98,
        ',', 72,
        '-', 124,
        '.', 74,
        '/', 122,
        '0', 132,
        ':', 69,
        ';', 99,
        '=', 30,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_3, 496, lookahead)) ADVANCE(115);
      END_STATE();
    case 61:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 95,
        '?', 126,
        '@', 92,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 62:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '(', 97,
        ')', 98,
        '*', 76,
        ',', 72,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 95,
        '?', 126,
        '@', 92,
        '`', 46,
        '{', 70,
        '|', 106,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 63:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '(', 97,
        ')', 98,
        ',', 72,
        '.', 73,
        '/', 122,
        ':', 69,
        ';', 99,
        '=', 96,
        '@', 92,
        '[', 79,
        ']', 80,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 64:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '(', 97,
        '/', 122,
        ':', 69,
        ';', 99,
        '<', 125,
        '=', 95,
        '?', 126,
        '@', 92,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 65:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        ')', 98,
        '*', 76,
        ',', 72,
        '/', 122,
        ';', 99,
        '=', 96,
        '[', 79,
        '`', 46,
        '{', 70,
        '}', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (lookahead == ':' ||
          lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 66:
      if (eof) ADVANCE(67);
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == ';') ADVANCE(99);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '`') ADVANCE(46);
      if (lookahead == '}') ADVANCE(71);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (lookahead == ':' ||
          lookahead == '@' ||
          lookahead == 0x3f6 ||
          (0x606 <= lookahead && lookahead <= 0x608) ||
          lookahead == 0x2044 ||
          lookahead == 0x2052 ||
          (0x207a <= lookahead && lookahead <= 0x207c) ||
          (0x208a <= lookahead && lookahead <= 0x208c) ||
          lookahead == 0x2118 ||
          (0x2140 <= lookahead && lookahead <= 0x2144) ||
          lookahead == 0x214b ||
          lookahead == 0x219a ||
          lookahead == 0x219b ||
          lookahead == 0x21a0 ||
          lookahead == 0x21a3 ||
          lookahead == 0x21a6 ||
          lookahead == 0x21ae ||
          lookahead == 0x21ce ||
          lookahead == 0x21cf ||
          lookahead == 0x21d2 ||
          lookahead == 0x21d4 ||
          (0x21f4 <= lookahead && lookahead <= 0x22ff) ||
          lookahead == 0x2320 ||
          lookahead == 0x2321 ||
          lookahead == 0x237c ||
          (0x239b <= lookahead && lookahead <= 0x23b3) ||
          (0x23dc <= lookahead && lookahead <= 0x23e1) ||
          lookahead == 0x25b7 ||
          lookahead == 0x25c1 ||
          (0x25f8 <= lookahead && lookahead <= 0x25ff) ||
          lookahead == 0x266f ||
          (0x27c0 <= lookahead && lookahead <= 0x27c4) ||
          (0x27c7 <= lookahead && lookahead <= 0x27e5) ||
          (0x27f0 <= lookahead && lookahead <= 0x27ff) ||
          (0x2900 <= lookahead && lookahead <= 0x2982) ||
          (0x2999 <= lookahead && lookahead <= 0x29d7) ||
          (0x29dc <= lookahead && lookahead <= 0x29fb) ||
          (0x29fe <= lookahead && lookahead <= 0x2aff) ||
          (0x2b30 <= lookahead && lookahead <= 0x2b44) ||
          (0x2b47 <= lookahead && lookahead <= 0x2b4c) ||
          lookahead == 0xfb29 ||
          lookahead == 0xfe62 ||
          (0xfe64 <= lookahead && lookahead <= 0xfe66) ||
          lookahead == 0xff0b ||
          (0xff1c <= lookahead && lookahead <= 0xff1e) ||
          lookahead == 0xff5c ||
          lookahead == 0xff5e ||
          lookahead == 0xffe2 ||
          (0xffe9 <= lookahead && lookahead <= 0xffec)) ADVANCE(36);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(128);
      if (set_contains(sym__alpha_identifier_character_set_1, 434, lookahead)) ADVANCE(115);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(38);
      if (lookahead == '0') ADVANCE(132);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(38);
      if (lookahead == '0') ADVANCE(132);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_LT_COLON);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_LT_COLON);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_GT_COLON);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_LT_PERCENT);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_LT_PERCENT);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(77);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_QMARK_EQ_GT);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_QMARK_EQ_GT);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_EQ_GT_GT);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '_') ADVANCE(114);
      if (set_contains(sym__alpha_identifier_character_set_2, 435, lookahead)) ADVANCE(115);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '\'') ADVANCE(139);
      if (lookahead == '\\') ADVANCE(34);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(15);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym__alpha_identifier);
      if (lookahead == '_') ADVANCE(114);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(116);
      if (set_contains(sym__alpha_identifier_character_set_3, 496, lookahead)) ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym__alpha_identifier);
      if (lookahead == '_') ADVANCE(114);
      if (set_contains(sym__alpha_identifier_character_set_2, 435, lookahead)) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym__alpha_identifier);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym__interpolation_identifier);
      if (set_contains(sym__interpolation_identifier_character_set_2, 434, lookahead)) ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym__backquoted_id);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '!') ADVANCE(130);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '%') ADVANCE(90);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '%') ADVANCE(90);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '*') ADVANCE(159);
      if (lookahead == '/') ADVANCE(146);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '-') ADVANCE(144);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '.') ADVANCE(38);
      if (lookahead == '0') ADVANCE(132);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(133);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '=') ADVANCE(127);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '>') ADVANCE(103);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (lookahead == '*' ||
          lookahead == '/') ADVANCE(129);
      if (set_contains(sym_operator_identifier_character_set_1, 132, lookahead)) ADVANCE(129);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_operator_identifier);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(130);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(145);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_integer_literal);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_integer_literal);
      ADVANCE_MAP(
        '.', 38,
        '_', 39,
        'E', 37,
        'e', 37,
        'L', 131,
        'l', 131,
        'X', 42,
        'x', 42,
        'D', 136,
        'F', 136,
        'd', 136,
        'f', 136,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(133);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_integer_literal);
      ADVANCE_MAP(
        '.', 38,
        '_', 39,
        'E', 37,
        'e', 37,
        'L', 131,
        'l', 131,
        'D', 136,
        'F', 136,
        'd', 136,
        'f', 136,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(133);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '_') ADVANCE(42);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '_') ADVANCE(39);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_floating_point_literal);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_floating_point_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_floating_point_literal);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_character_literal);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(5);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym__interpolated_multiline_string_start);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (set_contains(sym__alpha_identifier_character_set_4, 133, lookahead)) ADVANCE(129);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym__shebang_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(145);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(155);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(158);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead == '*') ADVANCE(152);
      if (lookahead == '/') ADVANCE(152);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(152);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead == '/') ADVANCE(149);
      if (lookahead == '>') ADVANCE(153);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(151);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(152);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead == '/') ADVANCE(149);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(151);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(152);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym__comment_text);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_using_directive_key);
      if (lookahead == '*') ADVANCE(160);
      if (lookahead == '/') ADVANCE(147);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(155);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_using_directive_key);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(155);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_using_directive_value);
      if (lookahead == '*') ADVANCE(161);
      if (lookahead == '/') ADVANCE(148);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(158);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_using_directive_value);
      if (lookahead == '/') ADVANCE(156);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(157);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(158);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_using_directive_value);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(158);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(155);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(158);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '*') ADVANCE(159);
      if (lookahead == '/') ADVANCE(146);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '*') ADVANCE(165);
      if (lookahead == '/') ADVANCE(163);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(164);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(162);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '/') ADVANCE(166);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_STAR_SLASH);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'l', 9,
        'm', 10,
        'n', 11,
        'o', 12,
        'p', 13,
        'r', 14,
        's', 15,
        't', 16,
        'u', 17,
        'v', 18,
        'w', 19,
        'y', 20,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '_') ADVANCE(21);
      END_STATE();
    case 2:
      if (lookahead == 'b') ADVANCE(22);
      if (lookahead == 's') ADVANCE(23);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(24);
      if (lookahead == 'l') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(26);
      if (lookahead == 'o') ADVANCE(27);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(28);
      if (lookahead == 'n') ADVANCE(29);
      if (lookahead == 'x') ADVANCE(30);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(32);
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'i') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(35);
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(39);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(40);
      if (lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'b') ADVANCE(42);
      if (lookahead == 'p') ADVANCE(43);
      if (lookahead == 'v') ADVANCE(44);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(45);
      if (lookahead == 'r') ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(49);
      if (lookahead == 'r') ADVANCE(50);
      if (lookahead == 'y') ADVANCE(51);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(52);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 20:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'n') ADVANCE(57);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 24:
      if (lookahead == 's') ADVANCE(59);
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 26:
      if (lookahead == 'f') ADVANCE(62);
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(64);
      END_STATE();
    case 29:
      if (lookahead == 'd') ADVANCE(65);
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 30:
      if (lookahead == 'p') ADVANCE(67);
      if (lookahead == 't') ADVANCE(68);
      END_STATE();
    case 31:
      if (lookahead == 'l') ADVANCE(69);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 33:
      if (lookahead == 'r') ADVANCE(71);
      END_STATE();
    case 34:
      if (lookahead == 'v') ADVANCE(72);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(73);
      END_STATE();
    case 37:
      if (lookahead == 'f') ADVANCE(74);
      if (lookahead == 'l') ADVANCE(75);
      END_STATE();
    case 38:
      if (lookahead == 'z') ADVANCE(76);
      END_STATE();
    case 39:
      if (lookahead == 'c') ADVANCE(77);
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 40:
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 41:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 42:
      if (lookahead == 'j') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(82);
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 45:
      if (lookahead == 'c') ADVANCE(85);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(86);
      if (lookahead == 'o') ADVANCE(87);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(89);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(90);
      if (lookahead == 'i') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(92);
      END_STATE();
    case 50:
      if (lookahead == 'a') ADVANCE(93);
      if (lookahead == 'u') ADVANCE(94);
      if (lookahead == 'y') ADVANCE(95);
      END_STATE();
    case 51:
      if (lookahead == 'p') ADVANCE(96);
      END_STATE();
    case 52:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(98);
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(100);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(101);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 57:
      if (lookahead == 'o') ADVANCE(103);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(104);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 60:
      if (lookahead == 'c') ADVANCE(106);
      END_STATE();
    case 61:
      if (lookahead == 's') ADVANCE(107);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(108);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 66:
      if (lookahead == 'm') ADVANCE(110);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(111);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 69:
      if (lookahead == 's') ADVANCE(113);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(114);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 73:
      if (lookahead == 'l') ADVANCE(116);
      if (lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 75:
      if (lookahead == 'i') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 77:
      if (lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 78:
      if (lookahead == 'c') ADVANCE(122);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(123);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 82:
      if (lookahead == 'q') ADVANCE(125);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(126);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(127);
      END_STATE();
    case 85:
      if (lookahead == 'k') ADVANCE(128);
      END_STATE();
    case 86:
      if (lookahead == 'v') ADVANCE(129);
      END_STATE();
    case 87:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 88:
      if (lookahead == 'u') ADVANCE(131);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 91:
      if (lookahead == 's') ADVANCE(134);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(135);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(136);
      if (lookahead == 'n') ADVANCE(137);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 97:
      if (lookahead == 'n') ADVANCE(140);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(141);
      END_STATE();
    case 101:
      if (lookahead == 'h') ADVANCE(142);
      END_STATE();
    case 102:
      if (lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 103:
      if (lookahead == '_') ADVANCE(144);
      END_STATE();
    case 104:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 106:
      if (lookahead == 'h') ADVANCE(146);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(147);
      END_STATE();
    case 108:
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 111:
      if (lookahead == 'r') ADVANCE(149);
      END_STATE();
    case 112:
      if (lookahead == 'n') ADVANCE(150);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(151);
      END_STATE();
    case 114:
      if (lookahead == 'l') ADVANCE(152);
      END_STATE();
    case 115:
      if (lookahead == 'n') ADVANCE(153);
      END_STATE();
    case 116:
      if (lookahead == 'i') ADVANCE(154);
      END_STATE();
    case 117:
      if (lookahead == 'r') ADVANCE(155);
      END_STATE();
    case 118:
      if (lookahead == 'x') ADVANCE(156);
      END_STATE();
    case 119:
      if (lookahead == 'n') ADVANCE(157);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(158);
      END_STATE();
    case 122:
      if (lookahead == 'h') ADVANCE(159);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_null_literal);
      END_STATE();
    case 124:
      if (lookahead == 'c') ADVANCE(160);
      END_STATE();
    case 125:
      if (lookahead == 'u') ADVANCE(161);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 127:
      if (lookahead == 'r') ADVANCE(162);
      END_STATE();
    case 128:
      if (lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 129:
      if (lookahead == 'a') ADVANCE(164);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 131:
      if (lookahead == 'r') ADVANCE(166);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_this);
      END_STATE();
    case 135:
      if (lookahead == 'w') ADVANCE(168);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(169);
      END_STATE();
    case 137:
      if (lookahead == 's') ADVANCE(170);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(171);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 143:
      if (lookahead == 'd') ADVANCE(173);
      END_STATE();
    case 144:
      if (lookahead == 'l') ADVANCE(174);
      END_STATE();
    case 145:
      if (lookahead == 'a') ADVANCE(175);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 149:
      if (lookahead == 't') ADVANCE(177);
      END_STATE();
    case 150:
      if (lookahead == 'd') ADVANCE(178);
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_given);
      END_STATE();
    case 154:
      if (lookahead == 'c') ADVANCE(181);
      END_STATE();
    case 155:
      if (lookahead == 't') ADVANCE(182);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_infix);
      END_STATE();
    case 157:
      if (lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_macro);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 160:
      if (lookahead == 't') ADVANCE(184);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 163:
      if (lookahead == 'g') ADVANCE(187);
      END_STATE();
    case 164:
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 165:
      if (lookahead == 'c') ADVANCE(189);
      END_STATE();
    case 166:
      if (lookahead == 'n') ADVANCE(190);
      END_STATE();
    case 167:
      if (lookahead == 'd') ADVANCE(191);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_trait);
      END_STATE();
    case 170:
      if (lookahead == 'p') ADVANCE(192);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 174:
      if (lookahead == 'o') ADVANCE(193);
      END_STATE();
    case 175:
      if (lookahead == 'c') ADVANCE(194);
      END_STATE();
    case 176:
      if (lookahead == 's') ADVANCE(195);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 178:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 179:
      if (lookahead == 'i') ADVANCE(197);
      END_STATE();
    case 180:
      if (lookahead == 'y') ADVANCE(198);
      END_STATE();
    case 181:
      if (lookahead == 'i') ADVANCE(199);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_opaque);
      END_STATE();
    case 186:
      if (lookahead == 'd') ADVANCE(200);
      END_STATE();
    case 187:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 188:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 189:
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_sealed);
      END_STATE();
    case 192:
      if (lookahead == 'a') ADVANCE(204);
      END_STATE();
    case 193:
      if (lookahead == 'n') ADVANCE(205);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(206);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_derives);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 197:
      if (lookahead == 'o') ADVANCE(207);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 199:
      if (lookahead == 't') ADVANCE(208);
      END_STATE();
    case 200:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 203:
      if (lookahead == 'e') ADVANCE(210);
      END_STATE();
    case 204:
      if (lookahead == 'r') ADVANCE(211);
      END_STATE();
    case 205:
      if (lookahead == 'g') ADVANCE(212);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(213);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_implicit);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 210:
      if (lookahead == 'd') ADVANCE(214);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 212:
      if (lookahead == 'e') ADVANCE(216);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_extension);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(217);
      END_STATE();
    case 216:
      if (lookahead == 'r') ADVANCE(218);
      END_STATE();
    case 217:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 218:
      if (lookahead == '_') ADVANCE(220);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_transparent);
      END_STATE();
    case 220:
      if (lookahead == 'u') ADVANCE(221);
      END_STATE();
    case 221:
      if (lookahead == 's') ADVANCE(222);
      END_STATE();
    case 222:
      if (lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 223:
      if (lookahead == 'd') ADVANCE(224);
      END_STATE();
    case 224:
      if (lookahead == '_') ADVANCE(225);
      END_STATE();
    case 225:
      if (lookahead == 's') ADVANCE(226);
      END_STATE();
    case 226:
      if (lookahead == 'y') ADVANCE(227);
      END_STATE();
    case 227:
      if (lookahead == 'm') ADVANCE(228);
      END_STATE();
    case 228:
      if (lookahead == 'b') ADVANCE(229);
      END_STATE();
    case 229:
      if (lookahead == 'o') ADVANCE(230);
      END_STATE();
    case 230:
      if (lookahead == 'l') ADVANCE(231);
      END_STATE();
    case 231:
      if (lookahead == '_') ADVANCE(232);
      END_STATE();
    case 232:
      if (lookahead == 'l') ADVANCE(233);
      END_STATE();
    case 233:
      if (lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(235);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 236:
      if (lookahead == 'r') ADVANCE(237);
      END_STATE();
    case 237:
      if (lookahead == 'a') ADVANCE(238);
      END_STATE();
    case 238:
      if (lookahead == 'l') ADVANCE(239);
      END_STATE();
    case 239:
      if (lookahead == '_') ADVANCE(240);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_symbol_literal);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 49, .external_lex_state = 2},
  [2] = {.lex_state = 50, .external_lex_state = 3},
  [3] = {.lex_state = 50, .external_lex_state = 3},
  [4] = {.lex_state = 50, .external_lex_state = 3},
  [5] = {.lex_state = 50, .external_lex_state = 3},
  [6] = {.lex_state = 50, .external_lex_state = 3},
  [7] = {.lex_state = 50, .external_lex_state = 3},
  [8] = {.lex_state = 50, .external_lex_state = 3},
  [9] = {.lex_state = 50, .external_lex_state = 3},
  [10] = {.lex_state = 50, .external_lex_state = 3},
  [11] = {.lex_state = 50, .external_lex_state = 3},
  [12] = {.lex_state = 50, .external_lex_state = 3},
  [13] = {.lex_state = 50, .external_lex_state = 3},
  [14] = {.lex_state = 50, .external_lex_state = 3},
  [15] = {.lex_state = 50, .external_lex_state = 3},
  [16] = {.lex_state = 50, .external_lex_state = 3},
  [17] = {.lex_state = 50, .external_lex_state = 3},
  [18] = {.lex_state = 50, .external_lex_state = 3},
  [19] = {.lex_state = 50, .external_lex_state = 3},
  [20] = {.lex_state = 50, .external_lex_state = 3},
  [21] = {.lex_state = 50, .external_lex_state = 3},
  [22] = {.lex_state = 50, .external_lex_state = 3},
  [23] = {.lex_state = 50, .external_lex_state = 3},
  [24] = {.lex_state = 50, .external_lex_state = 3},
  [25] = {.lex_state = 50, .external_lex_state = 3},
  [26] = {.lex_state = 50, .external_lex_state = 3},
  [27] = {.lex_state = 50, .external_lex_state = 3},
  [28] = {.lex_state = 50, .external_lex_state = 3},
  [29] = {.lex_state = 50, .external_lex_state = 3},
  [30] = {.lex_state = 50, .external_lex_state = 3},
  [31] = {.lex_state = 50, .external_lex_state = 3},
  [32] = {.lex_state = 50, .external_lex_state = 3},
  [33] = {.lex_state = 50, .external_lex_state = 3},
  [34] = {.lex_state = 50, .external_lex_state = 3},
  [35] = {.lex_state = 50, .external_lex_state = 3},
  [36] = {.lex_state = 50, .external_lex_state = 3},
  [37] = {.lex_state = 50, .external_lex_state = 3},
  [38] = {.lex_state = 50, .external_lex_state = 3},
  [39] = {.lex_state = 50, .external_lex_state = 3},
  [40] = {.lex_state = 50, .external_lex_state = 3},
  [41] = {.lex_state = 50, .external_lex_state = 3},
  [42] = {.lex_state = 50, .external_lex_state = 3},
  [43] = {.lex_state = 50, .external_lex_state = 3},
  [44] = {.lex_state = 50, .external_lex_state = 3},
  [45] = {.lex_state = 50, .external_lex_state = 3},
  [46] = {.lex_state = 50, .external_lex_state = 3},
  [47] = {.lex_state = 50, .external_lex_state = 3},
  [48] = {.lex_state = 50, .external_lex_state = 3},
  [49] = {.lex_state = 50, .external_lex_state = 3},
  [50] = {.lex_state = 50, .external_lex_state = 3},
  [51] = {.lex_state = 50, .external_lex_state = 3},
  [52] = {.lex_state = 50, .external_lex_state = 3},
  [53] = {.lex_state = 50, .external_lex_state = 3},
  [54] = {.lex_state = 50, .external_lex_state = 3},
  [55] = {.lex_state = 50, .external_lex_state = 3},
  [56] = {.lex_state = 50, .external_lex_state = 3},
  [57] = {.lex_state = 50, .external_lex_state = 3},
  [58] = {.lex_state = 50, .external_lex_state = 3},
  [59] = {.lex_state = 50, .external_lex_state = 3},
  [60] = {.lex_state = 50, .external_lex_state = 3},
  [61] = {.lex_state = 50, .external_lex_state = 3},
  [62] = {.lex_state = 50, .external_lex_state = 3},
  [63] = {.lex_state = 50, .external_lex_state = 3},
  [64] = {.lex_state = 50, .external_lex_state = 3},
  [65] = {.lex_state = 50, .external_lex_state = 3},
  [66] = {.lex_state = 50, .external_lex_state = 3},
  [67] = {.lex_state = 50, .external_lex_state = 3},
  [68] = {.lex_state = 50, .external_lex_state = 3},
  [69] = {.lex_state = 50, .external_lex_state = 3},
  [70] = {.lex_state = 50, .external_lex_state = 3},
  [71] = {.lex_state = 50, .external_lex_state = 3},
  [72] = {.lex_state = 50, .external_lex_state = 3},
  [73] = {.lex_state = 50, .external_lex_state = 3},
  [74] = {.lex_state = 50, .external_lex_state = 3},
  [75] = {.lex_state = 50, .external_lex_state = 3},
  [76] = {.lex_state = 50, .external_lex_state = 3},
  [77] = {.lex_state = 50, .external_lex_state = 3},
  [78] = {.lex_state = 50, .external_lex_state = 3},
  [79] = {.lex_state = 50, .external_lex_state = 3},
  [80] = {.lex_state = 50, .external_lex_state = 3},
  [81] = {.lex_state = 50, .external_lex_state = 3},
  [82] = {.lex_state = 50, .external_lex_state = 3},
  [83] = {.lex_state = 50, .external_lex_state = 3},
  [84] = {.lex_state = 50, .external_lex_state = 3},
  [85] = {.lex_state = 50, .external_lex_state = 3},
  [86] = {.lex_state = 50, .external_lex_state = 3},
  [87] = {.lex_state = 50, .external_lex_state = 3},
  [88] = {.lex_state = 50, .external_lex_state = 3},
  [89] = {.lex_state = 50, .external_lex_state = 3},
  [90] = {.lex_state = 50, .external_lex_state = 3},
  [91] = {.lex_state = 50, .external_lex_state = 3},
  [92] = {.lex_state = 50, .external_lex_state = 3},
  [93] = {.lex_state = 50, .external_lex_state = 3},
  [94] = {.lex_state = 50, .external_lex_state = 3},
  [95] = {.lex_state = 50, .external_lex_state = 3},
  [96] = {.lex_state = 50, .external_lex_state = 3},
  [97] = {.lex_state = 50, .external_lex_state = 3},
  [98] = {.lex_state = 50, .external_lex_state = 3},
  [99] = {.lex_state = 50, .external_lex_state = 3},
  [100] = {.lex_state = 50, .external_lex_state = 3},
  [101] = {.lex_state = 50, .external_lex_state = 3},
  [102] = {.lex_state = 50, .external_lex_state = 3},
  [103] = {.lex_state = 50, .external_lex_state = 3},
  [104] = {.lex_state = 50, .external_lex_state = 3},
  [105] = {.lex_state = 50, .external_lex_state = 3},
  [106] = {.lex_state = 50, .external_lex_state = 3},
  [107] = {.lex_state = 50, .external_lex_state = 3},
  [108] = {.lex_state = 50, .external_lex_state = 3},
  [109] = {.lex_state = 50, .external_lex_state = 3},
  [110] = {.lex_state = 50, .external_lex_state = 3},
  [111] = {.lex_state = 50, .external_lex_state = 3},
  [112] = {.lex_state = 50, .external_lex_state = 3},
  [113] = {.lex_state = 50, .external_lex_state = 3},
  [114] = {.lex_state = 50, .external_lex_state = 3},
  [115] = {.lex_state = 50, .external_lex_state = 3},
  [116] = {.lex_state = 50, .external_lex_state = 3},
  [117] = {.lex_state = 50, .external_lex_state = 3},
  [118] = {.lex_state = 50, .external_lex_state = 3},
  [119] = {.lex_state = 50, .external_lex_state = 3},
  [120] = {.lex_state = 50, .external_lex_state = 2},
  [121] = {.lex_state = 50, .external_lex_state = 2},
  [122] = {.lex_state = 50, .external_lex_state = 2},
  [123] = {.lex_state = 50, .external_lex_state = 2},
  [124] = {.lex_state = 50, .external_lex_state = 2},
  [125] = {.lex_state = 50, .external_lex_state = 2},
  [126] = {.lex_state = 50, .external_lex_state = 2},
  [127] = {.lex_state = 50, .external_lex_state = 2},
  [128] = {.lex_state = 50, .external_lex_state = 2},
  [129] = {.lex_state = 50, .external_lex_state = 2},
  [130] = {.lex_state = 50, .external_lex_state = 2},
  [131] = {.lex_state = 50, .external_lex_state = 2},
  [132] = {.lex_state = 50, .external_lex_state = 2},
  [133] = {.lex_state = 50, .external_lex_state = 2},
  [134] = {.lex_state = 50, .external_lex_state = 2},
  [135] = {.lex_state = 50, .external_lex_state = 2},
  [136] = {.lex_state = 50, .external_lex_state = 2},
  [137] = {.lex_state = 50, .external_lex_state = 2},
  [138] = {.lex_state = 50, .external_lex_state = 2},
  [139] = {.lex_state = 50, .external_lex_state = 2},
  [140] = {.lex_state = 50, .external_lex_state = 2},
  [141] = {.lex_state = 50, .external_lex_state = 2},
  [142] = {.lex_state = 50, .external_lex_state = 2},
  [143] = {.lex_state = 50, .external_lex_state = 2},
  [144] = {.lex_state = 50, .external_lex_state = 2},
  [145] = {.lex_state = 50, .external_lex_state = 2},
  [146] = {.lex_state = 50, .external_lex_state = 2},
  [147] = {.lex_state = 50, .external_lex_state = 2},
  [148] = {.lex_state = 50, .external_lex_state = 2},
  [149] = {.lex_state = 50, .external_lex_state = 2},
  [150] = {.lex_state = 50, .external_lex_state = 2},
  [151] = {.lex_state = 50, .external_lex_state = 2},
  [152] = {.lex_state = 50, .external_lex_state = 2},
  [153] = {.lex_state = 50, .external_lex_state = 2},
  [154] = {.lex_state = 50, .external_lex_state = 2},
  [155] = {.lex_state = 50, .external_lex_state = 2},
  [156] = {.lex_state = 50, .external_lex_state = 2},
  [157] = {.lex_state = 50, .external_lex_state = 2},
  [158] = {.lex_state = 50, .external_lex_state = 2},
  [159] = {.lex_state = 50, .external_lex_state = 4},
  [160] = {.lex_state = 50, .external_lex_state = 2},
  [161] = {.lex_state = 50, .external_lex_state = 2},
  [162] = {.lex_state = 50, .external_lex_state = 2},
  [163] = {.lex_state = 50, .external_lex_state = 2},
  [164] = {.lex_state = 50, .external_lex_state = 2},
  [165] = {.lex_state = 50, .external_lex_state = 2},
  [166] = {.lex_state = 50, .external_lex_state = 2},
  [167] = {.lex_state = 50, .external_lex_state = 2},
  [168] = {.lex_state = 50, .external_lex_state = 2},
  [169] = {.lex_state = 50, .external_lex_state = 2},
  [170] = {.lex_state = 50, .external_lex_state = 2},
  [171] = {.lex_state = 50, .external_lex_state = 2},
  [172] = {.lex_state = 50, .external_lex_state = 2},
  [173] = {.lex_state = 50, .external_lex_state = 2},
  [174] = {.lex_state = 50, .external_lex_state = 2},
  [175] = {.lex_state = 50, .external_lex_state = 2},
  [176] = {.lex_state = 50, .external_lex_state = 2},
  [177] = {.lex_state = 50, .external_lex_state = 2},
  [178] = {.lex_state = 50, .external_lex_state = 2},
  [179] = {.lex_state = 50, .external_lex_state = 2},
  [180] = {.lex_state = 50, .external_lex_state = 2},
  [181] = {.lex_state = 50, .external_lex_state = 2},
  [182] = {.lex_state = 50, .external_lex_state = 2},
  [183] = {.lex_state = 50, .external_lex_state = 2},
  [184] = {.lex_state = 50, .external_lex_state = 2},
  [185] = {.lex_state = 50, .external_lex_state = 2},
  [186] = {.lex_state = 50, .external_lex_state = 2},
  [187] = {.lex_state = 50, .external_lex_state = 2},
  [188] = {.lex_state = 50, .external_lex_state = 2},
  [189] = {.lex_state = 50, .external_lex_state = 2},
  [190] = {.lex_state = 50, .external_lex_state = 2},
  [191] = {.lex_state = 50, .external_lex_state = 2},
  [192] = {.lex_state = 50, .external_lex_state = 2},
  [193] = {.lex_state = 50, .external_lex_state = 2},
  [194] = {.lex_state = 50, .external_lex_state = 2},
  [195] = {.lex_state = 50, .external_lex_state = 2},
  [196] = {.lex_state = 50, .external_lex_state = 2},
  [197] = {.lex_state = 50, .external_lex_state = 2},
  [198] = {.lex_state = 50, .external_lex_state = 2},
  [199] = {.lex_state = 50, .external_lex_state = 2},
  [200] = {.lex_state = 50, .external_lex_state = 2},
  [201] = {.lex_state = 50, .external_lex_state = 2},
  [202] = {.lex_state = 50, .external_lex_state = 2},
  [203] = {.lex_state = 50, .external_lex_state = 2},
  [204] = {.lex_state = 50, .external_lex_state = 2},
  [205] = {.lex_state = 50, .external_lex_state = 2},
  [206] = {.lex_state = 50, .external_lex_state = 2},
  [207] = {.lex_state = 50, .external_lex_state = 2},
  [208] = {.lex_state = 50, .external_lex_state = 2},
  [209] = {.lex_state = 50, .external_lex_state = 2},
  [210] = {.lex_state = 50, .external_lex_state = 2},
  [211] = {.lex_state = 50, .external_lex_state = 2},
  [212] = {.lex_state = 50, .external_lex_state = 2},
  [213] = {.lex_state = 50, .external_lex_state = 2},
  [214] = {.lex_state = 50, .external_lex_state = 2},
  [215] = {.lex_state = 50, .external_lex_state = 2},
  [216] = {.lex_state = 50, .external_lex_state = 2},
  [217] = {.lex_state = 50, .external_lex_state = 2},
  [218] = {.lex_state = 50, .external_lex_state = 2},
  [219] = {.lex_state = 50, .external_lex_state = 2},
  [220] = {.lex_state = 50, .external_lex_state = 2},
  [221] = {.lex_state = 50, .external_lex_state = 2},
  [222] = {.lex_state = 50, .external_lex_state = 2},
  [223] = {.lex_state = 50, .external_lex_state = 2},
  [224] = {.lex_state = 50, .external_lex_state = 2},
  [225] = {.lex_state = 50, .external_lex_state = 2},
  [226] = {.lex_state = 50, .external_lex_state = 2},
  [227] = {.lex_state = 50, .external_lex_state = 2},
  [228] = {.lex_state = 50, .external_lex_state = 2},
  [229] = {.lex_state = 50, .external_lex_state = 2},
  [230] = {.lex_state = 50, .external_lex_state = 2},
  [231] = {.lex_state = 50, .external_lex_state = 4},
  [232] = {.lex_state = 50, .external_lex_state = 2},
  [233] = {.lex_state = 50, .external_lex_state = 2},
  [234] = {.lex_state = 50, .external_lex_state = 2},
  [235] = {.lex_state = 50, .external_lex_state = 2},
  [236] = {.lex_state = 50, .external_lex_state = 2},
  [237] = {.lex_state = 50, .external_lex_state = 2},
  [238] = {.lex_state = 50, .external_lex_state = 2},
  [239] = {.lex_state = 50, .external_lex_state = 2},
  [240] = {.lex_state = 50, .external_lex_state = 2},
  [241] = {.lex_state = 50, .external_lex_state = 4},
  [242] = {.lex_state = 50, .external_lex_state = 2},
  [243] = {.lex_state = 50, .external_lex_state = 2},
  [244] = {.lex_state = 50, .external_lex_state = 2},
  [245] = {.lex_state = 50, .external_lex_state = 2},
  [246] = {.lex_state = 50, .external_lex_state = 2},
  [247] = {.lex_state = 50, .external_lex_state = 2},
  [248] = {.lex_state = 50, .external_lex_state = 2},
  [249] = {.lex_state = 50, .external_lex_state = 2},
  [250] = {.lex_state = 50, .external_lex_state = 2},
  [251] = {.lex_state = 50, .external_lex_state = 2},
  [252] = {.lex_state = 50, .external_lex_state = 2},
  [253] = {.lex_state = 50, .external_lex_state = 2},
  [254] = {.lex_state = 50, .external_lex_state = 2},
  [255] = {.lex_state = 50, .external_lex_state = 2},
  [256] = {.lex_state = 50, .external_lex_state = 2},
  [257] = {.lex_state = 50, .external_lex_state = 2},
  [258] = {.lex_state = 50, .external_lex_state = 2},
  [259] = {.lex_state = 50, .external_lex_state = 2},
  [260] = {.lex_state = 50, .external_lex_state = 2},
  [261] = {.lex_state = 50, .external_lex_state = 2},
  [262] = {.lex_state = 50, .external_lex_state = 2},
  [263] = {.lex_state = 50, .external_lex_state = 2},
  [264] = {.lex_state = 50, .external_lex_state = 2},
  [265] = {.lex_state = 50, .external_lex_state = 2},
  [266] = {.lex_state = 50, .external_lex_state = 2},
  [267] = {.lex_state = 50, .external_lex_state = 2},
  [268] = {.lex_state = 50, .external_lex_state = 2},
  [269] = {.lex_state = 50, .external_lex_state = 2},
  [270] = {.lex_state = 50, .external_lex_state = 2},
  [271] = {.lex_state = 50, .external_lex_state = 2},
  [272] = {.lex_state = 50, .external_lex_state = 2},
  [273] = {.lex_state = 50, .external_lex_state = 2},
  [274] = {.lex_state = 50, .external_lex_state = 2},
  [275] = {.lex_state = 50, .external_lex_state = 2},
  [276] = {.lex_state = 50, .external_lex_state = 2},
  [277] = {.lex_state = 50, .external_lex_state = 2},
  [278] = {.lex_state = 50, .external_lex_state = 2},
  [279] = {.lex_state = 50, .external_lex_state = 2},
  [280] = {.lex_state = 50, .external_lex_state = 2},
  [281] = {.lex_state = 50, .external_lex_state = 2},
  [282] = {.lex_state = 50, .external_lex_state = 2},
  [283] = {.lex_state = 50, .external_lex_state = 2},
  [284] = {.lex_state = 50, .external_lex_state = 2},
  [285] = {.lex_state = 50, .external_lex_state = 2},
  [286] = {.lex_state = 50, .external_lex_state = 2},
  [287] = {.lex_state = 50, .external_lex_state = 2},
  [288] = {.lex_state = 50, .external_lex_state = 2},
  [289] = {.lex_state = 50, .external_lex_state = 2},
  [290] = {.lex_state = 50, .external_lex_state = 2},
  [291] = {.lex_state = 50, .external_lex_state = 2},
  [292] = {.lex_state = 50, .external_lex_state = 2},
  [293] = {.lex_state = 50, .external_lex_state = 2},
  [294] = {.lex_state = 50, .external_lex_state = 2},
  [295] = {.lex_state = 50, .external_lex_state = 2},
  [296] = {.lex_state = 50, .external_lex_state = 2},
  [297] = {.lex_state = 50, .external_lex_state = 2},
  [298] = {.lex_state = 50, .external_lex_state = 2},
  [299] = {.lex_state = 50, .external_lex_state = 3},
  [300] = {.lex_state = 50, .external_lex_state = 2},
  [301] = {.lex_state = 50, .external_lex_state = 2},
  [302] = {.lex_state = 50, .external_lex_state = 2},
  [303] = {.lex_state = 50, .external_lex_state = 2},
  [304] = {.lex_state = 50, .external_lex_state = 2},
  [305] = {.lex_state = 50, .external_lex_state = 2},
  [306] = {.lex_state = 50, .external_lex_state = 2},
  [307] = {.lex_state = 50, .external_lex_state = 2},
  [308] = {.lex_state = 50, .external_lex_state = 2},
  [309] = {.lex_state = 50, .external_lex_state = 2},
  [310] = {.lex_state = 50, .external_lex_state = 2},
  [311] = {.lex_state = 50, .external_lex_state = 2},
  [312] = {.lex_state = 50, .external_lex_state = 2},
  [313] = {.lex_state = 50, .external_lex_state = 2},
  [314] = {.lex_state = 50, .external_lex_state = 2},
  [315] = {.lex_state = 50, .external_lex_state = 2},
  [316] = {.lex_state = 50, .external_lex_state = 2},
  [317] = {.lex_state = 50, .external_lex_state = 2},
  [318] = {.lex_state = 50, .external_lex_state = 2},
  [319] = {.lex_state = 50, .external_lex_state = 2},
  [320] = {.lex_state = 50, .external_lex_state = 2},
  [321] = {.lex_state = 50, .external_lex_state = 2},
  [322] = {.lex_state = 50, .external_lex_state = 2},
  [323] = {.lex_state = 50, .external_lex_state = 2},
  [324] = {.lex_state = 50, .external_lex_state = 2},
  [325] = {.lex_state = 50, .external_lex_state = 2},
  [326] = {.lex_state = 50, .external_lex_state = 2},
  [327] = {.lex_state = 50, .external_lex_state = 2},
  [328] = {.lex_state = 50, .external_lex_state = 2},
  [329] = {.lex_state = 50, .external_lex_state = 2},
  [330] = {.lex_state = 50, .external_lex_state = 2},
  [331] = {.lex_state = 50, .external_lex_state = 2},
  [332] = {.lex_state = 50, .external_lex_state = 2},
  [333] = {.lex_state = 50, .external_lex_state = 2},
  [334] = {.lex_state = 50, .external_lex_state = 2},
  [335] = {.lex_state = 50, .external_lex_state = 2},
  [336] = {.lex_state = 50, .external_lex_state = 2},
  [337] = {.lex_state = 50, .external_lex_state = 2},
  [338] = {.lex_state = 50, .external_lex_state = 2},
  [339] = {.lex_state = 50, .external_lex_state = 2},
  [340] = {.lex_state = 50, .external_lex_state = 2},
  [341] = {.lex_state = 50, .external_lex_state = 2},
  [342] = {.lex_state = 50, .external_lex_state = 2},
  [343] = {.lex_state = 50, .external_lex_state = 2},
  [344] = {.lex_state = 50, .external_lex_state = 2},
  [345] = {.lex_state = 50, .external_lex_state = 2},
  [346] = {.lex_state = 50, .external_lex_state = 2},
  [347] = {.lex_state = 50, .external_lex_state = 2},
  [348] = {.lex_state = 50, .external_lex_state = 2},
  [349] = {.lex_state = 50, .external_lex_state = 2},
  [350] = {.lex_state = 50, .external_lex_state = 2},
  [351] = {.lex_state = 50, .external_lex_state = 2},
  [352] = {.lex_state = 50, .external_lex_state = 2},
  [353] = {.lex_state = 50, .external_lex_state = 2},
  [354] = {.lex_state = 50, .external_lex_state = 2},
  [355] = {.lex_state = 50, .external_lex_state = 2},
  [356] = {.lex_state = 50, .external_lex_state = 2},
  [357] = {.lex_state = 50, .external_lex_state = 2},
  [358] = {.lex_state = 50, .external_lex_state = 2},
  [359] = {.lex_state = 50, .external_lex_state = 2},
  [360] = {.lex_state = 50, .external_lex_state = 2},
  [361] = {.lex_state = 50, .external_lex_state = 2},
  [362] = {.lex_state = 50, .external_lex_state = 2},
  [363] = {.lex_state = 50, .external_lex_state = 2},
  [364] = {.lex_state = 50, .external_lex_state = 2},
  [365] = {.lex_state = 50, .external_lex_state = 2},
  [366] = {.lex_state = 50, .external_lex_state = 2},
  [367] = {.lex_state = 50, .external_lex_state = 2},
  [368] = {.lex_state = 50, .external_lex_state = 2},
  [369] = {.lex_state = 50, .external_lex_state = 2},
  [370] = {.lex_state = 50, .external_lex_state = 2},
  [371] = {.lex_state = 50, .external_lex_state = 2},
  [372] = {.lex_state = 50, .external_lex_state = 2},
  [373] = {.lex_state = 50, .external_lex_state = 2},
  [374] = {.lex_state = 50, .external_lex_state = 2},
  [375] = {.lex_state = 50, .external_lex_state = 2},
  [376] = {.lex_state = 50, .external_lex_state = 2},
  [377] = {.lex_state = 50, .external_lex_state = 2},
  [378] = {.lex_state = 50, .external_lex_state = 2},
  [379] = {.lex_state = 50, .external_lex_state = 2},
  [380] = {.lex_state = 50, .external_lex_state = 2},
  [381] = {.lex_state = 50, .external_lex_state = 2},
  [382] = {.lex_state = 50, .external_lex_state = 2},
  [383] = {.lex_state = 50, .external_lex_state = 2},
  [384] = {.lex_state = 50, .external_lex_state = 2},
  [385] = {.lex_state = 50, .external_lex_state = 2},
  [386] = {.lex_state = 50, .external_lex_state = 2},
  [387] = {.lex_state = 50, .external_lex_state = 2},
  [388] = {.lex_state = 50, .external_lex_state = 2},
  [389] = {.lex_state = 50, .external_lex_state = 2},
  [390] = {.lex_state = 50, .external_lex_state = 2},
  [391] = {.lex_state = 50, .external_lex_state = 2},
  [392] = {.lex_state = 50, .external_lex_state = 2},
  [393] = {.lex_state = 50, .external_lex_state = 2},
  [394] = {.lex_state = 50, .external_lex_state = 4},
  [395] = {.lex_state = 50, .external_lex_state = 2},
  [396] = {.lex_state = 50, .external_lex_state = 2},
  [397] = {.lex_state = 50, .external_lex_state = 2},
  [398] = {.lex_state = 50, .external_lex_state = 2},
  [399] = {.lex_state = 50, .external_lex_state = 2},
  [400] = {.lex_state = 50, .external_lex_state = 2},
  [401] = {.lex_state = 50, .external_lex_state = 2},
  [402] = {.lex_state = 50, .external_lex_state = 2},
  [403] = {.lex_state = 50, .external_lex_state = 2},
  [404] = {.lex_state = 50, .external_lex_state = 2},
  [405] = {.lex_state = 50, .external_lex_state = 2},
  [406] = {.lex_state = 50, .external_lex_state = 2},
  [407] = {.lex_state = 50, .external_lex_state = 2},
  [408] = {.lex_state = 50, .external_lex_state = 2},
  [409] = {.lex_state = 50, .external_lex_state = 2},
  [410] = {.lex_state = 50, .external_lex_state = 2},
  [411] = {.lex_state = 50, .external_lex_state = 2},
  [412] = {.lex_state = 50, .external_lex_state = 2},
  [413] = {.lex_state = 50, .external_lex_state = 2},
  [414] = {.lex_state = 50, .external_lex_state = 4},
  [415] = {.lex_state = 50, .external_lex_state = 2},
  [416] = {.lex_state = 50, .external_lex_state = 2},
  [417] = {.lex_state = 50, .external_lex_state = 2},
  [418] = {.lex_state = 50, .external_lex_state = 2},
  [419] = {.lex_state = 50, .external_lex_state = 2},
  [420] = {.lex_state = 50, .external_lex_state = 2},
  [421] = {.lex_state = 50, .external_lex_state = 2},
  [422] = {.lex_state = 50, .external_lex_state = 2},
  [423] = {.lex_state = 50, .external_lex_state = 2},
  [424] = {.lex_state = 50, .external_lex_state = 4},
  [425] = {.lex_state = 50, .external_lex_state = 2},
  [426] = {.lex_state = 50, .external_lex_state = 2},
  [427] = {.lex_state = 50, .external_lex_state = 2},
  [428] = {.lex_state = 50, .external_lex_state = 2},
  [429] = {.lex_state = 50, .external_lex_state = 2},
  [430] = {.lex_state = 50, .external_lex_state = 2},
  [431] = {.lex_state = 50, .external_lex_state = 2},
  [432] = {.lex_state = 50, .external_lex_state = 2},
  [433] = {.lex_state = 50, .external_lex_state = 2},
  [434] = {.lex_state = 50, .external_lex_state = 2},
  [435] = {.lex_state = 50, .external_lex_state = 2},
  [436] = {.lex_state = 50, .external_lex_state = 2},
  [437] = {.lex_state = 50, .external_lex_state = 2},
  [438] = {.lex_state = 50, .external_lex_state = 2},
  [439] = {.lex_state = 50, .external_lex_state = 2},
  [440] = {.lex_state = 50, .external_lex_state = 2},
  [441] = {.lex_state = 50, .external_lex_state = 2},
  [442] = {.lex_state = 50, .external_lex_state = 4},
  [443] = {.lex_state = 50, .external_lex_state = 2},
  [444] = {.lex_state = 50, .external_lex_state = 2},
  [445] = {.lex_state = 50, .external_lex_state = 2},
  [446] = {.lex_state = 50, .external_lex_state = 2},
  [447] = {.lex_state = 50, .external_lex_state = 2},
  [448] = {.lex_state = 50, .external_lex_state = 2},
  [449] = {.lex_state = 50, .external_lex_state = 2},
  [450] = {.lex_state = 50, .external_lex_state = 2},
  [451] = {.lex_state = 50, .external_lex_state = 2},
  [452] = {.lex_state = 50, .external_lex_state = 2},
  [453] = {.lex_state = 50, .external_lex_state = 2},
  [454] = {.lex_state = 50, .external_lex_state = 2},
  [455] = {.lex_state = 50, .external_lex_state = 2},
  [456] = {.lex_state = 50, .external_lex_state = 2},
  [457] = {.lex_state = 50, .external_lex_state = 2},
  [458] = {.lex_state = 50, .external_lex_state = 2},
  [459] = {.lex_state = 50, .external_lex_state = 2},
  [460] = {.lex_state = 50, .external_lex_state = 2},
  [461] = {.lex_state = 50, .external_lex_state = 2},
  [462] = {.lex_state = 50, .external_lex_state = 2},
  [463] = {.lex_state = 50, .external_lex_state = 2},
  [464] = {.lex_state = 50, .external_lex_state = 2},
  [465] = {.lex_state = 50, .external_lex_state = 2},
  [466] = {.lex_state = 50, .external_lex_state = 2},
  [467] = {.lex_state = 50, .external_lex_state = 2},
  [468] = {.lex_state = 50, .external_lex_state = 2},
  [469] = {.lex_state = 50, .external_lex_state = 2},
  [470] = {.lex_state = 50, .external_lex_state = 2},
  [471] = {.lex_state = 50, .external_lex_state = 2},
  [472] = {.lex_state = 50, .external_lex_state = 2},
  [473] = {.lex_state = 50, .external_lex_state = 2},
  [474] = {.lex_state = 50, .external_lex_state = 2},
  [475] = {.lex_state = 50, .external_lex_state = 2},
  [476] = {.lex_state = 50, .external_lex_state = 2},
  [477] = {.lex_state = 50, .external_lex_state = 2},
  [478] = {.lex_state = 50, .external_lex_state = 2},
  [479] = {.lex_state = 50, .external_lex_state = 2},
  [480] = {.lex_state = 50, .external_lex_state = 2},
  [481] = {.lex_state = 50, .external_lex_state = 2},
  [482] = {.lex_state = 50, .external_lex_state = 2},
  [483] = {.lex_state = 50, .external_lex_state = 2},
  [484] = {.lex_state = 50, .external_lex_state = 2},
  [485] = {.lex_state = 50, .external_lex_state = 2},
  [486] = {.lex_state = 50, .external_lex_state = 2},
  [487] = {.lex_state = 50, .external_lex_state = 2},
  [488] = {.lex_state = 50, .external_lex_state = 2},
  [489] = {.lex_state = 50, .external_lex_state = 2},
  [490] = {.lex_state = 50, .external_lex_state = 2},
  [491] = {.lex_state = 50, .external_lex_state = 2},
  [492] = {.lex_state = 50, .external_lex_state = 2},
  [493] = {.lex_state = 50, .external_lex_state = 2},
  [494] = {.lex_state = 50, .external_lex_state = 2},
  [495] = {.lex_state = 50, .external_lex_state = 2},
  [496] = {.lex_state = 50, .external_lex_state = 2},
  [497] = {.lex_state = 50, .external_lex_state = 2},
  [498] = {.lex_state = 50, .external_lex_state = 2},
  [499] = {.lex_state = 50, .external_lex_state = 2},
  [500] = {.lex_state = 50, .external_lex_state = 2},
  [501] = {.lex_state = 50, .external_lex_state = 2},
  [502] = {.lex_state = 50, .external_lex_state = 2},
  [503] = {.lex_state = 50, .external_lex_state = 2},
  [504] = {.lex_state = 50, .external_lex_state = 2},
  [505] = {.lex_state = 50, .external_lex_state = 2},
  [506] = {.lex_state = 50, .external_lex_state = 2},
  [507] = {.lex_state = 50, .external_lex_state = 2},
  [508] = {.lex_state = 50, .external_lex_state = 2},
  [509] = {.lex_state = 50, .external_lex_state = 2},
  [510] = {.lex_state = 50, .external_lex_state = 2},
  [511] = {.lex_state = 50, .external_lex_state = 4},
  [512] = {.lex_state = 50, .external_lex_state = 2},
  [513] = {.lex_state = 50, .external_lex_state = 2},
  [514] = {.lex_state = 50, .external_lex_state = 2},
  [515] = {.lex_state = 50, .external_lex_state = 2},
  [516] = {.lex_state = 50, .external_lex_state = 2},
  [517] = {.lex_state = 50, .external_lex_state = 4},
  [518] = {.lex_state = 50, .external_lex_state = 2},
  [519] = {.lex_state = 50, .external_lex_state = 2},
  [520] = {.lex_state = 50, .external_lex_state = 2},
  [521] = {.lex_state = 50, .external_lex_state = 5},
  [522] = {.lex_state = 50, .external_lex_state = 3},
  [523] = {.lex_state = 50, .external_lex_state = 3},
  [524] = {.lex_state = 50, .external_lex_state = 2},
  [525] = {.lex_state = 50, .external_lex_state = 2},
  [526] = {.lex_state = 50, .external_lex_state = 2},
  [527] = {.lex_state = 50, .external_lex_state = 2},
  [528] = {.lex_state = 50, .external_lex_state = 2},
  [529] = {.lex_state = 50, .external_lex_state = 6},
  [530] = {.lex_state = 50, .external_lex_state = 7},
  [531] = {.lex_state = 50, .external_lex_state = 8},
  [532] = {.lex_state = 50, .external_lex_state = 9},
  [533] = {.lex_state = 50, .external_lex_state = 10},
  [534] = {.lex_state = 50, .external_lex_state = 11},
  [535] = {.lex_state = 50, .external_lex_state = 12},
  [536] = {.lex_state = 50, .external_lex_state = 6},
  [537] = {.lex_state = 50, .external_lex_state = 9},
  [538] = {.lex_state = 50, .external_lex_state = 13},
  [539] = {.lex_state = 50, .external_lex_state = 11},
  [540] = {.lex_state = 50, .external_lex_state = 14},
  [541] = {.lex_state = 50, .external_lex_state = 15},
  [542] = {.lex_state = 50, .external_lex_state = 6},
  [543] = {.lex_state = 50, .external_lex_state = 6},
  [544] = {.lex_state = 50, .external_lex_state = 16},
  [545] = {.lex_state = 50, .external_lex_state = 6},
  [546] = {.lex_state = 50, .external_lex_state = 8},
  [547] = {.lex_state = 50, .external_lex_state = 17},
  [548] = {.lex_state = 50, .external_lex_state = 7},
  [549] = {.lex_state = 50, .external_lex_state = 11},
  [550] = {.lex_state = 50, .external_lex_state = 18},
  [551] = {.lex_state = 50, .external_lex_state = 8},
  [552] = {.lex_state = 50, .external_lex_state = 13},
  [553] = {.lex_state = 50, .external_lex_state = 6},
  [554] = {.lex_state = 50, .external_lex_state = 19},
  [555] = {.lex_state = 50, .external_lex_state = 7},
  [556] = {.lex_state = 50, .external_lex_state = 7},
  [557] = {.lex_state = 50, .external_lex_state = 8},
  [558] = {.lex_state = 50, .external_lex_state = 14},
  [559] = {.lex_state = 50, .external_lex_state = 20},
  [560] = {.lex_state = 50, .external_lex_state = 15},
  [561] = {.lex_state = 50, .external_lex_state = 8},
  [562] = {.lex_state = 50, .external_lex_state = 7},
  [563] = {.lex_state = 50, .external_lex_state = 18},
  [564] = {.lex_state = 50, .external_lex_state = 12},
  [565] = {.lex_state = 50, .external_lex_state = 21},
  [566] = {.lex_state = 50, .external_lex_state = 13},
  [567] = {.lex_state = 50, .external_lex_state = 10},
  [568] = {.lex_state = 50, .external_lex_state = 7},
  [569] = {.lex_state = 50, .external_lex_state = 12},
  [570] = {.lex_state = 50, .external_lex_state = 19},
  [571] = {.lex_state = 50, .external_lex_state = 17},
  [572] = {.lex_state = 50, .external_lex_state = 12},
  [573] = {.lex_state = 50, .external_lex_state = 10},
  [574] = {.lex_state = 50, .external_lex_state = 15},
  [575] = {.lex_state = 50, .external_lex_state = 8},
  [576] = {.lex_state = 50, .external_lex_state = 22},
  [577] = {.lex_state = 50, .external_lex_state = 10},
  [578] = {.lex_state = 50, .external_lex_state = 20},
  [579] = {.lex_state = 50, .external_lex_state = 16},
  [580] = {.lex_state = 50, .external_lex_state = 3},
  [581] = {.lex_state = 50, .external_lex_state = 9},
  [582] = {.lex_state = 50, .external_lex_state = 3},
  [583] = {.lex_state = 50, .external_lex_state = 3},
  [584] = {.lex_state = 50, .external_lex_state = 3},
  [585] = {.lex_state = 50, .external_lex_state = 3},
  [586] = {.lex_state = 50, .external_lex_state = 3},
  [587] = {.lex_state = 50, .external_lex_state = 3},
  [588] = {.lex_state = 50, .external_lex_state = 19},
  [589] = {.lex_state = 50, .external_lex_state = 3},
  [590] = {.lex_state = 50, .external_lex_state = 3},
  [591] = {.lex_state = 50, .external_lex_state = 3},
  [592] = {.lex_state = 50, .external_lex_state = 3},
  [593] = {.lex_state = 50, .external_lex_state = 3},
  [594] = {.lex_state = 50, .external_lex_state = 20},
  [595] = {.lex_state = 50, .external_lex_state = 3},
  [596] = {.lex_state = 50, .external_lex_state = 3},
  [597] = {.lex_state = 50, .external_lex_state = 22},
  [598] = {.lex_state = 50, .external_lex_state = 19},
  [599] = {.lex_state = 50, .external_lex_state = 3},
  [600] = {.lex_state = 50, .external_lex_state = 3},
  [601] = {.lex_state = 50, .external_lex_state = 3},
  [602] = {.lex_state = 50, .external_lex_state = 3},
  [603] = {.lex_state = 50, .external_lex_state = 3},
  [604] = {.lex_state = 50, .external_lex_state = 3},
  [605] = {.lex_state = 50, .external_lex_state = 9},
  [606] = {.lex_state = 50, .external_lex_state = 3},
  [607] = {.lex_state = 50, .external_lex_state = 3},
  [608] = {.lex_state = 50, .external_lex_state = 3},
  [609] = {.lex_state = 50, .external_lex_state = 3},
  [610] = {.lex_state = 50, .external_lex_state = 12},
  [611] = {.lex_state = 50, .external_lex_state = 3},
  [612] = {.lex_state = 50, .external_lex_state = 3},
  [613] = {.lex_state = 50, .external_lex_state = 3},
  [614] = {.lex_state = 50, .external_lex_state = 3},
  [615] = {.lex_state = 50, .external_lex_state = 3},
  [616] = {.lex_state = 50, .external_lex_state = 3},
  [617] = {.lex_state = 50, .external_lex_state = 12},
  [618] = {.lex_state = 50, .external_lex_state = 3},
  [619] = {.lex_state = 50, .external_lex_state = 10},
  [620] = {.lex_state = 50, .external_lex_state = 3},
  [621] = {.lex_state = 50, .external_lex_state = 16},
  [622] = {.lex_state = 50, .external_lex_state = 3},
  [623] = {.lex_state = 50, .external_lex_state = 3},
  [624] = {.lex_state = 50, .external_lex_state = 3},
  [625] = {.lex_state = 50, .external_lex_state = 19},
  [626] = {.lex_state = 50, .external_lex_state = 10},
  [627] = {.lex_state = 50, .external_lex_state = 22},
  [628] = {.lex_state = 50, .external_lex_state = 21},
  [629] = {.lex_state = 50, .external_lex_state = 3},
  [630] = {.lex_state = 50, .external_lex_state = 2},
  [631] = {.lex_state = 50, .external_lex_state = 2},
  [632] = {.lex_state = 50, .external_lex_state = 2},
  [633] = {.lex_state = 50, .external_lex_state = 3},
  [634] = {.lex_state = 50, .external_lex_state = 2},
  [635] = {.lex_state = 50, .external_lex_state = 2},
  [636] = {.lex_state = 50, .external_lex_state = 2},
  [637] = {.lex_state = 50, .external_lex_state = 3},
  [638] = {.lex_state = 50, .external_lex_state = 2},
  [639] = {.lex_state = 50, .external_lex_state = 2},
  [640] = {.lex_state = 50, .external_lex_state = 3},
  [641] = {.lex_state = 50, .external_lex_state = 3},
  [642] = {.lex_state = 50, .external_lex_state = 3},
  [643] = {.lex_state = 50, .external_lex_state = 2},
  [644] = {.lex_state = 50, .external_lex_state = 2},
  [645] = {.lex_state = 50, .external_lex_state = 3},
  [646] = {.lex_state = 50, .external_lex_state = 14},
  [647] = {.lex_state = 50, .external_lex_state = 2},
  [648] = {.lex_state = 50, .external_lex_state = 3},
  [649] = {.lex_state = 50, .external_lex_state = 2},
  [650] = {.lex_state = 50, .external_lex_state = 2},
  [651] = {.lex_state = 50, .external_lex_state = 3},
  [652] = {.lex_state = 50, .external_lex_state = 3},
  [653] = {.lex_state = 50, .external_lex_state = 2},
  [654] = {.lex_state = 50, .external_lex_state = 2},
  [655] = {.lex_state = 50, .external_lex_state = 3},
  [656] = {.lex_state = 50, .external_lex_state = 3},
  [657] = {.lex_state = 50, .external_lex_state = 3},
  [658] = {.lex_state = 50, .external_lex_state = 3},
  [659] = {.lex_state = 50, .external_lex_state = 2},
  [660] = {.lex_state = 50, .external_lex_state = 3},
  [661] = {.lex_state = 50, .external_lex_state = 3},
  [662] = {.lex_state = 50, .external_lex_state = 3},
  [663] = {.lex_state = 50, .external_lex_state = 2},
  [664] = {.lex_state = 50, .external_lex_state = 2},
  [665] = {.lex_state = 50, .external_lex_state = 3},
  [666] = {.lex_state = 50, .external_lex_state = 2},
  [667] = {.lex_state = 50, .external_lex_state = 2},
  [668] = {.lex_state = 50, .external_lex_state = 3},
  [669] = {.lex_state = 50, .external_lex_state = 3},
  [670] = {.lex_state = 50, .external_lex_state = 3},
  [671] = {.lex_state = 50, .external_lex_state = 3},
  [672] = {.lex_state = 50, .external_lex_state = 3},
  [673] = {.lex_state = 50, .external_lex_state = 3},
  [674] = {.lex_state = 50, .external_lex_state = 3},
  [675] = {.lex_state = 50, .external_lex_state = 3},
  [676] = {.lex_state = 50, .external_lex_state = 3},
  [677] = {.lex_state = 50, .external_lex_state = 3},
  [678] = {.lex_state = 50, .external_lex_state = 3},
  [679] = {.lex_state = 50, .external_lex_state = 2},
  [680] = {.lex_state = 50, .external_lex_state = 3},
  [681] = {.lex_state = 50, .external_lex_state = 2},
  [682] = {.lex_state = 50, .external_lex_state = 3},
  [683] = {.lex_state = 50, .external_lex_state = 2},
  [684] = {.lex_state = 50, .external_lex_state = 2},
  [685] = {.lex_state = 50, .external_lex_state = 3},
  [686] = {.lex_state = 50, .external_lex_state = 3},
  [687] = {.lex_state = 50, .external_lex_state = 2},
  [688] = {.lex_state = 50, .external_lex_state = 3},
  [689] = {.lex_state = 50, .external_lex_state = 2},
  [690] = {.lex_state = 50, .external_lex_state = 3},
  [691] = {.lex_state = 50, .external_lex_state = 3},
  [692] = {.lex_state = 50, .external_lex_state = 3},
  [693] = {.lex_state = 50, .external_lex_state = 3},
  [694] = {.lex_state = 50, .external_lex_state = 3},
  [695] = {.lex_state = 50, .external_lex_state = 22},
  [696] = {.lex_state = 50, .external_lex_state = 3},
  [697] = {.lex_state = 50, .external_lex_state = 19},
  [698] = {.lex_state = 50, .external_lex_state = 3},
  [699] = {.lex_state = 50, .external_lex_state = 2},
  [700] = {.lex_state = 50, .external_lex_state = 3},
  [701] = {.lex_state = 50, .external_lex_state = 2},
  [702] = {.lex_state = 50, .external_lex_state = 2},
  [703] = {.lex_state = 50, .external_lex_state = 3},
  [704] = {.lex_state = 50, .external_lex_state = 3},
  [705] = {.lex_state = 50, .external_lex_state = 3},
  [706] = {.lex_state = 50, .external_lex_state = 2},
  [707] = {.lex_state = 50, .external_lex_state = 3},
  [708] = {.lex_state = 50, .external_lex_state = 3},
  [709] = {.lex_state = 50, .external_lex_state = 3},
  [710] = {.lex_state = 50, .external_lex_state = 2},
  [711] = {.lex_state = 50, .external_lex_state = 3},
  [712] = {.lex_state = 50, .external_lex_state = 2},
  [713] = {.lex_state = 50, .external_lex_state = 3},
  [714] = {.lex_state = 50, .external_lex_state = 2},
  [715] = {.lex_state = 50, .external_lex_state = 3},
  [716] = {.lex_state = 50, .external_lex_state = 2},
  [717] = {.lex_state = 50, .external_lex_state = 3},
  [718] = {.lex_state = 50, .external_lex_state = 2},
  [719] = {.lex_state = 50, .external_lex_state = 3},
  [720] = {.lex_state = 50, .external_lex_state = 3},
  [721] = {.lex_state = 50, .external_lex_state = 3},
  [722] = {.lex_state = 50, .external_lex_state = 3},
  [723] = {.lex_state = 50, .external_lex_state = 2},
  [724] = {.lex_state = 50, .external_lex_state = 19},
  [725] = {.lex_state = 50, .external_lex_state = 3},
  [726] = {.lex_state = 50, .external_lex_state = 3},
  [727] = {.lex_state = 50, .external_lex_state = 2},
  [728] = {.lex_state = 50, .external_lex_state = 3},
  [729] = {.lex_state = 50, .external_lex_state = 14},
  [730] = {.lex_state = 50, .external_lex_state = 3},
  [731] = {.lex_state = 50, .external_lex_state = 3},
  [732] = {.lex_state = 50, .external_lex_state = 2},
  [733] = {.lex_state = 50, .external_lex_state = 3},
  [734] = {.lex_state = 50, .external_lex_state = 2},
  [735] = {.lex_state = 50, .external_lex_state = 2},
  [736] = {.lex_state = 50, .external_lex_state = 3},
  [737] = {.lex_state = 50, .external_lex_state = 3},
  [738] = {.lex_state = 50, .external_lex_state = 3},
  [739] = {.lex_state = 50, .external_lex_state = 3},
  [740] = {.lex_state = 50, .external_lex_state = 3},
  [741] = {.lex_state = 50, .external_lex_state = 2},
  [742] = {.lex_state = 50, .external_lex_state = 2},
  [743] = {.lex_state = 50, .external_lex_state = 2},
  [744] = {.lex_state = 50, .external_lex_state = 3},
  [745] = {.lex_state = 50, .external_lex_state = 2},
  [746] = {.lex_state = 50, .external_lex_state = 3},
  [747] = {.lex_state = 50, .external_lex_state = 3},
  [748] = {.lex_state = 50, .external_lex_state = 3},
  [749] = {.lex_state = 50, .external_lex_state = 2},
  [750] = {.lex_state = 50, .external_lex_state = 3},
  [751] = {.lex_state = 50, .external_lex_state = 3},
  [752] = {.lex_state = 50, .external_lex_state = 3},
  [753] = {.lex_state = 50, .external_lex_state = 19},
  [754] = {.lex_state = 50, .external_lex_state = 3},
  [755] = {.lex_state = 50, .external_lex_state = 3},
  [756] = {.lex_state = 50, .external_lex_state = 2},
  [757] = {.lex_state = 50, .external_lex_state = 3},
  [758] = {.lex_state = 50, .external_lex_state = 2},
  [759] = {.lex_state = 50, .external_lex_state = 3},
  [760] = {.lex_state = 50, .external_lex_state = 3},
  [761] = {.lex_state = 50, .external_lex_state = 3},
  [762] = {.lex_state = 50, .external_lex_state = 3},
  [763] = {.lex_state = 50, .external_lex_state = 2},
  [764] = {.lex_state = 50, .external_lex_state = 3},
  [765] = {.lex_state = 50, .external_lex_state = 2},
  [766] = {.lex_state = 50, .external_lex_state = 3},
  [767] = {.lex_state = 50, .external_lex_state = 3},
  [768] = {.lex_state = 50, .external_lex_state = 3},
  [769] = {.lex_state = 50, .external_lex_state = 22},
  [770] = {.lex_state = 50, .external_lex_state = 3},
  [771] = {.lex_state = 50, .external_lex_state = 2},
  [772] = {.lex_state = 50, .external_lex_state = 3},
  [773] = {.lex_state = 50, .external_lex_state = 3},
  [774] = {.lex_state = 50, .external_lex_state = 3},
  [775] = {.lex_state = 50, .external_lex_state = 3},
  [776] = {.lex_state = 50, .external_lex_state = 2},
  [777] = {.lex_state = 50, .external_lex_state = 3},
  [778] = {.lex_state = 50, .external_lex_state = 3},
  [779] = {.lex_state = 50, .external_lex_state = 3},
  [780] = {.lex_state = 50, .external_lex_state = 3},
  [781] = {.lex_state = 50, .external_lex_state = 2},
  [782] = {.lex_state = 50, .external_lex_state = 3},
  [783] = {.lex_state = 50, .external_lex_state = 3},
  [784] = {.lex_state = 50, .external_lex_state = 3},
  [785] = {.lex_state = 50, .external_lex_state = 3},
  [786] = {.lex_state = 50, .external_lex_state = 3},
  [787] = {.lex_state = 50, .external_lex_state = 3},
  [788] = {.lex_state = 50, .external_lex_state = 3},
  [789] = {.lex_state = 50, .external_lex_state = 3},
  [790] = {.lex_state = 50, .external_lex_state = 3},
  [791] = {.lex_state = 50, .external_lex_state = 2},
  [792] = {.lex_state = 50, .external_lex_state = 3},
  [793] = {.lex_state = 50, .external_lex_state = 3},
  [794] = {.lex_state = 50, .external_lex_state = 2},
  [795] = {.lex_state = 50, .external_lex_state = 2},
  [796] = {.lex_state = 50, .external_lex_state = 2},
  [797] = {.lex_state = 50, .external_lex_state = 3},
  [798] = {.lex_state = 50, .external_lex_state = 3},
  [799] = {.lex_state = 50, .external_lex_state = 3},
  [800] = {.lex_state = 50, .external_lex_state = 3},
  [801] = {.lex_state = 50, .external_lex_state = 3},
  [802] = {.lex_state = 50, .external_lex_state = 3},
  [803] = {.lex_state = 50, .external_lex_state = 3},
  [804] = {.lex_state = 50, .external_lex_state = 2},
  [805] = {.lex_state = 50, .external_lex_state = 2},
  [806] = {.lex_state = 50, .external_lex_state = 3},
  [807] = {.lex_state = 50, .external_lex_state = 3},
  [808] = {.lex_state = 50, .external_lex_state = 3},
  [809] = {.lex_state = 50, .external_lex_state = 3},
  [810] = {.lex_state = 50, .external_lex_state = 3},
  [811] = {.lex_state = 50, .external_lex_state = 3},
  [812] = {.lex_state = 50, .external_lex_state = 3},
  [813] = {.lex_state = 50, .external_lex_state = 3},
  [814] = {.lex_state = 50, .external_lex_state = 3},
  [815] = {.lex_state = 50, .external_lex_state = 3},
  [816] = {.lex_state = 50, .external_lex_state = 3},
  [817] = {.lex_state = 50, .external_lex_state = 3},
  [818] = {.lex_state = 50, .external_lex_state = 3},
  [819] = {.lex_state = 50, .external_lex_state = 3},
  [820] = {.lex_state = 50, .external_lex_state = 3},
  [821] = {.lex_state = 50, .external_lex_state = 3},
  [822] = {.lex_state = 50, .external_lex_state = 3},
  [823] = {.lex_state = 50, .external_lex_state = 3},
  [824] = {.lex_state = 50, .external_lex_state = 3},
  [825] = {.lex_state = 50, .external_lex_state = 3},
  [826] = {.lex_state = 50, .external_lex_state = 3},
  [827] = {.lex_state = 50, .external_lex_state = 3},
  [828] = {.lex_state = 50, .external_lex_state = 3},
  [829] = {.lex_state = 50, .external_lex_state = 3},
  [830] = {.lex_state = 50, .external_lex_state = 3},
  [831] = {.lex_state = 50, .external_lex_state = 3},
  [832] = {.lex_state = 50, .external_lex_state = 3},
  [833] = {.lex_state = 50, .external_lex_state = 3},
  [834] = {.lex_state = 50, .external_lex_state = 3},
  [835] = {.lex_state = 50, .external_lex_state = 3},
  [836] = {.lex_state = 50, .external_lex_state = 3},
  [837] = {.lex_state = 50, .external_lex_state = 3},
  [838] = {.lex_state = 50, .external_lex_state = 3},
  [839] = {.lex_state = 50, .external_lex_state = 3},
  [840] = {.lex_state = 50, .external_lex_state = 3},
  [841] = {.lex_state = 50, .external_lex_state = 3},
  [842] = {.lex_state = 50, .external_lex_state = 3},
  [843] = {.lex_state = 50, .external_lex_state = 3},
  [844] = {.lex_state = 50, .external_lex_state = 3},
  [845] = {.lex_state = 50, .external_lex_state = 3},
  [846] = {.lex_state = 50, .external_lex_state = 3},
  [847] = {.lex_state = 50, .external_lex_state = 3},
  [848] = {.lex_state = 50, .external_lex_state = 3},
  [849] = {.lex_state = 50, .external_lex_state = 3},
  [850] = {.lex_state = 50, .external_lex_state = 3},
  [851] = {.lex_state = 50, .external_lex_state = 3},
  [852] = {.lex_state = 50, .external_lex_state = 3},
  [853] = {.lex_state = 50, .external_lex_state = 3},
  [854] = {.lex_state = 50, .external_lex_state = 3},
  [855] = {.lex_state = 50, .external_lex_state = 3},
  [856] = {.lex_state = 50, .external_lex_state = 3},
  [857] = {.lex_state = 50, .external_lex_state = 3},
  [858] = {.lex_state = 50, .external_lex_state = 3},
  [859] = {.lex_state = 50, .external_lex_state = 3},
  [860] = {.lex_state = 50, .external_lex_state = 3},
  [861] = {.lex_state = 50, .external_lex_state = 3},
  [862] = {.lex_state = 50, .external_lex_state = 3},
  [863] = {.lex_state = 50, .external_lex_state = 3},
  [864] = {.lex_state = 50, .external_lex_state = 3},
  [865] = {.lex_state = 50, .external_lex_state = 3},
  [866] = {.lex_state = 50, .external_lex_state = 3},
  [867] = {.lex_state = 50, .external_lex_state = 3},
  [868] = {.lex_state = 50, .external_lex_state = 3},
  [869] = {.lex_state = 50, .external_lex_state = 3},
  [870] = {.lex_state = 50, .external_lex_state = 3},
  [871] = {.lex_state = 50, .external_lex_state = 3},
  [872] = {.lex_state = 50, .external_lex_state = 3},
  [873] = {.lex_state = 50, .external_lex_state = 3},
  [874] = {.lex_state = 50, .external_lex_state = 3},
  [875] = {.lex_state = 50, .external_lex_state = 3},
  [876] = {.lex_state = 50, .external_lex_state = 3},
  [877] = {.lex_state = 50, .external_lex_state = 3},
  [878] = {.lex_state = 50, .external_lex_state = 3},
  [879] = {.lex_state = 50, .external_lex_state = 3},
  [880] = {.lex_state = 50, .external_lex_state = 3},
  [881] = {.lex_state = 50, .external_lex_state = 3},
  [882] = {.lex_state = 50, .external_lex_state = 3},
  [883] = {.lex_state = 50, .external_lex_state = 3},
  [884] = {.lex_state = 50, .external_lex_state = 3},
  [885] = {.lex_state = 50, .external_lex_state = 3},
  [886] = {.lex_state = 50, .external_lex_state = 3},
  [887] = {.lex_state = 50, .external_lex_state = 3},
  [888] = {.lex_state = 50, .external_lex_state = 3},
  [889] = {.lex_state = 50, .external_lex_state = 3},
  [890] = {.lex_state = 50, .external_lex_state = 3},
  [891] = {.lex_state = 50, .external_lex_state = 3},
  [892] = {.lex_state = 50, .external_lex_state = 3},
  [893] = {.lex_state = 50, .external_lex_state = 3},
  [894] = {.lex_state = 50, .external_lex_state = 3},
  [895] = {.lex_state = 50, .external_lex_state = 3},
  [896] = {.lex_state = 50, .external_lex_state = 3},
  [897] = {.lex_state = 50, .external_lex_state = 3},
  [898] = {.lex_state = 50, .external_lex_state = 3},
  [899] = {.lex_state = 50, .external_lex_state = 3},
  [900] = {.lex_state = 50, .external_lex_state = 3},
  [901] = {.lex_state = 50, .external_lex_state = 3},
  [902] = {.lex_state = 50, .external_lex_state = 3},
  [903] = {.lex_state = 50, .external_lex_state = 3},
  [904] = {.lex_state = 50, .external_lex_state = 3},
  [905] = {.lex_state = 50, .external_lex_state = 3},
  [906] = {.lex_state = 50, .external_lex_state = 3},
  [907] = {.lex_state = 50, .external_lex_state = 3},
  [908] = {.lex_state = 50, .external_lex_state = 3},
  [909] = {.lex_state = 50, .external_lex_state = 3},
  [910] = {.lex_state = 50, .external_lex_state = 3},
  [911] = {.lex_state = 50, .external_lex_state = 3},
  [912] = {.lex_state = 50, .external_lex_state = 3},
  [913] = {.lex_state = 50, .external_lex_state = 3},
  [914] = {.lex_state = 50, .external_lex_state = 3},
  [915] = {.lex_state = 50, .external_lex_state = 3},
  [916] = {.lex_state = 50, .external_lex_state = 3},
  [917] = {.lex_state = 50, .external_lex_state = 3},
  [918] = {.lex_state = 50, .external_lex_state = 3},
  [919] = {.lex_state = 50, .external_lex_state = 3},
  [920] = {.lex_state = 50, .external_lex_state = 3},
  [921] = {.lex_state = 50, .external_lex_state = 3},
  [922] = {.lex_state = 50, .external_lex_state = 3},
  [923] = {.lex_state = 50, .external_lex_state = 3},
  [924] = {.lex_state = 50, .external_lex_state = 3},
  [925] = {.lex_state = 50, .external_lex_state = 3},
  [926] = {.lex_state = 50, .external_lex_state = 3},
  [927] = {.lex_state = 50, .external_lex_state = 3},
  [928] = {.lex_state = 50, .external_lex_state = 3},
  [929] = {.lex_state = 50, .external_lex_state = 3},
  [930] = {.lex_state = 50, .external_lex_state = 3},
  [931] = {.lex_state = 50, .external_lex_state = 3},
  [932] = {.lex_state = 50, .external_lex_state = 17},
  [933] = {.lex_state = 50, .external_lex_state = 3},
  [934] = {.lex_state = 50, .external_lex_state = 3},
  [935] = {.lex_state = 50, .external_lex_state = 3},
  [936] = {.lex_state = 50, .external_lex_state = 3},
  [937] = {.lex_state = 50, .external_lex_state = 3},
  [938] = {.lex_state = 50, .external_lex_state = 3},
  [939] = {.lex_state = 50, .external_lex_state = 3},
  [940] = {.lex_state = 50, .external_lex_state = 3},
  [941] = {.lex_state = 50, .external_lex_state = 3},
  [942] = {.lex_state = 50, .external_lex_state = 3},
  [943] = {.lex_state = 50, .external_lex_state = 3},
  [944] = {.lex_state = 50, .external_lex_state = 3},
  [945] = {.lex_state = 50, .external_lex_state = 3},
  [946] = {.lex_state = 50, .external_lex_state = 3},
  [947] = {.lex_state = 50, .external_lex_state = 3},
  [948] = {.lex_state = 50, .external_lex_state = 3},
  [949] = {.lex_state = 50, .external_lex_state = 3},
  [950] = {.lex_state = 50, .external_lex_state = 3},
  [951] = {.lex_state = 50, .external_lex_state = 3},
  [952] = {.lex_state = 50, .external_lex_state = 3},
  [953] = {.lex_state = 50, .external_lex_state = 3},
  [954] = {.lex_state = 50, .external_lex_state = 3},
  [955] = {.lex_state = 50, .external_lex_state = 3},
  [956] = {.lex_state = 50, .external_lex_state = 3},
  [957] = {.lex_state = 50, .external_lex_state = 3},
  [958] = {.lex_state = 50, .external_lex_state = 3},
  [959] = {.lex_state = 50, .external_lex_state = 3},
  [960] = {.lex_state = 50, .external_lex_state = 3},
  [961] = {.lex_state = 50, .external_lex_state = 3},
  [962] = {.lex_state = 50, .external_lex_state = 3},
  [963] = {.lex_state = 50, .external_lex_state = 3},
  [964] = {.lex_state = 50, .external_lex_state = 3},
  [965] = {.lex_state = 50, .external_lex_state = 3},
  [966] = {.lex_state = 50, .external_lex_state = 3},
  [967] = {.lex_state = 50, .external_lex_state = 3},
  [968] = {.lex_state = 50, .external_lex_state = 3},
  [969] = {.lex_state = 50, .external_lex_state = 3},
  [970] = {.lex_state = 50, .external_lex_state = 3},
  [971] = {.lex_state = 50, .external_lex_state = 3},
  [972] = {.lex_state = 50, .external_lex_state = 3},
  [973] = {.lex_state = 50, .external_lex_state = 3},
  [974] = {.lex_state = 50, .external_lex_state = 3},
  [975] = {.lex_state = 50, .external_lex_state = 3},
  [976] = {.lex_state = 50, .external_lex_state = 3},
  [977] = {.lex_state = 50, .external_lex_state = 3},
  [978] = {.lex_state = 50, .external_lex_state = 3},
  [979] = {.lex_state = 50, .external_lex_state = 3},
  [980] = {.lex_state = 50, .external_lex_state = 3},
  [981] = {.lex_state = 50, .external_lex_state = 3},
  [982] = {.lex_state = 50, .external_lex_state = 3},
  [983] = {.lex_state = 50, .external_lex_state = 3},
  [984] = {.lex_state = 50, .external_lex_state = 3},
  [985] = {.lex_state = 50, .external_lex_state = 3},
  [986] = {.lex_state = 50, .external_lex_state = 3},
  [987] = {.lex_state = 50, .external_lex_state = 3},
  [988] = {.lex_state = 50, .external_lex_state = 3},
  [989] = {.lex_state = 50, .external_lex_state = 3},
  [990] = {.lex_state = 50, .external_lex_state = 3},
  [991] = {.lex_state = 50, .external_lex_state = 3},
  [992] = {.lex_state = 50, .external_lex_state = 3},
  [993] = {.lex_state = 50, .external_lex_state = 3},
  [994] = {.lex_state = 50, .external_lex_state = 3},
  [995] = {.lex_state = 50, .external_lex_state = 3},
  [996] = {.lex_state = 50, .external_lex_state = 3},
  [997] = {.lex_state = 50, .external_lex_state = 3},
  [998] = {.lex_state = 50, .external_lex_state = 3},
  [999] = {.lex_state = 50, .external_lex_state = 3},
  [1000] = {.lex_state = 50, .external_lex_state = 3},
  [1001] = {.lex_state = 50, .external_lex_state = 3},
  [1002] = {.lex_state = 50, .external_lex_state = 3},
  [1003] = {.lex_state = 50, .external_lex_state = 3},
  [1004] = {.lex_state = 50, .external_lex_state = 3},
  [1005] = {.lex_state = 50, .external_lex_state = 3},
  [1006] = {.lex_state = 50, .external_lex_state = 3},
  [1007] = {.lex_state = 50, .external_lex_state = 3},
  [1008] = {.lex_state = 50, .external_lex_state = 3},
  [1009] = {.lex_state = 50, .external_lex_state = 3},
  [1010] = {.lex_state = 50, .external_lex_state = 3},
  [1011] = {.lex_state = 50, .external_lex_state = 3},
  [1012] = {.lex_state = 50, .external_lex_state = 3},
  [1013] = {.lex_state = 50, .external_lex_state = 3},
  [1014] = {.lex_state = 50, .external_lex_state = 3},
  [1015] = {.lex_state = 50, .external_lex_state = 3},
  [1016] = {.lex_state = 50, .external_lex_state = 3},
  [1017] = {.lex_state = 50, .external_lex_state = 3},
  [1018] = {.lex_state = 50, .external_lex_state = 3},
  [1019] = {.lex_state = 50, .external_lex_state = 3},
  [1020] = {.lex_state = 50, .external_lex_state = 3},
  [1021] = {.lex_state = 50, .external_lex_state = 3},
  [1022] = {.lex_state = 50, .external_lex_state = 3},
  [1023] = {.lex_state = 50, .external_lex_state = 3},
  [1024] = {.lex_state = 50, .external_lex_state = 3},
  [1025] = {.lex_state = 50, .external_lex_state = 3},
  [1026] = {.lex_state = 50, .external_lex_state = 3},
  [1027] = {.lex_state = 50, .external_lex_state = 3},
  [1028] = {.lex_state = 50, .external_lex_state = 3},
  [1029] = {.lex_state = 50, .external_lex_state = 3},
  [1030] = {.lex_state = 50, .external_lex_state = 3},
  [1031] = {.lex_state = 50, .external_lex_state = 3},
  [1032] = {.lex_state = 50, .external_lex_state = 3},
  [1033] = {.lex_state = 50, .external_lex_state = 3},
  [1034] = {.lex_state = 50, .external_lex_state = 3},
  [1035] = {.lex_state = 50, .external_lex_state = 3},
  [1036] = {.lex_state = 50, .external_lex_state = 3},
  [1037] = {.lex_state = 50, .external_lex_state = 3},
  [1038] = {.lex_state = 50, .external_lex_state = 3},
  [1039] = {.lex_state = 50, .external_lex_state = 3},
  [1040] = {.lex_state = 50, .external_lex_state = 3},
  [1041] = {.lex_state = 50, .external_lex_state = 3},
  [1042] = {.lex_state = 50, .external_lex_state = 3},
  [1043] = {.lex_state = 50, .external_lex_state = 3},
  [1044] = {.lex_state = 50, .external_lex_state = 3},
  [1045] = {.lex_state = 50, .external_lex_state = 3},
  [1046] = {.lex_state = 50, .external_lex_state = 3},
  [1047] = {.lex_state = 50, .external_lex_state = 3},
  [1048] = {.lex_state = 50, .external_lex_state = 3},
  [1049] = {.lex_state = 50, .external_lex_state = 3},
  [1050] = {.lex_state = 50, .external_lex_state = 3},
  [1051] = {.lex_state = 50, .external_lex_state = 3},
  [1052] = {.lex_state = 50, .external_lex_state = 3},
  [1053] = {.lex_state = 50, .external_lex_state = 18},
  [1054] = {.lex_state = 50, .external_lex_state = 3},
  [1055] = {.lex_state = 50, .external_lex_state = 3},
  [1056] = {.lex_state = 50, .external_lex_state = 3},
  [1057] = {.lex_state = 50, .external_lex_state = 3},
  [1058] = {.lex_state = 50, .external_lex_state = 3},
  [1059] = {.lex_state = 50, .external_lex_state = 3},
  [1060] = {.lex_state = 50, .external_lex_state = 3},
  [1061] = {.lex_state = 50, .external_lex_state = 3},
  [1062] = {.lex_state = 50, .external_lex_state = 3},
  [1063] = {.lex_state = 50, .external_lex_state = 3},
  [1064] = {.lex_state = 50, .external_lex_state = 3},
  [1065] = {.lex_state = 50, .external_lex_state = 3},
  [1066] = {.lex_state = 50, .external_lex_state = 3},
  [1067] = {.lex_state = 50, .external_lex_state = 3},
  [1068] = {.lex_state = 50, .external_lex_state = 3},
  [1069] = {.lex_state = 50, .external_lex_state = 3},
  [1070] = {.lex_state = 50, .external_lex_state = 3},
  [1071] = {.lex_state = 50, .external_lex_state = 3},
  [1072] = {.lex_state = 50, .external_lex_state = 3},
  [1073] = {.lex_state = 50, .external_lex_state = 3},
  [1074] = {.lex_state = 50, .external_lex_state = 3},
  [1075] = {.lex_state = 50, .external_lex_state = 3},
  [1076] = {.lex_state = 50, .external_lex_state = 3},
  [1077] = {.lex_state = 50, .external_lex_state = 3},
  [1078] = {.lex_state = 50, .external_lex_state = 3},
  [1079] = {.lex_state = 50, .external_lex_state = 3},
  [1080] = {.lex_state = 50, .external_lex_state = 3},
  [1081] = {.lex_state = 50, .external_lex_state = 3},
  [1082] = {.lex_state = 50, .external_lex_state = 3},
  [1083] = {.lex_state = 50, .external_lex_state = 3},
  [1084] = {.lex_state = 50, .external_lex_state = 3},
  [1085] = {.lex_state = 50, .external_lex_state = 3},
  [1086] = {.lex_state = 50, .external_lex_state = 3},
  [1087] = {.lex_state = 50, .external_lex_state = 3},
  [1088] = {.lex_state = 50, .external_lex_state = 3},
  [1089] = {.lex_state = 50, .external_lex_state = 3},
  [1090] = {.lex_state = 50, .external_lex_state = 3},
  [1091] = {.lex_state = 50, .external_lex_state = 3},
  [1092] = {.lex_state = 50, .external_lex_state = 3},
  [1093] = {.lex_state = 50, .external_lex_state = 3},
  [1094] = {.lex_state = 50, .external_lex_state = 3},
  [1095] = {.lex_state = 50, .external_lex_state = 3},
  [1096] = {.lex_state = 50, .external_lex_state = 3},
  [1097] = {.lex_state = 50, .external_lex_state = 3},
  [1098] = {.lex_state = 50, .external_lex_state = 3},
  [1099] = {.lex_state = 50, .external_lex_state = 3},
  [1100] = {.lex_state = 50, .external_lex_state = 3},
  [1101] = {.lex_state = 50, .external_lex_state = 3},
  [1102] = {.lex_state = 50, .external_lex_state = 3},
  [1103] = {.lex_state = 50, .external_lex_state = 3},
  [1104] = {.lex_state = 50, .external_lex_state = 3},
  [1105] = {.lex_state = 50, .external_lex_state = 3},
  [1106] = {.lex_state = 50, .external_lex_state = 3},
  [1107] = {.lex_state = 50, .external_lex_state = 3},
  [1108] = {.lex_state = 50, .external_lex_state = 3},
  [1109] = {.lex_state = 50, .external_lex_state = 3},
  [1110] = {.lex_state = 50, .external_lex_state = 3},
  [1111] = {.lex_state = 50, .external_lex_state = 3},
  [1112] = {.lex_state = 50, .external_lex_state = 3},
  [1113] = {.lex_state = 50, .external_lex_state = 3},
  [1114] = {.lex_state = 50, .external_lex_state = 3},
  [1115] = {.lex_state = 50, .external_lex_state = 3},
  [1116] = {.lex_state = 50, .external_lex_state = 3},
  [1117] = {.lex_state = 50, .external_lex_state = 3},
  [1118] = {.lex_state = 50, .external_lex_state = 3},
  [1119] = {.lex_state = 50, .external_lex_state = 18},
  [1120] = {.lex_state = 50, .external_lex_state = 3},
  [1121] = {.lex_state = 50, .external_lex_state = 3},
  [1122] = {.lex_state = 50, .external_lex_state = 3},
  [1123] = {.lex_state = 50, .external_lex_state = 3},
  [1124] = {.lex_state = 50, .external_lex_state = 3},
  [1125] = {.lex_state = 50, .external_lex_state = 3},
  [1126] = {.lex_state = 50, .external_lex_state = 3},
  [1127] = {.lex_state = 50, .external_lex_state = 3},
  [1128] = {.lex_state = 50, .external_lex_state = 3},
  [1129] = {.lex_state = 50, .external_lex_state = 3},
  [1130] = {.lex_state = 50, .external_lex_state = 3},
  [1131] = {.lex_state = 50, .external_lex_state = 3},
  [1132] = {.lex_state = 50, .external_lex_state = 3},
  [1133] = {.lex_state = 50, .external_lex_state = 3},
  [1134] = {.lex_state = 50, .external_lex_state = 3},
  [1135] = {.lex_state = 50, .external_lex_state = 3},
  [1136] = {.lex_state = 50, .external_lex_state = 3},
  [1137] = {.lex_state = 50, .external_lex_state = 3},
  [1138] = {.lex_state = 50, .external_lex_state = 3},
  [1139] = {.lex_state = 50, .external_lex_state = 3},
  [1140] = {.lex_state = 50, .external_lex_state = 3},
  [1141] = {.lex_state = 50, .external_lex_state = 3},
  [1142] = {.lex_state = 50, .external_lex_state = 3},
  [1143] = {.lex_state = 50, .external_lex_state = 3},
  [1144] = {.lex_state = 50, .external_lex_state = 3},
  [1145] = {.lex_state = 50, .external_lex_state = 3},
  [1146] = {.lex_state = 50, .external_lex_state = 3},
  [1147] = {.lex_state = 50, .external_lex_state = 3},
  [1148] = {.lex_state = 50, .external_lex_state = 3},
  [1149] = {.lex_state = 50, .external_lex_state = 3},
  [1150] = {.lex_state = 50, .external_lex_state = 3},
  [1151] = {.lex_state = 50, .external_lex_state = 3},
  [1152] = {.lex_state = 50, .external_lex_state = 3},
  [1153] = {.lex_state = 50, .external_lex_state = 3},
  [1154] = {.lex_state = 50, .external_lex_state = 3},
  [1155] = {.lex_state = 50, .external_lex_state = 3},
  [1156] = {.lex_state = 50, .external_lex_state = 3},
  [1157] = {.lex_state = 50, .external_lex_state = 3},
  [1158] = {.lex_state = 50, .external_lex_state = 3},
  [1159] = {.lex_state = 50, .external_lex_state = 3},
  [1160] = {.lex_state = 50, .external_lex_state = 3},
  [1161] = {.lex_state = 50, .external_lex_state = 3},
  [1162] = {.lex_state = 50, .external_lex_state = 3},
  [1163] = {.lex_state = 50, .external_lex_state = 3},
  [1164] = {.lex_state = 50, .external_lex_state = 3},
  [1165] = {.lex_state = 50, .external_lex_state = 3},
  [1166] = {.lex_state = 50, .external_lex_state = 3},
  [1167] = {.lex_state = 50, .external_lex_state = 3},
  [1168] = {.lex_state = 50, .external_lex_state = 3},
  [1169] = {.lex_state = 50, .external_lex_state = 3},
  [1170] = {.lex_state = 50, .external_lex_state = 3},
  [1171] = {.lex_state = 50, .external_lex_state = 3},
  [1172] = {.lex_state = 50, .external_lex_state = 3},
  [1173] = {.lex_state = 50, .external_lex_state = 3},
  [1174] = {.lex_state = 50, .external_lex_state = 3},
  [1175] = {.lex_state = 50, .external_lex_state = 3},
  [1176] = {.lex_state = 50, .external_lex_state = 3},
  [1177] = {.lex_state = 50, .external_lex_state = 3},
  [1178] = {.lex_state = 50, .external_lex_state = 3},
  [1179] = {.lex_state = 50, .external_lex_state = 3},
  [1180] = {.lex_state = 50, .external_lex_state = 3},
  [1181] = {.lex_state = 50, .external_lex_state = 3},
  [1182] = {.lex_state = 50, .external_lex_state = 3},
  [1183] = {.lex_state = 50, .external_lex_state = 3},
  [1184] = {.lex_state = 50, .external_lex_state = 3},
  [1185] = {.lex_state = 50, .external_lex_state = 3},
  [1186] = {.lex_state = 50, .external_lex_state = 3},
  [1187] = {.lex_state = 50, .external_lex_state = 3},
  [1188] = {.lex_state = 50, .external_lex_state = 3},
  [1189] = {.lex_state = 50, .external_lex_state = 3},
  [1190] = {.lex_state = 50, .external_lex_state = 3},
  [1191] = {.lex_state = 50, .external_lex_state = 3},
  [1192] = {.lex_state = 50, .external_lex_state = 3},
  [1193] = {.lex_state = 50, .external_lex_state = 3},
  [1194] = {.lex_state = 50, .external_lex_state = 3},
  [1195] = {.lex_state = 50, .external_lex_state = 3},
  [1196] = {.lex_state = 50, .external_lex_state = 3},
  [1197] = {.lex_state = 50, .external_lex_state = 3},
  [1198] = {.lex_state = 50, .external_lex_state = 3},
  [1199] = {.lex_state = 50, .external_lex_state = 3},
  [1200] = {.lex_state = 50, .external_lex_state = 3},
  [1201] = {.lex_state = 2, .external_lex_state = 2},
  [1202] = {.lex_state = 50, .external_lex_state = 3},
  [1203] = {.lex_state = 50, .external_lex_state = 3},
  [1204] = {.lex_state = 50, .external_lex_state = 3},
  [1205] = {.lex_state = 50, .external_lex_state = 3},
  [1206] = {.lex_state = 50, .external_lex_state = 3},
  [1207] = {.lex_state = 50, .external_lex_state = 3},
  [1208] = {.lex_state = 50, .external_lex_state = 3},
  [1209] = {.lex_state = 50, .external_lex_state = 3},
  [1210] = {.lex_state = 50, .external_lex_state = 3},
  [1211] = {.lex_state = 50, .external_lex_state = 3},
  [1212] = {.lex_state = 50, .external_lex_state = 3},
  [1213] = {.lex_state = 50, .external_lex_state = 3},
  [1214] = {.lex_state = 50, .external_lex_state = 3},
  [1215] = {.lex_state = 50, .external_lex_state = 3},
  [1216] = {.lex_state = 50, .external_lex_state = 3},
  [1217] = {.lex_state = 50, .external_lex_state = 3},
  [1218] = {.lex_state = 50, .external_lex_state = 3},
  [1219] = {.lex_state = 50, .external_lex_state = 3},
  [1220] = {.lex_state = 50, .external_lex_state = 3},
  [1221] = {.lex_state = 50, .external_lex_state = 3},
  [1222] = {.lex_state = 50, .external_lex_state = 3},
  [1223] = {.lex_state = 50, .external_lex_state = 3},
  [1224] = {.lex_state = 50, .external_lex_state = 3},
  [1225] = {.lex_state = 50, .external_lex_state = 3},
  [1226] = {.lex_state = 50, .external_lex_state = 3},
  [1227] = {.lex_state = 50, .external_lex_state = 3},
  [1228] = {.lex_state = 50, .external_lex_state = 3},
  [1229] = {.lex_state = 50, .external_lex_state = 3},
  [1230] = {.lex_state = 50, .external_lex_state = 3},
  [1231] = {.lex_state = 50, .external_lex_state = 3},
  [1232] = {.lex_state = 50, .external_lex_state = 3},
  [1233] = {.lex_state = 50, .external_lex_state = 3},
  [1234] = {.lex_state = 50, .external_lex_state = 3},
  [1235] = {.lex_state = 50, .external_lex_state = 3},
  [1236] = {.lex_state = 50, .external_lex_state = 3},
  [1237] = {.lex_state = 50, .external_lex_state = 3},
  [1238] = {.lex_state = 50, .external_lex_state = 3},
  [1239] = {.lex_state = 50, .external_lex_state = 3},
  [1240] = {.lex_state = 50, .external_lex_state = 3},
  [1241] = {.lex_state = 50, .external_lex_state = 3},
  [1242] = {.lex_state = 50, .external_lex_state = 3},
  [1243] = {.lex_state = 50, .external_lex_state = 3},
  [1244] = {.lex_state = 50, .external_lex_state = 3},
  [1245] = {.lex_state = 50, .external_lex_state = 3},
  [1246] = {.lex_state = 50, .external_lex_state = 3},
  [1247] = {.lex_state = 50, .external_lex_state = 3},
  [1248] = {.lex_state = 50, .external_lex_state = 3},
  [1249] = {.lex_state = 50, .external_lex_state = 3},
  [1250] = {.lex_state = 50, .external_lex_state = 3},
  [1251] = {.lex_state = 50, .external_lex_state = 3},
  [1252] = {.lex_state = 50, .external_lex_state = 3},
  [1253] = {.lex_state = 50, .external_lex_state = 3},
  [1254] = {.lex_state = 50, .external_lex_state = 3},
  [1255] = {.lex_state = 50, .external_lex_state = 3},
  [1256] = {.lex_state = 50, .external_lex_state = 3},
  [1257] = {.lex_state = 50, .external_lex_state = 3},
  [1258] = {.lex_state = 50, .external_lex_state = 3},
  [1259] = {.lex_state = 50, .external_lex_state = 3},
  [1260] = {.lex_state = 50, .external_lex_state = 3},
  [1261] = {.lex_state = 50, .external_lex_state = 3},
  [1262] = {.lex_state = 50, .external_lex_state = 3},
  [1263] = {.lex_state = 50, .external_lex_state = 3},
  [1264] = {.lex_state = 50, .external_lex_state = 3},
  [1265] = {.lex_state = 50, .external_lex_state = 3},
  [1266] = {.lex_state = 50, .external_lex_state = 3},
  [1267] = {.lex_state = 50, .external_lex_state = 3},
  [1268] = {.lex_state = 50, .external_lex_state = 3},
  [1269] = {.lex_state = 50, .external_lex_state = 3},
  [1270] = {.lex_state = 50, .external_lex_state = 3},
  [1271] = {.lex_state = 50, .external_lex_state = 3},
  [1272] = {.lex_state = 50, .external_lex_state = 3},
  [1273] = {.lex_state = 50, .external_lex_state = 3},
  [1274] = {.lex_state = 50, .external_lex_state = 3},
  [1275] = {.lex_state = 50, .external_lex_state = 3},
  [1276] = {.lex_state = 50, .external_lex_state = 3},
  [1277] = {.lex_state = 50, .external_lex_state = 3},
  [1278] = {.lex_state = 50, .external_lex_state = 3},
  [1279] = {.lex_state = 50, .external_lex_state = 3},
  [1280] = {.lex_state = 50, .external_lex_state = 3},
  [1281] = {.lex_state = 50, .external_lex_state = 3},
  [1282] = {.lex_state = 50, .external_lex_state = 3},
  [1283] = {.lex_state = 50, .external_lex_state = 3},
  [1284] = {.lex_state = 50, .external_lex_state = 3},
  [1285] = {.lex_state = 50, .external_lex_state = 3},
  [1286] = {.lex_state = 50, .external_lex_state = 3},
  [1287] = {.lex_state = 50, .external_lex_state = 3},
  [1288] = {.lex_state = 50, .external_lex_state = 3},
  [1289] = {.lex_state = 50, .external_lex_state = 3},
  [1290] = {.lex_state = 50, .external_lex_state = 3},
  [1291] = {.lex_state = 50, .external_lex_state = 3},
  [1292] = {.lex_state = 50, .external_lex_state = 3},
  [1293] = {.lex_state = 50, .external_lex_state = 3},
  [1294] = {.lex_state = 50, .external_lex_state = 3},
  [1295] = {.lex_state = 50, .external_lex_state = 3},
  [1296] = {.lex_state = 50, .external_lex_state = 3},
  [1297] = {.lex_state = 50, .external_lex_state = 3},
  [1298] = {.lex_state = 50, .external_lex_state = 3},
  [1299] = {.lex_state = 50, .external_lex_state = 3},
  [1300] = {.lex_state = 50, .external_lex_state = 3},
  [1301] = {.lex_state = 50, .external_lex_state = 3},
  [1302] = {.lex_state = 50, .external_lex_state = 3},
  [1303] = {.lex_state = 50, .external_lex_state = 3},
  [1304] = {.lex_state = 50, .external_lex_state = 3},
  [1305] = {.lex_state = 50, .external_lex_state = 3},
  [1306] = {.lex_state = 50, .external_lex_state = 3},
  [1307] = {.lex_state = 50, .external_lex_state = 3},
  [1308] = {.lex_state = 50, .external_lex_state = 3},
  [1309] = {.lex_state = 50, .external_lex_state = 3},
  [1310] = {.lex_state = 50, .external_lex_state = 3},
  [1311] = {.lex_state = 50, .external_lex_state = 3},
  [1312] = {.lex_state = 50, .external_lex_state = 3},
  [1313] = {.lex_state = 50, .external_lex_state = 3},
  [1314] = {.lex_state = 50, .external_lex_state = 3},
  [1315] = {.lex_state = 50, .external_lex_state = 3},
  [1316] = {.lex_state = 50, .external_lex_state = 3},
  [1317] = {.lex_state = 50, .external_lex_state = 3},
  [1318] = {.lex_state = 50, .external_lex_state = 3},
  [1319] = {.lex_state = 50, .external_lex_state = 3},
  [1320] = {.lex_state = 50, .external_lex_state = 3},
  [1321] = {.lex_state = 50, .external_lex_state = 3},
  [1322] = {.lex_state = 50, .external_lex_state = 3},
  [1323] = {.lex_state = 50, .external_lex_state = 3},
  [1324] = {.lex_state = 50, .external_lex_state = 3},
  [1325] = {.lex_state = 50, .external_lex_state = 3},
  [1326] = {.lex_state = 50, .external_lex_state = 3},
  [1327] = {.lex_state = 50, .external_lex_state = 3},
  [1328] = {.lex_state = 50, .external_lex_state = 3},
  [1329] = {.lex_state = 50, .external_lex_state = 3},
  [1330] = {.lex_state = 50, .external_lex_state = 3},
  [1331] = {.lex_state = 50, .external_lex_state = 3},
  [1332] = {.lex_state = 50, .external_lex_state = 3},
  [1333] = {.lex_state = 50, .external_lex_state = 17},
  [1334] = {.lex_state = 50, .external_lex_state = 3},
  [1335] = {.lex_state = 50, .external_lex_state = 3},
  [1336] = {.lex_state = 50, .external_lex_state = 3},
  [1337] = {.lex_state = 50, .external_lex_state = 3},
  [1338] = {.lex_state = 50, .external_lex_state = 3},
  [1339] = {.lex_state = 50, .external_lex_state = 3},
  [1340] = {.lex_state = 50, .external_lex_state = 3},
  [1341] = {.lex_state = 50, .external_lex_state = 3},
  [1342] = {.lex_state = 50, .external_lex_state = 3},
  [1343] = {.lex_state = 50, .external_lex_state = 3},
  [1344] = {.lex_state = 50, .external_lex_state = 3},
  [1345] = {.lex_state = 50, .external_lex_state = 3},
  [1346] = {.lex_state = 50, .external_lex_state = 3},
  [1347] = {.lex_state = 50, .external_lex_state = 3},
  [1348] = {.lex_state = 50, .external_lex_state = 3},
  [1349] = {.lex_state = 50, .external_lex_state = 3},
  [1350] = {.lex_state = 50, .external_lex_state = 3},
  [1351] = {.lex_state = 50, .external_lex_state = 3},
  [1352] = {.lex_state = 50, .external_lex_state = 3},
  [1353] = {.lex_state = 50, .external_lex_state = 3},
  [1354] = {.lex_state = 50, .external_lex_state = 3},
  [1355] = {.lex_state = 50, .external_lex_state = 3},
  [1356] = {.lex_state = 50, .external_lex_state = 3},
  [1357] = {.lex_state = 50, .external_lex_state = 3},
  [1358] = {.lex_state = 50, .external_lex_state = 3},
  [1359] = {.lex_state = 50, .external_lex_state = 3},
  [1360] = {.lex_state = 50, .external_lex_state = 3},
  [1361] = {.lex_state = 50, .external_lex_state = 3},
  [1362] = {.lex_state = 50, .external_lex_state = 3},
  [1363] = {.lex_state = 50, .external_lex_state = 3},
  [1364] = {.lex_state = 50, .external_lex_state = 3},
  [1365] = {.lex_state = 50, .external_lex_state = 3},
  [1366] = {.lex_state = 50, .external_lex_state = 3},
  [1367] = {.lex_state = 50, .external_lex_state = 3},
  [1368] = {.lex_state = 50, .external_lex_state = 3},
  [1369] = {.lex_state = 50, .external_lex_state = 3},
  [1370] = {.lex_state = 50, .external_lex_state = 3},
  [1371] = {.lex_state = 50, .external_lex_state = 3},
  [1372] = {.lex_state = 50, .external_lex_state = 3},
  [1373] = {.lex_state = 50, .external_lex_state = 3},
  [1374] = {.lex_state = 50, .external_lex_state = 3},
  [1375] = {.lex_state = 50, .external_lex_state = 3},
  [1376] = {.lex_state = 50, .external_lex_state = 3},
  [1377] = {.lex_state = 50, .external_lex_state = 3},
  [1378] = {.lex_state = 50, .external_lex_state = 3},
  [1379] = {.lex_state = 50, .external_lex_state = 3},
  [1380] = {.lex_state = 50, .external_lex_state = 3},
  [1381] = {.lex_state = 50, .external_lex_state = 3},
  [1382] = {.lex_state = 50, .external_lex_state = 3},
  [1383] = {.lex_state = 50, .external_lex_state = 3},
  [1384] = {.lex_state = 50, .external_lex_state = 3},
  [1385] = {.lex_state = 50, .external_lex_state = 3},
  [1386] = {.lex_state = 50, .external_lex_state = 3},
  [1387] = {.lex_state = 50, .external_lex_state = 3},
  [1388] = {.lex_state = 50, .external_lex_state = 3},
  [1389] = {.lex_state = 50, .external_lex_state = 3},
  [1390] = {.lex_state = 50, .external_lex_state = 3},
  [1391] = {.lex_state = 50, .external_lex_state = 3},
  [1392] = {.lex_state = 50, .external_lex_state = 3},
  [1393] = {.lex_state = 50, .external_lex_state = 3},
  [1394] = {.lex_state = 50, .external_lex_state = 3},
  [1395] = {.lex_state = 50, .external_lex_state = 3},
  [1396] = {.lex_state = 50, .external_lex_state = 3},
  [1397] = {.lex_state = 50, .external_lex_state = 3},
  [1398] = {.lex_state = 50, .external_lex_state = 3},
  [1399] = {.lex_state = 50, .external_lex_state = 3},
  [1400] = {.lex_state = 50, .external_lex_state = 3},
  [1401] = {.lex_state = 50, .external_lex_state = 3},
  [1402] = {.lex_state = 50, .external_lex_state = 3},
  [1403] = {.lex_state = 50, .external_lex_state = 3},
  [1404] = {.lex_state = 50, .external_lex_state = 3},
  [1405] = {.lex_state = 50, .external_lex_state = 3},
  [1406] = {.lex_state = 50, .external_lex_state = 3},
  [1407] = {.lex_state = 50, .external_lex_state = 3},
  [1408] = {.lex_state = 50, .external_lex_state = 3},
  [1409] = {.lex_state = 50, .external_lex_state = 3},
  [1410] = {.lex_state = 50, .external_lex_state = 3},
  [1411] = {.lex_state = 50, .external_lex_state = 3},
  [1412] = {.lex_state = 50, .external_lex_state = 3},
  [1413] = {.lex_state = 50, .external_lex_state = 3},
  [1414] = {.lex_state = 50, .external_lex_state = 3},
  [1415] = {.lex_state = 50, .external_lex_state = 3},
  [1416] = {.lex_state = 50, .external_lex_state = 3},
  [1417] = {.lex_state = 50, .external_lex_state = 3},
  [1418] = {.lex_state = 50, .external_lex_state = 3},
  [1419] = {.lex_state = 50, .external_lex_state = 3},
  [1420] = {.lex_state = 50, .external_lex_state = 3},
  [1421] = {.lex_state = 50, .external_lex_state = 3},
  [1422] = {.lex_state = 50, .external_lex_state = 3},
  [1423] = {.lex_state = 50, .external_lex_state = 3},
  [1424] = {.lex_state = 50, .external_lex_state = 3},
  [1425] = {.lex_state = 50, .external_lex_state = 3},
  [1426] = {.lex_state = 50, .external_lex_state = 3},
  [1427] = {.lex_state = 50, .external_lex_state = 3},
  [1428] = {.lex_state = 50, .external_lex_state = 3},
  [1429] = {.lex_state = 50, .external_lex_state = 3},
  [1430] = {.lex_state = 50, .external_lex_state = 3},
  [1431] = {.lex_state = 50, .external_lex_state = 3},
  [1432] = {.lex_state = 50, .external_lex_state = 3},
  [1433] = {.lex_state = 50, .external_lex_state = 3},
  [1434] = {.lex_state = 50, .external_lex_state = 3},
  [1435] = {.lex_state = 50, .external_lex_state = 3},
  [1436] = {.lex_state = 50, .external_lex_state = 3},
  [1437] = {.lex_state = 50, .external_lex_state = 3},
  [1438] = {.lex_state = 50, .external_lex_state = 3},
  [1439] = {.lex_state = 50, .external_lex_state = 3},
  [1440] = {.lex_state = 50, .external_lex_state = 3},
  [1441] = {.lex_state = 50, .external_lex_state = 3},
  [1442] = {.lex_state = 50, .external_lex_state = 3},
  [1443] = {.lex_state = 50, .external_lex_state = 3},
  [1444] = {.lex_state = 50, .external_lex_state = 3},
  [1445] = {.lex_state = 50, .external_lex_state = 3},
  [1446] = {.lex_state = 50, .external_lex_state = 3},
  [1447] = {.lex_state = 50, .external_lex_state = 3},
  [1448] = {.lex_state = 50, .external_lex_state = 3},
  [1449] = {.lex_state = 50, .external_lex_state = 3},
  [1450] = {.lex_state = 50, .external_lex_state = 3},
  [1451] = {.lex_state = 50, .external_lex_state = 3},
  [1452] = {.lex_state = 50, .external_lex_state = 3},
  [1453] = {.lex_state = 50, .external_lex_state = 3},
  [1454] = {.lex_state = 50, .external_lex_state = 3},
  [1455] = {.lex_state = 50, .external_lex_state = 3},
  [1456] = {.lex_state = 50, .external_lex_state = 3},
  [1457] = {.lex_state = 50, .external_lex_state = 3},
  [1458] = {.lex_state = 50, .external_lex_state = 3},
  [1459] = {.lex_state = 50, .external_lex_state = 3},
  [1460] = {.lex_state = 50, .external_lex_state = 3},
  [1461] = {.lex_state = 50, .external_lex_state = 3},
  [1462] = {.lex_state = 50, .external_lex_state = 3},
  [1463] = {.lex_state = 50, .external_lex_state = 3},
  [1464] = {.lex_state = 50, .external_lex_state = 3},
  [1465] = {.lex_state = 50, .external_lex_state = 3},
  [1466] = {.lex_state = 50, .external_lex_state = 3},
  [1467] = {.lex_state = 50, .external_lex_state = 3},
  [1468] = {.lex_state = 50, .external_lex_state = 3},
  [1469] = {.lex_state = 50, .external_lex_state = 3},
  [1470] = {.lex_state = 50, .external_lex_state = 3},
  [1471] = {.lex_state = 50, .external_lex_state = 3},
  [1472] = {.lex_state = 50, .external_lex_state = 3},
  [1473] = {.lex_state = 50, .external_lex_state = 3},
  [1474] = {.lex_state = 50, .external_lex_state = 3},
  [1475] = {.lex_state = 50, .external_lex_state = 3},
  [1476] = {.lex_state = 50, .external_lex_state = 3},
  [1477] = {.lex_state = 50, .external_lex_state = 3},
  [1478] = {.lex_state = 50, .external_lex_state = 3},
  [1479] = {.lex_state = 50, .external_lex_state = 3},
  [1480] = {.lex_state = 50, .external_lex_state = 3},
  [1481] = {.lex_state = 50, .external_lex_state = 3},
  [1482] = {.lex_state = 50, .external_lex_state = 3},
  [1483] = {.lex_state = 50, .external_lex_state = 3},
  [1484] = {.lex_state = 50, .external_lex_state = 3},
  [1485] = {.lex_state = 50, .external_lex_state = 3},
  [1486] = {.lex_state = 50, .external_lex_state = 3},
  [1487] = {.lex_state = 50, .external_lex_state = 3},
  [1488] = {.lex_state = 50, .external_lex_state = 3},
  [1489] = {.lex_state = 50, .external_lex_state = 3},
  [1490] = {.lex_state = 50, .external_lex_state = 3},
  [1491] = {.lex_state = 50, .external_lex_state = 3},
  [1492] = {.lex_state = 50, .external_lex_state = 3},
  [1493] = {.lex_state = 50, .external_lex_state = 3},
  [1494] = {.lex_state = 50, .external_lex_state = 3},
  [1495] = {.lex_state = 50, .external_lex_state = 3},
  [1496] = {.lex_state = 50, .external_lex_state = 3},
  [1497] = {.lex_state = 50, .external_lex_state = 3},
  [1498] = {.lex_state = 50, .external_lex_state = 3},
  [1499] = {.lex_state = 50, .external_lex_state = 3},
  [1500] = {.lex_state = 50, .external_lex_state = 3},
  [1501] = {.lex_state = 50, .external_lex_state = 3},
  [1502] = {.lex_state = 50, .external_lex_state = 3},
  [1503] = {.lex_state = 50, .external_lex_state = 3},
  [1504] = {.lex_state = 50, .external_lex_state = 3},
  [1505] = {.lex_state = 50, .external_lex_state = 3},
  [1506] = {.lex_state = 50, .external_lex_state = 3},
  [1507] = {.lex_state = 50, .external_lex_state = 3},
  [1508] = {.lex_state = 50, .external_lex_state = 3},
  [1509] = {.lex_state = 50, .external_lex_state = 3},
  [1510] = {.lex_state = 50, .external_lex_state = 3},
  [1511] = {.lex_state = 50, .external_lex_state = 3},
  [1512] = {.lex_state = 50, .external_lex_state = 3},
  [1513] = {.lex_state = 50, .external_lex_state = 3},
  [1514] = {.lex_state = 50, .external_lex_state = 3},
  [1515] = {.lex_state = 50, .external_lex_state = 3},
  [1516] = {.lex_state = 50, .external_lex_state = 3},
  [1517] = {.lex_state = 50, .external_lex_state = 3},
  [1518] = {.lex_state = 50, .external_lex_state = 3},
  [1519] = {.lex_state = 50, .external_lex_state = 3},
  [1520] = {.lex_state = 50, .external_lex_state = 3},
  [1521] = {.lex_state = 50, .external_lex_state = 3},
  [1522] = {.lex_state = 50, .external_lex_state = 3},
  [1523] = {.lex_state = 50, .external_lex_state = 3},
  [1524] = {.lex_state = 50, .external_lex_state = 3},
  [1525] = {.lex_state = 50, .external_lex_state = 3},
  [1526] = {.lex_state = 50, .external_lex_state = 3},
  [1527] = {.lex_state = 50, .external_lex_state = 3},
  [1528] = {.lex_state = 50, .external_lex_state = 3},
  [1529] = {.lex_state = 50, .external_lex_state = 3},
  [1530] = {.lex_state = 50, .external_lex_state = 3},
  [1531] = {.lex_state = 50, .external_lex_state = 3},
  [1532] = {.lex_state = 50, .external_lex_state = 3},
  [1533] = {.lex_state = 50, .external_lex_state = 3},
  [1534] = {.lex_state = 50, .external_lex_state = 3},
  [1535] = {.lex_state = 50, .external_lex_state = 3},
  [1536] = {.lex_state = 50, .external_lex_state = 3},
  [1537] = {.lex_state = 50, .external_lex_state = 3},
  [1538] = {.lex_state = 50, .external_lex_state = 3},
  [1539] = {.lex_state = 50, .external_lex_state = 3},
  [1540] = {.lex_state = 50, .external_lex_state = 3},
  [1541] = {.lex_state = 50, .external_lex_state = 3},
  [1542] = {.lex_state = 50, .external_lex_state = 3},
  [1543] = {.lex_state = 50, .external_lex_state = 3},
  [1544] = {.lex_state = 50, .external_lex_state = 3},
  [1545] = {.lex_state = 50, .external_lex_state = 3},
  [1546] = {.lex_state = 50, .external_lex_state = 3},
  [1547] = {.lex_state = 50, .external_lex_state = 3},
  [1548] = {.lex_state = 50, .external_lex_state = 3},
  [1549] = {.lex_state = 50, .external_lex_state = 3},
  [1550] = {.lex_state = 50, .external_lex_state = 3},
  [1551] = {.lex_state = 50, .external_lex_state = 3},
  [1552] = {.lex_state = 50, .external_lex_state = 3},
  [1553] = {.lex_state = 50, .external_lex_state = 3},
  [1554] = {.lex_state = 50, .external_lex_state = 3},
  [1555] = {.lex_state = 50, .external_lex_state = 3},
  [1556] = {.lex_state = 50, .external_lex_state = 3},
  [1557] = {.lex_state = 50, .external_lex_state = 3},
  [1558] = {.lex_state = 50, .external_lex_state = 3},
  [1559] = {.lex_state = 50, .external_lex_state = 3},
  [1560] = {.lex_state = 50, .external_lex_state = 3},
  [1561] = {.lex_state = 50, .external_lex_state = 3},
  [1562] = {.lex_state = 50, .external_lex_state = 3},
  [1563] = {.lex_state = 50, .external_lex_state = 3},
  [1564] = {.lex_state = 50, .external_lex_state = 3},
  [1565] = {.lex_state = 50, .external_lex_state = 3},
  [1566] = {.lex_state = 50, .external_lex_state = 3},
  [1567] = {.lex_state = 50, .external_lex_state = 3},
  [1568] = {.lex_state = 50, .external_lex_state = 3},
  [1569] = {.lex_state = 50, .external_lex_state = 3},
  [1570] = {.lex_state = 50, .external_lex_state = 3},
  [1571] = {.lex_state = 50, .external_lex_state = 3},
  [1572] = {.lex_state = 50, .external_lex_state = 3},
  [1573] = {.lex_state = 50, .external_lex_state = 3},
  [1574] = {.lex_state = 50, .external_lex_state = 3},
  [1575] = {.lex_state = 50, .external_lex_state = 3},
  [1576] = {.lex_state = 50, .external_lex_state = 3},
  [1577] = {.lex_state = 50, .external_lex_state = 3},
  [1578] = {.lex_state = 50, .external_lex_state = 3},
  [1579] = {.lex_state = 50, .external_lex_state = 3},
  [1580] = {.lex_state = 50, .external_lex_state = 3},
  [1581] = {.lex_state = 50, .external_lex_state = 3},
  [1582] = {.lex_state = 50, .external_lex_state = 3},
  [1583] = {.lex_state = 50, .external_lex_state = 3},
  [1584] = {.lex_state = 50, .external_lex_state = 3},
  [1585] = {.lex_state = 50, .external_lex_state = 3},
  [1586] = {.lex_state = 50, .external_lex_state = 3},
  [1587] = {.lex_state = 50, .external_lex_state = 3},
  [1588] = {.lex_state = 50, .external_lex_state = 3},
  [1589] = {.lex_state = 50, .external_lex_state = 3},
  [1590] = {.lex_state = 50, .external_lex_state = 3},
  [1591] = {.lex_state = 50, .external_lex_state = 3},
  [1592] = {.lex_state = 50, .external_lex_state = 3},
  [1593] = {.lex_state = 50, .external_lex_state = 3},
  [1594] = {.lex_state = 50, .external_lex_state = 3},
  [1595] = {.lex_state = 50, .external_lex_state = 3},
  [1596] = {.lex_state = 50, .external_lex_state = 3},
  [1597] = {.lex_state = 50, .external_lex_state = 3},
  [1598] = {.lex_state = 50, .external_lex_state = 3},
  [1599] = {.lex_state = 50, .external_lex_state = 3},
  [1600] = {.lex_state = 50, .external_lex_state = 3},
  [1601] = {.lex_state = 50, .external_lex_state = 3},
  [1602] = {.lex_state = 50, .external_lex_state = 3},
  [1603] = {.lex_state = 50, .external_lex_state = 3},
  [1604] = {.lex_state = 50, .external_lex_state = 3},
  [1605] = {.lex_state = 50, .external_lex_state = 3},
  [1606] = {.lex_state = 50, .external_lex_state = 3},
  [1607] = {.lex_state = 50, .external_lex_state = 3},
  [1608] = {.lex_state = 50, .external_lex_state = 3},
  [1609] = {.lex_state = 50, .external_lex_state = 3},
  [1610] = {.lex_state = 50, .external_lex_state = 3},
  [1611] = {.lex_state = 50, .external_lex_state = 3},
  [1612] = {.lex_state = 50, .external_lex_state = 3},
  [1613] = {.lex_state = 50, .external_lex_state = 3},
  [1614] = {.lex_state = 50, .external_lex_state = 3},
  [1615] = {.lex_state = 50, .external_lex_state = 3},
  [1616] = {.lex_state = 50, .external_lex_state = 3},
  [1617] = {.lex_state = 50, .external_lex_state = 3},
  [1618] = {.lex_state = 50, .external_lex_state = 3},
  [1619] = {.lex_state = 50, .external_lex_state = 3},
  [1620] = {.lex_state = 50, .external_lex_state = 3},
  [1621] = {.lex_state = 50, .external_lex_state = 3},
  [1622] = {.lex_state = 50, .external_lex_state = 3},
  [1623] = {.lex_state = 50, .external_lex_state = 3},
  [1624] = {.lex_state = 50, .external_lex_state = 3},
  [1625] = {.lex_state = 50, .external_lex_state = 3},
  [1626] = {.lex_state = 50, .external_lex_state = 3},
  [1627] = {.lex_state = 50, .external_lex_state = 3},
  [1628] = {.lex_state = 50, .external_lex_state = 3},
  [1629] = {.lex_state = 50, .external_lex_state = 3},
  [1630] = {.lex_state = 50, .external_lex_state = 3},
  [1631] = {.lex_state = 50, .external_lex_state = 3},
  [1632] = {.lex_state = 50, .external_lex_state = 3},
  [1633] = {.lex_state = 50, .external_lex_state = 3},
  [1634] = {.lex_state = 50, .external_lex_state = 3},
  [1635] = {.lex_state = 50, .external_lex_state = 3},
  [1636] = {.lex_state = 50, .external_lex_state = 3},
  [1637] = {.lex_state = 50, .external_lex_state = 3},
  [1638] = {.lex_state = 50, .external_lex_state = 3},
  [1639] = {.lex_state = 50, .external_lex_state = 3},
  [1640] = {.lex_state = 50, .external_lex_state = 3},
  [1641] = {.lex_state = 50, .external_lex_state = 3},
  [1642] = {.lex_state = 50, .external_lex_state = 3},
  [1643] = {.lex_state = 50, .external_lex_state = 3},
  [1644] = {.lex_state = 50, .external_lex_state = 3},
  [1645] = {.lex_state = 50, .external_lex_state = 3},
  [1646] = {.lex_state = 50, .external_lex_state = 3},
  [1647] = {.lex_state = 50, .external_lex_state = 3},
  [1648] = {.lex_state = 50, .external_lex_state = 3},
  [1649] = {.lex_state = 50, .external_lex_state = 3},
  [1650] = {.lex_state = 50, .external_lex_state = 3},
  [1651] = {.lex_state = 50, .external_lex_state = 2},
  [1652] = {.lex_state = 50, .external_lex_state = 2},
  [1653] = {.lex_state = 50, .external_lex_state = 2},
  [1654] = {.lex_state = 50, .external_lex_state = 2},
  [1655] = {.lex_state = 50, .external_lex_state = 2},
  [1656] = {.lex_state = 50, .external_lex_state = 2},
  [1657] = {.lex_state = 50, .external_lex_state = 2},
  [1658] = {.lex_state = 50, .external_lex_state = 2},
  [1659] = {.lex_state = 50, .external_lex_state = 2},
  [1660] = {.lex_state = 50, .external_lex_state = 2},
  [1661] = {.lex_state = 50, .external_lex_state = 2},
  [1662] = {.lex_state = 50, .external_lex_state = 2},
  [1663] = {.lex_state = 50, .external_lex_state = 2},
  [1664] = {.lex_state = 50, .external_lex_state = 2},
  [1665] = {.lex_state = 50, .external_lex_state = 2},
  [1666] = {.lex_state = 50, .external_lex_state = 2},
  [1667] = {.lex_state = 50, .external_lex_state = 2},
  [1668] = {.lex_state = 50, .external_lex_state = 2},
  [1669] = {.lex_state = 50, .external_lex_state = 2},
  [1670] = {.lex_state = 50, .external_lex_state = 2},
  [1671] = {.lex_state = 50, .external_lex_state = 2},
  [1672] = {.lex_state = 50, .external_lex_state = 2},
  [1673] = {.lex_state = 50, .external_lex_state = 2},
  [1674] = {.lex_state = 50, .external_lex_state = 2},
  [1675] = {.lex_state = 50, .external_lex_state = 2},
  [1676] = {.lex_state = 50, .external_lex_state = 2},
  [1677] = {.lex_state = 50, .external_lex_state = 2},
  [1678] = {.lex_state = 50, .external_lex_state = 2},
  [1679] = {.lex_state = 50, .external_lex_state = 21},
  [1680] = {.lex_state = 50, .external_lex_state = 2},
  [1681] = {.lex_state = 50, .external_lex_state = 2},
  [1682] = {.lex_state = 50, .external_lex_state = 2},
  [1683] = {.lex_state = 50, .external_lex_state = 2},
  [1684] = {.lex_state = 50, .external_lex_state = 2},
  [1685] = {.lex_state = 50, .external_lex_state = 2},
  [1686] = {.lex_state = 50, .external_lex_state = 2},
  [1687] = {.lex_state = 50, .external_lex_state = 2},
  [1688] = {.lex_state = 50, .external_lex_state = 2},
  [1689] = {.lex_state = 50, .external_lex_state = 2},
  [1690] = {.lex_state = 50, .external_lex_state = 2},
  [1691] = {.lex_state = 50, .external_lex_state = 2},
  [1692] = {.lex_state = 50, .external_lex_state = 2},
  [1693] = {.lex_state = 50, .external_lex_state = 2},
  [1694] = {.lex_state = 50, .external_lex_state = 2},
  [1695] = {.lex_state = 50, .external_lex_state = 2},
  [1696] = {.lex_state = 50, .external_lex_state = 2},
  [1697] = {.lex_state = 50, .external_lex_state = 2},
  [1698] = {.lex_state = 50, .external_lex_state = 2},
  [1699] = {.lex_state = 50, .external_lex_state = 2},
  [1700] = {.lex_state = 50, .external_lex_state = 2},
  [1701] = {.lex_state = 50, .external_lex_state = 2},
  [1702] = {.lex_state = 50, .external_lex_state = 2},
  [1703] = {.lex_state = 50, .external_lex_state = 2},
  [1704] = {.lex_state = 50, .external_lex_state = 2},
  [1705] = {.lex_state = 50, .external_lex_state = 2},
  [1706] = {.lex_state = 50, .external_lex_state = 2},
  [1707] = {.lex_state = 50, .external_lex_state = 2},
  [1708] = {.lex_state = 50, .external_lex_state = 2},
  [1709] = {.lex_state = 50, .external_lex_state = 2},
  [1710] = {.lex_state = 50, .external_lex_state = 2},
  [1711] = {.lex_state = 50, .external_lex_state = 2},
  [1712] = {.lex_state = 50, .external_lex_state = 2},
  [1713] = {.lex_state = 50, .external_lex_state = 2},
  [1714] = {.lex_state = 50, .external_lex_state = 2},
  [1715] = {.lex_state = 50, .external_lex_state = 2},
  [1716] = {.lex_state = 50, .external_lex_state = 2},
  [1717] = {.lex_state = 50, .external_lex_state = 2},
  [1718] = {.lex_state = 50, .external_lex_state = 2},
  [1719] = {.lex_state = 50, .external_lex_state = 2},
  [1720] = {.lex_state = 50, .external_lex_state = 2},
  [1721] = {.lex_state = 50, .external_lex_state = 2},
  [1722] = {.lex_state = 50, .external_lex_state = 2},
  [1723] = {.lex_state = 50, .external_lex_state = 2},
  [1724] = {.lex_state = 50, .external_lex_state = 2},
  [1725] = {.lex_state = 50, .external_lex_state = 2},
  [1726] = {.lex_state = 50, .external_lex_state = 2},
  [1727] = {.lex_state = 50, .external_lex_state = 2},
  [1728] = {.lex_state = 50, .external_lex_state = 2},
  [1729] = {.lex_state = 50, .external_lex_state = 2},
  [1730] = {.lex_state = 50, .external_lex_state = 2},
  [1731] = {.lex_state = 50, .external_lex_state = 2},
  [1732] = {.lex_state = 50, .external_lex_state = 2},
  [1733] = {.lex_state = 50, .external_lex_state = 2},
  [1734] = {.lex_state = 50, .external_lex_state = 2},
  [1735] = {.lex_state = 50, .external_lex_state = 2},
  [1736] = {.lex_state = 50, .external_lex_state = 2},
  [1737] = {.lex_state = 50, .external_lex_state = 2},
  [1738] = {.lex_state = 50, .external_lex_state = 2},
  [1739] = {.lex_state = 50, .external_lex_state = 2},
  [1740] = {.lex_state = 50, .external_lex_state = 2},
  [1741] = {.lex_state = 50, .external_lex_state = 2},
  [1742] = {.lex_state = 50, .external_lex_state = 2},
  [1743] = {.lex_state = 50, .external_lex_state = 2},
  [1744] = {.lex_state = 50, .external_lex_state = 2},
  [1745] = {.lex_state = 50, .external_lex_state = 2},
  [1746] = {.lex_state = 50, .external_lex_state = 2},
  [1747] = {.lex_state = 50, .external_lex_state = 2},
  [1748] = {.lex_state = 50, .external_lex_state = 2},
  [1749] = {.lex_state = 50, .external_lex_state = 2},
  [1750] = {.lex_state = 50, .external_lex_state = 2},
  [1751] = {.lex_state = 50, .external_lex_state = 2},
  [1752] = {.lex_state = 50, .external_lex_state = 2},
  [1753] = {.lex_state = 50, .external_lex_state = 2},
  [1754] = {.lex_state = 50, .external_lex_state = 2},
  [1755] = {.lex_state = 50, .external_lex_state = 2},
  [1756] = {.lex_state = 50, .external_lex_state = 2},
  [1757] = {.lex_state = 50, .external_lex_state = 2},
  [1758] = {.lex_state = 50, .external_lex_state = 2},
  [1759] = {.lex_state = 50, .external_lex_state = 2},
  [1760] = {.lex_state = 50, .external_lex_state = 2},
  [1761] = {.lex_state = 50, .external_lex_state = 2},
  [1762] = {.lex_state = 50, .external_lex_state = 2},
  [1763] = {.lex_state = 50, .external_lex_state = 2},
  [1764] = {.lex_state = 50, .external_lex_state = 2},
  [1765] = {.lex_state = 50, .external_lex_state = 21},
  [1766] = {.lex_state = 50, .external_lex_state = 2},
  [1767] = {.lex_state = 50, .external_lex_state = 2},
  [1768] = {.lex_state = 50, .external_lex_state = 2},
  [1769] = {.lex_state = 50, .external_lex_state = 2},
  [1770] = {.lex_state = 50, .external_lex_state = 2},
  [1771] = {.lex_state = 50, .external_lex_state = 2},
  [1772] = {.lex_state = 50, .external_lex_state = 2},
  [1773] = {.lex_state = 50, .external_lex_state = 2},
  [1774] = {.lex_state = 50, .external_lex_state = 2},
  [1775] = {.lex_state = 50, .external_lex_state = 2},
  [1776] = {.lex_state = 50, .external_lex_state = 2},
  [1777] = {.lex_state = 50, .external_lex_state = 2},
  [1778] = {.lex_state = 50, .external_lex_state = 2},
  [1779] = {.lex_state = 50, .external_lex_state = 2},
  [1780] = {.lex_state = 50, .external_lex_state = 2},
  [1781] = {.lex_state = 50, .external_lex_state = 2},
  [1782] = {.lex_state = 50, .external_lex_state = 2},
  [1783] = {.lex_state = 50, .external_lex_state = 2},
  [1784] = {.lex_state = 50, .external_lex_state = 2},
  [1785] = {.lex_state = 50, .external_lex_state = 2},
  [1786] = {.lex_state = 50, .external_lex_state = 2},
  [1787] = {.lex_state = 50, .external_lex_state = 2},
  [1788] = {.lex_state = 50, .external_lex_state = 2},
  [1789] = {.lex_state = 50, .external_lex_state = 2},
  [1790] = {.lex_state = 50, .external_lex_state = 2},
  [1791] = {.lex_state = 50, .external_lex_state = 2},
  [1792] = {.lex_state = 50, .external_lex_state = 2},
  [1793] = {.lex_state = 50, .external_lex_state = 2},
  [1794] = {.lex_state = 50, .external_lex_state = 2},
  [1795] = {.lex_state = 50, .external_lex_state = 2},
  [1796] = {.lex_state = 50, .external_lex_state = 2},
  [1797] = {.lex_state = 50, .external_lex_state = 2},
  [1798] = {.lex_state = 50, .external_lex_state = 2},
  [1799] = {.lex_state = 50, .external_lex_state = 2},
  [1800] = {.lex_state = 50, .external_lex_state = 2},
  [1801] = {.lex_state = 50, .external_lex_state = 2},
  [1802] = {.lex_state = 50, .external_lex_state = 2},
  [1803] = {.lex_state = 50, .external_lex_state = 2},
  [1804] = {.lex_state = 50, .external_lex_state = 2},
  [1805] = {.lex_state = 50, .external_lex_state = 2},
  [1806] = {.lex_state = 50, .external_lex_state = 2},
  [1807] = {.lex_state = 50, .external_lex_state = 2},
  [1808] = {.lex_state = 50, .external_lex_state = 2},
  [1809] = {.lex_state = 50, .external_lex_state = 2},
  [1810] = {.lex_state = 50, .external_lex_state = 2},
  [1811] = {.lex_state = 50, .external_lex_state = 2},
  [1812] = {.lex_state = 50, .external_lex_state = 2},
  [1813] = {.lex_state = 50, .external_lex_state = 2},
  [1814] = {.lex_state = 50, .external_lex_state = 2},
  [1815] = {.lex_state = 50, .external_lex_state = 2},
  [1816] = {.lex_state = 50, .external_lex_state = 2},
  [1817] = {.lex_state = 50, .external_lex_state = 2},
  [1818] = {.lex_state = 50, .external_lex_state = 2},
  [1819] = {.lex_state = 50, .external_lex_state = 2},
  [1820] = {.lex_state = 50, .external_lex_state = 2},
  [1821] = {.lex_state = 50, .external_lex_state = 2},
  [1822] = {.lex_state = 50, .external_lex_state = 2},
  [1823] = {.lex_state = 50, .external_lex_state = 2},
  [1824] = {.lex_state = 50, .external_lex_state = 2},
  [1825] = {.lex_state = 50, .external_lex_state = 2},
  [1826] = {.lex_state = 50, .external_lex_state = 2},
  [1827] = {.lex_state = 50, .external_lex_state = 2},
  [1828] = {.lex_state = 50, .external_lex_state = 2},
  [1829] = {.lex_state = 50, .external_lex_state = 2},
  [1830] = {.lex_state = 50, .external_lex_state = 2},
  [1831] = {.lex_state = 50, .external_lex_state = 2},
  [1832] = {.lex_state = 50, .external_lex_state = 2},
  [1833] = {.lex_state = 50, .external_lex_state = 2},
  [1834] = {.lex_state = 50, .external_lex_state = 2},
  [1835] = {.lex_state = 50, .external_lex_state = 2},
  [1836] = {.lex_state = 50, .external_lex_state = 2},
  [1837] = {.lex_state = 50, .external_lex_state = 2},
  [1838] = {.lex_state = 50, .external_lex_state = 2},
  [1839] = {.lex_state = 50, .external_lex_state = 2},
  [1840] = {.lex_state = 50, .external_lex_state = 2},
  [1841] = {.lex_state = 50, .external_lex_state = 2},
  [1842] = {.lex_state = 50, .external_lex_state = 2},
  [1843] = {.lex_state = 50, .external_lex_state = 2},
  [1844] = {.lex_state = 50, .external_lex_state = 2},
  [1845] = {.lex_state = 50, .external_lex_state = 2},
  [1846] = {.lex_state = 50, .external_lex_state = 2},
  [1847] = {.lex_state = 50, .external_lex_state = 2},
  [1848] = {.lex_state = 50, .external_lex_state = 2},
  [1849] = {.lex_state = 50, .external_lex_state = 2},
  [1850] = {.lex_state = 50, .external_lex_state = 2},
  [1851] = {.lex_state = 50, .external_lex_state = 2},
  [1852] = {.lex_state = 50, .external_lex_state = 2},
  [1853] = {.lex_state = 50, .external_lex_state = 2},
  [1854] = {.lex_state = 50, .external_lex_state = 2},
  [1855] = {.lex_state = 50, .external_lex_state = 2},
  [1856] = {.lex_state = 50, .external_lex_state = 2},
  [1857] = {.lex_state = 50, .external_lex_state = 2},
  [1858] = {.lex_state = 50, .external_lex_state = 2},
  [1859] = {.lex_state = 50, .external_lex_state = 2},
  [1860] = {.lex_state = 50, .external_lex_state = 2},
  [1861] = {.lex_state = 50, .external_lex_state = 2},
  [1862] = {.lex_state = 50, .external_lex_state = 2},
  [1863] = {.lex_state = 50, .external_lex_state = 2},
  [1864] = {.lex_state = 50, .external_lex_state = 2},
  [1865] = {.lex_state = 50, .external_lex_state = 2},
  [1866] = {.lex_state = 50, .external_lex_state = 2},
  [1867] = {.lex_state = 50, .external_lex_state = 2},
  [1868] = {.lex_state = 50, .external_lex_state = 2},
  [1869] = {.lex_state = 50, .external_lex_state = 2},
  [1870] = {.lex_state = 50, .external_lex_state = 2},
  [1871] = {.lex_state = 50, .external_lex_state = 2},
  [1872] = {.lex_state = 50, .external_lex_state = 2},
  [1873] = {.lex_state = 50, .external_lex_state = 2},
  [1874] = {.lex_state = 50, .external_lex_state = 2},
  [1875] = {.lex_state = 50, .external_lex_state = 2},
  [1876] = {.lex_state = 50, .external_lex_state = 2},
  [1877] = {.lex_state = 50, .external_lex_state = 2},
  [1878] = {.lex_state = 50, .external_lex_state = 2},
  [1879] = {.lex_state = 50, .external_lex_state = 2},
  [1880] = {.lex_state = 50, .external_lex_state = 2},
  [1881] = {.lex_state = 50, .external_lex_state = 2},
  [1882] = {.lex_state = 50, .external_lex_state = 2},
  [1883] = {.lex_state = 50, .external_lex_state = 2},
  [1884] = {.lex_state = 50, .external_lex_state = 2},
  [1885] = {.lex_state = 50, .external_lex_state = 2},
  [1886] = {.lex_state = 50, .external_lex_state = 2},
  [1887] = {.lex_state = 50, .external_lex_state = 2},
  [1888] = {.lex_state = 50, .external_lex_state = 2},
  [1889] = {.lex_state = 50, .external_lex_state = 2},
  [1890] = {.lex_state = 50, .external_lex_state = 2},
  [1891] = {.lex_state = 50, .external_lex_state = 2},
  [1892] = {.lex_state = 50, .external_lex_state = 2},
  [1893] = {.lex_state = 50, .external_lex_state = 2},
  [1894] = {.lex_state = 50, .external_lex_state = 2},
  [1895] = {.lex_state = 50, .external_lex_state = 2},
  [1896] = {.lex_state = 50, .external_lex_state = 2},
  [1897] = {.lex_state = 50, .external_lex_state = 2},
  [1898] = {.lex_state = 50, .external_lex_state = 2},
  [1899] = {.lex_state = 50, .external_lex_state = 2},
  [1900] = {.lex_state = 50, .external_lex_state = 2},
  [1901] = {.lex_state = 50, .external_lex_state = 2},
  [1902] = {.lex_state = 50, .external_lex_state = 2},
  [1903] = {.lex_state = 50, .external_lex_state = 2},
  [1904] = {.lex_state = 50, .external_lex_state = 2},
  [1905] = {.lex_state = 50, .external_lex_state = 2},
  [1906] = {.lex_state = 50, .external_lex_state = 2},
  [1907] = {.lex_state = 50, .external_lex_state = 2},
  [1908] = {.lex_state = 50, .external_lex_state = 2},
  [1909] = {.lex_state = 50, .external_lex_state = 2},
  [1910] = {.lex_state = 50, .external_lex_state = 2},
  [1911] = {.lex_state = 50, .external_lex_state = 2},
  [1912] = {.lex_state = 50, .external_lex_state = 2},
  [1913] = {.lex_state = 50, .external_lex_state = 2},
  [1914] = {.lex_state = 50, .external_lex_state = 2},
  [1915] = {.lex_state = 50, .external_lex_state = 2},
  [1916] = {.lex_state = 50, .external_lex_state = 2},
  [1917] = {.lex_state = 50, .external_lex_state = 2},
  [1918] = {.lex_state = 50, .external_lex_state = 2},
  [1919] = {.lex_state = 50, .external_lex_state = 2},
  [1920] = {.lex_state = 50, .external_lex_state = 2},
  [1921] = {.lex_state = 50, .external_lex_state = 2},
  [1922] = {.lex_state = 50, .external_lex_state = 2},
  [1923] = {.lex_state = 50, .external_lex_state = 2},
  [1924] = {.lex_state = 50, .external_lex_state = 2},
  [1925] = {.lex_state = 50, .external_lex_state = 2},
  [1926] = {.lex_state = 50, .external_lex_state = 2},
  [1927] = {.lex_state = 50, .external_lex_state = 2},
  [1928] = {.lex_state = 50, .external_lex_state = 2},
  [1929] = {.lex_state = 50, .external_lex_state = 2},
  [1930] = {.lex_state = 50, .external_lex_state = 2},
  [1931] = {.lex_state = 50, .external_lex_state = 2},
  [1932] = {.lex_state = 50, .external_lex_state = 2},
  [1933] = {.lex_state = 50, .external_lex_state = 2},
  [1934] = {.lex_state = 50, .external_lex_state = 2},
  [1935] = {.lex_state = 50, .external_lex_state = 2},
  [1936] = {.lex_state = 50, .external_lex_state = 2},
  [1937] = {.lex_state = 50, .external_lex_state = 2},
  [1938] = {.lex_state = 50, .external_lex_state = 2},
  [1939] = {.lex_state = 50, .external_lex_state = 2},
  [1940] = {.lex_state = 50, .external_lex_state = 2},
  [1941] = {.lex_state = 50, .external_lex_state = 2},
  [1942] = {.lex_state = 50, .external_lex_state = 2},
  [1943] = {.lex_state = 50, .external_lex_state = 2},
  [1944] = {.lex_state = 50, .external_lex_state = 2},
  [1945] = {.lex_state = 50, .external_lex_state = 2},
  [1946] = {.lex_state = 50, .external_lex_state = 2},
  [1947] = {.lex_state = 50, .external_lex_state = 2},
  [1948] = {.lex_state = 50, .external_lex_state = 2},
  [1949] = {.lex_state = 50, .external_lex_state = 2},
  [1950] = {.lex_state = 50, .external_lex_state = 2},
  [1951] = {.lex_state = 50, .external_lex_state = 2},
  [1952] = {.lex_state = 50, .external_lex_state = 2},
  [1953] = {.lex_state = 50, .external_lex_state = 2},
  [1954] = {.lex_state = 50, .external_lex_state = 2},
  [1955] = {.lex_state = 50, .external_lex_state = 2},
  [1956] = {.lex_state = 50, .external_lex_state = 2},
  [1957] = {.lex_state = 50, .external_lex_state = 2},
  [1958] = {.lex_state = 50, .external_lex_state = 2},
  [1959] = {.lex_state = 50, .external_lex_state = 2},
  [1960] = {.lex_state = 50, .external_lex_state = 2},
  [1961] = {.lex_state = 50, .external_lex_state = 2},
  [1962] = {.lex_state = 50, .external_lex_state = 2},
  [1963] = {.lex_state = 50, .external_lex_state = 2},
  [1964] = {.lex_state = 50, .external_lex_state = 2},
  [1965] = {.lex_state = 50, .external_lex_state = 2},
  [1966] = {.lex_state = 50, .external_lex_state = 2},
  [1967] = {.lex_state = 50, .external_lex_state = 2},
  [1968] = {.lex_state = 50, .external_lex_state = 2},
  [1969] = {.lex_state = 50, .external_lex_state = 2},
  [1970] = {.lex_state = 50, .external_lex_state = 2},
  [1971] = {.lex_state = 50, .external_lex_state = 2},
  [1972] = {.lex_state = 50, .external_lex_state = 2},
  [1973] = {.lex_state = 50, .external_lex_state = 2},
  [1974] = {.lex_state = 50, .external_lex_state = 2},
  [1975] = {.lex_state = 50, .external_lex_state = 2},
  [1976] = {.lex_state = 50, .external_lex_state = 2},
  [1977] = {.lex_state = 50, .external_lex_state = 2},
  [1978] = {.lex_state = 50, .external_lex_state = 2},
  [1979] = {.lex_state = 50, .external_lex_state = 2},
  [1980] = {.lex_state = 50, .external_lex_state = 2},
  [1981] = {.lex_state = 50, .external_lex_state = 2},
  [1982] = {.lex_state = 50, .external_lex_state = 2},
  [1983] = {.lex_state = 50, .external_lex_state = 2},
  [1984] = {.lex_state = 50, .external_lex_state = 2},
  [1985] = {.lex_state = 50, .external_lex_state = 2},
  [1986] = {.lex_state = 50, .external_lex_state = 2},
  [1987] = {.lex_state = 50, .external_lex_state = 2},
  [1988] = {.lex_state = 50, .external_lex_state = 2},
  [1989] = {.lex_state = 50, .external_lex_state = 2},
  [1990] = {.lex_state = 50, .external_lex_state = 2},
  [1991] = {.lex_state = 50, .external_lex_state = 2},
  [1992] = {.lex_state = 50, .external_lex_state = 2},
  [1993] = {.lex_state = 50, .external_lex_state = 2},
  [1994] = {.lex_state = 50, .external_lex_state = 2},
  [1995] = {.lex_state = 50, .external_lex_state = 2},
  [1996] = {.lex_state = 50, .external_lex_state = 2},
  [1997] = {.lex_state = 50, .external_lex_state = 2},
  [1998] = {.lex_state = 50, .external_lex_state = 2},
  [1999] = {.lex_state = 50, .external_lex_state = 2},
  [2000] = {.lex_state = 50, .external_lex_state = 2},
  [2001] = {.lex_state = 50, .external_lex_state = 2},
  [2002] = {.lex_state = 50, .external_lex_state = 2},
  [2003] = {.lex_state = 50, .external_lex_state = 2},
  [2004] = {.lex_state = 50, .external_lex_state = 2},
  [2005] = {.lex_state = 50, .external_lex_state = 2},
  [2006] = {.lex_state = 50, .external_lex_state = 2},
  [2007] = {.lex_state = 50, .external_lex_state = 2},
  [2008] = {.lex_state = 50, .external_lex_state = 2},
  [2009] = {.lex_state = 50, .external_lex_state = 2},
  [2010] = {.lex_state = 50, .external_lex_state = 2},
  [2011] = {.lex_state = 50, .external_lex_state = 2},
  [2012] = {.lex_state = 50, .external_lex_state = 2},
  [2013] = {.lex_state = 50, .external_lex_state = 2},
  [2014] = {.lex_state = 50, .external_lex_state = 2},
  [2015] = {.lex_state = 50, .external_lex_state = 2},
  [2016] = {.lex_state = 50, .external_lex_state = 2},
  [2017] = {.lex_state = 50, .external_lex_state = 2},
  [2018] = {.lex_state = 50, .external_lex_state = 2},
  [2019] = {.lex_state = 50, .external_lex_state = 2},
  [2020] = {.lex_state = 50, .external_lex_state = 2},
  [2021] = {.lex_state = 50, .external_lex_state = 2},
  [2022] = {.lex_state = 50, .external_lex_state = 2},
  [2023] = {.lex_state = 50, .external_lex_state = 2},
  [2024] = {.lex_state = 50, .external_lex_state = 2},
  [2025] = {.lex_state = 50, .external_lex_state = 2},
  [2026] = {.lex_state = 50, .external_lex_state = 2},
  [2027] = {.lex_state = 50, .external_lex_state = 2},
  [2028] = {.lex_state = 50, .external_lex_state = 2},
  [2029] = {.lex_state = 50, .external_lex_state = 2},
  [2030] = {.lex_state = 50, .external_lex_state = 2},
  [2031] = {.lex_state = 50, .external_lex_state = 2},
  [2032] = {.lex_state = 50, .external_lex_state = 2},
  [2033] = {.lex_state = 50, .external_lex_state = 2},
  [2034] = {.lex_state = 50, .external_lex_state = 2},
  [2035] = {.lex_state = 50, .external_lex_state = 2},
  [2036] = {.lex_state = 50, .external_lex_state = 2},
  [2037] = {.lex_state = 50, .external_lex_state = 2},
  [2038] = {.lex_state = 50, .external_lex_state = 2},
  [2039] = {.lex_state = 50, .external_lex_state = 2},
  [2040] = {.lex_state = 50, .external_lex_state = 2},
  [2041] = {.lex_state = 50, .external_lex_state = 2},
  [2042] = {.lex_state = 50, .external_lex_state = 2},
  [2043] = {.lex_state = 50, .external_lex_state = 2},
  [2044] = {.lex_state = 50, .external_lex_state = 2},
  [2045] = {.lex_state = 50, .external_lex_state = 2},
  [2046] = {.lex_state = 50, .external_lex_state = 2},
  [2047] = {.lex_state = 50, .external_lex_state = 2},
  [2048] = {.lex_state = 50, .external_lex_state = 2},
  [2049] = {.lex_state = 50, .external_lex_state = 2},
  [2050] = {.lex_state = 50, .external_lex_state = 2},
  [2051] = {.lex_state = 50, .external_lex_state = 2},
  [2052] = {.lex_state = 50, .external_lex_state = 2},
  [2053] = {.lex_state = 50, .external_lex_state = 2},
  [2054] = {.lex_state = 50, .external_lex_state = 2},
  [2055] = {.lex_state = 50, .external_lex_state = 2},
  [2056] = {.lex_state = 50, .external_lex_state = 2},
  [2057] = {.lex_state = 50, .external_lex_state = 2},
  [2058] = {.lex_state = 50, .external_lex_state = 2},
  [2059] = {.lex_state = 50, .external_lex_state = 2},
  [2060] = {.lex_state = 50, .external_lex_state = 2},
  [2061] = {.lex_state = 50, .external_lex_state = 2},
  [2062] = {.lex_state = 50, .external_lex_state = 2},
  [2063] = {.lex_state = 50, .external_lex_state = 2},
  [2064] = {.lex_state = 50, .external_lex_state = 2},
  [2065] = {.lex_state = 50, .external_lex_state = 2},
  [2066] = {.lex_state = 50, .external_lex_state = 2},
  [2067] = {.lex_state = 50, .external_lex_state = 2},
  [2068] = {.lex_state = 50, .external_lex_state = 2},
  [2069] = {.lex_state = 50, .external_lex_state = 2},
  [2070] = {.lex_state = 50, .external_lex_state = 2},
  [2071] = {.lex_state = 50, .external_lex_state = 2},
  [2072] = {.lex_state = 50, .external_lex_state = 2},
  [2073] = {.lex_state = 50, .external_lex_state = 2},
  [2074] = {.lex_state = 50, .external_lex_state = 2},
  [2075] = {.lex_state = 50, .external_lex_state = 2},
  [2076] = {.lex_state = 50, .external_lex_state = 2},
  [2077] = {.lex_state = 50, .external_lex_state = 2},
  [2078] = {.lex_state = 50, .external_lex_state = 2},
  [2079] = {.lex_state = 50, .external_lex_state = 2},
  [2080] = {.lex_state = 50, .external_lex_state = 2},
  [2081] = {.lex_state = 50, .external_lex_state = 2},
  [2082] = {.lex_state = 50, .external_lex_state = 2},
  [2083] = {.lex_state = 50, .external_lex_state = 2},
  [2084] = {.lex_state = 50, .external_lex_state = 2},
  [2085] = {.lex_state = 50, .external_lex_state = 2},
  [2086] = {.lex_state = 50, .external_lex_state = 2},
  [2087] = {.lex_state = 50, .external_lex_state = 2},
  [2088] = {.lex_state = 50, .external_lex_state = 2},
  [2089] = {.lex_state = 50, .external_lex_state = 2},
  [2090] = {.lex_state = 50, .external_lex_state = 2},
  [2091] = {.lex_state = 50, .external_lex_state = 2},
  [2092] = {.lex_state = 50, .external_lex_state = 2},
  [2093] = {.lex_state = 50, .external_lex_state = 2},
  [2094] = {.lex_state = 50, .external_lex_state = 2},
  [2095] = {.lex_state = 50, .external_lex_state = 2},
  [2096] = {.lex_state = 50, .external_lex_state = 2},
  [2097] = {.lex_state = 50, .external_lex_state = 2},
  [2098] = {.lex_state = 50, .external_lex_state = 2},
  [2099] = {.lex_state = 50, .external_lex_state = 2},
  [2100] = {.lex_state = 50, .external_lex_state = 2},
  [2101] = {.lex_state = 50, .external_lex_state = 2},
  [2102] = {.lex_state = 50, .external_lex_state = 2},
  [2103] = {.lex_state = 50, .external_lex_state = 2},
  [2104] = {.lex_state = 50, .external_lex_state = 2},
  [2105] = {.lex_state = 50, .external_lex_state = 2},
  [2106] = {.lex_state = 50, .external_lex_state = 2},
  [2107] = {.lex_state = 50, .external_lex_state = 2},
  [2108] = {.lex_state = 50, .external_lex_state = 2},
  [2109] = {.lex_state = 50, .external_lex_state = 2},
  [2110] = {.lex_state = 50, .external_lex_state = 2},
  [2111] = {.lex_state = 50, .external_lex_state = 2},
  [2112] = {.lex_state = 50, .external_lex_state = 2},
  [2113] = {.lex_state = 50, .external_lex_state = 2},
  [2114] = {.lex_state = 50, .external_lex_state = 2},
  [2115] = {.lex_state = 50, .external_lex_state = 2},
  [2116] = {.lex_state = 50, .external_lex_state = 2},
  [2117] = {.lex_state = 50, .external_lex_state = 2},
  [2118] = {.lex_state = 50, .external_lex_state = 2},
  [2119] = {.lex_state = 50, .external_lex_state = 2},
  [2120] = {.lex_state = 50, .external_lex_state = 2},
  [2121] = {.lex_state = 50, .external_lex_state = 2},
  [2122] = {.lex_state = 50, .external_lex_state = 2},
  [2123] = {.lex_state = 50, .external_lex_state = 2},
  [2124] = {.lex_state = 50, .external_lex_state = 2},
  [2125] = {.lex_state = 50, .external_lex_state = 2},
  [2126] = {.lex_state = 50, .external_lex_state = 2},
  [2127] = {.lex_state = 50, .external_lex_state = 2},
  [2128] = {.lex_state = 50, .external_lex_state = 2},
  [2129] = {.lex_state = 50, .external_lex_state = 2},
  [2130] = {.lex_state = 50, .external_lex_state = 2},
  [2131] = {.lex_state = 50, .external_lex_state = 2},
  [2132] = {.lex_state = 50, .external_lex_state = 2},
  [2133] = {.lex_state = 50, .external_lex_state = 2},
  [2134] = {.lex_state = 50, .external_lex_state = 2},
  [2135] = {.lex_state = 50, .external_lex_state = 2},
  [2136] = {.lex_state = 50, .external_lex_state = 2},
  [2137] = {.lex_state = 50, .external_lex_state = 2},
  [2138] = {.lex_state = 50, .external_lex_state = 2},
  [2139] = {.lex_state = 50, .external_lex_state = 2},
  [2140] = {.lex_state = 50, .external_lex_state = 2},
  [2141] = {.lex_state = 50, .external_lex_state = 2},
  [2142] = {.lex_state = 50, .external_lex_state = 2},
  [2143] = {.lex_state = 50, .external_lex_state = 2},
  [2144] = {.lex_state = 50, .external_lex_state = 2},
  [2145] = {.lex_state = 50, .external_lex_state = 2},
  [2146] = {.lex_state = 50, .external_lex_state = 2},
  [2147] = {.lex_state = 50, .external_lex_state = 2},
  [2148] = {.lex_state = 50, .external_lex_state = 2},
  [2149] = {.lex_state = 50, .external_lex_state = 2},
  [2150] = {.lex_state = 50, .external_lex_state = 2},
  [2151] = {.lex_state = 50, .external_lex_state = 2},
  [2152] = {.lex_state = 50, .external_lex_state = 2},
  [2153] = {.lex_state = 50, .external_lex_state = 2},
  [2154] = {.lex_state = 50, .external_lex_state = 2},
  [2155] = {.lex_state = 50, .external_lex_state = 2},
  [2156] = {.lex_state = 50, .external_lex_state = 2},
  [2157] = {.lex_state = 50, .external_lex_state = 2},
  [2158] = {.lex_state = 50, .external_lex_state = 2},
  [2159] = {.lex_state = 50, .external_lex_state = 2},
  [2160] = {.lex_state = 50, .external_lex_state = 2},
  [2161] = {.lex_state = 50, .external_lex_state = 2},
  [2162] = {.lex_state = 50, .external_lex_state = 2},
  [2163] = {.lex_state = 50, .external_lex_state = 2},
  [2164] = {.lex_state = 50, .external_lex_state = 2},
  [2165] = {.lex_state = 50, .external_lex_state = 2},
  [2166] = {.lex_state = 50, .external_lex_state = 2},
  [2167] = {.lex_state = 50, .external_lex_state = 2},
  [2168] = {.lex_state = 50, .external_lex_state = 2},
  [2169] = {.lex_state = 50, .external_lex_state = 2},
  [2170] = {.lex_state = 50, .external_lex_state = 2},
  [2171] = {.lex_state = 50, .external_lex_state = 2},
  [2172] = {.lex_state = 50, .external_lex_state = 2},
  [2173] = {.lex_state = 50, .external_lex_state = 2},
  [2174] = {.lex_state = 50, .external_lex_state = 2},
  [2175] = {.lex_state = 50, .external_lex_state = 2},
  [2176] = {.lex_state = 50, .external_lex_state = 2},
  [2177] = {.lex_state = 50, .external_lex_state = 2},
  [2178] = {.lex_state = 50, .external_lex_state = 2},
  [2179] = {.lex_state = 50, .external_lex_state = 2},
  [2180] = {.lex_state = 50, .external_lex_state = 2},
  [2181] = {.lex_state = 50, .external_lex_state = 2},
  [2182] = {.lex_state = 50, .external_lex_state = 2},
  [2183] = {.lex_state = 50, .external_lex_state = 2},
  [2184] = {.lex_state = 50, .external_lex_state = 2},
  [2185] = {.lex_state = 50, .external_lex_state = 2},
  [2186] = {.lex_state = 50, .external_lex_state = 2},
  [2187] = {.lex_state = 50, .external_lex_state = 2},
  [2188] = {.lex_state = 50, .external_lex_state = 2},
  [2189] = {.lex_state = 50, .external_lex_state = 2},
  [2190] = {.lex_state = 50, .external_lex_state = 2},
  [2191] = {.lex_state = 50, .external_lex_state = 2},
  [2192] = {.lex_state = 50, .external_lex_state = 2},
  [2193] = {.lex_state = 50, .external_lex_state = 2},
  [2194] = {.lex_state = 50, .external_lex_state = 2},
  [2195] = {.lex_state = 50, .external_lex_state = 2},
  [2196] = {.lex_state = 50, .external_lex_state = 2},
  [2197] = {.lex_state = 50, .external_lex_state = 2},
  [2198] = {.lex_state = 50, .external_lex_state = 2},
  [2199] = {.lex_state = 50, .external_lex_state = 2},
  [2200] = {.lex_state = 50, .external_lex_state = 2},
  [2201] = {.lex_state = 50, .external_lex_state = 2},
  [2202] = {.lex_state = 50, .external_lex_state = 2},
  [2203] = {.lex_state = 50, .external_lex_state = 2},
  [2204] = {.lex_state = 50, .external_lex_state = 2},
  [2205] = {.lex_state = 50, .external_lex_state = 2},
  [2206] = {.lex_state = 50, .external_lex_state = 2},
  [2207] = {.lex_state = 50, .external_lex_state = 2},
  [2208] = {.lex_state = 50, .external_lex_state = 2},
  [2209] = {.lex_state = 50, .external_lex_state = 2},
  [2210] = {.lex_state = 50, .external_lex_state = 2},
  [2211] = {.lex_state = 50, .external_lex_state = 2},
  [2212] = {.lex_state = 50, .external_lex_state = 2},
  [2213] = {.lex_state = 50, .external_lex_state = 2},
  [2214] = {.lex_state = 50, .external_lex_state = 2},
  [2215] = {.lex_state = 50, .external_lex_state = 2},
  [2216] = {.lex_state = 50, .external_lex_state = 2},
  [2217] = {.lex_state = 50, .external_lex_state = 2},
  [2218] = {.lex_state = 50, .external_lex_state = 2},
  [2219] = {.lex_state = 50, .external_lex_state = 2},
  [2220] = {.lex_state = 50, .external_lex_state = 2},
  [2221] = {.lex_state = 50, .external_lex_state = 2},
  [2222] = {.lex_state = 50, .external_lex_state = 2},
  [2223] = {.lex_state = 50, .external_lex_state = 2},
  [2224] = {.lex_state = 50, .external_lex_state = 2},
  [2225] = {.lex_state = 50, .external_lex_state = 2},
  [2226] = {.lex_state = 50, .external_lex_state = 2},
  [2227] = {.lex_state = 50, .external_lex_state = 2},
  [2228] = {.lex_state = 50, .external_lex_state = 2},
  [2229] = {.lex_state = 50, .external_lex_state = 2},
  [2230] = {.lex_state = 50, .external_lex_state = 2},
  [2231] = {.lex_state = 50, .external_lex_state = 2},
  [2232] = {.lex_state = 50, .external_lex_state = 2},
  [2233] = {.lex_state = 50, .external_lex_state = 2},
  [2234] = {.lex_state = 50, .external_lex_state = 2},
  [2235] = {.lex_state = 50, .external_lex_state = 2},
  [2236] = {.lex_state = 50, .external_lex_state = 2},
  [2237] = {.lex_state = 50, .external_lex_state = 2},
  [2238] = {.lex_state = 50, .external_lex_state = 2},
  [2239] = {.lex_state = 50, .external_lex_state = 2},
  [2240] = {.lex_state = 50, .external_lex_state = 2},
  [2241] = {.lex_state = 50, .external_lex_state = 2},
  [2242] = {.lex_state = 50, .external_lex_state = 2},
  [2243] = {.lex_state = 50, .external_lex_state = 2},
  [2244] = {.lex_state = 50, .external_lex_state = 2},
  [2245] = {.lex_state = 50, .external_lex_state = 2},
  [2246] = {.lex_state = 50, .external_lex_state = 2},
  [2247] = {.lex_state = 50, .external_lex_state = 2},
  [2248] = {.lex_state = 50, .external_lex_state = 2},
  [2249] = {.lex_state = 50, .external_lex_state = 2},
  [2250] = {.lex_state = 50, .external_lex_state = 2},
  [2251] = {.lex_state = 50, .external_lex_state = 2},
  [2252] = {.lex_state = 50, .external_lex_state = 2},
  [2253] = {.lex_state = 50, .external_lex_state = 2},
  [2254] = {.lex_state = 50, .external_lex_state = 2},
  [2255] = {.lex_state = 50, .external_lex_state = 2},
  [2256] = {.lex_state = 50, .external_lex_state = 2},
  [2257] = {.lex_state = 50, .external_lex_state = 2},
  [2258] = {.lex_state = 50, .external_lex_state = 2},
  [2259] = {.lex_state = 50, .external_lex_state = 2},
  [2260] = {.lex_state = 50, .external_lex_state = 2},
  [2261] = {.lex_state = 50, .external_lex_state = 2},
  [2262] = {.lex_state = 50, .external_lex_state = 2},
  [2263] = {.lex_state = 50, .external_lex_state = 2},
  [2264] = {.lex_state = 50, .external_lex_state = 2},
  [2265] = {.lex_state = 50, .external_lex_state = 2},
  [2266] = {.lex_state = 50, .external_lex_state = 2},
  [2267] = {.lex_state = 50, .external_lex_state = 2},
  [2268] = {.lex_state = 50, .external_lex_state = 2},
  [2269] = {.lex_state = 50, .external_lex_state = 2},
  [2270] = {.lex_state = 50, .external_lex_state = 2},
  [2271] = {.lex_state = 50, .external_lex_state = 2},
  [2272] = {.lex_state = 50, .external_lex_state = 2},
  [2273] = {.lex_state = 50, .external_lex_state = 2},
  [2274] = {.lex_state = 50, .external_lex_state = 2},
  [2275] = {.lex_state = 50, .external_lex_state = 2},
  [2276] = {.lex_state = 50, .external_lex_state = 2},
  [2277] = {.lex_state = 50, .external_lex_state = 2},
  [2278] = {.lex_state = 50, .external_lex_state = 2},
  [2279] = {.lex_state = 50, .external_lex_state = 2},
  [2280] = {.lex_state = 50, .external_lex_state = 2},
  [2281] = {.lex_state = 50, .external_lex_state = 2},
  [2282] = {.lex_state = 50, .external_lex_state = 2},
  [2283] = {.lex_state = 50, .external_lex_state = 2},
  [2284] = {.lex_state = 50, .external_lex_state = 2},
  [2285] = {.lex_state = 50, .external_lex_state = 2},
  [2286] = {.lex_state = 50, .external_lex_state = 2},
  [2287] = {.lex_state = 50, .external_lex_state = 2},
  [2288] = {.lex_state = 50, .external_lex_state = 2},
  [2289] = {.lex_state = 50, .external_lex_state = 2},
  [2290] = {.lex_state = 50, .external_lex_state = 2},
  [2291] = {.lex_state = 50, .external_lex_state = 2},
  [2292] = {.lex_state = 50, .external_lex_state = 2},
  [2293] = {.lex_state = 50, .external_lex_state = 2},
  [2294] = {.lex_state = 50, .external_lex_state = 2},
  [2295] = {.lex_state = 50, .external_lex_state = 2},
  [2296] = {.lex_state = 50, .external_lex_state = 2},
  [2297] = {.lex_state = 50, .external_lex_state = 2},
  [2298] = {.lex_state = 50, .external_lex_state = 2},
  [2299] = {.lex_state = 50, .external_lex_state = 2},
  [2300] = {.lex_state = 50, .external_lex_state = 2},
  [2301] = {.lex_state = 50, .external_lex_state = 2},
  [2302] = {.lex_state = 50, .external_lex_state = 2},
  [2303] = {.lex_state = 50, .external_lex_state = 2},
  [2304] = {.lex_state = 50, .external_lex_state = 2},
  [2305] = {.lex_state = 50, .external_lex_state = 2},
  [2306] = {.lex_state = 50, .external_lex_state = 2},
  [2307] = {.lex_state = 50, .external_lex_state = 2},
  [2308] = {.lex_state = 50, .external_lex_state = 2},
  [2309] = {.lex_state = 50, .external_lex_state = 2},
  [2310] = {.lex_state = 50, .external_lex_state = 2},
  [2311] = {.lex_state = 50, .external_lex_state = 2},
  [2312] = {.lex_state = 50, .external_lex_state = 2},
  [2313] = {.lex_state = 50, .external_lex_state = 2},
  [2314] = {.lex_state = 50, .external_lex_state = 2},
  [2315] = {.lex_state = 50, .external_lex_state = 2},
  [2316] = {.lex_state = 50, .external_lex_state = 2},
  [2317] = {.lex_state = 50, .external_lex_state = 2},
  [2318] = {.lex_state = 50, .external_lex_state = 2},
  [2319] = {.lex_state = 50, .external_lex_state = 2},
  [2320] = {.lex_state = 50, .external_lex_state = 2},
  [2321] = {.lex_state = 50, .external_lex_state = 2},
  [2322] = {.lex_state = 50, .external_lex_state = 2},
  [2323] = {.lex_state = 50, .external_lex_state = 2},
  [2324] = {.lex_state = 50, .external_lex_state = 2},
  [2325] = {.lex_state = 50, .external_lex_state = 2},
  [2326] = {.lex_state = 50, .external_lex_state = 2},
  [2327] = {.lex_state = 50, .external_lex_state = 2},
  [2328] = {.lex_state = 50, .external_lex_state = 2},
  [2329] = {.lex_state = 50, .external_lex_state = 2},
  [2330] = {.lex_state = 50, .external_lex_state = 2},
  [2331] = {.lex_state = 50, .external_lex_state = 2},
  [2332] = {.lex_state = 50, .external_lex_state = 2},
  [2333] = {.lex_state = 50, .external_lex_state = 2},
  [2334] = {.lex_state = 50, .external_lex_state = 2},
  [2335] = {.lex_state = 50, .external_lex_state = 2},
  [2336] = {.lex_state = 50, .external_lex_state = 2},
  [2337] = {.lex_state = 50, .external_lex_state = 2},
  [2338] = {.lex_state = 50, .external_lex_state = 2},
  [2339] = {.lex_state = 50, .external_lex_state = 2},
  [2340] = {.lex_state = 50, .external_lex_state = 2},
  [2341] = {.lex_state = 50, .external_lex_state = 2},
  [2342] = {.lex_state = 50, .external_lex_state = 2},
  [2343] = {.lex_state = 50, .external_lex_state = 2},
  [2344] = {.lex_state = 50, .external_lex_state = 2},
  [2345] = {.lex_state = 50, .external_lex_state = 2},
  [2346] = {.lex_state = 50, .external_lex_state = 2},
  [2347] = {.lex_state = 50, .external_lex_state = 2},
  [2348] = {.lex_state = 48, .external_lex_state = 19},
  [2349] = {.lex_state = 48, .external_lex_state = 19},
  [2350] = {.lex_state = 48, .external_lex_state = 22},
  [2351] = {.lex_state = 60, .external_lex_state = 3},
  [2352] = {.lex_state = 60, .external_lex_state = 3},
  [2353] = {.lex_state = 60, .external_lex_state = 3},
  [2354] = {.lex_state = 60, .external_lex_state = 3},
  [2355] = {.lex_state = 60, .external_lex_state = 3},
  [2356] = {.lex_state = 60, .external_lex_state = 3},
  [2357] = {.lex_state = 60, .external_lex_state = 3},
  [2358] = {.lex_state = 60, .external_lex_state = 3},
  [2359] = {.lex_state = 60, .external_lex_state = 3},
  [2360] = {.lex_state = 60, .external_lex_state = 3},
  [2361] = {.lex_state = 60, .external_lex_state = 3},
  [2362] = {.lex_state = 60, .external_lex_state = 3},
  [2363] = {.lex_state = 60, .external_lex_state = 3},
  [2364] = {.lex_state = 60, .external_lex_state = 3},
  [2365] = {.lex_state = 60, .external_lex_state = 3},
  [2366] = {.lex_state = 60, .external_lex_state = 3},
  [2367] = {.lex_state = 60, .external_lex_state = 3},
  [2368] = {.lex_state = 60, .external_lex_state = 3},
  [2369] = {.lex_state = 60, .external_lex_state = 3},
  [2370] = {.lex_state = 60, .external_lex_state = 3},
  [2371] = {.lex_state = 60, .external_lex_state = 3},
  [2372] = {.lex_state = 60, .external_lex_state = 3},
  [2373] = {.lex_state = 60, .external_lex_state = 3},
  [2374] = {.lex_state = 60, .external_lex_state = 3},
  [2375] = {.lex_state = 60, .external_lex_state = 3},
  [2376] = {.lex_state = 60, .external_lex_state = 3},
  [2377] = {.lex_state = 60, .external_lex_state = 3},
  [2378] = {.lex_state = 60, .external_lex_state = 3},
  [2379] = {.lex_state = 60, .external_lex_state = 3},
  [2380] = {.lex_state = 60, .external_lex_state = 3},
  [2381] = {.lex_state = 60, .external_lex_state = 3},
  [2382] = {.lex_state = 60, .external_lex_state = 3},
  [2383] = {.lex_state = 60, .external_lex_state = 3},
  [2384] = {.lex_state = 60, .external_lex_state = 3},
  [2385] = {.lex_state = 60, .external_lex_state = 3},
  [2386] = {.lex_state = 60, .external_lex_state = 3},
  [2387] = {.lex_state = 60, .external_lex_state = 3},
  [2388] = {.lex_state = 60, .external_lex_state = 3},
  [2389] = {.lex_state = 60, .external_lex_state = 3},
  [2390] = {.lex_state = 60, .external_lex_state = 3},
  [2391] = {.lex_state = 60, .external_lex_state = 3},
  [2392] = {.lex_state = 60, .external_lex_state = 3},
  [2393] = {.lex_state = 60, .external_lex_state = 3},
  [2394] = {.lex_state = 60, .external_lex_state = 3},
  [2395] = {.lex_state = 60, .external_lex_state = 3},
  [2396] = {.lex_state = 60, .external_lex_state = 3},
  [2397] = {.lex_state = 60, .external_lex_state = 3},
  [2398] = {.lex_state = 60, .external_lex_state = 3},
  [2399] = {.lex_state = 50, .external_lex_state = 3},
  [2400] = {.lex_state = 50, .external_lex_state = 4},
  [2401] = {.lex_state = 50, .external_lex_state = 2},
  [2402] = {.lex_state = 50, .external_lex_state = 2},
  [2403] = {.lex_state = 50, .external_lex_state = 4},
  [2404] = {.lex_state = 50, .external_lex_state = 2},
  [2405] = {.lex_state = 50, .external_lex_state = 4},
  [2406] = {.lex_state = 14, .external_lex_state = 2},
  [2407] = {.lex_state = 14, .external_lex_state = 2},
  [2408] = {.lex_state = 50, .external_lex_state = 2},
  [2409] = {.lex_state = 60, .external_lex_state = 2},
  [2410] = {.lex_state = 60, .external_lex_state = 2},
  [2411] = {.lex_state = 60, .external_lex_state = 2},
  [2412] = {.lex_state = 60, .external_lex_state = 2},
  [2413] = {.lex_state = 60, .external_lex_state = 2},
  [2414] = {.lex_state = 60, .external_lex_state = 2},
  [2415] = {.lex_state = 60, .external_lex_state = 2},
  [2416] = {.lex_state = 60, .external_lex_state = 2},
  [2417] = {.lex_state = 60, .external_lex_state = 2},
  [2418] = {.lex_state = 60, .external_lex_state = 2},
  [2419] = {.lex_state = 60, .external_lex_state = 2},
  [2420] = {.lex_state = 60, .external_lex_state = 2},
  [2421] = {.lex_state = 60, .external_lex_state = 2},
  [2422] = {.lex_state = 60, .external_lex_state = 2},
  [2423] = {.lex_state = 60, .external_lex_state = 2},
  [2424] = {.lex_state = 60, .external_lex_state = 2},
  [2425] = {.lex_state = 60, .external_lex_state = 2},
  [2426] = {.lex_state = 60, .external_lex_state = 2},
  [2427] = {.lex_state = 60, .external_lex_state = 2},
  [2428] = {.lex_state = 60, .external_lex_state = 2},
  [2429] = {.lex_state = 60, .external_lex_state = 2},
  [2430] = {.lex_state = 60, .external_lex_state = 2},
  [2431] = {.lex_state = 60, .external_lex_state = 2},
  [2432] = {.lex_state = 60, .external_lex_state = 2},
  [2433] = {.lex_state = 60, .external_lex_state = 2},
  [2434] = {.lex_state = 60, .external_lex_state = 2},
  [2435] = {.lex_state = 60, .external_lex_state = 2},
  [2436] = {.lex_state = 60, .external_lex_state = 2},
  [2437] = {.lex_state = 60, .external_lex_state = 2},
  [2438] = {.lex_state = 60, .external_lex_state = 2},
  [2439] = {.lex_state = 60, .external_lex_state = 2},
  [2440] = {.lex_state = 60, .external_lex_state = 2},
  [2441] = {.lex_state = 60, .external_lex_state = 2},
  [2442] = {.lex_state = 60, .external_lex_state = 2},
  [2443] = {.lex_state = 60, .external_lex_state = 2},
  [2444] = {.lex_state = 60, .external_lex_state = 2},
  [2445] = {.lex_state = 60, .external_lex_state = 2},
  [2446] = {.lex_state = 60, .external_lex_state = 2},
  [2447] = {.lex_state = 60, .external_lex_state = 2},
  [2448] = {.lex_state = 60, .external_lex_state = 2},
  [2449] = {.lex_state = 60, .external_lex_state = 2},
  [2450] = {.lex_state = 60, .external_lex_state = 2},
  [2451] = {.lex_state = 60, .external_lex_state = 2},
  [2452] = {.lex_state = 60, .external_lex_state = 2},
  [2453] = {.lex_state = 60, .external_lex_state = 2},
  [2454] = {.lex_state = 60, .external_lex_state = 2},
  [2455] = {.lex_state = 60, .external_lex_state = 2},
  [2456] = {.lex_state = 60, .external_lex_state = 2},
  [2457] = {.lex_state = 60, .external_lex_state = 2},
  [2458] = {.lex_state = 60, .external_lex_state = 2},
  [2459] = {.lex_state = 60, .external_lex_state = 2},
  [2460] = {.lex_state = 60, .external_lex_state = 2},
  [2461] = {.lex_state = 60, .external_lex_state = 2},
  [2462] = {.lex_state = 60, .external_lex_state = 2},
  [2463] = {.lex_state = 60, .external_lex_state = 2},
  [2464] = {.lex_state = 60, .external_lex_state = 2},
  [2465] = {.lex_state = 60, .external_lex_state = 2},
  [2466] = {.lex_state = 60, .external_lex_state = 2},
  [2467] = {.lex_state = 60, .external_lex_state = 2},
  [2468] = {.lex_state = 60, .external_lex_state = 2},
  [2469] = {.lex_state = 60, .external_lex_state = 2},
  [2470] = {.lex_state = 60, .external_lex_state = 2},
  [2471] = {.lex_state = 60, .external_lex_state = 2},
  [2472] = {.lex_state = 60, .external_lex_state = 2},
  [2473] = {.lex_state = 60, .external_lex_state = 2},
  [2474] = {.lex_state = 60, .external_lex_state = 2},
  [2475] = {.lex_state = 60, .external_lex_state = 2},
  [2476] = {.lex_state = 60, .external_lex_state = 2},
  [2477] = {.lex_state = 60, .external_lex_state = 2},
  [2478] = {.lex_state = 60, .external_lex_state = 2},
  [2479] = {.lex_state = 60, .external_lex_state = 2},
  [2480] = {.lex_state = 60, .external_lex_state = 2},
  [2481] = {.lex_state = 60, .external_lex_state = 2},
  [2482] = {.lex_state = 60, .external_lex_state = 2},
  [2483] = {.lex_state = 60, .external_lex_state = 2},
  [2484] = {.lex_state = 60, .external_lex_state = 2},
  [2485] = {.lex_state = 60, .external_lex_state = 2},
  [2486] = {.lex_state = 60, .external_lex_state = 2},
  [2487] = {.lex_state = 48, .external_lex_state = 6},
  [2488] = {.lex_state = 60, .external_lex_state = 2},
  [2489] = {.lex_state = 60, .external_lex_state = 2},
  [2490] = {.lex_state = 60, .external_lex_state = 2},
  [2491] = {.lex_state = 60, .external_lex_state = 2},
  [2492] = {.lex_state = 60, .external_lex_state = 2},
  [2493] = {.lex_state = 60, .external_lex_state = 2},
  [2494] = {.lex_state = 60, .external_lex_state = 2},
  [2495] = {.lex_state = 60, .external_lex_state = 2},
  [2496] = {.lex_state = 60, .external_lex_state = 2},
  [2497] = {.lex_state = 60, .external_lex_state = 2},
  [2498] = {.lex_state = 60, .external_lex_state = 2},
  [2499] = {.lex_state = 60, .external_lex_state = 2},
  [2500] = {.lex_state = 60, .external_lex_state = 2},
  [2501] = {.lex_state = 60, .external_lex_state = 2},
  [2502] = {.lex_state = 60, .external_lex_state = 2},
  [2503] = {.lex_state = 60, .external_lex_state = 2},
  [2504] = {.lex_state = 60, .external_lex_state = 2},
  [2505] = {.lex_state = 60, .external_lex_state = 2},
  [2506] = {.lex_state = 60, .external_lex_state = 2},
  [2507] = {.lex_state = 60, .external_lex_state = 2},
  [2508] = {.lex_state = 60, .external_lex_state = 2},
  [2509] = {.lex_state = 60, .external_lex_state = 2},
  [2510] = {.lex_state = 60, .external_lex_state = 2},
  [2511] = {.lex_state = 60, .external_lex_state = 2},
  [2512] = {.lex_state = 60, .external_lex_state = 2},
  [2513] = {.lex_state = 60, .external_lex_state = 2},
  [2514] = {.lex_state = 60, .external_lex_state = 2},
  [2515] = {.lex_state = 60, .external_lex_state = 2},
  [2516] = {.lex_state = 60, .external_lex_state = 2},
  [2517] = {.lex_state = 60, .external_lex_state = 2},
  [2518] = {.lex_state = 60, .external_lex_state = 2},
  [2519] = {.lex_state = 60, .external_lex_state = 2},
  [2520] = {.lex_state = 60, .external_lex_state = 2},
  [2521] = {.lex_state = 60, .external_lex_state = 2},
  [2522] = {.lex_state = 60, .external_lex_state = 2},
  [2523] = {.lex_state = 60, .external_lex_state = 2},
  [2524] = {.lex_state = 60, .external_lex_state = 2},
  [2525] = {.lex_state = 60, .external_lex_state = 2},
  [2526] = {.lex_state = 60, .external_lex_state = 2},
  [2527] = {.lex_state = 60, .external_lex_state = 2},
  [2528] = {.lex_state = 60, .external_lex_state = 2},
  [2529] = {.lex_state = 60, .external_lex_state = 2},
  [2530] = {.lex_state = 60, .external_lex_state = 2},
  [2531] = {.lex_state = 60, .external_lex_state = 2},
  [2532] = {.lex_state = 60, .external_lex_state = 2},
  [2533] = {.lex_state = 60, .external_lex_state = 2},
  [2534] = {.lex_state = 60, .external_lex_state = 2},
  [2535] = {.lex_state = 60, .external_lex_state = 2},
  [2536] = {.lex_state = 60, .external_lex_state = 2},
  [2537] = {.lex_state = 60, .external_lex_state = 2},
  [2538] = {.lex_state = 60, .external_lex_state = 2},
  [2539] = {.lex_state = 60, .external_lex_state = 2},
  [2540] = {.lex_state = 60, .external_lex_state = 2},
  [2541] = {.lex_state = 60, .external_lex_state = 2},
  [2542] = {.lex_state = 60, .external_lex_state = 2},
  [2543] = {.lex_state = 60, .external_lex_state = 2},
  [2544] = {.lex_state = 60, .external_lex_state = 2},
  [2545] = {.lex_state = 60, .external_lex_state = 2},
  [2546] = {.lex_state = 60, .external_lex_state = 2},
  [2547] = {.lex_state = 60, .external_lex_state = 2},
  [2548] = {.lex_state = 60, .external_lex_state = 2},
  [2549] = {.lex_state = 60, .external_lex_state = 2},
  [2550] = {.lex_state = 60, .external_lex_state = 2},
  [2551] = {.lex_state = 60, .external_lex_state = 2},
  [2552] = {.lex_state = 60, .external_lex_state = 2},
  [2553] = {.lex_state = 60, .external_lex_state = 2},
  [2554] = {.lex_state = 60, .external_lex_state = 2},
  [2555] = {.lex_state = 60, .external_lex_state = 2},
  [2556] = {.lex_state = 60, .external_lex_state = 2},
  [2557] = {.lex_state = 60, .external_lex_state = 2},
  [2558] = {.lex_state = 60, .external_lex_state = 2},
  [2559] = {.lex_state = 60, .external_lex_state = 2},
  [2560] = {.lex_state = 60, .external_lex_state = 2},
  [2561] = {.lex_state = 60, .external_lex_state = 2},
  [2562] = {.lex_state = 60, .external_lex_state = 2},
  [2563] = {.lex_state = 60, .external_lex_state = 2},
  [2564] = {.lex_state = 60, .external_lex_state = 2},
  [2565] = {.lex_state = 60, .external_lex_state = 2},
  [2566] = {.lex_state = 48, .external_lex_state = 7},
  [2567] = {.lex_state = 60, .external_lex_state = 2},
  [2568] = {.lex_state = 60, .external_lex_state = 2},
  [2569] = {.lex_state = 60, .external_lex_state = 2},
  [2570] = {.lex_state = 48, .external_lex_state = 8},
  [2571] = {.lex_state = 60, .external_lex_state = 2},
  [2572] = {.lex_state = 60, .external_lex_state = 2},
  [2573] = {.lex_state = 60, .external_lex_state = 2},
  [2574] = {.lex_state = 60, .external_lex_state = 2},
  [2575] = {.lex_state = 14, .external_lex_state = 2},
  [2576] = {.lex_state = 48, .external_lex_state = 10},
  [2577] = {.lex_state = 48, .external_lex_state = 11},
  [2578] = {.lex_state = 48, .external_lex_state = 12},
  [2579] = {.lex_state = 48, .external_lex_state = 9},
  [2580] = {.lex_state = 14, .external_lex_state = 2},
  [2581] = {.lex_state = 14, .external_lex_state = 2},
  [2582] = {.lex_state = 14, .external_lex_state = 2},
  [2583] = {.lex_state = 14, .external_lex_state = 2},
  [2584] = {.lex_state = 14, .external_lex_state = 2},
  [2585] = {.lex_state = 14, .external_lex_state = 2},
  [2586] = {.lex_state = 14, .external_lex_state = 2},
  [2587] = {.lex_state = 14, .external_lex_state = 2},
  [2588] = {.lex_state = 14, .external_lex_state = 2},
  [2589] = {.lex_state = 14, .external_lex_state = 2},
  [2590] = {.lex_state = 14, .external_lex_state = 2},
  [2591] = {.lex_state = 14, .external_lex_state = 2},
  [2592] = {.lex_state = 14, .external_lex_state = 2},
  [2593] = {.lex_state = 14, .external_lex_state = 2},
  [2594] = {.lex_state = 14, .external_lex_state = 2},
  [2595] = {.lex_state = 14, .external_lex_state = 2},
  [2596] = {.lex_state = 14, .external_lex_state = 2},
  [2597] = {.lex_state = 14, .external_lex_state = 2},
  [2598] = {.lex_state = 14, .external_lex_state = 2},
  [2599] = {.lex_state = 14, .external_lex_state = 2},
  [2600] = {.lex_state = 14, .external_lex_state = 2},
  [2601] = {.lex_state = 48, .external_lex_state = 6},
  [2602] = {.lex_state = 14, .external_lex_state = 2},
  [2603] = {.lex_state = 14, .external_lex_state = 2},
  [2604] = {.lex_state = 48, .external_lex_state = 13},
  [2605] = {.lex_state = 14, .external_lex_state = 2},
  [2606] = {.lex_state = 14, .external_lex_state = 2},
  [2607] = {.lex_state = 14, .external_lex_state = 2},
  [2608] = {.lex_state = 14, .external_lex_state = 2},
  [2609] = {.lex_state = 14, .external_lex_state = 2},
  [2610] = {.lex_state = 14, .external_lex_state = 2},
  [2611] = {.lex_state = 14, .external_lex_state = 2},
  [2612] = {.lex_state = 14, .external_lex_state = 2},
  [2613] = {.lex_state = 14, .external_lex_state = 2},
  [2614] = {.lex_state = 14, .external_lex_state = 2},
  [2615] = {.lex_state = 14, .external_lex_state = 2},
  [2616] = {.lex_state = 14, .external_lex_state = 2},
  [2617] = {.lex_state = 14, .external_lex_state = 2},
  [2618] = {.lex_state = 14, .external_lex_state = 2},
  [2619] = {.lex_state = 14, .external_lex_state = 2},
  [2620] = {.lex_state = 14, .external_lex_state = 2},
  [2621] = {.lex_state = 14, .external_lex_state = 2},
  [2622] = {.lex_state = 14, .external_lex_state = 2},
  [2623] = {.lex_state = 14, .external_lex_state = 2},
  [2624] = {.lex_state = 14, .external_lex_state = 2},
  [2625] = {.lex_state = 14, .external_lex_state = 2},
  [2626] = {.lex_state = 14, .external_lex_state = 2},
  [2627] = {.lex_state = 14, .external_lex_state = 2},
  [2628] = {.lex_state = 14, .external_lex_state = 2},
  [2629] = {.lex_state = 14, .external_lex_state = 2},
  [2630] = {.lex_state = 14, .external_lex_state = 2},
  [2631] = {.lex_state = 14, .external_lex_state = 2},
  [2632] = {.lex_state = 14, .external_lex_state = 2},
  [2633] = {.lex_state = 14, .external_lex_state = 2},
  [2634] = {.lex_state = 14, .external_lex_state = 2},
  [2635] = {.lex_state = 14, .external_lex_state = 2},
  [2636] = {.lex_state = 14, .external_lex_state = 2},
  [2637] = {.lex_state = 14, .external_lex_state = 2},
  [2638] = {.lex_state = 14, .external_lex_state = 2},
  [2639] = {.lex_state = 14, .external_lex_state = 2},
  [2640] = {.lex_state = 14, .external_lex_state = 2},
  [2641] = {.lex_state = 14, .external_lex_state = 2},
  [2642] = {.lex_state = 14, .external_lex_state = 2},
  [2643] = {.lex_state = 14, .external_lex_state = 2},
  [2644] = {.lex_state = 14, .external_lex_state = 2},
  [2645] = {.lex_state = 14, .external_lex_state = 2},
  [2646] = {.lex_state = 14, .external_lex_state = 2},
  [2647] = {.lex_state = 14, .external_lex_state = 2},
  [2648] = {.lex_state = 14, .external_lex_state = 2},
  [2649] = {.lex_state = 14, .external_lex_state = 2},
  [2650] = {.lex_state = 14, .external_lex_state = 2},
  [2651] = {.lex_state = 14, .external_lex_state = 2},
  [2652] = {.lex_state = 14, .external_lex_state = 2},
  [2653] = {.lex_state = 14, .external_lex_state = 2},
  [2654] = {.lex_state = 14, .external_lex_state = 2},
  [2655] = {.lex_state = 14, .external_lex_state = 2},
  [2656] = {.lex_state = 14, .external_lex_state = 2},
  [2657] = {.lex_state = 14, .external_lex_state = 2},
  [2658] = {.lex_state = 14, .external_lex_state = 2},
  [2659] = {.lex_state = 14, .external_lex_state = 2},
  [2660] = {.lex_state = 14, .external_lex_state = 2},
  [2661] = {.lex_state = 14, .external_lex_state = 2},
  [2662] = {.lex_state = 14, .external_lex_state = 2},
  [2663] = {.lex_state = 14, .external_lex_state = 2},
  [2664] = {.lex_state = 14, .external_lex_state = 2},
  [2665] = {.lex_state = 14, .external_lex_state = 2},
  [2666] = {.lex_state = 14, .external_lex_state = 2},
  [2667] = {.lex_state = 14, .external_lex_state = 2},
  [2668] = {.lex_state = 14, .external_lex_state = 2},
  [2669] = {.lex_state = 14, .external_lex_state = 2},
  [2670] = {.lex_state = 14, .external_lex_state = 2},
  [2671] = {.lex_state = 14, .external_lex_state = 2},
  [2672] = {.lex_state = 14, .external_lex_state = 2},
  [2673] = {.lex_state = 14, .external_lex_state = 2},
  [2674] = {.lex_state = 14, .external_lex_state = 2},
  [2675] = {.lex_state = 14, .external_lex_state = 2},
  [2676] = {.lex_state = 14, .external_lex_state = 2},
  [2677] = {.lex_state = 14, .external_lex_state = 2},
  [2678] = {.lex_state = 14, .external_lex_state = 2},
  [2679] = {.lex_state = 14, .external_lex_state = 2},
  [2680] = {.lex_state = 14, .external_lex_state = 2},
  [2681] = {.lex_state = 14, .external_lex_state = 2},
  [2682] = {.lex_state = 14, .external_lex_state = 2},
  [2683] = {.lex_state = 14, .external_lex_state = 2},
  [2684] = {.lex_state = 14, .external_lex_state = 2},
  [2685] = {.lex_state = 14, .external_lex_state = 2},
  [2686] = {.lex_state = 14, .external_lex_state = 2},
  [2687] = {.lex_state = 14, .external_lex_state = 2},
  [2688] = {.lex_state = 14, .external_lex_state = 2},
  [2689] = {.lex_state = 14, .external_lex_state = 2},
  [2690] = {.lex_state = 14, .external_lex_state = 2},
  [2691] = {.lex_state = 14, .external_lex_state = 2},
  [2692] = {.lex_state = 14, .external_lex_state = 2},
  [2693] = {.lex_state = 14, .external_lex_state = 2},
  [2694] = {.lex_state = 14, .external_lex_state = 2},
  [2695] = {.lex_state = 14, .external_lex_state = 2},
  [2696] = {.lex_state = 14, .external_lex_state = 2},
  [2697] = {.lex_state = 14, .external_lex_state = 2},
  [2698] = {.lex_state = 14, .external_lex_state = 2},
  [2699] = {.lex_state = 14, .external_lex_state = 2},
  [2700] = {.lex_state = 14, .external_lex_state = 2},
  [2701] = {.lex_state = 14, .external_lex_state = 2},
  [2702] = {.lex_state = 14, .external_lex_state = 2},
  [2703] = {.lex_state = 14, .external_lex_state = 2},
  [2704] = {.lex_state = 14, .external_lex_state = 2},
  [2705] = {.lex_state = 14, .external_lex_state = 2},
  [2706] = {.lex_state = 14, .external_lex_state = 2},
  [2707] = {.lex_state = 14, .external_lex_state = 2},
  [2708] = {.lex_state = 14, .external_lex_state = 2},
  [2709] = {.lex_state = 14, .external_lex_state = 2},
  [2710] = {.lex_state = 14, .external_lex_state = 2},
  [2711] = {.lex_state = 14, .external_lex_state = 2},
  [2712] = {.lex_state = 14, .external_lex_state = 2},
  [2713] = {.lex_state = 14, .external_lex_state = 2},
  [2714] = {.lex_state = 14, .external_lex_state = 2},
  [2715] = {.lex_state = 14, .external_lex_state = 2},
  [2716] = {.lex_state = 14, .external_lex_state = 2},
  [2717] = {.lex_state = 14, .external_lex_state = 2},
  [2718] = {.lex_state = 14, .external_lex_state = 2},
  [2719] = {.lex_state = 14, .external_lex_state = 2},
  [2720] = {.lex_state = 14, .external_lex_state = 2},
  [2721] = {.lex_state = 14, .external_lex_state = 2},
  [2722] = {.lex_state = 14, .external_lex_state = 2},
  [2723] = {.lex_state = 14, .external_lex_state = 2},
  [2724] = {.lex_state = 14, .external_lex_state = 2},
  [2725] = {.lex_state = 14, .external_lex_state = 2},
  [2726] = {.lex_state = 14, .external_lex_state = 2},
  [2727] = {.lex_state = 14, .external_lex_state = 2},
  [2728] = {.lex_state = 14, .external_lex_state = 2},
  [2729] = {.lex_state = 14, .external_lex_state = 2},
  [2730] = {.lex_state = 14, .external_lex_state = 2},
  [2731] = {.lex_state = 14, .external_lex_state = 2},
  [2732] = {.lex_state = 14, .external_lex_state = 2},
  [2733] = {.lex_state = 14, .external_lex_state = 2},
  [2734] = {.lex_state = 14, .external_lex_state = 2},
  [2735] = {.lex_state = 14, .external_lex_state = 2},
  [2736] = {.lex_state = 14, .external_lex_state = 2},
  [2737] = {.lex_state = 14, .external_lex_state = 2},
  [2738] = {.lex_state = 14, .external_lex_state = 2},
  [2739] = {.lex_state = 14, .external_lex_state = 2},
  [2740] = {.lex_state = 14, .external_lex_state = 2},
  [2741] = {.lex_state = 14, .external_lex_state = 2},
  [2742] = {.lex_state = 14, .external_lex_state = 2},
  [2743] = {.lex_state = 14, .external_lex_state = 2},
  [2744] = {.lex_state = 14, .external_lex_state = 2},
  [2745] = {.lex_state = 14, .external_lex_state = 2},
  [2746] = {.lex_state = 14, .external_lex_state = 2},
  [2747] = {.lex_state = 14, .external_lex_state = 2},
  [2748] = {.lex_state = 14, .external_lex_state = 2},
  [2749] = {.lex_state = 14, .external_lex_state = 2},
  [2750] = {.lex_state = 14, .external_lex_state = 2},
  [2751] = {.lex_state = 14, .external_lex_state = 2},
  [2752] = {.lex_state = 14, .external_lex_state = 2},
  [2753] = {.lex_state = 14, .external_lex_state = 2},
  [2754] = {.lex_state = 14, .external_lex_state = 2},
  [2755] = {.lex_state = 14, .external_lex_state = 2},
  [2756] = {.lex_state = 14, .external_lex_state = 2},
  [2757] = {.lex_state = 14, .external_lex_state = 2},
  [2758] = {.lex_state = 14, .external_lex_state = 2},
  [2759] = {.lex_state = 14, .external_lex_state = 2},
  [2760] = {.lex_state = 14, .external_lex_state = 2},
  [2761] = {.lex_state = 14, .external_lex_state = 2},
  [2762] = {.lex_state = 14, .external_lex_state = 2},
  [2763] = {.lex_state = 14, .external_lex_state = 2},
  [2764] = {.lex_state = 14, .external_lex_state = 2},
  [2765] = {.lex_state = 14, .external_lex_state = 2},
  [2766] = {.lex_state = 14, .external_lex_state = 2},
  [2767] = {.lex_state = 14, .external_lex_state = 2},
  [2768] = {.lex_state = 14, .external_lex_state = 2},
  [2769] = {.lex_state = 14, .external_lex_state = 2},
  [2770] = {.lex_state = 14, .external_lex_state = 2},
  [2771] = {.lex_state = 14, .external_lex_state = 2},
  [2772] = {.lex_state = 14, .external_lex_state = 2},
  [2773] = {.lex_state = 14, .external_lex_state = 2},
  [2774] = {.lex_state = 14, .external_lex_state = 2},
  [2775] = {.lex_state = 14, .external_lex_state = 2},
  [2776] = {.lex_state = 14, .external_lex_state = 2},
  [2777] = {.lex_state = 14, .external_lex_state = 2},
  [2778] = {.lex_state = 14, .external_lex_state = 2},
  [2779] = {.lex_state = 14, .external_lex_state = 2},
  [2780] = {.lex_state = 14, .external_lex_state = 2},
  [2781] = {.lex_state = 14, .external_lex_state = 2},
  [2782] = {.lex_state = 14, .external_lex_state = 2},
  [2783] = {.lex_state = 14, .external_lex_state = 2},
  [2784] = {.lex_state = 14, .external_lex_state = 2},
  [2785] = {.lex_state = 14, .external_lex_state = 2},
  [2786] = {.lex_state = 14, .external_lex_state = 2},
  [2787] = {.lex_state = 14, .external_lex_state = 2},
  [2788] = {.lex_state = 14, .external_lex_state = 2},
  [2789] = {.lex_state = 14, .external_lex_state = 2},
  [2790] = {.lex_state = 14, .external_lex_state = 2},
  [2791] = {.lex_state = 14, .external_lex_state = 2},
  [2792] = {.lex_state = 14, .external_lex_state = 2},
  [2793] = {.lex_state = 14, .external_lex_state = 2},
  [2794] = {.lex_state = 14, .external_lex_state = 2},
  [2795] = {.lex_state = 14, .external_lex_state = 2},
  [2796] = {.lex_state = 14, .external_lex_state = 2},
  [2797] = {.lex_state = 14, .external_lex_state = 2},
  [2798] = {.lex_state = 14, .external_lex_state = 2},
  [2799] = {.lex_state = 14, .external_lex_state = 2},
  [2800] = {.lex_state = 14, .external_lex_state = 2},
  [2801] = {.lex_state = 14, .external_lex_state = 2},
  [2802] = {.lex_state = 14, .external_lex_state = 2},
  [2803] = {.lex_state = 14, .external_lex_state = 2},
  [2804] = {.lex_state = 14, .external_lex_state = 2},
  [2805] = {.lex_state = 14, .external_lex_state = 2},
  [2806] = {.lex_state = 14, .external_lex_state = 2},
  [2807] = {.lex_state = 14, .external_lex_state = 2},
  [2808] = {.lex_state = 14, .external_lex_state = 2},
  [2809] = {.lex_state = 14, .external_lex_state = 2},
  [2810] = {.lex_state = 14, .external_lex_state = 2},
  [2811] = {.lex_state = 14, .external_lex_state = 2},
  [2812] = {.lex_state = 14, .external_lex_state = 2},
  [2813] = {.lex_state = 14, .external_lex_state = 2},
  [2814] = {.lex_state = 14, .external_lex_state = 2},
  [2815] = {.lex_state = 14, .external_lex_state = 2},
  [2816] = {.lex_state = 14, .external_lex_state = 2},
  [2817] = {.lex_state = 14, .external_lex_state = 2},
  [2818] = {.lex_state = 14, .external_lex_state = 2},
  [2819] = {.lex_state = 14, .external_lex_state = 2},
  [2820] = {.lex_state = 14, .external_lex_state = 2},
  [2821] = {.lex_state = 14, .external_lex_state = 2},
  [2822] = {.lex_state = 14, .external_lex_state = 2},
  [2823] = {.lex_state = 14, .external_lex_state = 2},
  [2824] = {.lex_state = 14, .external_lex_state = 2},
  [2825] = {.lex_state = 14, .external_lex_state = 2},
  [2826] = {.lex_state = 14, .external_lex_state = 2},
  [2827] = {.lex_state = 14, .external_lex_state = 2},
  [2828] = {.lex_state = 14, .external_lex_state = 2},
  [2829] = {.lex_state = 14, .external_lex_state = 2},
  [2830] = {.lex_state = 14, .external_lex_state = 2},
  [2831] = {.lex_state = 14, .external_lex_state = 2},
  [2832] = {.lex_state = 14, .external_lex_state = 2},
  [2833] = {.lex_state = 14, .external_lex_state = 2},
  [2834] = {.lex_state = 14, .external_lex_state = 2},
  [2835] = {.lex_state = 14, .external_lex_state = 2},
  [2836] = {.lex_state = 14, .external_lex_state = 2},
  [2837] = {.lex_state = 14, .external_lex_state = 2},
  [2838] = {.lex_state = 14, .external_lex_state = 2},
  [2839] = {.lex_state = 14, .external_lex_state = 2},
  [2840] = {.lex_state = 14, .external_lex_state = 2},
  [2841] = {.lex_state = 14, .external_lex_state = 2},
  [2842] = {.lex_state = 14, .external_lex_state = 2},
  [2843] = {.lex_state = 14, .external_lex_state = 2},
  [2844] = {.lex_state = 14, .external_lex_state = 2},
  [2845] = {.lex_state = 14, .external_lex_state = 2},
  [2846] = {.lex_state = 14, .external_lex_state = 2},
  [2847] = {.lex_state = 14, .external_lex_state = 2},
  [2848] = {.lex_state = 14, .external_lex_state = 2},
  [2849] = {.lex_state = 14, .external_lex_state = 2},
  [2850] = {.lex_state = 14, .external_lex_state = 2},
  [2851] = {.lex_state = 14, .external_lex_state = 2},
  [2852] = {.lex_state = 14, .external_lex_state = 2},
  [2853] = {.lex_state = 14, .external_lex_state = 2},
  [2854] = {.lex_state = 14, .external_lex_state = 2},
  [2855] = {.lex_state = 14, .external_lex_state = 2},
  [2856] = {.lex_state = 14, .external_lex_state = 2},
  [2857] = {.lex_state = 14, .external_lex_state = 2},
  [2858] = {.lex_state = 14, .external_lex_state = 2},
  [2859] = {.lex_state = 14, .external_lex_state = 2},
  [2860] = {.lex_state = 14, .external_lex_state = 2},
  [2861] = {.lex_state = 14, .external_lex_state = 2},
  [2862] = {.lex_state = 14, .external_lex_state = 2},
  [2863] = {.lex_state = 14, .external_lex_state = 2},
  [2864] = {.lex_state = 14, .external_lex_state = 2},
  [2865] = {.lex_state = 14, .external_lex_state = 2},
  [2866] = {.lex_state = 14, .external_lex_state = 2},
  [2867] = {.lex_state = 14, .external_lex_state = 2},
  [2868] = {.lex_state = 14, .external_lex_state = 2},
  [2869] = {.lex_state = 14, .external_lex_state = 2},
  [2870] = {.lex_state = 14, .external_lex_state = 2},
  [2871] = {.lex_state = 14, .external_lex_state = 2},
  [2872] = {.lex_state = 14, .external_lex_state = 2},
  [2873] = {.lex_state = 14, .external_lex_state = 2},
  [2874] = {.lex_state = 14, .external_lex_state = 2},
  [2875] = {.lex_state = 14, .external_lex_state = 2},
  [2876] = {.lex_state = 14, .external_lex_state = 2},
  [2877] = {.lex_state = 14, .external_lex_state = 2},
  [2878] = {.lex_state = 14, .external_lex_state = 2},
  [2879] = {.lex_state = 14, .external_lex_state = 2},
  [2880] = {.lex_state = 14, .external_lex_state = 2},
  [2881] = {.lex_state = 14, .external_lex_state = 2},
  [2882] = {.lex_state = 14, .external_lex_state = 2},
  [2883] = {.lex_state = 14, .external_lex_state = 2},
  [2884] = {.lex_state = 14, .external_lex_state = 2},
  [2885] = {.lex_state = 14, .external_lex_state = 2},
  [2886] = {.lex_state = 14, .external_lex_state = 2},
  [2887] = {.lex_state = 14, .external_lex_state = 2},
  [2888] = {.lex_state = 14, .external_lex_state = 2},
  [2889] = {.lex_state = 14, .external_lex_state = 2},
  [2890] = {.lex_state = 14, .external_lex_state = 2},
  [2891] = {.lex_state = 14, .external_lex_state = 2},
  [2892] = {.lex_state = 14, .external_lex_state = 2},
  [2893] = {.lex_state = 14, .external_lex_state = 2},
  [2894] = {.lex_state = 14, .external_lex_state = 2},
  [2895] = {.lex_state = 14, .external_lex_state = 2},
  [2896] = {.lex_state = 14, .external_lex_state = 2},
  [2897] = {.lex_state = 14, .external_lex_state = 2},
  [2898] = {.lex_state = 14, .external_lex_state = 2},
  [2899] = {.lex_state = 14, .external_lex_state = 2},
  [2900] = {.lex_state = 14, .external_lex_state = 2},
  [2901] = {.lex_state = 14, .external_lex_state = 2},
  [2902] = {.lex_state = 14, .external_lex_state = 2},
  [2903] = {.lex_state = 14, .external_lex_state = 2},
  [2904] = {.lex_state = 14, .external_lex_state = 2},
  [2905] = {.lex_state = 14, .external_lex_state = 2},
  [2906] = {.lex_state = 14, .external_lex_state = 2},
  [2907] = {.lex_state = 14, .external_lex_state = 2},
  [2908] = {.lex_state = 14, .external_lex_state = 2},
  [2909] = {.lex_state = 14, .external_lex_state = 2},
  [2910] = {.lex_state = 14, .external_lex_state = 2},
  [2911] = {.lex_state = 14, .external_lex_state = 2},
  [2912] = {.lex_state = 14, .external_lex_state = 2},
  [2913] = {.lex_state = 14, .external_lex_state = 2},
  [2914] = {.lex_state = 14, .external_lex_state = 2},
  [2915] = {.lex_state = 14, .external_lex_state = 2},
  [2916] = {.lex_state = 14, .external_lex_state = 2},
  [2917] = {.lex_state = 14, .external_lex_state = 2},
  [2918] = {.lex_state = 14, .external_lex_state = 2},
  [2919] = {.lex_state = 14, .external_lex_state = 2},
  [2920] = {.lex_state = 14, .external_lex_state = 2},
  [2921] = {.lex_state = 14, .external_lex_state = 2},
  [2922] = {.lex_state = 14, .external_lex_state = 2},
  [2923] = {.lex_state = 14, .external_lex_state = 2},
  [2924] = {.lex_state = 14, .external_lex_state = 2},
  [2925] = {.lex_state = 14, .external_lex_state = 2},
  [2926] = {.lex_state = 14, .external_lex_state = 2},
  [2927] = {.lex_state = 14, .external_lex_state = 2},
  [2928] = {.lex_state = 14, .external_lex_state = 2},
  [2929] = {.lex_state = 14, .external_lex_state = 2},
  [2930] = {.lex_state = 14, .external_lex_state = 2},
  [2931] = {.lex_state = 14, .external_lex_state = 2},
  [2932] = {.lex_state = 14, .external_lex_state = 2},
  [2933] = {.lex_state = 14, .external_lex_state = 2},
  [2934] = {.lex_state = 14, .external_lex_state = 2},
  [2935] = {.lex_state = 14, .external_lex_state = 2},
  [2936] = {.lex_state = 14, .external_lex_state = 2},
  [2937] = {.lex_state = 14, .external_lex_state = 2},
  [2938] = {.lex_state = 14, .external_lex_state = 2},
  [2939] = {.lex_state = 14, .external_lex_state = 2},
  [2940] = {.lex_state = 14, .external_lex_state = 2},
  [2941] = {.lex_state = 14, .external_lex_state = 2},
  [2942] = {.lex_state = 14, .external_lex_state = 2},
  [2943] = {.lex_state = 14, .external_lex_state = 2},
  [2944] = {.lex_state = 14, .external_lex_state = 2},
  [2945] = {.lex_state = 14, .external_lex_state = 2},
  [2946] = {.lex_state = 14, .external_lex_state = 2},
  [2947] = {.lex_state = 14, .external_lex_state = 2},
  [2948] = {.lex_state = 14, .external_lex_state = 2},
  [2949] = {.lex_state = 14, .external_lex_state = 2},
  [2950] = {.lex_state = 14, .external_lex_state = 2},
  [2951] = {.lex_state = 14, .external_lex_state = 2},
  [2952] = {.lex_state = 14, .external_lex_state = 2},
  [2953] = {.lex_state = 14, .external_lex_state = 2},
  [2954] = {.lex_state = 14, .external_lex_state = 2},
  [2955] = {.lex_state = 14, .external_lex_state = 2},
  [2956] = {.lex_state = 14, .external_lex_state = 2},
  [2957] = {.lex_state = 14, .external_lex_state = 2},
  [2958] = {.lex_state = 14, .external_lex_state = 2},
  [2959] = {.lex_state = 14, .external_lex_state = 2},
  [2960] = {.lex_state = 14, .external_lex_state = 2},
  [2961] = {.lex_state = 14, .external_lex_state = 2},
  [2962] = {.lex_state = 14, .external_lex_state = 2},
  [2963] = {.lex_state = 14, .external_lex_state = 2},
  [2964] = {.lex_state = 14, .external_lex_state = 2},
  [2965] = {.lex_state = 14, .external_lex_state = 2},
  [2966] = {.lex_state = 14, .external_lex_state = 2},
  [2967] = {.lex_state = 14, .external_lex_state = 2},
  [2968] = {.lex_state = 14, .external_lex_state = 2},
  [2969] = {.lex_state = 14, .external_lex_state = 2},
  [2970] = {.lex_state = 14, .external_lex_state = 2},
  [2971] = {.lex_state = 14, .external_lex_state = 2},
  [2972] = {.lex_state = 14, .external_lex_state = 2},
  [2973] = {.lex_state = 14, .external_lex_state = 2},
  [2974] = {.lex_state = 14, .external_lex_state = 2},
  [2975] = {.lex_state = 14, .external_lex_state = 2},
  [2976] = {.lex_state = 14, .external_lex_state = 2},
  [2977] = {.lex_state = 14, .external_lex_state = 2},
  [2978] = {.lex_state = 14, .external_lex_state = 2},
  [2979] = {.lex_state = 14, .external_lex_state = 2},
  [2980] = {.lex_state = 48, .external_lex_state = 15},
  [2981] = {.lex_state = 14, .external_lex_state = 2},
  [2982] = {.lex_state = 14, .external_lex_state = 2},
  [2983] = {.lex_state = 14, .external_lex_state = 2},
  [2984] = {.lex_state = 14, .external_lex_state = 2},
  [2985] = {.lex_state = 14, .external_lex_state = 2},
  [2986] = {.lex_state = 14, .external_lex_state = 2},
  [2987] = {.lex_state = 14, .external_lex_state = 2},
  [2988] = {.lex_state = 14, .external_lex_state = 2},
  [2989] = {.lex_state = 14, .external_lex_state = 2},
  [2990] = {.lex_state = 14, .external_lex_state = 2},
  [2991] = {.lex_state = 14, .external_lex_state = 2},
  [2992] = {.lex_state = 14, .external_lex_state = 2},
  [2993] = {.lex_state = 14, .external_lex_state = 2},
  [2994] = {.lex_state = 14, .external_lex_state = 2},
  [2995] = {.lex_state = 14, .external_lex_state = 2},
  [2996] = {.lex_state = 14, .external_lex_state = 2},
  [2997] = {.lex_state = 14, .external_lex_state = 2},
  [2998] = {.lex_state = 14, .external_lex_state = 2},
  [2999] = {.lex_state = 14, .external_lex_state = 2},
  [3000] = {.lex_state = 14, .external_lex_state = 2},
  [3001] = {.lex_state = 14, .external_lex_state = 2},
  [3002] = {.lex_state = 14, .external_lex_state = 2},
  [3003] = {.lex_state = 14, .external_lex_state = 2},
  [3004] = {.lex_state = 14, .external_lex_state = 2},
  [3005] = {.lex_state = 14, .external_lex_state = 2},
  [3006] = {.lex_state = 14, .external_lex_state = 2},
  [3007] = {.lex_state = 14, .external_lex_state = 2},
  [3008] = {.lex_state = 14, .external_lex_state = 2},
  [3009] = {.lex_state = 14, .external_lex_state = 2},
  [3010] = {.lex_state = 48, .external_lex_state = 14},
  [3011] = {.lex_state = 14, .external_lex_state = 2},
  [3012] = {.lex_state = 14, .external_lex_state = 2},
  [3013] = {.lex_state = 14, .external_lex_state = 2},
  [3014] = {.lex_state = 14, .external_lex_state = 2},
  [3015] = {.lex_state = 14, .external_lex_state = 2},
  [3016] = {.lex_state = 14, .external_lex_state = 2},
  [3017] = {.lex_state = 14, .external_lex_state = 2},
  [3018] = {.lex_state = 14, .external_lex_state = 2},
  [3019] = {.lex_state = 14, .external_lex_state = 2},
  [3020] = {.lex_state = 14, .external_lex_state = 2},
  [3021] = {.lex_state = 14, .external_lex_state = 2},
  [3022] = {.lex_state = 14, .external_lex_state = 2},
  [3023] = {.lex_state = 14, .external_lex_state = 2},
  [3024] = {.lex_state = 14, .external_lex_state = 2},
  [3025] = {.lex_state = 14, .external_lex_state = 2},
  [3026] = {.lex_state = 14, .external_lex_state = 2},
  [3027] = {.lex_state = 14, .external_lex_state = 2},
  [3028] = {.lex_state = 14, .external_lex_state = 2},
  [3029] = {.lex_state = 14, .external_lex_state = 2},
  [3030] = {.lex_state = 14, .external_lex_state = 2},
  [3031] = {.lex_state = 14, .external_lex_state = 2},
  [3032] = {.lex_state = 14, .external_lex_state = 2},
  [3033] = {.lex_state = 14, .external_lex_state = 2},
  [3034] = {.lex_state = 14, .external_lex_state = 2},
  [3035] = {.lex_state = 14, .external_lex_state = 2},
  [3036] = {.lex_state = 14, .external_lex_state = 2},
  [3037] = {.lex_state = 14, .external_lex_state = 2},
  [3038] = {.lex_state = 14, .external_lex_state = 2},
  [3039] = {.lex_state = 14, .external_lex_state = 2},
  [3040] = {.lex_state = 14, .external_lex_state = 2},
  [3041] = {.lex_state = 14, .external_lex_state = 2},
  [3042] = {.lex_state = 14, .external_lex_state = 2},
  [3043] = {.lex_state = 14, .external_lex_state = 2},
  [3044] = {.lex_state = 14, .external_lex_state = 2},
  [3045] = {.lex_state = 14, .external_lex_state = 2},
  [3046] = {.lex_state = 14, .external_lex_state = 2},
  [3047] = {.lex_state = 14, .external_lex_state = 2},
  [3048] = {.lex_state = 14, .external_lex_state = 2},
  [3049] = {.lex_state = 14, .external_lex_state = 2},
  [3050] = {.lex_state = 14, .external_lex_state = 2},
  [3051] = {.lex_state = 14, .external_lex_state = 2},
  [3052] = {.lex_state = 14, .external_lex_state = 2},
  [3053] = {.lex_state = 14, .external_lex_state = 2},
  [3054] = {.lex_state = 14, .external_lex_state = 2},
  [3055] = {.lex_state = 14, .external_lex_state = 2},
  [3056] = {.lex_state = 14, .external_lex_state = 2},
  [3057] = {.lex_state = 14, .external_lex_state = 2},
  [3058] = {.lex_state = 14, .external_lex_state = 2},
  [3059] = {.lex_state = 14, .external_lex_state = 2},
  [3060] = {.lex_state = 14, .external_lex_state = 2},
  [3061] = {.lex_state = 14, .external_lex_state = 2},
  [3062] = {.lex_state = 14, .external_lex_state = 2},
  [3063] = {.lex_state = 14, .external_lex_state = 2},
  [3064] = {.lex_state = 14, .external_lex_state = 2},
  [3065] = {.lex_state = 14, .external_lex_state = 2},
  [3066] = {.lex_state = 14, .external_lex_state = 2},
  [3067] = {.lex_state = 14, .external_lex_state = 2},
  [3068] = {.lex_state = 14, .external_lex_state = 2},
  [3069] = {.lex_state = 14, .external_lex_state = 2},
  [3070] = {.lex_state = 14, .external_lex_state = 2},
  [3071] = {.lex_state = 14, .external_lex_state = 2},
  [3072] = {.lex_state = 14, .external_lex_state = 2},
  [3073] = {.lex_state = 14, .external_lex_state = 2},
  [3074] = {.lex_state = 14, .external_lex_state = 2},
  [3075] = {.lex_state = 14, .external_lex_state = 2},
  [3076] = {.lex_state = 14, .external_lex_state = 2},
  [3077] = {.lex_state = 14, .external_lex_state = 2},
  [3078] = {.lex_state = 14, .external_lex_state = 2},
  [3079] = {.lex_state = 14, .external_lex_state = 2},
  [3080] = {.lex_state = 14, .external_lex_state = 2},
  [3081] = {.lex_state = 14, .external_lex_state = 2},
  [3082] = {.lex_state = 14, .external_lex_state = 2},
  [3083] = {.lex_state = 14, .external_lex_state = 2},
  [3084] = {.lex_state = 14, .external_lex_state = 2},
  [3085] = {.lex_state = 14, .external_lex_state = 2},
  [3086] = {.lex_state = 14, .external_lex_state = 2},
  [3087] = {.lex_state = 14, .external_lex_state = 2},
  [3088] = {.lex_state = 14, .external_lex_state = 2},
  [3089] = {.lex_state = 48, .external_lex_state = 16},
  [3090] = {.lex_state = 14, .external_lex_state = 2},
  [3091] = {.lex_state = 14, .external_lex_state = 2},
  [3092] = {.lex_state = 14, .external_lex_state = 2},
  [3093] = {.lex_state = 14, .external_lex_state = 2},
  [3094] = {.lex_state = 14, .external_lex_state = 2},
  [3095] = {.lex_state = 14, .external_lex_state = 2},
  [3096] = {.lex_state = 14, .external_lex_state = 2},
  [3097] = {.lex_state = 14, .external_lex_state = 2},
  [3098] = {.lex_state = 14, .external_lex_state = 2},
  [3099] = {.lex_state = 14, .external_lex_state = 2},
  [3100] = {.lex_state = 14, .external_lex_state = 2},
  [3101] = {.lex_state = 14, .external_lex_state = 2},
  [3102] = {.lex_state = 14, .external_lex_state = 2},
  [3103] = {.lex_state = 14, .external_lex_state = 2},
  [3104] = {.lex_state = 14, .external_lex_state = 2},
  [3105] = {.lex_state = 14, .external_lex_state = 2},
  [3106] = {.lex_state = 14, .external_lex_state = 2},
  [3107] = {.lex_state = 48, .external_lex_state = 20},
  [3108] = {.lex_state = 14, .external_lex_state = 2},
  [3109] = {.lex_state = 14, .external_lex_state = 2},
  [3110] = {.lex_state = 14, .external_lex_state = 2},
  [3111] = {.lex_state = 14, .external_lex_state = 2},
  [3112] = {.lex_state = 14, .external_lex_state = 2},
  [3113] = {.lex_state = 14, .external_lex_state = 2},
  [3114] = {.lex_state = 14, .external_lex_state = 2},
  [3115] = {.lex_state = 14, .external_lex_state = 2},
  [3116] = {.lex_state = 14, .external_lex_state = 2},
  [3117] = {.lex_state = 14, .external_lex_state = 2},
  [3118] = {.lex_state = 14, .external_lex_state = 2},
  [3119] = {.lex_state = 14, .external_lex_state = 2},
  [3120] = {.lex_state = 14, .external_lex_state = 2},
  [3121] = {.lex_state = 14, .external_lex_state = 2},
  [3122] = {.lex_state = 14, .external_lex_state = 2},
  [3123] = {.lex_state = 14, .external_lex_state = 2},
  [3124] = {.lex_state = 14, .external_lex_state = 2},
  [3125] = {.lex_state = 14, .external_lex_state = 2},
  [3126] = {.lex_state = 14, .external_lex_state = 2},
  [3127] = {.lex_state = 14, .external_lex_state = 2},
  [3128] = {.lex_state = 14, .external_lex_state = 2},
  [3129] = {.lex_state = 14, .external_lex_state = 2},
  [3130] = {.lex_state = 14, .external_lex_state = 2},
  [3131] = {.lex_state = 14, .external_lex_state = 2},
  [3132] = {.lex_state = 14, .external_lex_state = 2},
  [3133] = {.lex_state = 14, .external_lex_state = 2},
  [3134] = {.lex_state = 14, .external_lex_state = 2},
  [3135] = {.lex_state = 14, .external_lex_state = 2},
  [3136] = {.lex_state = 14, .external_lex_state = 2},
  [3137] = {.lex_state = 14, .external_lex_state = 2},
  [3138] = {.lex_state = 14, .external_lex_state = 2},
  [3139] = {.lex_state = 14, .external_lex_state = 2},
  [3140] = {.lex_state = 14, .external_lex_state = 2},
  [3141] = {.lex_state = 14, .external_lex_state = 2},
  [3142] = {.lex_state = 14, .external_lex_state = 2},
  [3143] = {.lex_state = 14, .external_lex_state = 2},
  [3144] = {.lex_state = 14, .external_lex_state = 2},
  [3145] = {.lex_state = 14, .external_lex_state = 2},
  [3146] = {.lex_state = 14, .external_lex_state = 2},
  [3147] = {.lex_state = 14, .external_lex_state = 2},
  [3148] = {.lex_state = 14, .external_lex_state = 2},
  [3149] = {.lex_state = 14, .external_lex_state = 2},
  [3150] = {.lex_state = 14, .external_lex_state = 2},
  [3151] = {.lex_state = 14, .external_lex_state = 2},
  [3152] = {.lex_state = 14, .external_lex_state = 2},
  [3153] = {.lex_state = 14, .external_lex_state = 2},
  [3154] = {.lex_state = 14, .external_lex_state = 2},
  [3155] = {.lex_state = 14, .external_lex_state = 2},
  [3156] = {.lex_state = 14, .external_lex_state = 2},
  [3157] = {.lex_state = 14, .external_lex_state = 2},
  [3158] = {.lex_state = 14, .external_lex_state = 2},
  [3159] = {.lex_state = 14, .external_lex_state = 2},
  [3160] = {.lex_state = 14, .external_lex_state = 2},
  [3161] = {.lex_state = 14, .external_lex_state = 2},
  [3162] = {.lex_state = 14, .external_lex_state = 2},
  [3163] = {.lex_state = 14, .external_lex_state = 2},
  [3164] = {.lex_state = 14, .external_lex_state = 2},
  [3165] = {.lex_state = 14, .external_lex_state = 2},
  [3166] = {.lex_state = 14, .external_lex_state = 2},
  [3167] = {.lex_state = 14, .external_lex_state = 2},
  [3168] = {.lex_state = 14, .external_lex_state = 2},
  [3169] = {.lex_state = 14, .external_lex_state = 2},
  [3170] = {.lex_state = 14, .external_lex_state = 2},
  [3171] = {.lex_state = 14, .external_lex_state = 2},
  [3172] = {.lex_state = 14, .external_lex_state = 2},
  [3173] = {.lex_state = 14, .external_lex_state = 2},
  [3174] = {.lex_state = 14, .external_lex_state = 2},
  [3175] = {.lex_state = 14, .external_lex_state = 2},
  [3176] = {.lex_state = 14, .external_lex_state = 2},
  [3177] = {.lex_state = 14, .external_lex_state = 2},
  [3178] = {.lex_state = 14, .external_lex_state = 2},
  [3179] = {.lex_state = 14, .external_lex_state = 2},
  [3180] = {.lex_state = 14, .external_lex_state = 2},
  [3181] = {.lex_state = 14, .external_lex_state = 2},
  [3182] = {.lex_state = 14, .external_lex_state = 2},
  [3183] = {.lex_state = 14, .external_lex_state = 2},
  [3184] = {.lex_state = 14, .external_lex_state = 2},
  [3185] = {.lex_state = 14, .external_lex_state = 2},
  [3186] = {.lex_state = 14, .external_lex_state = 2},
  [3187] = {.lex_state = 14, .external_lex_state = 2},
  [3188] = {.lex_state = 14, .external_lex_state = 2},
  [3189] = {.lex_state = 14, .external_lex_state = 2},
  [3190] = {.lex_state = 14, .external_lex_state = 2},
  [3191] = {.lex_state = 14, .external_lex_state = 2},
  [3192] = {.lex_state = 14, .external_lex_state = 2},
  [3193] = {.lex_state = 14, .external_lex_state = 2},
  [3194] = {.lex_state = 14, .external_lex_state = 2},
  [3195] = {.lex_state = 14, .external_lex_state = 2},
  [3196] = {.lex_state = 14, .external_lex_state = 2},
  [3197] = {.lex_state = 14, .external_lex_state = 2},
  [3198] = {.lex_state = 14, .external_lex_state = 2},
  [3199] = {.lex_state = 14, .external_lex_state = 2},
  [3200] = {.lex_state = 14, .external_lex_state = 2},
  [3201] = {.lex_state = 14, .external_lex_state = 2},
  [3202] = {.lex_state = 14, .external_lex_state = 2},
  [3203] = {.lex_state = 14, .external_lex_state = 2},
  [3204] = {.lex_state = 14, .external_lex_state = 2},
  [3205] = {.lex_state = 14, .external_lex_state = 2},
  [3206] = {.lex_state = 14, .external_lex_state = 2},
  [3207] = {.lex_state = 14, .external_lex_state = 2},
  [3208] = {.lex_state = 14, .external_lex_state = 2},
  [3209] = {.lex_state = 14, .external_lex_state = 2},
  [3210] = {.lex_state = 14, .external_lex_state = 2},
  [3211] = {.lex_state = 14, .external_lex_state = 2},
  [3212] = {.lex_state = 14, .external_lex_state = 2},
  [3213] = {.lex_state = 14, .external_lex_state = 2},
  [3214] = {.lex_state = 14, .external_lex_state = 2},
  [3215] = {.lex_state = 14, .external_lex_state = 2},
  [3216] = {.lex_state = 14, .external_lex_state = 2},
  [3217] = {.lex_state = 14, .external_lex_state = 2},
  [3218] = {.lex_state = 14, .external_lex_state = 2},
  [3219] = {.lex_state = 14, .external_lex_state = 2},
  [3220] = {.lex_state = 14, .external_lex_state = 2},
  [3221] = {.lex_state = 14, .external_lex_state = 2},
  [3222] = {.lex_state = 14, .external_lex_state = 2},
  [3223] = {.lex_state = 14, .external_lex_state = 2},
  [3224] = {.lex_state = 14, .external_lex_state = 2},
  [3225] = {.lex_state = 14, .external_lex_state = 2},
  [3226] = {.lex_state = 14, .external_lex_state = 2},
  [3227] = {.lex_state = 14, .external_lex_state = 2},
  [3228] = {.lex_state = 14, .external_lex_state = 2},
  [3229] = {.lex_state = 14, .external_lex_state = 2},
  [3230] = {.lex_state = 14, .external_lex_state = 2},
  [3231] = {.lex_state = 14, .external_lex_state = 2},
  [3232] = {.lex_state = 14, .external_lex_state = 2},
  [3233] = {.lex_state = 14, .external_lex_state = 2},
  [3234] = {.lex_state = 14, .external_lex_state = 2},
  [3235] = {.lex_state = 14, .external_lex_state = 2},
  [3236] = {.lex_state = 14, .external_lex_state = 2},
  [3237] = {.lex_state = 14, .external_lex_state = 2},
  [3238] = {.lex_state = 14, .external_lex_state = 2},
  [3239] = {.lex_state = 14, .external_lex_state = 2},
  [3240] = {.lex_state = 14, .external_lex_state = 2},
  [3241] = {.lex_state = 14, .external_lex_state = 2},
  [3242] = {.lex_state = 14, .external_lex_state = 2},
  [3243] = {.lex_state = 14, .external_lex_state = 2},
  [3244] = {.lex_state = 14, .external_lex_state = 2},
  [3245] = {.lex_state = 14, .external_lex_state = 2},
  [3246] = {.lex_state = 14, .external_lex_state = 2},
  [3247] = {.lex_state = 14, .external_lex_state = 2},
  [3248] = {.lex_state = 14, .external_lex_state = 2},
  [3249] = {.lex_state = 14, .external_lex_state = 2},
  [3250] = {.lex_state = 14, .external_lex_state = 2},
  [3251] = {.lex_state = 14, .external_lex_state = 2},
  [3252] = {.lex_state = 14, .external_lex_state = 2},
  [3253] = {.lex_state = 14, .external_lex_state = 2},
  [3254] = {.lex_state = 14, .external_lex_state = 2},
  [3255] = {.lex_state = 14, .external_lex_state = 2},
  [3256] = {.lex_state = 14, .external_lex_state = 2},
  [3257] = {.lex_state = 14, .external_lex_state = 2},
  [3258] = {.lex_state = 14, .external_lex_state = 2},
  [3259] = {.lex_state = 14, .external_lex_state = 2},
  [3260] = {.lex_state = 14, .external_lex_state = 2},
  [3261] = {.lex_state = 14, .external_lex_state = 2},
  [3262] = {.lex_state = 14, .external_lex_state = 2},
  [3263] = {.lex_state = 14, .external_lex_state = 2},
  [3264] = {.lex_state = 14, .external_lex_state = 2},
  [3265] = {.lex_state = 14, .external_lex_state = 2},
  [3266] = {.lex_state = 14, .external_lex_state = 2},
  [3267] = {.lex_state = 14, .external_lex_state = 2},
  [3268] = {.lex_state = 14, .external_lex_state = 2},
  [3269] = {.lex_state = 14, .external_lex_state = 2},
  [3270] = {.lex_state = 14, .external_lex_state = 2},
  [3271] = {.lex_state = 14, .external_lex_state = 2},
  [3272] = {.lex_state = 14, .external_lex_state = 2},
  [3273] = {.lex_state = 14, .external_lex_state = 2},
  [3274] = {.lex_state = 14, .external_lex_state = 2},
  [3275] = {.lex_state = 14, .external_lex_state = 2},
  [3276] = {.lex_state = 14, .external_lex_state = 2},
  [3277] = {.lex_state = 14, .external_lex_state = 2},
  [3278] = {.lex_state = 14, .external_lex_state = 2},
  [3279] = {.lex_state = 14, .external_lex_state = 2},
  [3280] = {.lex_state = 14, .external_lex_state = 2},
  [3281] = {.lex_state = 14, .external_lex_state = 2},
  [3282] = {.lex_state = 14, .external_lex_state = 2},
  [3283] = {.lex_state = 14, .external_lex_state = 2},
  [3284] = {.lex_state = 14, .external_lex_state = 2},
  [3285] = {.lex_state = 14, .external_lex_state = 2},
  [3286] = {.lex_state = 14, .external_lex_state = 2},
  [3287] = {.lex_state = 14, .external_lex_state = 2},
  [3288] = {.lex_state = 14, .external_lex_state = 2},
  [3289] = {.lex_state = 14, .external_lex_state = 2},
  [3290] = {.lex_state = 14, .external_lex_state = 2},
  [3291] = {.lex_state = 14, .external_lex_state = 2},
  [3292] = {.lex_state = 14, .external_lex_state = 2},
  [3293] = {.lex_state = 14, .external_lex_state = 2},
  [3294] = {.lex_state = 14, .external_lex_state = 2},
  [3295] = {.lex_state = 14, .external_lex_state = 2},
  [3296] = {.lex_state = 14, .external_lex_state = 2},
  [3297] = {.lex_state = 14, .external_lex_state = 2},
  [3298] = {.lex_state = 14, .external_lex_state = 2},
  [3299] = {.lex_state = 14, .external_lex_state = 2},
  [3300] = {.lex_state = 14, .external_lex_state = 2},
  [3301] = {.lex_state = 14, .external_lex_state = 2},
  [3302] = {.lex_state = 14, .external_lex_state = 2},
  [3303] = {.lex_state = 14, .external_lex_state = 2},
  [3304] = {.lex_state = 14, .external_lex_state = 2},
  [3305] = {.lex_state = 14, .external_lex_state = 2},
  [3306] = {.lex_state = 14, .external_lex_state = 2},
  [3307] = {.lex_state = 14, .external_lex_state = 2},
  [3308] = {.lex_state = 14, .external_lex_state = 2},
  [3309] = {.lex_state = 14, .external_lex_state = 2},
  [3310] = {.lex_state = 14, .external_lex_state = 2},
  [3311] = {.lex_state = 14, .external_lex_state = 2},
  [3312] = {.lex_state = 14, .external_lex_state = 2},
  [3313] = {.lex_state = 14, .external_lex_state = 2},
  [3314] = {.lex_state = 14, .external_lex_state = 2},
  [3315] = {.lex_state = 14, .external_lex_state = 2},
  [3316] = {.lex_state = 14, .external_lex_state = 2},
  [3317] = {.lex_state = 14, .external_lex_state = 2},
  [3318] = {.lex_state = 14, .external_lex_state = 2},
  [3319] = {.lex_state = 14, .external_lex_state = 2},
  [3320] = {.lex_state = 14, .external_lex_state = 2},
  [3321] = {.lex_state = 14, .external_lex_state = 2},
  [3322] = {.lex_state = 14, .external_lex_state = 2},
  [3323] = {.lex_state = 14, .external_lex_state = 2},
  [3324] = {.lex_state = 14, .external_lex_state = 2},
  [3325] = {.lex_state = 14, .external_lex_state = 2},
  [3326] = {.lex_state = 14, .external_lex_state = 2},
  [3327] = {.lex_state = 14, .external_lex_state = 2},
  [3328] = {.lex_state = 14, .external_lex_state = 2},
  [3329] = {.lex_state = 14, .external_lex_state = 2},
  [3330] = {.lex_state = 14, .external_lex_state = 2},
  [3331] = {.lex_state = 14, .external_lex_state = 2},
  [3332] = {.lex_state = 14, .external_lex_state = 2},
  [3333] = {.lex_state = 14, .external_lex_state = 2},
  [3334] = {.lex_state = 14, .external_lex_state = 2},
  [3335] = {.lex_state = 14, .external_lex_state = 2},
  [3336] = {.lex_state = 14, .external_lex_state = 2},
  [3337] = {.lex_state = 14, .external_lex_state = 2},
  [3338] = {.lex_state = 14, .external_lex_state = 2},
  [3339] = {.lex_state = 14, .external_lex_state = 2},
  [3340] = {.lex_state = 14, .external_lex_state = 2},
  [3341] = {.lex_state = 14, .external_lex_state = 2},
  [3342] = {.lex_state = 14, .external_lex_state = 2},
  [3343] = {.lex_state = 14, .external_lex_state = 2},
  [3344] = {.lex_state = 14, .external_lex_state = 2},
  [3345] = {.lex_state = 14, .external_lex_state = 2},
  [3346] = {.lex_state = 14, .external_lex_state = 2},
  [3347] = {.lex_state = 14, .external_lex_state = 2},
  [3348] = {.lex_state = 14, .external_lex_state = 2},
  [3349] = {.lex_state = 14, .external_lex_state = 2},
  [3350] = {.lex_state = 14, .external_lex_state = 2},
  [3351] = {.lex_state = 14, .external_lex_state = 2},
  [3352] = {.lex_state = 14, .external_lex_state = 2},
  [3353] = {.lex_state = 14, .external_lex_state = 2},
  [3354] = {.lex_state = 14, .external_lex_state = 2},
  [3355] = {.lex_state = 14, .external_lex_state = 2},
  [3356] = {.lex_state = 14, .external_lex_state = 2},
  [3357] = {.lex_state = 14, .external_lex_state = 2},
  [3358] = {.lex_state = 14, .external_lex_state = 2},
  [3359] = {.lex_state = 14, .external_lex_state = 2},
  [3360] = {.lex_state = 14, .external_lex_state = 2},
  [3361] = {.lex_state = 14, .external_lex_state = 2},
  [3362] = {.lex_state = 14, .external_lex_state = 2},
  [3363] = {.lex_state = 14, .external_lex_state = 2},
  [3364] = {.lex_state = 14, .external_lex_state = 2},
  [3365] = {.lex_state = 14, .external_lex_state = 2},
  [3366] = {.lex_state = 14, .external_lex_state = 2},
  [3367] = {.lex_state = 14, .external_lex_state = 2},
  [3368] = {.lex_state = 14, .external_lex_state = 2},
  [3369] = {.lex_state = 14, .external_lex_state = 2},
  [3370] = {.lex_state = 14, .external_lex_state = 2},
  [3371] = {.lex_state = 14, .external_lex_state = 2},
  [3372] = {.lex_state = 14, .external_lex_state = 2},
  [3373] = {.lex_state = 14, .external_lex_state = 2},
  [3374] = {.lex_state = 14, .external_lex_state = 2},
  [3375] = {.lex_state = 14, .external_lex_state = 2},
  [3376] = {.lex_state = 14, .external_lex_state = 2},
  [3377] = {.lex_state = 14, .external_lex_state = 2},
  [3378] = {.lex_state = 14, .external_lex_state = 2},
  [3379] = {.lex_state = 14, .external_lex_state = 2},
  [3380] = {.lex_state = 14, .external_lex_state = 2},
  [3381] = {.lex_state = 14, .external_lex_state = 2},
  [3382] = {.lex_state = 14, .external_lex_state = 2},
  [3383] = {.lex_state = 14, .external_lex_state = 2},
  [3384] = {.lex_state = 14, .external_lex_state = 2},
  [3385] = {.lex_state = 14, .external_lex_state = 2},
  [3386] = {.lex_state = 14, .external_lex_state = 2},
  [3387] = {.lex_state = 14, .external_lex_state = 2},
  [3388] = {.lex_state = 14, .external_lex_state = 2},
  [3389] = {.lex_state = 14, .external_lex_state = 2},
  [3390] = {.lex_state = 14, .external_lex_state = 2},
  [3391] = {.lex_state = 14, .external_lex_state = 2},
  [3392] = {.lex_state = 14, .external_lex_state = 2},
  [3393] = {.lex_state = 14, .external_lex_state = 2},
  [3394] = {.lex_state = 14, .external_lex_state = 2},
  [3395] = {.lex_state = 14, .external_lex_state = 2},
  [3396] = {.lex_state = 14, .external_lex_state = 2},
  [3397] = {.lex_state = 14, .external_lex_state = 2},
  [3398] = {.lex_state = 14, .external_lex_state = 2},
  [3399] = {.lex_state = 14, .external_lex_state = 2},
  [3400] = {.lex_state = 14, .external_lex_state = 2},
  [3401] = {.lex_state = 14, .external_lex_state = 2},
  [3402] = {.lex_state = 14, .external_lex_state = 2},
  [3403] = {.lex_state = 14, .external_lex_state = 2},
  [3404] = {.lex_state = 14, .external_lex_state = 2},
  [3405] = {.lex_state = 14, .external_lex_state = 2},
  [3406] = {.lex_state = 14, .external_lex_state = 2},
  [3407] = {.lex_state = 14, .external_lex_state = 2},
  [3408] = {.lex_state = 14, .external_lex_state = 2},
  [3409] = {.lex_state = 14, .external_lex_state = 2},
  [3410] = {.lex_state = 14, .external_lex_state = 2},
  [3411] = {.lex_state = 14, .external_lex_state = 2},
  [3412] = {.lex_state = 14, .external_lex_state = 2},
  [3413] = {.lex_state = 14, .external_lex_state = 2},
  [3414] = {.lex_state = 14, .external_lex_state = 2},
  [3415] = {.lex_state = 14, .external_lex_state = 2},
  [3416] = {.lex_state = 14, .external_lex_state = 2},
  [3417] = {.lex_state = 14, .external_lex_state = 2},
  [3418] = {.lex_state = 14, .external_lex_state = 2},
  [3419] = {.lex_state = 14, .external_lex_state = 2},
  [3420] = {.lex_state = 14, .external_lex_state = 2},
  [3421] = {.lex_state = 14, .external_lex_state = 2},
  [3422] = {.lex_state = 14, .external_lex_state = 2},
  [3423] = {.lex_state = 14, .external_lex_state = 2},
  [3424] = {.lex_state = 14, .external_lex_state = 2},
  [3425] = {.lex_state = 14, .external_lex_state = 2},
  [3426] = {.lex_state = 14, .external_lex_state = 2},
  [3427] = {.lex_state = 14, .external_lex_state = 2},
  [3428] = {.lex_state = 14, .external_lex_state = 2},
  [3429] = {.lex_state = 14, .external_lex_state = 2},
  [3430] = {.lex_state = 14, .external_lex_state = 2},
  [3431] = {.lex_state = 14, .external_lex_state = 2},
  [3432] = {.lex_state = 14, .external_lex_state = 2},
  [3433] = {.lex_state = 14, .external_lex_state = 2},
  [3434] = {.lex_state = 14, .external_lex_state = 2},
  [3435] = {.lex_state = 14, .external_lex_state = 2},
  [3436] = {.lex_state = 14, .external_lex_state = 2},
  [3437] = {.lex_state = 14, .external_lex_state = 2},
  [3438] = {.lex_state = 14, .external_lex_state = 2},
  [3439] = {.lex_state = 14, .external_lex_state = 2},
  [3440] = {.lex_state = 14, .external_lex_state = 2},
  [3441] = {.lex_state = 14, .external_lex_state = 2},
  [3442] = {.lex_state = 48, .external_lex_state = 17},
  [3443] = {.lex_state = 14, .external_lex_state = 2},
  [3444] = {.lex_state = 14, .external_lex_state = 2},
  [3445] = {.lex_state = 14, .external_lex_state = 2},
  [3446] = {.lex_state = 14, .external_lex_state = 2},
  [3447] = {.lex_state = 14, .external_lex_state = 2},
  [3448] = {.lex_state = 14, .external_lex_state = 2},
  [3449] = {.lex_state = 14, .external_lex_state = 2},
  [3450] = {.lex_state = 14, .external_lex_state = 2},
  [3451] = {.lex_state = 14, .external_lex_state = 2},
  [3452] = {.lex_state = 14, .external_lex_state = 2},
  [3453] = {.lex_state = 14, .external_lex_state = 2},
  [3454] = {.lex_state = 14, .external_lex_state = 2},
  [3455] = {.lex_state = 14, .external_lex_state = 2},
  [3456] = {.lex_state = 14, .external_lex_state = 2},
  [3457] = {.lex_state = 14, .external_lex_state = 2},
  [3458] = {.lex_state = 14, .external_lex_state = 2},
  [3459] = {.lex_state = 14, .external_lex_state = 2},
  [3460] = {.lex_state = 14, .external_lex_state = 2},
  [3461] = {.lex_state = 14, .external_lex_state = 2},
  [3462] = {.lex_state = 14, .external_lex_state = 2},
  [3463] = {.lex_state = 14, .external_lex_state = 2},
  [3464] = {.lex_state = 14, .external_lex_state = 2},
  [3465] = {.lex_state = 14, .external_lex_state = 2},
  [3466] = {.lex_state = 14, .external_lex_state = 2},
  [3467] = {.lex_state = 14, .external_lex_state = 2},
  [3468] = {.lex_state = 14, .external_lex_state = 2},
  [3469] = {.lex_state = 14, .external_lex_state = 2},
  [3470] = {.lex_state = 14, .external_lex_state = 2},
  [3471] = {.lex_state = 14, .external_lex_state = 2},
  [3472] = {.lex_state = 14, .external_lex_state = 2},
  [3473] = {.lex_state = 14, .external_lex_state = 2},
  [3474] = {.lex_state = 14, .external_lex_state = 2},
  [3475] = {.lex_state = 14, .external_lex_state = 2},
  [3476] = {.lex_state = 14, .external_lex_state = 2},
  [3477] = {.lex_state = 14, .external_lex_state = 2},
  [3478] = {.lex_state = 14, .external_lex_state = 2},
  [3479] = {.lex_state = 14, .external_lex_state = 2},
  [3480] = {.lex_state = 14, .external_lex_state = 2},
  [3481] = {.lex_state = 14, .external_lex_state = 2},
  [3482] = {.lex_state = 48, .external_lex_state = 18},
  [3483] = {.lex_state = 14, .external_lex_state = 2},
  [3484] = {.lex_state = 14, .external_lex_state = 2},
  [3485] = {.lex_state = 14, .external_lex_state = 2},
  [3486] = {.lex_state = 14, .external_lex_state = 2},
  [3487] = {.lex_state = 14, .external_lex_state = 2},
  [3488] = {.lex_state = 14, .external_lex_state = 2},
  [3489] = {.lex_state = 14, .external_lex_state = 2},
  [3490] = {.lex_state = 14, .external_lex_state = 2},
  [3491] = {.lex_state = 14, .external_lex_state = 2},
  [3492] = {.lex_state = 14, .external_lex_state = 2},
  [3493] = {.lex_state = 14, .external_lex_state = 2},
  [3494] = {.lex_state = 14, .external_lex_state = 2},
  [3495] = {.lex_state = 14, .external_lex_state = 2},
  [3496] = {.lex_state = 14, .external_lex_state = 2},
  [3497] = {.lex_state = 14, .external_lex_state = 2},
  [3498] = {.lex_state = 14, .external_lex_state = 2},
  [3499] = {.lex_state = 14, .external_lex_state = 2},
  [3500] = {.lex_state = 14, .external_lex_state = 2},
  [3501] = {.lex_state = 14, .external_lex_state = 2},
  [3502] = {.lex_state = 14, .external_lex_state = 2},
  [3503] = {.lex_state = 14, .external_lex_state = 2},
  [3504] = {.lex_state = 14, .external_lex_state = 2},
  [3505] = {.lex_state = 14, .external_lex_state = 2},
  [3506] = {.lex_state = 14, .external_lex_state = 2},
  [3507] = {.lex_state = 14, .external_lex_state = 2},
  [3508] = {.lex_state = 14, .external_lex_state = 2},
  [3509] = {.lex_state = 14, .external_lex_state = 2},
  [3510] = {.lex_state = 14, .external_lex_state = 2},
  [3511] = {.lex_state = 14, .external_lex_state = 2},
  [3512] = {.lex_state = 14, .external_lex_state = 2},
  [3513] = {.lex_state = 14, .external_lex_state = 2},
  [3514] = {.lex_state = 14, .external_lex_state = 2},
  [3515] = {.lex_state = 14, .external_lex_state = 2},
  [3516] = {.lex_state = 14, .external_lex_state = 2},
  [3517] = {.lex_state = 14, .external_lex_state = 2},
  [3518] = {.lex_state = 14, .external_lex_state = 2},
  [3519] = {.lex_state = 14, .external_lex_state = 2},
  [3520] = {.lex_state = 14, .external_lex_state = 2},
  [3521] = {.lex_state = 14, .external_lex_state = 2},
  [3522] = {.lex_state = 14, .external_lex_state = 2},
  [3523] = {.lex_state = 14, .external_lex_state = 2},
  [3524] = {.lex_state = 14, .external_lex_state = 2},
  [3525] = {.lex_state = 14, .external_lex_state = 2},
  [3526] = {.lex_state = 14, .external_lex_state = 2},
  [3527] = {.lex_state = 14, .external_lex_state = 2},
  [3528] = {.lex_state = 14, .external_lex_state = 2},
  [3529] = {.lex_state = 14, .external_lex_state = 2},
  [3530] = {.lex_state = 14, .external_lex_state = 2},
  [3531] = {.lex_state = 14, .external_lex_state = 2},
  [3532] = {.lex_state = 14, .external_lex_state = 2},
  [3533] = {.lex_state = 14, .external_lex_state = 2},
  [3534] = {.lex_state = 14, .external_lex_state = 2},
  [3535] = {.lex_state = 14, .external_lex_state = 2},
  [3536] = {.lex_state = 14, .external_lex_state = 2},
  [3537] = {.lex_state = 14, .external_lex_state = 2},
  [3538] = {.lex_state = 14, .external_lex_state = 2},
  [3539] = {.lex_state = 14, .external_lex_state = 2},
  [3540] = {.lex_state = 14, .external_lex_state = 2},
  [3541] = {.lex_state = 14, .external_lex_state = 2},
  [3542] = {.lex_state = 14, .external_lex_state = 2},
  [3543] = {.lex_state = 14, .external_lex_state = 2},
  [3544] = {.lex_state = 14, .external_lex_state = 2},
  [3545] = {.lex_state = 14, .external_lex_state = 2},
  [3546] = {.lex_state = 14, .external_lex_state = 2},
  [3547] = {.lex_state = 14, .external_lex_state = 2},
  [3548] = {.lex_state = 14, .external_lex_state = 2},
  [3549] = {.lex_state = 14, .external_lex_state = 2},
  [3550] = {.lex_state = 14, .external_lex_state = 2},
  [3551] = {.lex_state = 14, .external_lex_state = 2},
  [3552] = {.lex_state = 14, .external_lex_state = 2},
  [3553] = {.lex_state = 14, .external_lex_state = 2},
  [3554] = {.lex_state = 14, .external_lex_state = 2},
  [3555] = {.lex_state = 14, .external_lex_state = 2},
  [3556] = {.lex_state = 14, .external_lex_state = 2},
  [3557] = {.lex_state = 14, .external_lex_state = 2},
  [3558] = {.lex_state = 14, .external_lex_state = 2},
  [3559] = {.lex_state = 14, .external_lex_state = 2},
  [3560] = {.lex_state = 14, .external_lex_state = 2},
  [3561] = {.lex_state = 14, .external_lex_state = 2},
  [3562] = {.lex_state = 14, .external_lex_state = 2},
  [3563] = {.lex_state = 14, .external_lex_state = 2},
  [3564] = {.lex_state = 14, .external_lex_state = 2},
  [3565] = {.lex_state = 14, .external_lex_state = 2},
  [3566] = {.lex_state = 14, .external_lex_state = 2},
  [3567] = {.lex_state = 14, .external_lex_state = 2},
  [3568] = {.lex_state = 14, .external_lex_state = 2},
  [3569] = {.lex_state = 14, .external_lex_state = 2},
  [3570] = {.lex_state = 14, .external_lex_state = 2},
  [3571] = {.lex_state = 14, .external_lex_state = 2},
  [3572] = {.lex_state = 14, .external_lex_state = 2},
  [3573] = {.lex_state = 14, .external_lex_state = 2},
  [3574] = {.lex_state = 14, .external_lex_state = 2},
  [3575] = {.lex_state = 14, .external_lex_state = 2},
  [3576] = {.lex_state = 14, .external_lex_state = 2},
  [3577] = {.lex_state = 14, .external_lex_state = 2},
  [3578] = {.lex_state = 14, .external_lex_state = 2},
  [3579] = {.lex_state = 14, .external_lex_state = 2},
  [3580] = {.lex_state = 14, .external_lex_state = 2},
  [3581] = {.lex_state = 14, .external_lex_state = 2},
  [3582] = {.lex_state = 14, .external_lex_state = 2},
  [3583] = {.lex_state = 14, .external_lex_state = 2},
  [3584] = {.lex_state = 14, .external_lex_state = 2},
  [3585] = {.lex_state = 14, .external_lex_state = 2},
  [3586] = {.lex_state = 14, .external_lex_state = 2},
  [3587] = {.lex_state = 14, .external_lex_state = 2},
  [3588] = {.lex_state = 14, .external_lex_state = 2},
  [3589] = {.lex_state = 14, .external_lex_state = 2},
  [3590] = {.lex_state = 14, .external_lex_state = 2},
  [3591] = {.lex_state = 14, .external_lex_state = 2},
  [3592] = {.lex_state = 14, .external_lex_state = 2},
  [3593] = {.lex_state = 14, .external_lex_state = 2},
  [3594] = {.lex_state = 14, .external_lex_state = 2},
  [3595] = {.lex_state = 14, .external_lex_state = 2},
  [3596] = {.lex_state = 14, .external_lex_state = 2},
  [3597] = {.lex_state = 14, .external_lex_state = 2},
  [3598] = {.lex_state = 14, .external_lex_state = 2},
  [3599] = {.lex_state = 14, .external_lex_state = 2},
  [3600] = {.lex_state = 14, .external_lex_state = 2},
  [3601] = {.lex_state = 14, .external_lex_state = 2},
  [3602] = {.lex_state = 14, .external_lex_state = 2},
  [3603] = {.lex_state = 14, .external_lex_state = 2},
  [3604] = {.lex_state = 14, .external_lex_state = 2},
  [3605] = {.lex_state = 14, .external_lex_state = 2},
  [3606] = {.lex_state = 14, .external_lex_state = 2},
  [3607] = {.lex_state = 14, .external_lex_state = 2},
  [3608] = {.lex_state = 14, .external_lex_state = 2},
  [3609] = {.lex_state = 14, .external_lex_state = 2},
  [3610] = {.lex_state = 14, .external_lex_state = 2},
  [3611] = {.lex_state = 14, .external_lex_state = 2},
  [3612] = {.lex_state = 14, .external_lex_state = 2},
  [3613] = {.lex_state = 14, .external_lex_state = 2},
  [3614] = {.lex_state = 14, .external_lex_state = 2},
  [3615] = {.lex_state = 14, .external_lex_state = 2},
  [3616] = {.lex_state = 14, .external_lex_state = 2},
  [3617] = {.lex_state = 14, .external_lex_state = 2},
  [3618] = {.lex_state = 14, .external_lex_state = 2},
  [3619] = {.lex_state = 14, .external_lex_state = 2},
  [3620] = {.lex_state = 14, .external_lex_state = 2},
  [3621] = {.lex_state = 14, .external_lex_state = 2},
  [3622] = {.lex_state = 14, .external_lex_state = 2},
  [3623] = {.lex_state = 14, .external_lex_state = 2},
  [3624] = {.lex_state = 14, .external_lex_state = 2},
  [3625] = {.lex_state = 14, .external_lex_state = 2},
  [3626] = {.lex_state = 14, .external_lex_state = 2},
  [3627] = {.lex_state = 14, .external_lex_state = 2},
  [3628] = {.lex_state = 14, .external_lex_state = 2},
  [3629] = {.lex_state = 14, .external_lex_state = 2},
  [3630] = {.lex_state = 14, .external_lex_state = 2},
  [3631] = {.lex_state = 14, .external_lex_state = 2},
  [3632] = {.lex_state = 14, .external_lex_state = 2},
  [3633] = {.lex_state = 14, .external_lex_state = 2},
  [3634] = {.lex_state = 14, .external_lex_state = 2},
  [3635] = {.lex_state = 14, .external_lex_state = 2},
  [3636] = {.lex_state = 14, .external_lex_state = 2},
  [3637] = {.lex_state = 14, .external_lex_state = 2},
  [3638] = {.lex_state = 14, .external_lex_state = 2},
  [3639] = {.lex_state = 14, .external_lex_state = 2},
  [3640] = {.lex_state = 14, .external_lex_state = 2},
  [3641] = {.lex_state = 14, .external_lex_state = 2},
  [3642] = {.lex_state = 14, .external_lex_state = 2},
  [3643] = {.lex_state = 14, .external_lex_state = 2},
  [3644] = {.lex_state = 14, .external_lex_state = 2},
  [3645] = {.lex_state = 14, .external_lex_state = 2},
  [3646] = {.lex_state = 14, .external_lex_state = 2},
  [3647] = {.lex_state = 14, .external_lex_state = 2},
  [3648] = {.lex_state = 14, .external_lex_state = 2},
  [3649] = {.lex_state = 14, .external_lex_state = 2},
  [3650] = {.lex_state = 14, .external_lex_state = 2},
  [3651] = {.lex_state = 14, .external_lex_state = 2},
  [3652] = {.lex_state = 14, .external_lex_state = 2},
  [3653] = {.lex_state = 14, .external_lex_state = 2},
  [3654] = {.lex_state = 14, .external_lex_state = 2},
  [3655] = {.lex_state = 14, .external_lex_state = 2},
  [3656] = {.lex_state = 14, .external_lex_state = 2},
  [3657] = {.lex_state = 14, .external_lex_state = 2},
  [3658] = {.lex_state = 14, .external_lex_state = 2},
  [3659] = {.lex_state = 14, .external_lex_state = 2},
  [3660] = {.lex_state = 14, .external_lex_state = 2},
  [3661] = {.lex_state = 14, .external_lex_state = 2},
  [3662] = {.lex_state = 14, .external_lex_state = 2},
  [3663] = {.lex_state = 14, .external_lex_state = 2},
  [3664] = {.lex_state = 14, .external_lex_state = 2},
  [3665] = {.lex_state = 14, .external_lex_state = 2},
  [3666] = {.lex_state = 14, .external_lex_state = 2},
  [3667] = {.lex_state = 14, .external_lex_state = 2},
  [3668] = {.lex_state = 14, .external_lex_state = 2},
  [3669] = {.lex_state = 14, .external_lex_state = 2},
  [3670] = {.lex_state = 14, .external_lex_state = 2},
  [3671] = {.lex_state = 14, .external_lex_state = 2},
  [3672] = {.lex_state = 14, .external_lex_state = 2},
  [3673] = {.lex_state = 14, .external_lex_state = 2},
  [3674] = {.lex_state = 14, .external_lex_state = 2},
  [3675] = {.lex_state = 14, .external_lex_state = 2},
  [3676] = {.lex_state = 14, .external_lex_state = 2},
  [3677] = {.lex_state = 14, .external_lex_state = 2},
  [3678] = {.lex_state = 14, .external_lex_state = 2},
  [3679] = {.lex_state = 14, .external_lex_state = 2},
  [3680] = {.lex_state = 14, .external_lex_state = 2},
  [3681] = {.lex_state = 14, .external_lex_state = 2},
  [3682] = {.lex_state = 14, .external_lex_state = 2},
  [3683] = {.lex_state = 14, .external_lex_state = 2},
  [3684] = {.lex_state = 14, .external_lex_state = 2},
  [3685] = {.lex_state = 14, .external_lex_state = 2},
  [3686] = {.lex_state = 14, .external_lex_state = 2},
  [3687] = {.lex_state = 14, .external_lex_state = 2},
  [3688] = {.lex_state = 14, .external_lex_state = 2},
  [3689] = {.lex_state = 14, .external_lex_state = 2},
  [3690] = {.lex_state = 14, .external_lex_state = 2},
  [3691] = {.lex_state = 14, .external_lex_state = 2},
  [3692] = {.lex_state = 14, .external_lex_state = 2},
  [3693] = {.lex_state = 14, .external_lex_state = 2},
  [3694] = {.lex_state = 14, .external_lex_state = 2},
  [3695] = {.lex_state = 14, .external_lex_state = 2},
  [3696] = {.lex_state = 14, .external_lex_state = 2},
  [3697] = {.lex_state = 14, .external_lex_state = 2},
  [3698] = {.lex_state = 14, .external_lex_state = 2},
  [3699] = {.lex_state = 14, .external_lex_state = 2},
  [3700] = {.lex_state = 14, .external_lex_state = 2},
  [3701] = {.lex_state = 14, .external_lex_state = 2},
  [3702] = {.lex_state = 14, .external_lex_state = 2},
  [3703] = {.lex_state = 14, .external_lex_state = 2},
  [3704] = {.lex_state = 14, .external_lex_state = 2},
  [3705] = {.lex_state = 14, .external_lex_state = 2},
  [3706] = {.lex_state = 14, .external_lex_state = 2},
  [3707] = {.lex_state = 14, .external_lex_state = 2},
  [3708] = {.lex_state = 14, .external_lex_state = 2},
  [3709] = {.lex_state = 14, .external_lex_state = 2},
  [3710] = {.lex_state = 14, .external_lex_state = 2},
  [3711] = {.lex_state = 14, .external_lex_state = 2},
  [3712] = {.lex_state = 14, .external_lex_state = 2},
  [3713] = {.lex_state = 14, .external_lex_state = 2},
  [3714] = {.lex_state = 14, .external_lex_state = 2},
  [3715] = {.lex_state = 14, .external_lex_state = 2},
  [3716] = {.lex_state = 14, .external_lex_state = 2},
  [3717] = {.lex_state = 14, .external_lex_state = 2},
  [3718] = {.lex_state = 14, .external_lex_state = 2},
  [3719] = {.lex_state = 14, .external_lex_state = 2},
  [3720] = {.lex_state = 14, .external_lex_state = 2},
  [3721] = {.lex_state = 14, .external_lex_state = 2},
  [3722] = {.lex_state = 14, .external_lex_state = 2},
  [3723] = {.lex_state = 14, .external_lex_state = 2},
  [3724] = {.lex_state = 14, .external_lex_state = 2},
  [3725] = {.lex_state = 14, .external_lex_state = 2},
  [3726] = {.lex_state = 14, .external_lex_state = 2},
  [3727] = {.lex_state = 14, .external_lex_state = 2},
  [3728] = {.lex_state = 14, .external_lex_state = 2},
  [3729] = {.lex_state = 14, .external_lex_state = 2},
  [3730] = {.lex_state = 14, .external_lex_state = 2},
  [3731] = {.lex_state = 14, .external_lex_state = 2},
  [3732] = {.lex_state = 14, .external_lex_state = 2},
  [3733] = {.lex_state = 14, .external_lex_state = 2},
  [3734] = {.lex_state = 14, .external_lex_state = 2},
  [3735] = {.lex_state = 14, .external_lex_state = 2},
  [3736] = {.lex_state = 14, .external_lex_state = 2},
  [3737] = {.lex_state = 14, .external_lex_state = 2},
  [3738] = {.lex_state = 14, .external_lex_state = 2},
  [3739] = {.lex_state = 14, .external_lex_state = 2},
  [3740] = {.lex_state = 14, .external_lex_state = 2},
  [3741] = {.lex_state = 14, .external_lex_state = 2},
  [3742] = {.lex_state = 14, .external_lex_state = 2},
  [3743] = {.lex_state = 14, .external_lex_state = 2},
  [3744] = {.lex_state = 14, .external_lex_state = 2},
  [3745] = {.lex_state = 14, .external_lex_state = 2},
  [3746] = {.lex_state = 14, .external_lex_state = 2},
  [3747] = {.lex_state = 14, .external_lex_state = 2},
  [3748] = {.lex_state = 14, .external_lex_state = 2},
  [3749] = {.lex_state = 14, .external_lex_state = 2},
  [3750] = {.lex_state = 14, .external_lex_state = 2},
  [3751] = {.lex_state = 14, .external_lex_state = 2},
  [3752] = {.lex_state = 14, .external_lex_state = 2},
  [3753] = {.lex_state = 14, .external_lex_state = 2},
  [3754] = {.lex_state = 14, .external_lex_state = 2},
  [3755] = {.lex_state = 14, .external_lex_state = 2},
  [3756] = {.lex_state = 14, .external_lex_state = 2},
  [3757] = {.lex_state = 14, .external_lex_state = 2},
  [3758] = {.lex_state = 14, .external_lex_state = 2},
  [3759] = {.lex_state = 14, .external_lex_state = 2},
  [3760] = {.lex_state = 14, .external_lex_state = 2},
  [3761] = {.lex_state = 14, .external_lex_state = 2},
  [3762] = {.lex_state = 14, .external_lex_state = 2},
  [3763] = {.lex_state = 14, .external_lex_state = 2},
  [3764] = {.lex_state = 48, .external_lex_state = 7},
  [3765] = {.lex_state = 14, .external_lex_state = 2},
  [3766] = {.lex_state = 14, .external_lex_state = 2},
  [3767] = {.lex_state = 14, .external_lex_state = 2},
  [3768] = {.lex_state = 14, .external_lex_state = 2},
  [3769] = {.lex_state = 14, .external_lex_state = 2},
  [3770] = {.lex_state = 14, .external_lex_state = 2},
  [3771] = {.lex_state = 14, .external_lex_state = 2},
  [3772] = {.lex_state = 14, .external_lex_state = 2},
  [3773] = {.lex_state = 14, .external_lex_state = 2},
  [3774] = {.lex_state = 14, .external_lex_state = 2},
  [3775] = {.lex_state = 14, .external_lex_state = 2},
  [3776] = {.lex_state = 14, .external_lex_state = 2},
  [3777] = {.lex_state = 14, .external_lex_state = 2},
  [3778] = {.lex_state = 14, .external_lex_state = 2},
  [3779] = {.lex_state = 14, .external_lex_state = 2},
  [3780] = {.lex_state = 14, .external_lex_state = 2},
  [3781] = {.lex_state = 14, .external_lex_state = 2},
  [3782] = {.lex_state = 14, .external_lex_state = 2},
  [3783] = {.lex_state = 14, .external_lex_state = 2},
  [3784] = {.lex_state = 14, .external_lex_state = 2},
  [3785] = {.lex_state = 14, .external_lex_state = 2},
  [3786] = {.lex_state = 14, .external_lex_state = 2},
  [3787] = {.lex_state = 14, .external_lex_state = 2},
  [3788] = {.lex_state = 14, .external_lex_state = 2},
  [3789] = {.lex_state = 14, .external_lex_state = 2},
  [3790] = {.lex_state = 14, .external_lex_state = 2},
  [3791] = {.lex_state = 14, .external_lex_state = 2},
  [3792] = {.lex_state = 14, .external_lex_state = 2},
  [3793] = {.lex_state = 14, .external_lex_state = 2},
  [3794] = {.lex_state = 14, .external_lex_state = 2},
  [3795] = {.lex_state = 14, .external_lex_state = 2},
  [3796] = {.lex_state = 14, .external_lex_state = 2},
  [3797] = {.lex_state = 14, .external_lex_state = 2},
  [3798] = {.lex_state = 14, .external_lex_state = 2},
  [3799] = {.lex_state = 14, .external_lex_state = 2},
  [3800] = {.lex_state = 14, .external_lex_state = 2},
  [3801] = {.lex_state = 14, .external_lex_state = 2},
  [3802] = {.lex_state = 14, .external_lex_state = 2},
  [3803] = {.lex_state = 14, .external_lex_state = 2},
  [3804] = {.lex_state = 14, .external_lex_state = 2},
  [3805] = {.lex_state = 14, .external_lex_state = 2},
  [3806] = {.lex_state = 14, .external_lex_state = 2},
  [3807] = {.lex_state = 14, .external_lex_state = 2},
  [3808] = {.lex_state = 14, .external_lex_state = 2},
  [3809] = {.lex_state = 14, .external_lex_state = 2},
  [3810] = {.lex_state = 14, .external_lex_state = 2},
  [3811] = {.lex_state = 14, .external_lex_state = 2},
  [3812] = {.lex_state = 14, .external_lex_state = 2},
  [3813] = {.lex_state = 14, .external_lex_state = 2},
  [3814] = {.lex_state = 14, .external_lex_state = 2},
  [3815] = {.lex_state = 14, .external_lex_state = 2},
  [3816] = {.lex_state = 14, .external_lex_state = 2},
  [3817] = {.lex_state = 14, .external_lex_state = 2},
  [3818] = {.lex_state = 14, .external_lex_state = 2},
  [3819] = {.lex_state = 14, .external_lex_state = 2},
  [3820] = {.lex_state = 14, .external_lex_state = 2},
  [3821] = {.lex_state = 14, .external_lex_state = 2},
  [3822] = {.lex_state = 14, .external_lex_state = 2},
  [3823] = {.lex_state = 14, .external_lex_state = 2},
  [3824] = {.lex_state = 14, .external_lex_state = 2},
  [3825] = {.lex_state = 14, .external_lex_state = 2},
  [3826] = {.lex_state = 14, .external_lex_state = 2},
  [3827] = {.lex_state = 14, .external_lex_state = 2},
  [3828] = {.lex_state = 14, .external_lex_state = 2},
  [3829] = {.lex_state = 14, .external_lex_state = 2},
  [3830] = {.lex_state = 14, .external_lex_state = 2},
  [3831] = {.lex_state = 14, .external_lex_state = 2},
  [3832] = {.lex_state = 14, .external_lex_state = 2},
  [3833] = {.lex_state = 14, .external_lex_state = 2},
  [3834] = {.lex_state = 14, .external_lex_state = 2},
  [3835] = {.lex_state = 14, .external_lex_state = 2},
  [3836] = {.lex_state = 14, .external_lex_state = 2},
  [3837] = {.lex_state = 14, .external_lex_state = 2},
  [3838] = {.lex_state = 48, .external_lex_state = 8},
  [3839] = {.lex_state = 14, .external_lex_state = 2},
  [3840] = {.lex_state = 14, .external_lex_state = 2},
  [3841] = {.lex_state = 48, .external_lex_state = 21},
  [3842] = {.lex_state = 48, .external_lex_state = 12},
  [3843] = {.lex_state = 48, .external_lex_state = 10},
  [3844] = {.lex_state = 48, .external_lex_state = 19},
  [3845] = {.lex_state = 48, .external_lex_state = 22},
  [3846] = {.lex_state = 48, .external_lex_state = 2},
  [3847] = {.lex_state = 14, .external_lex_state = 3},
  [3848] = {.lex_state = 14, .external_lex_state = 3},
  [3849] = {.lex_state = 14, .external_lex_state = 3},
  [3850] = {.lex_state = 14, .external_lex_state = 3},
  [3851] = {.lex_state = 14, .external_lex_state = 3},
  [3852] = {.lex_state = 14, .external_lex_state = 3},
  [3853] = {.lex_state = 14, .external_lex_state = 3},
  [3854] = {.lex_state = 14, .external_lex_state = 3},
  [3855] = {.lex_state = 14, .external_lex_state = 3},
  [3856] = {.lex_state = 14, .external_lex_state = 3},
  [3857] = {.lex_state = 14, .external_lex_state = 3},
  [3858] = {.lex_state = 14, .external_lex_state = 3},
  [3859] = {.lex_state = 14, .external_lex_state = 3},
  [3860] = {.lex_state = 14, .external_lex_state = 3},
  [3861] = {.lex_state = 14, .external_lex_state = 3},
  [3862] = {.lex_state = 14, .external_lex_state = 3},
  [3863] = {.lex_state = 14, .external_lex_state = 3},
  [3864] = {.lex_state = 14, .external_lex_state = 3},
  [3865] = {.lex_state = 14, .external_lex_state = 3},
  [3866] = {.lex_state = 14, .external_lex_state = 3},
  [3867] = {.lex_state = 14, .external_lex_state = 3},
  [3868] = {.lex_state = 14, .external_lex_state = 3},
  [3869] = {.lex_state = 14, .external_lex_state = 3},
  [3870] = {.lex_state = 14, .external_lex_state = 3},
  [3871] = {.lex_state = 14, .external_lex_state = 3},
  [3872] = {.lex_state = 14, .external_lex_state = 3},
  [3873] = {.lex_state = 14, .external_lex_state = 3},
  [3874] = {.lex_state = 14, .external_lex_state = 3},
  [3875] = {.lex_state = 14, .external_lex_state = 3},
  [3876] = {.lex_state = 14, .external_lex_state = 3},
  [3877] = {.lex_state = 14, .external_lex_state = 3},
  [3878] = {.lex_state = 14, .external_lex_state = 3},
  [3879] = {.lex_state = 14, .external_lex_state = 3},
  [3880] = {.lex_state = 14, .external_lex_state = 3},
  [3881] = {.lex_state = 14, .external_lex_state = 3},
  [3882] = {.lex_state = 14, .external_lex_state = 3},
  [3883] = {.lex_state = 14, .external_lex_state = 3},
  [3884] = {.lex_state = 14, .external_lex_state = 3},
  [3885] = {.lex_state = 14, .external_lex_state = 3},
  [3886] = {.lex_state = 14, .external_lex_state = 3},
  [3887] = {.lex_state = 50, .external_lex_state = 6},
  [3888] = {.lex_state = 14, .external_lex_state = 3},
  [3889] = {.lex_state = 14, .external_lex_state = 3},
  [3890] = {.lex_state = 50, .external_lex_state = 6},
  [3891] = {.lex_state = 14, .external_lex_state = 3},
  [3892] = {.lex_state = 14, .external_lex_state = 3},
  [3893] = {.lex_state = 14, .external_lex_state = 3},
  [3894] = {.lex_state = 14, .external_lex_state = 3},
  [3895] = {.lex_state = 14, .external_lex_state = 3},
  [3896] = {.lex_state = 14, .external_lex_state = 3},
  [3897] = {.lex_state = 14, .external_lex_state = 3},
  [3898] = {.lex_state = 14, .external_lex_state = 3},
  [3899] = {.lex_state = 14, .external_lex_state = 3},
  [3900] = {.lex_state = 14, .external_lex_state = 3},
  [3901] = {.lex_state = 14, .external_lex_state = 3},
  [3902] = {.lex_state = 14, .external_lex_state = 3},
  [3903] = {.lex_state = 14, .external_lex_state = 3},
  [3904] = {.lex_state = 14, .external_lex_state = 3},
  [3905] = {.lex_state = 14, .external_lex_state = 3},
  [3906] = {.lex_state = 14, .external_lex_state = 3},
  [3907] = {.lex_state = 14, .external_lex_state = 3},
  [3908] = {.lex_state = 14, .external_lex_state = 3},
  [3909] = {.lex_state = 14, .external_lex_state = 3},
  [3910] = {.lex_state = 14, .external_lex_state = 3},
  [3911] = {.lex_state = 14, .external_lex_state = 3},
  [3912] = {.lex_state = 14, .external_lex_state = 3},
  [3913] = {.lex_state = 50, .external_lex_state = 7},
  [3914] = {.lex_state = 14, .external_lex_state = 3},
  [3915] = {.lex_state = 14, .external_lex_state = 3},
  [3916] = {.lex_state = 50, .external_lex_state = 8},
  [3917] = {.lex_state = 14, .external_lex_state = 3},
  [3918] = {.lex_state = 14, .external_lex_state = 3},
  [3919] = {.lex_state = 14, .external_lex_state = 3},
  [3920] = {.lex_state = 14, .external_lex_state = 3},
  [3921] = {.lex_state = 14, .external_lex_state = 3},
  [3922] = {.lex_state = 14, .external_lex_state = 3},
  [3923] = {.lex_state = 14, .external_lex_state = 3},
  [3924] = {.lex_state = 14, .external_lex_state = 3},
  [3925] = {.lex_state = 14, .external_lex_state = 3},
  [3926] = {.lex_state = 14, .external_lex_state = 3},
  [3927] = {.lex_state = 14, .external_lex_state = 2},
  [3928] = {.lex_state = 14, .external_lex_state = 3},
  [3929] = {.lex_state = 14, .external_lex_state = 3},
  [3930] = {.lex_state = 14, .external_lex_state = 3},
  [3931] = {.lex_state = 14, .external_lex_state = 3},
  [3932] = {.lex_state = 14, .external_lex_state = 3},
  [3933] = {.lex_state = 14, .external_lex_state = 3},
  [3934] = {.lex_state = 14, .external_lex_state = 3},
  [3935] = {.lex_state = 14, .external_lex_state = 3},
  [3936] = {.lex_state = 14, .external_lex_state = 3},
  [3937] = {.lex_state = 14, .external_lex_state = 3},
  [3938] = {.lex_state = 14, .external_lex_state = 3},
  [3939] = {.lex_state = 14, .external_lex_state = 3},
  [3940] = {.lex_state = 14, .external_lex_state = 3},
  [3941] = {.lex_state = 14, .external_lex_state = 3},
  [3942] = {.lex_state = 50, .external_lex_state = 8},
  [3943] = {.lex_state = 14, .external_lex_state = 3},
  [3944] = {.lex_state = 14, .external_lex_state = 3},
  [3945] = {.lex_state = 14, .external_lex_state = 3},
  [3946] = {.lex_state = 14, .external_lex_state = 3},
  [3947] = {.lex_state = 14, .external_lex_state = 3},
  [3948] = {.lex_state = 50, .external_lex_state = 7},
  [3949] = {.lex_state = 14, .external_lex_state = 3},
  [3950] = {.lex_state = 14, .external_lex_state = 3},
  [3951] = {.lex_state = 14, .external_lex_state = 3},
  [3952] = {.lex_state = 14, .external_lex_state = 2},
  [3953] = {.lex_state = 14, .external_lex_state = 3},
  [3954] = {.lex_state = 14, .external_lex_state = 3},
  [3955] = {.lex_state = 14, .external_lex_state = 3},
  [3956] = {.lex_state = 14, .external_lex_state = 3},
  [3957] = {.lex_state = 14, .external_lex_state = 3},
  [3958] = {.lex_state = 14, .external_lex_state = 3},
  [3959] = {.lex_state = 14, .external_lex_state = 3},
  [3960] = {.lex_state = 14, .external_lex_state = 3},
  [3961] = {.lex_state = 14, .external_lex_state = 3},
  [3962] = {.lex_state = 14, .external_lex_state = 3},
  [3963] = {.lex_state = 14, .external_lex_state = 3},
  [3964] = {.lex_state = 14, .external_lex_state = 3},
  [3965] = {.lex_state = 14, .external_lex_state = 3},
  [3966] = {.lex_state = 14, .external_lex_state = 3},
  [3967] = {.lex_state = 14, .external_lex_state = 3},
  [3968] = {.lex_state = 14, .external_lex_state = 3},
  [3969] = {.lex_state = 14, .external_lex_state = 3},
  [3970] = {.lex_state = 14, .external_lex_state = 3},
  [3971] = {.lex_state = 14, .external_lex_state = 3},
  [3972] = {.lex_state = 14, .external_lex_state = 3},
  [3973] = {.lex_state = 14, .external_lex_state = 3},
  [3974] = {.lex_state = 14, .external_lex_state = 3},
  [3975] = {.lex_state = 14, .external_lex_state = 3},
  [3976] = {.lex_state = 14, .external_lex_state = 3},
  [3977] = {.lex_state = 14, .external_lex_state = 3},
  [3978] = {.lex_state = 14, .external_lex_state = 3},
  [3979] = {.lex_state = 14, .external_lex_state = 3},
  [3980] = {.lex_state = 14, .external_lex_state = 3},
  [3981] = {.lex_state = 14, .external_lex_state = 2},
  [3982] = {.lex_state = 14, .external_lex_state = 3},
  [3983] = {.lex_state = 14, .external_lex_state = 3},
  [3984] = {.lex_state = 14, .external_lex_state = 3},
  [3985] = {.lex_state = 14, .external_lex_state = 3},
  [3986] = {.lex_state = 14, .external_lex_state = 3},
  [3987] = {.lex_state = 14, .external_lex_state = 3},
  [3988] = {.lex_state = 14, .external_lex_state = 3},
  [3989] = {.lex_state = 14, .external_lex_state = 3},
  [3990] = {.lex_state = 14, .external_lex_state = 3},
  [3991] = {.lex_state = 14, .external_lex_state = 3},
  [3992] = {.lex_state = 14, .external_lex_state = 3},
  [3993] = {.lex_state = 14, .external_lex_state = 3},
  [3994] = {.lex_state = 14, .external_lex_state = 3},
  [3995] = {.lex_state = 14, .external_lex_state = 3},
  [3996] = {.lex_state = 14, .external_lex_state = 3},
  [3997] = {.lex_state = 14, .external_lex_state = 3},
  [3998] = {.lex_state = 14, .external_lex_state = 3},
  [3999] = {.lex_state = 14, .external_lex_state = 3},
  [4000] = {.lex_state = 14, .external_lex_state = 2},
  [4001] = {.lex_state = 14, .external_lex_state = 3},
  [4002] = {.lex_state = 14, .external_lex_state = 3},
  [4003] = {.lex_state = 14, .external_lex_state = 3},
  [4004] = {.lex_state = 14, .external_lex_state = 3},
  [4005] = {.lex_state = 14, .external_lex_state = 3},
  [4006] = {.lex_state = 14, .external_lex_state = 3},
  [4007] = {.lex_state = 14, .external_lex_state = 3},
  [4008] = {.lex_state = 14, .external_lex_state = 3},
  [4009] = {.lex_state = 14, .external_lex_state = 3},
  [4010] = {.lex_state = 14, .external_lex_state = 3},
  [4011] = {.lex_state = 14, .external_lex_state = 3},
  [4012] = {.lex_state = 14, .external_lex_state = 3},
  [4013] = {.lex_state = 14, .external_lex_state = 3},
  [4014] = {.lex_state = 14, .external_lex_state = 3},
  [4015] = {.lex_state = 14, .external_lex_state = 3},
  [4016] = {.lex_state = 14, .external_lex_state = 3},
  [4017] = {.lex_state = 14, .external_lex_state = 3},
  [4018] = {.lex_state = 14, .external_lex_state = 3},
  [4019] = {.lex_state = 14, .external_lex_state = 3},
  [4020] = {.lex_state = 14, .external_lex_state = 3},
  [4021] = {.lex_state = 14, .external_lex_state = 3},
  [4022] = {.lex_state = 14, .external_lex_state = 3},
  [4023] = {.lex_state = 14, .external_lex_state = 3},
  [4024] = {.lex_state = 14, .external_lex_state = 3},
  [4025] = {.lex_state = 50, .external_lex_state = 9},
  [4026] = {.lex_state = 50, .external_lex_state = 12},
  [4027] = {.lex_state = 50, .external_lex_state = 10},
  [4028] = {.lex_state = 50, .external_lex_state = 11},
  [4029] = {.lex_state = 50, .external_lex_state = 11},
  [4030] = {.lex_state = 50, .external_lex_state = 12},
  [4031] = {.lex_state = 14, .external_lex_state = 4},
  [4032] = {.lex_state = 50, .external_lex_state = 9},
  [4033] = {.lex_state = 50, .external_lex_state = 10},
  [4034] = {.lex_state = 14, .external_lex_state = 4},
  [4035] = {.lex_state = 50, .external_lex_state = 15},
  [4036] = {.lex_state = 50, .external_lex_state = 13},
  [4037] = {.lex_state = 50, .external_lex_state = 14},
  [4038] = {.lex_state = 14, .external_lex_state = 2},
  [4039] = {.lex_state = 50, .external_lex_state = 19},
  [4040] = {.lex_state = 14, .external_lex_state = 2},
  [4041] = {.lex_state = 50, .external_lex_state = 15},
  [4042] = {.lex_state = 50, .external_lex_state = 14},
  [4043] = {.lex_state = 50, .external_lex_state = 19},
  [4044] = {.lex_state = 14, .external_lex_state = 2},
  [4045] = {.lex_state = 50, .external_lex_state = 6},
  [4046] = {.lex_state = 50, .external_lex_state = 13},
  [4047] = {.lex_state = 50, .external_lex_state = 6},
  [4048] = {.lex_state = 14, .external_lex_state = 2},
  [4049] = {.lex_state = 54},
  [4050] = {.lex_state = 50, .external_lex_state = 17},
  [4051] = {.lex_state = 50, .external_lex_state = 8},
  [4052] = {.lex_state = 50, .external_lex_state = 20},
  [4053] = {.lex_state = 50, .external_lex_state = 20},
  [4054] = {.lex_state = 50, .external_lex_state = 18},
  [4055] = {.lex_state = 50, .external_lex_state = 18},
  [4056] = {.lex_state = 50, .external_lex_state = 7},
  [4057] = {.lex_state = 50, .external_lex_state = 16},
  [4058] = {.lex_state = 50, .external_lex_state = 16},
  [4059] = {.lex_state = 50, .external_lex_state = 17},
  [4060] = {.lex_state = 54},
  [4061] = {.lex_state = 50, .external_lex_state = 7},
  [4062] = {.lex_state = 50, .external_lex_state = 8},
  [4063] = {.lex_state = 50, .external_lex_state = 22},
  [4064] = {.lex_state = 14, .external_lex_state = 2},
  [4065] = {.lex_state = 50, .external_lex_state = 12},
  [4066] = {.lex_state = 50, .external_lex_state = 22},
  [4067] = {.lex_state = 50, .external_lex_state = 3},
  [4068] = {.lex_state = 50, .external_lex_state = 21},
  [4069] = {.lex_state = 50, .external_lex_state = 10},
  [4070] = {.lex_state = 50, .external_lex_state = 10},
  [4071] = {.lex_state = 50, .external_lex_state = 21},
  [4072] = {.lex_state = 14, .external_lex_state = 2},
  [4073] = {.lex_state = 50, .external_lex_state = 3},
  [4074] = {.lex_state = 50, .external_lex_state = 12},
  [4075] = {.lex_state = 50, .external_lex_state = 2},
  [4076] = {.lex_state = 50, .external_lex_state = 19},
  [4077] = {.lex_state = 50, .external_lex_state = 2},
  [4078] = {.lex_state = 50, .external_lex_state = 19},
  [4079] = {.lex_state = 14, .external_lex_state = 2},
  [4080] = {.lex_state = 14, .external_lex_state = 2},
  [4081] = {.lex_state = 14, .external_lex_state = 2},
  [4082] = {.lex_state = 14, .external_lex_state = 2},
  [4083] = {.lex_state = 14, .external_lex_state = 2},
  [4084] = {.lex_state = 14, .external_lex_state = 2},
  [4085] = {.lex_state = 14, .external_lex_state = 2},
  [4086] = {.lex_state = 14, .external_lex_state = 2},
  [4087] = {.lex_state = 14, .external_lex_state = 2},
  [4088] = {.lex_state = 14, .external_lex_state = 2},
  [4089] = {.lex_state = 14, .external_lex_state = 2},
  [4090] = {.lex_state = 14, .external_lex_state = 2},
  [4091] = {.lex_state = 14, .external_lex_state = 2},
  [4092] = {.lex_state = 14, .external_lex_state = 2},
  [4093] = {.lex_state = 14, .external_lex_state = 2},
  [4094] = {.lex_state = 14, .external_lex_state = 2},
  [4095] = {.lex_state = 14, .external_lex_state = 2},
  [4096] = {.lex_state = 14, .external_lex_state = 2},
  [4097] = {.lex_state = 14, .external_lex_state = 2},
  [4098] = {.lex_state = 14, .external_lex_state = 2},
  [4099] = {.lex_state = 14, .external_lex_state = 2},
  [4100] = {.lex_state = 14, .external_lex_state = 2},
  [4101] = {.lex_state = 14, .external_lex_state = 2},
  [4102] = {.lex_state = 14, .external_lex_state = 2},
  [4103] = {.lex_state = 14, .external_lex_state = 2},
  [4104] = {.lex_state = 14, .external_lex_state = 2},
  [4105] = {.lex_state = 14, .external_lex_state = 2},
  [4106] = {.lex_state = 14, .external_lex_state = 2},
  [4107] = {.lex_state = 14, .external_lex_state = 2},
  [4108] = {.lex_state = 14, .external_lex_state = 2},
  [4109] = {.lex_state = 14, .external_lex_state = 2},
  [4110] = {.lex_state = 14, .external_lex_state = 2},
  [4111] = {.lex_state = 14, .external_lex_state = 2},
  [4112] = {.lex_state = 14, .external_lex_state = 2},
  [4113] = {.lex_state = 50, .external_lex_state = 2},
  [4114] = {.lex_state = 14, .external_lex_state = 2},
  [4115] = {.lex_state = 14, .external_lex_state = 2},
  [4116] = {.lex_state = 14, .external_lex_state = 2},
  [4117] = {.lex_state = 14, .external_lex_state = 2},
  [4118] = {.lex_state = 14, .external_lex_state = 2},
  [4119] = {.lex_state = 14, .external_lex_state = 2},
  [4120] = {.lex_state = 14, .external_lex_state = 2},
  [4121] = {.lex_state = 14, .external_lex_state = 2},
  [4122] = {.lex_state = 14, .external_lex_state = 2},
  [4123] = {.lex_state = 14, .external_lex_state = 2},
  [4124] = {.lex_state = 14, .external_lex_state = 2},
  [4125] = {.lex_state = 14, .external_lex_state = 2},
  [4126] = {.lex_state = 14, .external_lex_state = 2},
  [4127] = {.lex_state = 14, .external_lex_state = 2},
  [4128] = {.lex_state = 14, .external_lex_state = 2},
  [4129] = {.lex_state = 14, .external_lex_state = 2},
  [4130] = {.lex_state = 14, .external_lex_state = 2},
  [4131] = {.lex_state = 14, .external_lex_state = 2},
  [4132] = {.lex_state = 14, .external_lex_state = 2},
  [4133] = {.lex_state = 14, .external_lex_state = 2},
  [4134] = {.lex_state = 14, .external_lex_state = 2},
  [4135] = {.lex_state = 14, .external_lex_state = 2},
  [4136] = {.lex_state = 14, .external_lex_state = 2},
  [4137] = {.lex_state = 63, .external_lex_state = 23},
  [4138] = {.lex_state = 63, .external_lex_state = 23},
  [4139] = {.lex_state = 63, .external_lex_state = 23},
  [4140] = {.lex_state = 52, .external_lex_state = 24},
  [4141] = {.lex_state = 52, .external_lex_state = 24},
  [4142] = {.lex_state = 52, .external_lex_state = 23},
  [4143] = {.lex_state = 63, .external_lex_state = 23},
  [4144] = {.lex_state = 52, .external_lex_state = 23},
  [4145] = {.lex_state = 52, .external_lex_state = 23},
  [4146] = {.lex_state = 63, .external_lex_state = 23},
  [4147] = {.lex_state = 14, .external_lex_state = 2},
  [4148] = {.lex_state = 63, .external_lex_state = 23},
  [4149] = {.lex_state = 14, .external_lex_state = 2},
  [4150] = {.lex_state = 14, .external_lex_state = 2},
  [4151] = {.lex_state = 63, .external_lex_state = 23},
  [4152] = {.lex_state = 63, .external_lex_state = 23},
  [4153] = {.lex_state = 63, .external_lex_state = 23},
  [4154] = {.lex_state = 14, .external_lex_state = 2},
  [4155] = {.lex_state = 63, .external_lex_state = 23},
  [4156] = {.lex_state = 14, .external_lex_state = 2},
  [4157] = {.lex_state = 52, .external_lex_state = 24},
  [4158] = {.lex_state = 63, .external_lex_state = 23},
  [4159] = {.lex_state = 14, .external_lex_state = 2},
  [4160] = {.lex_state = 63, .external_lex_state = 23},
  [4161] = {.lex_state = 63, .external_lex_state = 23},
  [4162] = {.lex_state = 52, .external_lex_state = 23},
  [4163] = {.lex_state = 52, .external_lex_state = 23},
  [4164] = {.lex_state = 52, .external_lex_state = 23},
  [4165] = {.lex_state = 14, .external_lex_state = 2},
  [4166] = {.lex_state = 14, .external_lex_state = 2},
  [4167] = {.lex_state = 14, .external_lex_state = 2},
  [4168] = {.lex_state = 63, .external_lex_state = 23},
  [4169] = {.lex_state = 14, .external_lex_state = 2},
  [4170] = {.lex_state = 2, .external_lex_state = 2},
  [4171] = {.lex_state = 14, .external_lex_state = 2},
  [4172] = {.lex_state = 14, .external_lex_state = 2},
  [4173] = {.lex_state = 14, .external_lex_state = 2},
  [4174] = {.lex_state = 14, .external_lex_state = 2},
  [4175] = {.lex_state = 14, .external_lex_state = 2},
  [4176] = {.lex_state = 63, .external_lex_state = 23},
  [4177] = {.lex_state = 2, .external_lex_state = 2},
  [4178] = {.lex_state = 14, .external_lex_state = 2},
  [4179] = {.lex_state = 54},
  [4180] = {.lex_state = 14, .external_lex_state = 2},
  [4181] = {.lex_state = 14, .external_lex_state = 2},
  [4182] = {.lex_state = 14, .external_lex_state = 2},
  [4183] = {.lex_state = 14, .external_lex_state = 2},
  [4184] = {.lex_state = 14, .external_lex_state = 2},
  [4185] = {.lex_state = 14, .external_lex_state = 2},
  [4186] = {.lex_state = 14, .external_lex_state = 2},
  [4187] = {.lex_state = 14, .external_lex_state = 2},
  [4188] = {.lex_state = 14, .external_lex_state = 2},
  [4189] = {.lex_state = 14, .external_lex_state = 2},
  [4190] = {.lex_state = 14, .external_lex_state = 2},
  [4191] = {.lex_state = 14, .external_lex_state = 2},
  [4192] = {.lex_state = 14, .external_lex_state = 2},
  [4193] = {.lex_state = 14, .external_lex_state = 2},
  [4194] = {.lex_state = 14, .external_lex_state = 2},
  [4195] = {.lex_state = 14, .external_lex_state = 2},
  [4196] = {.lex_state = 14, .external_lex_state = 2},
  [4197] = {.lex_state = 14, .external_lex_state = 2},
  [4198] = {.lex_state = 14, .external_lex_state = 2},
  [4199] = {.lex_state = 14, .external_lex_state = 2},
  [4200] = {.lex_state = 14, .external_lex_state = 2},
  [4201] = {.lex_state = 14, .external_lex_state = 2},
  [4202] = {.lex_state = 14, .external_lex_state = 2},
  [4203] = {.lex_state = 14, .external_lex_state = 2},
  [4204] = {.lex_state = 14, .external_lex_state = 2},
  [4205] = {.lex_state = 14, .external_lex_state = 2},
  [4206] = {.lex_state = 14, .external_lex_state = 2},
  [4207] = {.lex_state = 14, .external_lex_state = 2},
  [4208] = {.lex_state = 14, .external_lex_state = 2},
  [4209] = {.lex_state = 14, .external_lex_state = 2},
  [4210] = {.lex_state = 14, .external_lex_state = 2},
  [4211] = {.lex_state = 14, .external_lex_state = 2},
  [4212] = {.lex_state = 14, .external_lex_state = 2},
  [4213] = {.lex_state = 14, .external_lex_state = 2},
  [4214] = {.lex_state = 14, .external_lex_state = 2},
  [4215] = {.lex_state = 14, .external_lex_state = 2},
  [4216] = {.lex_state = 14, .external_lex_state = 2},
  [4217] = {.lex_state = 14, .external_lex_state = 2},
  [4218] = {.lex_state = 14, .external_lex_state = 2},
  [4219] = {.lex_state = 14, .external_lex_state = 2},
  [4220] = {.lex_state = 14, .external_lex_state = 2},
  [4221] = {.lex_state = 14, .external_lex_state = 2},
  [4222] = {.lex_state = 14, .external_lex_state = 2},
  [4223] = {.lex_state = 14, .external_lex_state = 2},
  [4224] = {.lex_state = 14, .external_lex_state = 2},
  [4225] = {.lex_state = 14, .external_lex_state = 2},
  [4226] = {.lex_state = 14, .external_lex_state = 2},
  [4227] = {.lex_state = 14, .external_lex_state = 2},
  [4228] = {.lex_state = 14, .external_lex_state = 2},
  [4229] = {.lex_state = 14, .external_lex_state = 2},
  [4230] = {.lex_state = 14, .external_lex_state = 2},
  [4231] = {.lex_state = 14, .external_lex_state = 2},
  [4232] = {.lex_state = 14, .external_lex_state = 2},
  [4233] = {.lex_state = 14, .external_lex_state = 2},
  [4234] = {.lex_state = 14, .external_lex_state = 2},
  [4235] = {.lex_state = 14, .external_lex_state = 2},
  [4236] = {.lex_state = 14, .external_lex_state = 2},
  [4237] = {.lex_state = 14, .external_lex_state = 2},
  [4238] = {.lex_state = 14, .external_lex_state = 2},
  [4239] = {.lex_state = 14, .external_lex_state = 2},
  [4240] = {.lex_state = 14, .external_lex_state = 2},
  [4241] = {.lex_state = 14, .external_lex_state = 2},
  [4242] = {.lex_state = 14, .external_lex_state = 2},
  [4243] = {.lex_state = 14, .external_lex_state = 2},
  [4244] = {.lex_state = 50, .external_lex_state = 3},
  [4245] = {.lex_state = 54},
  [4246] = {.lex_state = 54, .external_lex_state = 25},
  [4247] = {.lex_state = 54, .external_lex_state = 25},
  [4248] = {.lex_state = 54},
  [4249] = {.lex_state = 54, .external_lex_state = 25},
  [4250] = {.lex_state = 52, .external_lex_state = 23},
  [4251] = {.lex_state = 54, .external_lex_state = 25},
  [4252] = {.lex_state = 52, .external_lex_state = 24},
  [4253] = {.lex_state = 54, .external_lex_state = 25},
  [4254] = {.lex_state = 63},
  [4255] = {.lex_state = 63},
  [4256] = {.lex_state = 63},
  [4257] = {.lex_state = 54},
  [4258] = {.lex_state = 54},
  [4259] = {.lex_state = 56, .external_lex_state = 26},
  [4260] = {.lex_state = 54},
  [4261] = {.lex_state = 54},
  [4262] = {.lex_state = 54},
  [4263] = {.lex_state = 63, .external_lex_state = 26},
  [4264] = {.lex_state = 54},
  [4265] = {.lex_state = 54},
  [4266] = {.lex_state = 63},
  [4267] = {.lex_state = 52, .external_lex_state = 23},
  [4268] = {.lex_state = 63},
  [4269] = {.lex_state = 63},
  [4270] = {.lex_state = 63},
  [4271] = {.lex_state = 63},
  [4272] = {.lex_state = 54},
  [4273] = {.lex_state = 63},
  [4274] = {.lex_state = 57, .external_lex_state = 26},
  [4275] = {.lex_state = 63},
  [4276] = {.lex_state = 63},
  [4277] = {.lex_state = 63},
  [4278] = {.lex_state = 63},
  [4279] = {.lex_state = 57, .external_lex_state = 26},
  [4280] = {.lex_state = 63},
  [4281] = {.lex_state = 63, .external_lex_state = 26},
  [4282] = {.lex_state = 54, .external_lex_state = 25},
  [4283] = {.lex_state = 63},
  [4284] = {.lex_state = 63},
  [4285] = {.lex_state = 54},
  [4286] = {.lex_state = 63},
  [4287] = {.lex_state = 63},
  [4288] = {.lex_state = 54, .external_lex_state = 25},
  [4289] = {.lex_state = 63},
  [4290] = {.lex_state = 57, .external_lex_state = 27},
  [4291] = {.lex_state = 63},
  [4292] = {.lex_state = 61, .external_lex_state = 26},
  [4293] = {.lex_state = 63},
  [4294] = {.lex_state = 61, .external_lex_state = 26},
  [4295] = {.lex_state = 63},
  [4296] = {.lex_state = 63},
  [4297] = {.lex_state = 63},
  [4298] = {.lex_state = 56, .external_lex_state = 26},
  [4299] = {.lex_state = 54},
  [4300] = {.lex_state = 63},
  [4301] = {.lex_state = 54},
  [4302] = {.lex_state = 63},
  [4303] = {.lex_state = 54},
  [4304] = {.lex_state = 54},
  [4305] = {.lex_state = 54},
  [4306] = {.lex_state = 63},
  [4307] = {.lex_state = 63},
  [4308] = {.lex_state = 63},
  [4309] = {.lex_state = 54},
  [4310] = {.lex_state = 63},
  [4311] = {.lex_state = 54},
  [4312] = {.lex_state = 63},
  [4313] = {.lex_state = 63},
  [4314] = {.lex_state = 63},
  [4315] = {.lex_state = 63},
  [4316] = {.lex_state = 58, .external_lex_state = 26},
  [4317] = {.lex_state = 63},
  [4318] = {.lex_state = 63, .external_lex_state = 28},
  [4319] = {.lex_state = 54, .external_lex_state = 25},
  [4320] = {.lex_state = 56, .external_lex_state = 27},
  [4321] = {.lex_state = 63},
  [4322] = {.lex_state = 57, .external_lex_state = 28},
  [4323] = {.lex_state = 63},
  [4324] = {.lex_state = 56, .external_lex_state = 28},
  [4325] = {.lex_state = 57, .external_lex_state = 26},
  [4326] = {.lex_state = 63},
  [4327] = {.lex_state = 54},
  [4328] = {.lex_state = 54},
  [4329] = {.lex_state = 63},
  [4330] = {.lex_state = 63},
  [4331] = {.lex_state = 63},
  [4332] = {.lex_state = 54, .external_lex_state = 25},
  [4333] = {.lex_state = 63},
  [4334] = {.lex_state = 54, .external_lex_state = 25},
  [4335] = {.lex_state = 61, .external_lex_state = 26},
  [4336] = {.lex_state = 63},
  [4337] = {.lex_state = 63},
  [4338] = {.lex_state = 63},
  [4339] = {.lex_state = 54, .external_lex_state = 25},
  [4340] = {.lex_state = 63},
  [4341] = {.lex_state = 63, .external_lex_state = 27},
  [4342] = {.lex_state = 63},
  [4343] = {.lex_state = 54},
  [4344] = {.lex_state = 63},
  [4345] = {.lex_state = 63},
  [4346] = {.lex_state = 52, .external_lex_state = 29},
  [4347] = {.lex_state = 54, .external_lex_state = 25},
  [4348] = {.lex_state = 63},
  [4349] = {.lex_state = 63},
  [4350] = {.lex_state = 63},
  [4351] = {.lex_state = 63},
  [4352] = {.lex_state = 54, .external_lex_state = 25},
  [4353] = {.lex_state = 63},
  [4354] = {.lex_state = 63},
  [4355] = {.lex_state = 54, .external_lex_state = 25},
  [4356] = {.lex_state = 54, .external_lex_state = 25},
  [4357] = {.lex_state = 54, .external_lex_state = 25},
  [4358] = {.lex_state = 63},
  [4359] = {.lex_state = 63},
  [4360] = {.lex_state = 63},
  [4361] = {.lex_state = 63},
  [4362] = {.lex_state = 63},
  [4363] = {.lex_state = 54, .external_lex_state = 25},
  [4364] = {.lex_state = 63},
  [4365] = {.lex_state = 54, .external_lex_state = 25},
  [4366] = {.lex_state = 54, .external_lex_state = 25},
  [4367] = {.lex_state = 63},
  [4368] = {.lex_state = 63},
  [4369] = {.lex_state = 54, .external_lex_state = 25},
  [4370] = {.lex_state = 63},
  [4371] = {.lex_state = 63},
  [4372] = {.lex_state = 63},
  [4373] = {.lex_state = 63},
  [4374] = {.lex_state = 63},
  [4375] = {.lex_state = 63},
  [4376] = {.lex_state = 63},
  [4377] = {.lex_state = 63},
  [4378] = {.lex_state = 63},
  [4379] = {.lex_state = 63},
  [4380] = {.lex_state = 63},
  [4381] = {.lex_state = 63},
  [4382] = {.lex_state = 63},
  [4383] = {.lex_state = 63, .external_lex_state = 29},
  [4384] = {.lex_state = 56, .external_lex_state = 26},
  [4385] = {.lex_state = 61, .external_lex_state = 27},
  [4386] = {.lex_state = 58, .external_lex_state = 27},
  [4387] = {.lex_state = 52, .external_lex_state = 29},
  [4388] = {.lex_state = 63},
  [4389] = {.lex_state = 63},
  [4390] = {.lex_state = 63},
  [4391] = {.lex_state = 63},
  [4392] = {.lex_state = 56, .external_lex_state = 26},
  [4393] = {.lex_state = 63},
  [4394] = {.lex_state = 63},
  [4395] = {.lex_state = 63},
  [4396] = {.lex_state = 63},
  [4397] = {.lex_state = 63},
  [4398] = {.lex_state = 63},
  [4399] = {.lex_state = 57, .external_lex_state = 27},
  [4400] = {.lex_state = 57, .external_lex_state = 27},
  [4401] = {.lex_state = 63},
  [4402] = {.lex_state = 61, .external_lex_state = 28},
  [4403] = {.lex_state = 57, .external_lex_state = 30},
  [4404] = {.lex_state = 63},
  [4405] = {.lex_state = 63},
  [4406] = {.lex_state = 52, .external_lex_state = 26},
  [4407] = {.lex_state = 63, .external_lex_state = 30},
  [4408] = {.lex_state = 63},
  [4409] = {.lex_state = 61, .external_lex_state = 27},
  [4410] = {.lex_state = 56, .external_lex_state = 26},
  [4411] = {.lex_state = 63},
  [4412] = {.lex_state = 57, .external_lex_state = 31},
  [4413] = {.lex_state = 63},
  [4414] = {.lex_state = 56, .external_lex_state = 28},
  [4415] = {.lex_state = 52, .external_lex_state = 29},
  [4416] = {.lex_state = 61, .external_lex_state = 28},
  [4417] = {.lex_state = 54},
  [4418] = {.lex_state = 63},
  [4419] = {.lex_state = 63},
  [4420] = {.lex_state = 56, .external_lex_state = 32},
  [4421] = {.lex_state = 56, .external_lex_state = 31},
  [4422] = {.lex_state = 63, .external_lex_state = 29},
  [4423] = {.lex_state = 63},
  [4424] = {.lex_state = 57, .external_lex_state = 32},
  [4425] = {.lex_state = 63},
  [4426] = {.lex_state = 63, .external_lex_state = 31},
  [4427] = {.lex_state = 63, .external_lex_state = 27},
  [4428] = {.lex_state = 63},
  [4429] = {.lex_state = 63},
  [4430] = {.lex_state = 63},
  [4431] = {.lex_state = 63},
  [4432] = {.lex_state = 57, .external_lex_state = 28},
  [4433] = {.lex_state = 63},
  [4434] = {.lex_state = 61, .external_lex_state = 28},
  [4435] = {.lex_state = 63},
  [4436] = {.lex_state = 63},
  [4437] = {.lex_state = 52, .external_lex_state = 33},
  [4438] = {.lex_state = 57, .external_lex_state = 28},
  [4439] = {.lex_state = 63},
  [4440] = {.lex_state = 63},
  [4441] = {.lex_state = 63, .external_lex_state = 28},
  [4442] = {.lex_state = 63, .external_lex_state = 29},
  [4443] = {.lex_state = 63},
  [4444] = {.lex_state = 56, .external_lex_state = 30},
  [4445] = {.lex_state = 63},
  [4446] = {.lex_state = 61, .external_lex_state = 27},
  [4447] = {.lex_state = 63},
  [4448] = {.lex_state = 63},
  [4449] = {.lex_state = 56, .external_lex_state = 27},
  [4450] = {.lex_state = 52, .external_lex_state = 34},
  [4451] = {.lex_state = 63},
  [4452] = {.lex_state = 63},
  [4453] = {.lex_state = 63, .external_lex_state = 32},
  [4454] = {.lex_state = 58, .external_lex_state = 26},
  [4455] = {.lex_state = 61, .external_lex_state = 26},
  [4456] = {.lex_state = 58, .external_lex_state = 28},
  [4457] = {.lex_state = 52, .external_lex_state = 26},
  [4458] = {.lex_state = 63},
  [4459] = {.lex_state = 61, .external_lex_state = 26},
  [4460] = {.lex_state = 63},
  [4461] = {.lex_state = 52, .external_lex_state = 26},
  [4462] = {.lex_state = 63},
  [4463] = {.lex_state = 56, .external_lex_state = 26},
  [4464] = {.lex_state = 57, .external_lex_state = 31},
  [4465] = {.lex_state = 61, .external_lex_state = 27},
  [4466] = {.lex_state = 56, .external_lex_state = 30},
  [4467] = {.lex_state = 61, .external_lex_state = 26},
  [4468] = {.lex_state = 56, .external_lex_state = 27},
  [4469] = {.lex_state = 63, .external_lex_state = 32},
  [4470] = {.lex_state = 63, .external_lex_state = 33},
  [4471] = {.lex_state = 56, .external_lex_state = 28},
  [4472] = {.lex_state = 58, .external_lex_state = 32},
  [4473] = {.lex_state = 63, .external_lex_state = 33},
  [4474] = {.lex_state = 58, .external_lex_state = 26},
  [4475] = {.lex_state = 63, .external_lex_state = 30},
  [4476] = {.lex_state = 57, .external_lex_state = 30},
  [4477] = {.lex_state = 63, .external_lex_state = 33},
  [4478] = {.lex_state = 52, .external_lex_state = 34},
  [4479] = {.lex_state = 58, .external_lex_state = 30},
  [4480] = {.lex_state = 63, .external_lex_state = 35},
  [4481] = {.lex_state = 52, .external_lex_state = 34},
  [4482] = {.lex_state = 61, .external_lex_state = 28},
  [4483] = {.lex_state = 63, .external_lex_state = 36},
  [4484] = {.lex_state = 61, .external_lex_state = 26},
  [4485] = {.lex_state = 52, .external_lex_state = 23},
  [4486] = {.lex_state = 56, .external_lex_state = 27},
  [4487] = {.lex_state = 58, .external_lex_state = 35},
  [4488] = {.lex_state = 52, .external_lex_state = 27},
  [4489] = {.lex_state = 56, .external_lex_state = 32},
  [4490] = {.lex_state = 52, .external_lex_state = 28},
  [4491] = {.lex_state = 56, .external_lex_state = 35},
  [4492] = {.lex_state = 56, .external_lex_state = 36},
  [4493] = {.lex_state = 56, .external_lex_state = 26},
  [4494] = {.lex_state = 61, .external_lex_state = 32},
  [4495] = {.lex_state = 61, .external_lex_state = 28},
  [4496] = {.lex_state = 56, .external_lex_state = 28},
  [4497] = {.lex_state = 63, .external_lex_state = 37},
  [4498] = {.lex_state = 63, .external_lex_state = 34},
  [4499] = {.lex_state = 57, .external_lex_state = 36},
  [4500] = {.lex_state = 58, .external_lex_state = 27},
  [4501] = {.lex_state = 52, .external_lex_state = 38},
  [4502] = {.lex_state = 61, .external_lex_state = 32},
  [4503] = {.lex_state = 52, .external_lex_state = 27},
  [4504] = {.lex_state = 52, .external_lex_state = 39},
  [4505] = {.lex_state = 57, .external_lex_state = 31},
  [4506] = {.lex_state = 61, .external_lex_state = 31},
  [4507] = {.lex_state = 63, .external_lex_state = 26},
  [4508] = {.lex_state = 63, .external_lex_state = 34},
  [4509] = {.lex_state = 58, .external_lex_state = 26},
  [4510] = {.lex_state = 57, .external_lex_state = 32},
  [4511] = {.lex_state = 56, .external_lex_state = 31},
  [4512] = {.lex_state = 56, .external_lex_state = 28},
  [4513] = {.lex_state = 57, .external_lex_state = 37},
  [4514] = {.lex_state = 63, .external_lex_state = 34},
  [4515] = {.lex_state = 58, .external_lex_state = 28},
  [4516] = {.lex_state = 52, .external_lex_state = 27},
  [4517] = {.lex_state = 56, .external_lex_state = 26},
  [4518] = {.lex_state = 52, .external_lex_state = 28},
  [4519] = {.lex_state = 56, .external_lex_state = 27},
  [4520] = {.lex_state = 61, .external_lex_state = 30},
  [4521] = {.lex_state = 56, .external_lex_state = 26},
  [4522] = {.lex_state = 58, .external_lex_state = 31},
  [4523] = {.lex_state = 56, .external_lex_state = 26},
  [4524] = {.lex_state = 52, .external_lex_state = 29},
  [4525] = {.lex_state = 56, .external_lex_state = 26},
  [4526] = {.lex_state = 56, .external_lex_state = 26},
  [4527] = {.lex_state = 61, .external_lex_state = 32},
  [4528] = {.lex_state = 56, .external_lex_state = 26},
  [4529] = {.lex_state = 57, .external_lex_state = 30},
  [4530] = {.lex_state = 58, .external_lex_state = 26},
  [4531] = {.lex_state = 63},
  [4532] = {.lex_state = 56, .external_lex_state = 28},
  [4533] = {.lex_state = 61, .external_lex_state = 30},
  [4534] = {.lex_state = 52, .external_lex_state = 28},
  [4535] = {.lex_state = 56, .external_lex_state = 26},
  [4536] = {.lex_state = 61, .external_lex_state = 31},
  [4537] = {.lex_state = 56, .external_lex_state = 26},
  [4538] = {.lex_state = 52, .external_lex_state = 40},
  [4539] = {.lex_state = 57, .external_lex_state = 35},
  [4540] = {.lex_state = 61, .external_lex_state = 27},
  [4541] = {.lex_state = 52, .external_lex_state = 26},
  [4542] = {.lex_state = 52, .external_lex_state = 26},
  [4543] = {.lex_state = 57, .external_lex_state = 32},
  [4544] = {.lex_state = 52, .external_lex_state = 29},
  [4545] = {.lex_state = 56, .external_lex_state = 26},
  [4546] = {.lex_state = 56, .external_lex_state = 26},
  [4547] = {.lex_state = 63, .external_lex_state = 26},
  [4548] = {.lex_state = 56, .external_lex_state = 26},
  [4549] = {.lex_state = 56, .external_lex_state = 26},
  [4550] = {.lex_state = 63, .external_lex_state = 31},
  [4551] = {.lex_state = 56, .external_lex_state = 37},
  [4552] = {.lex_state = 58, .external_lex_state = 26},
  [4553] = {.lex_state = 56, .external_lex_state = 27},
  [4554] = {.lex_state = 63, .external_lex_state = 26},
  [4555] = {.lex_state = 63, .external_lex_state = 26},
  [4556] = {.lex_state = 61, .external_lex_state = 30},
  [4557] = {.lex_state = 52, .external_lex_state = 33},
  [4558] = {.lex_state = 61, .external_lex_state = 31},
  [4559] = {.lex_state = 52, .external_lex_state = 33},
  [4560] = {.lex_state = 56, .external_lex_state = 26},
  [4561] = {.lex_state = 58, .external_lex_state = 28},
  [4562] = {.lex_state = 58, .external_lex_state = 27},
  [4563] = {.lex_state = 56, .external_lex_state = 26},
  [4564] = {.lex_state = 57, .external_lex_state = 26},
  [4565] = {.lex_state = 56, .external_lex_state = 26},
  [4566] = {.lex_state = 52, .external_lex_state = 23},
  [4567] = {.lex_state = 56, .external_lex_state = 28},
  [4568] = {.lex_state = 61, .external_lex_state = 35},
  [4569] = {.lex_state = 56, .external_lex_state = 28},
  [4570] = {.lex_state = 56, .external_lex_state = 32},
  [4571] = {.lex_state = 57, .external_lex_state = 26},
  [4572] = {.lex_state = 52, .external_lex_state = 41},
  [4573] = {.lex_state = 52, .external_lex_state = 29},
  [4574] = {.lex_state = 56, .external_lex_state = 31},
  [4575] = {.lex_state = 58, .external_lex_state = 27},
  [4576] = {.lex_state = 56, .external_lex_state = 27},
  [4577] = {.lex_state = 63, .external_lex_state = 27},
  [4578] = {.lex_state = 56, .external_lex_state = 32},
  [4579] = {.lex_state = 56, .external_lex_state = 28},
  [4580] = {.lex_state = 61, .external_lex_state = 37},
  [4581] = {.lex_state = 56, .external_lex_state = 26},
  [4582] = {.lex_state = 57, .external_lex_state = 26},
  [4583] = {.lex_state = 57, .external_lex_state = 26},
  [4584] = {.lex_state = 57, .external_lex_state = 26},
  [4585] = {.lex_state = 56, .external_lex_state = 31},
  [4586] = {.lex_state = 56, .external_lex_state = 28},
  [4587] = {.lex_state = 57, .external_lex_state = 26},
  [4588] = {.lex_state = 57, .external_lex_state = 42},
  [4589] = {.lex_state = 63, .external_lex_state = 38},
  [4590] = {.lex_state = 58, .external_lex_state = 28},
  [4591] = {.lex_state = 63, .external_lex_state = 28},
  [4592] = {.lex_state = 57, .external_lex_state = 26},
  [4593] = {.lex_state = 63, .external_lex_state = 43},
  [4594] = {.lex_state = 63, .external_lex_state = 39},
  [4595] = {.lex_state = 57, .external_lex_state = 26},
  [4596] = {.lex_state = 52, .external_lex_state = 44},
  [4597] = {.lex_state = 57, .external_lex_state = 35},
  [4598] = {.lex_state = 57, .external_lex_state = 35},
  [4599] = {.lex_state = 52, .external_lex_state = 35},
  [4600] = {.lex_state = 63, .external_lex_state = 28},
  [4601] = {.lex_state = 58, .external_lex_state = 36},
  [4602] = {.lex_state = 52, .external_lex_state = 32},
  [4603] = {.lex_state = 52, .external_lex_state = 33},
  [4604] = {.lex_state = 57, .external_lex_state = 37},
  [4605] = {.lex_state = 56, .external_lex_state = 28},
  [4606] = {.lex_state = 56, .external_lex_state = 45},
  [4607] = {.lex_state = 58, .external_lex_state = 28},
  [4608] = {.lex_state = 63, .external_lex_state = 35},
  [4609] = {.lex_state = 61, .external_lex_state = 32},
  [4610] = {.lex_state = 56, .external_lex_state = 30},
  [4611] = {.lex_state = 61, .external_lex_state = 36},
  [4612] = {.lex_state = 56, .external_lex_state = 31},
  [4613] = {.lex_state = 52, .external_lex_state = 33},
  [4614] = {.lex_state = 58, .external_lex_state = 27},
  [4615] = {.lex_state = 61, .external_lex_state = 32},
  [4616] = {.lex_state = 52, .external_lex_state = 40},
  [4617] = {.lex_state = 52, .external_lex_state = 34},
  [4618] = {.lex_state = 58, .external_lex_state = 26},
  [4619] = {.lex_state = 61, .external_lex_state = 30},
  [4620] = {.lex_state = 58, .external_lex_state = 32},
  [4621] = {.lex_state = 57, .external_lex_state = 46},
  [4622] = {.lex_state = 57, .external_lex_state = 26},
  [4623] = {.lex_state = 58, .external_lex_state = 31},
  [4624] = {.lex_state = 57, .external_lex_state = 45},
  [4625] = {.lex_state = 63, .external_lex_state = 39},
  [4626] = {.lex_state = 56, .external_lex_state = 27},
  [4627] = {.lex_state = 56, .external_lex_state = 27},
  [4628] = {.lex_state = 52, .external_lex_state = 27},
  [4629] = {.lex_state = 57, .external_lex_state = 43},
  [4630] = {.lex_state = 63, .external_lex_state = 40},
  [4631] = {.lex_state = 58, .external_lex_state = 47},
  [4632] = {.lex_state = 56, .external_lex_state = 27},
  [4633] = {.lex_state = 52, .external_lex_state = 27},
  [4634] = {.lex_state = 52, .external_lex_state = 29},
  [4635] = {.lex_state = 63, .external_lex_state = 40},
  [4636] = {.lex_state = 56, .external_lex_state = 27},
  [4637] = {.lex_state = 58, .external_lex_state = 26},
  [4638] = {.lex_state = 52, .external_lex_state = 32},
  [4639] = {.lex_state = 57, .external_lex_state = 26},
  [4640] = {.lex_state = 52, .external_lex_state = 35},
  [4641] = {.lex_state = 56, .external_lex_state = 36},
  [4642] = {.lex_state = 58, .external_lex_state = 26},
  [4643] = {.lex_state = 58, .external_lex_state = 28},
  [4644] = {.lex_state = 58, .external_lex_state = 26},
  [4645] = {.lex_state = 63, .external_lex_state = 36},
  [4646] = {.lex_state = 63, .external_lex_state = 42},
  [4647] = {.lex_state = 57, .external_lex_state = 37},
  [4648] = {.lex_state = 61, .external_lex_state = 30},
  [4649] = {.lex_state = 57, .external_lex_state = 26},
  [4650] = {.lex_state = 58, .external_lex_state = 26},
  [4651] = {.lex_state = 52, .external_lex_state = 35},
  [4652] = {.lex_state = 58, .external_lex_state = 37},
  [4653] = {.lex_state = 63, .external_lex_state = 39},
  [4654] = {.lex_state = 58, .external_lex_state = 30},
  [4655] = {.lex_state = 58, .external_lex_state = 26},
  [4656] = {.lex_state = 61, .external_lex_state = 36},
  [4657] = {.lex_state = 63, .external_lex_state = 29},
  [4658] = {.lex_state = 56, .external_lex_state = 28},
  [4659] = {.lex_state = 58, .external_lex_state = 26},
  [4660] = {.lex_state = 56, .external_lex_state = 27},
  [4661] = {.lex_state = 58, .external_lex_state = 26},
  [4662] = {.lex_state = 58, .external_lex_state = 26},
  [4663] = {.lex_state = 54},
  [4664] = {.lex_state = 56, .external_lex_state = 32},
  [4665] = {.lex_state = 57, .external_lex_state = 26},
  [4666] = {.lex_state = 57, .external_lex_state = 26},
  [4667] = {.lex_state = 63, .external_lex_state = 28},
  [4668] = {.lex_state = 63, .external_lex_state = 38},
  [4669] = {.lex_state = 58, .external_lex_state = 26},
  [4670] = {.lex_state = 58, .external_lex_state = 26},
  [4671] = {.lex_state = 56, .external_lex_state = 27},
  [4672] = {.lex_state = 58, .external_lex_state = 26},
  [4673] = {.lex_state = 63, .external_lex_state = 40},
  [4674] = {.lex_state = 56, .external_lex_state = 30},
  [4675] = {.lex_state = 61, .external_lex_state = 36},
  [4676] = {.lex_state = 52, .external_lex_state = 30},
  [4677] = {.lex_state = 56, .external_lex_state = 28},
  [4678] = {.lex_state = 57, .external_lex_state = 26},
  [4679] = {.lex_state = 63, .external_lex_state = 45},
  [4680] = {.lex_state = 61, .external_lex_state = 27},
  [4681] = {.lex_state = 56, .external_lex_state = 27},
  [4682] = {.lex_state = 61, .external_lex_state = 26},
  [4683] = {.lex_state = 61, .external_lex_state = 26},
  [4684] = {.lex_state = 61, .external_lex_state = 26},
  [4685] = {.lex_state = 58, .external_lex_state = 26},
  [4686] = {.lex_state = 63, .external_lex_state = 27},
  [4687] = {.lex_state = 56, .external_lex_state = 27},
  [4688] = {.lex_state = 56, .external_lex_state = 42},
  [4689] = {.lex_state = 56, .external_lex_state = 28},
  [4690] = {.lex_state = 52, .external_lex_state = 32},
  [4691] = {.lex_state = 52, .external_lex_state = 40},
  [4692] = {.lex_state = 61, .external_lex_state = 28},
  [4693] = {.lex_state = 57, .external_lex_state = 26},
  [4694] = {.lex_state = 56, .external_lex_state = 43},
  [4695] = {.lex_state = 63, .external_lex_state = 38},
  [4696] = {.lex_state = 61, .external_lex_state = 35},
  [4697] = {.lex_state = 56, .external_lex_state = 28},
  [4698] = {.lex_state = 61, .external_lex_state = 35},
  [4699] = {.lex_state = 57, .external_lex_state = 26},
  [4700] = {.lex_state = 56, .external_lex_state = 32},
  [4701] = {.lex_state = 57, .external_lex_state = 36},
  [4702] = {.lex_state = 61, .external_lex_state = 37},
  [4703] = {.lex_state = 56, .external_lex_state = 28},
  [4704] = {.lex_state = 52, .external_lex_state = 30},
  [4705] = {.lex_state = 56, .external_lex_state = 28},
  [4706] = {.lex_state = 56, .external_lex_state = 37},
  [4707] = {.lex_state = 58, .external_lex_state = 27},
  [4708] = {.lex_state = 52, .external_lex_state = 31},
  [4709] = {.lex_state = 58, .external_lex_state = 35},
  [4710] = {.lex_state = 63, .external_lex_state = 27},
  [4711] = {.lex_state = 52, .external_lex_state = 26},
  [4712] = {.lex_state = 56, .external_lex_state = 28},
  [4713] = {.lex_state = 56, .external_lex_state = 30},
  [4714] = {.lex_state = 52, .external_lex_state = 31},
  [4715] = {.lex_state = 61, .external_lex_state = 31},
  [4716] = {.lex_state = 52, .external_lex_state = 38},
  [4717] = {.lex_state = 56, .external_lex_state = 27},
  [4718] = {.lex_state = 56, .external_lex_state = 31},
  [4719] = {.lex_state = 56, .external_lex_state = 27},
  [4720] = {.lex_state = 56, .external_lex_state = 27},
  [4721] = {.lex_state = 56, .external_lex_state = 27},
  [4722] = {.lex_state = 61, .external_lex_state = 31},
  [4723] = {.lex_state = 63, .external_lex_state = 27},
  [4724] = {.lex_state = 63, .external_lex_state = 28},
  [4725] = {.lex_state = 56, .external_lex_state = 28},
  [4726] = {.lex_state = 56, .external_lex_state = 30},
  [4727] = {.lex_state = 61, .external_lex_state = 27},
  [4728] = {.lex_state = 52, .external_lex_state = 30},
  [4729] = {.lex_state = 63, .external_lex_state = 37},
  [4730] = {.lex_state = 63, .external_lex_state = 46},
  [4731] = {.lex_state = 52, .external_lex_state = 26},
  [4732] = {.lex_state = 57, .external_lex_state = 26},
  [4733] = {.lex_state = 52, .external_lex_state = 31},
  [4734] = {.lex_state = 57, .external_lex_state = 36},
  [4735] = {.lex_state = 61, .external_lex_state = 28},
  [4736] = {.lex_state = 61, .external_lex_state = 26},
  [4737] = {.lex_state = 52, .external_lex_state = 28},
  [4738] = {.lex_state = 52, .external_lex_state = 28},
  [4739] = {.lex_state = 56, .external_lex_state = 27},
  [4740] = {.lex_state = 56, .external_lex_state = 28},
  [4741] = {.lex_state = 52, .external_lex_state = 34},
  [4742] = {.lex_state = 61, .external_lex_state = 37},
  [4743] = {.lex_state = 56, .external_lex_state = 35},
  [4744] = {.lex_state = 52, .external_lex_state = 38},
  [4745] = {.lex_state = 56, .external_lex_state = 46},
  [4746] = {.lex_state = 57, .external_lex_state = 27},
  [4747] = {.lex_state = 56, .external_lex_state = 31},
  [4748] = {.lex_state = 58, .external_lex_state = 28},
  [4749] = {.lex_state = 58, .external_lex_state = 28},
  [4750] = {.lex_state = 52, .external_lex_state = 48},
  [4751] = {.lex_state = 58, .external_lex_state = 28},
  [4752] = {.lex_state = 61, .external_lex_state = 46},
  [4753] = {.lex_state = 58, .external_lex_state = 42},
  [4754] = {.lex_state = 63, .external_lex_state = 32},
  [4755] = {.lex_state = 58, .external_lex_state = 28},
  [4756] = {.lex_state = 57, .external_lex_state = 26},
  [4757] = {.lex_state = 63, .external_lex_state = 49},
  [4758] = {.lex_state = 61, .external_lex_state = 45},
  [4759] = {.lex_state = 52, .external_lex_state = 50},
  [4760] = {.lex_state = 57, .external_lex_state = 27},
  [4761] = {.lex_state = 58, .external_lex_state = 27},
  [4762] = {.lex_state = 56, .external_lex_state = 37},
  [4763] = {.lex_state = 57, .external_lex_state = 28},
  [4764] = {.lex_state = 52, .external_lex_state = 47},
  [4765] = {.lex_state = 58, .external_lex_state = 47},
  [4766] = {.lex_state = 57, .external_lex_state = 27},
  [4767] = {.lex_state = 56, .external_lex_state = 28},
  [4768] = {.lex_state = 57, .external_lex_state = 27},
  [4769] = {.lex_state = 61, .external_lex_state = 46},
  [4770] = {.lex_state = 57, .external_lex_state = 46},
  [4771] = {.lex_state = 56, .external_lex_state = 28},
  [4772] = {.lex_state = 56, .external_lex_state = 32},
  [4773] = {.lex_state = 57, .external_lex_state = 27},
  [4774] = {.lex_state = 58, .external_lex_state = 27},
  [4775] = {.lex_state = 58, .external_lex_state = 27},
  [4776] = {.lex_state = 58, .external_lex_state = 27},
  [4777] = {.lex_state = 58, .external_lex_state = 27},
  [4778] = {.lex_state = 56, .external_lex_state = 32},
  [4779] = {.lex_state = 58, .external_lex_state = 27},
  [4780] = {.lex_state = 58, .external_lex_state = 27},
  [4781] = {.lex_state = 58, .external_lex_state = 27},
  [4782] = {.lex_state = 56, .external_lex_state = 32},
  [4783] = {.lex_state = 58, .external_lex_state = 27},
  [4784] = {.lex_state = 58, .external_lex_state = 27},
  [4785] = {.lex_state = 61, .external_lex_state = 46},
  [4786] = {.lex_state = 58, .external_lex_state = 27},
  [4787] = {.lex_state = 56, .external_lex_state = 36},
  [4788] = {.lex_state = 56, .external_lex_state = 32},
  [4789] = {.lex_state = 58, .external_lex_state = 28},
  [4790] = {.lex_state = 56, .external_lex_state = 32},
  [4791] = {.lex_state = 52, .external_lex_state = 29},
  [4792] = {.lex_state = 61, .external_lex_state = 27},
  [4793] = {.lex_state = 61, .external_lex_state = 27},
  [4794] = {.lex_state = 56, .external_lex_state = 32},
  [4795] = {.lex_state = 63, .external_lex_state = 30},
  [4796] = {.lex_state = 56, .external_lex_state = 30},
  [4797] = {.lex_state = 61, .external_lex_state = 27},
  [4798] = {.lex_state = 57, .external_lex_state = 42},
  [4799] = {.lex_state = 61, .external_lex_state = 37},
  [4800] = {.lex_state = 56, .external_lex_state = 32},
  [4801] = {.lex_state = 57, .external_lex_state = 51},
  [4802] = {.lex_state = 61, .external_lex_state = 37},
  [4803] = {.lex_state = 58, .external_lex_state = 28},
  [4804] = {.lex_state = 58, .external_lex_state = 28},
  [4805] = {.lex_state = 57, .external_lex_state = 28},
  [4806] = {.lex_state = 57, .external_lex_state = 28},
  [4807] = {.lex_state = 61, .external_lex_state = 45},
  [4808] = {.lex_state = 56, .external_lex_state = 37},
  [4809] = {.lex_state = 58, .external_lex_state = 27},
  [4810] = {.lex_state = 58, .external_lex_state = 28},
  [4811] = {.lex_state = 63, .external_lex_state = 51},
  [4812] = {.lex_state = 57, .external_lex_state = 43},
  [4813] = {.lex_state = 57, .external_lex_state = 28},
  [4814] = {.lex_state = 57, .external_lex_state = 28},
  [4815] = {.lex_state = 63, .external_lex_state = 44},
  [4816] = {.lex_state = 58, .external_lex_state = 32},
  [4817] = {.lex_state = 61, .external_lex_state = 27},
  [4818] = {.lex_state = 58, .external_lex_state = 32},
  [4819] = {.lex_state = 52, .external_lex_state = 29},
  [4820] = {.lex_state = 56, .external_lex_state = 49},
  [4821] = {.lex_state = 61, .external_lex_state = 42},
  [4822] = {.lex_state = 56, .external_lex_state = 27},
  [4823] = {.lex_state = 61, .external_lex_state = 36},
  [4824] = {.lex_state = 58, .external_lex_state = 31},
  [4825] = {.lex_state = 57, .external_lex_state = 28},
  [4826] = {.lex_state = 61, .external_lex_state = 36},
  [4827] = {.lex_state = 52, .external_lex_state = 37},
  [4828] = {.lex_state = 56, .external_lex_state = 27},
  [4829] = {.lex_state = 56, .external_lex_state = 30},
  [4830] = {.lex_state = 61, .external_lex_state = 43},
  [4831] = {.lex_state = 52, .external_lex_state = 28},
  [4832] = {.lex_state = 52, .external_lex_state = 26},
  [4833] = {.lex_state = 57, .external_lex_state = 28},
  [4834] = {.lex_state = 52, .external_lex_state = 26},
  [4835] = {.lex_state = 52, .external_lex_state = 30},
  [4836] = {.lex_state = 56, .external_lex_state = 32},
  [4837] = {.lex_state = 57, .external_lex_state = 28},
  [4838] = {.lex_state = 56, .external_lex_state = 36},
  [4839] = {.lex_state = 52, .external_lex_state = 52},
  [4840] = {.lex_state = 57, .external_lex_state = 28},
  [4841] = {.lex_state = 58, .external_lex_state = 35},
  [4842] = {.lex_state = 52, .external_lex_state = 26},
  [4843] = {.lex_state = 52, .external_lex_state = 30},
  [4844] = {.lex_state = 63, .external_lex_state = 29},
  [4845] = {.lex_state = 56, .external_lex_state = 46},
  [4846] = {.lex_state = 57, .external_lex_state = 49},
  [4847] = {.lex_state = 56, .external_lex_state = 30},
  [4848] = {.lex_state = 56, .external_lex_state = 30},
  [4849] = {.lex_state = 56, .external_lex_state = 30},
  [4850] = {.lex_state = 61, .external_lex_state = 28},
  [4851] = {.lex_state = 61, .external_lex_state = 43},
  [4852] = {.lex_state = 56, .external_lex_state = 31},
  [4853] = {.lex_state = 56, .external_lex_state = 32},
  [4854] = {.lex_state = 56, .external_lex_state = 31},
  [4855] = {.lex_state = 52, .external_lex_state = 33},
  [4856] = {.lex_state = 56, .external_lex_state = 31},
  [4857] = {.lex_state = 61, .external_lex_state = 28},
  [4858] = {.lex_state = 56, .external_lex_state = 27},
  [4859] = {.lex_state = 56, .external_lex_state = 31},
  [4860] = {.lex_state = 52, .external_lex_state = 31},
  [4861] = {.lex_state = 61, .external_lex_state = 28},
  [4862] = {.lex_state = 57, .external_lex_state = 43},
  [4863] = {.lex_state = 63, .external_lex_state = 31},
  [4864] = {.lex_state = 63, .external_lex_state = 46},
  [4865] = {.lex_state = 52, .external_lex_state = 31},
  [4866] = {.lex_state = 52, .external_lex_state = 36},
  [4867] = {.lex_state = 63, .external_lex_state = 26},
  [4868] = {.lex_state = 52, .external_lex_state = 47},
  [4869] = {.lex_state = 58, .external_lex_state = 30},
  [4870] = {.lex_state = 57, .external_lex_state = 45},
  [4871] = {.lex_state = 52, .external_lex_state = 29},
  [4872] = {.lex_state = 57, .external_lex_state = 27},
  [4873] = {.lex_state = 52, .external_lex_state = 26},
  [4874] = {.lex_state = 63, .external_lex_state = 42},
  [4875] = {.lex_state = 63, .external_lex_state = 44},
  [4876] = {.lex_state = 52, .external_lex_state = 40},
  [4877] = {.lex_state = 52, .external_lex_state = 27},
  [4878] = {.lex_state = 57, .external_lex_state = 28},
  [4879] = {.lex_state = 58, .external_lex_state = 31},
  [4880] = {.lex_state = 57, .external_lex_state = 27},
  [4881] = {.lex_state = 57, .external_lex_state = 42},
  [4882] = {.lex_state = 61, .external_lex_state = 43},
  [4883] = {.lex_state = 56, .external_lex_state = 42},
  [4884] = {.lex_state = 57, .external_lex_state = 27},
  [4885] = {.lex_state = 61, .external_lex_state = 45},
  [4886] = {.lex_state = 52, .external_lex_state = 27},
  [4887] = {.lex_state = 56, .external_lex_state = 43},
  [4888] = {.lex_state = 58, .external_lex_state = 37},
  [4889] = {.lex_state = 52, .external_lex_state = 40},
  [4890] = {.lex_state = 63, .external_lex_state = 30},
  [4891] = {.lex_state = 56, .external_lex_state = 35},
  [4892] = {.lex_state = 57, .external_lex_state = 28},
  [4893] = {.lex_state = 52, .external_lex_state = 34},
  [4894] = {.lex_state = 52, .external_lex_state = 44},
  [4895] = {.lex_state = 57, .external_lex_state = 28},
  [4896] = {.lex_state = 56, .external_lex_state = 45},
  [4897] = {.lex_state = 63, .external_lex_state = 45},
  [4898] = {.lex_state = 61, .external_lex_state = 32},
  [4899] = {.lex_state = 58, .external_lex_state = 45},
  [4900] = {.lex_state = 57, .external_lex_state = 27},
  [4901] = {.lex_state = 57, .external_lex_state = 27},
  [4902] = {.lex_state = 57, .external_lex_state = 28},
  [4903] = {.lex_state = 63, .external_lex_state = 32},
  [4904] = {.lex_state = 57, .external_lex_state = 27},
  [4905] = {.lex_state = 57, .external_lex_state = 45},
  [4906] = {.lex_state = 58, .external_lex_state = 35},
  [4907] = {.lex_state = 57, .external_lex_state = 27},
  [4908] = {.lex_state = 63, .external_lex_state = 29},
  [4909] = {.lex_state = 63, .external_lex_state = 32},
  [4910] = {.lex_state = 57, .external_lex_state = 27},
  [4911] = {.lex_state = 57, .external_lex_state = 27},
  [4912] = {.lex_state = 57, .external_lex_state = 28},
  [4913] = {.lex_state = 56, .external_lex_state = 47},
  [4914] = {.lex_state = 63, .external_lex_state = 26},
  [4915] = {.lex_state = 58, .external_lex_state = 31},
  [4916] = {.lex_state = 52, .external_lex_state = 33},
  [4917] = {.lex_state = 52, .external_lex_state = 44},
  [4918] = {.lex_state = 58, .external_lex_state = 30},
  [4919] = {.lex_state = 57, .external_lex_state = 27},
  [4920] = {.lex_state = 56, .external_lex_state = 30},
  [4921] = {.lex_state = 56, .external_lex_state = 53},
  [4922] = {.lex_state = 52, .external_lex_state = 54},
  [4923] = {.lex_state = 52, .external_lex_state = 34},
  [4924] = {.lex_state = 56, .external_lex_state = 31},
  [4925] = {.lex_state = 61, .external_lex_state = 28},
  [4926] = {.lex_state = 57, .external_lex_state = 28},
  [4927] = {.lex_state = 58, .external_lex_state = 30},
  [4928] = {.lex_state = 52, .external_lex_state = 29},
  [4929] = {.lex_state = 52, .external_lex_state = 28},
  [4930] = {.lex_state = 56, .external_lex_state = 36},
  [4931] = {.lex_state = 56, .external_lex_state = 36},
  [4932] = {.lex_state = 56, .external_lex_state = 51},
  [4933] = {.lex_state = 58, .external_lex_state = 30},
  [4934] = {.lex_state = 57, .external_lex_state = 28},
  [4935] = {.lex_state = 63, .external_lex_state = 26},
  [4936] = {.lex_state = 63, .external_lex_state = 31},
  [4937] = {.lex_state = 58, .external_lex_state = 36},
  [4938] = {.lex_state = 63, .external_lex_state = 34},
  [4939] = {.lex_state = 61, .external_lex_state = 26},
  [4940] = {.lex_state = 63, .external_lex_state = 23},
  [4941] = {.lex_state = 56, .external_lex_state = 35},
  [4942] = {.lex_state = 58, .external_lex_state = 46},
  [4943] = {.lex_state = 63, .external_lex_state = 41},
  [4944] = {.lex_state = 63, .external_lex_state = 31},
  [4945] = {.lex_state = 58, .external_lex_state = 31},
  [4946] = {.lex_state = 63, .external_lex_state = 26},
  [4947] = {.lex_state = 52, .external_lex_state = 39},
  [4948] = {.lex_state = 52, .external_lex_state = 32},
  [4949] = {.lex_state = 52, .external_lex_state = 32},
  [4950] = {.lex_state = 56, .external_lex_state = 28},
  [4951] = {.lex_state = 52, .external_lex_state = 36},
  [4952] = {.lex_state = 56, .external_lex_state = 37},
  [4953] = {.lex_state = 56, .external_lex_state = 37},
  [4954] = {.lex_state = 58, .external_lex_state = 26},
  [4955] = {.lex_state = 58, .external_lex_state = 32},
  [4956] = {.lex_state = 52, .external_lex_state = 35},
  [4957] = {.lex_state = 57, .external_lex_state = 27},
  [4958] = {.lex_state = 52, .external_lex_state = 39},
  [4959] = {.lex_state = 52, .external_lex_state = 35},
  [4960] = {.lex_state = 58, .external_lex_state = 26},
  [4961] = {.lex_state = 58, .external_lex_state = 32},
  [4962] = {.lex_state = 63, .external_lex_state = 30},
  [4963] = {.lex_state = 56, .external_lex_state = 26},
  [4964] = {.lex_state = 63, .external_lex_state = 43},
  [4965] = {.lex_state = 63, .external_lex_state = 33},
  [4966] = {.lex_state = 63, .external_lex_state = 30},
  [4967] = {.lex_state = 52, .external_lex_state = 36},
  [4968] = {.lex_state = 63, .external_lex_state = 31},
  [4969] = {.lex_state = 61, .external_lex_state = 31},
  [4970] = {.lex_state = 61, .external_lex_state = 26},
  [4971] = {.lex_state = 56, .external_lex_state = 35},
  [4972] = {.lex_state = 63, .external_lex_state = 23},
  [4973] = {.lex_state = 58, .external_lex_state = 35},
  [4974] = {.lex_state = 61, .external_lex_state = 30},
  [4975] = {.lex_state = 56, .external_lex_state = 30},
  [4976] = {.lex_state = 61, .external_lex_state = 35},
  [4977] = {.lex_state = 56, .external_lex_state = 30},
  [4978] = {.lex_state = 56, .external_lex_state = 30},
  [4979] = {.lex_state = 56, .external_lex_state = 30},
  [4980] = {.lex_state = 52, .external_lex_state = 37},
  [4981] = {.lex_state = 63, .external_lex_state = 41},
  [4982] = {.lex_state = 61, .external_lex_state = 31},
  [4983] = {.lex_state = 56, .external_lex_state = 30},
  [4984] = {.lex_state = 56, .external_lex_state = 30},
  [4985] = {.lex_state = 61, .external_lex_state = 42},
  [4986] = {.lex_state = 52, .external_lex_state = 47},
  [4987] = {.lex_state = 55, .external_lex_state = 55},
  [4988] = {.lex_state = 56, .external_lex_state = 30},
  [4989] = {.lex_state = 56, .external_lex_state = 35},
  [4990] = {.lex_state = 58, .external_lex_state = 28},
  [4991] = {.lex_state = 58, .external_lex_state = 43},
  [4992] = {.lex_state = 61, .external_lex_state = 30},
  [4993] = {.lex_state = 52, .external_lex_state = 37},
  [4994] = {.lex_state = 63, .external_lex_state = 44},
  [4995] = {.lex_state = 56, .external_lex_state = 31},
  [4996] = {.lex_state = 57, .external_lex_state = 28},
  [4997] = {.lex_state = 61, .external_lex_state = 32},
  [4998] = {.lex_state = 57, .external_lex_state = 27},
  [4999] = {.lex_state = 63, .external_lex_state = 32},
  [5000] = {.lex_state = 56, .external_lex_state = 31},
  [5001] = {.lex_state = 55, .external_lex_state = 35},
  [5002] = {.lex_state = 61, .external_lex_state = 42},
  [5003] = {.lex_state = 56, .external_lex_state = 31},
  [5004] = {.lex_state = 57, .external_lex_state = 46},
  [5005] = {.lex_state = 56, .external_lex_state = 31},
  [5006] = {.lex_state = 56, .external_lex_state = 31},
  [5007] = {.lex_state = 56, .external_lex_state = 31},
  [5008] = {.lex_state = 63, .external_lex_state = 26},
  [5009] = {.lex_state = 56, .external_lex_state = 32},
  [5010] = {.lex_state = 58, .external_lex_state = 35},
  [5011] = {.lex_state = 52, .external_lex_state = 38},
  [5012] = {.lex_state = 63, .external_lex_state = 26},
  [5013] = {.lex_state = 58, .external_lex_state = 28},
  [5014] = {.lex_state = 63, .external_lex_state = 26},
  [5015] = {.lex_state = 61, .external_lex_state = 35},
  [5016] = {.lex_state = 58, .external_lex_state = 28},
  [5017] = {.lex_state = 58, .external_lex_state = 28},
  [5018] = {.lex_state = 63, .external_lex_state = 53},
  [5019] = {.lex_state = 56, .external_lex_state = 30},
  [5020] = {.lex_state = 58, .external_lex_state = 27},
  [5021] = {.lex_state = 63, .external_lex_state = 41},
  [5022] = {.lex_state = 56, .external_lex_state = 32},
  [5023] = {.lex_state = 57, .external_lex_state = 53},
  [5024] = {.lex_state = 58, .external_lex_state = 28},
  [5025] = {.lex_state = 52, .external_lex_state = 39},
  [5026] = {.lex_state = 56, .external_lex_state = 31},
  [5027] = {.lex_state = 56, .external_lex_state = 31},
  [5028] = {.lex_state = 52, .external_lex_state = 38},
  [5029] = {.lex_state = 56, .external_lex_state = 32},
  [5030] = {.lex_state = 56, .external_lex_state = 32},
  [5031] = {.lex_state = 56, .external_lex_state = 32},
  [5032] = {.lex_state = 56, .external_lex_state = 42},
  [5033] = {.lex_state = 57, .external_lex_state = 32},
  [5034] = {.lex_state = 63, .external_lex_state = 36},
  [5035] = {.lex_state = 52, .external_lex_state = 46},
  [5036] = {.lex_state = 58, .external_lex_state = 32},
  [5037] = {.lex_state = 58, .external_lex_state = 47},
  [5038] = {.lex_state = 56, .external_lex_state = 35},
  [5039] = {.lex_state = 63, .external_lex_state = 26},
  [5040] = {.lex_state = 61, .external_lex_state = 32},
  [5041] = {.lex_state = 56, .external_lex_state = 42},
  [5042] = {.lex_state = 61, .external_lex_state = 32},
  [5043] = {.lex_state = 61, .external_lex_state = 51},
  [5044] = {.lex_state = 61, .external_lex_state = 45},
  [5045] = {.lex_state = 52, .external_lex_state = 28},
  [5046] = {.lex_state = 58, .external_lex_state = 37},
  [5047] = {.lex_state = 63, .external_lex_state = 29},
  [5048] = {.lex_state = 56, .external_lex_state = 31},
  [5049] = {.lex_state = 61, .external_lex_state = 45},
  [5050] = {.lex_state = 63, .external_lex_state = 39},
  [5051] = {.lex_state = 57, .external_lex_state = 31},
  [5052] = {.lex_state = 52, .external_lex_state = 28},
  [5053] = {.lex_state = 57, .external_lex_state = 31},
  [5054] = {.lex_state = 52, .external_lex_state = 28},
  [5055] = {.lex_state = 57, .external_lex_state = 31},
  [5056] = {.lex_state = 56, .external_lex_state = 35},
  [5057] = {.lex_state = 61, .external_lex_state = 32},
  [5058] = {.lex_state = 63},
  [5059] = {.lex_state = 56, .external_lex_state = 26},
  [5060] = {.lex_state = 56, .external_lex_state = 43},
  [5061] = {.lex_state = 58, .external_lex_state = 32},
  [5062] = {.lex_state = 58, .external_lex_state = 55},
  [5063] = {.lex_state = 57, .external_lex_state = 51},
  [5064] = {.lex_state = 58, .external_lex_state = 32},
  [5065] = {.lex_state = 58, .external_lex_state = 32},
  [5066] = {.lex_state = 63},
  [5067] = {.lex_state = 58, .external_lex_state = 47},
  [5068] = {.lex_state = 52, .external_lex_state = 41},
  [5069] = {.lex_state = 58, .external_lex_state = 32},
  [5070] = {.lex_state = 52, .external_lex_state = 42},
  [5071] = {.lex_state = 63, .external_lex_state = 52},
  [5072] = {.lex_state = 58, .external_lex_state = 32},
  [5073] = {.lex_state = 52, .external_lex_state = 46},
  [5074] = {.lex_state = 57, .external_lex_state = 53},
  [5075] = {.lex_state = 58, .external_lex_state = 32},
  [5076] = {.lex_state = 63},
  [5077] = {.lex_state = 63, .external_lex_state = 29},
  [5078] = {.lex_state = 57, .external_lex_state = 31},
  [5079] = {.lex_state = 58, .external_lex_state = 37},
  [5080] = {.lex_state = 52, .external_lex_state = 23},
  [5081] = {.lex_state = 63, .external_lex_state = 29},
  [5082] = {.lex_state = 52, .external_lex_state = 56},
  [5083] = {.lex_state = 63, .external_lex_state = 26},
  [5084] = {.lex_state = 58, .external_lex_state = 32},
  [5085] = {.lex_state = 63},
  [5086] = {.lex_state = 59, .external_lex_state = 55},
  [5087] = {.lex_state = 56, .external_lex_state = 35},
  [5088] = {.lex_state = 55, .external_lex_state = 55},
  [5089] = {.lex_state = 57, .external_lex_state = 53},
  [5090] = {.lex_state = 61, .external_lex_state = 53},
  [5091] = {.lex_state = 57, .external_lex_state = 31},
  [5092] = {.lex_state = 63, .external_lex_state = 47},
  [5093] = {.lex_state = 57, .external_lex_state = 32},
  [5094] = {.lex_state = 63, .external_lex_state = 35},
  [5095] = {.lex_state = 57, .external_lex_state = 30},
  [5096] = {.lex_state = 52, .external_lex_state = 34},
  [5097] = {.lex_state = 52, .external_lex_state = 42},
  [5098] = {.lex_state = 61, .external_lex_state = 28},
  [5099] = {.lex_state = 57, .external_lex_state = 30},
  [5100] = {.lex_state = 63, .external_lex_state = 36},
  [5101] = {.lex_state = 57, .external_lex_state = 30},
  [5102] = {.lex_state = 56, .external_lex_state = 35},
  [5103] = {.lex_state = 61, .external_lex_state = 51},
  [5104] = {.lex_state = 63, .external_lex_state = 29},
  [5105] = {.lex_state = 63, .external_lex_state = 28},
  [5106] = {.lex_state = 56, .external_lex_state = 45},
  [5107] = {.lex_state = 63, .external_lex_state = 49},
  [5108] = {.lex_state = 56, .external_lex_state = 37},
  [5109] = {.lex_state = 56, .external_lex_state = 43},
  [5110] = {.lex_state = 57, .external_lex_state = 47},
  [5111] = {.lex_state = 63, .external_lex_state = 27},
  [5112] = {.lex_state = 52, .external_lex_state = 32},
  [5113] = {.lex_state = 57, .external_lex_state = 51},
  [5114] = {.lex_state = 58, .external_lex_state = 36},
  [5115] = {.lex_state = 61, .external_lex_state = 46},
  [5116] = {.lex_state = 61, .external_lex_state = 46},
  [5117] = {.lex_state = 57, .external_lex_state = 30},
  [5118] = {.lex_state = 52, .external_lex_state = 46},
  [5119] = {.lex_state = 56, .external_lex_state = 35},
  [5120] = {.lex_state = 59, .external_lex_state = 35},
  [5121] = {.lex_state = 52, .external_lex_state = 33},
  [5122] = {.lex_state = 57, .external_lex_state = 28},
  [5123] = {.lex_state = 52, .external_lex_state = 33},
  [5124] = {.lex_state = 58, .external_lex_state = 36},
  [5125] = {.lex_state = 56, .external_lex_state = 49},
  [5126] = {.lex_state = 52, .external_lex_state = 45},
  [5127] = {.lex_state = 56, .external_lex_state = 36},
  [5128] = {.lex_state = 52, .external_lex_state = 26},
  [5129] = {.lex_state = 52, .external_lex_state = 31},
  [5130] = {.lex_state = 63, .external_lex_state = 27},
  [5131] = {.lex_state = 63, .external_lex_state = 37},
  [5132] = {.lex_state = 52, .external_lex_state = 26},
  [5133] = {.lex_state = 61, .external_lex_state = 53},
  [5134] = {.lex_state = 52, .external_lex_state = 32},
  [5135] = {.lex_state = 63, .external_lex_state = 29},
  [5136] = {.lex_state = 52, .external_lex_state = 30},
  [5137] = {.lex_state = 61, .external_lex_state = 26},
  [5138] = {.lex_state = 57, .external_lex_state = 32},
  [5139] = {.lex_state = 52, .external_lex_state = 34},
  [5140] = {.lex_state = 52, .external_lex_state = 31},
  [5141] = {.lex_state = 63, .external_lex_state = 26},
  [5142] = {.lex_state = 52, .external_lex_state = 28},
  [5143] = {.lex_state = 61, .external_lex_state = 26},
  [5144] = {.lex_state = 58, .external_lex_state = 27},
  [5145] = {.lex_state = 63, .external_lex_state = 23},
  [5146] = {.lex_state = 63, .external_lex_state = 37},
  [5147] = {.lex_state = 61, .external_lex_state = 36},
  [5148] = {.lex_state = 61, .external_lex_state = 31},
  [5149] = {.lex_state = 58, .external_lex_state = 27},
  [5150] = {.lex_state = 52, .external_lex_state = 30},
  [5151] = {.lex_state = 61, .external_lex_state = 30},
  [5152] = {.lex_state = 52, .external_lex_state = 34},
  [5153] = {.lex_state = 61, .external_lex_state = 35},
  [5154] = {.lex_state = 61, .external_lex_state = 26},
  [5155] = {.lex_state = 56, .external_lex_state = 30},
  [5156] = {.lex_state = 56, .external_lex_state = 43},
  [5157] = {.lex_state = 61, .external_lex_state = 51},
  [5158] = {.lex_state = 52, .external_lex_state = 50},
  [5159] = {.lex_state = 61, .external_lex_state = 36},
  [5160] = {.lex_state = 56, .external_lex_state = 30},
  [5161] = {.lex_state = 61, .external_lex_state = 32},
  [5162] = {.lex_state = 56, .external_lex_state = 35},
  [5163] = {.lex_state = 57, .external_lex_state = 49},
  [5164] = {.lex_state = 63, .external_lex_state = 33},
  [5165] = {.lex_state = 63, .external_lex_state = 29},
  [5166] = {.lex_state = 63, .external_lex_state = 36},
  [5167] = {.lex_state = 58, .external_lex_state = 32},
  [5168] = {.lex_state = 61, .external_lex_state = 27},
  [5169] = {.lex_state = 63, .external_lex_state = 48},
  [5170] = {.lex_state = 63, .external_lex_state = 36},
  [5171] = {.lex_state = 56, .external_lex_state = 43},
  [5172] = {.lex_state = 56, .external_lex_state = 46},
  [5173] = {.lex_state = 61, .external_lex_state = 43},
  [5174] = {.lex_state = 63, .external_lex_state = 35},
  [5175] = {.lex_state = 61, .external_lex_state = 26},
  [5176] = {.lex_state = 61, .external_lex_state = 37},
  [5177] = {.lex_state = 56, .external_lex_state = 46},
  [5178] = {.lex_state = 61, .external_lex_state = 43},
  [5179] = {.lex_state = 61, .external_lex_state = 27},
  [5180] = {.lex_state = 52, .external_lex_state = 45},
  [5181] = {.lex_state = 56, .external_lex_state = 47},
  [5182] = {.lex_state = 57, .external_lex_state = 49},
  [5183] = {.lex_state = 63, .external_lex_state = 48},
  [5184] = {.lex_state = 61, .external_lex_state = 31},
  [5185] = {.lex_state = 52, .external_lex_state = 40},
  [5186] = {.lex_state = 61, .external_lex_state = 31},
  [5187] = {.lex_state = 56, .external_lex_state = 31},
  [5188] = {.lex_state = 63, .external_lex_state = 52},
  [5189] = {.lex_state = 61, .external_lex_state = 31},
  [5190] = {.lex_state = 61, .external_lex_state = 47},
  [5191] = {.lex_state = 58, .external_lex_state = 30},
  [5192] = {.lex_state = 57, .external_lex_state = 32},
  [5193] = {.lex_state = 63, .external_lex_state = 48},
  [5194] = {.lex_state = 56, .external_lex_state = 31},
  [5195] = {.lex_state = 52, .external_lex_state = 50},
  [5196] = {.lex_state = 61, .external_lex_state = 30},
  [5197] = {.lex_state = 57, .external_lex_state = 26},
  [5198] = {.lex_state = 57, .external_lex_state = 30},
  [5199] = {.lex_state = 57, .external_lex_state = 30},
  [5200] = {.lex_state = 58, .external_lex_state = 31},
  [5201] = {.lex_state = 61, .external_lex_state = 49},
  [5202] = {.lex_state = 63, .external_lex_state = 44},
  [5203] = {.lex_state = 61, .external_lex_state = 30},
  [5204] = {.lex_state = 52, .external_lex_state = 38},
  [5205] = {.lex_state = 61, .external_lex_state = 30},
  [5206] = {.lex_state = 61, .external_lex_state = 47},
  [5207] = {.lex_state = 58, .external_lex_state = 28},
  [5208] = {.lex_state = 61, .external_lex_state = 53},
  [5209] = {.lex_state = 63, .external_lex_state = 34},
  [5210] = {.lex_state = 61, .external_lex_state = 37},
  [5211] = {.lex_state = 61, .external_lex_state = 49},
  [5212] = {.lex_state = 58, .external_lex_state = 31},
  [5213] = {.lex_state = 56, .external_lex_state = 45},
  [5214] = {.lex_state = 58, .external_lex_state = 31},
  [5215] = {.lex_state = 58, .external_lex_state = 31},
  [5216] = {.lex_state = 56, .external_lex_state = 35},
  [5217] = {.lex_state = 52, .external_lex_state = 57},
  [5218] = {.lex_state = 58, .external_lex_state = 31},
  [5219] = {.lex_state = 52, .external_lex_state = 52},
  [5220] = {.lex_state = 58, .external_lex_state = 30},
  [5221] = {.lex_state = 56, .external_lex_state = 35},
  [5222] = {.lex_state = 58, .external_lex_state = 31},
  [5223] = {.lex_state = 58, .external_lex_state = 31},
  [5224] = {.lex_state = 58, .external_lex_state = 31},
  [5225] = {.lex_state = 56, .external_lex_state = 35},
  [5226] = {.lex_state = 57, .external_lex_state = 30},
  [5227] = {.lex_state = 63, .external_lex_state = 28},
  [5228] = {.lex_state = 58, .external_lex_state = 45},
  [5229] = {.lex_state = 58, .external_lex_state = 30},
  [5230] = {.lex_state = 58, .external_lex_state = 26},
  [5231] = {.lex_state = 52, .external_lex_state = 41},
  [5232] = {.lex_state = 61, .external_lex_state = 26},
  [5233] = {.lex_state = 63, .external_lex_state = 28},
  [5234] = {.lex_state = 63, .external_lex_state = 52},
  [5235] = {.lex_state = 58, .external_lex_state = 28},
  [5236] = {.lex_state = 58, .external_lex_state = 30},
  [5237] = {.lex_state = 58, .external_lex_state = 30},
  [5238] = {.lex_state = 63, .external_lex_state = 28},
  [5239] = {.lex_state = 58, .external_lex_state = 30},
  [5240] = {.lex_state = 58, .external_lex_state = 30},
  [5241] = {.lex_state = 63, .external_lex_state = 28},
  [5242] = {.lex_state = 58, .external_lex_state = 30},
  [5243] = {.lex_state = 63, .external_lex_state = 29},
  [5244] = {.lex_state = 58, .external_lex_state = 43},
  [5245] = {.lex_state = 57, .external_lex_state = 32},
  [5246] = {.lex_state = 56, .external_lex_state = 35},
  [5247] = {.lex_state = 61, .external_lex_state = 47},
  [5248] = {.lex_state = 55, .external_lex_state = 35},
  [5249] = {.lex_state = 58, .external_lex_state = 47},
  [5250] = {.lex_state = 57, .external_lex_state = 32},
  [5251] = {.lex_state = 58, .external_lex_state = 42},
  [5252] = {.lex_state = 63, .external_lex_state = 27},
  [5253] = {.lex_state = 52, .external_lex_state = 58},
  [5254] = {.lex_state = 56, .external_lex_state = 36},
  [5255] = {.lex_state = 55, .external_lex_state = 35},
  [5256] = {.lex_state = 52, .external_lex_state = 34},
  [5257] = {.lex_state = 57, .external_lex_state = 32},
  [5258] = {.lex_state = 61, .external_lex_state = 49},
  [5259] = {.lex_state = 63, .external_lex_state = 53},
  [5260] = {.lex_state = 55, .external_lex_state = 47},
  [5261] = {.lex_state = 58, .external_lex_state = 32},
  [5262] = {.lex_state = 52, .external_lex_state = 52},
  [5263] = {.lex_state = 58, .external_lex_state = 32},
  [5264] = {.lex_state = 57, .external_lex_state = 32},
  [5265] = {.lex_state = 58, .external_lex_state = 32},
  [5266] = {.lex_state = 56, .external_lex_state = 35},
  [5267] = {.lex_state = 56, .external_lex_state = 36},
  [5268] = {.lex_state = 56, .external_lex_state = 36},
  [5269] = {.lex_state = 63, .external_lex_state = 39},
  [5270] = {.lex_state = 58, .external_lex_state = 47},
  [5271] = {.lex_state = 56, .external_lex_state = 36},
  [5272] = {.lex_state = 56, .external_lex_state = 35},
  [5273] = {.lex_state = 56, .external_lex_state = 36},
  [5274] = {.lex_state = 63, .external_lex_state = 35},
  [5275] = {.lex_state = 52, .external_lex_state = 45},
  [5276] = {.lex_state = 56, .external_lex_state = 36},
  [5277] = {.lex_state = 52, .external_lex_state = 23},
  [5278] = {.lex_state = 63, .external_lex_state = 33},
  [5279] = {.lex_state = 58, .external_lex_state = 35},
  [5280] = {.lex_state = 56, .external_lex_state = 36},
  [5281] = {.lex_state = 63, .external_lex_state = 23},
  [5282] = {.lex_state = 56, .external_lex_state = 36},
  [5283] = {.lex_state = 63, .external_lex_state = 28},
  [5284] = {.lex_state = 58, .external_lex_state = 32},
  [5285] = {.lex_state = 63, .external_lex_state = 37},
  [5286] = {.lex_state = 58, .external_lex_state = 35},
  [5287] = {.lex_state = 52, .external_lex_state = 29},
  [5288] = {.lex_state = 56, .external_lex_state = 35},
  [5289] = {.lex_state = 63, .external_lex_state = 37},
  [5290] = {.lex_state = 57, .external_lex_state = 31},
  [5291] = {.lex_state = 63, .external_lex_state = 27},
  [5292] = {.lex_state = 58, .external_lex_state = 35},
  [5293] = {.lex_state = 63, .external_lex_state = 29},
  [5294] = {.lex_state = 58, .external_lex_state = 31},
  [5295] = {.lex_state = 63, .external_lex_state = 40},
  [5296] = {.lex_state = 63, .external_lex_state = 27},
  [5297] = {.lex_state = 63, .external_lex_state = 29},
  [5298] = {.lex_state = 58, .external_lex_state = 35},
  [5299] = {.lex_state = 58, .external_lex_state = 35},
  [5300] = {.lex_state = 57, .external_lex_state = 31},
  [5301] = {.lex_state = 63, .external_lex_state = 55},
  [5302] = {.lex_state = 63, .external_lex_state = 27},
  [5303] = {.lex_state = 52, .external_lex_state = 40},
  [5304] = {.lex_state = 58, .external_lex_state = 36},
  [5305] = {.lex_state = 63, .external_lex_state = 35},
  [5306] = {.lex_state = 58, .external_lex_state = 35},
  [5307] = {.lex_state = 57, .external_lex_state = 32},
  [5308] = {.lex_state = 52, .external_lex_state = 38},
  [5309] = {.lex_state = 52, .external_lex_state = 47},
  [5310] = {.lex_state = 63, .external_lex_state = 34},
  [5311] = {.lex_state = 56, .external_lex_state = 53},
  [5312] = {.lex_state = 56, .external_lex_state = 55},
  [5313] = {.lex_state = 56, .external_lex_state = 32},
  [5314] = {.lex_state = 57, .external_lex_state = 30},
  [5315] = {.lex_state = 57, .external_lex_state = 30},
  [5316] = {.lex_state = 58, .external_lex_state = 51},
  [5317] = {.lex_state = 58, .external_lex_state = 30},
  [5318] = {.lex_state = 63, .external_lex_state = 29},
  [5319] = {.lex_state = 56, .external_lex_state = 37},
  [5320] = {.lex_state = 58, .external_lex_state = 35},
  [5321] = {.lex_state = 52, .external_lex_state = 47},
  [5322] = {.lex_state = 57, .external_lex_state = 30},
  [5323] = {.lex_state = 56, .external_lex_state = 37},
  [5324] = {.lex_state = 63, .external_lex_state = 29},
  [5325] = {.lex_state = 58, .external_lex_state = 53},
  [5326] = {.lex_state = 57, .external_lex_state = 30},
  [5327] = {.lex_state = 56, .external_lex_state = 36},
  [5328] = {.lex_state = 56, .external_lex_state = 37},
  [5329] = {.lex_state = 57, .external_lex_state = 30},
  [5330] = {.lex_state = 56, .external_lex_state = 37},
  [5331] = {.lex_state = 52, .external_lex_state = 42},
  [5332] = {.lex_state = 56, .external_lex_state = 37},
  [5333] = {.lex_state = 52, .external_lex_state = 35},
  [5334] = {.lex_state = 56, .external_lex_state = 37},
  [5335] = {.lex_state = 56, .external_lex_state = 37},
  [5336] = {.lex_state = 57, .external_lex_state = 31},
  [5337] = {.lex_state = 56, .external_lex_state = 37},
  [5338] = {.lex_state = 52, .external_lex_state = 41},
  [5339] = {.lex_state = 56, .external_lex_state = 27},
  [5340] = {.lex_state = 57, .external_lex_state = 30},
  [5341] = {.lex_state = 52, .external_lex_state = 43},
  [5342] = {.lex_state = 57, .external_lex_state = 30},
  [5343] = {.lex_state = 57, .external_lex_state = 31},
  [5344] = {.lex_state = 63, .external_lex_state = 54},
  [5345] = {.lex_state = 58, .external_lex_state = 37},
  [5346] = {.lex_state = 56, .external_lex_state = 51},
  [5347] = {.lex_state = 63, .external_lex_state = 29},
  [5348] = {.lex_state = 63, .external_lex_state = 54},
  [5349] = {.lex_state = 57, .external_lex_state = 26},
  [5350] = {.lex_state = 57, .external_lex_state = 32},
  [5351] = {.lex_state = 56, .external_lex_state = 28},
  [5352] = {.lex_state = 57, .external_lex_state = 31},
  [5353] = {.lex_state = 56, .external_lex_state = 30},
  [5354] = {.lex_state = 63, .external_lex_state = 54},
  [5355] = {.lex_state = 63, .external_lex_state = 44},
  [5356] = {.lex_state = 56, .external_lex_state = 37},
  [5357] = {.lex_state = 58, .external_lex_state = 36},
  [5358] = {.lex_state = 63, .external_lex_state = 29},
  [5359] = {.lex_state = 52, .external_lex_state = 33},
  [5360] = {.lex_state = 52, .external_lex_state = 33},
  [5361] = {.lex_state = 58, .external_lex_state = 35},
  [5362] = {.lex_state = 57, .external_lex_state = 55},
  [5363] = {.lex_state = 63, .external_lex_state = 50},
  [5364] = {.lex_state = 57, .external_lex_state = 32},
  [5365] = {.lex_state = 57, .external_lex_state = 30},
  [5366] = {.lex_state = 56, .external_lex_state = 32},
  [5367] = {.lex_state = 52, .external_lex_state = 36},
  [5368] = {.lex_state = 52, .external_lex_state = 36},
  [5369] = {.lex_state = 57, .external_lex_state = 32},
  [5370] = {.lex_state = 58, .external_lex_state = 35},
  [5371] = {.lex_state = 63, .external_lex_state = 29},
  [5372] = {.lex_state = 7, .external_lex_state = 47},
  [5373] = {.lex_state = 58, .external_lex_state = 49},
  [5374] = {.lex_state = 63, .external_lex_state = 50},
  [5375] = {.lex_state = 57, .external_lex_state = 32},
  [5376] = {.lex_state = 58, .external_lex_state = 35},
  [5377] = {.lex_state = 57, .external_lex_state = 32},
  [5378] = {.lex_state = 58, .external_lex_state = 35},
  [5379] = {.lex_state = 58, .external_lex_state = 35},
  [5380] = {.lex_state = 56, .external_lex_state = 32},
  [5381] = {.lex_state = 63, .external_lex_state = 50},
  [5382] = {.lex_state = 63, .external_lex_state = 29},
  [5383] = {.lex_state = 57, .external_lex_state = 32},
  [5384] = {.lex_state = 57, .external_lex_state = 30},
  [5385] = {.lex_state = 52, .external_lex_state = 43},
  [5386] = {.lex_state = 52, .external_lex_state = 35},
  [5387] = {.lex_state = 57, .external_lex_state = 31},
  [5388] = {.lex_state = 57, .external_lex_state = 31},
  [5389] = {.lex_state = 57, .external_lex_state = 31},
  [5390] = {.lex_state = 57, .external_lex_state = 30},
  [5391] = {.lex_state = 57, .external_lex_state = 31},
  [5392] = {.lex_state = 56, .external_lex_state = 46},
  [5393] = {.lex_state = 57, .external_lex_state = 31},
  [5394] = {.lex_state = 57, .external_lex_state = 32},
  [5395] = {.lex_state = 52, .external_lex_state = 27},
  [5396] = {.lex_state = 63, .external_lex_state = 29},
  [5397] = {.lex_state = 63, .external_lex_state = 29},
  [5398] = {.lex_state = 57, .external_lex_state = 31},
  [5399] = {.lex_state = 52, .external_lex_state = 37},
  [5400] = {.lex_state = 56, .external_lex_state = 35},
  [5401] = {.lex_state = 52, .external_lex_state = 37},
  [5402] = {.lex_state = 58, .external_lex_state = 31},
  [5403] = {.lex_state = 57, .external_lex_state = 27},
  [5404] = {.lex_state = 63, .external_lex_state = 38},
  [5405] = {.lex_state = 58, .external_lex_state = 31},
  [5406] = {.lex_state = 63, .external_lex_state = 28},
  [5407] = {.lex_state = 58, .external_lex_state = 31},
  [5408] = {.lex_state = 56, .external_lex_state = 46},
  [5409] = {.lex_state = 61, .external_lex_state = 35},
  [5410] = {.lex_state = 61, .external_lex_state = 42},
  [5411] = {.lex_state = 52, .external_lex_state = 27},
  [5412] = {.lex_state = 58, .external_lex_state = 37},
  [5413] = {.lex_state = 61, .external_lex_state = 42},
  [5414] = {.lex_state = 58, .external_lex_state = 35},
  [5415] = {.lex_state = 52, .external_lex_state = 27},
  [5416] = {.lex_state = 52, .external_lex_state = 27},
  [5417] = {.lex_state = 57, .external_lex_state = 31},
  [5418] = {.lex_state = 58, .external_lex_state = 31},
  [5419] = {.lex_state = 56, .external_lex_state = 42},
  [5420] = {.lex_state = 58, .external_lex_state = 46},
  [5421] = {.lex_state = 58, .external_lex_state = 30},
  [5422] = {.lex_state = 58, .external_lex_state = 30},
  [5423] = {.lex_state = 58, .external_lex_state = 30},
  [5424] = {.lex_state = 61, .external_lex_state = 28},
  [5425] = {.lex_state = 52, .external_lex_state = 29},
  [5426] = {.lex_state = 56, .external_lex_state = 42},
  [5427] = {.lex_state = 58, .external_lex_state = 30},
  [5428] = {.lex_state = 60},
  [5429] = {.lex_state = 52, .external_lex_state = 44},
  [5430] = {.lex_state = 56, .external_lex_state = 36},
  [5431] = {.lex_state = 56, .external_lex_state = 36},
  [5432] = {.lex_state = 56, .external_lex_state = 36},
  [5433] = {.lex_state = 52, .external_lex_state = 44},
  [5434] = {.lex_state = 63, .external_lex_state = 27},
  [5435] = {.lex_state = 56, .external_lex_state = 36},
  [5436] = {.lex_state = 56, .external_lex_state = 45},
  [5437] = {.lex_state = 63},
  [5438] = {.lex_state = 56, .external_lex_state = 45},
  [5439] = {.lex_state = 63, .external_lex_state = 51},
  [5440] = {.lex_state = 52, .external_lex_state = 43},
  [5441] = {.lex_state = 56, .external_lex_state = 37},
  [5442] = {.lex_state = 63},
  [5443] = {.lex_state = 56, .external_lex_state = 37},
  [5444] = {.lex_state = 56, .external_lex_state = 37},
  [5445] = {.lex_state = 57, .external_lex_state = 32},
  [5446] = {.lex_state = 56, .external_lex_state = 37},
  [5447] = {.lex_state = 63, .external_lex_state = 57},
  [5448] = {.lex_state = 56, .external_lex_state = 28},
  [5449] = {.lex_state = 56, .external_lex_state = 46},
  [5450] = {.lex_state = 58, .external_lex_state = 31},
  [5451] = {.lex_state = 63, .external_lex_state = 34},
  [5452] = {.lex_state = 63, .external_lex_state = 29},
  [5453] = {.lex_state = 61, .external_lex_state = 53},
  [5454] = {.lex_state = 52, .external_lex_state = 32},
  [5455] = {.lex_state = 63, .external_lex_state = 34},
  [5456] = {.lex_state = 63, .external_lex_state = 29},
  [5457] = {.lex_state = 52, .external_lex_state = 51},
  [5458] = {.lex_state = 61, .external_lex_state = 53},
  [5459] = {.lex_state = 63, .external_lex_state = 34},
  [5460] = {.lex_state = 58, .external_lex_state = 31},
  [5461] = {.lex_state = 52, .external_lex_state = 32},
  [5462] = {.lex_state = 57, .external_lex_state = 27},
  [5463] = {.lex_state = 63, .external_lex_state = 29},
  [5464] = {.lex_state = 52, .external_lex_state = 54},
  [5465] = {.lex_state = 52, .external_lex_state = 32},
  [5466] = {.lex_state = 61, .external_lex_state = 32},
  [5467] = {.lex_state = 58, .external_lex_state = 47},
  [5468] = {.lex_state = 58, .external_lex_state = 47},
  [5469] = {.lex_state = 56, .external_lex_state = 45},
  [5470] = {.lex_state = 63, .external_lex_state = 42},
  [5471] = {.lex_state = 58, .external_lex_state = 47},
  [5472] = {.lex_state = 63, .external_lex_state = 45},
  [5473] = {.lex_state = 63, .external_lex_state = 28},
  [5474] = {.lex_state = 63, .external_lex_state = 45},
  [5475] = {.lex_state = 52, .external_lex_state = 54},
  [5476] = {.lex_state = 57, .external_lex_state = 47},
  [5477] = {.lex_state = 61, .external_lex_state = 27},
  [5478] = {.lex_state = 58, .external_lex_state = 45},
  [5479] = {.lex_state = 58, .external_lex_state = 30},
  [5480] = {.lex_state = 63, .external_lex_state = 32},
  [5481] = {.lex_state = 52, .external_lex_state = 26},
  [5482] = {.lex_state = 58, .external_lex_state = 30},
  [5483] = {.lex_state = 63, .external_lex_state = 43},
  [5484] = {.lex_state = 63, .external_lex_state = 31},
  [5485] = {.lex_state = 61, .external_lex_state = 55},
  [5486] = {.lex_state = 63, .external_lex_state = 32},
  [5487] = {.lex_state = 56, .external_lex_state = 47},
  [5488] = {.lex_state = 52, .external_lex_state = 40},
  [5489] = {.lex_state = 58, .external_lex_state = 49},
  [5490] = {.lex_state = 56, .external_lex_state = 45},
  [5491] = {.lex_state = 61, .external_lex_state = 46},
  [5492] = {.lex_state = 61, .external_lex_state = 27},
  [5493] = {.lex_state = 63, .external_lex_state = 30},
  [5494] = {.lex_state = 63, .external_lex_state = 28},
  [5495] = {.lex_state = 63, .external_lex_state = 43},
  [5496] = {.lex_state = 57, .external_lex_state = 35},
  [5497] = {.lex_state = 52, .external_lex_state = 53},
  [5498] = {.lex_state = 56, .external_lex_state = 45},
  [5499] = {.lex_state = 52, .external_lex_state = 36},
  [5500] = {.lex_state = 55, .external_lex_state = 35},
  [5501] = {.lex_state = 57, .external_lex_state = 35},
  [5502] = {.lex_state = 56, .external_lex_state = 45},
  [5503] = {.lex_state = 63, .external_lex_state = 50},
  [5504] = {.lex_state = 52, .external_lex_state = 28},
  [5505] = {.lex_state = 52, .external_lex_state = 54},
  [5506] = {.lex_state = 56, .external_lex_state = 45},
  [5507] = {.lex_state = 61, .external_lex_state = 51},
  [5508] = {.lex_state = 58, .external_lex_state = 43},
  [5509] = {.lex_state = 61, .external_lex_state = 51},
  [5510] = {.lex_state = 52, .external_lex_state = 45},
  [5511] = {.lex_state = 57, .external_lex_state = 32},
  [5512] = {.lex_state = 54},
  [5513] = {.lex_state = 62, .external_lex_state = 35},
  [5514] = {.lex_state = 57, .external_lex_state = 35},
  [5515] = {.lex_state = 63, .external_lex_state = 29},
  [5516] = {.lex_state = 57, .external_lex_state = 37},
  [5517] = {.lex_state = 52, .external_lex_state = 26},
  [5518] = {.lex_state = 52, .external_lex_state = 45},
  [5519] = {.lex_state = 57, .external_lex_state = 47},
  [5520] = {.lex_state = 57, .external_lex_state = 28},
  [5521] = {.lex_state = 63, .external_lex_state = 29},
  [5522] = {.lex_state = 57, .external_lex_state = 35},
  [5523] = {.lex_state = 63, .external_lex_state = 34},
  [5524] = {.lex_state = 52, .external_lex_state = 46},
  [5525] = {.lex_state = 57, .external_lex_state = 27},
  [5526] = {.lex_state = 56, .external_lex_state = 53},
  [5527] = {.lex_state = 63, .external_lex_state = 42},
  [5528] = {.lex_state = 52, .external_lex_state = 34},
  [5529] = {.lex_state = 52, .external_lex_state = 46},
  [5530] = {.lex_state = 55, .external_lex_state = 35},
  [5531] = {.lex_state = 63, .external_lex_state = 29},
  [5532] = {.lex_state = 61, .external_lex_state = 27},
  [5533] = {.lex_state = 54},
  [5534] = {.lex_state = 57, .external_lex_state = 37},
  [5535] = {.lex_state = 56, .external_lex_state = 47},
  [5536] = {.lex_state = 56, .external_lex_state = 36},
  [5537] = {.lex_state = 56, .external_lex_state = 36},
  [5538] = {.lex_state = 52, .external_lex_state = 38},
  [5539] = {.lex_state = 56, .external_lex_state = 37},
  [5540] = {.lex_state = 63, .external_lex_state = 30},
  [5541] = {.lex_state = 58, .external_lex_state = 35},
  [5542] = {.lex_state = 52, .external_lex_state = 38},
  [5543] = {.lex_state = 57, .external_lex_state = 36},
  [5544] = {.lex_state = 58, .external_lex_state = 35},
  [5545] = {.lex_state = 58, .external_lex_state = 47},
  [5546] = {.lex_state = 63, .external_lex_state = 46},
  [5547] = {.lex_state = 52, .external_lex_state = 24},
  [5548] = {.lex_state = 63, .external_lex_state = 29},
  [5549] = {.lex_state = 63, .external_lex_state = 34},
  [5550] = {.lex_state = 52, .external_lex_state = 28},
  [5551] = {.lex_state = 63, .external_lex_state = 58},
  [5552] = {.lex_state = 52, .external_lex_state = 23},
  [5553] = {.lex_state = 61, .external_lex_state = 55},
  [5554] = {.lex_state = 57, .external_lex_state = 37},
  [5555] = {.lex_state = 56, .external_lex_state = 26},
  [5556] = {.lex_state = 52, .external_lex_state = 24},
  [5557] = {.lex_state = 52, .external_lex_state = 23},
  [5558] = {.lex_state = 63, .external_lex_state = 46},
  [5559] = {.lex_state = 57, .external_lex_state = 37},
  [5560] = {.lex_state = 52, .external_lex_state = 36},
  [5561] = {.lex_state = 61, .external_lex_state = 46},
  [5562] = {.lex_state = 57, .external_lex_state = 37},
  [5563] = {.lex_state = 52, .external_lex_state = 39},
  [5564] = {.lex_state = 63, .external_lex_state = 38},
  [5565] = {.lex_state = 57, .external_lex_state = 37},
  [5566] = {.lex_state = 63, .external_lex_state = 40},
  [5567] = {.lex_state = 63, .external_lex_state = 56},
  [5568] = {.lex_state = 52, .external_lex_state = 24},
  [5569] = {.lex_state = 56, .external_lex_state = 32},
  [5570] = {.lex_state = 56, .external_lex_state = 55},
  [5571] = {.lex_state = 56, .external_lex_state = 51},
  [5572] = {.lex_state = 56, .external_lex_state = 46},
  [5573] = {.lex_state = 52, .external_lex_state = 27},
  [5574] = {.lex_state = 57, .external_lex_state = 37},
  [5575] = {.lex_state = 63, .external_lex_state = 33},
  [5576] = {.lex_state = 63, .external_lex_state = 52},
  [5577] = {.lex_state = 63, .external_lex_state = 32},
  [5578] = {.lex_state = 56, .external_lex_state = 47},
  [5579] = {.lex_state = 57, .external_lex_state = 37},
  [5580] = {.lex_state = 52, .external_lex_state = 40},
  [5581] = {.lex_state = 57, .external_lex_state = 37},
  [5582] = {.lex_state = 63, .external_lex_state = 57},
  [5583] = {.lex_state = 52, .external_lex_state = 56},
  [5584] = {.lex_state = 52, .external_lex_state = 51},
  [5585] = {.lex_state = 63, .external_lex_state = 52},
  [5586] = {.lex_state = 52, .external_lex_state = 57},
  [5587] = {.lex_state = 63, .external_lex_state = 23},
  [5588] = {.lex_state = 52, .external_lex_state = 39},
  [5589] = {.lex_state = 52, .external_lex_state = 37},
  [5590] = {.lex_state = 52, .external_lex_state = 50},
  [5591] = {.lex_state = 52, .external_lex_state = 50},
  [5592] = {.lex_state = 61, .external_lex_state = 28},
  [5593] = {.lex_state = 63, .external_lex_state = 56},
  [5594] = {.lex_state = 63, .external_lex_state = 38},
  [5595] = {.lex_state = 63, .external_lex_state = 50},
  [5596] = {.lex_state = 61, .external_lex_state = 45},
  [5597] = {.lex_state = 63, .external_lex_state = 29},
  [5598] = {.lex_state = 63, .external_lex_state = 40},
  [5599] = {.lex_state = 63, .external_lex_state = 31},
  [5600] = {.lex_state = 63, .external_lex_state = 32},
  [5601] = {.lex_state = 7, .external_lex_state = 47},
  [5602] = {.lex_state = 52, .external_lex_state = 32},
  [5603] = {.lex_state = 63, .external_lex_state = 32},
  [5604] = {.lex_state = 52, .external_lex_state = 33},
  [5605] = {.lex_state = 63, .external_lex_state = 32},
  [5606] = {.lex_state = 63, .external_lex_state = 29},
  [5607] = {.lex_state = 63, .external_lex_state = 29},
  [5608] = {.lex_state = 56, .external_lex_state = 46},
  [5609] = {.lex_state = 57, .external_lex_state = 36},
  [5610] = {.lex_state = 63, .external_lex_state = 29},
  [5611] = {.lex_state = 63, .external_lex_state = 29},
  [5612] = {.lex_state = 57, .external_lex_state = 36},
  [5613] = {.lex_state = 63, .external_lex_state = 31},
  [5614] = {.lex_state = 57, .external_lex_state = 36},
  [5615] = {.lex_state = 52, .external_lex_state = 51},
  [5616] = {.lex_state = 58, .external_lex_state = 46},
  [5617] = {.lex_state = 57, .external_lex_state = 36},
  [5618] = {.lex_state = 56, .external_lex_state = 35},
  [5619] = {.lex_state = 63, .external_lex_state = 29},
  [5620] = {.lex_state = 63, .external_lex_state = 29},
  [5621] = {.lex_state = 63, .external_lex_state = 29},
  [5622] = {.lex_state = 57, .external_lex_state = 36},
  [5623] = {.lex_state = 61, .external_lex_state = 42},
  [5624] = {.lex_state = 52, .external_lex_state = 55},
  [5625] = {.lex_state = 63, .external_lex_state = 29},
  [5626] = {.lex_state = 63, .external_lex_state = 33},
  [5627] = {.lex_state = 57, .external_lex_state = 36},
  [5628] = {.lex_state = 63, .external_lex_state = 29},
  [5629] = {.lex_state = 57, .external_lex_state = 36},
  [5630] = {.lex_state = 52, .external_lex_state = 40},
  [5631] = {.lex_state = 63, .external_lex_state = 29},
  [5632] = {.lex_state = 63, .external_lex_state = 29},
  [5633] = {.lex_state = 56, .external_lex_state = 46},
  [5634] = {.lex_state = 63, .external_lex_state = 29},
  [5635] = {.lex_state = 63, .external_lex_state = 29},
  [5636] = {.lex_state = 63, .external_lex_state = 29},
  [5637] = {.lex_state = 56, .external_lex_state = 46},
  [5638] = {.lex_state = 63, .external_lex_state = 29},
  [5639] = {.lex_state = 56, .external_lex_state = 46},
  [5640] = {.lex_state = 63, .external_lex_state = 29},
  [5641] = {.lex_state = 52, .external_lex_state = 26},
  [5642] = {.lex_state = 63, .external_lex_state = 29},
  [5643] = {.lex_state = 56, .external_lex_state = 46},
  [5644] = {.lex_state = 52, .external_lex_state = 53},
  [5645] = {.lex_state = 56, .external_lex_state = 31},
  [5646] = {.lex_state = 58, .external_lex_state = 42},
  [5647] = {.lex_state = 58, .external_lex_state = 42},
  [5648] = {.lex_state = 52, .external_lex_state = 27},
  [5649] = {.lex_state = 63, .external_lex_state = 29},
  [5650] = {.lex_state = 55, .external_lex_state = 35},
  [5651] = {.lex_state = 56, .external_lex_state = 46},
  [5652] = {.lex_state = 61, .external_lex_state = 47},
  [5653] = {.lex_state = 58, .external_lex_state = 28},
  [5654] = {.lex_state = 56, .external_lex_state = 46},
  [5655] = {.lex_state = 63, .external_lex_state = 29},
  [5656] = {.lex_state = 61, .external_lex_state = 32},
  [5657] = {.lex_state = 63, .external_lex_state = 29},
  [5658] = {.lex_state = 56, .external_lex_state = 49},
  [5659] = {.lex_state = 63, .external_lex_state = 33},
  [5660] = {.lex_state = 57, .external_lex_state = 36},
  [5661] = {.lex_state = 56, .external_lex_state = 45},
  [5662] = {.lex_state = 56, .external_lex_state = 49},
  [5663] = {.lex_state = 61, .external_lex_state = 28},
  [5664] = {.lex_state = 63, .external_lex_state = 27},
  [5665] = {.lex_state = 61, .external_lex_state = 28},
  [5666] = {.lex_state = 63, .external_lex_state = 29},
  [5667] = {.lex_state = 57, .external_lex_state = 37},
  [5668] = {.lex_state = 56, .external_lex_state = 27},
  [5669] = {.lex_state = 63, .external_lex_state = 29},
  [5670] = {.lex_state = 52, .external_lex_state = 52},
  [5671] = {.lex_state = 52, .external_lex_state = 52},
  [5672] = {.lex_state = 56, .external_lex_state = 46},
  [5673] = {.lex_state = 63, .external_lex_state = 41},
  [5674] = {.lex_state = 52, .external_lex_state = 35},
  [5675] = {.lex_state = 61, .external_lex_state = 26},
  [5676] = {.lex_state = 58, .external_lex_state = 47},
  [5677] = {.lex_state = 57, .external_lex_state = 37},
  [5678] = {.lex_state = 57, .external_lex_state = 37},
  [5679] = {.lex_state = 62, .external_lex_state = 35},
  [5680] = {.lex_state = 52, .external_lex_state = 26},
  [5681] = {.lex_state = 52, .external_lex_state = 35},
  [5682] = {.lex_state = 56, .external_lex_state = 37},
  [5683] = {.lex_state = 63, .external_lex_state = 29},
  [5684] = {.lex_state = 61, .external_lex_state = 26},
  [5685] = {.lex_state = 52, .external_lex_state = 35},
  [5686] = {.lex_state = 52, .external_lex_state = 37},
  [5687] = {.lex_state = 56, .external_lex_state = 37},
  [5688] = {.lex_state = 63, .external_lex_state = 29},
  [5689] = {.lex_state = 61, .external_lex_state = 47},
  [5690] = {.lex_state = 52, .external_lex_state = 26},
  [5691] = {.lex_state = 55, .external_lex_state = 35},
  [5692] = {.lex_state = 57, .external_lex_state = 31},
  [5693] = {.lex_state = 52},
  [5694] = {.lex_state = 61, .external_lex_state = 35},
  [5695] = {.lex_state = 56, .external_lex_state = 46},
  [5696] = {.lex_state = 55, .external_lex_state = 55},
  [5697] = {.lex_state = 61, .external_lex_state = 45},
  [5698] = {.lex_state = 52, .external_lex_state = 53},
  [5699] = {.lex_state = 56, .external_lex_state = 46},
  [5700] = {.lex_state = 58, .external_lex_state = 45},
  [5701] = {.lex_state = 58, .external_lex_state = 45},
  [5702] = {.lex_state = 56, .external_lex_state = 53},
  [5703] = {.lex_state = 56, .external_lex_state = 43},
  [5704] = {.lex_state = 56, .external_lex_state = 46},
  [5705] = {.lex_state = 57, .external_lex_state = 35},
  [5706] = {.lex_state = 56, .external_lex_state = 53},
  [5707] = {.lex_state = 63, .external_lex_state = 27},
  [5708] = {.lex_state = 57, .external_lex_state = 36},
  [5709] = {.lex_state = 61, .external_lex_state = 28},
  [5710] = {.lex_state = 56, .external_lex_state = 51},
  [5711] = {.lex_state = 57, .external_lex_state = 36},
  [5712] = {.lex_state = 55, .external_lex_state = 47},
  [5713] = {.lex_state = 56, .external_lex_state = 51},
  [5714] = {.lex_state = 61, .external_lex_state = 27},
  [5715] = {.lex_state = 63, .external_lex_state = 58},
  [5716] = {.lex_state = 57, .external_lex_state = 28},
  [5717] = {.lex_state = 58, .external_lex_state = 46},
  [5718] = {.lex_state = 52, .external_lex_state = 38},
  [5719] = {.lex_state = 56, .external_lex_state = 42},
  [5720] = {.lex_state = 57, .external_lex_state = 35},
  [5721] = {.lex_state = 63, .external_lex_state = 58},
  [5722] = {.lex_state = 52, .external_lex_state = 39},
  [5723] = {.lex_state = 61, .external_lex_state = 42},
  [5724] = {.lex_state = 58, .external_lex_state = 53},
  [5725] = {.lex_state = 52, .external_lex_state = 39},
  [5726] = {.lex_state = 58, .external_lex_state = 46},
  [5727] = {.lex_state = 63, .external_lex_state = 29},
  [5728] = {.lex_state = 52, .external_lex_state = 31},
  [5729] = {.lex_state = 63, .external_lex_state = 34},
  [5730] = {.lex_state = 56, .external_lex_state = 43},
  [5731] = {.lex_state = 63, .external_lex_state = 27},
  [5732] = {.lex_state = 56, .external_lex_state = 42},
  [5733] = {.lex_state = 56, .external_lex_state = 42},
  [5734] = {.lex_state = 56, .external_lex_state = 42},
  [5735] = {.lex_state = 58, .external_lex_state = 37},
  [5736] = {.lex_state = 58, .external_lex_state = 37},
  [5737] = {.lex_state = 58, .external_lex_state = 37},
  [5738] = {.lex_state = 63, .external_lex_state = 29},
  [5739] = {.lex_state = 57, .external_lex_state = 55},
  [5740] = {.lex_state = 58, .external_lex_state = 37},
  [5741] = {.lex_state = 63, .external_lex_state = 29},
  [5742] = {.lex_state = 52, .external_lex_state = 55},
  [5743] = {.lex_state = 63, .external_lex_state = 29},
  [5744] = {.lex_state = 63, .external_lex_state = 29},
  [5745] = {.lex_state = 52, .external_lex_state = 55},
  [5746] = {.lex_state = 56, .external_lex_state = 51},
  [5747] = {.lex_state = 63, .external_lex_state = 56},
  [5748] = {.lex_state = 63, .external_lex_state = 34},
  [5749] = {.lex_state = 56, .external_lex_state = 43},
  [5750] = {.lex_state = 52, .external_lex_state = 49},
  [5751] = {.lex_state = 63, .external_lex_state = 44},
  [5752] = {.lex_state = 63, .external_lex_state = 46},
  [5753] = {.lex_state = 63, .external_lex_state = 28},
  [5754] = {.lex_state = 57, .external_lex_state = 36},
  [5755] = {.lex_state = 56, .external_lex_state = 26},
  [5756] = {.lex_state = 63, .external_lex_state = 29},
  [5757] = {.lex_state = 63, .external_lex_state = 29},
  [5758] = {.lex_state = 52, .external_lex_state = 47},
  [5759] = {.lex_state = 56, .external_lex_state = 42},
  [5760] = {.lex_state = 56, .external_lex_state = 43},
  [5761] = {.lex_state = 63, .external_lex_state = 29},
  [5762] = {.lex_state = 58, .external_lex_state = 36},
  [5763] = {.lex_state = 52, .external_lex_state = 57},
  [5764] = {.lex_state = 58, .external_lex_state = 36},
  [5765] = {.lex_state = 58, .external_lex_state = 36},
  [5766] = {.lex_state = 63, .external_lex_state = 30},
  [5767] = {.lex_state = 63, .external_lex_state = 30},
  [5768] = {.lex_state = 63, .external_lex_state = 29},
  [5769] = {.lex_state = 58, .external_lex_state = 36},
  [5770] = {.lex_state = 58, .external_lex_state = 47},
  [5771] = {.lex_state = 63, .external_lex_state = 41},
  [5772] = {.lex_state = 56, .external_lex_state = 43},
  [5773] = {.lex_state = 56, .external_lex_state = 46},
  [5774] = {.lex_state = 63, .external_lex_state = 30},
  [5775] = {.lex_state = 56, .external_lex_state = 26},
  [5776] = {.lex_state = 63, .external_lex_state = 29},
  [5777] = {.lex_state = 55, .external_lex_state = 55},
  [5778] = {.lex_state = 56, .external_lex_state = 43},
  [5779] = {.lex_state = 52, .external_lex_state = 30},
  [5780] = {.lex_state = 55, .external_lex_state = 55},
  [5781] = {.lex_state = 63, .external_lex_state = 33},
  [5782] = {.lex_state = 52, .external_lex_state = 48},
  [5783] = {.lex_state = 56, .external_lex_state = 43},
  [5784] = {.lex_state = 61, .external_lex_state = 27},
  [5785] = {.lex_state = 58, .external_lex_state = 26},
  [5786] = {.lex_state = 59, .external_lex_state = 55},
  [5787] = {.lex_state = 63, .external_lex_state = 29},
  [5788] = {.lex_state = 57, .external_lex_state = 35},
  [5789] = {.lex_state = 52, .external_lex_state = 40},
  [5790] = {.lex_state = 52, .external_lex_state = 48},
  [5791] = {.lex_state = 63, .external_lex_state = 29},
  [5792] = {.lex_state = 56, .external_lex_state = 43},
  [5793] = {.lex_state = 56, .external_lex_state = 43},
  [5794] = {.lex_state = 52, .external_lex_state = 31},
  [5795] = {.lex_state = 52, .external_lex_state = 39},
  [5796] = {.lex_state = 56, .external_lex_state = 43},
  [5797] = {.lex_state = 56, .external_lex_state = 43},
  [5798] = {.lex_state = 52, .external_lex_state = 31},
  [5799] = {.lex_state = 52, .external_lex_state = 31},
  [5800] = {.lex_state = 52, .external_lex_state = 34},
  [5801] = {.lex_state = 58, .external_lex_state = 43},
  [5802] = {.lex_state = 56, .external_lex_state = 53},
  [5803] = {.lex_state = 52, .external_lex_state = 33},
  [5804] = {.lex_state = 58, .external_lex_state = 42},
  [5805] = {.lex_state = 61, .external_lex_state = 36},
  [5806] = {.lex_state = 58, .external_lex_state = 43},
  [5807] = {.lex_state = 57, .external_lex_state = 37},
  [5808] = {.lex_state = 63, .external_lex_state = 34},
  [5809] = {.lex_state = 52, .external_lex_state = 42},
  [5810] = {.lex_state = 63, .external_lex_state = 31},
  [5811] = {.lex_state = 52, .external_lex_state = 42},
  [5812] = {.lex_state = 59, .external_lex_state = 35},
  [5813] = {.lex_state = 57, .external_lex_state = 35},
  [5814] = {.lex_state = 58, .external_lex_state = 43},
  [5815] = {.lex_state = 57, .external_lex_state = 37},
  [5816] = {.lex_state = 57, .external_lex_state = 37},
  [5817] = {.lex_state = 57, .external_lex_state = 37},
  [5818] = {.lex_state = 63, .external_lex_state = 31},
  [5819] = {.lex_state = 56, .external_lex_state = 43},
  [5820] = {.lex_state = 62, .external_lex_state = 35},
  [5821] = {.lex_state = 57, .external_lex_state = 35},
  [5822] = {.lex_state = 56, .external_lex_state = 42},
  [5823] = {.lex_state = 63, .external_lex_state = 33},
  [5824] = {.lex_state = 63, .external_lex_state = 33},
  [5825] = {.lex_state = 55, .external_lex_state = 35},
  [5826] = {.lex_state = 63, .external_lex_state = 31},
  [5827] = {.lex_state = 63, .external_lex_state = 29},
  [5828] = {.lex_state = 56, .external_lex_state = 43},
  [5829] = {.lex_state = 61, .external_lex_state = 43},
  [5830] = {.lex_state = 52, .external_lex_state = 30},
  [5831] = {.lex_state = 56, .external_lex_state = 49},
  [5832] = {.lex_state = 52, .external_lex_state = 35},
  [5833] = {.lex_state = 63, .external_lex_state = 34},
  [5834] = {.lex_state = 56, .external_lex_state = 26},
  [5835] = {.lex_state = 57, .external_lex_state = 37},
  [5836] = {.lex_state = 56, .external_lex_state = 47},
  [5837] = {.lex_state = 56, .external_lex_state = 42},
  [5838] = {.lex_state = 63, .external_lex_state = 31},
  [5839] = {.lex_state = 57, .external_lex_state = 36},
  [5840] = {.lex_state = 52, .external_lex_state = 30},
  [5841] = {.lex_state = 56, .external_lex_state = 42},
  [5842] = {.lex_state = 63, .external_lex_state = 33},
  [5843] = {.lex_state = 57, .external_lex_state = 36},
  [5844] = {.lex_state = 52, .external_lex_state = 30},
  [5845] = {.lex_state = 57, .external_lex_state = 36},
  [5846] = {.lex_state = 52, .external_lex_state = 38},
  [5847] = {.lex_state = 58, .external_lex_state = 55},
  [5848] = {.lex_state = 58, .external_lex_state = 51},
  [5849] = {.lex_state = 63, .external_lex_state = 29},
  [5850] = {.lex_state = 61, .external_lex_state = 49},
  [5851] = {.lex_state = 62, .external_lex_state = 55},
  [5852] = {.lex_state = 56, .external_lex_state = 42},
  [5853] = {.lex_state = 58, .external_lex_state = 36},
  [5854] = {.lex_state = 63, .external_lex_state = 45},
  [5855] = {.lex_state = 61, .external_lex_state = 49},
  [5856] = {.lex_state = 62, .external_lex_state = 55},
  [5857] = {.lex_state = 63, .external_lex_state = 34},
  [5858] = {.lex_state = 61, .external_lex_state = 29},
  [5859] = {.lex_state = 57, .external_lex_state = 35},
  [5860] = {.lex_state = 56, .external_lex_state = 42},
  [5861] = {.lex_state = 57, .external_lex_state = 35},
  [5862] = {.lex_state = 58, .external_lex_state = 37},
  [5863] = {.lex_state = 52, .external_lex_state = 47},
  [5864] = {.lex_state = 63, .external_lex_state = 34},
  [5865] = {.lex_state = 63, .external_lex_state = 29},
  [5866] = {.lex_state = 56, .external_lex_state = 45},
  [5867] = {.lex_state = 52, .external_lex_state = 56},
  [5868] = {.lex_state = 57, .external_lex_state = 36},
  [5869] = {.lex_state = 55, .external_lex_state = 55},
  [5870] = {.lex_state = 56, .external_lex_state = 42},
  [5871] = {.lex_state = 56, .external_lex_state = 42},
  [5872] = {.lex_state = 63, .external_lex_state = 34},
  [5873] = {.lex_state = 52, .external_lex_state = 48},
  [5874] = {.lex_state = 58, .external_lex_state = 42},
  [5875] = {.lex_state = 56, .external_lex_state = 42},
  [5876] = {.lex_state = 56, .external_lex_state = 45},
  [5877] = {.lex_state = 56, .external_lex_state = 36},
  [5878] = {.lex_state = 56, .external_lex_state = 45},
  [5879] = {.lex_state = 61, .external_lex_state = 36},
  [5880] = {.lex_state = 63, .external_lex_state = 34},
  [5881] = {.lex_state = 63, .external_lex_state = 30},
  [5882] = {.lex_state = 56, .external_lex_state = 45},
  [5883] = {.lex_state = 57, .external_lex_state = 35},
  [5884] = {.lex_state = 58, .external_lex_state = 45},
  [5885] = {.lex_state = 52},
  [5886] = {.lex_state = 63, .external_lex_state = 29},
  [5887] = {.lex_state = 61, .external_lex_state = 31},
  [5888] = {.lex_state = 57, .external_lex_state = 35},
  [5889] = {.lex_state = 57, .external_lex_state = 35},
  [5890] = {.lex_state = 56, .external_lex_state = 45},
  [5891] = {.lex_state = 63, .external_lex_state = 34},
  [5892] = {.lex_state = 56, .external_lex_state = 45},
  [5893] = {.lex_state = 52, .external_lex_state = 49},
  [5894] = {.lex_state = 57, .external_lex_state = 35},
  [5895] = {.lex_state = 61, .external_lex_state = 36},
  [5896] = {.lex_state = 58, .external_lex_state = 47},
  [5897] = {.lex_state = 56, .external_lex_state = 35},
  [5898] = {.lex_state = 63, .external_lex_state = 29},
  [5899] = {.lex_state = 61, .external_lex_state = 36},
  [5900] = {.lex_state = 56, .external_lex_state = 43},
  [5901] = {.lex_state = 56, .external_lex_state = 45},
  [5902] = {.lex_state = 63, .external_lex_state = 29},
  [5903] = {.lex_state = 57, .external_lex_state = 35},
  [5904] = {.lex_state = 63, .external_lex_state = 33},
  [5905] = {.lex_state = 59, .external_lex_state = 35},
  [5906] = {.lex_state = 63, .external_lex_state = 45},
  [5907] = {.lex_state = 63, .external_lex_state = 57},
  [5908] = {.lex_state = 58, .external_lex_state = 36},
  [5909] = {.lex_state = 58, .external_lex_state = 37},
  [5910] = {.lex_state = 63, .external_lex_state = 34},
  [5911] = {.lex_state = 58, .external_lex_state = 36},
  [5912] = {.lex_state = 58, .external_lex_state = 36},
  [5913] = {.lex_state = 63, .external_lex_state = 33},
  [5914] = {.lex_state = 56, .external_lex_state = 45},
  [5915] = {.lex_state = 63, .external_lex_state = 34},
  [5916] = {.lex_state = 63, .external_lex_state = 34},
  [5917] = {.lex_state = 58, .external_lex_state = 37},
  [5918] = {.lex_state = 58, .external_lex_state = 36},
  [5919] = {.lex_state = 61, .external_lex_state = 55},
  [5920] = {.lex_state = 58, .external_lex_state = 36},
  [5921] = {.lex_state = 57, .external_lex_state = 35},
  [5922] = {.lex_state = 58, .external_lex_state = 37},
  [5923] = {.lex_state = 56, .external_lex_state = 42},
  [5924] = {.lex_state = 58, .external_lex_state = 36},
  [5925] = {.lex_state = 58, .external_lex_state = 47},
  [5926] = {.lex_state = 57, .external_lex_state = 55},
  [5927] = {.lex_state = 58, .external_lex_state = 36},
  [5928] = {.lex_state = 58, .external_lex_state = 37},
  [5929] = {.lex_state = 56, .external_lex_state = 35},
  [5930] = {.lex_state = 52, .external_lex_state = 43},
  [5931] = {.lex_state = 58, .external_lex_state = 32},
  [5932] = {.lex_state = 61, .external_lex_state = 43},
  [5933] = {.lex_state = 63, .external_lex_state = 33},
  [5934] = {.lex_state = 58, .external_lex_state = 37},
  [5935] = {.lex_state = 63, .external_lex_state = 33},
  [5936] = {.lex_state = 58, .external_lex_state = 37},
  [5937] = {.lex_state = 58, .external_lex_state = 27},
  [5938] = {.lex_state = 63, .external_lex_state = 33},
  [5939] = {.lex_state = 52, .external_lex_state = 43},
  [5940] = {.lex_state = 61, .external_lex_state = 30},
  [5941] = {.lex_state = 58, .external_lex_state = 37},
  [5942] = {.lex_state = 58, .external_lex_state = 32},
  [5943] = {.lex_state = 61, .external_lex_state = 28},
  [5944] = {.lex_state = 58, .external_lex_state = 47},
  [5945] = {.lex_state = 57, .external_lex_state = 36},
  [5946] = {.lex_state = 63, .external_lex_state = 55},
  [5947] = {.lex_state = 52},
  [5948] = {.lex_state = 58, .external_lex_state = 47},
  [5949] = {.lex_state = 61, .external_lex_state = 30},
  [5950] = {.lex_state = 63, .external_lex_state = 33},
  [5951] = {.lex_state = 58, .external_lex_state = 47},
  [5952] = {.lex_state = 63, .external_lex_state = 43},
  [5953] = {.lex_state = 61, .external_lex_state = 37},
  [5954] = {.lex_state = 58, .external_lex_state = 47},
  [5955] = {.lex_state = 58, .external_lex_state = 46},
  [5956] = {.lex_state = 63, .external_lex_state = 33},
  [5957] = {.lex_state = 63, .external_lex_state = 42},
  [5958] = {.lex_state = 63, .external_lex_state = 42},
  [5959] = {.lex_state = 63, .external_lex_state = 43},
  [5960] = {.lex_state = 61, .external_lex_state = 35},
  [5961] = {.lex_state = 61, .external_lex_state = 31},
  [5962] = {.lex_state = 52, .external_lex_state = 49},
  [5963] = {.lex_state = 63, .external_lex_state = 33},
  [5964] = {.lex_state = 63, .external_lex_state = 29},
  [5965] = {.lex_state = 61, .external_lex_state = 35},
  [5966] = {.lex_state = 61, .external_lex_state = 37},
  [5967] = {.lex_state = 61, .external_lex_state = 37},
  [5968] = {.lex_state = 63, .external_lex_state = 33},
  [5969] = {.lex_state = 58, .external_lex_state = 47},
  [5970] = {.lex_state = 63, .external_lex_state = 47},
  [5971] = {.lex_state = 63, .external_lex_state = 46},
  [5972] = {.lex_state = 58, .external_lex_state = 37},
  [5973] = {.lex_state = 62, .external_lex_state = 55},
  [5974] = {.lex_state = 61, .external_lex_state = 35},
  [5975] = {.lex_state = 58, .external_lex_state = 36},
  [5976] = {.lex_state = 63, .external_lex_state = 32},
  [5977] = {.lex_state = 61, .external_lex_state = 37},
  [5978] = {.lex_state = 56, .external_lex_state = 49},
  [5979] = {.lex_state = 63, .external_lex_state = 33},
  [5980] = {.lex_state = 52, .external_lex_state = 46},
  [5981] = {.lex_state = 55, .external_lex_state = 55},
  [5982] = {.lex_state = 63, .external_lex_state = 33},
  [5983] = {.lex_state = 63, .external_lex_state = 33},
  [5984] = {.lex_state = 63, .external_lex_state = 34},
  [5985] = {.lex_state = 52, .external_lex_state = 36},
  [5986] = {.lex_state = 63, .external_lex_state = 51},
  [5987] = {.lex_state = 52, .external_lex_state = 27},
  [5988] = {.lex_state = 55, .external_lex_state = 55},
  [5989] = {.lex_state = 56, .external_lex_state = 26},
  [5990] = {.lex_state = 58, .external_lex_state = 49},
  [5991] = {.lex_state = 63, .external_lex_state = 38},
  [5992] = {.lex_state = 55, .external_lex_state = 55},
  [5993] = {.lex_state = 55, .external_lex_state = 55},
  [5994] = {.lex_state = 52, .external_lex_state = 28},
  [5995] = {.lex_state = 55, .external_lex_state = 35},
  [5996] = {.lex_state = 57, .external_lex_state = 46},
  [5997] = {.lex_state = 58, .external_lex_state = 28},
  [5998] = {.lex_state = 52, .external_lex_state = 32},
  [5999] = {.lex_state = 63, .external_lex_state = 33},
  [6000] = {.lex_state = 63, .external_lex_state = 33},
  [6001] = {.lex_state = 63, .external_lex_state = 39},
  [6002] = {.lex_state = 55, .external_lex_state = 35},
  [6003] = {.lex_state = 63, .external_lex_state = 33},
  [6004] = {.lex_state = 55, .external_lex_state = 55},
  [6005] = {.lex_state = 63, .external_lex_state = 33},
  [6006] = {.lex_state = 63, .external_lex_state = 51},
  [6007] = {.lex_state = 55, .external_lex_state = 55},
  [6008] = {.lex_state = 63, .external_lex_state = 33},
  [6009] = {.lex_state = 61, .external_lex_state = 46},
  [6010] = {.lex_state = 61, .external_lex_state = 31},
  [6011] = {.lex_state = 56, .external_lex_state = 27},
  [6012] = {.lex_state = 52, .external_lex_state = 49},
  [6013] = {.lex_state = 63, .external_lex_state = 52},
  [6014] = {.lex_state = 55, .external_lex_state = 55},
  [6015] = {.lex_state = 63, .external_lex_state = 33},
  [6016] = {.lex_state = 63, .external_lex_state = 33},
  [6017] = {.lex_state = 55, .external_lex_state = 55},
  [6018] = {.lex_state = 63, .external_lex_state = 33},
  [6019] = {.lex_state = 61, .external_lex_state = 51},
  [6020] = {.lex_state = 63, .external_lex_state = 36},
  [6021] = {.lex_state = 61, .external_lex_state = 30},
  [6022] = {.lex_state = 52, .external_lex_state = 49},
  [6023] = {.lex_state = 57, .external_lex_state = 42},
  [6024] = {.lex_state = 55, .external_lex_state = 35},
  [6025] = {.lex_state = 63, .external_lex_state = 33},
  [6026] = {.lex_state = 56, .external_lex_state = 28},
  [6027] = {.lex_state = 56, .external_lex_state = 26},
  [6028] = {.lex_state = 56, .external_lex_state = 26},
  [6029] = {.lex_state = 52, .external_lex_state = 27},
  [6030] = {.lex_state = 55, .external_lex_state = 35},
  [6031] = {.lex_state = 58, .external_lex_state = 45},
  [6032] = {.lex_state = 63, .external_lex_state = 38},
  [6033] = {.lex_state = 63, .external_lex_state = 33},
  [6034] = {.lex_state = 56, .external_lex_state = 26},
  [6035] = {.lex_state = 63, .external_lex_state = 33},
  [6036] = {.lex_state = 63, .external_lex_state = 34},
  [6037] = {.lex_state = 61, .external_lex_state = 30},
  [6038] = {.lex_state = 63, .external_lex_state = 33},
  [6039] = {.lex_state = 56, .external_lex_state = 26},
  [6040] = {.lex_state = 58, .external_lex_state = 55},
  [6041] = {.lex_state = 63, .external_lex_state = 33},
  [6042] = {.lex_state = 52, .external_lex_state = 36},
  [6043] = {.lex_state = 7, .external_lex_state = 47},
  [6044] = {.lex_state = 52, .external_lex_state = 58},
  [6045] = {.lex_state = 56, .external_lex_state = 26},
  [6046] = {.lex_state = 55, .external_lex_state = 35},
  [6047] = {.lex_state = 56, .external_lex_state = 26},
  [6048] = {.lex_state = 58, .external_lex_state = 45},
  [6049] = {.lex_state = 56, .external_lex_state = 26},
  [6050] = {.lex_state = 58, .external_lex_state = 45},
  [6051] = {.lex_state = 55, .external_lex_state = 35},
  [6052] = {.lex_state = 58, .external_lex_state = 45},
  [6053] = {.lex_state = 63, .external_lex_state = 33},
  [6054] = {.lex_state = 52, .external_lex_state = 36},
  [6055] = {.lex_state = 52, .external_lex_state = 46},
  [6056] = {.lex_state = 55, .external_lex_state = 35},
  [6057] = {.lex_state = 63, .external_lex_state = 26},
  [6058] = {.lex_state = 56, .external_lex_state = 47},
  [6059] = {.lex_state = 63, .external_lex_state = 38},
  [6060] = {.lex_state = 52, .external_lex_state = 36},
  [6061] = {.lex_state = 61, .external_lex_state = 53},
  [6062] = {.lex_state = 63, .external_lex_state = 40},
  [6063] = {.lex_state = 61, .external_lex_state = 31},
  [6064] = {.lex_state = 63, .external_lex_state = 33},
  [6065] = {.lex_state = 55, .external_lex_state = 35},
  [6066] = {.lex_state = 59, .external_lex_state = 55},
  [6067] = {.lex_state = 57, .external_lex_state = 45},
  [6068] = {.lex_state = 56, .external_lex_state = 53},
  [6069] = {.lex_state = 59, .external_lex_state = 35},
  [6070] = {.lex_state = 57, .external_lex_state = 42},
  [6071] = {.lex_state = 63, .external_lex_state = 40},
  [6072] = {.lex_state = 57, .external_lex_state = 42},
  [6073] = {.lex_state = 56, .external_lex_state = 42},
  [6074] = {.lex_state = 61, .external_lex_state = 27},
  [6075] = {.lex_state = 57, .external_lex_state = 42},
  [6076] = {.lex_state = 56, .external_lex_state = 42},
  [6077] = {.lex_state = 57, .external_lex_state = 42},
  [6078] = {.lex_state = 57, .external_lex_state = 45},
  [6079] = {.lex_state = 61, .external_lex_state = 31},
  [6080] = {.lex_state = 58, .external_lex_state = 42},
  [6081] = {.lex_state = 55, .external_lex_state = 35},
  [6082] = {.lex_state = 56, .external_lex_state = 49},
  [6083] = {.lex_state = 61, .external_lex_state = 51},
  [6084] = {.lex_state = 61, .external_lex_state = 31},
  [6085] = {.lex_state = 61, .external_lex_state = 27},
  [6086] = {.lex_state = 57, .external_lex_state = 42},
  [6087] = {.lex_state = 57, .external_lex_state = 42},
  [6088] = {.lex_state = 63, .external_lex_state = 48},
  [6089] = {.lex_state = 56, .external_lex_state = 28},
  [6090] = {.lex_state = 63, .external_lex_state = 49},
  [6091] = {.lex_state = 63, .external_lex_state = 53},
  [6092] = {.lex_state = 63, .external_lex_state = 33},
  [6093] = {.lex_state = 57, .external_lex_state = 45},
  [6094] = {.lex_state = 58, .external_lex_state = 37},
  [6095] = {.lex_state = 61, .external_lex_state = 43},
  [6096] = {.lex_state = 57, .external_lex_state = 45},
  [6097] = {.lex_state = 57, .external_lex_state = 42},
  [6098] = {.lex_state = 58, .external_lex_state = 37},
  [6099] = {.lex_state = 63, .external_lex_state = 33},
  [6100] = {.lex_state = 57, .external_lex_state = 43},
  [6101] = {.lex_state = 61, .external_lex_state = 43},
  [6102] = {.lex_state = 63, .external_lex_state = 40},
  [6103] = {.lex_state = 63, .external_lex_state = 40},
  [6104] = {.lex_state = 57, .external_lex_state = 45},
  [6105] = {.lex_state = 57, .external_lex_state = 43},
  [6106] = {.lex_state = 56, .external_lex_state = 53},
  [6107] = {.lex_state = 52, .external_lex_state = 32},
  [6108] = {.lex_state = 7, .external_lex_state = 47},
  [6109] = {.lex_state = 52, .external_lex_state = 37},
  [6110] = {.lex_state = 57, .external_lex_state = 46},
  [6111] = {.lex_state = 63, .external_lex_state = 48},
  [6112] = {.lex_state = 63, .external_lex_state = 53},
  [6113] = {.lex_state = 56, .external_lex_state = 53},
  [6114] = {.lex_state = 61, .external_lex_state = 43},
  [6115] = {.lex_state = 63, .external_lex_state = 34},
  [6116] = {.lex_state = 56, .external_lex_state = 53},
  [6117] = {.lex_state = 63, .external_lex_state = 38},
  [6118] = {.lex_state = 56, .external_lex_state = 45},
  [6119] = {.lex_state = 63, .external_lex_state = 36},
  [6120] = {.lex_state = 56, .external_lex_state = 27},
  [6121] = {.lex_state = 63, .external_lex_state = 38},
  [6122] = {.lex_state = 56, .external_lex_state = 51},
  [6123] = {.lex_state = 52, .external_lex_state = 45},
  [6124] = {.lex_state = 52, .external_lex_state = 53},
  [6125] = {.lex_state = 61, .external_lex_state = 26},
  [6126] = {.lex_state = 63, .external_lex_state = 33},
  [6127] = {.lex_state = 56, .external_lex_state = 28},
  [6128] = {.lex_state = 57, .external_lex_state = 46},
  [6129] = {.lex_state = 58, .external_lex_state = 42},
  [6130] = {.lex_state = 57, .external_lex_state = 42},
  [6131] = {.lex_state = 63, .external_lex_state = 34},
  [6132] = {.lex_state = 63, .external_lex_state = 34},
  [6133] = {.lex_state = 63, .external_lex_state = 35},
  [6134] = {.lex_state = 57},
  [6135] = {.lex_state = 17, .external_lex_state = 47},
  [6136] = {.lex_state = 58, .external_lex_state = 42},
  [6137] = {.lex_state = 52, .external_lex_state = 53},
  [6138] = {.lex_state = 63, .external_lex_state = 34},
  [6139] = {.lex_state = 58, .external_lex_state = 42},
  [6140] = {.lex_state = 57, .external_lex_state = 46},
  [6141] = {.lex_state = 58, .external_lex_state = 49},
  [6142] = {.lex_state = 57, .external_lex_state = 45},
  [6143] = {.lex_state = 61, .external_lex_state = 42},
  [6144] = {.lex_state = 63, .external_lex_state = 33},
  [6145] = {.lex_state = 58, .external_lex_state = 42},
  [6146] = {.lex_state = 57, .external_lex_state = 46},
  [6147] = {.lex_state = 58, .external_lex_state = 42},
  [6148] = {.lex_state = 64, .external_lex_state = 55},
  [6149] = {.lex_state = 56, .external_lex_state = 51},
  [6150] = {.lex_state = 58, .external_lex_state = 42},
  [6151] = {.lex_state = 56, .external_lex_state = 43},
  [6152] = {.lex_state = 63, .external_lex_state = 38},
  [6153] = {.lex_state = 58, .external_lex_state = 42},
  [6154] = {.lex_state = 56, .external_lex_state = 45},
  [6155] = {.lex_state = 57, .external_lex_state = 46},
  [6156] = {.lex_state = 63, .external_lex_state = 37},
  [6157] = {.lex_state = 56, .external_lex_state = 51},
  [6158] = {.lex_state = 63, .external_lex_state = 37},
  [6159] = {.lex_state = 52, .external_lex_state = 37},
  [6160] = {.lex_state = 56, .external_lex_state = 51},
  [6161] = {.lex_state = 58, .external_lex_state = 42},
  [6162] = {.lex_state = 56, .external_lex_state = 55},
  [6163] = {.lex_state = 56, .external_lex_state = 47},
  [6164] = {.lex_state = 52, .external_lex_state = 40},
  [6165] = {.lex_state = 52, .external_lex_state = 37},
  [6166] = {.lex_state = 57, .external_lex_state = 46},
  [6167] = {.lex_state = 63, .external_lex_state = 34},
  [6168] = {.lex_state = 52, .external_lex_state = 37},
  [6169] = {.lex_state = 61, .external_lex_state = 53},
  [6170] = {.lex_state = 63, .external_lex_state = 37},
  [6171] = {.lex_state = 61, .external_lex_state = 42},
  [6172] = {.lex_state = 57, .external_lex_state = 31},
  [6173] = {.lex_state = 61, .external_lex_state = 42},
  [6174] = {.lex_state = 61, .external_lex_state = 42},
  [6175] = {.lex_state = 61, .external_lex_state = 45},
  [6176] = {.lex_state = 52, .external_lex_state = 35},
  [6177] = {.lex_state = 63, .external_lex_state = 33},
  [6178] = {.lex_state = 58, .external_lex_state = 46},
  [6179] = {.lex_state = 52, .external_lex_state = 51},
  [6180] = {.lex_state = 58, .external_lex_state = 53},
  [6181] = {.lex_state = 52, .external_lex_state = 51},
  [6182] = {.lex_state = 56, .external_lex_state = 47},
  [6183] = {.lex_state = 57, .external_lex_state = 43},
  [6184] = {.lex_state = 58, .external_lex_state = 46},
  [6185] = {.lex_state = 56, .external_lex_state = 49},
  [6186] = {.lex_state = 57, .external_lex_state = 46},
  [6187] = {.lex_state = 58, .external_lex_state = 46},
  [6188] = {.lex_state = 64, .external_lex_state = 55},
  [6189] = {.lex_state = 52, .external_lex_state = 56},
  [6190] = {.lex_state = 56, .external_lex_state = 49},
  [6191] = {.lex_state = 56, .external_lex_state = 49},
  [6192] = {.lex_state = 61, .external_lex_state = 31},
  [6193] = {.lex_state = 56, .external_lex_state = 49},
  [6194] = {.lex_state = 58, .external_lex_state = 46},
  [6195] = {.lex_state = 7, .external_lex_state = 47},
  [6196] = {.lex_state = 56, .external_lex_state = 49},
  [6197] = {.lex_state = 56, .external_lex_state = 49},
  [6198] = {.lex_state = 52, .external_lex_state = 56},
  [6199] = {.lex_state = 61, .external_lex_state = 32},
  [6200] = {.lex_state = 63, .external_lex_state = 49},
  [6201] = {.lex_state = 58, .external_lex_state = 55},
  [6202] = {.lex_state = 59, .external_lex_state = 55},
  [6203] = {.lex_state = 62, .external_lex_state = 47},
  [6204] = {.lex_state = 56, .external_lex_state = 49},
  [6205] = {.lex_state = 63, .external_lex_state = 33},
  [6206] = {.lex_state = 58, .external_lex_state = 55},
  [6207] = {.lex_state = 56, .external_lex_state = 49},
  [6208] = {.lex_state = 56, .external_lex_state = 42},
  [6209] = {.lex_state = 63, .external_lex_state = 24},
  [6210] = {.lex_state = 57, .external_lex_state = 46},
  [6211] = {.lex_state = 59, .external_lex_state = 55},
  [6212] = {.lex_state = 56, .external_lex_state = 49},
  [6213] = {.lex_state = 57, .external_lex_state = 42},
  [6214] = {.lex_state = 57, .external_lex_state = 42},
  [6215] = {.lex_state = 57, .external_lex_state = 42},
  [6216] = {.lex_state = 56, .external_lex_state = 49},
  [6217] = {.lex_state = 52, .external_lex_state = 55},
  [6218] = {.lex_state = 56, .external_lex_state = 49},
  [6219] = {.lex_state = 52, .external_lex_state = 41},
  [6220] = {.lex_state = 52, .external_lex_state = 55},
  [6221] = {.lex_state = 63, .external_lex_state = 38},
  [6222] = {.lex_state = 55, .external_lex_state = 35},
  [6223] = {.lex_state = 55, .external_lex_state = 35},
  [6224] = {.lex_state = 57, .external_lex_state = 43},
  [6225] = {.lex_state = 57, .external_lex_state = 42},
  [6226] = {.lex_state = 52, .external_lex_state = 47},
  [6227] = {.lex_state = 52, .external_lex_state = 27},
  [6228] = {.lex_state = 57, .external_lex_state = 42},
  [6229] = {.lex_state = 56, .external_lex_state = 49},
  [6230] = {.lex_state = 58, .external_lex_state = 26},
  [6231] = {.lex_state = 58, .external_lex_state = 51},
  [6232] = {.lex_state = 63, .external_lex_state = 33},
  [6233] = {.lex_state = 56, .external_lex_state = 47},
  [6234] = {.lex_state = 52, .external_lex_state = 45},
  [6235] = {.lex_state = 63, .external_lex_state = 37},
  [6236] = {.lex_state = 52, .external_lex_state = 47},
  [6237] = {.lex_state = 56, .external_lex_state = 47},
  [6238] = {.lex_state = 63, .external_lex_state = 34},
  [6239] = {.lex_state = 61, .external_lex_state = 46},
  [6240] = {.lex_state = 52, .external_lex_state = 44},
  [6241] = {.lex_state = 52, .external_lex_state = 42},
  [6242] = {.lex_state = 61, .external_lex_state = 26},
  [6243] = {.lex_state = 58, .external_lex_state = 46},
  [6244] = {.lex_state = 56, .external_lex_state = 47},
  [6245] = {.lex_state = 63, .external_lex_state = 33},
  [6246] = {.lex_state = 63, .external_lex_state = 33},
  [6247] = {.lex_state = 63, .external_lex_state = 24},
  [6248] = {.lex_state = 61, .external_lex_state = 46},
  [6249] = {.lex_state = 61, .external_lex_state = 46},
  [6250] = {.lex_state = 63, .external_lex_state = 34},
  [6251] = {.lex_state = 63, .external_lex_state = 34},
  [6252] = {.lex_state = 58, .external_lex_state = 43},
  [6253] = {.lex_state = 58, .external_lex_state = 35},
  [6254] = {.lex_state = 57, .external_lex_state = 45},
  [6255] = {.lex_state = 59, .external_lex_state = 35},
  [6256] = {.lex_state = 57, .external_lex_state = 46},
  [6257] = {.lex_state = 63, .external_lex_state = 34},
  [6258] = {.lex_state = 63, .external_lex_state = 34},
  [6259] = {.lex_state = 63, .external_lex_state = 35},
  [6260] = {.lex_state = 58, .external_lex_state = 42},
  [6261] = {.lex_state = 63, .external_lex_state = 34},
  [6262] = {.lex_state = 63, .external_lex_state = 26},
  [6263] = {.lex_state = 58, .external_lex_state = 42},
  [6264] = {.lex_state = 63},
  [6265] = {.lex_state = 57, .external_lex_state = 46},
  [6266] = {.lex_state = 58, .external_lex_state = 42},
  [6267] = {.lex_state = 58, .external_lex_state = 43},
  [6268] = {.lex_state = 58, .external_lex_state = 36},
  [6269] = {.lex_state = 57, .external_lex_state = 46},
  [6270] = {.lex_state = 52, .external_lex_state = 47},
  [6271] = {.lex_state = 63, .external_lex_state = 31},
  [6272] = {.lex_state = 57, .external_lex_state = 45},
  [6273] = {.lex_state = 58, .external_lex_state = 42},
  [6274] = {.lex_state = 55, .external_lex_state = 47},
  [6275] = {.lex_state = 56, .external_lex_state = 53},
  [6276] = {.lex_state = 61, .external_lex_state = 32},
  [6277] = {.lex_state = 63, .external_lex_state = 33},
  [6278] = {.lex_state = 57, .external_lex_state = 43},
  [6279] = {.lex_state = 62, .external_lex_state = 35},
  [6280] = {.lex_state = 58, .external_lex_state = 43},
  [6281] = {.lex_state = 58, .external_lex_state = 36},
  [6282] = {.lex_state = 57, .external_lex_state = 46},
  [6283] = {.lex_state = 62, .external_lex_state = 55},
  [6284] = {.lex_state = 57, .external_lex_state = 45},
  [6285] = {.lex_state = 63, .external_lex_state = 34},
  [6286] = {.lex_state = 58, .external_lex_state = 43},
  [6287] = {.lex_state = 58, .external_lex_state = 43},
  [6288] = {.lex_state = 63},
  [6289] = {.lex_state = 57, .external_lex_state = 43},
  [6290] = {.lex_state = 57, .external_lex_state = 45},
  [6291] = {.lex_state = 62, .external_lex_state = 55},
  [6292] = {.lex_state = 58, .external_lex_state = 43},
  [6293] = {.lex_state = 63, .external_lex_state = 33},
  [6294] = {.lex_state = 62, .external_lex_state = 35},
  [6295] = {.lex_state = 63},
  [6296] = {.lex_state = 64, .external_lex_state = 55},
  [6297] = {.lex_state = 64, .external_lex_state = 35},
  [6298] = {.lex_state = 57, .external_lex_state = 43},
  [6299] = {.lex_state = 57, .external_lex_state = 45},
  [6300] = {.lex_state = 58, .external_lex_state = 43},
  [6301] = {.lex_state = 63, .external_lex_state = 34},
  [6302] = {.lex_state = 58, .external_lex_state = 26},
  [6303] = {.lex_state = 58, .external_lex_state = 26},
  [6304] = {.lex_state = 63, .external_lex_state = 33},
  [6305] = {.lex_state = 63, .external_lex_state = 34},
  [6306] = {.lex_state = 57, .external_lex_state = 43},
  [6307] = {.lex_state = 63, .external_lex_state = 33},
  [6308] = {.lex_state = 61, .external_lex_state = 28},
  [6309] = {.lex_state = 58, .external_lex_state = 46},
  [6310] = {.lex_state = 57, .external_lex_state = 45},
  [6311] = {.lex_state = 63, .external_lex_state = 33},
  [6312] = {.lex_state = 58, .external_lex_state = 43},
  [6313] = {.lex_state = 63, .external_lex_state = 34},
  [6314] = {.lex_state = 63, .external_lex_state = 34},
  [6315] = {.lex_state = 52, .external_lex_state = 40},
  [6316] = {.lex_state = 58, .external_lex_state = 46},
  [6317] = {.lex_state = 63, .external_lex_state = 33},
  [6318] = {.lex_state = 61, .external_lex_state = 47},
  [6319] = {.lex_state = 58, .external_lex_state = 46},
  [6320] = {.lex_state = 52, .external_lex_state = 41},
  [6321] = {.lex_state = 56, .external_lex_state = 49},
  [6322] = {.lex_state = 58, .external_lex_state = 46},
  [6323] = {.lex_state = 56, .external_lex_state = 51},
  [6324] = {.lex_state = 61, .external_lex_state = 28},
  [6325] = {.lex_state = 63, .external_lex_state = 34},
  [6326] = {.lex_state = 56, .external_lex_state = 47},
  [6327] = {.lex_state = 58, .external_lex_state = 46},
  [6328] = {.lex_state = 58, .external_lex_state = 46},
  [6329] = {.lex_state = 58, .external_lex_state = 51},
  [6330] = {.lex_state = 57, .external_lex_state = 45},
  [6331] = {.lex_state = 58, .external_lex_state = 46},
  [6332] = {.lex_state = 57, .external_lex_state = 43},
  [6333] = {.lex_state = 63, .external_lex_state = 33},
  [6334] = {.lex_state = 58, .external_lex_state = 51},
  [6335] = {.lex_state = 63, .external_lex_state = 23},
  [6336] = {.lex_state = 63, .external_lex_state = 34},
  [6337] = {.lex_state = 63, .external_lex_state = 34},
  [6338] = {.lex_state = 63, .external_lex_state = 33},
  [6339] = {.lex_state = 59, .external_lex_state = 35},
  [6340] = {.lex_state = 63, .external_lex_state = 40},
  [6341] = {.lex_state = 58, .external_lex_state = 32},
  [6342] = {.lex_state = 63, .external_lex_state = 34},
  [6343] = {.lex_state = 52, .external_lex_state = 28},
  [6344] = {.lex_state = 58, .external_lex_state = 53},
  [6345] = {.lex_state = 63, .external_lex_state = 33},
  [6346] = {.lex_state = 58, .external_lex_state = 53},
  [6347] = {.lex_state = 63, .external_lex_state = 34},
  [6348] = {.lex_state = 56, .external_lex_state = 46},
  [6349] = {.lex_state = 62, .external_lex_state = 47},
  [6350] = {.lex_state = 52, .external_lex_state = 42},
  [6351] = {.lex_state = 56, .external_lex_state = 27},
  [6352] = {.lex_state = 63, .external_lex_state = 32},
  [6353] = {.lex_state = 63, .external_lex_state = 34},
  [6354] = {.lex_state = 63, .external_lex_state = 35},
  [6355] = {.lex_state = 56, .external_lex_state = 27},
  [6356] = {.lex_state = 63, .external_lex_state = 53},
  [6357] = {.lex_state = 57, .external_lex_state = 46},
  [6358] = {.lex_state = 57, .external_lex_state = 43},
  [6359] = {.lex_state = 61, .external_lex_state = 32},
  [6360] = {.lex_state = 52, .external_lex_state = 31},
  [6361] = {.lex_state = 58, .external_lex_state = 43},
  [6362] = {.lex_state = 63, .external_lex_state = 32},
  [6363] = {.lex_state = 58, .external_lex_state = 43},
  [6364] = {.lex_state = 17, .external_lex_state = 47},
  [6365] = {.lex_state = 59, .external_lex_state = 55},
  [6366] = {.lex_state = 58, .external_lex_state = 43},
  [6367] = {.lex_state = 57, .external_lex_state = 42},
  [6368] = {.lex_state = 57, .external_lex_state = 42},
  [6369] = {.lex_state = 58, .external_lex_state = 49},
  [6370] = {.lex_state = 63, .external_lex_state = 34},
  [6371] = {.lex_state = 58, .external_lex_state = 49},
  [6372] = {.lex_state = 63, .external_lex_state = 23},
  [6373] = {.lex_state = 63, .external_lex_state = 33},
  [6374] = {.lex_state = 55, .external_lex_state = 47},
  [6375] = {.lex_state = 63, .external_lex_state = 33},
  [6376] = {.lex_state = 56, .external_lex_state = 51},
  [6377] = {.lex_state = 63, .external_lex_state = 34},
  [6378] = {.lex_state = 56, .external_lex_state = 51},
  [6379] = {.lex_state = 63, .external_lex_state = 34},
  [6380] = {.lex_state = 63, .external_lex_state = 34},
  [6381] = {.lex_state = 63, .external_lex_state = 29},
  [6382] = {.lex_state = 56, .external_lex_state = 51},
  [6383] = {.lex_state = 63, .external_lex_state = 38},
  [6384] = {.lex_state = 56, .external_lex_state = 51},
  [6385] = {.lex_state = 56, .external_lex_state = 47},
  [6386] = {.lex_state = 58, .external_lex_state = 43},
  [6387] = {.lex_state = 63, .external_lex_state = 33},
  [6388] = {.lex_state = 52, .external_lex_state = 44},
  [6389] = {.lex_state = 63, .external_lex_state = 33},
  [6390] = {.lex_state = 63, .external_lex_state = 34},
  [6391] = {.lex_state = 56, .external_lex_state = 53},
  [6392] = {.lex_state = 63, .external_lex_state = 37},
  [6393] = {.lex_state = 63, .external_lex_state = 33},
  [6394] = {.lex_state = 56, .external_lex_state = 51},
  [6395] = {.lex_state = 64, .external_lex_state = 35},
  [6396] = {.lex_state = 63, .external_lex_state = 33},
  [6397] = {.lex_state = 56, .external_lex_state = 51},
  [6398] = {.lex_state = 63, .external_lex_state = 34},
  [6399] = {.lex_state = 56, .external_lex_state = 51},
  [6400] = {.lex_state = 58, .external_lex_state = 43},
  [6401] = {.lex_state = 9, .external_lex_state = 47},
  [6402] = {.lex_state = 58, .external_lex_state = 45},
  [6403] = {.lex_state = 63, .external_lex_state = 23},
  [6404] = {.lex_state = 58, .external_lex_state = 31},
  [6405] = {.lex_state = 61, .external_lex_state = 45},
  [6406] = {.lex_state = 52, .external_lex_state = 30},
  [6407] = {.lex_state = 63, .external_lex_state = 33},
  [6408] = {.lex_state = 56, .external_lex_state = 35},
  [6409] = {.lex_state = 57, .external_lex_state = 32},
  [6410] = {.lex_state = 63, .external_lex_state = 33},
  [6411] = {.lex_state = 57, .external_lex_state = 43},
  [6412] = {.lex_state = 63, .external_lex_state = 33},
  [6413] = {.lex_state = 61, .external_lex_state = 45},
  [6414] = {.lex_state = 58, .external_lex_state = 55},
  [6415] = {.lex_state = 61, .external_lex_state = 45},
  [6416] = {.lex_state = 52, .external_lex_state = 31},
  [6417] = {.lex_state = 57, .external_lex_state = 46},
  [6418] = {.lex_state = 55, .external_lex_state = 35},
  [6419] = {.lex_state = 61, .external_lex_state = 35},
  [6420] = {.lex_state = 56, .external_lex_state = 46},
  [6421] = {.lex_state = 56, .external_lex_state = 53},
  [6422] = {.lex_state = 52, .external_lex_state = 23},
  [6423] = {.lex_state = 52, .external_lex_state = 26},
  [6424] = {.lex_state = 63, .external_lex_state = 34},
  [6425] = {.lex_state = 61, .external_lex_state = 34},
  [6426] = {.lex_state = 52, .external_lex_state = 24},
  [6427] = {.lex_state = 56, .external_lex_state = 53},
  [6428] = {.lex_state = 64, .external_lex_state = 35},
  [6429] = {.lex_state = 56, .external_lex_state = 53},
  [6430] = {.lex_state = 63, .external_lex_state = 57},
  [6431] = {.lex_state = 63, .external_lex_state = 31},
  [6432] = {.lex_state = 17, .external_lex_state = 47},
  [6433] = {.lex_state = 52, .external_lex_state = 24},
  [6434] = {.lex_state = 52, .external_lex_state = 24},
  [6435] = {.lex_state = 63, .external_lex_state = 23},
  [6436] = {.lex_state = 63, .external_lex_state = 34},
  [6437] = {.lex_state = 55, .external_lex_state = 55},
  [6438] = {.lex_state = 56, .external_lex_state = 53},
  [6439] = {.lex_state = 58, .external_lex_state = 45},
  [6440] = {.lex_state = 63, .external_lex_state = 39},
  [6441] = {.lex_state = 56, .external_lex_state = 53},
  [6442] = {.lex_state = 52, .external_lex_state = 43},
  [6443] = {.lex_state = 52, .external_lex_state = 29},
  [6444] = {.lex_state = 52, .external_lex_state = 26},
  [6445] = {.lex_state = 57, .external_lex_state = 31},
  [6446] = {.lex_state = 63, .external_lex_state = 57},
  [6447] = {.lex_state = 56, .external_lex_state = 53},
  [6448] = {.lex_state = 63, .external_lex_state = 34},
  [6449] = {.lex_state = 52, .external_lex_state = 28},
  [6450] = {.lex_state = 63, .external_lex_state = 56},
  [6451] = {.lex_state = 56, .external_lex_state = 53},
  [6452] = {.lex_state = 52, .external_lex_state = 23},
  [6453] = {.lex_state = 55, .external_lex_state = 35},
  [6454] = {.lex_state = 63, .external_lex_state = 34},
  [6455] = {.lex_state = 55, .external_lex_state = 47},
  [6456] = {.lex_state = 55, .external_lex_state = 35},
  [6457] = {.lex_state = 56, .external_lex_state = 51},
  [6458] = {.lex_state = 57, .external_lex_state = 35},
  [6459] = {.lex_state = 57, .external_lex_state = 43},
  [6460] = {.lex_state = 63, .external_lex_state = 37},
  [6461] = {.lex_state = 63, .external_lex_state = 23},
  [6462] = {.lex_state = 63, .external_lex_state = 36},
  [6463] = {.lex_state = 63, .external_lex_state = 34},
  [6464] = {.lex_state = 56, .external_lex_state = 46},
  [6465] = {.lex_state = 55, .external_lex_state = 35},
  [6466] = {.lex_state = 52, .external_lex_state = 41},
  [6467] = {.lex_state = 63, .external_lex_state = 36},
  [6468] = {.lex_state = 57, .external_lex_state = 43},
  [6469] = {.lex_state = 61, .external_lex_state = 32},
  [6470] = {.lex_state = 56, .external_lex_state = 26},
  [6471] = {.lex_state = 55, .external_lex_state = 35},
  [6472] = {.lex_state = 57, .external_lex_state = 43},
  [6473] = {.lex_state = 63, .external_lex_state = 34},
  [6474] = {.lex_state = 52, .external_lex_state = 27},
  [6475] = {.lex_state = 63, .external_lex_state = 34},
  [6476] = {.lex_state = 63, .external_lex_state = 34},
  [6477] = {.lex_state = 63, .external_lex_state = 53},
  [6478] = {.lex_state = 61, .external_lex_state = 47},
  [6479] = {.lex_state = 63, .external_lex_state = 51},
  [6480] = {.lex_state = 52, .external_lex_state = 23},
  [6481] = {.lex_state = 63, .external_lex_state = 29},
  [6482] = {.lex_state = 63, .external_lex_state = 23},
  [6483] = {.lex_state = 52, .external_lex_state = 23},
  [6484] = {.lex_state = 52, .external_lex_state = 38},
  [6485] = {.lex_state = 52, .external_lex_state = 35},
  [6486] = {.lex_state = 52, .external_lex_state = 24},
  [6487] = {.lex_state = 61, .external_lex_state = 36},
  [6488] = {.lex_state = 56, .external_lex_state = 53},
  [6489] = {.lex_state = 57, .external_lex_state = 46},
  [6490] = {.lex_state = 63, .external_lex_state = 39},
  [6491] = {.lex_state = 52, .external_lex_state = 29},
  [6492] = {.lex_state = 63, .external_lex_state = 36},
  [6493] = {.lex_state = 52, .external_lex_state = 41},
  [6494] = {.lex_state = 57, .external_lex_state = 46},
  [6495] = {.lex_state = 58, .external_lex_state = 47},
  [6496] = {.lex_state = 63, .external_lex_state = 23},
  [6497] = {.lex_state = 52, .external_lex_state = 30},
  [6498] = {.lex_state = 63, .external_lex_state = 23},
  [6499] = {.lex_state = 52, .external_lex_state = 27},
  [6500] = {.lex_state = 58, .external_lex_state = 45},
  [6501] = {.lex_state = 57, .external_lex_state = 45},
  [6502] = {.lex_state = 63, .external_lex_state = 38},
  [6503] = {.lex_state = 52, .external_lex_state = 28},
  [6504] = {.lex_state = 63, .external_lex_state = 26},
  [6505] = {.lex_state = 58, .external_lex_state = 45},
  [6506] = {.lex_state = 63, .external_lex_state = 26},
  [6507] = {.lex_state = 56, .external_lex_state = 47},
  [6508] = {.lex_state = 56, .external_lex_state = 26},
  [6509] = {.lex_state = 58, .external_lex_state = 45},
  [6510] = {.lex_state = 58, .external_lex_state = 47},
  [6511] = {.lex_state = 52, .external_lex_state = 43},
  [6512] = {.lex_state = 59, .external_lex_state = 35},
  [6513] = {.lex_state = 58, .external_lex_state = 45},
  [6514] = {.lex_state = 52, .external_lex_state = 47},
  [6515] = {.lex_state = 63, .external_lex_state = 40},
  [6516] = {.lex_state = 63, .external_lex_state = 23},
  [6517] = {.lex_state = 58, .external_lex_state = 45},
  [6518] = {.lex_state = 63, .external_lex_state = 40},
  [6519] = {.lex_state = 58, .external_lex_state = 45},
  [6520] = {.lex_state = 61, .external_lex_state = 35},
  [6521] = {.lex_state = 58, .external_lex_state = 45},
  [6522] = {.lex_state = 63, .external_lex_state = 39},
  [6523] = {.lex_state = 52, .external_lex_state = 44},
  [6524] = {.lex_state = 55, .external_lex_state = 47},
  [6525] = {.lex_state = 63, .external_lex_state = 34},
  [6526] = {.lex_state = 52, .external_lex_state = 58},
  [6527] = {.lex_state = 63, .external_lex_state = 34},
  [6528] = {.lex_state = 63, .external_lex_state = 40},
  [6529] = {.lex_state = 57, .external_lex_state = 43},
  [6530] = {.lex_state = 63},
  [6531] = {.lex_state = 56, .external_lex_state = 47},
  [6532] = {.lex_state = 56, .external_lex_state = 26},
  [6533] = {.lex_state = 52, .external_lex_state = 38},
  [6534] = {.lex_state = 61, .external_lex_state = 55},
  [6535] = {.lex_state = 63, .external_lex_state = 34},
  [6536] = {.lex_state = 61, .external_lex_state = 49},
  [6537] = {.lex_state = 62, .external_lex_state = 35},
  [6538] = {.lex_state = 56, .external_lex_state = 28},
  [6539] = {.lex_state = 63, .external_lex_state = 40},
  [6540] = {.lex_state = 61, .external_lex_state = 55},
  [6541] = {.lex_state = 63, .external_lex_state = 31},
  [6542] = {.lex_state = 56, .external_lex_state = 55},
  [6543] = {.lex_state = 56, .external_lex_state = 26},
  [6544] = {.lex_state = 63, .external_lex_state = 34},
  [6545] = {.lex_state = 63, .external_lex_state = 51},
  [6546] = {.lex_state = 56, .external_lex_state = 26},
  [6547] = {.lex_state = 56, .external_lex_state = 26},
  [6548] = {.lex_state = 63, .external_lex_state = 33},
  [6549] = {.lex_state = 61, .external_lex_state = 36},
  [6550] = {.lex_state = 63, .external_lex_state = 23},
  [6551] = {.lex_state = 63, .external_lex_state = 33},
  [6552] = {.lex_state = 63, .external_lex_state = 34},
  [6553] = {.lex_state = 56, .external_lex_state = 31},
  [6554] = {.lex_state = 63, .external_lex_state = 38},
  [6555] = {.lex_state = 57, .external_lex_state = 42},
  [6556] = {.lex_state = 63, .external_lex_state = 40},
  [6557] = {.lex_state = 3},
  [6558] = {.lex_state = 61, .external_lex_state = 37},
  [6559] = {.lex_state = 63, .external_lex_state = 40},
  [6560] = {.lex_state = 52, .external_lex_state = 23},
  [6561] = {.lex_state = 62, .external_lex_state = 35},
  [6562] = {.lex_state = 56, .external_lex_state = 51},
  [6563] = {.lex_state = 56, .external_lex_state = 43},
  [6564] = {.lex_state = 57, .external_lex_state = 32},
  [6565] = {.lex_state = 52, .external_lex_state = 58},
  [6566] = {.lex_state = 54},
  [6567] = {.lex_state = 63, .external_lex_state = 33},
  [6568] = {.lex_state = 61, .external_lex_state = 33},
  [6569] = {.lex_state = 62, .external_lex_state = 35},
  [6570] = {.lex_state = 63, .external_lex_state = 38},
  [6571] = {.lex_state = 63, .external_lex_state = 34},
  [6572] = {.lex_state = 63, .external_lex_state = 33},
  [6573] = {.lex_state = 56, .external_lex_state = 55},
  [6574] = {.lex_state = 63, .external_lex_state = 33},
  [6575] = {.lex_state = 63, .external_lex_state = 30},
  [6576] = {.lex_state = 58, .external_lex_state = 53},
  [6577] = {.lex_state = 52, .external_lex_state = 57},
  [6578] = {.lex_state = 56, .external_lex_state = 45},
  [6579] = {.lex_state = 56, .external_lex_state = 55},
  [6580] = {.lex_state = 63, .external_lex_state = 38},
  [6581] = {.lex_state = 55, .external_lex_state = 55},
  [6582] = {.lex_state = 63, .external_lex_state = 40},
  [6583] = {.lex_state = 57, .external_lex_state = 45},
  [6584] = {.lex_state = 63, .external_lex_state = 33},
  [6585] = {.lex_state = 63},
  [6586] = {.lex_state = 63, .external_lex_state = 49},
  [6587] = {.lex_state = 63, .external_lex_state = 33},
  [6588] = {.lex_state = 59, .external_lex_state = 35},
  [6589] = {.lex_state = 56, .external_lex_state = 47},
  [6590] = {.lex_state = 52, .external_lex_state = 29},
  [6591] = {.lex_state = 56, .external_lex_state = 32},
  [6592] = {.lex_state = 63, .external_lex_state = 36},
  [6593] = {.lex_state = 63, .external_lex_state = 34},
  [6594] = {.lex_state = 58, .external_lex_state = 26},
  [6595] = {.lex_state = 63, .external_lex_state = 40},
  [6596] = {.lex_state = 57, .external_lex_state = 43},
  [6597] = {.lex_state = 63},
  [6598] = {.lex_state = 63, .external_lex_state = 35},
  [6599] = {.lex_state = 63, .external_lex_state = 38},
  [6600] = {.lex_state = 56, .external_lex_state = 47},
  [6601] = {.lex_state = 63, .external_lex_state = 54},
  [6602] = {.lex_state = 63, .external_lex_state = 50},
  [6603] = {.lex_state = 63},
  [6604] = {.lex_state = 63},
  [6605] = {.lex_state = 63},
  [6606] = {.lex_state = 63, .external_lex_state = 38},
  [6607] = {.lex_state = 63, .external_lex_state = 34},
  [6608] = {.lex_state = 63, .external_lex_state = 34},
  [6609] = {.lex_state = 63, .external_lex_state = 38},
  [6610] = {.lex_state = 63, .external_lex_state = 34},
  [6611] = {.lex_state = 58, .external_lex_state = 46},
  [6612] = {.lex_state = 63, .external_lex_state = 35},
  [6613] = {.lex_state = 52, .external_lex_state = 28},
  [6614] = {.lex_state = 56, .external_lex_state = 47},
  [6615] = {.lex_state = 61, .external_lex_state = 32},
  [6616] = {.lex_state = 63, .external_lex_state = 54},
  [6617] = {.lex_state = 63, .external_lex_state = 49},
  [6618] = {.lex_state = 63, .external_lex_state = 35},
  [6619] = {.lex_state = 63, .external_lex_state = 32},
  [6620] = {.lex_state = 63, .external_lex_state = 40},
  [6621] = {.lex_state = 63, .external_lex_state = 34},
  [6622] = {.lex_state = 55, .external_lex_state = 35},
  [6623] = {.lex_state = 57, .external_lex_state = 45},
  [6624] = {.lex_state = 63, .external_lex_state = 38},
  [6625] = {.lex_state = 63, .external_lex_state = 40},
  [6626] = {.lex_state = 57, .external_lex_state = 45},
  [6627] = {.lex_state = 63, .external_lex_state = 30},
  [6628] = {.lex_state = 7, .external_lex_state = 47},
  [6629] = {.lex_state = 57, .external_lex_state = 43},
  [6630] = {.lex_state = 55, .external_lex_state = 55},
  [6631] = {.lex_state = 52, .external_lex_state = 41},
  [6632] = {.lex_state = 55, .external_lex_state = 55},
  [6633] = {.lex_state = 63, .external_lex_state = 38},
  [6634] = {.lex_state = 61, .external_lex_state = 49},
  [6635] = {.lex_state = 63, .external_lex_state = 35},
  [6636] = {.lex_state = 55, .external_lex_state = 55},
  [6637] = {.lex_state = 61, .external_lex_state = 37},
  [6638] = {.lex_state = 61, .external_lex_state = 43},
  [6639] = {.lex_state = 63, .external_lex_state = 40},
  [6640] = {.lex_state = 63, .external_lex_state = 34},
  [6641] = {.lex_state = 56, .external_lex_state = 43},
  [6642] = {.lex_state = 63, .external_lex_state = 34},
  [6643] = {.lex_state = 58, .external_lex_state = 27},
  [6644] = {.lex_state = 63},
  [6645] = {.lex_state = 63, .external_lex_state = 56},
  [6646] = {.lex_state = 63, .external_lex_state = 40},
  [6647] = {.lex_state = 52, .external_lex_state = 57},
  [6648] = {.lex_state = 58, .external_lex_state = 51},
  [6649] = {.lex_state = 52, .external_lex_state = 34},
  [6650] = {.lex_state = 52, .external_lex_state = 35},
  [6651] = {.lex_state = 61, .external_lex_state = 37},
  [6652] = {.lex_state = 57, .external_lex_state = 26},
  [6653] = {.lex_state = 58, .external_lex_state = 55},
  [6654] = {.lex_state = 61, .external_lex_state = 46},
  [6655] = {.lex_state = 59, .external_lex_state = 55},
  [6656] = {.lex_state = 59, .external_lex_state = 55},
  [6657] = {.lex_state = 63, .external_lex_state = 39},
  [6658] = {.lex_state = 59, .external_lex_state = 55},
  [6659] = {.lex_state = 52, .external_lex_state = 35},
  [6660] = {.lex_state = 61, .external_lex_state = 53},
  [6661] = {.lex_state = 55, .external_lex_state = 35},
  [6662] = {.lex_state = 55, .external_lex_state = 47},
  [6663] = {.lex_state = 61, .external_lex_state = 37},
  [6664] = {.lex_state = 55, .external_lex_state = 35},
  [6665] = {.lex_state = 52, .external_lex_state = 23},
  [6666] = {.lex_state = 55, .external_lex_state = 47},
  [6667] = {.lex_state = 63, .external_lex_state = 47},
  [6668] = {.lex_state = 55, .external_lex_state = 35},
  [6669] = {.lex_state = 59, .external_lex_state = 55},
  [6670] = {.lex_state = 63, .external_lex_state = 23},
  [6671] = {.lex_state = 55, .external_lex_state = 35},
  [6672] = {.lex_state = 55, .external_lex_state = 47},
  [6673] = {.lex_state = 63, .external_lex_state = 39},
  [6674] = {.lex_state = 63, .external_lex_state = 23},
  [6675] = {.lex_state = 58, .external_lex_state = 55},
  [6676] = {.lex_state = 58, .external_lex_state = 26},
  [6677] = {.lex_state = 63, .external_lex_state = 47},
  [6678] = {.lex_state = 58, .external_lex_state = 55},
  [6679] = {.lex_state = 52, .external_lex_state = 54},
  [6680] = {.lex_state = 58, .external_lex_state = 26},
  [6681] = {.lex_state = 58, .external_lex_state = 55},
  [6682] = {.lex_state = 58, .external_lex_state = 26},
  [6683] = {.lex_state = 55, .external_lex_state = 35},
  [6684] = {.lex_state = 58, .external_lex_state = 35},
  [6685] = {.lex_state = 64, .external_lex_state = 35},
  [6686] = {.lex_state = 58, .external_lex_state = 26},
  [6687] = {.lex_state = 55, .external_lex_state = 35},
  [6688] = {.lex_state = 7, .external_lex_state = 47},
  [6689] = {.lex_state = 58, .external_lex_state = 26},
  [6690] = {.lex_state = 63, .external_lex_state = 42},
  [6691] = {.lex_state = 52, .external_lex_state = 53},
  [6692] = {.lex_state = 58, .external_lex_state = 26},
  [6693] = {.lex_state = 58, .external_lex_state = 26},
  [6694] = {.lex_state = 61, .external_lex_state = 29},
  [6695] = {.lex_state = 63, .external_lex_state = 23},
  [6696] = {.lex_state = 55, .external_lex_state = 35},
  [6697] = {.lex_state = 52, .external_lex_state = 36},
  [6698] = {.lex_state = 55, .external_lex_state = 47},
  [6699] = {.lex_state = 57, .external_lex_state = 49},
  [6700] = {.lex_state = 57, .external_lex_state = 26},
  [6701] = {.lex_state = 63, .external_lex_state = 39},
  [6702] = {.lex_state = 63, .external_lex_state = 39},
  [6703] = {.lex_state = 63, .external_lex_state = 28},
  [6704] = {.lex_state = 63, .external_lex_state = 39},
  [6705] = {.lex_state = 61, .external_lex_state = 51},
  [6706] = {.lex_state = 61, .external_lex_state = 27},
  [6707] = {.lex_state = 63, .external_lex_state = 39},
  [6708] = {.lex_state = 52, .external_lex_state = 33},
  [6709] = {.lex_state = 52, .external_lex_state = 49},
  [6710] = {.lex_state = 63, .external_lex_state = 45},
  [6711] = {.lex_state = 52, .external_lex_state = 45},
  [6712] = {.lex_state = 63, .external_lex_state = 23},
  [6713] = {.lex_state = 52, .external_lex_state = 46},
  [6714] = {.lex_state = 62, .external_lex_state = 35},
  [6715] = {.lex_state = 52, .external_lex_state = 46},
  [6716] = {.lex_state = 57, .external_lex_state = 53},
  [6717] = {.lex_state = 56, .external_lex_state = 32},
  [6718] = {.lex_state = 52, .external_lex_state = 46},
  [6719] = {.lex_state = 63, .external_lex_state = 39},
  [6720] = {.lex_state = 63, .external_lex_state = 39},
  [6721] = {.lex_state = 61, .external_lex_state = 26},
  [6722] = {.lex_state = 63, .external_lex_state = 42},
  [6723] = {.lex_state = 61, .external_lex_state = 26},
  [6724] = {.lex_state = 18},
  [6725] = {.lex_state = 58, .external_lex_state = 26},
  [6726] = {.lex_state = 52, .external_lex_state = 54},
  [6727] = {.lex_state = 61, .external_lex_state = 26},
  [6728] = {.lex_state = 3},
  [6729] = {.lex_state = 52, .external_lex_state = 46},
  [6730] = {.lex_state = 3},
  [6731] = {.lex_state = 52, .external_lex_state = 51},
  [6732] = {.lex_state = 55, .external_lex_state = 47},
  [6733] = {.lex_state = 63, .external_lex_state = 27},
  [6734] = {.lex_state = 52, .external_lex_state = 50},
  [6735] = {.lex_state = 61, .external_lex_state = 51},
  [6736] = {.lex_state = 3},
  [6737] = {.lex_state = 57, .external_lex_state = 53},
  [6738] = {.lex_state = 63, .external_lex_state = 39},
  [6739] = {.lex_state = 57, .external_lex_state = 53},
  [6740] = {.lex_state = 61, .external_lex_state = 28},
  [6741] = {.lex_state = 57, .external_lex_state = 53},
  [6742] = {.lex_state = 63, .external_lex_state = 27},
  [6743] = {.lex_state = 55, .external_lex_state = 55},
  [6744] = {.lex_state = 61, .external_lex_state = 51},
  [6745] = {.lex_state = 18},
  [6746] = {.lex_state = 52, .external_lex_state = 53},
  [6747] = {.lex_state = 61, .external_lex_state = 51},
  [6748] = {.lex_state = 57, .external_lex_state = 26},
  [6749] = {.lex_state = 63, .external_lex_state = 44},
  [6750] = {.lex_state = 63, .external_lex_state = 39},
  [6751] = {.lex_state = 52, .external_lex_state = 36},
  [6752] = {.lex_state = 55, .external_lex_state = 55},
  [6753] = {.lex_state = 56, .external_lex_state = 51},
  [6754] = {.lex_state = 57, .external_lex_state = 49},
  [6755] = {.lex_state = 57, .external_lex_state = 49},
  [6756] = {.lex_state = 57, .external_lex_state = 49},
  [6757] = {.lex_state = 52, .external_lex_state = 23},
  [6758] = {.lex_state = 63, .external_lex_state = 39},
  [6759] = {.lex_state = 57, .external_lex_state = 51},
  [6760] = {.lex_state = 61, .external_lex_state = 36},
  [6761] = {.lex_state = 57, .external_lex_state = 49},
  [6762] = {.lex_state = 63, .external_lex_state = 40},
  [6763] = {.lex_state = 63, .external_lex_state = 39},
  [6764] = {.lex_state = 52, .external_lex_state = 23},
  [6765] = {.lex_state = 63},
  [6766] = {.lex_state = 57, .external_lex_state = 49},
  [6767] = {.lex_state = 63, .external_lex_state = 58},
  [6768] = {.lex_state = 55, .external_lex_state = 35},
  [6769] = {.lex_state = 57, .external_lex_state = 49},
  [6770] = {.lex_state = 56, .external_lex_state = 32},
  [6771] = {.lex_state = 17, .external_lex_state = 47},
  [6772] = {.lex_state = 63, .external_lex_state = 40},
  [6773] = {.lex_state = 57, .external_lex_state = 49},
  [6774] = {.lex_state = 61, .external_lex_state = 36},
  [6775] = {.lex_state = 56, .external_lex_state = 31},
  [6776] = {.lex_state = 63, .external_lex_state = 39},
  [6777] = {.lex_state = 52, .external_lex_state = 49},
  [6778] = {.lex_state = 61, .external_lex_state = 53},
  [6779] = {.lex_state = 63, .external_lex_state = 41},
  [6780] = {.lex_state = 63, .external_lex_state = 39},
  [6781] = {.lex_state = 58, .external_lex_state = 51},
  [6782] = {.lex_state = 63, .external_lex_state = 35},
  [6783] = {.lex_state = 52, .external_lex_state = 51},
  [6784] = {.lex_state = 52, .external_lex_state = 37},
  [6785] = {.lex_state = 63, .external_lex_state = 39},
  [6786] = {.lex_state = 55, .external_lex_state = 35},
  [6787] = {.lex_state = 17, .external_lex_state = 47},
  [6788] = {.lex_state = 61, .external_lex_state = 53},
  [6789] = {.lex_state = 61, .external_lex_state = 53},
  [6790] = {.lex_state = 63, .external_lex_state = 46},
  [6791] = {.lex_state = 63, .external_lex_state = 39},
  [6792] = {.lex_state = 52, .external_lex_state = 30},
  [6793] = {.lex_state = 57, .external_lex_state = 49},
  [6794] = {.lex_state = 63, .external_lex_state = 38},
  [6795] = {.lex_state = 56, .external_lex_state = 28},
  [6796] = {.lex_state = 59, .external_lex_state = 55},
  [6797] = {.lex_state = 63, .external_lex_state = 38},
  [6798] = {.lex_state = 56, .external_lex_state = 26},
  [6799] = {.lex_state = 52, .external_lex_state = 31},
  [6800] = {.lex_state = 52, .external_lex_state = 30},
  [6801] = {.lex_state = 61, .external_lex_state = 42},
  [6802] = {.lex_state = 52, .external_lex_state = 31},
  [6803] = {.lex_state = 56, .external_lex_state = 26},
  [6804] = {.lex_state = 61, .external_lex_state = 31},
  [6805] = {.lex_state = 63, .external_lex_state = 37},
  [6806] = {.lex_state = 58, .external_lex_state = 55},
  [6807] = {.lex_state = 61, .external_lex_state = 31},
  [6808] = {.lex_state = 63, .external_lex_state = 38},
  [6809] = {.lex_state = 63, .external_lex_state = 38},
  [6810] = {.lex_state = 61, .external_lex_state = 29},
  [6811] = {.lex_state = 52, .external_lex_state = 50},
  [6812] = {.lex_state = 56, .external_lex_state = 32},
  [6813] = {.lex_state = 63, .external_lex_state = 43},
  [6814] = {.lex_state = 63, .external_lex_state = 38},
  [6815] = {.lex_state = 63, .external_lex_state = 37},
  [6816] = {.lex_state = 61, .external_lex_state = 29},
  [6817] = {.lex_state = 61, .external_lex_state = 29},
  [6818] = {.lex_state = 52, .external_lex_state = 52},
  [6819] = {.lex_state = 57, .external_lex_state = 51},
  [6820] = {.lex_state = 63, .external_lex_state = 55},
  [6821] = {.lex_state = 58, .external_lex_state = 51},
  [6822] = {.lex_state = 58, .external_lex_state = 51},
  [6823] = {.lex_state = 55, .external_lex_state = 47},
  [6824] = {.lex_state = 52, .external_lex_state = 31},
  [6825] = {.lex_state = 55, .external_lex_state = 35},
  [6826] = {.lex_state = 58, .external_lex_state = 51},
  [6827] = {.lex_state = 52, .external_lex_state = 45},
  [6828] = {.lex_state = 58, .external_lex_state = 51},
  [6829] = {.lex_state = 63, .external_lex_state = 40},
  [6830] = {.lex_state = 52, .external_lex_state = 31},
  [6831] = {.lex_state = 63, .external_lex_state = 40},
  [6832] = {.lex_state = 61, .external_lex_state = 35},
  [6833] = {.lex_state = 58, .external_lex_state = 51},
  [6834] = {.lex_state = 52, .external_lex_state = 45},
  [6835] = {.lex_state = 63, .external_lex_state = 40},
  [6836] = {.lex_state = 63, .external_lex_state = 40},
  [6837] = {.lex_state = 63, .external_lex_state = 40},
  [6838] = {.lex_state = 58, .external_lex_state = 51},
  [6839] = {.lex_state = 52, .external_lex_state = 45},
  [6840] = {.lex_state = 64, .external_lex_state = 35},
  [6841] = {.lex_state = 63, .external_lex_state = 29},
  [6842] = {.lex_state = 55, .external_lex_state = 47},
  [6843] = {.lex_state = 58, .external_lex_state = 51},
  [6844] = {.lex_state = 57, .external_lex_state = 51},
  [6845] = {.lex_state = 61, .external_lex_state = 29},
  [6846] = {.lex_state = 63, .external_lex_state = 40},
  [6847] = {.lex_state = 52, .external_lex_state = 43},
  [6848] = {.lex_state = 57, .external_lex_state = 51},
  [6849] = {.lex_state = 61, .external_lex_state = 29},
  [6850] = {.lex_state = 52, .external_lex_state = 43},
  [6851] = {.lex_state = 57, .external_lex_state = 51},
  [6852] = {.lex_state = 52, .external_lex_state = 24},
  [6853] = {.lex_state = 63, .external_lex_state = 38},
  [6854] = {.lex_state = 63, .external_lex_state = 40},
  [6855] = {.lex_state = 63, .external_lex_state = 55},
  [6856] = {.lex_state = 63, .external_lex_state = 40},
  [6857] = {.lex_state = 63, .external_lex_state = 40},
  [6858] = {.lex_state = 61, .external_lex_state = 29},
  [6859] = {.lex_state = 58, .external_lex_state = 28},
  [6860] = {.lex_state = 63, .external_lex_state = 40},
  [6861] = {.lex_state = 52, .external_lex_state = 43},
  [6862] = {.lex_state = 63, .external_lex_state = 28},
  [6863] = {.lex_state = 61, .external_lex_state = 26},
  [6864] = {.lex_state = 52, .external_lex_state = 37},
  [6865] = {.lex_state = 63, .external_lex_state = 34},
  [6866] = {.lex_state = 63, .external_lex_state = 55},
  [6867] = {.lex_state = 63, .external_lex_state = 34},
  [6868] = {.lex_state = 63, .external_lex_state = 39},
  [6869] = {.lex_state = 63, .external_lex_state = 39},
  [6870] = {.lex_state = 55, .external_lex_state = 47},
  [6871] = {.lex_state = 59, .external_lex_state = 35},
  [6872] = {.lex_state = 59, .external_lex_state = 35},
  [6873] = {.lex_state = 63, .external_lex_state = 39},
  [6874] = {.lex_state = 56, .external_lex_state = 26},
  [6875] = {.lex_state = 61, .external_lex_state = 29},
  [6876] = {.lex_state = 63, .external_lex_state = 40},
  [6877] = {.lex_state = 59, .external_lex_state = 35},
  [6878] = {.lex_state = 52, .external_lex_state = 26},
  [6879] = {.lex_state = 56, .external_lex_state = 32},
  [6880] = {.lex_state = 55, .external_lex_state = 47},
  [6881] = {.lex_state = 61, .external_lex_state = 43},
  [6882] = {.lex_state = 61, .external_lex_state = 29},
  [6883] = {.lex_state = 58, .external_lex_state = 26},
  [6884] = {.lex_state = 58, .external_lex_state = 53},
  [6885] = {.lex_state = 63, .external_lex_state = 39},
  [6886] = {.lex_state = 55, .external_lex_state = 47},
  [6887] = {.lex_state = 63, .external_lex_state = 35},
  [6888] = {.lex_state = 63, .external_lex_state = 40},
  [6889] = {.lex_state = 61, .external_lex_state = 35},
  [6890] = {.lex_state = 63, .external_lex_state = 40},
  [6891] = {.lex_state = 63, .external_lex_state = 39},
  [6892] = {.lex_state = 63, .external_lex_state = 38},
  [6893] = {.lex_state = 63, .external_lex_state = 23},
  [6894] = {.lex_state = 63, .external_lex_state = 28},
  [6895] = {.lex_state = 63, .external_lex_state = 40},
  [6896] = {.lex_state = 63, .external_lex_state = 39},
  [6897] = {.lex_state = 63, .external_lex_state = 40},
  [6898] = {.lex_state = 57, .external_lex_state = 26},
  [6899] = {.lex_state = 61, .external_lex_state = 42},
  [6900] = {.lex_state = 58, .external_lex_state = 28},
  [6901] = {.lex_state = 63, .external_lex_state = 40},
  [6902] = {.lex_state = 62, .external_lex_state = 47},
  [6903] = {.lex_state = 63, .external_lex_state = 35},
  [6904] = {.lex_state = 63, .external_lex_state = 39},
  [6905] = {.lex_state = 63, .external_lex_state = 27},
  [6906] = {.lex_state = 63, .external_lex_state = 39},
  [6907] = {.lex_state = 52, .external_lex_state = 31},
  [6908] = {.lex_state = 56, .external_lex_state = 28},
  [6909] = {.lex_state = 56, .external_lex_state = 53},
  [6910] = {.lex_state = 62, .external_lex_state = 35},
  [6911] = {.lex_state = 63, .external_lex_state = 40},
  [6912] = {.lex_state = 63, .external_lex_state = 40},
  [6913] = {.lex_state = 52, .external_lex_state = 48},
  [6914] = {.lex_state = 63, .external_lex_state = 40},
  [6915] = {.lex_state = 64, .external_lex_state = 55},
  [6916] = {.lex_state = 58, .external_lex_state = 53},
  [6917] = {.lex_state = 55, .external_lex_state = 47},
  [6918] = {.lex_state = 63, .external_lex_state = 40},
  [6919] = {.lex_state = 63, .external_lex_state = 40},
  [6920] = {.lex_state = 56, .external_lex_state = 31},
  [6921] = {.lex_state = 58, .external_lex_state = 53},
  [6922] = {.lex_state = 61, .external_lex_state = 35},
  [6923] = {.lex_state = 64, .external_lex_state = 55},
  [6924] = {.lex_state = 58, .external_lex_state = 53},
  [6925] = {.lex_state = 63, .external_lex_state = 38},
  [6926] = {.lex_state = 63, .external_lex_state = 39},
  [6927] = {.lex_state = 63, .external_lex_state = 39},
  [6928] = {.lex_state = 52, .external_lex_state = 35},
  [6929] = {.lex_state = 63, .external_lex_state = 38},
  [6930] = {.lex_state = 63, .external_lex_state = 39},
  [6931] = {.lex_state = 18},
  [6932] = {.lex_state = 58, .external_lex_state = 53},
  [6933] = {.lex_state = 58, .external_lex_state = 53},
  [6934] = {.lex_state = 63, .external_lex_state = 40},
  [6935] = {.lex_state = 18},
  [6936] = {.lex_state = 58, .external_lex_state = 53},
  [6937] = {.lex_state = 58, .external_lex_state = 53},
  [6938] = {.lex_state = 58, .external_lex_state = 28},
  [6939] = {.lex_state = 63, .external_lex_state = 29},
  [6940] = {.lex_state = 56, .external_lex_state = 27},
  [6941] = {.lex_state = 63, .external_lex_state = 38},
  [6942] = {.lex_state = 63, .external_lex_state = 40},
  [6943] = {.lex_state = 63, .external_lex_state = 39},
  [6944] = {.lex_state = 63, .external_lex_state = 45},
  [6945] = {.lex_state = 63, .external_lex_state = 40},
  [6946] = {.lex_state = 63, .external_lex_state = 38},
  [6947] = {.lex_state = 52, .external_lex_state = 26},
  [6948] = {.lex_state = 61, .external_lex_state = 40},
  [6949] = {.lex_state = 52, .external_lex_state = 55},
  [6950] = {.lex_state = 18},
  [6951] = {.lex_state = 63, .external_lex_state = 39},
  [6952] = {.lex_state = 56, .external_lex_state = 27},
  [6953] = {.lex_state = 56, .external_lex_state = 27},
  [6954] = {.lex_state = 63, .external_lex_state = 38},
  [6955] = {.lex_state = 18},
  [6956] = {.lex_state = 56, .external_lex_state = 27},
  [6957] = {.lex_state = 52, .external_lex_state = 54},
  [6958] = {.lex_state = 63, .external_lex_state = 39},
  [6959] = {.lex_state = 56, .external_lex_state = 27},
  [6960] = {.lex_state = 63, .external_lex_state = 39},
  [6961] = {.lex_state = 56, .external_lex_state = 27},
  [6962] = {.lex_state = 61, .external_lex_state = 46},
  [6963] = {.lex_state = 56, .external_lex_state = 27},
  [6964] = {.lex_state = 56, .external_lex_state = 27},
  [6965] = {.lex_state = 57, .external_lex_state = 35},
  [6966] = {.lex_state = 52, .external_lex_state = 35},
  [6967] = {.lex_state = 63, .external_lex_state = 40},
  [6968] = {.lex_state = 63, .external_lex_state = 38},
  [6969] = {.lex_state = 63, .external_lex_state = 40},
  [6970] = {.lex_state = 63, .external_lex_state = 38},
  [6971] = {.lex_state = 18},
  [6972] = {.lex_state = 63, .external_lex_state = 27},
  [6973] = {.lex_state = 63, .external_lex_state = 41},
  [6974] = {.lex_state = 56, .external_lex_state = 28},
  [6975] = {.lex_state = 63, .external_lex_state = 38},
  [6976] = {.lex_state = 63, .external_lex_state = 38},
  [6977] = {.lex_state = 18},
  [6978] = {.lex_state = 59, .external_lex_state = 35},
  [6979] = {.lex_state = 58, .external_lex_state = 51},
  [6980] = {.lex_state = 63, .external_lex_state = 40},
  [6981] = {.lex_state = 63, .external_lex_state = 40},
  [6982] = {.lex_state = 63, .external_lex_state = 38},
  [6983] = {.lex_state = 59, .external_lex_state = 35},
  [6984] = {.lex_state = 63, .external_lex_state = 46},
  [6985] = {.lex_state = 52, .external_lex_state = 48},
  [6986] = {.lex_state = 52, .external_lex_state = 34},
  [6987] = {.lex_state = 63, .external_lex_state = 41},
  [6988] = {.lex_state = 63, .external_lex_state = 38},
  [6989] = {.lex_state = 59, .external_lex_state = 35},
  [6990] = {.lex_state = 61, .external_lex_state = 35},
  [6991] = {.lex_state = 59, .external_lex_state = 35},
  [6992] = {.lex_state = 56, .external_lex_state = 35},
  [6993] = {.lex_state = 61, .external_lex_state = 49},
  [6994] = {.lex_state = 58, .external_lex_state = 53},
  [6995] = {.lex_state = 59, .external_lex_state = 35},
  [6996] = {.lex_state = 63, .external_lex_state = 38},
  [6997] = {.lex_state = 63, .external_lex_state = 40},
  [6998] = {.lex_state = 59, .external_lex_state = 35},
  [6999] = {.lex_state = 61, .external_lex_state = 29},
  [7000] = {.lex_state = 63, .external_lex_state = 38},
  [7001] = {.lex_state = 61, .external_lex_state = 45},
  [7002] = {.lex_state = 59, .external_lex_state = 35},
  [7003] = {.lex_state = 63, .external_lex_state = 43},
  [7004] = {.lex_state = 58, .external_lex_state = 27},
  [7005] = {.lex_state = 56, .external_lex_state = 28},
  [7006] = {.lex_state = 59, .external_lex_state = 35},
  [7007] = {.lex_state = 63, .external_lex_state = 38},
  [7008] = {.lex_state = 52, .external_lex_state = 54},
  [7009] = {.lex_state = 56, .external_lex_state = 49},
  [7010] = {.lex_state = 59, .external_lex_state = 35},
  [7011] = {.lex_state = 63, .external_lex_state = 40},
  [7012] = {.lex_state = 63, .external_lex_state = 38},
  [7013] = {.lex_state = 52, .external_lex_state = 47},
  [7014] = {.lex_state = 57, .external_lex_state = 49},
  [7015] = {.lex_state = 56, .external_lex_state = 27},
  [7016] = {.lex_state = 52, .external_lex_state = 55},
  [7017] = {.lex_state = 59, .external_lex_state = 35},
  [7018] = {.lex_state = 57, .external_lex_state = 49},
  [7019] = {.lex_state = 63, .external_lex_state = 24},
  [7020] = {.lex_state = 56, .external_lex_state = 49},
  [7021] = {.lex_state = 63, .external_lex_state = 38},
  [7022] = {.lex_state = 52, .external_lex_state = 48},
  [7023] = {.lex_state = 59, .external_lex_state = 35},
  [7024] = {.lex_state = 57, .external_lex_state = 49},
  [7025] = {.lex_state = 63, .external_lex_state = 24},
  [7026] = {.lex_state = 52, .external_lex_state = 33},
  [7027] = {.lex_state = 61, .external_lex_state = 35},
  [7028] = {.lex_state = 63, .external_lex_state = 38},
  [7029] = {.lex_state = 62, .external_lex_state = 35},
  [7030] = {.lex_state = 63, .external_lex_state = 40},
  [7031] = {.lex_state = 56, .external_lex_state = 27},
  [7032] = {.lex_state = 58, .external_lex_state = 49},
  [7033] = {.lex_state = 57, .external_lex_state = 49},
  [7034] = {.lex_state = 63, .external_lex_state = 57},
  [7035] = {.lex_state = 62, .external_lex_state = 35},
  [7036] = {.lex_state = 63, .external_lex_state = 29},
  [7037] = {.lex_state = 57, .external_lex_state = 49},
  [7038] = {.lex_state = 58, .external_lex_state = 32},
  [7039] = {.lex_state = 63, .external_lex_state = 40},
  [7040] = {.lex_state = 52, .external_lex_state = 43},
  [7041] = {.lex_state = 61, .external_lex_state = 49},
  [7042] = {.lex_state = 18},
  [7043] = {.lex_state = 61, .external_lex_state = 49},
  [7044] = {.lex_state = 61, .external_lex_state = 49},
  [7045] = {.lex_state = 63, .external_lex_state = 38},
  [7046] = {.lex_state = 18},
  [7047] = {.lex_state = 63, .external_lex_state = 38},
  [7048] = {.lex_state = 63, .external_lex_state = 36},
  [7049] = {.lex_state = 58, .external_lex_state = 49},
  [7050] = {.lex_state = 58, .external_lex_state = 49},
  [7051] = {.lex_state = 62, .external_lex_state = 47},
  [7052] = {.lex_state = 58, .external_lex_state = 49},
  [7053] = {.lex_state = 63, .external_lex_state = 40},
  [7054] = {.lex_state = 63, .external_lex_state = 46},
  [7055] = {.lex_state = 58, .external_lex_state = 49},
  [7056] = {.lex_state = 63, .external_lex_state = 38},
  [7057] = {.lex_state = 63, .external_lex_state = 40},
  [7058] = {.lex_state = 58, .external_lex_state = 49},
  [7059] = {.lex_state = 63, .external_lex_state = 36},
  [7060] = {.lex_state = 61, .external_lex_state = 32},
  [7061] = {.lex_state = 58, .external_lex_state = 49},
  [7062] = {.lex_state = 57, .external_lex_state = 26},
  [7063] = {.lex_state = 57, .external_lex_state = 26},
  [7064] = {.lex_state = 58, .external_lex_state = 49},
  [7065] = {.lex_state = 63, .external_lex_state = 40},
  [7066] = {.lex_state = 63, .external_lex_state = 42},
  [7067] = {.lex_state = 63, .external_lex_state = 40},
  [7068] = {.lex_state = 63, .external_lex_state = 38},
  [7069] = {.lex_state = 63, .external_lex_state = 38},
  [7070] = {.lex_state = 58, .external_lex_state = 26},
  [7071] = {.lex_state = 58, .external_lex_state = 26},
  [7072] = {.lex_state = 63, .external_lex_state = 55},
  [7073] = {.lex_state = 9, .external_lex_state = 47},
  [7074] = {.lex_state = 61, .external_lex_state = 32},
  [7075] = {.lex_state = 58, .external_lex_state = 26},
  [7076] = {.lex_state = 63, .external_lex_state = 38},
  [7077] = {.lex_state = 61, .external_lex_state = 27},
  [7078] = {.lex_state = 59, .external_lex_state = 35},
  [7079] = {.lex_state = 57, .external_lex_state = 26},
  [7080] = {.lex_state = 7, .external_lex_state = 47},
  [7081] = {.lex_state = 63, .external_lex_state = 38},
  [7082] = {.lex_state = 52, .external_lex_state = 44},
  [7083] = {.lex_state = 61, .external_lex_state = 29},
  [7084] = {.lex_state = 57, .external_lex_state = 53},
  [7085] = {.lex_state = 61, .external_lex_state = 55},
  [7086] = {.lex_state = 63, .external_lex_state = 40},
  [7087] = {.lex_state = 55, .external_lex_state = 35},
  [7088] = {.lex_state = 63, .external_lex_state = 41},
  [7089] = {.lex_state = 58, .external_lex_state = 26},
  [7090] = {.lex_state = 63, .external_lex_state = 33},
  [7091] = {.lex_state = 59, .external_lex_state = 55},
  [7092] = {.lex_state = 57, .external_lex_state = 26},
  [7093] = {.lex_state = 63, .external_lex_state = 38},
  [7094] = {.lex_state = 59, .external_lex_state = 35},
  [7095] = {.lex_state = 63, .external_lex_state = 47},
  [7096] = {.lex_state = 52, .external_lex_state = 52},
  [7097] = {.lex_state = 57, .external_lex_state = 26},
  [7098] = {.lex_state = 55, .external_lex_state = 35},
  [7099] = {.lex_state = 59, .external_lex_state = 55},
  [7100] = {.lex_state = 59, .external_lex_state = 55},
  [7101] = {.lex_state = 59, .external_lex_state = 55},
  [7102] = {.lex_state = 63, .external_lex_state = 38},
  [7103] = {.lex_state = 59, .external_lex_state = 55},
  [7104] = {.lex_state = 62, .external_lex_state = 47},
  [7105] = {.lex_state = 63, .external_lex_state = 39},
  [7106] = {.lex_state = 57, .external_lex_state = 53},
  [7107] = {.lex_state = 63, .external_lex_state = 33},
  [7108] = {.lex_state = 63, .external_lex_state = 56},
  [7109] = {.lex_state = 55, .external_lex_state = 47},
  [7110] = {.lex_state = 52, .external_lex_state = 32},
  [7111] = {.lex_state = 63, .external_lex_state = 38},
  [7112] = {.lex_state = 57, .external_lex_state = 26},
  [7113] = {.lex_state = 52, .external_lex_state = 35},
  [7114] = {.lex_state = 63, .external_lex_state = 38},
  [7115] = {.lex_state = 59, .external_lex_state = 55},
  [7116] = {.lex_state = 61, .external_lex_state = 38},
  [7117] = {.lex_state = 63, .external_lex_state = 42},
  [7118] = {.lex_state = 58, .external_lex_state = 49},
  [7119] = {.lex_state = 58, .external_lex_state = 55},
  [7120] = {.lex_state = 52, .external_lex_state = 54},
  [7121] = {.lex_state = 55, .external_lex_state = 35},
  [7122] = {.lex_state = 59, .external_lex_state = 55},
  [7123] = {.lex_state = 52, .external_lex_state = 50},
  [7124] = {.lex_state = 59, .external_lex_state = 35},
  [7125] = {.lex_state = 52, .external_lex_state = 44},
  [7126] = {.lex_state = 56, .external_lex_state = 55},
  [7127] = {.lex_state = 63, .external_lex_state = 24},
  [7128] = {.lex_state = 57, .external_lex_state = 26},
  [7129] = {.lex_state = 58, .external_lex_state = 55},
  [7130] = {.lex_state = 63, .external_lex_state = 24},
  [7131] = {.lex_state = 57, .external_lex_state = 26},
  [7132] = {.lex_state = 52, .external_lex_state = 48},
  [7133] = {.lex_state = 58, .external_lex_state = 42},
  [7134] = {.lex_state = 63, .external_lex_state = 42},
  [7135] = {.lex_state = 52, .external_lex_state = 33},
  [7136] = {.lex_state = 57, .external_lex_state = 51},
  [7137] = {.lex_state = 63, .external_lex_state = 40},
  [7138] = {.lex_state = 57, .external_lex_state = 26},
  [7139] = {.lex_state = 63, .external_lex_state = 42},
  [7140] = {.lex_state = 56, .external_lex_state = 47},
  [7141] = {.lex_state = 61, .external_lex_state = 43},
  [7142] = {.lex_state = 58, .external_lex_state = 55},
  [7143] = {.lex_state = 58, .external_lex_state = 42},
  [7144] = {.lex_state = 55, .external_lex_state = 35},
  [7145] = {.lex_state = 57, .external_lex_state = 26},
  [7146] = {.lex_state = 63, .external_lex_state = 40},
  [7147] = {.lex_state = 58, .external_lex_state = 55},
  [7148] = {.lex_state = 63, .external_lex_state = 40},
  [7149] = {.lex_state = 57, .external_lex_state = 26},
  [7150] = {.lex_state = 59, .external_lex_state = 55},
  [7151] = {.lex_state = 63, .external_lex_state = 40},
  [7152] = {.lex_state = 52, .external_lex_state = 29},
  [7153] = {.lex_state = 58, .external_lex_state = 55},
  [7154] = {.lex_state = 63, .external_lex_state = 23},
  [7155] = {.lex_state = 63, .external_lex_state = 23},
  [7156] = {.lex_state = 52, .external_lex_state = 27},
  [7157] = {.lex_state = 58, .external_lex_state = 55},
  [7158] = {.lex_state = 55, .external_lex_state = 35},
  [7159] = {.lex_state = 52, .external_lex_state = 32},
  [7160] = {.lex_state = 58, .external_lex_state = 27},
  [7161] = {.lex_state = 63, .external_lex_state = 23},
  [7162] = {.lex_state = 52, .external_lex_state = 27},
  [7163] = {.lex_state = 63, .external_lex_state = 39},
  [7164] = {.lex_state = 52, .external_lex_state = 35},
  [7165] = {.lex_state = 63, .external_lex_state = 38},
  [7166] = {.lex_state = 18},
  [7167] = {.lex_state = 63, .external_lex_state = 38},
  [7168] = {.lex_state = 58, .external_lex_state = 55},
  [7169] = {.lex_state = 63, .external_lex_state = 43},
  [7170] = {.lex_state = 63, .external_lex_state = 39},
  [7171] = {.lex_state = 57, .external_lex_state = 51},
  [7172] = {.lex_state = 18},
  [7173] = {.lex_state = 63, .external_lex_state = 40},
  [7174] = {.lex_state = 56, .external_lex_state = 28},
  [7175] = {.lex_state = 63, .external_lex_state = 38},
  [7176] = {.lex_state = 56, .external_lex_state = 55},
  [7177] = {.lex_state = 63, .external_lex_state = 23},
  [7178] = {.lex_state = 63, .external_lex_state = 45},
  [7179] = {.lex_state = 56, .external_lex_state = 55},
  [7180] = {.lex_state = 63, .external_lex_state = 38},
  [7181] = {.lex_state = 63, .external_lex_state = 45},
  [7182] = {.lex_state = 56, .external_lex_state = 55},
  [7183] = {.lex_state = 61, .external_lex_state = 29},
  [7184] = {.lex_state = 63, .external_lex_state = 43},
  [7185] = {.lex_state = 58, .external_lex_state = 55},
  [7186] = {.lex_state = 63, .external_lex_state = 45},
  [7187] = {.lex_state = 63, .external_lex_state = 38},
  [7188] = {.lex_state = 61, .external_lex_state = 39},
  [7189] = {.lex_state = 56, .external_lex_state = 55},
  [7190] = {.lex_state = 52, .external_lex_state = 35},
  [7191] = {.lex_state = 57, .external_lex_state = 26},
  [7192] = {.lex_state = 52, .external_lex_state = 55},
  [7193] = {.lex_state = 52, .external_lex_state = 39},
  [7194] = {.lex_state = 61, .external_lex_state = 29},
  [7195] = {.lex_state = 61, .external_lex_state = 29},
  [7196] = {.lex_state = 63, .external_lex_state = 38},
  [7197] = {.lex_state = 63, .external_lex_state = 38},
  [7198] = {.lex_state = 57, .external_lex_state = 53},
  [7199] = {.lex_state = 57, .external_lex_state = 51},
  [7200] = {.lex_state = 63, .external_lex_state = 38},
  [7201] = {.lex_state = 52, .external_lex_state = 32},
  [7202] = {.lex_state = 63, .external_lex_state = 43},
  [7203] = {.lex_state = 56, .external_lex_state = 28},
  [7204] = {.lex_state = 57, .external_lex_state = 53},
  [7205] = {.lex_state = 58, .external_lex_state = 43},
  [7206] = {.lex_state = 56, .external_lex_state = 28},
  [7207] = {.lex_state = 63, .external_lex_state = 38},
  [7208] = {.lex_state = 57, .external_lex_state = 53},
  [7209] = {.lex_state = 63, .external_lex_state = 45},
  [7210] = {.lex_state = 57, .external_lex_state = 53},
  [7211] = {.lex_state = 52, .external_lex_state = 23},
  [7212] = {.lex_state = 58, .external_lex_state = 28},
  [7213] = {.lex_state = 52, .external_lex_state = 32},
  [7214] = {.lex_state = 57, .external_lex_state = 53},
  [7215] = {.lex_state = 56, .external_lex_state = 55},
  [7216] = {.lex_state = 58, .external_lex_state = 45},
  [7217] = {.lex_state = 56, .external_lex_state = 55},
  [7218] = {.lex_state = 57, .external_lex_state = 35},
  [7219] = {.lex_state = 52, .external_lex_state = 48},
  [7220] = {.lex_state = 52, .external_lex_state = 32},
  [7221] = {.lex_state = 57, .external_lex_state = 53},
  [7222] = {.lex_state = 63, .external_lex_state = 39},
  [7223] = {.lex_state = 58, .external_lex_state = 27},
  [7224] = {.lex_state = 58, .external_lex_state = 31},
  [7225] = {.lex_state = 63, .external_lex_state = 38},
  [7226] = {.lex_state = 58, .external_lex_state = 27},
  [7227] = {.lex_state = 57, .external_lex_state = 53},
  [7228] = {.lex_state = 56, .external_lex_state = 55},
  [7229] = {.lex_state = 58, .external_lex_state = 45},
  [7230] = {.lex_state = 56, .external_lex_state = 28},
  [7231] = {.lex_state = 58, .external_lex_state = 43},
  [7232] = {.lex_state = 63, .external_lex_state = 40},
  [7233] = {.lex_state = 63, .external_lex_state = 40},
  [7234] = {.lex_state = 54},
  [7235] = {.lex_state = 63, .external_lex_state = 46},
  [7236] = {.lex_state = 63, .external_lex_state = 39},
  [7237] = {.lex_state = 63, .external_lex_state = 38},
  [7238] = {.lex_state = 52, .external_lex_state = 34},
  [7239] = {.lex_state = 63, .external_lex_state = 46},
  [7240] = {.lex_state = 58, .external_lex_state = 46},
  [7241] = {.lex_state = 63, .external_lex_state = 38},
  [7242] = {.lex_state = 57, .external_lex_state = 51},
  [7243] = {.lex_state = 63, .external_lex_state = 40},
  [7244] = {.lex_state = 63, .external_lex_state = 40},
  [7245] = {.lex_state = 57, .external_lex_state = 51},
  [7246] = {.lex_state = 63, .external_lex_state = 38},
  [7247] = {.lex_state = 57, .external_lex_state = 53},
  [7248] = {.lex_state = 63, .external_lex_state = 43},
  [7249] = {.lex_state = 56, .external_lex_state = 55},
  [7250] = {.lex_state = 52, .external_lex_state = 42},
  [7251] = {.lex_state = 63, .external_lex_state = 46},
  [7252] = {.lex_state = 56, .external_lex_state = 55},
  [7253] = {.lex_state = 57, .external_lex_state = 53},
  [7254] = {.lex_state = 58, .external_lex_state = 46},
  [7255] = {.lex_state = 52, .external_lex_state = 55},
  [7256] = {.lex_state = 54},
  [7257] = {.lex_state = 56, .external_lex_state = 47},
  [7258] = {.lex_state = 56, .external_lex_state = 28},
  [7259] = {.lex_state = 56, .external_lex_state = 55},
  [7260] = {.lex_state = 57, .external_lex_state = 51},
  [7261] = {.lex_state = 62, .external_lex_state = 55},
  [7262] = {.lex_state = 63, .external_lex_state = 47},
  [7263] = {.lex_state = 52, .external_lex_state = 42},
  [7264] = {.lex_state = 58, .external_lex_state = 51},
  [7265] = {.lex_state = 52, .external_lex_state = 42},
  [7266] = {.lex_state = 58, .external_lex_state = 51},
  [7267] = {.lex_state = 52, .external_lex_state = 28},
  [7268] = {.lex_state = 52, .external_lex_state = 42},
  [7269] = {.lex_state = 10, .external_lex_state = 47},
  [7270] = {.lex_state = 58, .external_lex_state = 51},
  [7271] = {.lex_state = 58, .external_lex_state = 51},
  [7272] = {.lex_state = 57, .external_lex_state = 51},
  [7273] = {.lex_state = 63, .external_lex_state = 40},
  [7274] = {.lex_state = 57, .external_lex_state = 53},
  [7275] = {.lex_state = 54},
  [7276] = {.lex_state = 63, .external_lex_state = 38},
  [7277] = {.lex_state = 55, .external_lex_state = 47},
  [7278] = {.lex_state = 57, .external_lex_state = 51},
  [7279] = {.lex_state = 56, .external_lex_state = 55},
  [7280] = {.lex_state = 63, .external_lex_state = 39},
  [7281] = {.lex_state = 52, .external_lex_state = 28},
  [7282] = {.lex_state = 63, .external_lex_state = 39},
  [7283] = {.lex_state = 52, .external_lex_state = 52},
  [7284] = {.lex_state = 57, .external_lex_state = 51},
  [7285] = {.lex_state = 61, .external_lex_state = 47},
  [7286] = {.lex_state = 57, .external_lex_state = 51},
  [7287] = {.lex_state = 56, .external_lex_state = 49},
  [7288] = {.lex_state = 57, .external_lex_state = 49},
  [7289] = {.lex_state = 58, .external_lex_state = 53},
  [7290] = {.lex_state = 61, .external_lex_state = 47},
  [7291] = {.lex_state = 58, .external_lex_state = 53},
  [7292] = {.lex_state = 61, .external_lex_state = 47},
  [7293] = {.lex_state = 63, .external_lex_state = 39},
  [7294] = {.lex_state = 63, .external_lex_state = 40},
  [7295] = {.lex_state = 58, .external_lex_state = 53},
  [7296] = {.lex_state = 56, .external_lex_state = 28},
  [7297] = {.lex_state = 57, .external_lex_state = 51},
  [7298] = {.lex_state = 57, .external_lex_state = 53},
  [7299] = {.lex_state = 63, .external_lex_state = 39},
  [7300] = {.lex_state = 56, .external_lex_state = 47},
  [7301] = {.lex_state = 58, .external_lex_state = 53},
  [7302] = {.lex_state = 61, .external_lex_state = 55},
  [7303] = {.lex_state = 63, .external_lex_state = 40},
  [7304] = {.lex_state = 7, .external_lex_state = 47},
  [7305] = {.lex_state = 52, .external_lex_state = 47},
  [7306] = {.lex_state = 63, .external_lex_state = 58},
  [7307] = {.lex_state = 61, .external_lex_state = 45},
  [7308] = {.lex_state = 56, .external_lex_state = 27},
  [7309] = {.lex_state = 56, .external_lex_state = 27},
  [7310] = {.lex_state = 56, .external_lex_state = 27},
  [7311] = {.lex_state = 7, .external_lex_state = 47},
  [7312] = {.lex_state = 56, .external_lex_state = 27},
  [7313] = {.lex_state = 56, .external_lex_state = 53},
  [7314] = {.lex_state = 52, .external_lex_state = 24},
  [7315] = {.lex_state = 57, .external_lex_state = 51},
  [7316] = {.lex_state = 61, .external_lex_state = 47},
  [7317] = {.lex_state = 64, .external_lex_state = 35},
  [7318] = {.lex_state = 63, .external_lex_state = 39},
  [7319] = {.lex_state = 7, .external_lex_state = 47},
  [7320] = {.lex_state = 56, .external_lex_state = 55},
  [7321] = {.lex_state = 64, .external_lex_state = 35},
  [7322] = {.lex_state = 63, .external_lex_state = 38},
  [7323] = {.lex_state = 56, .external_lex_state = 28},
  [7324] = {.lex_state = 63, .external_lex_state = 24},
  [7325] = {.lex_state = 56, .external_lex_state = 51},
  [7326] = {.lex_state = 56, .external_lex_state = 28},
  [7327] = {.lex_state = 61, .external_lex_state = 28},
  [7328] = {.lex_state = 7, .external_lex_state = 47},
  [7329] = {.lex_state = 62, .external_lex_state = 55},
  [7330] = {.lex_state = 58, .external_lex_state = 49},
  [7331] = {.lex_state = 64, .external_lex_state = 35},
  [7332] = {.lex_state = 63, .external_lex_state = 38},
  [7333] = {.lex_state = 56, .external_lex_state = 53},
  [7334] = {.lex_state = 57, .external_lex_state = 49},
  [7335] = {.lex_state = 63, .external_lex_state = 39},
  [7336] = {.lex_state = 57, .external_lex_state = 49},
  [7337] = {.lex_state = 58, .external_lex_state = 49},
  [7338] = {.lex_state = 58, .external_lex_state = 49},
  [7339] = {.lex_state = 56, .external_lex_state = 31},
  [7340] = {.lex_state = 7, .external_lex_state = 47},
  [7341] = {.lex_state = 58, .external_lex_state = 49},
  [7342] = {.lex_state = 56, .external_lex_state = 51},
  [7343] = {.lex_state = 56, .external_lex_state = 28},
  [7344] = {.lex_state = 63, .external_lex_state = 44},
  [7345] = {.lex_state = 63, .external_lex_state = 28},
  [7346] = {.lex_state = 56, .external_lex_state = 31},
  [7347] = {.lex_state = 7, .external_lex_state = 47},
  [7348] = {.lex_state = 57, .external_lex_state = 26},
  [7349] = {.lex_state = 56, .external_lex_state = 55},
  [7350] = {.lex_state = 7, .external_lex_state = 47},
  [7351] = {.lex_state = 63, .external_lex_state = 39},
  [7352] = {.lex_state = 52, .external_lex_state = 55},
  [7353] = {.lex_state = 63, .external_lex_state = 39},
  [7354] = {.lex_state = 7, .external_lex_state = 47},
  [7355] = {.lex_state = 63, .external_lex_state = 39},
  [7356] = {.lex_state = 52, .external_lex_state = 35},
  [7357] = {.lex_state = 63, .external_lex_state = 39},
  [7358] = {.lex_state = 56, .external_lex_state = 28},
  [7359] = {.lex_state = 7, .external_lex_state = 47},
  [7360] = {.lex_state = 63, .external_lex_state = 39},
  [7361] = {.lex_state = 7, .external_lex_state = 47},
  [7362] = {.lex_state = 7, .external_lex_state = 47},
  [7363] = {.lex_state = 63, .external_lex_state = 23},
  [7364] = {.lex_state = 63, .external_lex_state = 41},
  [7365] = {.lex_state = 51},
  [7366] = {.lex_state = 52, .external_lex_state = 23},
  [7367] = {.lex_state = 58, .external_lex_state = 28},
  [7368] = {.lex_state = 63},
  [7369] = {.lex_state = 63, .external_lex_state = 44},
  [7370] = {.lex_state = 63, .external_lex_state = 44},
  [7371] = {.lex_state = 52, .external_lex_state = 28},
  [7372] = {.lex_state = 61, .external_lex_state = 46},
  [7373] = {.lex_state = 58, .external_lex_state = 28},
  [7374] = {.lex_state = 63},
  [7375] = {.lex_state = 63, .external_lex_state = 52},
  [7376] = {.lex_state = 58, .external_lex_state = 28},
  [7377] = {.lex_state = 56, .external_lex_state = 35},
  [7378] = {.lex_state = 64, .external_lex_state = 35},
  [7379] = {.lex_state = 52, .external_lex_state = 38},
  [7380] = {.lex_state = 54},
  [7381] = {.lex_state = 62, .external_lex_state = 35},
  [7382] = {.lex_state = 63, .external_lex_state = 44},
  [7383] = {.lex_state = 56, .external_lex_state = 55},
  [7384] = {.lex_state = 63, .external_lex_state = 44},
  [7385] = {.lex_state = 56, .external_lex_state = 28},
  [7386] = {.lex_state = 57, .external_lex_state = 27},
  [7387] = {.lex_state = 63, .external_lex_state = 23},
  [7388] = {.lex_state = 63, .external_lex_state = 44},
  [7389] = {.lex_state = 63},
  [7390] = {.lex_state = 9, .external_lex_state = 47},
  [7391] = {.lex_state = 63, .external_lex_state = 26},
  [7392] = {.lex_state = 63, .external_lex_state = 41},
  [7393] = {.lex_state = 58, .external_lex_state = 27},
  [7394] = {.lex_state = 63, .external_lex_state = 41},
  [7395] = {.lex_state = 52, .external_lex_state = 34},
  [7396] = {.lex_state = 57, .external_lex_state = 28},
  [7397] = {.lex_state = 63},
  [7398] = {.lex_state = 58, .external_lex_state = 27},
  [7399] = {.lex_state = 63, .external_lex_state = 41},
  [7400] = {.lex_state = 63, .external_lex_state = 44},
  [7401] = {.lex_state = 58, .external_lex_state = 27},
  [7402] = {.lex_state = 63, .external_lex_state = 44},
  [7403] = {.lex_state = 58, .external_lex_state = 27},
  [7404] = {.lex_state = 18},
  [7405] = {.lex_state = 62, .external_lex_state = 35},
  [7406] = {.lex_state = 63, .external_lex_state = 44},
  [7407] = {.lex_state = 63, .external_lex_state = 23},
  [7408] = {.lex_state = 56, .external_lex_state = 28},
  [7409] = {.lex_state = 63, .external_lex_state = 44},
  [7410] = {.lex_state = 58, .external_lex_state = 32},
  [7411] = {.lex_state = 58, .external_lex_state = 28},
  [7412] = {.lex_state = 63},
  [7413] = {.lex_state = 63, .external_lex_state = 41},
  [7414] = {.lex_state = 61, .external_lex_state = 49},
  [7415] = {.lex_state = 63, .external_lex_state = 42},
  [7416] = {.lex_state = 63, .external_lex_state = 41},
  [7417] = {.lex_state = 61, .external_lex_state = 34},
  [7418] = {.lex_state = 63},
  [7419] = {.lex_state = 62, .external_lex_state = 35},
  [7420] = {.lex_state = 58, .external_lex_state = 32},
  [7421] = {.lex_state = 58, .external_lex_state = 49},
  [7422] = {.lex_state = 63},
  [7423] = {.lex_state = 57, .external_lex_state = 27},
  [7424] = {.lex_state = 63},
  [7425] = {.lex_state = 57, .external_lex_state = 27},
  [7426] = {.lex_state = 63, .external_lex_state = 41},
  [7427] = {.lex_state = 63, .external_lex_state = 41},
  [7428] = {.lex_state = 63, .external_lex_state = 41},
  [7429] = {.lex_state = 63, .external_lex_state = 41},
  [7430] = {.lex_state = 62, .external_lex_state = 35},
  [7431] = {.lex_state = 63},
  [7432] = {.lex_state = 58, .external_lex_state = 49},
  [7433] = {.lex_state = 57, .external_lex_state = 28},
  [7434] = {.lex_state = 63},
  [7435] = {.lex_state = 58, .external_lex_state = 28},
  [7436] = {.lex_state = 61, .external_lex_state = 34},
  [7437] = {.lex_state = 63, .external_lex_state = 23},
  [7438] = {.lex_state = 57, .external_lex_state = 47},
  [7439] = {.lex_state = 63, .external_lex_state = 23},
  [7440] = {.lex_state = 63, .external_lex_state = 44},
  [7441] = {.lex_state = 63, .external_lex_state = 44},
  [7442] = {.lex_state = 63, .external_lex_state = 41},
  [7443] = {.lex_state = 63, .external_lex_state = 49},
  [7444] = {.lex_state = 63, .external_lex_state = 41},
  [7445] = {.lex_state = 59, .external_lex_state = 55},
  [7446] = {.lex_state = 63, .external_lex_state = 31},
  [7447] = {.lex_state = 63, .external_lex_state = 24},
  [7448] = {.lex_state = 58, .external_lex_state = 31},
  [7449] = {.lex_state = 58, .external_lex_state = 32},
  [7450] = {.lex_state = 59, .external_lex_state = 55},
  [7451] = {.lex_state = 58, .external_lex_state = 31},
  [7452] = {.lex_state = 63, .external_lex_state = 44},
  [7453] = {.lex_state = 63, .external_lex_state = 44},
  [7454] = {.lex_state = 64, .external_lex_state = 55},
  [7455] = {.lex_state = 63},
  [7456] = {.lex_state = 63, .external_lex_state = 42},
  [7457] = {.lex_state = 63},
  [7458] = {.lex_state = 55, .external_lex_state = 35},
  [7459] = {.lex_state = 57, .external_lex_state = 47},
  [7460] = {.lex_state = 63, .external_lex_state = 24},
  [7461] = {.lex_state = 61, .external_lex_state = 34},
  [7462] = {.lex_state = 57, .external_lex_state = 47},
  [7463] = {.lex_state = 63},
  [7464] = {.lex_state = 58, .external_lex_state = 28},
  [7465] = {.lex_state = 57, .external_lex_state = 28},
  [7466] = {.lex_state = 57, .external_lex_state = 28},
  [7467] = {.lex_state = 52, .external_lex_state = 29},
  [7468] = {.lex_state = 57, .external_lex_state = 55},
  [7469] = {.lex_state = 63, .external_lex_state = 44},
  [7470] = {.lex_state = 63, .external_lex_state = 44},
  [7471] = {.lex_state = 52},
  [7472] = {.lex_state = 63},
  [7473] = {.lex_state = 63, .external_lex_state = 41},
  [7474] = {.lex_state = 61, .external_lex_state = 41},
  [7475] = {.lex_state = 63, .external_lex_state = 23},
  [7476] = {.lex_state = 52, .external_lex_state = 35},
  [7477] = {.lex_state = 51},
  [7478] = {.lex_state = 52, .external_lex_state = 36},
  [7479] = {.lex_state = 51},
  [7480] = {.lex_state = 57, .external_lex_state = 55},
  [7481] = {.lex_state = 52, .external_lex_state = 56},
  [7482] = {.lex_state = 4},
  [7483] = {.lex_state = 61, .external_lex_state = 26},
  [7484] = {.lex_state = 63, .external_lex_state = 41},
  [7485] = {.lex_state = 57, .external_lex_state = 27},
  [7486] = {.lex_state = 59, .external_lex_state = 35},
  [7487] = {.lex_state = 63, .external_lex_state = 41},
  [7488] = {.lex_state = 57, .external_lex_state = 27},
  [7489] = {.lex_state = 57, .external_lex_state = 27},
  [7490] = {.lex_state = 57, .external_lex_state = 47},
  [7491] = {.lex_state = 52, .external_lex_state = 36},
  [7492] = {.lex_state = 52, .external_lex_state = 29},
  [7493] = {.lex_state = 57, .external_lex_state = 27},
  [7494] = {.lex_state = 63},
  [7495] = {.lex_state = 55, .external_lex_state = 35},
  [7496] = {.lex_state = 63, .external_lex_state = 41},
  [7497] = {.lex_state = 57, .external_lex_state = 27},
  [7498] = {.lex_state = 63, .external_lex_state = 41},
  [7499] = {.lex_state = 61, .external_lex_state = 43},
  [7500] = {.lex_state = 63},
  [7501] = {.lex_state = 51},
  [7502] = {.lex_state = 57, .external_lex_state = 27},
  [7503] = {.lex_state = 63, .external_lex_state = 23},
  [7504] = {.lex_state = 61, .external_lex_state = 35},
  [7505] = {.lex_state = 52, .external_lex_state = 58},
  [7506] = {.lex_state = 58, .external_lex_state = 31},
  [7507] = {.lex_state = 57, .external_lex_state = 27},
  [7508] = {.lex_state = 63, .external_lex_state = 23},
  [7509] = {.lex_state = 52, .external_lex_state = 23},
  [7510] = {.lex_state = 59, .external_lex_state = 35},
  [7511] = {.lex_state = 63, .external_lex_state = 41},
  [7512] = {.lex_state = 63, .external_lex_state = 51},
  [7513] = {.lex_state = 52, .external_lex_state = 29},
  [7514] = {.lex_state = 63, .external_lex_state = 41},
  [7515] = {.lex_state = 63, .external_lex_state = 44},
  [7516] = {.lex_state = 63, .external_lex_state = 48},
  [7517] = {.lex_state = 63, .external_lex_state = 41},
  [7518] = {.lex_state = 61, .external_lex_state = 32},
  [7519] = {.lex_state = 57, .external_lex_state = 55},
  [7520] = {.lex_state = 61, .external_lex_state = 49},
  [7521] = {.lex_state = 63},
  [7522] = {.lex_state = 64, .external_lex_state = 55},
  [7523] = {.lex_state = 52, .external_lex_state = 41},
  [7524] = {.lex_state = 57, .external_lex_state = 47},
  [7525] = {.lex_state = 57, .external_lex_state = 28},
  [7526] = {.lex_state = 58, .external_lex_state = 28},
  [7527] = {.lex_state = 63},
  [7528] = {.lex_state = 52, .external_lex_state = 29},
  [7529] = {.lex_state = 62, .external_lex_state = 47},
  [7530] = {.lex_state = 63, .external_lex_state = 41},
  [7531] = {.lex_state = 63},
  [7532] = {.lex_state = 61, .external_lex_state = 34},
  [7533] = {.lex_state = 61, .external_lex_state = 31},
  [7534] = {.lex_state = 56, .external_lex_state = 31},
  [7535] = {.lex_state = 63},
  [7536] = {.lex_state = 52, .external_lex_state = 29},
  [7537] = {.lex_state = 63, .external_lex_state = 44},
  [7538] = {.lex_state = 63, .external_lex_state = 23},
  [7539] = {.lex_state = 63, .external_lex_state = 41},
  [7540] = {.lex_state = 19, .external_lex_state = 47},
  [7541] = {.lex_state = 63},
  [7542] = {.lex_state = 63, .external_lex_state = 41},
  [7543] = {.lex_state = 56, .external_lex_state = 32},
  [7544] = {.lex_state = 57, .external_lex_state = 47},
  [7545] = {.lex_state = 57, .external_lex_state = 47},
  [7546] = {.lex_state = 63, .external_lex_state = 44},
  [7547] = {.lex_state = 51},
  [7548] = {.lex_state = 52, .external_lex_state = 27},
  [7549] = {.lex_state = 59, .external_lex_state = 35},
  [7550] = {.lex_state = 57, .external_lex_state = 47},
  [7551] = {.lex_state = 52, .external_lex_state = 39},
  [7552] = {.lex_state = 52, .external_lex_state = 29},
  [7553] = {.lex_state = 56, .external_lex_state = 32},
  [7554] = {.lex_state = 63, .external_lex_state = 32},
  [7555] = {.lex_state = 63, .external_lex_state = 44},
  [7556] = {.lex_state = 63, .external_lex_state = 43},
  [7557] = {.lex_state = 57, .external_lex_state = 28},
  [7558] = {.lex_state = 63},
  [7559] = {.lex_state = 63},
  [7560] = {.lex_state = 62, .external_lex_state = 55},
  [7561] = {.lex_state = 63, .external_lex_state = 53},
  [7562] = {.lex_state = 62, .external_lex_state = 55},
  [7563] = {.lex_state = 63, .external_lex_state = 44},
  [7564] = {.lex_state = 62, .external_lex_state = 47},
  [7565] = {.lex_state = 63, .external_lex_state = 44},
  [7566] = {.lex_state = 57, .external_lex_state = 27},
  [7567] = {.lex_state = 52, .external_lex_state = 29},
  [7568] = {.lex_state = 62, .external_lex_state = 55},
  [7569] = {.lex_state = 63, .external_lex_state = 43},
  [7570] = {.lex_state = 11, .external_lex_state = 47},
  [7571] = {.lex_state = 52, .external_lex_state = 52},
  [7572] = {.lex_state = 63},
  [7573] = {.lex_state = 52, .external_lex_state = 29},
  [7574] = {.lex_state = 17, .external_lex_state = 47},
  [7575] = {.lex_state = 57, .external_lex_state = 47},
  [7576] = {.lex_state = 63, .external_lex_state = 44},
  [7577] = {.lex_state = 61, .external_lex_state = 26},
  [7578] = {.lex_state = 63, .external_lex_state = 44},
  [7579] = {.lex_state = 63, .external_lex_state = 44},
  [7580] = {.lex_state = 61, .external_lex_state = 34},
  [7581] = {.lex_state = 63, .external_lex_state = 41},
  [7582] = {.lex_state = 61, .external_lex_state = 32},
  [7583] = {.lex_state = 61, .external_lex_state = 34},
  [7584] = {.lex_state = 63},
  [7585] = {.lex_state = 63, .external_lex_state = 41},
  [7586] = {.lex_state = 61, .external_lex_state = 34},
  [7587] = {.lex_state = 18},
  [7588] = {.lex_state = 57, .external_lex_state = 55},
  [7589] = {.lex_state = 63, .external_lex_state = 44},
  [7590] = {.lex_state = 63, .external_lex_state = 44},
  [7591] = {.lex_state = 63, .external_lex_state = 23},
  [7592] = {.lex_state = 63, .external_lex_state = 44},
  [7593] = {.lex_state = 57, .external_lex_state = 28},
  [7594] = {.lex_state = 61, .external_lex_state = 46},
  [7595] = {.lex_state = 63},
  [7596] = {.lex_state = 57, .external_lex_state = 28},
  [7597] = {.lex_state = 52, .external_lex_state = 35},
  [7598] = {.lex_state = 59, .external_lex_state = 35},
  [7599] = {.lex_state = 57, .external_lex_state = 28},
  [7600] = {.lex_state = 52, .external_lex_state = 29},
  [7601] = {.lex_state = 57, .external_lex_state = 28},
  [7602] = {.lex_state = 63, .external_lex_state = 23},
  [7603] = {.lex_state = 63, .external_lex_state = 23},
  [7604] = {.lex_state = 63, .external_lex_state = 41},
  [7605] = {.lex_state = 63, .external_lex_state = 23},
  [7606] = {.lex_state = 63, .external_lex_state = 23},
  [7607] = {.lex_state = 63, .external_lex_state = 32},
  [7608] = {.lex_state = 59, .external_lex_state = 35},
  [7609] = {.lex_state = 63},
  [7610] = {.lex_state = 63},
  [7611] = {.lex_state = 63, .external_lex_state = 41},
  [7612] = {.lex_state = 57, .external_lex_state = 47},
  [7613] = {.lex_state = 57, .external_lex_state = 55},
  [7614] = {.lex_state = 63, .external_lex_state = 23},
  [7615] = {.lex_state = 61, .external_lex_state = 34},
  [7616] = {.lex_state = 57, .external_lex_state = 55},
  [7617] = {.lex_state = 52, .external_lex_state = 58},
  [7618] = {.lex_state = 63},
  [7619] = {.lex_state = 52, .external_lex_state = 37},
  [7620] = {.lex_state = 61, .external_lex_state = 35},
  [7621] = {.lex_state = 63, .external_lex_state = 23},
  [7622] = {.lex_state = 63, .external_lex_state = 23},
  [7623] = {.lex_state = 63, .external_lex_state = 39},
  [7624] = {.lex_state = 63, .external_lex_state = 23},
  [7625] = {.lex_state = 52, .external_lex_state = 57},
  [7626] = {.lex_state = 63, .external_lex_state = 41},
  [7627] = {.lex_state = 63, .external_lex_state = 23},
  [7628] = {.lex_state = 52, .external_lex_state = 55},
  [7629] = {.lex_state = 52, .external_lex_state = 26},
  [7630] = {.lex_state = 52, .external_lex_state = 55},
  [7631] = {.lex_state = 63, .external_lex_state = 44},
  [7632] = {.lex_state = 51},
  [7633] = {.lex_state = 51},
  [7634] = {.lex_state = 63, .external_lex_state = 23},
  [7635] = {.lex_state = 63, .external_lex_state = 41},
  [7636] = {.lex_state = 57, .external_lex_state = 28},
  [7637] = {.lex_state = 63, .external_lex_state = 23},
  [7638] = {.lex_state = 63, .external_lex_state = 44},
  [7639] = {.lex_state = 4},
  [7640] = {.lex_state = 63, .external_lex_state = 23},
  [7641] = {.lex_state = 63, .external_lex_state = 23},
  [7642] = {.lex_state = 52, .external_lex_state = 49},
  [7643] = {.lex_state = 63},
  [7644] = {.lex_state = 57},
  [7645] = {.lex_state = 63, .external_lex_state = 44},
  [7646] = {.lex_state = 52, .external_lex_state = 55},
  [7647] = {.lex_state = 63},
  [7648] = {.lex_state = 52, .external_lex_state = 49},
  [7649] = {.lex_state = 52, .external_lex_state = 37},
  [7650] = {.lex_state = 63},
  [7651] = {.lex_state = 51},
  [7652] = {.lex_state = 63, .external_lex_state = 44},
  [7653] = {.lex_state = 57, .external_lex_state = 27},
  [7654] = {.lex_state = 63, .external_lex_state = 41},
  [7655] = {.lex_state = 63, .external_lex_state = 41},
  [7656] = {.lex_state = 63, .external_lex_state = 31},
  [7657] = {.lex_state = 61, .external_lex_state = 28},
  [7658] = {.lex_state = 63},
  [7659] = {.lex_state = 63, .external_lex_state = 23},
  [7660] = {.lex_state = 63, .external_lex_state = 23},
  [7661] = {.lex_state = 52, .external_lex_state = 49},
  [7662] = {.lex_state = 63, .external_lex_state = 38},
  [7663] = {.lex_state = 56, .external_lex_state = 31},
  [7664] = {.lex_state = 63, .external_lex_state = 44},
  [7665] = {.lex_state = 63},
  [7666] = {.lex_state = 63, .external_lex_state = 44},
  [7667] = {.lex_state = 63, .external_lex_state = 23},
  [7668] = {.lex_state = 63, .external_lex_state = 39},
  [7669] = {.lex_state = 58, .external_lex_state = 35},
  [7670] = {.lex_state = 57, .external_lex_state = 28},
  [7671] = {.lex_state = 9, .external_lex_state = 47},
  [7672] = {.lex_state = 63, .external_lex_state = 44},
  [7673] = {.lex_state = 56, .external_lex_state = 31},
  [7674] = {.lex_state = 59, .external_lex_state = 35},
  [7675] = {.lex_state = 63, .external_lex_state = 41},
  [7676] = {.lex_state = 63},
  [7677] = {.lex_state = 63, .external_lex_state = 46},
  [7678] = {.lex_state = 63, .external_lex_state = 41},
  [7679] = {.lex_state = 58, .external_lex_state = 55},
  [7680] = {.lex_state = 56, .external_lex_state = 31},
  [7681] = {.lex_state = 57},
  [7682] = {.lex_state = 58, .external_lex_state = 35},
  [7683] = {.lex_state = 57, .external_lex_state = 55},
  [7684] = {.lex_state = 51},
  [7685] = {.lex_state = 63, .external_lex_state = 23},
  [7686] = {.lex_state = 63},
  [7687] = {.lex_state = 63, .external_lex_state = 23},
  [7688] = {.lex_state = 52, .external_lex_state = 43},
  [7689] = {.lex_state = 61, .external_lex_state = 31},
  [7690] = {.lex_state = 57, .external_lex_state = 55},
  [7691] = {.lex_state = 63},
  [7692] = {.lex_state = 63, .external_lex_state = 41},
  [7693] = {.lex_state = 63, .external_lex_state = 23},
  [7694] = {.lex_state = 63},
  [7695] = {.lex_state = 63, .external_lex_state = 23},
  [7696] = {.lex_state = 52, .external_lex_state = 50},
  [7697] = {.lex_state = 61, .external_lex_state = 23},
  [7698] = {.lex_state = 52, .external_lex_state = 24},
  [7699] = {.lex_state = 61, .external_lex_state = 42},
  [7700] = {.lex_state = 58, .external_lex_state = 27},
  [7701] = {.lex_state = 63, .external_lex_state = 34},
  [7702] = {.lex_state = 63, .external_lex_state = 44},
  [7703] = {.lex_state = 61, .external_lex_state = 55},
  [7704] = {.lex_state = 61, .external_lex_state = 28},
  [7705] = {.lex_state = 63},
  [7706] = {.lex_state = 61, .external_lex_state = 33},
  [7707] = {.lex_state = 52, .external_lex_state = 27},
  [7708] = {.lex_state = 61, .external_lex_state = 34},
  [7709] = {.lex_state = 52, .external_lex_state = 31},
  [7710] = {.lex_state = 63, .external_lex_state = 49},
  [7711] = {.lex_state = 51},
  [7712] = {.lex_state = 51},
  [7713] = {.lex_state = 63},
  [7714] = {.lex_state = 10, .external_lex_state = 47},
  [7715] = {.lex_state = 61, .external_lex_state = 55},
  [7716] = {.lex_state = 58, .external_lex_state = 51},
  [7717] = {.lex_state = 63, .external_lex_state = 31},
  [7718] = {.lex_state = 63, .external_lex_state = 41},
  [7719] = {.lex_state = 61, .external_lex_state = 42},
  [7720] = {.lex_state = 56, .external_lex_state = 47},
  [7721] = {.lex_state = 18},
  [7722] = {.lex_state = 52, .external_lex_state = 31},
  [7723] = {.lex_state = 61, .external_lex_state = 55},
  [7724] = {.lex_state = 63, .external_lex_state = 23},
  [7725] = {.lex_state = 63, .external_lex_state = 48},
  [7726] = {.lex_state = 63, .external_lex_state = 31},
  [7727] = {.lex_state = 63, .external_lex_state = 48},
  [7728] = {.lex_state = 61, .external_lex_state = 33},
  [7729] = {.lex_state = 63, .external_lex_state = 53},
  [7730] = {.lex_state = 61, .external_lex_state = 33},
  [7731] = {.lex_state = 61, .external_lex_state = 33},
  [7732] = {.lex_state = 61, .external_lex_state = 33},
  [7733] = {.lex_state = 52, .external_lex_state = 40},
  [7734] = {.lex_state = 63, .external_lex_state = 23},
  [7735] = {.lex_state = 63, .external_lex_state = 53},
  [7736] = {.lex_state = 57, .external_lex_state = 47},
  [7737] = {.lex_state = 63, .external_lex_state = 54},
  [7738] = {.lex_state = 63, .external_lex_state = 49},
  [7739] = {.lex_state = 63},
  [7740] = {.lex_state = 52, .external_lex_state = 50},
  [7741] = {.lex_state = 63, .external_lex_state = 32},
  [7742] = {.lex_state = 63},
  [7743] = {.lex_state = 59, .external_lex_state = 35},
  [7744] = {.lex_state = 63, .external_lex_state = 44},
  [7745] = {.lex_state = 52, .external_lex_state = 29},
  [7746] = {.lex_state = 52, .external_lex_state = 49},
  [7747] = {.lex_state = 63, .external_lex_state = 23},
  [7748] = {.lex_state = 58, .external_lex_state = 55},
  [7749] = {.lex_state = 18},
  [7750] = {.lex_state = 63, .external_lex_state = 44},
  [7751] = {.lex_state = 58, .external_lex_state = 26},
  [7752] = {.lex_state = 63, .external_lex_state = 53},
  [7753] = {.lex_state = 58, .external_lex_state = 35},
  [7754] = {.lex_state = 63},
  [7755] = {.lex_state = 63, .external_lex_state = 26},
  [7756] = {.lex_state = 63, .external_lex_state = 49},
  [7757] = {.lex_state = 56, .external_lex_state = 32},
  [7758] = {.lex_state = 61, .external_lex_state = 45},
  [7759] = {.lex_state = 52, .external_lex_state = 38},
  [7760] = {.lex_state = 63, .external_lex_state = 23},
  [7761] = {.lex_state = 63, .external_lex_state = 23},
  [7762] = {.lex_state = 52, .external_lex_state = 29},
  [7763] = {.lex_state = 52, .external_lex_state = 46},
  [7764] = {.lex_state = 57, .external_lex_state = 28},
  [7765] = {.lex_state = 52, .external_lex_state = 29},
  [7766] = {.lex_state = 56, .external_lex_state = 32},
  [7767] = {.lex_state = 63, .external_lex_state = 26},
  [7768] = {.lex_state = 63},
  [7769] = {.lex_state = 52, .external_lex_state = 43},
  [7770] = {.lex_state = 61, .external_lex_state = 28},
  [7771] = {.lex_state = 56, .external_lex_state = 32},
  [7772] = {.lex_state = 63, .external_lex_state = 26},
  [7773] = {.lex_state = 56, .external_lex_state = 31},
  [7774] = {.lex_state = 52, .external_lex_state = 56},
  [7775] = {.lex_state = 56, .external_lex_state = 32},
  [7776] = {.lex_state = 58, .external_lex_state = 51},
  [7777] = {.lex_state = 63, .external_lex_state = 44},
  [7778] = {.lex_state = 58, .external_lex_state = 35},
  [7779] = {.lex_state = 18},
  [7780] = {.lex_state = 9, .external_lex_state = 47},
  [7781] = {.lex_state = 7, .external_lex_state = 47},
  [7782] = {.lex_state = 61, .external_lex_state = 33},
  [7783] = {.lex_state = 63},
  [7784] = {.lex_state = 63, .external_lex_state = 50},
  [7785] = {.lex_state = 9, .external_lex_state = 47},
  [7786] = {.lex_state = 58, .external_lex_state = 26},
  [7787] = {.lex_state = 63},
  [7788] = {.lex_state = 52, .external_lex_state = 58},
  [7789] = {.lex_state = 59, .external_lex_state = 35},
  [7790] = {.lex_state = 52, .external_lex_state = 32},
  [7791] = {.lex_state = 57, .external_lex_state = 55},
  [7792] = {.lex_state = 62, .external_lex_state = 35},
  [7793] = {.lex_state = 57, .external_lex_state = 55},
  [7794] = {.lex_state = 64, .external_lex_state = 35},
  [7795] = {.lex_state = 56, .external_lex_state = 27},
  [7796] = {.lex_state = 52, .external_lex_state = 32},
  [7797] = {.lex_state = 18},
  [7798] = {.lex_state = 58, .external_lex_state = 27},
  [7799] = {.lex_state = 59, .external_lex_state = 35},
  [7800] = {.lex_state = 63, .external_lex_state = 23},
  [7801] = {.lex_state = 63, .external_lex_state = 51},
  [7802] = {.lex_state = 63, .external_lex_state = 23},
  [7803] = {.lex_state = 63, .external_lex_state = 23},
  [7804] = {.lex_state = 58, .external_lex_state = 27},
  [7805] = {.lex_state = 58, .external_lex_state = 27},
  [7806] = {.lex_state = 63, .external_lex_state = 23},
  [7807] = {.lex_state = 57},
  [7808] = {.lex_state = 58, .external_lex_state = 31},
  [7809] = {.lex_state = 52, .external_lex_state = 42},
  [7810] = {.lex_state = 63, .external_lex_state = 40},
  [7811] = {.lex_state = 61, .external_lex_state = 51},
  [7812] = {.lex_state = 52, .external_lex_state = 56},
  [7813] = {.lex_state = 63},
  [7814] = {.lex_state = 7, .external_lex_state = 47},
  [7815] = {.lex_state = 52, .external_lex_state = 29},
  [7816] = {.lex_state = 56, .external_lex_state = 32},
  [7817] = {.lex_state = 18},
  [7818] = {.lex_state = 58, .external_lex_state = 27},
  [7819] = {.lex_state = 63, .external_lex_state = 44},
  [7820] = {.lex_state = 63, .external_lex_state = 32},
  [7821] = {.lex_state = 58, .external_lex_state = 27},
  [7822] = {.lex_state = 63},
  [7823] = {.lex_state = 63, .external_lex_state = 23},
  [7824] = {.lex_state = 58, .external_lex_state = 27},
  [7825] = {.lex_state = 56, .external_lex_state = 32},
  [7826] = {.lex_state = 56, .external_lex_state = 27},
  [7827] = {.lex_state = 58, .external_lex_state = 27},
  [7828] = {.lex_state = 61, .external_lex_state = 55},
  [7829] = {.lex_state = 63, .external_lex_state = 33},
  [7830] = {.lex_state = 57, .external_lex_state = 27},
  [7831] = {.lex_state = 63, .external_lex_state = 44},
  [7832] = {.lex_state = 61, .external_lex_state = 28},
  [7833] = {.lex_state = 63, .external_lex_state = 38},
  [7834] = {.lex_state = 63, .external_lex_state = 40},
  [7835] = {.lex_state = 52, .external_lex_state = 52},
  [7836] = {.lex_state = 63},
  [7837] = {.lex_state = 61, .external_lex_state = 33},
  [7838] = {.lex_state = 63, .external_lex_state = 52},
  [7839] = {.lex_state = 63, .external_lex_state = 41},
  [7840] = {.lex_state = 56, .external_lex_state = 32},
  [7841] = {.lex_state = 61, .external_lex_state = 47},
  [7842] = {.lex_state = 63},
  [7843] = {.lex_state = 63, .external_lex_state = 34},
  [7844] = {.lex_state = 63},
  [7845] = {.lex_state = 57, .external_lex_state = 55},
  [7846] = {.lex_state = 57, .external_lex_state = 47},
  [7847] = {.lex_state = 57, .external_lex_state = 27},
  [7848] = {.lex_state = 59, .external_lex_state = 35},
  [7849] = {.lex_state = 63, .external_lex_state = 34},
  [7850] = {.lex_state = 61, .external_lex_state = 27},
  [7851] = {.lex_state = 58, .external_lex_state = 28},
  [7852] = {.lex_state = 57, .external_lex_state = 27},
  [7853] = {.lex_state = 19, .external_lex_state = 47},
  [7854] = {.lex_state = 61, .external_lex_state = 44},
  [7855] = {.lex_state = 63, .external_lex_state = 41},
  [7856] = {.lex_state = 61, .external_lex_state = 43},
  [7857] = {.lex_state = 63},
  [7858] = {.lex_state = 61, .external_lex_state = 27},
  [7859] = {.lex_state = 57, .external_lex_state = 27},
  [7860] = {.lex_state = 58, .external_lex_state = 28},
  [7861] = {.lex_state = 63, .external_lex_state = 41},
  [7862] = {.lex_state = 58, .external_lex_state = 27},
  [7863] = {.lex_state = 63},
  [7864] = {.lex_state = 51},
  [7865] = {.lex_state = 58, .external_lex_state = 28},
  [7866] = {.lex_state = 51},
  [7867] = {.lex_state = 57, .external_lex_state = 47},
  [7868] = {.lex_state = 61, .external_lex_state = 27},
  [7869] = {.lex_state = 58, .external_lex_state = 28},
  [7870] = {.lex_state = 52, .external_lex_state = 28},
  [7871] = {.lex_state = 56, .external_lex_state = 32},
  [7872] = {.lex_state = 63, .external_lex_state = 23},
  [7873] = {.lex_state = 63},
  [7874] = {.lex_state = 57, .external_lex_state = 55},
  [7875] = {.lex_state = 59, .external_lex_state = 35},
  [7876] = {.lex_state = 63},
  [7877] = {.lex_state = 51},
  [7878] = {.lex_state = 63, .external_lex_state = 44},
  [7879] = {.lex_state = 52, .external_lex_state = 57},
  [7880] = {.lex_state = 63, .external_lex_state = 33},
  [7881] = {.lex_state = 63, .external_lex_state = 44},
  [7882] = {.lex_state = 57, .external_lex_state = 55},
  [7883] = {.lex_state = 63, .external_lex_state = 51},
  [7884] = {.lex_state = 51},
  [7885] = {.lex_state = 63, .external_lex_state = 23},
  [7886] = {.lex_state = 63, .external_lex_state = 51},
  [7887] = {.lex_state = 63, .external_lex_state = 23},
  [7888] = {.lex_state = 63, .external_lex_state = 23},
  [7889] = {.lex_state = 57, .external_lex_state = 47},
  [7890] = {.lex_state = 52, .external_lex_state = 35},
  [7891] = {.lex_state = 61, .external_lex_state = 33},
  [7892] = {.lex_state = 52, .external_lex_state = 57},
  [7893] = {.lex_state = 63, .external_lex_state = 23},
  [7894] = {.lex_state = 63},
  [7895] = {.lex_state = 63, .external_lex_state = 51},
  [7896] = {.lex_state = 58, .external_lex_state = 59},
  [7897] = {.lex_state = 63, .external_lex_state = 23},
  [7898] = {.lex_state = 57, .external_lex_state = 55},
  [7899] = {.lex_state = 62, .external_lex_state = 55},
  [7900] = {.lex_state = 63, .external_lex_state = 23},
  [7901] = {.lex_state = 63, .external_lex_state = 23},
  [7902] = {.lex_state = 52, .external_lex_state = 29},
  [7903] = {.lex_state = 61, .external_lex_state = 53},
  [7904] = {.lex_state = 52, .external_lex_state = 40},
  [7905] = {.lex_state = 52, .external_lex_state = 33},
  [7906] = {.lex_state = 52, .external_lex_state = 29},
  [7907] = {.lex_state = 52, .external_lex_state = 23},
  [7908] = {.lex_state = 63},
  [7909] = {.lex_state = 61, .external_lex_state = 33},
  [7910] = {.lex_state = 52, .external_lex_state = 29},
  [7911] = {.lex_state = 63},
  [7912] = {.lex_state = 56, .external_lex_state = 35},
  [7913] = {.lex_state = 57, .external_lex_state = 55},
  [7914] = {.lex_state = 63, .external_lex_state = 46},
  [7915] = {.lex_state = 52, .external_lex_state = 53},
  [7916] = {.lex_state = 21, .external_lex_state = 47},
  [7917] = {.lex_state = 58, .external_lex_state = 28},
  [7918] = {.lex_state = 63},
  [7919] = {.lex_state = 52, .external_lex_state = 53},
  [7920] = {.lex_state = 63},
  [7921] = {.lex_state = 52, .external_lex_state = 46},
  [7922] = {.lex_state = 63, .external_lex_state = 41},
  [7923] = {.lex_state = 63, .external_lex_state = 26},
  [7924] = {.lex_state = 62, .external_lex_state = 35},
  [7925] = {.lex_state = 63},
  [7926] = {.lex_state = 63, .external_lex_state = 50},
  [7927] = {.lex_state = 17, .external_lex_state = 47},
  [7928] = {.lex_state = 52, .external_lex_state = 26},
  [7929] = {.lex_state = 56, .external_lex_state = 32},
  [7930] = {.lex_state = 63, .external_lex_state = 44},
  [7931] = {.lex_state = 63, .external_lex_state = 51},
  [7932] = {.lex_state = 57, .external_lex_state = 55},
  [7933] = {.lex_state = 52, .external_lex_state = 53},
  [7934] = {.lex_state = 63, .external_lex_state = 44},
  [7935] = {.lex_state = 63, .external_lex_state = 44},
  [7936] = {.lex_state = 61, .external_lex_state = 33},
  [7937] = {.lex_state = 63, .external_lex_state = 44},
  [7938] = {.lex_state = 61, .external_lex_state = 33},
  [7939] = {.lex_state = 52, .external_lex_state = 26},
  [7940] = {.lex_state = 59, .external_lex_state = 35},
  [7941] = {.lex_state = 52, .external_lex_state = 26},
  [7942] = {.lex_state = 63},
  [7943] = {.lex_state = 63, .external_lex_state = 23},
  [7944] = {.lex_state = 52, .external_lex_state = 42},
  [7945] = {.lex_state = 63},
  [7946] = {.lex_state = 56, .external_lex_state = 31},
  [7947] = {.lex_state = 63, .external_lex_state = 26},
  [7948] = {.lex_state = 63, .external_lex_state = 44},
  [7949] = {.lex_state = 63, .external_lex_state = 49},
  [7950] = {.lex_state = 19, .external_lex_state = 47},
  [7951] = {.lex_state = 59, .external_lex_state = 35},
  [7952] = {.lex_state = 63},
  [7953] = {.lex_state = 63, .external_lex_state = 48},
  [7954] = {.lex_state = 63, .external_lex_state = 54},
  [7955] = {.lex_state = 63, .external_lex_state = 23},
  [7956] = {.lex_state = 63},
  [7957] = {.lex_state = 63, .external_lex_state = 23},
  [7958] = {.lex_state = 63, .external_lex_state = 53},
  [7959] = {.lex_state = 55, .external_lex_state = 47},
  [7960] = {.lex_state = 63},
  [7961] = {.lex_state = 63},
  [7962] = {.lex_state = 52, .external_lex_state = 40},
  [7963] = {.lex_state = 61, .external_lex_state = 33},
  [7964] = {.lex_state = 56, .external_lex_state = 32},
  [7965] = {.lex_state = 59, .external_lex_state = 35},
  [7966] = {.lex_state = 61, .external_lex_state = 51},
  [7967] = {.lex_state = 63, .external_lex_state = 54},
  [7968] = {.lex_state = 52, .external_lex_state = 47},
  [7969] = {.lex_state = 52, .external_lex_state = 35},
  [7970] = {.lex_state = 63},
  [7971] = {.lex_state = 56, .external_lex_state = 27},
  [7972] = {.lex_state = 63, .external_lex_state = 41},
  [7973] = {.lex_state = 63},
  [7974] = {.lex_state = 63, .external_lex_state = 45},
  [7975] = {.lex_state = 61, .external_lex_state = 33},
  [7976] = {.lex_state = 56, .external_lex_state = 32},
  [7977] = {.lex_state = 63},
  [7978] = {.lex_state = 52, .external_lex_state = 45},
  [7979] = {.lex_state = 61, .external_lex_state = 27},
  [7980] = {.lex_state = 63, .external_lex_state = 41},
  [7981] = {.lex_state = 52, .external_lex_state = 29},
  [7982] = {.lex_state = 56, .external_lex_state = 28},
  [7983] = {.lex_state = 63, .external_lex_state = 41},
  [7984] = {.lex_state = 63, .external_lex_state = 53},
  [7985] = {.lex_state = 63},
  [7986] = {.lex_state = 63, .external_lex_state = 45},
  [7987] = {.lex_state = 63},
  [7988] = {.lex_state = 63, .external_lex_state = 54},
  [7989] = {.lex_state = 52, .external_lex_state = 58},
  [7990] = {.lex_state = 63},
  [7991] = {.lex_state = 58, .external_lex_state = 53},
  [7992] = {.lex_state = 61, .external_lex_state = 47},
  [7993] = {.lex_state = 63},
  [7994] = {.lex_state = 52, .external_lex_state = 45},
  [7995] = {.lex_state = 63},
  [7996] = {.lex_state = 63},
  [7997] = {.lex_state = 52, .external_lex_state = 29},
  [7998] = {.lex_state = 52, .external_lex_state = 51},
  [7999] = {.lex_state = 63, .external_lex_state = 23},
  [8000] = {.lex_state = 61, .external_lex_state = 33},
  [8001] = {.lex_state = 52, .external_lex_state = 51},
  [8002] = {.lex_state = 52, .external_lex_state = 35},
  [8003] = {.lex_state = 63},
  [8004] = {.lex_state = 61, .external_lex_state = 45},
  [8005] = {.lex_state = 57, .external_lex_state = 28},
  [8006] = {.lex_state = 63, .external_lex_state = 41},
  [8007] = {.lex_state = 55, .external_lex_state = 47},
  [8008] = {.lex_state = 57, .external_lex_state = 28},
  [8009] = {.lex_state = 63, .external_lex_state = 41},
  [8010] = {.lex_state = 63, .external_lex_state = 41},
  [8011] = {.lex_state = 52, .external_lex_state = 38},
  [8012] = {.lex_state = 63},
  [8013] = {.lex_state = 58, .external_lex_state = 28},
  [8014] = {.lex_state = 52, .external_lex_state = 55},
  [8015] = {.lex_state = 56, .external_lex_state = 31},
  [8016] = {.lex_state = 52, .external_lex_state = 51},
  [8017] = {.lex_state = 63},
  [8018] = {.lex_state = 56, .external_lex_state = 31},
  [8019] = {.lex_state = 63},
  [8020] = {.lex_state = 64, .external_lex_state = 35},
  [8021] = {.lex_state = 63},
  [8022] = {.lex_state = 57},
  [8023] = {.lex_state = 63},
  [8024] = {.lex_state = 57, .external_lex_state = 27},
  [8025] = {.lex_state = 63},
  [8026] = {.lex_state = 56, .external_lex_state = 31},
  [8027] = {.lex_state = 52},
  [8028] = {.lex_state = 63},
  [8029] = {.lex_state = 52, .external_lex_state = 58},
  [8030] = {.lex_state = 58, .external_lex_state = 53},
  [8031] = {.lex_state = 57, .external_lex_state = 55},
  [8032] = {.lex_state = 63},
  [8033] = {.lex_state = 56, .external_lex_state = 31},
  [8034] = {.lex_state = 64, .external_lex_state = 35},
  [8035] = {.lex_state = 63, .external_lex_state = 49},
  [8036] = {.lex_state = 57, .external_lex_state = 28},
  [8037] = {.lex_state = 56, .external_lex_state = 32},
  [8038] = {.lex_state = 56, .external_lex_state = 55},
  [8039] = {.lex_state = 56, .external_lex_state = 31},
  [8040] = {.lex_state = 63, .external_lex_state = 33},
  [8041] = {.lex_state = 52, .external_lex_state = 53},
  [8042] = {.lex_state = 57, .external_lex_state = 47},
  [8043] = {.lex_state = 63, .external_lex_state = 41},
  [8044] = {.lex_state = 56, .external_lex_state = 31},
  [8045] = {.lex_state = 63},
  [8046] = {.lex_state = 63},
  [8047] = {.lex_state = 51},
  [8048] = {.lex_state = 56, .external_lex_state = 31},
  [8049] = {.lex_state = 61, .external_lex_state = 34},
  [8050] = {.lex_state = 63},
  [8051] = {.lex_state = 52, .external_lex_state = 51},
  [8052] = {.lex_state = 51},
  [8053] = {.lex_state = 56, .external_lex_state = 35},
  [8054] = {.lex_state = 61, .external_lex_state = 34},
  [8055] = {.lex_state = 61, .external_lex_state = 53},
  [8056] = {.lex_state = 52, .external_lex_state = 47},
  [8057] = {.lex_state = 51},
  [8058] = {.lex_state = 63},
  [8059] = {.lex_state = 51},
  [8060] = {.lex_state = 63},
  [8061] = {.lex_state = 61, .external_lex_state = 34},
  [8062] = {.lex_state = 63},
  [8063] = {.lex_state = 57, .external_lex_state = 47},
  [8064] = {.lex_state = 63, .external_lex_state = 41},
  [8065] = {.lex_state = 56, .external_lex_state = 31},
  [8066] = {.lex_state = 56, .external_lex_state = 35},
  [8067] = {.lex_state = 59, .external_lex_state = 35},
  [8068] = {.lex_state = 57, .external_lex_state = 28},
  [8069] = {.lex_state = 56, .external_lex_state = 55},
  [8070] = {.lex_state = 61, .external_lex_state = 34},
  [8071] = {.lex_state = 63},
  [8072] = {.lex_state = 63, .external_lex_state = 23},
  [8073] = {.lex_state = 57, .external_lex_state = 47},
  [8074] = {.lex_state = 58, .external_lex_state = 32},
  [8075] = {.lex_state = 61, .external_lex_state = 34},
  [8076] = {.lex_state = 63, .external_lex_state = 50},
  [8077] = {.lex_state = 10, .external_lex_state = 47},
  [8078] = {.lex_state = 63, .external_lex_state = 54},
  [8079] = {.lex_state = 63, .external_lex_state = 54},
  [8080] = {.lex_state = 52, .external_lex_state = 33},
  [8081] = {.lex_state = 52, .external_lex_state = 33},
  [8082] = {.lex_state = 52, .external_lex_state = 26},
  [8083] = {.lex_state = 63, .external_lex_state = 48},
  [8084] = {.lex_state = 52, .external_lex_state = 23},
  [8085] = {.lex_state = 63},
  [8086] = {.lex_state = 63, .external_lex_state = 54},
  [8087] = {.lex_state = 63, .external_lex_state = 50},
  [8088] = {.lex_state = 52, .external_lex_state = 23},
  [8089] = {.lex_state = 63},
  [8090] = {.lex_state = 20, .external_lex_state = 47},
  [8091] = {.lex_state = 58, .external_lex_state = 35},
  [8092] = {.lex_state = 56, .external_lex_state = 35},
  [8093] = {.lex_state = 56, .external_lex_state = 31},
  [8094] = {.lex_state = 63, .external_lex_state = 52},
  [8095] = {.lex_state = 57, .external_lex_state = 31},
  [8096] = {.lex_state = 52, .external_lex_state = 34},
  [8097] = {.lex_state = 61, .external_lex_state = 40},
  [8098] = {.lex_state = 17, .external_lex_state = 47},
  [8099] = {.lex_state = 52, .external_lex_state = 33},
  [8100] = {.lex_state = 61, .external_lex_state = 50},
  [8101] = {.lex_state = 63},
  [8102] = {.lex_state = 63},
  [8103] = {.lex_state = 63},
  [8104] = {.lex_state = 61, .external_lex_state = 55},
  [8105] = {.lex_state = 56, .external_lex_state = 31},
  [8106] = {.lex_state = 63, .external_lex_state = 28},
  [8107] = {.lex_state = 52, .external_lex_state = 39},
  [8108] = {.lex_state = 52, .external_lex_state = 57},
  [8109] = {.lex_state = 58, .external_lex_state = 35},
  [8110] = {.lex_state = 63, .external_lex_state = 50},
  [8111] = {.lex_state = 62, .external_lex_state = 35},
  [8112] = {.lex_state = 63, .external_lex_state = 50},
  [8113] = {.lex_state = 63, .external_lex_state = 50},
  [8114] = {.lex_state = 56, .external_lex_state = 35},
  [8115] = {.lex_state = 52, .external_lex_state = 23},
  [8116] = {.lex_state = 52, .external_lex_state = 45},
  [8117] = {.lex_state = 56, .external_lex_state = 31},
  [8118] = {.lex_state = 63, .external_lex_state = 28},
  [8119] = {.lex_state = 52, .external_lex_state = 24},
  [8120] = {.lex_state = 63, .external_lex_state = 58},
  [8121] = {.lex_state = 63, .external_lex_state = 50},
  [8122] = {.lex_state = 61, .external_lex_state = 39},
  [8123] = {.lex_state = 61, .external_lex_state = 39},
  [8124] = {.lex_state = 57, .external_lex_state = 32},
  [8125] = {.lex_state = 61, .external_lex_state = 39},
  [8126] = {.lex_state = 63, .external_lex_state = 50},
  [8127] = {.lex_state = 63, .external_lex_state = 50},
  [8128] = {.lex_state = 63, .external_lex_state = 50},
  [8129] = {.lex_state = 63},
  [8130] = {.lex_state = 63, .external_lex_state = 54},
  [8131] = {.lex_state = 63, .external_lex_state = 50},
  [8132] = {.lex_state = 52, .external_lex_state = 23},
  [8133] = {.lex_state = 52, .external_lex_state = 45},
  [8134] = {.lex_state = 63, .external_lex_state = 50},
  [8135] = {.lex_state = 63, .external_lex_state = 39},
  [8136] = {.lex_state = 63, .external_lex_state = 29},
  [8137] = {.lex_state = 62, .external_lex_state = 35},
  [8138] = {.lex_state = 63, .external_lex_state = 28},
  [8139] = {.lex_state = 63, .external_lex_state = 54},
  [8140] = {.lex_state = 63, .external_lex_state = 52},
  [8141] = {.lex_state = 63, .external_lex_state = 50},
  [8142] = {.lex_state = 63, .external_lex_state = 52},
  [8143] = {.lex_state = 61, .external_lex_state = 40},
  [8144] = {.lex_state = 63},
  [8145] = {.lex_state = 63, .external_lex_state = 54},
  [8146] = {.lex_state = 63, .external_lex_state = 54},
  [8147] = {.lex_state = 58, .external_lex_state = 35},
  [8148] = {.lex_state = 63, .external_lex_state = 49},
  [8149] = {.lex_state = 63, .external_lex_state = 48},
  [8150] = {.lex_state = 21, .external_lex_state = 47},
  [8151] = {.lex_state = 58, .external_lex_state = 32},
  [8152] = {.lex_state = 62, .external_lex_state = 35},
  [8153] = {.lex_state = 61, .external_lex_state = 28},
  [8154] = {.lex_state = 63},
  [8155] = {.lex_state = 63, .external_lex_state = 53},
  [8156] = {.lex_state = 63, .external_lex_state = 38},
  [8157] = {.lex_state = 63, .external_lex_state = 54},
  [8158] = {.lex_state = 58, .external_lex_state = 32},
  [8159] = {.lex_state = 52, .external_lex_state = 31},
  [8160] = {.lex_state = 64, .external_lex_state = 55},
  [8161] = {.lex_state = 63},
  [8162] = {.lex_state = 58, .external_lex_state = 32},
  [8163] = {.lex_state = 63, .external_lex_state = 50},
  [8164] = {.lex_state = 63, .external_lex_state = 49},
  [8165] = {.lex_state = 63, .external_lex_state = 50},
  [8166] = {.lex_state = 52},
  [8167] = {.lex_state = 4},
  [8168] = {.lex_state = 61, .external_lex_state = 35},
  [8169] = {.lex_state = 58, .external_lex_state = 32},
  [8170] = {.lex_state = 58, .external_lex_state = 35},
  [8171] = {.lex_state = 63, .external_lex_state = 52},
  [8172] = {.lex_state = 52, .external_lex_state = 38},
  [8173] = {.lex_state = 4},
  [8174] = {.lex_state = 4},
  [8175] = {.lex_state = 62, .external_lex_state = 35},
  [8176] = {.lex_state = 57},
  [8177] = {.lex_state = 63, .external_lex_state = 52},
  [8178] = {.lex_state = 61, .external_lex_state = 47},
  [8179] = {.lex_state = 57, .external_lex_state = 31},
  [8180] = {.lex_state = 58, .external_lex_state = 32},
  [8181] = {.lex_state = 63},
  [8182] = {.lex_state = 9, .external_lex_state = 47},
  [8183] = {.lex_state = 63, .external_lex_state = 26},
  [8184] = {.lex_state = 58, .external_lex_state = 31},
  [8185] = {.lex_state = 63, .external_lex_state = 52},
  [8186] = {.lex_state = 58, .external_lex_state = 32},
  [8187] = {.lex_state = 63, .external_lex_state = 27},
  [8188] = {.lex_state = 58, .external_lex_state = 32},
  [8189] = {.lex_state = 61, .external_lex_state = 53},
  [8190] = {.lex_state = 63, .external_lex_state = 53},
  [8191] = {.lex_state = 63, .external_lex_state = 48},
  [8192] = {.lex_state = 63, .external_lex_state = 52},
  [8193] = {.lex_state = 63, .external_lex_state = 52},
  [8194] = {.lex_state = 63, .external_lex_state = 52},
  [8195] = {.lex_state = 57},
  [8196] = {.lex_state = 63, .external_lex_state = 50},
  [8197] = {.lex_state = 52, .external_lex_state = 28},
  [8198] = {.lex_state = 63, .external_lex_state = 48},
  [8199] = {.lex_state = 62, .external_lex_state = 35},
  [8200] = {.lex_state = 52, .external_lex_state = 28},
  [8201] = {.lex_state = 61, .external_lex_state = 53},
  [8202] = {.lex_state = 63, .external_lex_state = 52},
  [8203] = {.lex_state = 52, .external_lex_state = 35},
  [8204] = {.lex_state = 63, .external_lex_state = 52},
  [8205] = {.lex_state = 57},
  [8206] = {.lex_state = 52, .external_lex_state = 28},
  [8207] = {.lex_state = 63, .external_lex_state = 50},
  [8208] = {.lex_state = 52, .external_lex_state = 23},
  [8209] = {.lex_state = 63, .external_lex_state = 55},
  [8210] = {.lex_state = 63, .external_lex_state = 50},
  [8211] = {.lex_state = 61, .external_lex_state = 38},
  [8212] = {.lex_state = 63, .external_lex_state = 52},
  [8213] = {.lex_state = 61, .external_lex_state = 38},
  [8214] = {.lex_state = 61, .external_lex_state = 38},
  [8215] = {.lex_state = 52, .external_lex_state = 43},
  [8216] = {.lex_state = 52},
  [8217] = {.lex_state = 63, .external_lex_state = 50},
  [8218] = {.lex_state = 63, .external_lex_state = 44},
  [8219] = {.lex_state = 63},
  [8220] = {.lex_state = 63, .external_lex_state = 27},
  [8221] = {.lex_state = 63, .external_lex_state = 52},
  [8222] = {.lex_state = 63, .external_lex_state = 50},
  [8223] = {.lex_state = 52, .external_lex_state = 34},
  [8224] = {.lex_state = 62, .external_lex_state = 47},
  [8225] = {.lex_state = 63, .external_lex_state = 48},
  [8226] = {.lex_state = 63, .external_lex_state = 27},
  [8227] = {.lex_state = 58, .external_lex_state = 35},
  [8228] = {.lex_state = 52, .external_lex_state = 34},
  [8229] = {.lex_state = 63, .external_lex_state = 48},
  [8230] = {.lex_state = 57, .external_lex_state = 31},
  [8231] = {.lex_state = 52, .external_lex_state = 26},
  [8232] = {.lex_state = 63, .external_lex_state = 55},
  [8233] = {.lex_state = 52, .external_lex_state = 34},
  [8234] = {.lex_state = 61, .external_lex_state = 35},
  [8235] = {.lex_state = 63, .external_lex_state = 48},
  [8236] = {.lex_state = 63, .external_lex_state = 50},
  [8237] = {.lex_state = 63, .external_lex_state = 27},
  [8238] = {.lex_state = 52, .external_lex_state = 34},
  [8239] = {.lex_state = 61, .external_lex_state = 32},
  [8240] = {.lex_state = 58, .external_lex_state = 32},
  [8241] = {.lex_state = 52, .external_lex_state = 34},
  [8242] = {.lex_state = 63, .external_lex_state = 48},
  [8243] = {.lex_state = 52, .external_lex_state = 34},
  [8244] = {.lex_state = 63, .external_lex_state = 50},
  [8245] = {.lex_state = 52, .external_lex_state = 34},
  [8246] = {.lex_state = 61, .external_lex_state = 47},
  [8247] = {.lex_state = 52, .external_lex_state = 23},
  [8248] = {.lex_state = 63, .external_lex_state = 54},
  [8249] = {.lex_state = 63, .external_lex_state = 54},
  [8250] = {.lex_state = 63, .external_lex_state = 28},
  [8251] = {.lex_state = 52, .external_lex_state = 55},
  [8252] = {.lex_state = 57, .external_lex_state = 31},
  [8253] = {.lex_state = 63},
  [8254] = {.lex_state = 63, .external_lex_state = 48},
  [8255] = {.lex_state = 63},
  [8256] = {.lex_state = 57, .external_lex_state = 31},
  [8257] = {.lex_state = 61, .external_lex_state = 51},
  [8258] = {.lex_state = 52},
  [8259] = {.lex_state = 63, .external_lex_state = 40},
  [8260] = {.lex_state = 57, .external_lex_state = 31},
  [8261] = {.lex_state = 57, .external_lex_state = 32},
  [8262] = {.lex_state = 61, .external_lex_state = 32},
  [8263] = {.lex_state = 63, .external_lex_state = 27},
  [8264] = {.lex_state = 63, .external_lex_state = 52},
  [8265] = {.lex_state = 63, .external_lex_state = 48},
  [8266] = {.lex_state = 52, .external_lex_state = 56},
  [8267] = {.lex_state = 63, .external_lex_state = 29},
  [8268] = {.lex_state = 3},
  [8269] = {.lex_state = 61, .external_lex_state = 32},
  [8270] = {.lex_state = 56, .external_lex_state = 35},
  [8271] = {.lex_state = 20, .external_lex_state = 47},
  [8272] = {.lex_state = 57, .external_lex_state = 31},
  [8273] = {.lex_state = 52, .external_lex_state = 23},
  [8274] = {.lex_state = 61, .external_lex_state = 39},
  [8275] = {.lex_state = 52, .external_lex_state = 33},
  [8276] = {.lex_state = 63, .external_lex_state = 52},
  [8277] = {.lex_state = 52, .external_lex_state = 33},
  [8278] = {.lex_state = 59, .external_lex_state = 35},
  [8279] = {.lex_state = 61, .external_lex_state = 51},
  [8280] = {.lex_state = 63, .external_lex_state = 35},
  [8281] = {.lex_state = 3},
  [8282] = {.lex_state = 52, .external_lex_state = 34},
  [8283] = {.lex_state = 52, .external_lex_state = 31},
  [8284] = {.lex_state = 52, .external_lex_state = 42},
  [8285] = {.lex_state = 65, .external_lex_state = 29},
  [8286] = {.lex_state = 61, .external_lex_state = 32},
  [8287] = {.lex_state = 63, .external_lex_state = 52},
  [8288] = {.lex_state = 63, .external_lex_state = 52},
  [8289] = {.lex_state = 58, .external_lex_state = 35},
  [8290] = {.lex_state = 57, .external_lex_state = 31},
  [8291] = {.lex_state = 61, .external_lex_state = 39},
  [8292] = {.lex_state = 63, .external_lex_state = 51},
  [8293] = {.lex_state = 61, .external_lex_state = 39},
  [8294] = {.lex_state = 63, .external_lex_state = 52},
  [8295] = {.lex_state = 64, .external_lex_state = 35},
  [8296] = {.lex_state = 62, .external_lex_state = 47},
  [8297] = {.lex_state = 52, .external_lex_state = 57},
  [8298] = {.lex_state = 52, .external_lex_state = 34},
  [8299] = {.lex_state = 57, .external_lex_state = 32},
  [8300] = {.lex_state = 63, .external_lex_state = 52},
  [8301] = {.lex_state = 3},
  [8302] = {.lex_state = 62, .external_lex_state = 35},
  [8303] = {.lex_state = 52, .external_lex_state = 34},
  [8304] = {.lex_state = 63, .external_lex_state = 52},
  [8305] = {.lex_state = 52, .external_lex_state = 23},
  [8306] = {.lex_state = 63, .external_lex_state = 52},
  [8307] = {.lex_state = 63, .external_lex_state = 52},
  [8308] = {.lex_state = 57},
  [8309] = {.lex_state = 52, .external_lex_state = 46},
  [8310] = {.lex_state = 63, .external_lex_state = 52},
  [8311] = {.lex_state = 64, .external_lex_state = 35},
  [8312] = {.lex_state = 58, .external_lex_state = 31},
  [8313] = {.lex_state = 63, .external_lex_state = 50},
  [8314] = {.lex_state = 52, .external_lex_state = 42},
  [8315] = {.lex_state = 52, .external_lex_state = 54},
  [8316] = {.lex_state = 3},
  [8317] = {.lex_state = 52, .external_lex_state = 39},
  [8318] = {.lex_state = 63, .external_lex_state = 48},
  [8319] = {.lex_state = 63},
  [8320] = {.lex_state = 52, .external_lex_state = 23},
  [8321] = {.lex_state = 61, .external_lex_state = 38},
  [8322] = {.lex_state = 63, .external_lex_state = 48},
  [8323] = {.lex_state = 52, .external_lex_state = 23},
  [8324] = {.lex_state = 63, .external_lex_state = 50},
  [8325] = {.lex_state = 57},
  [8326] = {.lex_state = 52, .external_lex_state = 23},
  [8327] = {.lex_state = 57, .external_lex_state = 32},
  [8328] = {.lex_state = 61, .external_lex_state = 38},
  [8329] = {.lex_state = 63, .external_lex_state = 48},
  [8330] = {.lex_state = 58, .external_lex_state = 31},
  [8331] = {.lex_state = 52, .external_lex_state = 23},
  [8332] = {.lex_state = 61, .external_lex_state = 38},
  [8333] = {.lex_state = 52, .external_lex_state = 46},
  [8334] = {.lex_state = 52, .external_lex_state = 23},
  [8335] = {.lex_state = 61, .external_lex_state = 54},
  [8336] = {.lex_state = 61, .external_lex_state = 31},
  [8337] = {.lex_state = 52, .external_lex_state = 40},
  [8338] = {.lex_state = 63, .external_lex_state = 58},
  [8339] = {.lex_state = 61, .external_lex_state = 38},
  [8340] = {.lex_state = 61, .external_lex_state = 38},
  [8341] = {.lex_state = 61, .external_lex_state = 38},
  [8342] = {.lex_state = 61, .external_lex_state = 38},
  [8343] = {.lex_state = 63, .external_lex_state = 48},
  [8344] = {.lex_state = 63, .external_lex_state = 50},
  [8345] = {.lex_state = 63, .external_lex_state = 52},
  [8346] = {.lex_state = 63, .external_lex_state = 54},
  [8347] = {.lex_state = 52, .external_lex_state = 23},
  [8348] = {.lex_state = 63, .external_lex_state = 29},
  [8349] = {.lex_state = 58, .external_lex_state = 35},
  [8350] = {.lex_state = 19, .external_lex_state = 47},
  [8351] = {.lex_state = 61, .external_lex_state = 38},
  [8352] = {.lex_state = 63, .external_lex_state = 52},
  [8353] = {.lex_state = 63, .external_lex_state = 47},
  [8354] = {.lex_state = 63, .external_lex_state = 50},
  [8355] = {.lex_state = 61, .external_lex_state = 38},
  [8356] = {.lex_state = 63, .external_lex_state = 50},
  [8357] = {.lex_state = 63, .external_lex_state = 50},
  [8358] = {.lex_state = 61, .external_lex_state = 40},
  [8359] = {.lex_state = 63, .external_lex_state = 57},
  [8360] = {.lex_state = 10, .external_lex_state = 47},
  [8361] = {.lex_state = 61, .external_lex_state = 40},
  [8362] = {.lex_state = 61, .external_lex_state = 40},
  [8363] = {.lex_state = 63, .external_lex_state = 55},
  [8364] = {.lex_state = 61, .external_lex_state = 40},
  [8365] = {.lex_state = 63, .external_lex_state = 55},
  [8366] = {.lex_state = 58, .external_lex_state = 31},
  [8367] = {.lex_state = 63, .external_lex_state = 54},
  [8368] = {.lex_state = 57, .external_lex_state = 31},
  [8369] = {.lex_state = 52},
  [8370] = {.lex_state = 63, .external_lex_state = 26},
  [8371] = {.lex_state = 9, .external_lex_state = 47},
  [8372] = {.lex_state = 63, .external_lex_state = 54},
  [8373] = {.lex_state = 57, .external_lex_state = 31},
  [8374] = {.lex_state = 52, .external_lex_state = 33},
  [8375] = {.lex_state = 61, .external_lex_state = 39},
  [8376] = {.lex_state = 58, .external_lex_state = 35},
  [8377] = {.lex_state = 56, .external_lex_state = 35},
  [8378] = {.lex_state = 57},
  [8379] = {.lex_state = 52, .external_lex_state = 27},
  [8380] = {.lex_state = 19, .external_lex_state = 47},
  [8381] = {.lex_state = 63, .external_lex_state = 48},
  [8382] = {.lex_state = 63, .external_lex_state = 48},
  [8383] = {.lex_state = 9, .external_lex_state = 47},
  [8384] = {.lex_state = 57, .external_lex_state = 32},
  [8385] = {.lex_state = 63, .external_lex_state = 54},
  [8386] = {.lex_state = 57, .external_lex_state = 32},
  [8387] = {.lex_state = 63, .external_lex_state = 48},
  [8388] = {.lex_state = 63, .external_lex_state = 52},
  [8389] = {.lex_state = 57, .external_lex_state = 31},
  [8390] = {.lex_state = 52, .external_lex_state = 33},
  [8391] = {.lex_state = 59, .external_lex_state = 35},
  [8392] = {.lex_state = 58, .external_lex_state = 31},
  [8393] = {.lex_state = 56, .external_lex_state = 35},
  [8394] = {.lex_state = 58, .external_lex_state = 28},
  [8395] = {.lex_state = 63, .external_lex_state = 54},
  [8396] = {.lex_state = 52, .external_lex_state = 43},
  [8397] = {.lex_state = 63, .external_lex_state = 54},
  [8398] = {.lex_state = 9, .external_lex_state = 47},
  [8399] = {.lex_state = 61, .external_lex_state = 40},
  [8400] = {.lex_state = 61, .external_lex_state = 40},
  [8401] = {.lex_state = 63, .external_lex_state = 50},
  [8402] = {.lex_state = 52, .external_lex_state = 33},
  [8403] = {.lex_state = 9, .external_lex_state = 47},
  [8404] = {.lex_state = 58, .external_lex_state = 28},
  [8405] = {.lex_state = 52, .external_lex_state = 33},
  [8406] = {.lex_state = 52, .external_lex_state = 33},
  [8407] = {.lex_state = 61, .external_lex_state = 52},
  [8408] = {.lex_state = 63, .external_lex_state = 23},
  [8409] = {.lex_state = 61, .external_lex_state = 39},
  [8410] = {.lex_state = 57, .external_lex_state = 31},
  [8411] = {.lex_state = 63, .external_lex_state = 58},
  [8412] = {.lex_state = 63, .external_lex_state = 38},
  [8413] = {.lex_state = 52, .external_lex_state = 33},
  [8414] = {.lex_state = 57, .external_lex_state = 32},
  [8415] = {.lex_state = 63, .external_lex_state = 48},
  [8416] = {.lex_state = 61, .external_lex_state = 39},
  [8417] = {.lex_state = 58, .external_lex_state = 59},
  [8418] = {.lex_state = 63, .external_lex_state = 50},
  [8419] = {.lex_state = 52, .external_lex_state = 48},
  [8420] = {.lex_state = 9, .external_lex_state = 47},
  [8421] = {.lex_state = 61, .external_lex_state = 39},
  [8422] = {.lex_state = 63, .external_lex_state = 50},
  [8423] = {.lex_state = 63, .external_lex_state = 54},
  [8424] = {.lex_state = 63, .external_lex_state = 35},
  [8425] = {.lex_state = 52, .external_lex_state = 33},
  [8426] = {.lex_state = 63, .external_lex_state = 48},
  [8427] = {.lex_state = 61, .external_lex_state = 39},
  [8428] = {.lex_state = 52, .external_lex_state = 34},
  [8429] = {.lex_state = 11, .external_lex_state = 47},
  [8430] = {.lex_state = 57, .external_lex_state = 31},
  [8431] = {.lex_state = 52, .external_lex_state = 32},
  [8432] = {.lex_state = 63, .external_lex_state = 48},
  [8433] = {.lex_state = 63, .external_lex_state = 54},
  [8434] = {.lex_state = 52, .external_lex_state = 51},
  [8435] = {.lex_state = 63, .external_lex_state = 48},
  [8436] = {.lex_state = 63, .external_lex_state = 50},
  [8437] = {.lex_state = 63, .external_lex_state = 54},
  [8438] = {.lex_state = 57, .external_lex_state = 32},
  [8439] = {.lex_state = 61, .external_lex_state = 39},
  [8440] = {.lex_state = 63, .external_lex_state = 54},
  [8441] = {.lex_state = 9, .external_lex_state = 47},
  [8442] = {.lex_state = 65, .external_lex_state = 29},
  [8443] = {.lex_state = 61, .external_lex_state = 39},
  [8444] = {.lex_state = 65, .external_lex_state = 29},
  [8445] = {.lex_state = 65, .external_lex_state = 29},
  [8446] = {.lex_state = 9, .external_lex_state = 47},
  [8447] = {.lex_state = 54},
  [8448] = {.lex_state = 63, .external_lex_state = 50},
  [8449] = {.lex_state = 63, .external_lex_state = 28},
  [8450] = {.lex_state = 63, .external_lex_state = 40},
  [8451] = {.lex_state = 63, .external_lex_state = 48},
  [8452] = {.lex_state = 63, .external_lex_state = 54},
  [8453] = {.lex_state = 57, .external_lex_state = 32},
  [8454] = {.lex_state = 63, .external_lex_state = 55},
  [8455] = {.lex_state = 63, .external_lex_state = 50},
  [8456] = {.lex_state = 63, .external_lex_state = 48},
  [8457] = {.lex_state = 10, .external_lex_state = 47},
  [8458] = {.lex_state = 17, .external_lex_state = 47},
  [8459] = {.lex_state = 52, .external_lex_state = 41},
  [8460] = {.lex_state = 52, .external_lex_state = 49},
  [8461] = {.lex_state = 58, .external_lex_state = 32},
  [8462] = {.lex_state = 3},
  [8463] = {.lex_state = 63, .external_lex_state = 50},
  [8464] = {.lex_state = 62, .external_lex_state = 55},
  [8465] = {.lex_state = 52, .external_lex_state = 56},
  [8466] = {.lex_state = 63, .external_lex_state = 54},
  [8467] = {.lex_state = 57, .external_lex_state = 31},
  [8468] = {.lex_state = 63, .external_lex_state = 48},
  [8469] = {.lex_state = 57, .external_lex_state = 32},
  [8470] = {.lex_state = 64, .external_lex_state = 55},
  [8471] = {.lex_state = 63, .external_lex_state = 50},
  [8472] = {.lex_state = 9, .external_lex_state = 47},
  [8473] = {.lex_state = 61, .external_lex_state = 40},
  [8474] = {.lex_state = 52, .external_lex_state = 27},
  [8475] = {.lex_state = 63, .external_lex_state = 48},
  [8476] = {.lex_state = 9, .external_lex_state = 47},
  [8477] = {.lex_state = 63, .external_lex_state = 48},
  [8478] = {.lex_state = 63, .external_lex_state = 39},
  [8479] = {.lex_state = 61, .external_lex_state = 38},
  [8480] = {.lex_state = 63, .external_lex_state = 48},
  [8481] = {.lex_state = 52, .external_lex_state = 27},
  [8482] = {.lex_state = 64, .external_lex_state = 55},
  [8483] = {.lex_state = 63, .external_lex_state = 48},
  [8484] = {.lex_state = 63, .external_lex_state = 50},
  [8485] = {.lex_state = 52, .external_lex_state = 27},
  [8486] = {.lex_state = 64, .external_lex_state = 55},
  [8487] = {.lex_state = 3},
  [8488] = {.lex_state = 63, .external_lex_state = 48},
  [8489] = {.lex_state = 63, .external_lex_state = 48},
  [8490] = {.lex_state = 9, .external_lex_state = 47},
  [8491] = {.lex_state = 3},
  [8492] = {.lex_state = 3},
  [8493] = {.lex_state = 3},
  [8494] = {.lex_state = 3},
  [8495] = {.lex_state = 57},
  [8496] = {.lex_state = 63, .external_lex_state = 50},
  [8497] = {.lex_state = 51},
  [8498] = {.lex_state = 63, .external_lex_state = 55},
  [8499] = {.lex_state = 3},
  [8500] = {.lex_state = 63, .external_lex_state = 24},
  [8501] = {.lex_state = 63, .external_lex_state = 48},
  [8502] = {.lex_state = 52},
  [8503] = {.lex_state = 63, .external_lex_state = 48},
  [8504] = {.lex_state = 9, .external_lex_state = 47},
  [8505] = {.lex_state = 63, .external_lex_state = 52},
  [8506] = {.lex_state = 58, .external_lex_state = 32},
  [8507] = {.lex_state = 57, .external_lex_state = 32},
  [8508] = {.lex_state = 63, .external_lex_state = 48},
  [8509] = {.lex_state = 63, .external_lex_state = 35},
  [8510] = {.lex_state = 57},
  [8511] = {.lex_state = 56, .external_lex_state = 35},
  [8512] = {.lex_state = 63, .external_lex_state = 48},
  [8513] = {.lex_state = 58, .external_lex_state = 32},
  [8514] = {.lex_state = 56, .external_lex_state = 32},
  [8515] = {.lex_state = 63, .external_lex_state = 52},
  [8516] = {.lex_state = 58, .external_lex_state = 32},
  [8517] = {.lex_state = 3},
  [8518] = {.lex_state = 57, .external_lex_state = 31},
  [8519] = {.lex_state = 63, .external_lex_state = 48},
  [8520] = {.lex_state = 63, .external_lex_state = 57},
  [8521] = {.lex_state = 58, .external_lex_state = 32},
  [8522] = {.lex_state = 52, .external_lex_state = 53},
  [8523] = {.lex_state = 63, .external_lex_state = 50},
  [8524] = {.lex_state = 63, .external_lex_state = 48},
  [8525] = {.lex_state = 63, .external_lex_state = 50},
  [8526] = {.lex_state = 63, .external_lex_state = 48},
  [8527] = {.lex_state = 57},
  [8528] = {.lex_state = 63, .external_lex_state = 52},
  [8529] = {.lex_state = 63, .external_lex_state = 50},
  [8530] = {.lex_state = 52, .external_lex_state = 34},
  [8531] = {.lex_state = 63, .external_lex_state = 52},
  [8532] = {.lex_state = 63, .external_lex_state = 50},
  [8533] = {.lex_state = 63, .external_lex_state = 54},
  [8534] = {.lex_state = 63, .external_lex_state = 52},
  [8535] = {.lex_state = 63, .external_lex_state = 54},
  [8536] = {.lex_state = 63, .external_lex_state = 54},
  [8537] = {.lex_state = 63, .external_lex_state = 52},
  [8538] = {.lex_state = 63, .external_lex_state = 52},
  [8539] = {.lex_state = 52, .external_lex_state = 51},
  [8540] = {.lex_state = 63, .external_lex_state = 52},
  [8541] = {.lex_state = 61, .external_lex_state = 40},
  [8542] = {.lex_state = 61, .external_lex_state = 49},
  [8543] = {.lex_state = 63, .external_lex_state = 54},
  [8544] = {.lex_state = 58, .external_lex_state = 35},
  [8545] = {.lex_state = 63, .external_lex_state = 54},
  [8546] = {.lex_state = 56, .external_lex_state = 32},
  [8547] = {.lex_state = 57, .external_lex_state = 31},
  [8548] = {.lex_state = 63, .external_lex_state = 27},
  [8549] = {.lex_state = 63, .external_lex_state = 48},
  [8550] = {.lex_state = 63, .external_lex_state = 29},
  [8551] = {.lex_state = 63, .external_lex_state = 52},
  [8552] = {.lex_state = 63, .external_lex_state = 52},
  [8553] = {.lex_state = 63, .external_lex_state = 48},
  [8554] = {.lex_state = 61, .external_lex_state = 38},
  [8555] = {.lex_state = 63, .external_lex_state = 56},
  [8556] = {.lex_state = 61, .external_lex_state = 40},
  [8557] = {.lex_state = 63, .external_lex_state = 50},
  [8558] = {.lex_state = 63, .external_lex_state = 35},
  [8559] = {.lex_state = 57},
  [8560] = {.lex_state = 63, .external_lex_state = 48},
  [8561] = {.lex_state = 63, .external_lex_state = 48},
  [8562] = {.lex_state = 3},
  [8563] = {.lex_state = 63, .external_lex_state = 52},
  [8564] = {.lex_state = 61, .external_lex_state = 49},
  [8565] = {.lex_state = 57},
  [8566] = {.lex_state = 63, .external_lex_state = 54},
  [8567] = {.lex_state = 56, .external_lex_state = 35},
  [8568] = {.lex_state = 61, .external_lex_state = 55},
  [8569] = {.lex_state = 63, .external_lex_state = 54},
  [8570] = {.lex_state = 63, .external_lex_state = 41},
  [8571] = {.lex_state = 52, .external_lex_state = 28},
  [8572] = {.lex_state = 61, .external_lex_state = 40},
  [8573] = {.lex_state = 63, .external_lex_state = 50},
  [8574] = {.lex_state = 56, .external_lex_state = 32},
  [8575] = {.lex_state = 63, .external_lex_state = 52},
  [8576] = {.lex_state = 52, .external_lex_state = 34},
  [8577] = {.lex_state = 63, .external_lex_state = 51},
  [8578] = {.lex_state = 63, .external_lex_state = 54},
  [8579] = {.lex_state = 63, .external_lex_state = 54},
  [8580] = {.lex_state = 62, .external_lex_state = 55},
  [8581] = {.lex_state = 52, .external_lex_state = 23},
  [8582] = {.lex_state = 63, .external_lex_state = 47},
  [8583] = {.lex_state = 56, .external_lex_state = 35},
  [8584] = {.lex_state = 63, .external_lex_state = 47},
  [8585] = {.lex_state = 52, .external_lex_state = 49},
  [8586] = {.lex_state = 63, .external_lex_state = 52},
  [8587] = {.lex_state = 63, .external_lex_state = 47},
  [8588] = {.lex_state = 63, .external_lex_state = 38},
  [8589] = {.lex_state = 57, .external_lex_state = 32},
  [8590] = {.lex_state = 17, .external_lex_state = 47},
  [8591] = {.lex_state = 63, .external_lex_state = 52},
  [8592] = {.lex_state = 63, .external_lex_state = 50},
  [8593] = {.lex_state = 58, .external_lex_state = 27},
  [8594] = {.lex_state = 52, .external_lex_state = 33},
  [8595] = {.lex_state = 57, .external_lex_state = 31},
  [8596] = {.lex_state = 63, .external_lex_state = 54},
  [8597] = {.lex_state = 56, .external_lex_state = 35},
  [8598] = {.lex_state = 63, .external_lex_state = 48},
  [8599] = {.lex_state = 63, .external_lex_state = 52},
  [8600] = {.lex_state = 17, .external_lex_state = 47},
  [8601] = {.lex_state = 3},
  [8602] = {.lex_state = 63, .external_lex_state = 48},
  [8603] = {.lex_state = 63, .external_lex_state = 54},
  [8604] = {.lex_state = 63, .external_lex_state = 52},
  [8605] = {.lex_state = 52, .external_lex_state = 34},
  [8606] = {.lex_state = 65, .external_lex_state = 29},
  [8607] = {.lex_state = 52, .external_lex_state = 34},
  [8608] = {.lex_state = 63, .external_lex_state = 52},
  [8609] = {.lex_state = 52, .external_lex_state = 34},
  [8610] = {.lex_state = 61, .external_lex_state = 27},
  [8611] = {.lex_state = 58, .external_lex_state = 27},
  [8612] = {.lex_state = 3},
  [8613] = {.lex_state = 18},
  [8614] = {.lex_state = 63, .external_lex_state = 54},
  [8615] = {.lex_state = 63, .external_lex_state = 52},
  [8616] = {.lex_state = 52, .external_lex_state = 34},
  [8617] = {.lex_state = 63, .external_lex_state = 52},
  [8618] = {.lex_state = 61, .external_lex_state = 26},
  [8619] = {.lex_state = 57},
  [8620] = {.lex_state = 62, .external_lex_state = 47},
  [8621] = {.lex_state = 63, .external_lex_state = 52},
  [8622] = {.lex_state = 62, .external_lex_state = 47},
  [8623] = {.lex_state = 63, .external_lex_state = 54},
  [8624] = {.lex_state = 63, .external_lex_state = 56},
  [8625] = {.lex_state = 62, .external_lex_state = 47},
  [8626] = {.lex_state = 3},
  [8627] = {.lex_state = 52, .external_lex_state = 53},
  [8628] = {.lex_state = 63, .external_lex_state = 54},
  [8629] = {.lex_state = 63, .external_lex_state = 40},
  [8630] = {.lex_state = 61, .external_lex_state = 40},
  [8631] = {.lex_state = 63, .external_lex_state = 54},
  [8632] = {.lex_state = 63, .external_lex_state = 54},
  [8633] = {.lex_state = 63, .external_lex_state = 50},
  [8634] = {.lex_state = 56, .external_lex_state = 35},
  [8635] = {.lex_state = 58, .external_lex_state = 35},
  [8636] = {.lex_state = 63, .external_lex_state = 48},
  [8637] = {.lex_state = 61, .external_lex_state = 40},
  [8638] = {.lex_state = 61, .external_lex_state = 48},
  [8639] = {.lex_state = 52, .external_lex_state = 32},
  [8640] = {.lex_state = 63, .external_lex_state = 44},
  [8641] = {.lex_state = 9, .external_lex_state = 47},
  [8642] = {.lex_state = 61, .external_lex_state = 39},
  [8643] = {.lex_state = 63, .external_lex_state = 48},
  [8644] = {.lex_state = 54},
  [8645] = {.lex_state = 63, .external_lex_state = 50},
  [8646] = {.lex_state = 61, .external_lex_state = 31},
  [8647] = {.lex_state = 63, .external_lex_state = 54},
  [8648] = {.lex_state = 63, .external_lex_state = 54},
  [8649] = {.lex_state = 63, .external_lex_state = 48},
  [8650] = {.lex_state = 52, .external_lex_state = 33},
  [8651] = {.lex_state = 58, .external_lex_state = 31},
  [8652] = {.lex_state = 56, .external_lex_state = 35},
  [8653] = {.lex_state = 63, .external_lex_state = 47},
  [8654] = {.lex_state = 58, .external_lex_state = 35},
  [8655] = {.lex_state = 63, .external_lex_state = 54},
  [8656] = {.lex_state = 11, .external_lex_state = 47},
  [8657] = {.lex_state = 57, .external_lex_state = 32},
  [8658] = {.lex_state = 61, .external_lex_state = 31},
  [8659] = {.lex_state = 64, .external_lex_state = 35},
  [8660] = {.lex_state = 52, .external_lex_state = 33},
  [8661] = {.lex_state = 63, .external_lex_state = 54},
  [8662] = {.lex_state = 61, .external_lex_state = 31},
  [8663] = {.lex_state = 10, .external_lex_state = 47},
  [8664] = {.lex_state = 58, .external_lex_state = 35},
  [8665] = {.lex_state = 52, .external_lex_state = 24},
  [8666] = {.lex_state = 63, .external_lex_state = 41},
  [8667] = {.lex_state = 63, .external_lex_state = 58},
  [8668] = {.lex_state = 56, .external_lex_state = 35},
  [8669] = {.lex_state = 63, .external_lex_state = 54},
  [8670] = {.lex_state = 57, .external_lex_state = 32},
  [8671] = {.lex_state = 63, .external_lex_state = 29},
  [8672] = {.lex_state = 64, .external_lex_state = 35},
  [8673] = {.lex_state = 52, .external_lex_state = 33},
  [8674] = {.lex_state = 63, .external_lex_state = 47},
  [8675] = {.lex_state = 58, .external_lex_state = 35},
  [8676] = {.lex_state = 58, .external_lex_state = 31},
  [8677] = {.lex_state = 54},
  [8678] = {.lex_state = 57, .external_lex_state = 32},
  [8679] = {.lex_state = 56, .external_lex_state = 35},
  [8680] = {.lex_state = 58, .external_lex_state = 31},
  [8681] = {.lex_state = 63, .external_lex_state = 54},
  [8682] = {.lex_state = 52, .external_lex_state = 35},
  [8683] = {.lex_state = 57, .external_lex_state = 32},
  [8684] = {.lex_state = 63, .external_lex_state = 52},
  [8685] = {.lex_state = 63, .external_lex_state = 54},
  [8686] = {.lex_state = 58, .external_lex_state = 31},
  [8687] = {.lex_state = 64, .external_lex_state = 35},
  [8688] = {.lex_state = 61, .external_lex_state = 28},
  [8689] = {.lex_state = 52, .external_lex_state = 33},
  [8690] = {.lex_state = 58, .external_lex_state = 31},
  [8691] = {.lex_state = 52, .external_lex_state = 44},
  [8692] = {.lex_state = 52, .external_lex_state = 33},
  [8693] = {.lex_state = 61, .external_lex_state = 26},
  [8694] = {.lex_state = 56, .external_lex_state = 35},
  [8695] = {.lex_state = 57, .external_lex_state = 32},
  [8696] = {.lex_state = 57},
  [8697] = {.lex_state = 58, .external_lex_state = 31},
  [8698] = {.lex_state = 63, .external_lex_state = 48},
  [8699] = {.lex_state = 63, .external_lex_state = 54},
  [8700] = {.lex_state = 63, .external_lex_state = 54},
  [8701] = {.lex_state = 52, .external_lex_state = 55},
  [8702] = {.lex_state = 52, .external_lex_state = 23},
  [8703] = {.lex_state = 52, .external_lex_state = 23},
  [8704] = {.lex_state = 20, .external_lex_state = 47},
  [8705] = {.lex_state = 61, .external_lex_state = 27},
  [8706] = {.lex_state = 63, .external_lex_state = 50},
  [8707] = {.lex_state = 63, .external_lex_state = 28},
  [8708] = {.lex_state = 58, .external_lex_state = 31},
  [8709] = {.lex_state = 64, .external_lex_state = 35},
  [8710] = {.lex_state = 58, .external_lex_state = 31},
  [8711] = {.lex_state = 63},
  [8712] = {.lex_state = 52, .external_lex_state = 26},
  [8713] = {.lex_state = 62, .external_lex_state = 55},
  [8714] = {.lex_state = 63, .external_lex_state = 58},
  [8715] = {.lex_state = 63, .external_lex_state = 58},
  [8716] = {.lex_state = 63},
  [8717] = {.lex_state = 63, .external_lex_state = 29},
  [8718] = {.lex_state = 63, .external_lex_state = 56},
  [8719] = {.lex_state = 63, .external_lex_state = 56},
  [8720] = {.lex_state = 63},
  [8721] = {.lex_state = 61, .external_lex_state = 35},
  [8722] = {.lex_state = 61, .external_lex_state = 41},
  [8723] = {.lex_state = 65, .external_lex_state = 34},
  [8724] = {.lex_state = 63, .external_lex_state = 29},
  [8725] = {.lex_state = 52},
  [8726] = {.lex_state = 52},
  [8727] = {.lex_state = 63, .external_lex_state = 58},
  [8728] = {.lex_state = 63},
  [8729] = {.lex_state = 58, .external_lex_state = 59},
  [8730] = {.lex_state = 63},
  [8731] = {.lex_state = 58, .external_lex_state = 59},
  [8732] = {.lex_state = 63, .external_lex_state = 58},
  [8733] = {.lex_state = 63, .external_lex_state = 24},
  [8734] = {.lex_state = 10, .external_lex_state = 47},
  [8735] = {.lex_state = 63, .external_lex_state = 29},
  [8736] = {.lex_state = 63},
  [8737] = {.lex_state = 57, .external_lex_state = 35},
  [8738] = {.lex_state = 61, .external_lex_state = 35},
  [8739] = {.lex_state = 61, .external_lex_state = 35},
  [8740] = {.lex_state = 63},
  [8741] = {.lex_state = 62, .external_lex_state = 55},
  [8742] = {.lex_state = 63},
  [8743] = {.lex_state = 63, .external_lex_state = 29},
  [8744] = {.lex_state = 63, .external_lex_state = 29},
  [8745] = {.lex_state = 63, .external_lex_state = 29},
  [8746] = {.lex_state = 63, .external_lex_state = 29},
  [8747] = {.lex_state = 61, .external_lex_state = 41},
  [8748] = {.lex_state = 61, .external_lex_state = 55},
  [8749] = {.lex_state = 52, .external_lex_state = 55},
  [8750] = {.lex_state = 10, .external_lex_state = 47},
  [8751] = {.lex_state = 63, .external_lex_state = 57},
  [8752] = {.lex_state = 63, .external_lex_state = 57},
  [8753] = {.lex_state = 10, .external_lex_state = 47},
  [8754] = {.lex_state = 63},
  [8755] = {.lex_state = 63},
  [8756] = {.lex_state = 10, .external_lex_state = 47},
  [8757] = {.lex_state = 52, .external_lex_state = 24},
  [8758] = {.lex_state = 63, .external_lex_state = 57},
  [8759] = {.lex_state = 63},
  [8760] = {.lex_state = 52},
  [8761] = {.lex_state = 19, .external_lex_state = 47},
  [8762] = {.lex_state = 63},
  [8763] = {.lex_state = 63},
  [8764] = {.lex_state = 61, .external_lex_state = 35},
  [8765] = {.lex_state = 63},
  [8766] = {.lex_state = 64, .external_lex_state = 35},
  [8767] = {.lex_state = 62, .external_lex_state = 23},
  [8768] = {.lex_state = 63, .external_lex_state = 56},
  [8769] = {.lex_state = 63},
  [8770] = {.lex_state = 65, .external_lex_state = 34},
  [8771] = {.lex_state = 10, .external_lex_state = 47},
  [8772] = {.lex_state = 64, .external_lex_state = 55},
  [8773] = {.lex_state = 61, .external_lex_state = 31},
  [8774] = {.lex_state = 63},
  [8775] = {.lex_state = 63, .external_lex_state = 33},
  [8776] = {.lex_state = 63, .external_lex_state = 58},
  [8777] = {.lex_state = 63, .external_lex_state = 29},
  [8778] = {.lex_state = 63, .external_lex_state = 56},
  [8779] = {.lex_state = 63},
  [8780] = {.lex_state = 63},
  [8781] = {.lex_state = 63, .external_lex_state = 29},
  [8782] = {.lex_state = 52, .external_lex_state = 32},
  [8783] = {.lex_state = 10, .external_lex_state = 47},
  [8784] = {.lex_state = 52, .external_lex_state = 24},
  [8785] = {.lex_state = 63, .external_lex_state = 29},
  [8786] = {.lex_state = 52, .external_lex_state = 38},
  [8787] = {.lex_state = 63},
  [8788] = {.lex_state = 56, .external_lex_state = 35},
  [8789] = {.lex_state = 63, .external_lex_state = 31},
  [8790] = {.lex_state = 63},
  [8791] = {.lex_state = 61, .external_lex_state = 28},
  [8792] = {.lex_state = 63},
  [8793] = {.lex_state = 63, .external_lex_state = 58},
  [8794] = {.lex_state = 63, .external_lex_state = 58},
  [8795] = {.lex_state = 63, .external_lex_state = 56},
  [8796] = {.lex_state = 64, .external_lex_state = 55},
  [8797] = {.lex_state = 63},
  [8798] = {.lex_state = 63, .external_lex_state = 44},
  [8799] = {.lex_state = 63, .external_lex_state = 34},
  [8800] = {.lex_state = 63, .external_lex_state = 56},
  [8801] = {.lex_state = 63, .external_lex_state = 58},
  [8802] = {.lex_state = 63, .external_lex_state = 56},
  [8803] = {.lex_state = 63, .external_lex_state = 57},
  [8804] = {.lex_state = 52, .external_lex_state = 41},
  [8805] = {.lex_state = 63, .external_lex_state = 29},
  [8806] = {.lex_state = 56, .external_lex_state = 35},
  [8807] = {.lex_state = 63, .external_lex_state = 58},
  [8808] = {.lex_state = 63, .external_lex_state = 57},
  [8809] = {.lex_state = 63},
  [8810] = {.lex_state = 52, .external_lex_state = 47},
  [8811] = {.lex_state = 63, .external_lex_state = 57},
  [8812] = {.lex_state = 64, .external_lex_state = 35},
  [8813] = {.lex_state = 63},
  [8814] = {.lex_state = 52, .external_lex_state = 55},
  [8815] = {.lex_state = 63, .external_lex_state = 41},
  [8816] = {.lex_state = 63},
  [8817] = {.lex_state = 63},
  [8818] = {.lex_state = 63, .external_lex_state = 56},
  [8819] = {.lex_state = 63},
  [8820] = {.lex_state = 21},
  [8821] = {.lex_state = 52, .external_lex_state = 40},
  [8822] = {.lex_state = 52, .external_lex_state = 32},
  [8823] = {.lex_state = 63, .external_lex_state = 57},
  [8824] = {.lex_state = 63, .external_lex_state = 57},
  [8825] = {.lex_state = 63, .external_lex_state = 58},
  [8826] = {.lex_state = 63},
  [8827] = {.lex_state = 63},
  [8828] = {.lex_state = 63, .external_lex_state = 57},
  [8829] = {.lex_state = 63, .external_lex_state = 47},
  [8830] = {.lex_state = 61, .external_lex_state = 44},
  [8831] = {.lex_state = 63, .external_lex_state = 33},
  [8832] = {.lex_state = 65, .external_lex_state = 33},
  [8833] = {.lex_state = 52, .external_lex_state = 40},
  [8834] = {.lex_state = 63, .external_lex_state = 58},
  [8835] = {.lex_state = 63, .external_lex_state = 57},
  [8836] = {.lex_state = 21},
  [8837] = {.lex_state = 63, .external_lex_state = 56},
  [8838] = {.lex_state = 63},
  [8839] = {.lex_state = 63},
  [8840] = {.lex_state = 61, .external_lex_state = 55},
  [8841] = {.lex_state = 52, .external_lex_state = 23},
  [8842] = {.lex_state = 63, .external_lex_state = 52},
  [8843] = {.lex_state = 65, .external_lex_state = 33},
  [8844] = {.lex_state = 61, .external_lex_state = 27},
  [8845] = {.lex_state = 63},
  [8846] = {.lex_state = 63},
  [8847] = {.lex_state = 63, .external_lex_state = 33},
  [8848] = {.lex_state = 63, .external_lex_state = 29},
  [8849] = {.lex_state = 63},
  [8850] = {.lex_state = 52, .external_lex_state = 49},
  [8851] = {.lex_state = 63, .external_lex_state = 57},
  [8852] = {.lex_state = 10, .external_lex_state = 47},
  [8853] = {.lex_state = 52, .external_lex_state = 24},
  [8854] = {.lex_state = 63, .external_lex_state = 56},
  [8855] = {.lex_state = 52, .external_lex_state = 59},
  [8856] = {.lex_state = 63, .external_lex_state = 56},
  [8857] = {.lex_state = 10, .external_lex_state = 47},
  [8858] = {.lex_state = 52, .external_lex_state = 40},
  [8859] = {.lex_state = 61, .external_lex_state = 41},
  [8860] = {.lex_state = 61, .external_lex_state = 41},
  [8861] = {.lex_state = 52, .external_lex_state = 32},
  [8862] = {.lex_state = 61, .external_lex_state = 56},
  [8863] = {.lex_state = 63, .external_lex_state = 58},
  [8864] = {.lex_state = 61, .external_lex_state = 44},
  [8865] = {.lex_state = 61, .external_lex_state = 44},
  [8866] = {.lex_state = 63, .external_lex_state = 56},
  [8867] = {.lex_state = 63},
  [8868] = {.lex_state = 63, .external_lex_state = 58},
  [8869] = {.lex_state = 10, .external_lex_state = 47},
  [8870] = {.lex_state = 63},
  [8871] = {.lex_state = 10, .external_lex_state = 47},
  [8872] = {.lex_state = 52, .external_lex_state = 49},
  [8873] = {.lex_state = 61, .external_lex_state = 41},
  [8874] = {.lex_state = 61, .external_lex_state = 27},
  [8875] = {.lex_state = 65, .external_lex_state = 33},
  [8876] = {.lex_state = 63},
  [8877] = {.lex_state = 63, .external_lex_state = 29},
  [8878] = {.lex_state = 63, .external_lex_state = 34},
  [8879] = {.lex_state = 62, .external_lex_state = 35},
  [8880] = {.lex_state = 63},
  [8881] = {.lex_state = 63, .external_lex_state = 56},
  [8882] = {.lex_state = 52, .external_lex_state = 41},
  [8883] = {.lex_state = 10, .external_lex_state = 47},
  [8884] = {.lex_state = 63, .external_lex_state = 29},
  [8885] = {.lex_state = 63},
  [8886] = {.lex_state = 62, .external_lex_state = 35},
  [8887] = {.lex_state = 63, .external_lex_state = 56},
  [8888] = {.lex_state = 63},
  [8889] = {.lex_state = 63, .external_lex_state = 58},
  [8890] = {.lex_state = 61, .external_lex_state = 44},
  [8891] = {.lex_state = 63, .external_lex_state = 56},
  [8892] = {.lex_state = 63, .external_lex_state = 29},
  [8893] = {.lex_state = 63, .external_lex_state = 56},
  [8894] = {.lex_state = 63, .external_lex_state = 56},
  [8895] = {.lex_state = 10, .external_lex_state = 47},
  [8896] = {.lex_state = 63, .external_lex_state = 29},
  [8897] = {.lex_state = 63, .external_lex_state = 56},
  [8898] = {.lex_state = 63, .external_lex_state = 58},
  [8899] = {.lex_state = 63, .external_lex_state = 58},
  [8900] = {.lex_state = 63, .external_lex_state = 57},
  [8901] = {.lex_state = 63, .external_lex_state = 32},
  [8902] = {.lex_state = 63},
  [8903] = {.lex_state = 63, .external_lex_state = 33},
  [8904] = {.lex_state = 63, .external_lex_state = 57},
  [8905] = {.lex_state = 63},
  [8906] = {.lex_state = 63},
  [8907] = {.lex_state = 63, .external_lex_state = 56},
  [8908] = {.lex_state = 63, .external_lex_state = 58},
  [8909] = {.lex_state = 63, .external_lex_state = 57},
  [8910] = {.lex_state = 63, .external_lex_state = 47},
  [8911] = {.lex_state = 63, .external_lex_state = 58},
  [8912] = {.lex_state = 63, .external_lex_state = 57},
  [8913] = {.lex_state = 63, .external_lex_state = 57},
  [8914] = {.lex_state = 63},
  [8915] = {.lex_state = 63},
  [8916] = {.lex_state = 57, .external_lex_state = 35},
  [8917] = {.lex_state = 52, .external_lex_state = 35},
  [8918] = {.lex_state = 52, .external_lex_state = 27},
  [8919] = {.lex_state = 21},
  [8920] = {.lex_state = 63, .external_lex_state = 23},
  [8921] = {.lex_state = 61, .external_lex_state = 23},
  [8922] = {.lex_state = 63, .external_lex_state = 57},
  [8923] = {.lex_state = 52, .external_lex_state = 53},
  [8924] = {.lex_state = 64, .external_lex_state = 35},
  [8925] = {.lex_state = 63, .external_lex_state = 56},
  [8926] = {.lex_state = 63, .external_lex_state = 55},
  [8927] = {.lex_state = 63},
  [8928] = {.lex_state = 63},
  [8929] = {.lex_state = 61, .external_lex_state = 41},
  [8930] = {.lex_state = 61, .external_lex_state = 41},
  [8931] = {.lex_state = 61, .external_lex_state = 32},
  [8932] = {.lex_state = 63, .external_lex_state = 33},
  [8933] = {.lex_state = 63},
  [8934] = {.lex_state = 63, .external_lex_state = 58},
  [8935] = {.lex_state = 61, .external_lex_state = 41},
  [8936] = {.lex_state = 64, .external_lex_state = 35},
  [8937] = {.lex_state = 52, .external_lex_state = 38},
  [8938] = {.lex_state = 63, .external_lex_state = 56},
  [8939] = {.lex_state = 52, .external_lex_state = 53},
  [8940] = {.lex_state = 62, .external_lex_state = 35},
  [8941] = {.lex_state = 63},
  [8942] = {.lex_state = 63, .external_lex_state = 29},
  [8943] = {.lex_state = 52, .external_lex_state = 38},
  [8944] = {.lex_state = 52, .external_lex_state = 38},
  [8945] = {.lex_state = 63},
  [8946] = {.lex_state = 52, .external_lex_state = 40},
  [8947] = {.lex_state = 63, .external_lex_state = 56},
  [8948] = {.lex_state = 64, .external_lex_state = 35},
  [8949] = {.lex_state = 61, .external_lex_state = 23},
  [8950] = {.lex_state = 61, .external_lex_state = 41},
  [8951] = {.lex_state = 63},
  [8952] = {.lex_state = 63, .external_lex_state = 29},
  [8953] = {.lex_state = 52, .external_lex_state = 23},
  [8954] = {.lex_state = 52},
  [8955] = {.lex_state = 52, .external_lex_state = 38},
  [8956] = {.lex_state = 63},
  [8957] = {.lex_state = 63, .external_lex_state = 57},
  [8958] = {.lex_state = 52},
  [8959] = {.lex_state = 52},
  [8960] = {.lex_state = 52, .external_lex_state = 39},
  [8961] = {.lex_state = 63, .external_lex_state = 57},
  [8962] = {.lex_state = 52, .external_lex_state = 58},
  [8963] = {.lex_state = 63, .external_lex_state = 57},
  [8964] = {.lex_state = 63},
  [8965] = {.lex_state = 63},
  [8966] = {.lex_state = 63},
  [8967] = {.lex_state = 52, .external_lex_state = 38},
  [8968] = {.lex_state = 63, .external_lex_state = 58},
  [8969] = {.lex_state = 63, .external_lex_state = 57},
  [8970] = {.lex_state = 52, .external_lex_state = 39},
  [8971] = {.lex_state = 52, .external_lex_state = 38},
  [8972] = {.lex_state = 52, .external_lex_state = 39},
  [8973] = {.lex_state = 63, .external_lex_state = 31},
  [8974] = {.lex_state = 52},
  [8975] = {.lex_state = 63, .external_lex_state = 29},
  [8976] = {.lex_state = 63, .external_lex_state = 29},
  [8977] = {.lex_state = 63, .external_lex_state = 57},
  [8978] = {.lex_state = 3},
  [8979] = {.lex_state = 63},
  [8980] = {.lex_state = 52},
  [8981] = {.lex_state = 63},
  [8982] = {.lex_state = 63, .external_lex_state = 56},
  [8983] = {.lex_state = 52},
  [8984] = {.lex_state = 63, .external_lex_state = 58},
  [8985] = {.lex_state = 63, .external_lex_state = 32},
  [8986] = {.lex_state = 63},
  [8987] = {.lex_state = 63, .external_lex_state = 44},
  [8988] = {.lex_state = 52, .external_lex_state = 59},
  [8989] = {.lex_state = 63, .external_lex_state = 44},
  [8990] = {.lex_state = 63, .external_lex_state = 29},
  [8991] = {.lex_state = 10, .external_lex_state = 47},
  [8992] = {.lex_state = 63},
  [8993] = {.lex_state = 63},
  [8994] = {.lex_state = 63, .external_lex_state = 29},
  [8995] = {.lex_state = 63, .external_lex_state = 57},
  [8996] = {.lex_state = 63, .external_lex_state = 57},
  [8997] = {.lex_state = 63},
  [8998] = {.lex_state = 61, .external_lex_state = 23},
  [8999] = {.lex_state = 63, .external_lex_state = 32},
  [9000] = {.lex_state = 63},
  [9001] = {.lex_state = 52, .external_lex_state = 35},
  [9002] = {.lex_state = 63, .external_lex_state = 58},
  [9003] = {.lex_state = 52, .external_lex_state = 51},
  [9004] = {.lex_state = 63},
  [9005] = {.lex_state = 63, .external_lex_state = 29},
  [9006] = {.lex_state = 63, .external_lex_state = 29},
  [9007] = {.lex_state = 61, .external_lex_state = 44},
  [9008] = {.lex_state = 63},
  [9009] = {.lex_state = 52, .external_lex_state = 48},
  [9010] = {.lex_state = 63, .external_lex_state = 58},
  [9011] = {.lex_state = 63},
  [9012] = {.lex_state = 56, .external_lex_state = 35},
  [9013] = {.lex_state = 52, .external_lex_state = 51},
  [9014] = {.lex_state = 63, .external_lex_state = 48},
  [9015] = {.lex_state = 63, .external_lex_state = 29},
  [9016] = {.lex_state = 63},
  [9017] = {.lex_state = 52, .external_lex_state = 35},
  [9018] = {.lex_state = 65, .external_lex_state = 34},
  [9019] = {.lex_state = 63, .external_lex_state = 58},
  [9020] = {.lex_state = 57, .external_lex_state = 35},
  [9021] = {.lex_state = 65, .external_lex_state = 34},
  [9022] = {.lex_state = 65, .external_lex_state = 34},
  [9023] = {.lex_state = 52, .external_lex_state = 27},
  [9024] = {.lex_state = 63, .external_lex_state = 58},
  [9025] = {.lex_state = 63},
  [9026] = {.lex_state = 52, .external_lex_state = 38},
  [9027] = {.lex_state = 57, .external_lex_state = 35},
  [9028] = {.lex_state = 61, .external_lex_state = 23},
  [9029] = {.lex_state = 63},
  [9030] = {.lex_state = 63, .external_lex_state = 57},
  [9031] = {.lex_state = 63, .external_lex_state = 58},
  [9032] = {.lex_state = 63, .external_lex_state = 29},
  [9033] = {.lex_state = 63, .external_lex_state = 56},
  [9034] = {.lex_state = 52, .external_lex_state = 38},
  [9035] = {.lex_state = 63, .external_lex_state = 57},
  [9036] = {.lex_state = 52},
  [9037] = {.lex_state = 52, .external_lex_state = 59},
  [9038] = {.lex_state = 63},
  [9039] = {.lex_state = 52, .external_lex_state = 38},
  [9040] = {.lex_state = 52, .external_lex_state = 31},
  [9041] = {.lex_state = 61, .external_lex_state = 23},
  [9042] = {.lex_state = 63, .external_lex_state = 58},
  [9043] = {.lex_state = 61, .external_lex_state = 23},
  [9044] = {.lex_state = 61, .external_lex_state = 23},
  [9045] = {.lex_state = 63},
  [9046] = {.lex_state = 65, .external_lex_state = 33},
  [9047] = {.lex_state = 63},
  [9048] = {.lex_state = 65, .external_lex_state = 33},
  [9049] = {.lex_state = 52, .external_lex_state = 28},
  [9050] = {.lex_state = 63, .external_lex_state = 48},
  [9051] = {.lex_state = 63, .external_lex_state = 56},
  [9052] = {.lex_state = 63, .external_lex_state = 56},
  [9053] = {.lex_state = 63},
  [9054] = {.lex_state = 63, .external_lex_state = 29},
  [9055] = {.lex_state = 63, .external_lex_state = 29},
  [9056] = {.lex_state = 63},
  [9057] = {.lex_state = 61, .external_lex_state = 31},
  [9058] = {.lex_state = 63, .external_lex_state = 56},
  [9059] = {.lex_state = 63},
  [9060] = {.lex_state = 52, .external_lex_state = 35},
  [9061] = {.lex_state = 63, .external_lex_state = 29},
  [9062] = {.lex_state = 63},
  [9063] = {.lex_state = 52, .external_lex_state = 54},
  [9064] = {.lex_state = 63, .external_lex_state = 29},
  [9065] = {.lex_state = 17, .external_lex_state = 47},
  [9066] = {.lex_state = 63, .external_lex_state = 57},
  [9067] = {.lex_state = 63, .external_lex_state = 58},
  [9068] = {.lex_state = 63, .external_lex_state = 58},
  [9069] = {.lex_state = 52, .external_lex_state = 39},
  [9070] = {.lex_state = 52},
  [9071] = {.lex_state = 63, .external_lex_state = 29},
  [9072] = {.lex_state = 63},
  [9073] = {.lex_state = 52, .external_lex_state = 39},
  [9074] = {.lex_state = 63},
  [9075] = {.lex_state = 52, .external_lex_state = 40},
  [9076] = {.lex_state = 52, .external_lex_state = 39},
  [9077] = {.lex_state = 63, .external_lex_state = 29},
  [9078] = {.lex_state = 63},
  [9079] = {.lex_state = 52, .external_lex_state = 40},
  [9080] = {.lex_state = 52, .external_lex_state = 40},
  [9081] = {.lex_state = 63},
  [9082] = {.lex_state = 63},
  [9083] = {.lex_state = 52},
  [9084] = {.lex_state = 52, .external_lex_state = 40},
  [9085] = {.lex_state = 63, .external_lex_state = 29},
  [9086] = {.lex_state = 52, .external_lex_state = 40},
  [9087] = {.lex_state = 52, .external_lex_state = 39},
  [9088] = {.lex_state = 63},
  [9089] = {.lex_state = 52, .external_lex_state = 32},
  [9090] = {.lex_state = 57, .external_lex_state = 35},
  [9091] = {.lex_state = 52, .external_lex_state = 40},
  [9092] = {.lex_state = 56, .external_lex_state = 47},
  [9093] = {.lex_state = 52, .external_lex_state = 40},
  [9094] = {.lex_state = 63},
  [9095] = {.lex_state = 61},
  [9096] = {.lex_state = 63, .external_lex_state = 56},
  [9097] = {.lex_state = 57, .external_lex_state = 35},
  [9098] = {.lex_state = 52, .external_lex_state = 40},
  [9099] = {.lex_state = 52, .external_lex_state = 39},
  [9100] = {.lex_state = 63, .external_lex_state = 24},
  [9101] = {.lex_state = 63, .external_lex_state = 24},
  [9102] = {.lex_state = 63, .external_lex_state = 24},
  [9103] = {.lex_state = 52, .external_lex_state = 39},
  [9104] = {.lex_state = 63},
  [9105] = {.lex_state = 63, .external_lex_state = 56},
  [9106] = {.lex_state = 52, .external_lex_state = 40},
  [9107] = {.lex_state = 58, .external_lex_state = 32},
  [9108] = {.lex_state = 63},
  [9109] = {.lex_state = 52, .external_lex_state = 40},
  [9110] = {.lex_state = 52, .external_lex_state = 40},
  [9111] = {.lex_state = 63, .external_lex_state = 56},
  [9112] = {.lex_state = 52, .external_lex_state = 52},
  [9113] = {.lex_state = 63},
  [9114] = {.lex_state = 63},
  [9115] = {.lex_state = 58, .external_lex_state = 59},
  [9116] = {.lex_state = 57, .external_lex_state = 35},
  [9117] = {.lex_state = 63},
  [9118] = {.lex_state = 63},
  [9119] = {.lex_state = 63, .external_lex_state = 56},
  [9120] = {.lex_state = 63, .external_lex_state = 24},
  [9121] = {.lex_state = 63, .external_lex_state = 56},
  [9122] = {.lex_state = 63},
  [9123] = {.lex_state = 57, .external_lex_state = 35},
  [9124] = {.lex_state = 56, .external_lex_state = 47},
  [9125] = {.lex_state = 63, .external_lex_state = 50},
  [9126] = {.lex_state = 63, .external_lex_state = 57},
  [9127] = {.lex_state = 63, .external_lex_state = 24},
  [9128] = {.lex_state = 63},
  [9129] = {.lex_state = 61, .external_lex_state = 44},
  [9130] = {.lex_state = 61, .external_lex_state = 44},
  [9131] = {.lex_state = 61, .external_lex_state = 44},
  [9132] = {.lex_state = 63, .external_lex_state = 56},
  [9133] = {.lex_state = 63, .external_lex_state = 57},
  [9134] = {.lex_state = 63, .external_lex_state = 56},
  [9135] = {.lex_state = 63, .external_lex_state = 57},
  [9136] = {.lex_state = 63},
  [9137] = {.lex_state = 63, .external_lex_state = 58},
  [9138] = {.lex_state = 52},
  [9139] = {.lex_state = 52, .external_lex_state = 38},
  [9140] = {.lex_state = 63},
  [9141] = {.lex_state = 63, .external_lex_state = 56},
  [9142] = {.lex_state = 63, .external_lex_state = 24},
  [9143] = {.lex_state = 63, .external_lex_state = 28},
  [9144] = {.lex_state = 61, .external_lex_state = 44},
  [9145] = {.lex_state = 63, .external_lex_state = 57},
  [9146] = {.lex_state = 63},
  [9147] = {.lex_state = 63, .external_lex_state = 50},
  [9148] = {.lex_state = 63, .external_lex_state = 58},
  [9149] = {.lex_state = 58, .external_lex_state = 32},
  [9150] = {.lex_state = 19, .external_lex_state = 47},
  [9151] = {.lex_state = 62, .external_lex_state = 24},
  [9152] = {.lex_state = 63, .external_lex_state = 32},
  [9153] = {.lex_state = 52},
  [9154] = {.lex_state = 63, .external_lex_state = 57},
  [9155] = {.lex_state = 63},
  [9156] = {.lex_state = 63, .external_lex_state = 57},
  [9157] = {.lex_state = 52, .external_lex_state = 39},
  [9158] = {.lex_state = 63, .external_lex_state = 32},
  [9159] = {.lex_state = 63, .external_lex_state = 24},
  [9160] = {.lex_state = 63},
  [9161] = {.lex_state = 62, .external_lex_state = 47},
  [9162] = {.lex_state = 63, .external_lex_state = 56},
  [9163] = {.lex_state = 63, .external_lex_state = 58},
  [9164] = {.lex_state = 63, .external_lex_state = 32},
  [9165] = {.lex_state = 63, .external_lex_state = 57},
  [9166] = {.lex_state = 61, .external_lex_state = 58},
  [9167] = {.lex_state = 63, .external_lex_state = 29},
  [9168] = {.lex_state = 52, .external_lex_state = 47},
  [9169] = {.lex_state = 63},
  [9170] = {.lex_state = 63},
  [9171] = {.lex_state = 63, .external_lex_state = 57},
  [9172] = {.lex_state = 63},
  [9173] = {.lex_state = 63, .external_lex_state = 57},
  [9174] = {.lex_state = 63, .external_lex_state = 58},
  [9175] = {.lex_state = 63, .external_lex_state = 57},
  [9176] = {.lex_state = 61, .external_lex_state = 23},
  [9177] = {.lex_state = 63},
  [9178] = {.lex_state = 52, .external_lex_state = 38},
  [9179] = {.lex_state = 63, .external_lex_state = 57},
  [9180] = {.lex_state = 52, .external_lex_state = 39},
  [9181] = {.lex_state = 52, .external_lex_state = 39},
  [9182] = {.lex_state = 52, .external_lex_state = 39},
  [9183] = {.lex_state = 57, .external_lex_state = 35},
  [9184] = {.lex_state = 63, .external_lex_state = 54},
  [9185] = {.lex_state = 63},
  [9186] = {.lex_state = 63, .external_lex_state = 31},
  [9187] = {.lex_state = 63, .external_lex_state = 28},
  [9188] = {.lex_state = 52},
  [9189] = {.lex_state = 63, .external_lex_state = 57},
  [9190] = {.lex_state = 63},
  [9191] = {.lex_state = 61, .external_lex_state = 44},
  [9192] = {.lex_state = 63, .external_lex_state = 31},
  [9193] = {.lex_state = 63},
  [9194] = {.lex_state = 52, .external_lex_state = 38},
  [9195] = {.lex_state = 63, .external_lex_state = 31},
  [9196] = {.lex_state = 52, .external_lex_state = 39},
  [9197] = {.lex_state = 61, .external_lex_state = 44},
  [9198] = {.lex_state = 63, .external_lex_state = 57},
  [9199] = {.lex_state = 63, .external_lex_state = 58},
  [9200] = {.lex_state = 63, .external_lex_state = 24},
  [9201] = {.lex_state = 63},
  [9202] = {.lex_state = 61, .external_lex_state = 28},
  [9203] = {.lex_state = 63, .external_lex_state = 56},
  [9204] = {.lex_state = 63, .external_lex_state = 55},
  [9205] = {.lex_state = 52, .external_lex_state = 31},
  [9206] = {.lex_state = 61, .external_lex_state = 44},
  [9207] = {.lex_state = 63, .external_lex_state = 57},
  [9208] = {.lex_state = 52, .external_lex_state = 38},
  [9209] = {.lex_state = 52, .external_lex_state = 38},
  [9210] = {.lex_state = 63, .external_lex_state = 57},
  [9211] = {.lex_state = 52, .external_lex_state = 38},
  [9212] = {.lex_state = 61, .external_lex_state = 57},
  [9213] = {.lex_state = 63, .external_lex_state = 29},
  [9214] = {.lex_state = 63},
  [9215] = {.lex_state = 52, .external_lex_state = 31},
  [9216] = {.lex_state = 61, .external_lex_state = 44},
  [9217] = {.lex_state = 63, .external_lex_state = 56},
  [9218] = {.lex_state = 63, .external_lex_state = 54},
  [9219] = {.lex_state = 52, .external_lex_state = 31},
  [9220] = {.lex_state = 61, .external_lex_state = 44},
  [9221] = {.lex_state = 63, .external_lex_state = 41},
  [9222] = {.lex_state = 63, .external_lex_state = 34},
  [9223] = {.lex_state = 63, .external_lex_state = 44},
  [9224] = {.lex_state = 63, .external_lex_state = 57},
  [9225] = {.lex_state = 63, .external_lex_state = 24},
  [9226] = {.lex_state = 63, .external_lex_state = 56},
  [9227] = {.lex_state = 63},
  [9228] = {.lex_state = 63},
  [9229] = {.lex_state = 52, .external_lex_state = 40},
  [9230] = {.lex_state = 63, .external_lex_state = 52},
  [9231] = {.lex_state = 63, .external_lex_state = 23},
  [9232] = {.lex_state = 52, .external_lex_state = 38},
  [9233] = {.lex_state = 57, .external_lex_state = 35},
  [9234] = {.lex_state = 63, .external_lex_state = 58},
  [9235] = {.lex_state = 57, .external_lex_state = 35},
  [9236] = {.lex_state = 63},
  [9237] = {.lex_state = 63, .external_lex_state = 24},
  [9238] = {.lex_state = 58, .external_lex_state = 59},
  [9239] = {.lex_state = 63, .external_lex_state = 57},
  [9240] = {.lex_state = 61, .external_lex_state = 23},
  [9241] = {.lex_state = 61, .external_lex_state = 32},
  [9242] = {.lex_state = 63},
  [9243] = {.lex_state = 63, .external_lex_state = 29},
  [9244] = {.lex_state = 63, .external_lex_state = 23},
  [9245] = {.lex_state = 52, .external_lex_state = 40},
  [9246] = {.lex_state = 62, .external_lex_state = 35},
  [9247] = {.lex_state = 61, .external_lex_state = 23},
  [9248] = {.lex_state = 52, .external_lex_state = 47},
  [9249] = {.lex_state = 63, .external_lex_state = 58},
  [9250] = {.lex_state = 52, .external_lex_state = 38},
  [9251] = {.lex_state = 63, .external_lex_state = 56},
  [9252] = {.lex_state = 63, .external_lex_state = 58},
  [9253] = {.lex_state = 63, .external_lex_state = 57},
  [9254] = {.lex_state = 63, .external_lex_state = 24},
  [9255] = {.lex_state = 63},
  [9256] = {.lex_state = 57, .external_lex_state = 35},
  [9257] = {.lex_state = 52, .external_lex_state = 24},
  [9258] = {.lex_state = 56, .external_lex_state = 47},
  [9259] = {.lex_state = 63},
  [9260] = {.lex_state = 63, .external_lex_state = 56},
  [9261] = {.lex_state = 57, .external_lex_state = 35},
  [9262] = {.lex_state = 61, .external_lex_state = 23},
  [9263] = {.lex_state = 63, .external_lex_state = 57},
  [9264] = {.lex_state = 63, .external_lex_state = 39},
  [9265] = {.lex_state = 20, .external_lex_state = 47},
  [9266] = {.lex_state = 52, .external_lex_state = 40},
  [9267] = {.lex_state = 61, .external_lex_state = 23},
  [9268] = {.lex_state = 61, .external_lex_state = 23},
  [9269] = {.lex_state = 58, .external_lex_state = 31},
  [9270] = {.lex_state = 63, .external_lex_state = 56},
  [9271] = {.lex_state = 63},
  [9272] = {.lex_state = 63},
  [9273] = {.lex_state = 63, .external_lex_state = 57},
  [9274] = {.lex_state = 63, .external_lex_state = 24},
  [9275] = {.lex_state = 58, .external_lex_state = 31},
  [9276] = {.lex_state = 20, .external_lex_state = 47},
  [9277] = {.lex_state = 63, .external_lex_state = 58},
  [9278] = {.lex_state = 63, .external_lex_state = 56},
  [9279] = {.lex_state = 63},
  [9280] = {.lex_state = 63, .external_lex_state = 24},
  [9281] = {.lex_state = 63, .external_lex_state = 56},
  [9282] = {.lex_state = 63, .external_lex_state = 56},
  [9283] = {.lex_state = 52, .external_lex_state = 50},
  [9284] = {.lex_state = 61, .external_lex_state = 41},
  [9285] = {.lex_state = 63, .external_lex_state = 34},
  [9286] = {.lex_state = 63},
  [9287] = {.lex_state = 61, .external_lex_state = 41},
  [9288] = {.lex_state = 52, .external_lex_state = 28},
  [9289] = {.lex_state = 62, .external_lex_state = 47},
  [9290] = {.lex_state = 52, .external_lex_state = 26},
  [9291] = {.lex_state = 63, .external_lex_state = 27},
  [9292] = {.lex_state = 63, .external_lex_state = 56},
  [9293] = {.lex_state = 9, .external_lex_state = 47},
  [9294] = {.lex_state = 61, .external_lex_state = 41},
  [9295] = {.lex_state = 63},
  [9296] = {.lex_state = 61, .external_lex_state = 41},
  [9297] = {.lex_state = 64, .external_lex_state = 35},
  [9298] = {.lex_state = 61, .external_lex_state = 29},
  [9299] = {.lex_state = 63, .external_lex_state = 58},
  [9300] = {.lex_state = 61, .external_lex_state = 41},
  [9301] = {.lex_state = 63},
  [9302] = {.lex_state = 63, .external_lex_state = 31},
  [9303] = {.lex_state = 63, .external_lex_state = 58},
  [9304] = {.lex_state = 63, .external_lex_state = 58},
  [9305] = {.lex_state = 61, .external_lex_state = 23},
  [9306] = {.lex_state = 58, .external_lex_state = 35},
  [9307] = {.lex_state = 57, .external_lex_state = 35},
  [9308] = {.lex_state = 63, .external_lex_state = 58},
  [9309] = {.lex_state = 57, .external_lex_state = 35},
  [9310] = {.lex_state = 63},
  [9311] = {.lex_state = 63, .external_lex_state = 58},
  [9312] = {.lex_state = 63, .external_lex_state = 34},
  [9313] = {.lex_state = 57, .external_lex_state = 35},
  [9314] = {.lex_state = 63, .external_lex_state = 27},
  [9315] = {.lex_state = 58, .external_lex_state = 35},
  [9316] = {.lex_state = 63, .external_lex_state = 58},
  [9317] = {.lex_state = 63, .external_lex_state = 56},
  [9318] = {.lex_state = 63, .external_lex_state = 58},
  [9319] = {.lex_state = 9, .external_lex_state = 47},
  [9320] = {.lex_state = 63},
  [9321] = {.lex_state = 63, .external_lex_state = 23},
  [9322] = {.lex_state = 63, .external_lex_state = 58},
  [9323] = {.lex_state = 63, .external_lex_state = 58},
  [9324] = {.lex_state = 57, .external_lex_state = 35},
  [9325] = {.lex_state = 17, .external_lex_state = 47},
  [9326] = {.lex_state = 63, .external_lex_state = 38},
  [9327] = {.lex_state = 63},
  [9328] = {.lex_state = 61, .external_lex_state = 24},
  [9329] = {.lex_state = 58, .external_lex_state = 59},
  [9330] = {.lex_state = 63, .external_lex_state = 34},
  [9331] = {.lex_state = 63, .external_lex_state = 34},
  [9332] = {.lex_state = 63, .external_lex_state = 33},
  [9333] = {.lex_state = 63},
  [9334] = {.lex_state = 63, .external_lex_state = 24},
  [9335] = {.lex_state = 52, .external_lex_state = 24},
  [9336] = {.lex_state = 21, .external_lex_state = 47},
  [9337] = {.lex_state = 63},
  [9338] = {.lex_state = 63, .external_lex_state = 24},
  [9339] = {.lex_state = 63, .external_lex_state = 33},
  [9340] = {.lex_state = 52, .external_lex_state = 32},
  [9341] = {.lex_state = 64, .external_lex_state = 55},
  [9342] = {.lex_state = 19, .external_lex_state = 47},
  [9343] = {.lex_state = 63, .external_lex_state = 23},
  [9344] = {.lex_state = 21, .external_lex_state = 47},
  [9345] = {.lex_state = 64, .external_lex_state = 35},
  [9346] = {.lex_state = 52, .external_lex_state = 44},
  [9347] = {.lex_state = 63, .external_lex_state = 35},
  [9348] = {.lex_state = 63, .external_lex_state = 34},
  [9349] = {.lex_state = 63, .external_lex_state = 34},
  [9350] = {.lex_state = 63, .external_lex_state = 35},
  [9351] = {.lex_state = 63, .external_lex_state = 23},
  [9352] = {.lex_state = 63, .external_lex_state = 24},
  [9353] = {.lex_state = 52, .external_lex_state = 29},
  [9354] = {.lex_state = 65, .external_lex_state = 39},
  [9355] = {.lex_state = 65, .external_lex_state = 39},
  [9356] = {.lex_state = 65, .external_lex_state = 39},
  [9357] = {.lex_state = 52, .external_lex_state = 23},
  [9358] = {.lex_state = 61, .external_lex_state = 54},
  [9359] = {.lex_state = 63, .external_lex_state = 33},
  [9360] = {.lex_state = 10, .external_lex_state = 47},
  [9361] = {.lex_state = 63, .external_lex_state = 33},
  [9362] = {.lex_state = 63, .external_lex_state = 56},
  [9363] = {.lex_state = 63, .external_lex_state = 33},
  [9364] = {.lex_state = 63, .external_lex_state = 33},
  [9365] = {.lex_state = 63},
  [9366] = {.lex_state = 58, .external_lex_state = 59},
  [9367] = {.lex_state = 63, .external_lex_state = 24},
  [9368] = {.lex_state = 63, .external_lex_state = 33},
  [9369] = {.lex_state = 58, .external_lex_state = 59},
  [9370] = {.lex_state = 63},
  [9371] = {.lex_state = 61, .external_lex_state = 50},
  [9372] = {.lex_state = 65, .external_lex_state = 40},
  [9373] = {.lex_state = 58, .external_lex_state = 59},
  [9374] = {.lex_state = 14, .external_lex_state = 2},
  [9375] = {.lex_state = 65, .external_lex_state = 40},
  [9376] = {.lex_state = 65, .external_lex_state = 40},
  [9377] = {.lex_state = 63, .external_lex_state = 33},
  [9378] = {.lex_state = 64, .external_lex_state = 35},
  [9379] = {.lex_state = 58, .external_lex_state = 59},
  [9380] = {.lex_state = 61, .external_lex_state = 50},
  [9381] = {.lex_state = 52, .external_lex_state = 35},
  [9382] = {.lex_state = 58, .external_lex_state = 59},
  [9383] = {.lex_state = 61, .external_lex_state = 50},
  [9384] = {.lex_state = 63, .external_lex_state = 33},
  [9385] = {.lex_state = 61, .external_lex_state = 48},
  [9386] = {.lex_state = 61, .external_lex_state = 50},
  [9387] = {.lex_state = 58, .external_lex_state = 59},
  [9388] = {.lex_state = 62, .external_lex_state = 47},
  [9389] = {.lex_state = 63, .external_lex_state = 35},
  [9390] = {.lex_state = 63, .external_lex_state = 33},
  [9391] = {.lex_state = 58, .external_lex_state = 59},
  [9392] = {.lex_state = 61, .external_lex_state = 50},
  [9393] = {.lex_state = 61, .external_lex_state = 31},
  [9394] = {.lex_state = 64, .external_lex_state = 55},
  [9395] = {.lex_state = 63},
  [9396] = {.lex_state = 52, .external_lex_state = 48},
  [9397] = {.lex_state = 63},
  [9398] = {.lex_state = 63, .external_lex_state = 33},
  [9399] = {.lex_state = 61, .external_lex_state = 48},
  [9400] = {.lex_state = 10, .external_lex_state = 47},
  [9401] = {.lex_state = 20, .external_lex_state = 47},
  [9402] = {.lex_state = 52, .external_lex_state = 56},
  [9403] = {.lex_state = 63, .external_lex_state = 33},
  [9404] = {.lex_state = 65, .external_lex_state = 40},
  [9405] = {.lex_state = 63, .external_lex_state = 34},
  [9406] = {.lex_state = 63, .external_lex_state = 38},
  [9407] = {.lex_state = 61, .external_lex_state = 48},
  [9408] = {.lex_state = 63, .external_lex_state = 34},
  [9409] = {.lex_state = 63, .external_lex_state = 40},
  [9410] = {.lex_state = 52, .external_lex_state = 54},
  [9411] = {.lex_state = 21, .external_lex_state = 47},
  [9412] = {.lex_state = 63},
  [9413] = {.lex_state = 61, .external_lex_state = 48},
  [9414] = {.lex_state = 63, .external_lex_state = 50},
  [9415] = {.lex_state = 63},
  [9416] = {.lex_state = 63, .external_lex_state = 33},
  [9417] = {.lex_state = 61, .external_lex_state = 50},
  [9418] = {.lex_state = 65, .external_lex_state = 39},
  [9419] = {.lex_state = 61, .external_lex_state = 50},
  [9420] = {.lex_state = 63, .external_lex_state = 38},
  [9421] = {.lex_state = 63, .external_lex_state = 24},
  [9422] = {.lex_state = 58, .external_lex_state = 59},
  [9423] = {.lex_state = 63},
  [9424] = {.lex_state = 58, .external_lex_state = 59},
  [9425] = {.lex_state = 63, .external_lex_state = 34},
  [9426] = {.lex_state = 58, .external_lex_state = 59},
  [9427] = {.lex_state = 63, .external_lex_state = 34},
  [9428] = {.lex_state = 63, .external_lex_state = 34},
  [9429] = {.lex_state = 61, .external_lex_state = 48},
  [9430] = {.lex_state = 58, .external_lex_state = 59},
  [9431] = {.lex_state = 61, .external_lex_state = 54},
  [9432] = {.lex_state = 63, .external_lex_state = 34},
  [9433] = {.lex_state = 52, .external_lex_state = 44},
  [9434] = {.lex_state = 63, .external_lex_state = 34},
  [9435] = {.lex_state = 63, .external_lex_state = 34},
  [9436] = {.lex_state = 63, .external_lex_state = 52},
  [9437] = {.lex_state = 19, .external_lex_state = 47},
  [9438] = {.lex_state = 52, .external_lex_state = 44},
  [9439] = {.lex_state = 19, .external_lex_state = 47},
  [9440] = {.lex_state = 61, .external_lex_state = 35},
  [9441] = {.lex_state = 19, .external_lex_state = 47},
  [9442] = {.lex_state = 61, .external_lex_state = 34},
  [9443] = {.lex_state = 61, .external_lex_state = 54},
  [9444] = {.lex_state = 52, .external_lex_state = 44},
  [9445] = {.lex_state = 63, .external_lex_state = 33},
  [9446] = {.lex_state = 52, .external_lex_state = 44},
  [9447] = {.lex_state = 63, .external_lex_state = 23},
  [9448] = {.lex_state = 63, .external_lex_state = 23},
  [9449] = {.lex_state = 63, .external_lex_state = 23},
  [9450] = {.lex_state = 61, .external_lex_state = 48},
  [9451] = {.lex_state = 63, .external_lex_state = 32},
  [9452] = {.lex_state = 63},
  [9453] = {.lex_state = 52, .external_lex_state = 44},
  [9454] = {.lex_state = 63, .external_lex_state = 33},
  [9455] = {.lex_state = 64, .external_lex_state = 35},
  [9456] = {.lex_state = 14, .external_lex_state = 2},
  [9457] = {.lex_state = 52, .external_lex_state = 44},
  [9458] = {.lex_state = 63, .external_lex_state = 33},
  [9459] = {.lex_state = 61, .external_lex_state = 52},
  [9460] = {.lex_state = 63, .external_lex_state = 34},
  [9461] = {.lex_state = 52, .external_lex_state = 31},
  [9462] = {.lex_state = 61, .external_lex_state = 52},
  [9463] = {.lex_state = 63, .external_lex_state = 35},
  [9464] = {.lex_state = 61, .external_lex_state = 52},
  [9465] = {.lex_state = 63, .external_lex_state = 40},
  [9466] = {.lex_state = 63},
  [9467] = {.lex_state = 63, .external_lex_state = 33},
  [9468] = {.lex_state = 52, .external_lex_state = 35},
  [9469] = {.lex_state = 61, .external_lex_state = 52},
  [9470] = {.lex_state = 63, .external_lex_state = 33},
  [9471] = {.lex_state = 21, .external_lex_state = 47},
  [9472] = {.lex_state = 52, .external_lex_state = 23},
  [9473] = {.lex_state = 20, .external_lex_state = 47},
  [9474] = {.lex_state = 63, .external_lex_state = 35},
  [9475] = {.lex_state = 17},
  [9476] = {.lex_state = 61, .external_lex_state = 54},
  [9477] = {.lex_state = 63},
  [9478] = {.lex_state = 63},
  [9479] = {.lex_state = 52, .external_lex_state = 41},
  [9480] = {.lex_state = 62, .external_lex_state = 47},
  [9481] = {.lex_state = 63, .external_lex_state = 33},
  [9482] = {.lex_state = 63, .external_lex_state = 34},
  [9483] = {.lex_state = 52, .external_lex_state = 41},
  [9484] = {.lex_state = 52, .external_lex_state = 41},
  [9485] = {.lex_state = 61, .external_lex_state = 48},
  [9486] = {.lex_state = 63, .external_lex_state = 23},
  [9487] = {.lex_state = 63},
  [9488] = {.lex_state = 63, .external_lex_state = 33},
  [9489] = {.lex_state = 63, .external_lex_state = 24},
  [9490] = {.lex_state = 63, .external_lex_state = 24},
  [9491] = {.lex_state = 63, .external_lex_state = 24},
  [9492] = {.lex_state = 63, .external_lex_state = 24},
  [9493] = {.lex_state = 63, .external_lex_state = 39},
  [9494] = {.lex_state = 52, .external_lex_state = 41},
  [9495] = {.lex_state = 63, .external_lex_state = 23},
  [9496] = {.lex_state = 61, .external_lex_state = 48},
  [9497] = {.lex_state = 63, .external_lex_state = 24},
  [9498] = {.lex_state = 63, .external_lex_state = 34},
  [9499] = {.lex_state = 63, .external_lex_state = 33},
  [9500] = {.lex_state = 14, .external_lex_state = 2},
  [9501] = {.lex_state = 61, .external_lex_state = 54},
  [9502] = {.lex_state = 63, .external_lex_state = 33},
  [9503] = {.lex_state = 52, .external_lex_state = 48},
  [9504] = {.lex_state = 61, .external_lex_state = 54},
  [9505] = {.lex_state = 63, .external_lex_state = 34},
  [9506] = {.lex_state = 63, .external_lex_state = 34},
  [9507] = {.lex_state = 63},
  [9508] = {.lex_state = 52, .external_lex_state = 59},
  [9509] = {.lex_state = 53, .external_lex_state = 23},
  [9510] = {.lex_state = 63, .external_lex_state = 23},
  [9511] = {.lex_state = 63, .external_lex_state = 24},
  [9512] = {.lex_state = 63, .external_lex_state = 34},
  [9513] = {.lex_state = 63, .external_lex_state = 56},
  [9514] = {.lex_state = 63},
  [9515] = {.lex_state = 63, .external_lex_state = 40},
  [9516] = {.lex_state = 52, .external_lex_state = 59},
  [9517] = {.lex_state = 61, .external_lex_state = 48},
  [9518] = {.lex_state = 63, .external_lex_state = 33},
  [9519] = {.lex_state = 63, .external_lex_state = 54},
  [9520] = {.lex_state = 63, .external_lex_state = 52},
  [9521] = {.lex_state = 61, .external_lex_state = 48},
  [9522] = {.lex_state = 52, .external_lex_state = 54},
  [9523] = {.lex_state = 52, .external_lex_state = 23},
  [9524] = {.lex_state = 63, .external_lex_state = 24},
  [9525] = {.lex_state = 61, .external_lex_state = 32},
  [9526] = {.lex_state = 63, .external_lex_state = 38},
  [9527] = {.lex_state = 63, .external_lex_state = 24},
  [9528] = {.lex_state = 63, .external_lex_state = 33},
  [9529] = {.lex_state = 61, .external_lex_state = 52},
  [9530] = {.lex_state = 63, .external_lex_state = 40},
  [9531] = {.lex_state = 61, .external_lex_state = 54},
  [9532] = {.lex_state = 52, .external_lex_state = 27},
  [9533] = {.lex_state = 63, .external_lex_state = 52},
  [9534] = {.lex_state = 63, .external_lex_state = 24},
  [9535] = {.lex_state = 63, .external_lex_state = 24},
  [9536] = {.lex_state = 63},
  [9537] = {.lex_state = 63},
  [9538] = {.lex_state = 63, .external_lex_state = 41},
  [9539] = {.lex_state = 63},
  [9540] = {.lex_state = 63},
  [9541] = {.lex_state = 61, .external_lex_state = 31},
  [9542] = {.lex_state = 63, .external_lex_state = 32},
  [9543] = {.lex_state = 14, .external_lex_state = 2},
  [9544] = {.lex_state = 58, .external_lex_state = 59},
  [9545] = {.lex_state = 52, .external_lex_state = 27},
  [9546] = {.lex_state = 61, .external_lex_state = 33},
  [9547] = {.lex_state = 62, .external_lex_state = 35},
  [9548] = {.lex_state = 52, .external_lex_state = 44},
  [9549] = {.lex_state = 63, .external_lex_state = 34},
  [9550] = {.lex_state = 63, .external_lex_state = 24},
  [9551] = {.lex_state = 61, .external_lex_state = 48},
  [9552] = {.lex_state = 63, .external_lex_state = 24},
  [9553] = {.lex_state = 52, .external_lex_state = 44},
  [9554] = {.lex_state = 52, .external_lex_state = 44},
  [9555] = {.lex_state = 52, .external_lex_state = 44},
  [9556] = {.lex_state = 62, .external_lex_state = 35},
  [9557] = {.lex_state = 63, .external_lex_state = 33},
  [9558] = {.lex_state = 62},
  [9559] = {.lex_state = 63, .external_lex_state = 24},
  [9560] = {.lex_state = 63},
  [9561] = {.lex_state = 63, .external_lex_state = 34},
  [9562] = {.lex_state = 63, .external_lex_state = 33},
  [9563] = {.lex_state = 63, .external_lex_state = 24},
  [9564] = {.lex_state = 63, .external_lex_state = 23},
  [9565] = {.lex_state = 52, .external_lex_state = 41},
  [9566] = {.lex_state = 52, .external_lex_state = 28},
  [9567] = {.lex_state = 63, .external_lex_state = 24},
  [9568] = {.lex_state = 63, .external_lex_state = 23},
  [9569] = {.lex_state = 61, .external_lex_state = 48},
  [9570] = {.lex_state = 52, .external_lex_state = 41},
  [9571] = {.lex_state = 63, .external_lex_state = 33},
  [9572] = {.lex_state = 63, .external_lex_state = 24},
  [9573] = {.lex_state = 63, .external_lex_state = 24},
  [9574] = {.lex_state = 63, .external_lex_state = 33},
  [9575] = {.lex_state = 52, .external_lex_state = 23},
  [9576] = {.lex_state = 52, .external_lex_state = 41},
  [9577] = {.lex_state = 52, .external_lex_state = 57},
  [9578] = {.lex_state = 63, .external_lex_state = 33},
  [9579] = {.lex_state = 63, .external_lex_state = 33},
  [9580] = {.lex_state = 63, .external_lex_state = 24},
  [9581] = {.lex_state = 63, .external_lex_state = 24},
  [9582] = {.lex_state = 61, .external_lex_state = 52},
  [9583] = {.lex_state = 63, .external_lex_state = 33},
  [9584] = {.lex_state = 62, .external_lex_state = 23},
  [9585] = {.lex_state = 52, .external_lex_state = 41},
  [9586] = {.lex_state = 63, .external_lex_state = 33},
  [9587] = {.lex_state = 63, .external_lex_state = 34},
  [9588] = {.lex_state = 63, .external_lex_state = 34},
  [9589] = {.lex_state = 52, .external_lex_state = 41},
  [9590] = {.lex_state = 63, .external_lex_state = 24},
  [9591] = {.lex_state = 63, .external_lex_state = 34},
  [9592] = {.lex_state = 63},
  [9593] = {.lex_state = 63, .external_lex_state = 33},
  [9594] = {.lex_state = 63, .external_lex_state = 24},
  [9595] = {.lex_state = 61, .external_lex_state = 54},
  [9596] = {.lex_state = 14, .external_lex_state = 2},
  [9597] = {.lex_state = 14, .external_lex_state = 2},
  [9598] = {.lex_state = 61, .external_lex_state = 52},
  [9599] = {.lex_state = 61, .external_lex_state = 48},
  [9600] = {.lex_state = 63, .external_lex_state = 24},
  [9601] = {.lex_state = 61, .external_lex_state = 52},
  [9602] = {.lex_state = 63, .external_lex_state = 54},
  [9603] = {.lex_state = 61, .external_lex_state = 52},
  [9604] = {.lex_state = 63},
  [9605] = {.lex_state = 52, .external_lex_state = 44},
  [9606] = {.lex_state = 61, .external_lex_state = 52},
  [9607] = {.lex_state = 63, .external_lex_state = 40},
  [9608] = {.lex_state = 52, .external_lex_state = 44},
  [9609] = {.lex_state = 61, .external_lex_state = 52},
  [9610] = {.lex_state = 63},
  [9611] = {.lex_state = 61, .external_lex_state = 50},
  [9612] = {.lex_state = 52, .external_lex_state = 31},
  [9613] = {.lex_state = 61, .external_lex_state = 48},
  [9614] = {.lex_state = 61, .external_lex_state = 50},
  [9615] = {.lex_state = 64, .external_lex_state = 35},
  [9616] = {.lex_state = 63},
  [9617] = {.lex_state = 63},
  [9618] = {.lex_state = 61, .external_lex_state = 52},
  [9619] = {.lex_state = 63},
  [9620] = {.lex_state = 63},
  [9621] = {.lex_state = 63, .external_lex_state = 24},
  [9622] = {.lex_state = 61, .external_lex_state = 52},
  [9623] = {.lex_state = 61, .external_lex_state = 50},
  [9624] = {.lex_state = 63, .external_lex_state = 58},
  [9625] = {.lex_state = 63, .external_lex_state = 23},
  [9626] = {.lex_state = 63, .external_lex_state = 24},
  [9627] = {.lex_state = 63},
  [9628] = {.lex_state = 63, .external_lex_state = 29},
  [9629] = {.lex_state = 63, .external_lex_state = 33},
  [9630] = {.lex_state = 58, .external_lex_state = 47},
  [9631] = {.lex_state = 63, .external_lex_state = 33},
  [9632] = {.lex_state = 63, .external_lex_state = 34},
  [9633] = {.lex_state = 63},
  [9634] = {.lex_state = 63, .external_lex_state = 34},
  [9635] = {.lex_state = 52, .external_lex_state = 44},
  [9636] = {.lex_state = 63, .external_lex_state = 38},
  [9637] = {.lex_state = 63, .external_lex_state = 58},
  [9638] = {.lex_state = 63},
  [9639] = {.lex_state = 63, .external_lex_state = 31},
  [9640] = {.lex_state = 63, .external_lex_state = 24},
  [9641] = {.lex_state = 63, .external_lex_state = 24},
  [9642] = {.lex_state = 65, .external_lex_state = 40},
  [9643] = {.lex_state = 63},
  [9644] = {.lex_state = 63},
  [9645] = {.lex_state = 61, .external_lex_state = 50},
  [9646] = {.lex_state = 63, .external_lex_state = 24},
  [9647] = {.lex_state = 61, .external_lex_state = 54},
  [9648] = {.lex_state = 61, .external_lex_state = 54},
  [9649] = {.lex_state = 63},
  [9650] = {.lex_state = 61, .external_lex_state = 50},
  [9651] = {.lex_state = 63, .external_lex_state = 34},
  [9652] = {.lex_state = 63},
  [9653] = {.lex_state = 58, .external_lex_state = 47},
  [9654] = {.lex_state = 63, .external_lex_state = 50},
  [9655] = {.lex_state = 61, .external_lex_state = 54},
  [9656] = {.lex_state = 61, .external_lex_state = 54},
  [9657] = {.lex_state = 52, .external_lex_state = 41},
  [9658] = {.lex_state = 63},
  [9659] = {.lex_state = 63, .external_lex_state = 34},
  [9660] = {.lex_state = 63, .external_lex_state = 33},
  [9661] = {.lex_state = 63},
  [9662] = {.lex_state = 63, .external_lex_state = 24},
  [9663] = {.lex_state = 52, .external_lex_state = 24},
  [9664] = {.lex_state = 63},
  [9665] = {.lex_state = 63, .external_lex_state = 34},
  [9666] = {.lex_state = 63},
  [9667] = {.lex_state = 63, .external_lex_state = 57},
  [9668] = {.lex_state = 56, .external_lex_state = 47},
  [9669] = {.lex_state = 63},
  [9670] = {.lex_state = 63},
  [9671] = {.lex_state = 3},
  [9672] = {.lex_state = 61, .external_lex_state = 54},
  [9673] = {.lex_state = 63, .external_lex_state = 34},
  [9674] = {.lex_state = 61, .external_lex_state = 52},
  [9675] = {.lex_state = 63, .external_lex_state = 24},
  [9676] = {.lex_state = 63},
  [9677] = {.lex_state = 52, .external_lex_state = 41},
  [9678] = {.lex_state = 63, .external_lex_state = 48},
  [9679] = {.lex_state = 52, .external_lex_state = 41},
  [9680] = {.lex_state = 61, .external_lex_state = 54},
  [9681] = {.lex_state = 52, .external_lex_state = 58},
  [9682] = {.lex_state = 63, .external_lex_state = 34},
  [9683] = {.lex_state = 61, .external_lex_state = 50},
  [9684] = {.lex_state = 3},
  [9685] = {.lex_state = 63},
  [9686] = {.lex_state = 17, .external_lex_state = 47},
  [9687] = {.lex_state = 63},
  [9688] = {.lex_state = 65, .external_lex_state = 39},
  [9689] = {.lex_state = 63},
  [9690] = {.lex_state = 63},
  [9691] = {.lex_state = 63},
  [9692] = {.lex_state = 63, .external_lex_state = 34},
  [9693] = {.lex_state = 52, .external_lex_state = 41},
  [9694] = {.lex_state = 63, .external_lex_state = 34},
  [9695] = {.lex_state = 61, .external_lex_state = 32},
  [9696] = {.lex_state = 63, .external_lex_state = 52},
  [9697] = {.lex_state = 61, .external_lex_state = 50},
  [9698] = {.lex_state = 3},
  [9699] = {.lex_state = 63, .external_lex_state = 31},
  [9700] = {.lex_state = 52, .external_lex_state = 32},
  [9701] = {.lex_state = 63, .external_lex_state = 48},
  [9702] = {.lex_state = 63, .external_lex_state = 29},
  [9703] = {.lex_state = 65, .external_lex_state = 38},
  [9704] = {.lex_state = 14, .external_lex_state = 2},
  [9705] = {.lex_state = 3},
  [9706] = {.lex_state = 61, .external_lex_state = 35},
  [9707] = {.lex_state = 3},
  [9708] = {.lex_state = 63},
  [9709] = {.lex_state = 63, .external_lex_state = 50},
  [9710] = {.lex_state = 63, .external_lex_state = 50},
  [9711] = {.lex_state = 14, .external_lex_state = 2},
  [9712] = {.lex_state = 63, .external_lex_state = 34},
  [9713] = {.lex_state = 63},
  [9714] = {.lex_state = 63, .external_lex_state = 34},
  [9715] = {.lex_state = 63},
  [9716] = {.lex_state = 52, .external_lex_state = 41},
  [9717] = {.lex_state = 63, .external_lex_state = 35},
  [9718] = {.lex_state = 65, .external_lex_state = 38},
  [9719] = {.lex_state = 52, .external_lex_state = 28},
  [9720] = {.lex_state = 63},
  [9721] = {.lex_state = 63},
  [9722] = {.lex_state = 63, .external_lex_state = 57},
  [9723] = {.lex_state = 65, .external_lex_state = 38},
  [9724] = {.lex_state = 63, .external_lex_state = 34},
  [9725] = {.lex_state = 63, .external_lex_state = 29},
  [9726] = {.lex_state = 63, .external_lex_state = 34},
  [9727] = {.lex_state = 63},
  [9728] = {.lex_state = 63},
  [9729] = {.lex_state = 65, .external_lex_state = 38},
  [9730] = {.lex_state = 17, .external_lex_state = 47},
  [9731] = {.lex_state = 65, .external_lex_state = 38},
  [9732] = {.lex_state = 52, .external_lex_state = 31},
  [9733] = {.lex_state = 63, .external_lex_state = 29},
  [9734] = {.lex_state = 61, .external_lex_state = 56},
  [9735] = {.lex_state = 63, .external_lex_state = 38},
  [9736] = {.lex_state = 61, .external_lex_state = 56},
  [9737] = {.lex_state = 61, .external_lex_state = 56},
  [9738] = {.lex_state = 63, .external_lex_state = 23},
  [9739] = {.lex_state = 52, .external_lex_state = 54},
  [9740] = {.lex_state = 63},
  [9741] = {.lex_state = 56, .external_lex_state = 47},
  [9742] = {.lex_state = 62, .external_lex_state = 23},
  [9743] = {.lex_state = 63, .external_lex_state = 38},
  [9744] = {.lex_state = 52, .external_lex_state = 47},
  [9745] = {.lex_state = 52, .external_lex_state = 54},
  [9746] = {.lex_state = 63, .external_lex_state = 38},
  [9747] = {.lex_state = 63, .external_lex_state = 38},
  [9748] = {.lex_state = 63, .external_lex_state = 39},
  [9749] = {.lex_state = 62, .external_lex_state = 23},
  [9750] = {.lex_state = 63, .external_lex_state = 38},
  [9751] = {.lex_state = 62, .external_lex_state = 23},
  [9752] = {.lex_state = 65, .external_lex_state = 23},
  [9753] = {.lex_state = 11, .external_lex_state = 47},
  [9754] = {.lex_state = 65, .external_lex_state = 23},
  [9755] = {.lex_state = 61},
  [9756] = {.lex_state = 63, .external_lex_state = 40},
  [9757] = {.lex_state = 52, .external_lex_state = 48},
  [9758] = {.lex_state = 63, .external_lex_state = 40},
  [9759] = {.lex_state = 63, .external_lex_state = 38},
  [9760] = {.lex_state = 61, .external_lex_state = 29},
  [9761] = {.lex_state = 61},
  [9762] = {.lex_state = 61, .external_lex_state = 56},
  [9763] = {.lex_state = 11, .external_lex_state = 47},
  [9764] = {.lex_state = 62, .external_lex_state = 23},
  [9765] = {.lex_state = 65, .external_lex_state = 44},
  [9766] = {.lex_state = 51},
  [9767] = {.lex_state = 52, .external_lex_state = 48},
  [9768] = {.lex_state = 63, .external_lex_state = 38},
  [9769] = {.lex_state = 19, .external_lex_state = 47},
  [9770] = {.lex_state = 63, .external_lex_state = 41},
  [9771] = {.lex_state = 52, .external_lex_state = 48},
  [9772] = {.lex_state = 62, .external_lex_state = 23},
  [9773] = {.lex_state = 52, .external_lex_state = 52},
  [9774] = {.lex_state = 63, .external_lex_state = 38},
  [9775] = {.lex_state = 64, .external_lex_state = 35},
  [9776] = {.lex_state = 52, .external_lex_state = 48},
  [9777] = {.lex_state = 52, .external_lex_state = 35},
  [9778] = {.lex_state = 51},
  [9779] = {.lex_state = 51},
  [9780] = {.lex_state = 63, .external_lex_state = 48},
  [9781] = {.lex_state = 11, .external_lex_state = 47},
  [9782] = {.lex_state = 54, .external_lex_state = 25},
  [9783] = {.lex_state = 61, .external_lex_state = 58},
  [9784] = {.lex_state = 11, .external_lex_state = 47},
  [9785] = {.lex_state = 52, .external_lex_state = 48},
  [9786] = {.lex_state = 63, .external_lex_state = 40},
  [9787] = {.lex_state = 63, .external_lex_state = 40},
  [9788] = {.lex_state = 11, .external_lex_state = 47},
  [9789] = {.lex_state = 65, .external_lex_state = 41},
  [9790] = {.lex_state = 63, .external_lex_state = 34},
  [9791] = {.lex_state = 52, .external_lex_state = 48},
  [9792] = {.lex_state = 3},
  [9793] = {.lex_state = 52, .external_lex_state = 48},
  [9794] = {.lex_state = 63, .external_lex_state = 40},
  [9795] = {.lex_state = 63},
  [9796] = {.lex_state = 52, .external_lex_state = 54},
  [9797] = {.lex_state = 52, .external_lex_state = 52},
  [9798] = {.lex_state = 62, .external_lex_state = 23},
  [9799] = {.lex_state = 3},
  [9800] = {.lex_state = 52, .external_lex_state = 48},
  [9801] = {.lex_state = 63, .external_lex_state = 57},
  [9802] = {.lex_state = 52, .external_lex_state = 54},
  [9803] = {.lex_state = 63, .external_lex_state = 40},
  [9804] = {.lex_state = 52, .external_lex_state = 52},
  [9805] = {.lex_state = 11, .external_lex_state = 47},
  [9806] = {.lex_state = 62, .external_lex_state = 23},
  [9807] = {.lex_state = 52, .external_lex_state = 24},
  [9808] = {.lex_state = 63, .external_lex_state = 38},
  [9809] = {.lex_state = 63},
  [9810] = {.lex_state = 63, .external_lex_state = 40},
  [9811] = {.lex_state = 52, .external_lex_state = 52},
  [9812] = {.lex_state = 52, .external_lex_state = 52},
  [9813] = {.lex_state = 63, .external_lex_state = 38},
  [9814] = {.lex_state = 52, .external_lex_state = 54},
  [9815] = {.lex_state = 63, .external_lex_state = 40},
  [9816] = {.lex_state = 52, .external_lex_state = 52},
  [9817] = {.lex_state = 63},
  [9818] = {.lex_state = 52, .external_lex_state = 48},
  [9819] = {.lex_state = 11, .external_lex_state = 47},
  [9820] = {.lex_state = 63, .external_lex_state = 40},
  [9821] = {.lex_state = 52, .external_lex_state = 48},
  [9822] = {.lex_state = 63, .external_lex_state = 38},
  [9823] = {.lex_state = 52, .external_lex_state = 54},
  [9824] = {.lex_state = 52, .external_lex_state = 52},
  [9825] = {.lex_state = 63, .external_lex_state = 38},
  [9826] = {.lex_state = 63, .external_lex_state = 38},
  [9827] = {.lex_state = 52, .external_lex_state = 24},
  [9828] = {.lex_state = 52, .external_lex_state = 48},
  [9829] = {.lex_state = 63, .external_lex_state = 29},
  [9830] = {.lex_state = 62, .external_lex_state = 24},
  [9831] = {.lex_state = 63, .external_lex_state = 38},
  [9832] = {.lex_state = 63, .external_lex_state = 40},
  [9833] = {.lex_state = 4},
  [9834] = {.lex_state = 63, .external_lex_state = 58},
  [9835] = {.lex_state = 63, .external_lex_state = 40},
  [9836] = {.lex_state = 52, .external_lex_state = 48},
  [9837] = {.lex_state = 63},
  [9838] = {.lex_state = 63, .external_lex_state = 38},
  [9839] = {.lex_state = 63, .external_lex_state = 38},
  [9840] = {.lex_state = 63, .external_lex_state = 40},
  [9841] = {.lex_state = 51},
  [9842] = {.lex_state = 52, .external_lex_state = 48},
  [9843] = {.lex_state = 52, .external_lex_state = 48},
  [9844] = {.lex_state = 63, .external_lex_state = 38},
  [9845] = {.lex_state = 63, .external_lex_state = 38},
  [9846] = {.lex_state = 61, .external_lex_state = 40},
  [9847] = {.lex_state = 61, .external_lex_state = 58},
  [9848] = {.lex_state = 63, .external_lex_state = 54},
  [9849] = {.lex_state = 63, .external_lex_state = 40},
  [9850] = {.lex_state = 63, .external_lex_state = 38},
  [9851] = {.lex_state = 51},
  [9852] = {.lex_state = 63, .external_lex_state = 40},
  [9853] = {.lex_state = 51},
  [9854] = {.lex_state = 63, .external_lex_state = 38},
  [9855] = {.lex_state = 63, .external_lex_state = 40},
  [9856] = {.lex_state = 52, .external_lex_state = 24},
  [9857] = {.lex_state = 52},
  [9858] = {.lex_state = 61, .external_lex_state = 58},
  [9859] = {.lex_state = 63, .external_lex_state = 56},
  [9860] = {.lex_state = 52, .external_lex_state = 24},
  [9861] = {.lex_state = 56, .external_lex_state = 47},
  [9862] = {.lex_state = 52},
  [9863] = {.lex_state = 56, .external_lex_state = 47},
  [9864] = {.lex_state = 52, .external_lex_state = 54},
  [9865] = {.lex_state = 52, .external_lex_state = 54},
  [9866] = {.lex_state = 63, .external_lex_state = 24},
  [9867] = {.lex_state = 63, .external_lex_state = 38},
  [9868] = {.lex_state = 63, .external_lex_state = 56},
  [9869] = {.lex_state = 61, .external_lex_state = 58},
  [9870] = {.lex_state = 63, .external_lex_state = 38},
  [9871] = {.lex_state = 63, .external_lex_state = 38},
  [9872] = {.lex_state = 11, .external_lex_state = 47},
  [9873] = {.lex_state = 64, .external_lex_state = 24},
  [9874] = {.lex_state = 52, .external_lex_state = 54},
  [9875] = {.lex_state = 52, .external_lex_state = 24},
  [9876] = {.lex_state = 52, .external_lex_state = 54},
  [9877] = {.lex_state = 61, .external_lex_state = 58},
  [9878] = {.lex_state = 11, .external_lex_state = 47},
  [9879] = {.lex_state = 61, .external_lex_state = 58},
  [9880] = {.lex_state = 61, .external_lex_state = 58},
  [9881] = {.lex_state = 61},
  [9882] = {.lex_state = 61},
  [9883] = {.lex_state = 52, .external_lex_state = 54},
  [9884] = {.lex_state = 63, .external_lex_state = 38},
  [9885] = {.lex_state = 61},
  [9886] = {.lex_state = 63, .external_lex_state = 38},
  [9887] = {.lex_state = 52, .external_lex_state = 24},
  [9888] = {.lex_state = 52, .external_lex_state = 24},
  [9889] = {.lex_state = 61},
  [9890] = {.lex_state = 51},
  [9891] = {.lex_state = 56, .external_lex_state = 47},
  [9892] = {.lex_state = 61},
  [9893] = {.lex_state = 62, .external_lex_state = 23},
  [9894] = {.lex_state = 51},
  [9895] = {.lex_state = 56, .external_lex_state = 47},
  [9896] = {.lex_state = 62, .external_lex_state = 24},
  [9897] = {.lex_state = 63, .external_lex_state = 40},
  [9898] = {.lex_state = 62, .external_lex_state = 23},
  [9899] = {.lex_state = 63, .external_lex_state = 23},
  [9900] = {.lex_state = 63, .external_lex_state = 38},
  [9901] = {.lex_state = 63, .external_lex_state = 38},
  [9902] = {.lex_state = 62, .external_lex_state = 23},
  [9903] = {.lex_state = 61, .external_lex_state = 57},
  [9904] = {.lex_state = 52, .external_lex_state = 52},
  [9905] = {.lex_state = 52, .external_lex_state = 52},
  [9906] = {.lex_state = 61},
  [9907] = {.lex_state = 61, .external_lex_state = 57},
  [9908] = {.lex_state = 64, .external_lex_state = 23},
  [9909] = {.lex_state = 61, .external_lex_state = 29},
  [9910] = {.lex_state = 63, .external_lex_state = 38},
  [9911] = {.lex_state = 65, .external_lex_state = 44},
  [9912] = {.lex_state = 63, .external_lex_state = 38},
  [9913] = {.lex_state = 51},
  [9914] = {.lex_state = 51},
  [9915] = {.lex_state = 61, .external_lex_state = 29},
  [9916] = {.lex_state = 61, .external_lex_state = 29},
  [9917] = {.lex_state = 65, .external_lex_state = 23},
  [9918] = {.lex_state = 65, .external_lex_state = 44},
  [9919] = {.lex_state = 63, .external_lex_state = 38},
  [9920] = {.lex_state = 65, .external_lex_state = 44},
  [9921] = {.lex_state = 52, .external_lex_state = 58},
  [9922] = {.lex_state = 11, .external_lex_state = 47},
  [9923] = {.lex_state = 65, .external_lex_state = 23},
  [9924] = {.lex_state = 63, .external_lex_state = 39},
  [9925] = {.lex_state = 65, .external_lex_state = 44},
  [9926] = {.lex_state = 52, .external_lex_state = 52},
  [9927] = {.lex_state = 65, .external_lex_state = 23},
  [9928] = {.lex_state = 61, .external_lex_state = 57},
  [9929] = {.lex_state = 52, .external_lex_state = 23},
  [9930] = {.lex_state = 61, .external_lex_state = 56},
  [9931] = {.lex_state = 61, .external_lex_state = 58},
  [9932] = {.lex_state = 61, .external_lex_state = 58},
  [9933] = {.lex_state = 56, .external_lex_state = 47},
  [9934] = {.lex_state = 52, .external_lex_state = 34},
  [9935] = {.lex_state = 65, .external_lex_state = 41},
  [9936] = {.lex_state = 52, .external_lex_state = 24},
  [9937] = {.lex_state = 61, .external_lex_state = 38},
  [9938] = {.lex_state = 61},
  [9939] = {.lex_state = 61},
  [9940] = {.lex_state = 56, .external_lex_state = 47},
  [9941] = {.lex_state = 65, .external_lex_state = 41},
  [9942] = {.lex_state = 65, .external_lex_state = 41},
  [9943] = {.lex_state = 56, .external_lex_state = 47},
  [9944] = {.lex_state = 63, .external_lex_state = 40},
  [9945] = {.lex_state = 63, .external_lex_state = 23},
  [9946] = {.lex_state = 63, .external_lex_state = 40},
  [9947] = {.lex_state = 62, .external_lex_state = 24},
  [9948] = {.lex_state = 63, .external_lex_state = 35},
  [9949] = {.lex_state = 61, .external_lex_state = 58},
  [9950] = {.lex_state = 61},
  [9951] = {.lex_state = 56, .external_lex_state = 47},
  [9952] = {.lex_state = 56, .external_lex_state = 47},
  [9953] = {.lex_state = 62, .external_lex_state = 24},
  [9954] = {.lex_state = 56, .external_lex_state = 47},
  [9955] = {.lex_state = 62, .external_lex_state = 24},
  [9956] = {.lex_state = 21},
  [9957] = {.lex_state = 62, .external_lex_state = 24},
  [9958] = {.lex_state = 63, .external_lex_state = 40},
  [9959] = {.lex_state = 51},
  [9960] = {.lex_state = 61},
  [9961] = {.lex_state = 11, .external_lex_state = 47},
  [9962] = {.lex_state = 61},
  [9963] = {.lex_state = 63, .external_lex_state = 40},
  [9964] = {.lex_state = 51},
  [9965] = {.lex_state = 56, .external_lex_state = 47},
  [9966] = {.lex_state = 62, .external_lex_state = 23},
  [9967] = {.lex_state = 62, .external_lex_state = 24},
  [9968] = {.lex_state = 56, .external_lex_state = 47},
  [9969] = {.lex_state = 61, .external_lex_state = 58},
  [9970] = {.lex_state = 63, .external_lex_state = 40},
  [9971] = {.lex_state = 63, .external_lex_state = 40},
  [9972] = {.lex_state = 51},
  [9973] = {.lex_state = 11, .external_lex_state = 47},
  [9974] = {.lex_state = 51},
  [9975] = {.lex_state = 62, .external_lex_state = 24},
  [9976] = {.lex_state = 61, .external_lex_state = 35},
  [9977] = {.lex_state = 62, .external_lex_state = 24},
  [9978] = {.lex_state = 11, .external_lex_state = 47},
  [9979] = {.lex_state = 61},
  [9980] = {.lex_state = 52, .external_lex_state = 52},
  [9981] = {.lex_state = 52, .external_lex_state = 31},
  [9982] = {.lex_state = 52, .external_lex_state = 59},
  [9983] = {.lex_state = 52, .external_lex_state = 52},
  [9984] = {.lex_state = 52, .external_lex_state = 52},
  [9985] = {.lex_state = 61, .external_lex_state = 57},
  [9986] = {.lex_state = 52, .external_lex_state = 52},
  [9987] = {.lex_state = 20, .external_lex_state = 47},
  [9988] = {.lex_state = 63, .external_lex_state = 40},
  [9989] = {.lex_state = 20, .external_lex_state = 47},
  [9990] = {.lex_state = 63, .external_lex_state = 33},
  [9991] = {.lex_state = 20, .external_lex_state = 47},
  [9992] = {.lex_state = 56, .external_lex_state = 47},
  [9993] = {.lex_state = 11, .external_lex_state = 47},
  [9994] = {.lex_state = 61, .external_lex_state = 56},
  [9995] = {.lex_state = 20, .external_lex_state = 47},
  [9996] = {.lex_state = 61, .external_lex_state = 57},
  [9997] = {.lex_state = 63, .external_lex_state = 58},
  [9998] = {.lex_state = 61, .external_lex_state = 57},
  [9999] = {.lex_state = 52, .external_lex_state = 24},
  [10000] = {.lex_state = 63, .external_lex_state = 40},
  [10001] = {.lex_state = 56, .external_lex_state = 47},
  [10002] = {.lex_state = 62, .external_lex_state = 24},
  [10003] = {.lex_state = 63, .external_lex_state = 34},
  [10004] = {.lex_state = 52, .external_lex_state = 32},
  [10005] = {.lex_state = 61, .external_lex_state = 56},
  [10006] = {.lex_state = 61, .external_lex_state = 57},
  [10007] = {.lex_state = 52, .external_lex_state = 58},
  [10008] = {.lex_state = 56, .external_lex_state = 47},
  [10009] = {.lex_state = 61, .external_lex_state = 57},
  [10010] = {.lex_state = 63, .external_lex_state = 56},
  [10011] = {.lex_state = 63, .external_lex_state = 38},
  [10012] = {.lex_state = 61, .external_lex_state = 29},
  [10013] = {.lex_state = 63, .external_lex_state = 40},
  [10014] = {.lex_state = 52, .external_lex_state = 50},
  [10015] = {.lex_state = 63, .external_lex_state = 40},
  [10016] = {.lex_state = 63, .external_lex_state = 40},
  [10017] = {.lex_state = 63, .external_lex_state = 57},
  [10018] = {.lex_state = 62, .external_lex_state = 24},
  [10019] = {.lex_state = 61, .external_lex_state = 56},
  [10020] = {.lex_state = 61, .external_lex_state = 56},
  [10021] = {.lex_state = 63, .external_lex_state = 39},
  [10022] = {.lex_state = 62, .external_lex_state = 23},
  [10023] = {.lex_state = 56, .external_lex_state = 47},
  [10024] = {.lex_state = 63, .external_lex_state = 38},
  [10025] = {.lex_state = 11, .external_lex_state = 47},
  [10026] = {.lex_state = 63, .external_lex_state = 38},
  [10027] = {.lex_state = 63, .external_lex_state = 39},
  [10028] = {.lex_state = 11, .external_lex_state = 47},
  [10029] = {.lex_state = 61, .external_lex_state = 29},
  [10030] = {.lex_state = 63, .external_lex_state = 40},
  [10031] = {.lex_state = 52, .external_lex_state = 35},
  [10032] = {.lex_state = 56, .external_lex_state = 47},
  [10033] = {.lex_state = 61, .external_lex_state = 29},
  [10034] = {.lex_state = 61, .external_lex_state = 29},
  [10035] = {.lex_state = 56, .external_lex_state = 47},
  [10036] = {.lex_state = 52, .external_lex_state = 50},
  [10037] = {.lex_state = 63, .external_lex_state = 38},
  [10038] = {.lex_state = 61, .external_lex_state = 57},
  [10039] = {.lex_state = 63, .external_lex_state = 38},
  [10040] = {.lex_state = 52, .external_lex_state = 50},
  [10041] = {.lex_state = 63, .external_lex_state = 57},
  [10042] = {.lex_state = 52, .external_lex_state = 50},
  [10043] = {.lex_state = 61, .external_lex_state = 57},
  [10044] = {.lex_state = 63, .external_lex_state = 40},
  [10045] = {.lex_state = 61, .external_lex_state = 57},
  [10046] = {.lex_state = 61, .external_lex_state = 29},
  [10047] = {.lex_state = 63, .external_lex_state = 40},
  [10048] = {.lex_state = 52, .external_lex_state = 50},
  [10049] = {.lex_state = 52, .external_lex_state = 50},
  [10050] = {.lex_state = 61, .external_lex_state = 56},
  [10051] = {.lex_state = 63, .external_lex_state = 57},
  [10052] = {.lex_state = 63, .external_lex_state = 34},
  [10053] = {.lex_state = 61, .external_lex_state = 56},
  [10054] = {.lex_state = 62, .external_lex_state = 23},
  [10055] = {.lex_state = 53, .external_lex_state = 23},
  [10056] = {.lex_state = 61, .external_lex_state = 29},
  [10057] = {.lex_state = 52, .external_lex_state = 54},
  [10058] = {.lex_state = 63, .external_lex_state = 23},
  [10059] = {.lex_state = 63, .external_lex_state = 40},
  [10060] = {.lex_state = 63, .external_lex_state = 56},
  [10061] = {.lex_state = 63, .external_lex_state = 33},
  [10062] = {.lex_state = 52, .external_lex_state = 54},
  [10063] = {.lex_state = 52, .external_lex_state = 54},
  [10064] = {.lex_state = 63, .external_lex_state = 40},
  [10065] = {.lex_state = 61, .external_lex_state = 29},
  [10066] = {.lex_state = 61, .external_lex_state = 29},
  [10067] = {.lex_state = 61, .external_lex_state = 29},
  [10068] = {.lex_state = 65, .external_lex_state = 41},
  [10069] = {.lex_state = 56, .external_lex_state = 47},
  [10070] = {.lex_state = 63, .external_lex_state = 40},
  [10071] = {.lex_state = 51},
  [10072] = {.lex_state = 63, .external_lex_state = 40},
  [10073] = {.lex_state = 56, .external_lex_state = 47},
  [10074] = {.lex_state = 52, .external_lex_state = 50},
  [10075] = {.lex_state = 61, .external_lex_state = 29},
  [10076] = {.lex_state = 61, .external_lex_state = 57},
  [10077] = {.lex_state = 52, .external_lex_state = 50},
  [10078] = {.lex_state = 51},
  [10079] = {.lex_state = 52, .external_lex_state = 24},
  [10080] = {.lex_state = 52, .external_lex_state = 24},
  [10081] = {.lex_state = 61, .external_lex_state = 56},
  [10082] = {.lex_state = 62, .external_lex_state = 23},
  [10083] = {.lex_state = 4},
  [10084] = {.lex_state = 52, .external_lex_state = 33},
  [10085] = {.lex_state = 61, .external_lex_state = 56},
  [10086] = {.lex_state = 61, .external_lex_state = 57},
  [10087] = {.lex_state = 51},
  [10088] = {.lex_state = 51},
  [10089] = {.lex_state = 52, .external_lex_state = 59},
  [10090] = {.lex_state = 56, .external_lex_state = 47},
  [10091] = {.lex_state = 52, .external_lex_state = 24},
  [10092] = {.lex_state = 63, .external_lex_state = 40},
  [10093] = {.lex_state = 64, .external_lex_state = 35},
  [10094] = {.lex_state = 61, .external_lex_state = 57},
  [10095] = {.lex_state = 19, .external_lex_state = 47},
  [10096] = {.lex_state = 58, .external_lex_state = 59},
  [10097] = {.lex_state = 63, .external_lex_state = 40},
  [10098] = {.lex_state = 63, .external_lex_state = 44},
  [10099] = {.lex_state = 63, .external_lex_state = 35},
  [10100] = {.lex_state = 58, .external_lex_state = 59},
  [10101] = {.lex_state = 52, .external_lex_state = 50},
  [10102] = {.lex_state = 61, .external_lex_state = 35},
  [10103] = {.lex_state = 56, .external_lex_state = 47},
  [10104] = {.lex_state = 63, .external_lex_state = 33},
  [10105] = {.lex_state = 52, .external_lex_state = 50},
  [10106] = {.lex_state = 52, .external_lex_state = 50},
  [10107] = {.lex_state = 63, .external_lex_state = 38},
  [10108] = {.lex_state = 61, .external_lex_state = 56},
  [10109] = {.lex_state = 51},
  [10110] = {.lex_state = 61, .external_lex_state = 58},
  [10111] = {.lex_state = 62, .external_lex_state = 24},
  [10112] = {.lex_state = 52, .external_lex_state = 32},
  [10113] = {.lex_state = 52, .external_lex_state = 50},
  [10114] = {.lex_state = 61, .external_lex_state = 58},
  [10115] = {.lex_state = 11, .external_lex_state = 47},
  [10116] = {.lex_state = 52, .external_lex_state = 24},
  [10117] = {.lex_state = 61, .external_lex_state = 58},
  [10118] = {.lex_state = 52, .external_lex_state = 50},
  [10119] = {.lex_state = 51},
  [10120] = {.lex_state = 52, .external_lex_state = 24},
  [10121] = {.lex_state = 52, .external_lex_state = 50},
  [10122] = {.lex_state = 52, .external_lex_state = 24},
  [10123] = {.lex_state = 62, .external_lex_state = 24},
  [10124] = {.lex_state = 62, .external_lex_state = 24},
  [10125] = {.lex_state = 51},
  [10126] = {.lex_state = 56, .external_lex_state = 47},
  [10127] = {.lex_state = 61, .external_lex_state = 24},
  [10128] = {.lex_state = 52, .external_lex_state = 56},
  [10129] = {.lex_state = 52, .external_lex_state = 56},
  [10130] = {.lex_state = 52, .external_lex_state = 56},
  [10131] = {.lex_state = 20, .external_lex_state = 47},
  [10132] = {.lex_state = 52, .external_lex_state = 57},
  [10133] = {.lex_state = 63, .external_lex_state = 48},
  [10134] = {.lex_state = 61, .external_lex_state = 34},
  [10135] = {.lex_state = 3},
  [10136] = {.lex_state = 63, .external_lex_state = 25},
  [10137] = {.lex_state = 61, .external_lex_state = 24},
  [10138] = {.lex_state = 63, .external_lex_state = 23},
  [10139] = {.lex_state = 62, .external_lex_state = 23},
  [10140] = {.lex_state = 61, .external_lex_state = 33},
  [10141] = {.lex_state = 65},
  [10142] = {.lex_state = 63, .external_lex_state = 58},
  [10143] = {.lex_state = 61, .external_lex_state = 33},
  [10144] = {.lex_state = 63, .external_lex_state = 41},
  [10145] = {.lex_state = 21, .external_lex_state = 47},
  [10146] = {.lex_state = 21, .external_lex_state = 47},
  [10147] = {.lex_state = 61, .external_lex_state = 33},
  [10148] = {.lex_state = 63, .external_lex_state = 34},
  [10149] = {.lex_state = 63, .external_lex_state = 38},
  [10150] = {.lex_state = 21, .external_lex_state = 47},
  [10151] = {.lex_state = 63, .external_lex_state = 25},
  [10152] = {.lex_state = 52, .external_lex_state = 56},
  [10153] = {.lex_state = 21, .external_lex_state = 47},
  [10154] = {.lex_state = 63, .external_lex_state = 54},
  [10155] = {.lex_state = 63},
  [10156] = {.lex_state = 65, .external_lex_state = 54},
  [10157] = {.lex_state = 63, .external_lex_state = 23},
  [10158] = {.lex_state = 56, .external_lex_state = 47},
  [10159] = {.lex_state = 52, .external_lex_state = 58},
  [10160] = {.lex_state = 61, .external_lex_state = 33},
  [10161] = {.lex_state = 62},
  [10162] = {.lex_state = 65, .external_lex_state = 54},
  [10163] = {.lex_state = 17},
  [10164] = {.lex_state = 52, .external_lex_state = 58},
  [10165] = {.lex_state = 63, .external_lex_state = 25},
  [10166] = {.lex_state = 54, .external_lex_state = 29},
  [10167] = {.lex_state = 52, .external_lex_state = 29},
  [10168] = {.lex_state = 61, .external_lex_state = 33},
  [10169] = {.lex_state = 65},
  [10170] = {.lex_state = 61, .external_lex_state = 33},
  [10171] = {.lex_state = 52, .external_lex_state = 58},
  [10172] = {.lex_state = 62},
  [10173] = {.lex_state = 52, .external_lex_state = 56},
  [10174] = {.lex_state = 61, .external_lex_state = 24},
  [10175] = {.lex_state = 62},
  [10176] = {.lex_state = 56, .external_lex_state = 47},
  [10177] = {.lex_state = 61, .external_lex_state = 24},
  [10178] = {.lex_state = 63, .external_lex_state = 44},
  [10179] = {.lex_state = 52, .external_lex_state = 57},
  [10180] = {.lex_state = 63},
  [10181] = {.lex_state = 8},
  [10182] = {.lex_state = 62},
  [10183] = {.lex_state = 62},
  [10184] = {.lex_state = 52, .external_lex_state = 56},
  [10185] = {.lex_state = 52, .external_lex_state = 58},
  [10186] = {.lex_state = 52, .external_lex_state = 58},
  [10187] = {.lex_state = 52, .external_lex_state = 58},
  [10188] = {.lex_state = 61, .external_lex_state = 24},
  [10189] = {.lex_state = 56, .external_lex_state = 47},
  [10190] = {.lex_state = 52, .external_lex_state = 58},
  [10191] = {.lex_state = 52, .external_lex_state = 58},
  [10192] = {.lex_state = 52, .external_lex_state = 57},
  [10193] = {.lex_state = 63, .external_lex_state = 25},
  [10194] = {.lex_state = 52, .external_lex_state = 58},
  [10195] = {.lex_state = 52, .external_lex_state = 40},
  [10196] = {.lex_state = 63, .external_lex_state = 23},
  [10197] = {.lex_state = 63, .external_lex_state = 23},
  [10198] = {.lex_state = 52, .external_lex_state = 29},
  [10199] = {.lex_state = 56, .external_lex_state = 47},
  [10200] = {.lex_state = 63, .external_lex_state = 23},
  [10201] = {.lex_state = 63, .external_lex_state = 25},
  [10202] = {.lex_state = 52, .external_lex_state = 58},
  [10203] = {.lex_state = 63, .external_lex_state = 23},
  [10204] = {.lex_state = 52, .external_lex_state = 58},
  [10205] = {.lex_state = 17},
  [10206] = {.lex_state = 21, .external_lex_state = 47},
  [10207] = {.lex_state = 65, .external_lex_state = 54},
  [10208] = {.lex_state = 63, .external_lex_state = 24},
  [10209] = {.lex_state = 63, .external_lex_state = 33},
  [10210] = {.lex_state = 61, .external_lex_state = 24},
  [10211] = {.lex_state = 63},
  [10212] = {.lex_state = 17},
  [10213] = {.lex_state = 62, .external_lex_state = 23},
  [10214] = {.lex_state = 63, .external_lex_state = 25},
  [10215] = {.lex_state = 63, .external_lex_state = 44},
  [10216] = {.lex_state = 52, .external_lex_state = 56},
  [10217] = {.lex_state = 62},
  [10218] = {.lex_state = 63, .external_lex_state = 23},
  [10219] = {.lex_state = 63, .external_lex_state = 23},
  [10220] = {.lex_state = 56, .external_lex_state = 47},
  [10221] = {.lex_state = 63, .external_lex_state = 23},
  [10222] = {.lex_state = 17},
  [10223] = {.lex_state = 56, .external_lex_state = 47},
  [10224] = {.lex_state = 61, .external_lex_state = 24},
  [10225] = {.lex_state = 63, .external_lex_state = 23},
  [10226] = {.lex_state = 17},
  [10227] = {.lex_state = 63},
  [10228] = {.lex_state = 17},
  [10229] = {.lex_state = 63, .external_lex_state = 23},
  [10230] = {.lex_state = 63, .external_lex_state = 52},
  [10231] = {.lex_state = 61, .external_lex_state = 33},
  [10232] = {.lex_state = 62, .external_lex_state = 23},
  [10233] = {.lex_state = 63, .external_lex_state = 38},
  [10234] = {.lex_state = 63, .external_lex_state = 24},
  [10235] = {.lex_state = 3},
  [10236] = {.lex_state = 63, .external_lex_state = 33},
  [10237] = {.lex_state = 63, .external_lex_state = 24},
  [10238] = {.lex_state = 52, .external_lex_state = 57},
  [10239] = {.lex_state = 17},
  [10240] = {.lex_state = 54, .external_lex_state = 60},
  [10241] = {.lex_state = 65, .external_lex_state = 52},
  [10242] = {.lex_state = 61, .external_lex_state = 34},
  [10243] = {.lex_state = 63, .external_lex_state = 25},
  [10244] = {.lex_state = 63, .external_lex_state = 25},
  [10245] = {.lex_state = 17},
  [10246] = {.lex_state = 52, .external_lex_state = 59},
  [10247] = {.lex_state = 65, .external_lex_state = 48},
  [10248] = {.lex_state = 52, .external_lex_state = 59},
  [10249] = {.lex_state = 62, .external_lex_state = 23},
  [10250] = {.lex_state = 56, .external_lex_state = 47},
  [10251] = {.lex_state = 51},
  [10252] = {.lex_state = 52, .external_lex_state = 59},
  [10253] = {.lex_state = 4},
  [10254] = {.lex_state = 63, .external_lex_state = 25},
  [10255] = {.lex_state = 3},
  [10256] = {.lex_state = 63, .external_lex_state = 41},
  [10257] = {.lex_state = 52, .external_lex_state = 59},
  [10258] = {.lex_state = 52, .external_lex_state = 29},
  [10259] = {.lex_state = 63},
  [10260] = {.lex_state = 61, .external_lex_state = 34},
  [10261] = {.lex_state = 17},
  [10262] = {.lex_state = 65, .external_lex_state = 52},
  [10263] = {.lex_state = 63, .external_lex_state = 25},
  [10264] = {.lex_state = 65, .external_lex_state = 52},
  [10265] = {.lex_state = 65, .external_lex_state = 52},
  [10266] = {.lex_state = 63, .external_lex_state = 23},
  [10267] = {.lex_state = 61, .external_lex_state = 33},
  [10268] = {.lex_state = 62, .external_lex_state = 23},
  [10269] = {.lex_state = 62, .external_lex_state = 23},
  [10270] = {.lex_state = 61, .external_lex_state = 33},
  [10271] = {.lex_state = 52, .external_lex_state = 29},
  [10272] = {.lex_state = 52, .external_lex_state = 29},
  [10273] = {.lex_state = 17},
  [10274] = {.lex_state = 56, .external_lex_state = 47},
  [10275] = {.lex_state = 63, .external_lex_state = 25},
  [10276] = {.lex_state = 65, .external_lex_state = 48},
  [10277] = {.lex_state = 21, .external_lex_state = 47},
  [10278] = {.lex_state = 17},
  [10279] = {.lex_state = 63, .external_lex_state = 25},
  [10280] = {.lex_state = 17},
  [10281] = {.lex_state = 52, .external_lex_state = 58},
  [10282] = {.lex_state = 63, .external_lex_state = 23},
  [10283] = {.lex_state = 52, .external_lex_state = 29},
  [10284] = {.lex_state = 52, .external_lex_state = 23},
  [10285] = {.lex_state = 52, .external_lex_state = 57},
  [10286] = {.lex_state = 62},
  [10287] = {.lex_state = 56, .external_lex_state = 47},
  [10288] = {.lex_state = 52, .external_lex_state = 56},
  [10289] = {.lex_state = 63, .external_lex_state = 40},
  [10290] = {.lex_state = 52, .external_lex_state = 57},
  [10291] = {.lex_state = 56, .external_lex_state = 47},
  [10292] = {.lex_state = 3},
  [10293] = {.lex_state = 62, .external_lex_state = 23},
  [10294] = {.lex_state = 63, .external_lex_state = 25},
  [10295] = {.lex_state = 62},
  [10296] = {.lex_state = 63, .external_lex_state = 23},
  [10297] = {.lex_state = 63, .external_lex_state = 23},
  [10298] = {.lex_state = 52, .external_lex_state = 57},
  [10299] = {.lex_state = 20, .external_lex_state = 47},
  [10300] = {.lex_state = 3},
  [10301] = {.lex_state = 52, .external_lex_state = 57},
  [10302] = {.lex_state = 3},
  [10303] = {.lex_state = 52, .external_lex_state = 56},
  [10304] = {.lex_state = 63, .external_lex_state = 25},
  [10305] = {.lex_state = 63, .external_lex_state = 23},
  [10306] = {.lex_state = 63, .external_lex_state = 23},
  [10307] = {.lex_state = 61, .external_lex_state = 34},
  [10308] = {.lex_state = 52, .external_lex_state = 56},
  [10309] = {.lex_state = 63, .external_lex_state = 23},
  [10310] = {.lex_state = 52, .external_lex_state = 56},
  [10311] = {.lex_state = 63, .external_lex_state = 25},
  [10312] = {.lex_state = 63, .external_lex_state = 23},
  [10313] = {.lex_state = 63, .external_lex_state = 23},
  [10314] = {.lex_state = 63, .external_lex_state = 40},
  [10315] = {.lex_state = 52, .external_lex_state = 57},
  [10316] = {.lex_state = 17},
  [10317] = {.lex_state = 3},
  [10318] = {.lex_state = 52, .external_lex_state = 57},
  [10319] = {.lex_state = 65, .external_lex_state = 48},
  [10320] = {.lex_state = 65, .external_lex_state = 52},
  [10321] = {.lex_state = 63, .external_lex_state = 23},
  [10322] = {.lex_state = 52, .external_lex_state = 58},
  [10323] = {.lex_state = 65, .external_lex_state = 48},
  [10324] = {.lex_state = 65, .external_lex_state = 48},
  [10325] = {.lex_state = 52},
  [10326] = {.lex_state = 52, .external_lex_state = 29},
  [10327] = {.lex_state = 62},
  [10328] = {.lex_state = 61, .external_lex_state = 33},
  [10329] = {.lex_state = 62, .external_lex_state = 23},
  [10330] = {.lex_state = 63, .external_lex_state = 41},
  [10331] = {.lex_state = 65, .external_lex_state = 50},
  [10332] = {.lex_state = 62},
  [10333] = {.lex_state = 4},
  [10334] = {.lex_state = 62, .external_lex_state = 23},
  [10335] = {.lex_state = 52, .external_lex_state = 57},
  [10336] = {.lex_state = 19, .external_lex_state = 47},
  [10337] = {.lex_state = 19, .external_lex_state = 47},
  [10338] = {.lex_state = 56, .external_lex_state = 47},
  [10339] = {.lex_state = 56, .external_lex_state = 47},
  [10340] = {.lex_state = 61, .external_lex_state = 33},
  [10341] = {.lex_state = 63, .external_lex_state = 40},
  [10342] = {.lex_state = 64, .external_lex_state = 23},
  [10343] = {.lex_state = 63, .external_lex_state = 25},
  [10344] = {.lex_state = 63, .external_lex_state = 50},
  [10345] = {.lex_state = 63, .external_lex_state = 23},
  [10346] = {.lex_state = 63, .external_lex_state = 34},
  [10347] = {.lex_state = 52, .external_lex_state = 58},
  [10348] = {.lex_state = 62},
  [10349] = {.lex_state = 52, .external_lex_state = 29},
  [10350] = {.lex_state = 52, .external_lex_state = 56},
  [10351] = {.lex_state = 63, .external_lex_state = 25},
  [10352] = {.lex_state = 63, .external_lex_state = 25},
  [10353] = {.lex_state = 56, .external_lex_state = 47},
  [10354] = {.lex_state = 63, .external_lex_state = 23},
  [10355] = {.lex_state = 52, .external_lex_state = 56},
  [10356] = {.lex_state = 63, .external_lex_state = 23},
  [10357] = {.lex_state = 62, .external_lex_state = 23},
  [10358] = {.lex_state = 61, .external_lex_state = 34},
  [10359] = {.lex_state = 56, .external_lex_state = 47},
  [10360] = {.lex_state = 61, .external_lex_state = 34},
  [10361] = {.lex_state = 63, .external_lex_state = 23},
  [10362] = {.lex_state = 52, .external_lex_state = 57},
  [10363] = {.lex_state = 65, .external_lex_state = 50},
  [10364] = {.lex_state = 63, .external_lex_state = 25},
  [10365] = {.lex_state = 65, .external_lex_state = 50},
  [10366] = {.lex_state = 65, .external_lex_state = 50},
  [10367] = {.lex_state = 61, .external_lex_state = 33},
  [10368] = {.lex_state = 61, .external_lex_state = 34},
  [10369] = {.lex_state = 52, .external_lex_state = 29},
  [10370] = {.lex_state = 52, .external_lex_state = 57},
  [10371] = {.lex_state = 63, .external_lex_state = 25},
  [10372] = {.lex_state = 52, .external_lex_state = 57},
  [10373] = {.lex_state = 62, .external_lex_state = 23},
  [10374] = {.lex_state = 62},
  [10375] = {.lex_state = 17},
  [10376] = {.lex_state = 3},
  [10377] = {.lex_state = 52, .external_lex_state = 23},
  [10378] = {.lex_state = 3},
  [10379] = {.lex_state = 65},
  [10380] = {.lex_state = 56, .external_lex_state = 47},
  [10381] = {.lex_state = 61, .external_lex_state = 34},
  [10382] = {.lex_state = 62, .external_lex_state = 23},
  [10383] = {.lex_state = 4},
  [10384] = {.lex_state = 61, .external_lex_state = 24},
  [10385] = {.lex_state = 63, .external_lex_state = 23},
  [10386] = {.lex_state = 61, .external_lex_state = 33},
  [10387] = {.lex_state = 56, .external_lex_state = 47},
  [10388] = {.lex_state = 3},
  [10389] = {.lex_state = 61, .external_lex_state = 24},
  [10390] = {.lex_state = 61, .external_lex_state = 34},
  [10391] = {.lex_state = 56, .external_lex_state = 47},
  [10392] = {.lex_state = 63, .external_lex_state = 25},
  [10393] = {.lex_state = 63, .external_lex_state = 23},
  [10394] = {.lex_state = 3},
  [10395] = {.lex_state = 56, .external_lex_state = 47},
  [10396] = {.lex_state = 63, .external_lex_state = 25},
  [10397] = {.lex_state = 52, .external_lex_state = 29},
  [10398] = {.lex_state = 3},
  [10399] = {.lex_state = 61, .external_lex_state = 34},
  [10400] = {.lex_state = 61, .external_lex_state = 34},
  [10401] = {.lex_state = 63, .external_lex_state = 23},
  [10402] = {.lex_state = 52, .external_lex_state = 29},
  [10403] = {.lex_state = 52, .external_lex_state = 29},
  [10404] = {.lex_state = 4},
  [10405] = {.lex_state = 63, .external_lex_state = 24},
  [10406] = {.lex_state = 3},
  [10407] = {.lex_state = 65},
  [10408] = {.lex_state = 52, .external_lex_state = 38},
  [10409] = {.lex_state = 61, .external_lex_state = 34},
  [10410] = {.lex_state = 65, .external_lex_state = 54},
  [10411] = {.lex_state = 62, .external_lex_state = 23},
  [10412] = {.lex_state = 52, .external_lex_state = 29},
  [10413] = {.lex_state = 61, .external_lex_state = 24},
  [10414] = {.lex_state = 61, .external_lex_state = 23},
  [10415] = {.lex_state = 56, .external_lex_state = 47},
  [10416] = {.lex_state = 63, .external_lex_state = 25},
  [10417] = {.lex_state = 56, .external_lex_state = 47},
  [10418] = {.lex_state = 62},
  [10419] = {.lex_state = 52, .external_lex_state = 29},
  [10420] = {.lex_state = 19},
  [10421] = {.lex_state = 63, .external_lex_state = 25},
  [10422] = {.lex_state = 63, .external_lex_state = 41},
  [10423] = {.lex_state = 61, .external_lex_state = 24},
  [10424] = {.lex_state = 61, .external_lex_state = 24},
  [10425] = {.lex_state = 61, .external_lex_state = 33},
  [10426] = {.lex_state = 61, .external_lex_state = 24},
  [10427] = {.lex_state = 61, .external_lex_state = 34},
  [10428] = {.lex_state = 56, .external_lex_state = 47},
  [10429] = {.lex_state = 52, .external_lex_state = 56},
  [10430] = {.lex_state = 63, .external_lex_state = 24},
  [10431] = {.lex_state = 65, .external_lex_state = 54},
  [10432] = {.lex_state = 63, .external_lex_state = 23},
  [10433] = {.lex_state = 62, .external_lex_state = 23},
  [10434] = {.lex_state = 61, .external_lex_state = 34},
  [10435] = {.lex_state = 4},
  [10436] = {.lex_state = 56, .external_lex_state = 47},
  [10437] = {.lex_state = 63, .external_lex_state = 38},
  [10438] = {.lex_state = 61, .external_lex_state = 24},
  [10439] = {.lex_state = 65, .external_lex_state = 50},
  [10440] = {.lex_state = 56, .external_lex_state = 47},
  [10441] = {.lex_state = 63, .external_lex_state = 25},
  [10442] = {.lex_state = 56, .external_lex_state = 47},
  [10443] = {.lex_state = 52},
  [10444] = {.lex_state = 63, .external_lex_state = 57},
  [10445] = {.lex_state = 65},
  [10446] = {.lex_state = 65},
  [10447] = {.lex_state = 52, .external_lex_state = 23},
  [10448] = {.lex_state = 52, .external_lex_state = 34},
  [10449] = {.lex_state = 61, .external_lex_state = 40},
  [10450] = {.lex_state = 65, .external_lex_state = 29},
  [10451] = {.lex_state = 63, .external_lex_state = 50},
  [10452] = {.lex_state = 65, .external_lex_state = 29},
  [10453] = {.lex_state = 63, .external_lex_state = 38},
  [10454] = {.lex_state = 52, .external_lex_state = 23},
  [10455] = {.lex_state = 65},
  [10456] = {.lex_state = 52, .external_lex_state = 33},
  [10457] = {.lex_state = 65, .external_lex_state = 29},
  [10458] = {.lex_state = 52},
  [10459] = {.lex_state = 65},
  [10460] = {.lex_state = 65, .external_lex_state = 29},
  [10461] = {.lex_state = 65},
  [10462] = {.lex_state = 63, .external_lex_state = 24},
  [10463] = {.lex_state = 51, .external_lex_state = 24},
  [10464] = {.lex_state = 63, .external_lex_state = 24},
  [10465] = {.lex_state = 63, .external_lex_state = 23},
  [10466] = {.lex_state = 3},
  [10467] = {.lex_state = 65, .external_lex_state = 58},
  [10468] = {.lex_state = 65},
  [10469] = {.lex_state = 61, .external_lex_state = 40},
  [10470] = {.lex_state = 63, .external_lex_state = 48},
  [10471] = {.lex_state = 51, .external_lex_state = 24},
  [10472] = {.lex_state = 3},
  [10473] = {.lex_state = 51},
  [10474] = {.lex_state = 51},
  [10475] = {.lex_state = 51},
  [10476] = {.lex_state = 61, .external_lex_state = 40},
  [10477] = {.lex_state = 51},
  [10478] = {.lex_state = 63, .external_lex_state = 54},
  [10479] = {.lex_state = 63, .external_lex_state = 50},
  [10480] = {.lex_state = 52},
  [10481] = {.lex_state = 51},
  [10482] = {.lex_state = 51},
  [10483] = {.lex_state = 20},
  [10484] = {.lex_state = 3},
  [10485] = {.lex_state = 52, .external_lex_state = 34},
  [10486] = {.lex_state = 51},
  [10487] = {.lex_state = 52, .external_lex_state = 34},
  [10488] = {.lex_state = 51},
  [10489] = {.lex_state = 65, .external_lex_state = 57},
  [10490] = {.lex_state = 63, .external_lex_state = 24},
  [10491] = {.lex_state = 3},
  [10492] = {.lex_state = 61, .external_lex_state = 38},
  [10493] = {.lex_state = 52, .external_lex_state = 23},
  [10494] = {.lex_state = 51, .external_lex_state = 24},
  [10495] = {.lex_state = 65, .external_lex_state = 58},
  [10496] = {.lex_state = 63, .external_lex_state = 54},
  [10497] = {.lex_state = 63, .external_lex_state = 23},
  [10498] = {.lex_state = 65, .external_lex_state = 58},
  [10499] = {.lex_state = 51},
  [10500] = {.lex_state = 52, .external_lex_state = 33},
  [10501] = {.lex_state = 63, .external_lex_state = 23},
  [10502] = {.lex_state = 61, .external_lex_state = 38},
  [10503] = {.lex_state = 51},
  [10504] = {.lex_state = 51},
  [10505] = {.lex_state = 61, .external_lex_state = 40},
  [10506] = {.lex_state = 64, .external_lex_state = 23},
  [10507] = {.lex_state = 51},
  [10508] = {.lex_state = 61, .external_lex_state = 38},
  [10509] = {.lex_state = 63, .external_lex_state = 23},
  [10510] = {.lex_state = 61, .external_lex_state = 38},
  [10511] = {.lex_state = 64, .external_lex_state = 23},
  [10512] = {.lex_state = 64, .external_lex_state = 23},
  [10513] = {.lex_state = 51},
  [10514] = {.lex_state = 51},
  [10515] = {.lex_state = 65},
  [10516] = {.lex_state = 51},
  [10517] = {.lex_state = 52, .external_lex_state = 33},
  [10518] = {.lex_state = 63, .external_lex_state = 58},
  [10519] = {.lex_state = 52, .external_lex_state = 33},
  [10520] = {.lex_state = 61, .external_lex_state = 38},
  [10521] = {.lex_state = 61, .external_lex_state = 38},
  [10522] = {.lex_state = 52, .external_lex_state = 23},
  [10523] = {.lex_state = 61, .external_lex_state = 40},
  [10524] = {.lex_state = 51},
  [10525] = {.lex_state = 52, .external_lex_state = 23},
  [10526] = {.lex_state = 65, .external_lex_state = 58},
  [10527] = {.lex_state = 65, .external_lex_state = 58},
  [10528] = {.lex_state = 52, .external_lex_state = 34},
  [10529] = {.lex_state = 61, .external_lex_state = 38},
  [10530] = {.lex_state = 63, .external_lex_state = 29},
  [10531] = {.lex_state = 63, .external_lex_state = 40},
  [10532] = {.lex_state = 65, .external_lex_state = 57},
  [10533] = {.lex_state = 64, .external_lex_state = 23},
  [10534] = {.lex_state = 21, .external_lex_state = 47},
  [10535] = {.lex_state = 52, .external_lex_state = 34},
  [10536] = {.lex_state = 61, .external_lex_state = 40},
  [10537] = {.lex_state = 54, .external_lex_state = 61},
  [10538] = {.lex_state = 4},
  [10539] = {.lex_state = 52, .external_lex_state = 34},
  [10540] = {.lex_state = 51},
  [10541] = {.lex_state = 52, .external_lex_state = 33},
  [10542] = {.lex_state = 64, .external_lex_state = 24},
  [10543] = {.lex_state = 51},
  [10544] = {.lex_state = 51, .external_lex_state = 23},
  [10545] = {.lex_state = 51, .external_lex_state = 23},
  [10546] = {.lex_state = 51, .external_lex_state = 24},
  [10547] = {.lex_state = 63, .external_lex_state = 40},
  [10548] = {.lex_state = 52, .external_lex_state = 23},
  [10549] = {.lex_state = 52, .external_lex_state = 34},
  [10550] = {.lex_state = 52, .external_lex_state = 23},
  [10551] = {.lex_state = 52, .external_lex_state = 34},
  [10552] = {.lex_state = 4},
  [10553] = {.lex_state = 51, .external_lex_state = 24},
  [10554] = {.lex_state = 65},
  [10555] = {.lex_state = 52, .external_lex_state = 33},
  [10556] = {.lex_state = 64, .external_lex_state = 24},
  [10557] = {.lex_state = 52, .external_lex_state = 34},
  [10558] = {.lex_state = 61, .external_lex_state = 40},
  [10559] = {.lex_state = 65, .external_lex_state = 56},
  [10560] = {.lex_state = 52, .external_lex_state = 59},
  [10561] = {.lex_state = 61, .external_lex_state = 40},
  [10562] = {.lex_state = 63, .external_lex_state = 52},
  [10563] = {.lex_state = 65, .external_lex_state = 56},
  [10564] = {.lex_state = 64, .external_lex_state = 24},
  [10565] = {.lex_state = 65, .external_lex_state = 56},
  [10566] = {.lex_state = 65, .external_lex_state = 57},
  [10567] = {.lex_state = 65},
  [10568] = {.lex_state = 52, .external_lex_state = 34},
  [10569] = {.lex_state = 64, .external_lex_state = 23},
  [10570] = {.lex_state = 61, .external_lex_state = 38},
  [10571] = {.lex_state = 63, .external_lex_state = 48},
  [10572] = {.lex_state = 52, .external_lex_state = 33},
  [10573] = {.lex_state = 52, .external_lex_state = 23},
  [10574] = {.lex_state = 65, .external_lex_state = 56},
  [10575] = {.lex_state = 61, .external_lex_state = 40},
  [10576] = {.lex_state = 4},
  [10577] = {.lex_state = 4},
  [10578] = {.lex_state = 63, .external_lex_state = 54},
  [10579] = {.lex_state = 64, .external_lex_state = 23},
  [10580] = {.lex_state = 54, .external_lex_state = 33},
  [10581] = {.lex_state = 52, .external_lex_state = 23},
  [10582] = {.lex_state = 64, .external_lex_state = 24},
  [10583] = {.lex_state = 61, .external_lex_state = 38},
  [10584] = {.lex_state = 52, .external_lex_state = 33},
  [10585] = {.lex_state = 63, .external_lex_state = 24},
  [10586] = {.lex_state = 61, .external_lex_state = 40},
  [10587] = {.lex_state = 52, .external_lex_state = 34},
  [10588] = {.lex_state = 63, .external_lex_state = 38},
  [10589] = {.lex_state = 63, .external_lex_state = 24},
  [10590] = {.lex_state = 52, .external_lex_state = 34},
  [10591] = {.lex_state = 64, .external_lex_state = 23},
  [10592] = {.lex_state = 63, .external_lex_state = 23},
  [10593] = {.lex_state = 54, .external_lex_state = 61},
  [10594] = {.lex_state = 64, .external_lex_state = 23},
  [10595] = {.lex_state = 64, .external_lex_state = 23},
  [10596] = {.lex_state = 65},
  [10597] = {.lex_state = 52, .external_lex_state = 34},
  [10598] = {.lex_state = 64, .external_lex_state = 23},
  [10599] = {.lex_state = 65},
  [10600] = {.lex_state = 20, .external_lex_state = 47},
  [10601] = {.lex_state = 52, .external_lex_state = 34},
  [10602] = {.lex_state = 65, .external_lex_state = 57},
  [10603] = {.lex_state = 52, .external_lex_state = 33},
  [10604] = {.lex_state = 21},
  [10605] = {.lex_state = 64, .external_lex_state = 24},
  [10606] = {.lex_state = 65, .external_lex_state = 57},
  [10607] = {.lex_state = 61, .external_lex_state = 40},
  [10608] = {.lex_state = 21},
  [10609] = {.lex_state = 52, .external_lex_state = 23},
  [10610] = {.lex_state = 64, .external_lex_state = 23},
  [10611] = {.lex_state = 63, .external_lex_state = 24},
  [10612] = {.lex_state = 20, .external_lex_state = 47},
  [10613] = {.lex_state = 64, .external_lex_state = 24},
  [10614] = {.lex_state = 64, .external_lex_state = 24},
  [10615] = {.lex_state = 61, .external_lex_state = 38},
  [10616] = {.lex_state = 63},
  [10617] = {.lex_state = 52, .external_lex_state = 23},
  [10618] = {.lex_state = 61, .external_lex_state = 38},
  [10619] = {.lex_state = 63, .external_lex_state = 54},
  [10620] = {.lex_state = 53, .external_lex_state = 35},
  [10621] = {.lex_state = 54, .external_lex_state = 62},
  [10622] = {.lex_state = 63, .external_lex_state = 48},
  [10623] = {.lex_state = 52, .external_lex_state = 33},
  [10624] = {.lex_state = 61, .external_lex_state = 38},
  [10625] = {.lex_state = 65},
  [10626] = {.lex_state = 21, .external_lex_state = 47},
  [10627] = {.lex_state = 63, .external_lex_state = 23},
  [10628] = {.lex_state = 61, .external_lex_state = 38},
  [10629] = {.lex_state = 64, .external_lex_state = 24},
  [10630] = {.lex_state = 61, .external_lex_state = 38},
  [10631] = {.lex_state = 63, .external_lex_state = 24},
  [10632] = {.lex_state = 64, .external_lex_state = 23},
  [10633] = {.lex_state = 52, .external_lex_state = 23},
  [10634] = {.lex_state = 64, .external_lex_state = 24},
  [10635] = {.lex_state = 51, .external_lex_state = 23},
  [10636] = {.lex_state = 63, .external_lex_state = 24},
  [10637] = {.lex_state = 63, .external_lex_state = 52},
  [10638] = {.lex_state = 51, .external_lex_state = 23},
  [10639] = {.lex_state = 64, .external_lex_state = 24},
  [10640] = {.lex_state = 64, .external_lex_state = 24},
  [10641] = {.lex_state = 52, .external_lex_state = 59},
  [10642] = {.lex_state = 63, .external_lex_state = 56},
  [10643] = {.lex_state = 52, .external_lex_state = 33},
  [10644] = {.lex_state = 65, .external_lex_state = 56},
  [10645] = {.lex_state = 64, .external_lex_state = 24},
  [10646] = {.lex_state = 52, .external_lex_state = 33},
  [10647] = {.lex_state = 64, .external_lex_state = 23},
  [10648] = {.lex_state = 65, .external_lex_state = 29},
  [10649] = {.lex_state = 51, .external_lex_state = 23},
  [10650] = {.lex_state = 52, .external_lex_state = 33},
  [10651] = {.lex_state = 63, .external_lex_state = 48},
  [10652] = {.lex_state = 64, .external_lex_state = 24},
  [10653] = {.lex_state = 62},
  [10654] = {.lex_state = 64, .external_lex_state = 23},
  [10655] = {.lex_state = 61, .external_lex_state = 40},
  [10656] = {.lex_state = 61, .external_lex_state = 40},
  [10657] = {.lex_state = 52, .external_lex_state = 33},
  [10658] = {.lex_state = 52, .external_lex_state = 23},
  [10659] = {.lex_state = 64, .external_lex_state = 24},
  [10660] = {.lex_state = 54, .external_lex_state = 34},
  [10661] = {.lex_state = 52, .external_lex_state = 23},
  [10662] = {.lex_state = 61, .external_lex_state = 40},
  [10663] = {.lex_state = 52, .external_lex_state = 38},
  [10664] = {.lex_state = 51, .external_lex_state = 24},
  [10665] = {.lex_state = 53, .external_lex_state = 35},
  [10666] = {.lex_state = 54, .external_lex_state = 63},
  [10667] = {.lex_state = 63},
  [10668] = {.lex_state = 63},
  [10669] = {.lex_state = 21},
  [10670] = {.lex_state = 54, .external_lex_state = 29},
  [10671] = {.lex_state = 51, .external_lex_state = 23},
  [10672] = {.lex_state = 54, .external_lex_state = 29},
  [10673] = {.lex_state = 63, .external_lex_state = 58},
  [10674] = {.lex_state = 3},
  [10675] = {.lex_state = 64, .external_lex_state = 23},
  [10676] = {.lex_state = 63},
  [10677] = {.lex_state = 21},
  [10678] = {.lex_state = 64, .external_lex_state = 23},
  [10679] = {.lex_state = 21},
  [10680] = {.lex_state = 3},
  [10681] = {.lex_state = 21},
  [10682] = {.lex_state = 61, .external_lex_state = 23},
  [10683] = {.lex_state = 51, .external_lex_state = 23},
  [10684] = {.lex_state = 52, .external_lex_state = 40},
  [10685] = {.lex_state = 64, .external_lex_state = 23},
  [10686] = {.lex_state = 61, .external_lex_state = 23},
  [10687] = {.lex_state = 51, .external_lex_state = 23},
  [10688] = {.lex_state = 21},
  [10689] = {.lex_state = 52, .external_lex_state = 40},
  [10690] = {.lex_state = 8},
  [10691] = {.lex_state = 52, .external_lex_state = 40},
  [10692] = {.lex_state = 21},
  [10693] = {.lex_state = 21},
  [10694] = {.lex_state = 54, .external_lex_state = 25},
  [10695] = {.lex_state = 21},
  [10696] = {.lex_state = 52, .external_lex_state = 40},
  [10697] = {.lex_state = 54, .external_lex_state = 63},
  [10698] = {.lex_state = 64, .external_lex_state = 23},
  [10699] = {.lex_state = 52, .external_lex_state = 59},
  [10700] = {.lex_state = 64, .external_lex_state = 23},
  [10701] = {.lex_state = 21},
  [10702] = {.lex_state = 19},
  [10703] = {.lex_state = 64, .external_lex_state = 23},
  [10704] = {.lex_state = 64, .external_lex_state = 23},
  [10705] = {.lex_state = 65, .external_lex_state = 24},
  [10706] = {.lex_state = 52, .external_lex_state = 38},
  [10707] = {.lex_state = 63, .external_lex_state = 57},
  [10708] = {.lex_state = 21},
  [10709] = {.lex_state = 21},
  [10710] = {.lex_state = 51, .external_lex_state = 23},
  [10711] = {.lex_state = 51, .external_lex_state = 23},
  [10712] = {.lex_state = 21},
  [10713] = {.lex_state = 21},
  [10714] = {.lex_state = 18},
  [10715] = {.lex_state = 63, .external_lex_state = 56},
  [10716] = {.lex_state = 54, .external_lex_state = 40},
  [10717] = {.lex_state = 63, .external_lex_state = 23},
  [10718] = {.lex_state = 21},
  [10719] = {.lex_state = 52, .external_lex_state = 38},
  [10720] = {.lex_state = 52, .external_lex_state = 40},
  [10721] = {.lex_state = 53, .external_lex_state = 23},
  [10722] = {.lex_state = 51},
  [10723] = {.lex_state = 51},
  [10724] = {.lex_state = 52, .external_lex_state = 40},
  [10725] = {.lex_state = 51, .external_lex_state = 23},
  [10726] = {.lex_state = 61, .external_lex_state = 23},
  [10727] = {.lex_state = 52, .external_lex_state = 38},
  [10728] = {.lex_state = 51, .external_lex_state = 23},
  [10729] = {.lex_state = 51, .external_lex_state = 23},
  [10730] = {.lex_state = 51, .external_lex_state = 23},
  [10731] = {.lex_state = 54, .external_lex_state = 61},
  [10732] = {.lex_state = 64, .external_lex_state = 23},
  [10733] = {.lex_state = 52, .external_lex_state = 38},
  [10734] = {.lex_state = 21},
  [10735] = {.lex_state = 63, .external_lex_state = 34},
  [10736] = {.lex_state = 63, .external_lex_state = 58},
  [10737] = {.lex_state = 64, .external_lex_state = 23},
  [10738] = {.lex_state = 54, .external_lex_state = 29},
  [10739] = {.lex_state = 21},
  [10740] = {.lex_state = 63},
  [10741] = {.lex_state = 63},
  [10742] = {.lex_state = 54, .external_lex_state = 25},
  [10743] = {.lex_state = 63},
  [10744] = {.lex_state = 53, .external_lex_state = 55},
  [10745] = {.lex_state = 21},
  [10746] = {.lex_state = 65, .external_lex_state = 24},
  [10747] = {.lex_state = 21},
  [10748] = {.lex_state = 51, .external_lex_state = 24},
  [10749] = {.lex_state = 64, .external_lex_state = 23},
  [10750] = {.lex_state = 21},
  [10751] = {.lex_state = 51, .external_lex_state = 24},
  [10752] = {.lex_state = 51, .external_lex_state = 23},
  [10753] = {.lex_state = 21},
  [10754] = {.lex_state = 51, .external_lex_state = 23},
  [10755] = {.lex_state = 51, .external_lex_state = 24},
  [10756] = {.lex_state = 51},
  [10757] = {.lex_state = 51, .external_lex_state = 23},
  [10758] = {.lex_state = 54, .external_lex_state = 25},
  [10759] = {.lex_state = 21},
  [10760] = {.lex_state = 54, .external_lex_state = 61},
  [10761] = {.lex_state = 54, .external_lex_state = 25},
  [10762] = {.lex_state = 61, .external_lex_state = 23},
  [10763] = {.lex_state = 21},
  [10764] = {.lex_state = 65, .external_lex_state = 33},
  [10765] = {.lex_state = 19},
  [10766] = {.lex_state = 21},
  [10767] = {.lex_state = 3},
  [10768] = {.lex_state = 51, .external_lex_state = 24},
  [10769] = {.lex_state = 54, .external_lex_state = 60},
  [10770] = {.lex_state = 54, .external_lex_state = 61},
  [10771] = {.lex_state = 51},
  [10772] = {.lex_state = 3},
  [10773] = {.lex_state = 51, .external_lex_state = 24},
  [10774] = {.lex_state = 51, .external_lex_state = 23},
  [10775] = {.lex_state = 21},
  [10776] = {.lex_state = 4},
  [10777] = {.lex_state = 21},
  [10778] = {.lex_state = 63, .external_lex_state = 57},
  [10779] = {.lex_state = 61, .external_lex_state = 23},
  [10780] = {.lex_state = 64, .external_lex_state = 23},
  [10781] = {.lex_state = 51, .external_lex_state = 23},
  [10782] = {.lex_state = 63, .external_lex_state = 33},
  [10783] = {.lex_state = 21},
  [10784] = {.lex_state = 21},
  [10785] = {.lex_state = 54, .external_lex_state = 25},
  [10786] = {.lex_state = 52, .external_lex_state = 38},
  [10787] = {.lex_state = 54, .external_lex_state = 61},
  [10788] = {.lex_state = 54, .external_lex_state = 25},
  [10789] = {.lex_state = 63, .external_lex_state = 29},
  [10790] = {.lex_state = 65, .external_lex_state = 33},
  [10791] = {.lex_state = 54, .external_lex_state = 25},
  [10792] = {.lex_state = 64, .external_lex_state = 23},
  [10793] = {.lex_state = 64, .external_lex_state = 23},
  [10794] = {.lex_state = 63, .external_lex_state = 29},
  [10795] = {.lex_state = 18},
  [10796] = {.lex_state = 51, .external_lex_state = 24},
  [10797] = {.lex_state = 54, .external_lex_state = 60},
  [10798] = {.lex_state = 21},
  [10799] = {.lex_state = 21},
  [10800] = {.lex_state = 3},
  [10801] = {.lex_state = 51, .external_lex_state = 24},
  [10802] = {.lex_state = 63},
  [10803] = {.lex_state = 51, .external_lex_state = 24},
  [10804] = {.lex_state = 21},
  [10805] = {.lex_state = 51, .external_lex_state = 23},
  [10806] = {.lex_state = 61, .external_lex_state = 23},
  [10807] = {.lex_state = 63, .external_lex_state = 24},
  [10808] = {.lex_state = 52, .external_lex_state = 38},
  [10809] = {.lex_state = 51, .external_lex_state = 23},
  [10810] = {.lex_state = 65, .external_lex_state = 24},
  [10811] = {.lex_state = 21},
  [10812] = {.lex_state = 3},
  [10813] = {.lex_state = 51},
  [10814] = {.lex_state = 4},
  [10815] = {.lex_state = 63},
  [10816] = {.lex_state = 52, .external_lex_state = 38},
  [10817] = {.lex_state = 51, .external_lex_state = 23},
  [10818] = {.lex_state = 21},
  [10819] = {.lex_state = 3},
  [10820] = {.lex_state = 51, .external_lex_state = 24},
  [10821] = {.lex_state = 52, .external_lex_state = 40},
  [10822] = {.lex_state = 21},
  [10823] = {.lex_state = 51},
  [10824] = {.lex_state = 63, .external_lex_state = 58},
  [10825] = {.lex_state = 21},
  [10826] = {.lex_state = 51, .external_lex_state = 24},
  [10827] = {.lex_state = 52, .external_lex_state = 38},
  [10828] = {.lex_state = 3},
  [10829] = {.lex_state = 4},
  [10830] = {.lex_state = 54, .external_lex_state = 25},
  [10831] = {.lex_state = 52, .external_lex_state = 38},
  [10832] = {.lex_state = 21},
  [10833] = {.lex_state = 51, .external_lex_state = 24},
  [10834] = {.lex_state = 21},
  [10835] = {.lex_state = 51, .external_lex_state = 24},
  [10836] = {.lex_state = 51, .external_lex_state = 24},
  [10837] = {.lex_state = 51, .external_lex_state = 24},
  [10838] = {.lex_state = 3},
  [10839] = {.lex_state = 63},
  [10840] = {.lex_state = 51, .external_lex_state = 24},
  [10841] = {.lex_state = 3},
  [10842] = {.lex_state = 63},
  [10843] = {.lex_state = 63, .external_lex_state = 23},
  [10844] = {.lex_state = 19},
  [10845] = {.lex_state = 19},
  [10846] = {.lex_state = 21},
  [10847] = {.lex_state = 19},
  [10848] = {.lex_state = 19},
  [10849] = {.lex_state = 4},
  [10850] = {.lex_state = 3},
  [10851] = {.lex_state = 19},
  [10852] = {.lex_state = 61, .external_lex_state = 23},
  [10853] = {.lex_state = 63},
  [10854] = {.lex_state = 63},
  [10855] = {.lex_state = 65, .external_lex_state = 24},
  [10856] = {.lex_state = 21},
  [10857] = {.lex_state = 51, .external_lex_state = 23},
  [10858] = {.lex_state = 63, .external_lex_state = 56},
  [10859] = {.lex_state = 8},
  [10860] = {.lex_state = 21},
  [10861] = {.lex_state = 63},
  [10862] = {.lex_state = 63},
  [10863] = {.lex_state = 52, .external_lex_state = 38},
  [10864] = {.lex_state = 52, .external_lex_state = 38},
  [10865] = {.lex_state = 65, .external_lex_state = 34},
  [10866] = {.lex_state = 65, .external_lex_state = 24},
  [10867] = {.lex_state = 19},
  [10868] = {.lex_state = 51, .external_lex_state = 23},
  [10869] = {.lex_state = 3},
  [10870] = {.lex_state = 19},
  [10871] = {.lex_state = 4},
  [10872] = {.lex_state = 4},
  [10873] = {.lex_state = 52, .external_lex_state = 40},
  [10874] = {.lex_state = 19},
  [10875] = {.lex_state = 3},
  [10876] = {.lex_state = 52, .external_lex_state = 59},
  [10877] = {.lex_state = 64, .external_lex_state = 23},
  [10878] = {.lex_state = 63},
  [10879] = {.lex_state = 52, .external_lex_state = 40},
  [10880] = {.lex_state = 52},
  [10881] = {.lex_state = 51, .external_lex_state = 23},
  [10882] = {.lex_state = 51, .external_lex_state = 23},
  [10883] = {.lex_state = 4},
  [10884] = {.lex_state = 61, .external_lex_state = 23},
  [10885] = {.lex_state = 21},
  [10886] = {.lex_state = 21},
  [10887] = {.lex_state = 63},
  [10888] = {.lex_state = 61, .external_lex_state = 23},
  [10889] = {.lex_state = 3},
  [10890] = {.lex_state = 3},
  [10891] = {.lex_state = 63},
  [10892] = {.lex_state = 54, .external_lex_state = 29},
  [10893] = {.lex_state = 19},
  [10894] = {.lex_state = 21},
  [10895] = {.lex_state = 8},
  [10896] = {.lex_state = 63},
  [10897] = {.lex_state = 61, .external_lex_state = 23},
  [10898] = {.lex_state = 21},
  [10899] = {.lex_state = 52, .external_lex_state = 38},
  [10900] = {.lex_state = 52, .external_lex_state = 38},
  [10901] = {.lex_state = 54, .external_lex_state = 25},
  [10902] = {.lex_state = 54, .external_lex_state = 25},
  [10903] = {.lex_state = 65, .external_lex_state = 33},
  [10904] = {.lex_state = 3},
  [10905] = {.lex_state = 65, .external_lex_state = 34},
  [10906] = {.lex_state = 21},
  [10907] = {.lex_state = 65, .external_lex_state = 34},
  [10908] = {.lex_state = 52, .external_lex_state = 40},
  [10909] = {.lex_state = 4},
  [10910] = {.lex_state = 19},
  [10911] = {.lex_state = 52, .external_lex_state = 40},
  [10912] = {.lex_state = 3},
  [10913] = {.lex_state = 52, .external_lex_state = 40},
  [10914] = {.lex_state = 3},
  [10915] = {.lex_state = 53, .external_lex_state = 35},
  [10916] = {.lex_state = 54, .external_lex_state = 25},
  [10917] = {.lex_state = 19},
  [10918] = {.lex_state = 51},
  [10919] = {.lex_state = 51},
  [10920] = {.lex_state = 65, .external_lex_state = 34},
  [10921] = {.lex_state = 51, .external_lex_state = 23},
  [10922] = {.lex_state = 19},
  [10923] = {.lex_state = 51},
  [10924] = {.lex_state = 51},
  [10925] = {.lex_state = 63},
  [10926] = {.lex_state = 61, .external_lex_state = 23},
  [10927] = {.lex_state = 51, .external_lex_state = 24},
  [10928] = {.lex_state = 54, .external_lex_state = 38},
  [10929] = {.lex_state = 54, .external_lex_state = 23},
  [10930] = {.lex_state = 52, .external_lex_state = 40},
  [10931] = {.lex_state = 21},
  [10932] = {.lex_state = 61, .external_lex_state = 23},
  [10933] = {.lex_state = 61, .external_lex_state = 23},
  [10934] = {.lex_state = 8},
  [10935] = {.lex_state = 21},
  [10936] = {.lex_state = 60, .external_lex_state = 29},
  [10937] = {.lex_state = 52, .external_lex_state = 40},
  [10938] = {.lex_state = 61, .external_lex_state = 23},
  [10939] = {.lex_state = 63, .external_lex_state = 58},
  [10940] = {.lex_state = 65, .external_lex_state = 34},
  [10941] = {.lex_state = 51},
  [10942] = {.lex_state = 65, .external_lex_state = 33},
  [10943] = {.lex_state = 60, .external_lex_state = 29},
  [10944] = {.lex_state = 54, .external_lex_state = 25},
  [10945] = {.lex_state = 54, .external_lex_state = 25},
  [10946] = {.lex_state = 21},
  [10947] = {.lex_state = 54, .external_lex_state = 25},
  [10948] = {.lex_state = 51},
  [10949] = {.lex_state = 65, .external_lex_state = 33},
  [10950] = {.lex_state = 20},
  [10951] = {.lex_state = 51, .external_lex_state = 23},
  [10952] = {.lex_state = 3},
  [10953] = {.lex_state = 20},
  [10954] = {.lex_state = 54, .external_lex_state = 29},
  [10955] = {.lex_state = 51},
  [10956] = {.lex_state = 63, .external_lex_state = 40},
  [10957] = {.lex_state = 20},
  [10958] = {.lex_state = 20},
  [10959] = {.lex_state = 63, .external_lex_state = 34},
  [10960] = {.lex_state = 20},
  [10961] = {.lex_state = 4},
  [10962] = {.lex_state = 20},
  [10963] = {.lex_state = 20},
  [10964] = {.lex_state = 51, .external_lex_state = 23},
  [10965] = {.lex_state = 20},
  [10966] = {.lex_state = 54, .external_lex_state = 29},
  [10967] = {.lex_state = 3},
  [10968] = {.lex_state = 65, .external_lex_state = 38},
  [10969] = {.lex_state = 51, .external_lex_state = 23},
  [10970] = {.lex_state = 54, .external_lex_state = 33},
  [10971] = {.lex_state = 8},
  [10972] = {.lex_state = 65, .external_lex_state = 38},
  [10973] = {.lex_state = 63, .external_lex_state = 34},
  [10974] = {.lex_state = 54, .external_lex_state = 63},
  [10975] = {.lex_state = 54, .external_lex_state = 29},
  [10976] = {.lex_state = 3},
  [10977] = {.lex_state = 54, .external_lex_state = 34},
  [10978] = {.lex_state = 53, .external_lex_state = 55},
  [10979] = {.lex_state = 8},
  [10980] = {.lex_state = 4},
  [10981] = {.lex_state = 63, .external_lex_state = 23},
  [10982] = {.lex_state = 3},
  [10983] = {.lex_state = 63, .external_lex_state = 23},
  [10984] = {.lex_state = 63},
  [10985] = {.lex_state = 3},
  [10986] = {.lex_state = 51, .external_lex_state = 23},
  [10987] = {.lex_state = 3},
  [10988] = {.lex_state = 51},
  [10989] = {.lex_state = 54, .external_lex_state = 61},
  [10990] = {.lex_state = 51},
  [10991] = {.lex_state = 54, .external_lex_state = 39},
  [10992] = {.lex_state = 65, .external_lex_state = 40},
  [10993] = {.lex_state = 51},
  [10994] = {.lex_state = 63, .external_lex_state = 33},
  [10995] = {.lex_state = 3},
  [10996] = {.lex_state = 51},
  [10997] = {.lex_state = 54, .external_lex_state = 29},
  [10998] = {.lex_state = 8},
  [10999] = {.lex_state = 51},
  [11000] = {.lex_state = 20},
  [11001] = {.lex_state = 3},
  [11002] = {.lex_state = 63},
  [11003] = {.lex_state = 54, .external_lex_state = 29},
  [11004] = {.lex_state = 4},
  [11005] = {.lex_state = 51, .external_lex_state = 23},
  [11006] = {.lex_state = 54, .external_lex_state = 29},
  [11007] = {.lex_state = 51},
  [11008] = {.lex_state = 51, .external_lex_state = 23},
  [11009] = {.lex_state = 8},
  [11010] = {.lex_state = 3},
  [11011] = {.lex_state = 8},
  [11012] = {.lex_state = 3},
  [11013] = {.lex_state = 51},
  [11014] = {.lex_state = 51},
  [11015] = {.lex_state = 51},
  [11016] = {.lex_state = 3},
  [11017] = {.lex_state = 51, .external_lex_state = 23},
  [11018] = {.lex_state = 54, .external_lex_state = 34},
  [11019] = {.lex_state = 51, .external_lex_state = 23},
  [11020] = {.lex_state = 54, .external_lex_state = 29},
  [11021] = {.lex_state = 54, .external_lex_state = 62},
  [11022] = {.lex_state = 66, .external_lex_state = 23},
  [11023] = {.lex_state = 51, .external_lex_state = 23},
  [11024] = {.lex_state = 3},
  [11025] = {.lex_state = 8},
  [11026] = {.lex_state = 51, .external_lex_state = 23},
  [11027] = {.lex_state = 51, .external_lex_state = 23},
  [11028] = {.lex_state = 3},
  [11029] = {.lex_state = 18},
  [11030] = {.lex_state = 3},
  [11031] = {.lex_state = 63},
  [11032] = {.lex_state = 66, .external_lex_state = 24},
  [11033] = {.lex_state = 51, .external_lex_state = 23},
  [11034] = {.lex_state = 54, .external_lex_state = 33},
  [11035] = {.lex_state = 51, .external_lex_state = 23},
  [11036] = {.lex_state = 54, .external_lex_state = 63},
  [11037] = {.lex_state = 20},
  [11038] = {.lex_state = 63, .external_lex_state = 33},
  [11039] = {.lex_state = 54, .external_lex_state = 33},
  [11040] = {.lex_state = 3},
  [11041] = {.lex_state = 51},
  [11042] = {.lex_state = 51, .external_lex_state = 23},
  [11043] = {.lex_state = 20},
  [11044] = {.lex_state = 3},
  [11045] = {.lex_state = 8},
  [11046] = {.lex_state = 3},
  [11047] = {.lex_state = 3},
  [11048] = {.lex_state = 66, .external_lex_state = 23},
  [11049] = {.lex_state = 54, .external_lex_state = 29},
  [11050] = {.lex_state = 51},
  [11051] = {.lex_state = 54, .external_lex_state = 29},
  [11052] = {.lex_state = 53, .external_lex_state = 55},
  [11053] = {.lex_state = 62},
  [11054] = {.lex_state = 3},
  [11055] = {.lex_state = 53, .external_lex_state = 24},
  [11056] = {.lex_state = 21},
  [11057] = {.lex_state = 54, .external_lex_state = 29},
  [11058] = {.lex_state = 51},
  [11059] = {.lex_state = 20},
  [11060] = {.lex_state = 51},
  [11061] = {.lex_state = 52, .external_lex_state = 64},
  [11062] = {.lex_state = 54, .external_lex_state = 23},
  [11063] = {.lex_state = 51},
  [11064] = {.lex_state = 51},
  [11065] = {.lex_state = 51},
  [11066] = {.lex_state = 21},
  [11067] = {.lex_state = 63, .external_lex_state = 38},
  [11068] = {.lex_state = 54, .external_lex_state = 29},
  [11069] = {.lex_state = 51},
  [11070] = {.lex_state = 54, .external_lex_state = 34},
  [11071] = {.lex_state = 51},
  [11072] = {.lex_state = 51},
  [11073] = {.lex_state = 51},
  [11074] = {.lex_state = 54, .external_lex_state = 34},
  [11075] = {.lex_state = 3},
  [11076] = {.lex_state = 3},
  [11077] = {.lex_state = 51},
  [11078] = {.lex_state = 51, .external_lex_state = 23},
  [11079] = {.lex_state = 66, .external_lex_state = 23},
  [11080] = {.lex_state = 65, .external_lex_state = 38},
  [11081] = {.lex_state = 8},
  [11082] = {.lex_state = 3},
  [11083] = {.lex_state = 53, .external_lex_state = 24},
  [11084] = {.lex_state = 65, .external_lex_state = 38},
  [11085] = {.lex_state = 65, .external_lex_state = 38},
  [11086] = {.lex_state = 54, .external_lex_state = 60},
  [11087] = {.lex_state = 54, .external_lex_state = 63},
  [11088] = {.lex_state = 4},
  [11089] = {.lex_state = 60, .external_lex_state = 33},
  [11090] = {.lex_state = 51, .external_lex_state = 23},
  [11091] = {.lex_state = 54, .external_lex_state = 61},
  [11092] = {.lex_state = 54, .external_lex_state = 23},
  [11093] = {.lex_state = 20},
  [11094] = {.lex_state = 51, .external_lex_state = 23},
  [11095] = {.lex_state = 8},
  [11096] = {.lex_state = 54, .external_lex_state = 29},
  [11097] = {.lex_state = 60, .external_lex_state = 33},
  [11098] = {.lex_state = 8},
  [11099] = {.lex_state = 51, .external_lex_state = 24},
  [11100] = {.lex_state = 53, .external_lex_state = 23},
  [11101] = {.lex_state = 8},
  [11102] = {.lex_state = 51, .external_lex_state = 23},
  [11103] = {.lex_state = 51, .external_lex_state = 24},
  [11104] = {.lex_state = 54, .external_lex_state = 62},
  [11105] = {.lex_state = 60, .external_lex_state = 34},
  [11106] = {.lex_state = 66, .external_lex_state = 24},
  [11107] = {.lex_state = 54, .external_lex_state = 29},
  [11108] = {.lex_state = 3},
  [11109] = {.lex_state = 8},
  [11110] = {.lex_state = 54, .external_lex_state = 63},
  [11111] = {.lex_state = 66, .external_lex_state = 23},
  [11112] = {.lex_state = 54, .external_lex_state = 33},
  [11113] = {.lex_state = 51},
  [11114] = {.lex_state = 51},
  [11115] = {.lex_state = 65, .external_lex_state = 40},
  [11116] = {.lex_state = 3},
  [11117] = {.lex_state = 66, .external_lex_state = 24},
  [11118] = {.lex_state = 3},
  [11119] = {.lex_state = 65, .external_lex_state = 40},
  [11120] = {.lex_state = 65, .external_lex_state = 40},
  [11121] = {.lex_state = 54, .external_lex_state = 60},
  [11122] = {.lex_state = 60, .external_lex_state = 34},
  [11123] = {.lex_state = 66, .external_lex_state = 23},
  [11124] = {.lex_state = 51, .external_lex_state = 23},
  [11125] = {.lex_state = 66, .external_lex_state = 24},
  [11126] = {.lex_state = 20},
  [11127] = {.lex_state = 51},
  [11128] = {.lex_state = 51},
  [11129] = {.lex_state = 60, .external_lex_state = 29},
  [11130] = {.lex_state = 66, .external_lex_state = 24},
  [11131] = {.lex_state = 51},
  [11132] = {.lex_state = 65, .external_lex_state = 40},
  [11133] = {.lex_state = 8},
  [11134] = {.lex_state = 51},
  [11135] = {.lex_state = 54, .external_lex_state = 33},
  [11136] = {.lex_state = 18},
  [11137] = {.lex_state = 51},
  [11138] = {.lex_state = 63},
  [11139] = {.lex_state = 51},
  [11140] = {.lex_state = 63},
  [11141] = {.lex_state = 53, .external_lex_state = 23},
  [11142] = {.lex_state = 63},
  [11143] = {.lex_state = 65, .external_lex_state = 23},
  [11144] = {.lex_state = 65, .external_lex_state = 23},
  [11145] = {.lex_state = 63},
  [11146] = {.lex_state = 53, .external_lex_state = 35},
  [11147] = {.lex_state = 51},
  [11148] = {.lex_state = 54, .external_lex_state = 38},
  [11149] = {.lex_state = 51},
  [11150] = {.lex_state = 63},
  [11151] = {.lex_state = 54, .external_lex_state = 40},
  [11152] = {.lex_state = 51},
  [11153] = {.lex_state = 53, .external_lex_state = 23},
  [11154] = {.lex_state = 54, .external_lex_state = 34},
  [11155] = {.lex_state = 54, .external_lex_state = 38},
  [11156] = {.lex_state = 51},
  [11157] = {.lex_state = 54, .external_lex_state = 60},
  [11158] = {.lex_state = 63},
  [11159] = {.lex_state = 63},
  [11160] = {.lex_state = 63},
  [11161] = {.lex_state = 53, .external_lex_state = 23},
  [11162] = {.lex_state = 54, .external_lex_state = 62},
  [11163] = {.lex_state = 63},
  [11164] = {.lex_state = 60, .external_lex_state = 34},
  [11165] = {.lex_state = 51},
  [11166] = {.lex_state = 63},
  [11167] = {.lex_state = 4},
  [11168] = {.lex_state = 54, .external_lex_state = 38},
  [11169] = {.lex_state = 63},
  [11170] = {.lex_state = 53, .external_lex_state = 35},
  [11171] = {.lex_state = 4},
  [11172] = {.lex_state = 4},
  [11173] = {.lex_state = 63},
  [11174] = {.lex_state = 60, .external_lex_state = 38},
  [11175] = {.lex_state = 23},
  [11176] = {.lex_state = 63},
  [11177] = {.lex_state = 53, .external_lex_state = 35},
  [11178] = {.lex_state = 63},
  [11179] = {.lex_state = 23},
  [11180] = {.lex_state = 63},
  [11181] = {.lex_state = 53, .external_lex_state = 35},
  [11182] = {.lex_state = 63},
  [11183] = {.lex_state = 63},
  [11184] = {.lex_state = 63},
  [11185] = {.lex_state = 63},
  [11186] = {.lex_state = 63},
  [11187] = {.lex_state = 63},
  [11188] = {.lex_state = 63},
  [11189] = {.lex_state = 63},
  [11190] = {.lex_state = 63},
  [11191] = {.lex_state = 63},
  [11192] = {.lex_state = 63},
  [11193] = {.lex_state = 53, .external_lex_state = 23},
  [11194] = {.lex_state = 53, .external_lex_state = 23},
  [11195] = {.lex_state = 53, .external_lex_state = 23},
  [11196] = {.lex_state = 53, .external_lex_state = 23},
  [11197] = {.lex_state = 63},
  [11198] = {.lex_state = 63},
  [11199] = {.lex_state = 63},
  [11200] = {.lex_state = 63},
  [11201] = {.lex_state = 51},
  [11202] = {.lex_state = 53, .external_lex_state = 23},
  [11203] = {.lex_state = 51},
  [11204] = {.lex_state = 53, .external_lex_state = 23},
  [11205] = {.lex_state = 63},
  [11206] = {.lex_state = 63},
  [11207] = {.lex_state = 63},
  [11208] = {.lex_state = 53, .external_lex_state = 35},
  [11209] = {.lex_state = 63},
  [11210] = {.lex_state = 54, .external_lex_state = 29},
  [11211] = {.lex_state = 63, .external_lex_state = 23},
  [11212] = {.lex_state = 63},
  [11213] = {.lex_state = 63},
  [11214] = {.lex_state = 21},
  [11215] = {.lex_state = 54, .external_lex_state = 61},
  [11216] = {.lex_state = 63},
  [11217] = {.lex_state = 51},
  [11218] = {.lex_state = 53, .external_lex_state = 35},
  [11219] = {.lex_state = 51},
  [11220] = {.lex_state = 63},
  [11221] = {.lex_state = 54, .external_lex_state = 61},
  [11222] = {.lex_state = 63},
  [11223] = {.lex_state = 63},
  [11224] = {.lex_state = 63},
  [11225] = {.lex_state = 54, .external_lex_state = 34},
  [11226] = {.lex_state = 65, .external_lex_state = 23},
  [11227] = {.lex_state = 63},
  [11228] = {.lex_state = 63},
  [11229] = {.lex_state = 54, .external_lex_state = 34},
  [11230] = {.lex_state = 54, .external_lex_state = 34},
  [11231] = {.lex_state = 63, .external_lex_state = 40},
  [11232] = {.lex_state = 54, .external_lex_state = 34},
  [11233] = {.lex_state = 54, .external_lex_state = 35},
  [11234] = {.lex_state = 63},
  [11235] = {.lex_state = 63},
  [11236] = {.lex_state = 63},
  [11237] = {.lex_state = 4},
  [11238] = {.lex_state = 54, .external_lex_state = 29},
  [11239] = {.lex_state = 54, .external_lex_state = 33},
  [11240] = {.lex_state = 63},
  [11241] = {.lex_state = 4},
  [11242] = {.lex_state = 54, .external_lex_state = 38},
  [11243] = {.lex_state = 54, .external_lex_state = 33},
  [11244] = {.lex_state = 54, .external_lex_state = 34},
  [11245] = {.lex_state = 63},
  [11246] = {.lex_state = 54, .external_lex_state = 63},
  [11247] = {.lex_state = 54, .external_lex_state = 34},
  [11248] = {.lex_state = 65, .external_lex_state = 23},
  [11249] = {.lex_state = 63},
  [11250] = {.lex_state = 63},
  [11251] = {.lex_state = 63},
  [11252] = {.lex_state = 51},
  [11253] = {.lex_state = 54, .external_lex_state = 33},
  [11254] = {.lex_state = 63},
  [11255] = {.lex_state = 51},
  [11256] = {.lex_state = 53, .external_lex_state = 55},
  [11257] = {.lex_state = 53, .external_lex_state = 55},
  [11258] = {.lex_state = 54, .external_lex_state = 34},
  [11259] = {.lex_state = 63},
  [11260] = {.lex_state = 53, .external_lex_state = 55},
  [11261] = {.lex_state = 53, .external_lex_state = 35},
  [11262] = {.lex_state = 53, .external_lex_state = 55},
  [11263] = {.lex_state = 53, .external_lex_state = 55},
  [11264] = {.lex_state = 51},
  [11265] = {.lex_state = 63},
  [11266] = {.lex_state = 53, .external_lex_state = 55},
  [11267] = {.lex_state = 63},
  [11268] = {.lex_state = 63},
  [11269] = {.lex_state = 54, .external_lex_state = 29},
  [11270] = {.lex_state = 63},
  [11271] = {.lex_state = 51},
  [11272] = {.lex_state = 63, .external_lex_state = 40},
  [11273] = {.lex_state = 63},
  [11274] = {.lex_state = 63},
  [11275] = {.lex_state = 63},
  [11276] = {.lex_state = 63},
  [11277] = {.lex_state = 63},
  [11278] = {.lex_state = 51},
  [11279] = {.lex_state = 54, .external_lex_state = 41},
  [11280] = {.lex_state = 54, .external_lex_state = 61},
  [11281] = {.lex_state = 51},
  [11282] = {.lex_state = 54, .external_lex_state = 33},
  [11283] = {.lex_state = 63},
  [11284] = {.lex_state = 51},
  [11285] = {.lex_state = 54, .external_lex_state = 29},
  [11286] = {.lex_state = 63},
  [11287] = {.lex_state = 54, .external_lex_state = 33},
  [11288] = {.lex_state = 63},
  [11289] = {.lex_state = 23},
  [11290] = {.lex_state = 63},
  [11291] = {.lex_state = 54, .external_lex_state = 35},
  [11292] = {.lex_state = 51},
  [11293] = {.lex_state = 51},
  [11294] = {.lex_state = 51},
  [11295] = {.lex_state = 60, .external_lex_state = 38},
  [11296] = {.lex_state = 63},
  [11297] = {.lex_state = 65, .external_lex_state = 23},
  [11298] = {.lex_state = 53, .external_lex_state = 35},
  [11299] = {.lex_state = 63},
  [11300] = {.lex_state = 63},
  [11301] = {.lex_state = 54, .external_lex_state = 60},
  [11302] = {.lex_state = 63},
  [11303] = {.lex_state = 63},
  [11304] = {.lex_state = 54, .external_lex_state = 33},
  [11305] = {.lex_state = 63},
  [11306] = {.lex_state = 54, .external_lex_state = 33},
  [11307] = {.lex_state = 53, .external_lex_state = 23},
  [11308] = {.lex_state = 54, .external_lex_state = 34},
  [11309] = {.lex_state = 53, .external_lex_state = 23},
  [11310] = {.lex_state = 18},
  [11311] = {.lex_state = 63, .external_lex_state = 38},
  [11312] = {.lex_state = 54, .external_lex_state = 61},
  [11313] = {.lex_state = 66, .external_lex_state = 23},
  [11314] = {.lex_state = 66, .external_lex_state = 23},
  [11315] = {.lex_state = 54, .external_lex_state = 55},
  [11316] = {.lex_state = 63, .external_lex_state = 38},
  [11317] = {.lex_state = 54, .external_lex_state = 40},
  [11318] = {.lex_state = 51},
  [11319] = {.lex_state = 54, .external_lex_state = 63},
  [11320] = {.lex_state = 54, .external_lex_state = 55},
  [11321] = {.lex_state = 54, .external_lex_state = 60},
  [11322] = {.lex_state = 54, .external_lex_state = 40},
  [11323] = {.lex_state = 63},
  [11324] = {.lex_state = 54, .external_lex_state = 29},
  [11325] = {.lex_state = 63},
  [11326] = {.lex_state = 51},
  [11327] = {.lex_state = 54, .external_lex_state = 29},
  [11328] = {.lex_state = 63},
  [11329] = {.lex_state = 51},
  [11330] = {.lex_state = 54, .external_lex_state = 33},
  [11331] = {.lex_state = 54, .external_lex_state = 44},
  [11332] = {.lex_state = 63},
  [11333] = {.lex_state = 54, .external_lex_state = 33},
  [11334] = {.lex_state = 63},
  [11335] = {.lex_state = 54, .external_lex_state = 33},
  [11336] = {.lex_state = 54, .external_lex_state = 60},
  [11337] = {.lex_state = 54, .external_lex_state = 33},
  [11338] = {.lex_state = 54, .external_lex_state = 29},
  [11339] = {.lex_state = 63},
  [11340] = {.lex_state = 4},
  [11341] = {.lex_state = 54, .external_lex_state = 40},
  [11342] = {.lex_state = 66, .external_lex_state = 23},
  [11343] = {.lex_state = 66, .external_lex_state = 23},
  [11344] = {.lex_state = 54, .external_lex_state = 60},
  [11345] = {.lex_state = 63},
  [11346] = {.lex_state = 63},
  [11347] = {.lex_state = 63},
  [11348] = {.lex_state = 66, .external_lex_state = 23},
  [11349] = {.lex_state = 63},
  [11350] = {.lex_state = 54, .external_lex_state = 34},
  [11351] = {.lex_state = 54, .external_lex_state = 34},
  [11352] = {.lex_state = 51},
  [11353] = {.lex_state = 18},
  [11354] = {.lex_state = 63},
  [11355] = {.lex_state = 23},
  [11356] = {.lex_state = 60, .external_lex_state = 29},
  [11357] = {.lex_state = 53, .external_lex_state = 35},
  [11358] = {.lex_state = 63},
  [11359] = {.lex_state = 53, .external_lex_state = 23},
  [11360] = {.lex_state = 63},
  [11361] = {.lex_state = 63},
  [11362] = {.lex_state = 54, .external_lex_state = 34},
  [11363] = {.lex_state = 63},
  [11364] = {.lex_state = 63},
  [11365] = {.lex_state = 54, .external_lex_state = 33},
  [11366] = {.lex_state = 63},
  [11367] = {.lex_state = 60, .external_lex_state = 40},
  [11368] = {.lex_state = 18},
  [11369] = {.lex_state = 23},
  [11370] = {.lex_state = 51},
  [11371] = {.lex_state = 51},
  [11372] = {.lex_state = 54, .external_lex_state = 29},
  [11373] = {.lex_state = 63},
  [11374] = {.lex_state = 63},
  [11375] = {.lex_state = 54, .external_lex_state = 29},
  [11376] = {.lex_state = 63},
  [11377] = {.lex_state = 63},
  [11378] = {.lex_state = 51},
  [11379] = {.lex_state = 63},
  [11380] = {.lex_state = 63},
  [11381] = {.lex_state = 63},
  [11382] = {.lex_state = 63},
  [11383] = {.lex_state = 63},
  [11384] = {.lex_state = 63},
  [11385] = {.lex_state = 63},
  [11386] = {.lex_state = 51},
  [11387] = {.lex_state = 63},
  [11388] = {.lex_state = 54, .external_lex_state = 62},
  [11389] = {.lex_state = 63},
  [11390] = {.lex_state = 63},
  [11391] = {.lex_state = 63},
  [11392] = {.lex_state = 53, .external_lex_state = 23},
  [11393] = {.lex_state = 54, .external_lex_state = 29},
  [11394] = {.lex_state = 54, .external_lex_state = 29},
  [11395] = {.lex_state = 63},
  [11396] = {.lex_state = 54, .external_lex_state = 29},
  [11397] = {.lex_state = 51},
  [11398] = {.lex_state = 54, .external_lex_state = 29},
  [11399] = {.lex_state = 63},
  [11400] = {.lex_state = 63},
  [11401] = {.lex_state = 54, .external_lex_state = 29},
  [11402] = {.lex_state = 51},
  [11403] = {.lex_state = 63},
  [11404] = {.lex_state = 63},
  [11405] = {.lex_state = 63},
  [11406] = {.lex_state = 51},
  [11407] = {.lex_state = 63},
  [11408] = {.lex_state = 63},
  [11409] = {.lex_state = 63},
  [11410] = {.lex_state = 63},
  [11411] = {.lex_state = 63},
  [11412] = {.lex_state = 63},
  [11413] = {.lex_state = 63},
  [11414] = {.lex_state = 63},
  [11415] = {.lex_state = 63},
  [11416] = {.lex_state = 63},
  [11417] = {.lex_state = 51},
  [11418] = {.lex_state = 63},
  [11419] = {.lex_state = 63},
  [11420] = {.lex_state = 63},
  [11421] = {.lex_state = 51},
  [11422] = {.lex_state = 54, .external_lex_state = 34},
  [11423] = {.lex_state = 63},
  [11424] = {.lex_state = 63},
  [11425] = {.lex_state = 63},
  [11426] = {.lex_state = 51},
  [11427] = {.lex_state = 60, .external_lex_state = 33},
  [11428] = {.lex_state = 63},
  [11429] = {.lex_state = 63},
  [11430] = {.lex_state = 63},
  [11431] = {.lex_state = 54, .external_lex_state = 29},
  [11432] = {.lex_state = 53, .external_lex_state = 35},
  [11433] = {.lex_state = 53, .external_lex_state = 23},
  [11434] = {.lex_state = 63},
  [11435] = {.lex_state = 51},
  [11436] = {.lex_state = 63},
  [11437] = {.lex_state = 63},
  [11438] = {.lex_state = 51},
  [11439] = {.lex_state = 54, .external_lex_state = 60},
  [11440] = {.lex_state = 63},
  [11441] = {.lex_state = 51},
  [11442] = {.lex_state = 63},
  [11443] = {.lex_state = 63},
  [11444] = {.lex_state = 63},
  [11445] = {.lex_state = 63},
  [11446] = {.lex_state = 63},
  [11447] = {.lex_state = 63},
  [11448] = {.lex_state = 54, .external_lex_state = 29},
  [11449] = {.lex_state = 54, .external_lex_state = 60},
  [11450] = {.lex_state = 63},
  [11451] = {.lex_state = 54, .external_lex_state = 29},
  [11452] = {.lex_state = 63},
  [11453] = {.lex_state = 63},
  [11454] = {.lex_state = 63},
  [11455] = {.lex_state = 63},
  [11456] = {.lex_state = 60, .external_lex_state = 40},
  [11457] = {.lex_state = 63},
  [11458] = {.lex_state = 63},
  [11459] = {.lex_state = 54, .external_lex_state = 38},
  [11460] = {.lex_state = 53, .external_lex_state = 55},
  [11461] = {.lex_state = 52, .external_lex_state = 64},
  [11462] = {.lex_state = 53, .external_lex_state = 35},
  [11463] = {.lex_state = 54, .external_lex_state = 60},
  [11464] = {.lex_state = 54, .external_lex_state = 61},
  [11465] = {.lex_state = 54, .external_lex_state = 40},
  [11466] = {.lex_state = 54, .external_lex_state = 60},
  [11467] = {.lex_state = 53, .external_lex_state = 35},
  [11468] = {.lex_state = 53, .external_lex_state = 35},
  [11469] = {.lex_state = 60, .external_lex_state = 29},
  [11470] = {.lex_state = 63},
  [11471] = {.lex_state = 53, .external_lex_state = 35},
  [11472] = {.lex_state = 54, .external_lex_state = 33},
  [11473] = {.lex_state = 54, .external_lex_state = 61},
  [11474] = {.lex_state = 4},
  [11475] = {.lex_state = 53, .external_lex_state = 35},
  [11476] = {.lex_state = 60, .external_lex_state = 29},
  [11477] = {.lex_state = 54, .external_lex_state = 40},
  [11478] = {.lex_state = 53, .external_lex_state = 35},
  [11479] = {.lex_state = 54, .external_lex_state = 61},
  [11480] = {.lex_state = 52, .external_lex_state = 64},
  [11481] = {.lex_state = 54, .external_lex_state = 34},
  [11482] = {.lex_state = 54, .external_lex_state = 40},
  [11483] = {.lex_state = 54, .external_lex_state = 40},
  [11484] = {.lex_state = 54, .external_lex_state = 33},
  [11485] = {.lex_state = 53, .external_lex_state = 55},
  [11486] = {.lex_state = 60, .external_lex_state = 29},
  [11487] = {.lex_state = 52, .external_lex_state = 64},
  [11488] = {.lex_state = 4},
  [11489] = {.lex_state = 54, .external_lex_state = 60},
  [11490] = {.lex_state = 52, .external_lex_state = 64},
  [11491] = {.lex_state = 60, .external_lex_state = 29},
  [11492] = {.lex_state = 52, .external_lex_state = 64},
  [11493] = {.lex_state = 52, .external_lex_state = 64},
  [11494] = {.lex_state = 52, .external_lex_state = 64},
  [11495] = {.lex_state = 54, .external_lex_state = 60},
  [11496] = {.lex_state = 54, .external_lex_state = 40},
  [11497] = {.lex_state = 60, .external_lex_state = 29},
  [11498] = {.lex_state = 54},
  [11499] = {.lex_state = 63},
  [11500] = {.lex_state = 54, .external_lex_state = 40},
  [11501] = {.lex_state = 54, .external_lex_state = 40},
  [11502] = {.lex_state = 63},
  [11503] = {.lex_state = 63},
  [11504] = {.lex_state = 54, .external_lex_state = 40},
  [11505] = {.lex_state = 63},
  [11506] = {.lex_state = 60, .external_lex_state = 29},
  [11507] = {.lex_state = 63},
  [11508] = {.lex_state = 60, .external_lex_state = 29},
  [11509] = {.lex_state = 54, .external_lex_state = 34},
  [11510] = {.lex_state = 60, .external_lex_state = 29},
  [11511] = {.lex_state = 54, .external_lex_state = 40},
  [11512] = {.lex_state = 63},
  [11513] = {.lex_state = 60, .external_lex_state = 29},
  [11514] = {.lex_state = 63},
  [11515] = {.lex_state = 63},
  [11516] = {.lex_state = 63},
  [11517] = {.lex_state = 53, .external_lex_state = 55},
  [11518] = {.lex_state = 63},
  [11519] = {.lex_state = 60, .external_lex_state = 29},
  [11520] = {.lex_state = 60, .external_lex_state = 29},
  [11521] = {.lex_state = 63},
  [11522] = {.lex_state = 63},
  [11523] = {.lex_state = 60, .external_lex_state = 29},
  [11524] = {.lex_state = 54, .external_lex_state = 61},
  [11525] = {.lex_state = 54, .external_lex_state = 61},
  [11526] = {.lex_state = 53, .external_lex_state = 55},
  [11527] = {.lex_state = 52, .external_lex_state = 64},
  [11528] = {.lex_state = 63},
  [11529] = {.lex_state = 60, .external_lex_state = 29},
  [11530] = {.lex_state = 60, .external_lex_state = 29},
  [11531] = {.lex_state = 54, .external_lex_state = 54},
  [11532] = {.lex_state = 60, .external_lex_state = 29},
  [11533] = {.lex_state = 54, .external_lex_state = 34},
  [11534] = {.lex_state = 54, .external_lex_state = 33},
  [11535] = {.lex_state = 60, .external_lex_state = 29},
  [11536] = {.lex_state = 60, .external_lex_state = 29},
  [11537] = {.lex_state = 4},
  [11538] = {.lex_state = 4},
  [11539] = {.lex_state = 53, .external_lex_state = 35},
  [11540] = {.lex_state = 53, .external_lex_state = 35},
  [11541] = {.lex_state = 63},
  [11542] = {.lex_state = 54, .external_lex_state = 33},
  [11543] = {.lex_state = 54, .external_lex_state = 33},
  [11544] = {.lex_state = 52, .external_lex_state = 64},
  [11545] = {.lex_state = 54, .external_lex_state = 33},
  [11546] = {.lex_state = 63},
  [11547] = {.lex_state = 63},
  [11548] = {.lex_state = 60, .external_lex_state = 38},
  [11549] = {.lex_state = 54, .external_lex_state = 55},
  [11550] = {.lex_state = 60, .external_lex_state = 29},
  [11551] = {.lex_state = 63},
  [11552] = {.lex_state = 4},
  [11553] = {.lex_state = 54, .external_lex_state = 40},
  [11554] = {.lex_state = 60, .external_lex_state = 29},
  [11555] = {.lex_state = 60, .external_lex_state = 29},
  [11556] = {.lex_state = 60, .external_lex_state = 29},
  [11557] = {.lex_state = 63},
  [11558] = {.lex_state = 54, .external_lex_state = 34},
  [11559] = {.lex_state = 53, .external_lex_state = 35},
  [11560] = {.lex_state = 54, .external_lex_state = 61},
  [11561] = {.lex_state = 4},
  [11562] = {.lex_state = 53, .external_lex_state = 55},
  [11563] = {.lex_state = 63},
  [11564] = {.lex_state = 63},
  [11565] = {.lex_state = 54, .external_lex_state = 62},
  [11566] = {.lex_state = 54, .external_lex_state = 38},
  [11567] = {.lex_state = 63},
  [11568] = {.lex_state = 54, .external_lex_state = 33},
  [11569] = {.lex_state = 63},
  [11570] = {.lex_state = 52, .external_lex_state = 64},
  [11571] = {.lex_state = 54, .external_lex_state = 34},
  [11572] = {.lex_state = 53, .external_lex_state = 55},
  [11573] = {.lex_state = 4},
  [11574] = {.lex_state = 54, .external_lex_state = 40},
  [11575] = {.lex_state = 63},
  [11576] = {.lex_state = 54, .external_lex_state = 34},
  [11577] = {.lex_state = 63},
  [11578] = {.lex_state = 53, .external_lex_state = 35},
  [11579] = {.lex_state = 63},
  [11580] = {.lex_state = 54, .external_lex_state = 62},
  [11581] = {.lex_state = 63},
  [11582] = {.lex_state = 4},
  [11583] = {.lex_state = 63},
  [11584] = {.lex_state = 60, .external_lex_state = 29},
  [11585] = {.lex_state = 60, .external_lex_state = 29},
  [11586] = {.lex_state = 18},
  [11587] = {.lex_state = 60, .external_lex_state = 29},
  [11588] = {.lex_state = 60, .external_lex_state = 29},
  [11589] = {.lex_state = 54, .external_lex_state = 63},
  [11590] = {.lex_state = 60, .external_lex_state = 29},
  [11591] = {.lex_state = 60, .external_lex_state = 29},
  [11592] = {.lex_state = 60, .external_lex_state = 29},
  [11593] = {.lex_state = 54, .external_lex_state = 48},
  [11594] = {.lex_state = 60, .external_lex_state = 29},
  [11595] = {.lex_state = 63},
  [11596] = {.lex_state = 4},
  [11597] = {.lex_state = 63},
  [11598] = {.lex_state = 63},
  [11599] = {.lex_state = 4},
  [11600] = {.lex_state = 4},
  [11601] = {.lex_state = 52, .external_lex_state = 64},
  [11602] = {.lex_state = 4},
  [11603] = {.lex_state = 52, .external_lex_state = 64},
  [11604] = {.lex_state = 24},
  [11605] = {.lex_state = 24},
  [11606] = {.lex_state = 54, .external_lex_state = 40},
  [11607] = {.lex_state = 54, .external_lex_state = 40},
  [11608] = {.lex_state = 52},
  [11609] = {.lex_state = 53, .external_lex_state = 35},
  [11610] = {.lex_state = 54, .external_lex_state = 61},
  [11611] = {.lex_state = 63},
  [11612] = {.lex_state = 54, .external_lex_state = 34},
  [11613] = {.lex_state = 63},
  [11614] = {.lex_state = 54, .external_lex_state = 35},
  [11615] = {.lex_state = 60, .external_lex_state = 34},
  [11616] = {.lex_state = 63},
  [11617] = {.lex_state = 63},
  [11618] = {.lex_state = 54, .external_lex_state = 34},
  [11619] = {.lex_state = 54, .external_lex_state = 34},
  [11620] = {.lex_state = 53, .external_lex_state = 35},
  [11621] = {.lex_state = 53, .external_lex_state = 35},
  [11622] = {.lex_state = 54, .external_lex_state = 34},
  [11623] = {.lex_state = 24},
  [11624] = {.lex_state = 63},
  [11625] = {.lex_state = 63},
  [11626] = {.lex_state = 63},
  [11627] = {.lex_state = 63},
  [11628] = {.lex_state = 54, .external_lex_state = 33},
  [11629] = {.lex_state = 4},
  [11630] = {.lex_state = 4},
  [11631] = {.lex_state = 54, .external_lex_state = 33},
  [11632] = {.lex_state = 54, .external_lex_state = 38},
  [11633] = {.lex_state = 53, .external_lex_state = 35},
  [11634] = {.lex_state = 60, .external_lex_state = 40},
  [11635] = {.lex_state = 54, .external_lex_state = 55},
  [11636] = {.lex_state = 54, .external_lex_state = 23},
  [11637] = {.lex_state = 53, .external_lex_state = 35},
  [11638] = {.lex_state = 63},
  [11639] = {.lex_state = 60, .external_lex_state = 29},
  [11640] = {.lex_state = 63},
  [11641] = {.lex_state = 54, .external_lex_state = 33},
  [11642] = {.lex_state = 63},
  [11643] = {.lex_state = 4},
  [11644] = {.lex_state = 63},
  [11645] = {.lex_state = 54, .external_lex_state = 63},
  [11646] = {.lex_state = 63},
  [11647] = {.lex_state = 54, .external_lex_state = 34},
  [11648] = {.lex_state = 63},
  [11649] = {.lex_state = 54, .external_lex_state = 60},
  [11650] = {.lex_state = 54, .external_lex_state = 52},
  [11651] = {.lex_state = 63},
  [11652] = {.lex_state = 54, .external_lex_state = 61},
  [11653] = {.lex_state = 63},
  [11654] = {.lex_state = 63},
  [11655] = {.lex_state = 54, .external_lex_state = 61},
  [11656] = {.lex_state = 54, .external_lex_state = 33},
  [11657] = {.lex_state = 4},
  [11658] = {.lex_state = 63},
  [11659] = {.lex_state = 54, .external_lex_state = 60},
  [11660] = {.lex_state = 63},
  [11661] = {.lex_state = 63},
  [11662] = {.lex_state = 54, .external_lex_state = 38},
  [11663] = {.lex_state = 53, .external_lex_state = 55},
  [11664] = {.lex_state = 4},
  [11665] = {.lex_state = 4},
  [11666] = {.lex_state = 4},
  [11667] = {.lex_state = 63},
  [11668] = {.lex_state = 63, .external_lex_state = 25},
  [11669] = {.lex_state = 54, .external_lex_state = 38},
  [11670] = {.lex_state = 53, .external_lex_state = 35},
  [11671] = {.lex_state = 52, .external_lex_state = 64},
  [11672] = {.lex_state = 63},
  [11673] = {.lex_state = 63},
  [11674] = {.lex_state = 54, .external_lex_state = 60},
  [11675] = {.lex_state = 63},
  [11676] = {.lex_state = 54, .external_lex_state = 33},
  [11677] = {.lex_state = 63},
  [11678] = {.lex_state = 4},
  [11679] = {.lex_state = 63},
  [11680] = {.lex_state = 54, .external_lex_state = 38},
  [11681] = {.lex_state = 54, .external_lex_state = 50},
  [11682] = {.lex_state = 54, .external_lex_state = 33},
  [11683] = {.lex_state = 4},
  [11684] = {.lex_state = 54, .external_lex_state = 38},
  [11685] = {.lex_state = 63},
  [11686] = {.lex_state = 63},
  [11687] = {.lex_state = 63},
  [11688] = {.lex_state = 54, .external_lex_state = 60},
  [11689] = {.lex_state = 60, .external_lex_state = 23},
  [11690] = {.lex_state = 63},
  [11691] = {.lex_state = 53, .external_lex_state = 35},
  [11692] = {.lex_state = 63},
  [11693] = {.lex_state = 54, .external_lex_state = 34},
  [11694] = {.lex_state = 63},
  [11695] = {.lex_state = 63},
  [11696] = {.lex_state = 54, .external_lex_state = 34},
  [11697] = {.lex_state = 53, .external_lex_state = 35},
  [11698] = {.lex_state = 53, .external_lex_state = 35},
  [11699] = {.lex_state = 4},
  [11700] = {.lex_state = 54, .external_lex_state = 55},
  [11701] = {.lex_state = 63},
  [11702] = {.lex_state = 63},
  [11703] = {.lex_state = 53, .external_lex_state = 55},
  [11704] = {.lex_state = 53, .external_lex_state = 35},
  [11705] = {.lex_state = 54, .external_lex_state = 61},
  [11706] = {.lex_state = 53, .external_lex_state = 35},
  [11707] = {.lex_state = 63},
  [11708] = {.lex_state = 54, .external_lex_state = 38},
  [11709] = {.lex_state = 54, .external_lex_state = 62},
  [11710] = {.lex_state = 63},
  [11711] = {.lex_state = 53, .external_lex_state = 55},
  [11712] = {.lex_state = 54, .external_lex_state = 39},
  [11713] = {.lex_state = 54, .external_lex_state = 60},
  [11714] = {.lex_state = 54, .external_lex_state = 60},
  [11715] = {.lex_state = 54, .external_lex_state = 60},
  [11716] = {.lex_state = 53, .external_lex_state = 35},
  [11717] = {.lex_state = 4},
  [11718] = {.lex_state = 63},
  [11719] = {.lex_state = 54, .external_lex_state = 63},
  [11720] = {.lex_state = 53, .external_lex_state = 55},
  [11721] = {.lex_state = 53, .external_lex_state = 35},
  [11722] = {.lex_state = 53, .external_lex_state = 23},
  [11723] = {.lex_state = 60, .external_lex_state = 33},
  [11724] = {.lex_state = 54, .external_lex_state = 61},
  [11725] = {.lex_state = 54, .external_lex_state = 61},
  [11726] = {.lex_state = 60, .external_lex_state = 23},
  [11727] = {.lex_state = 54, .external_lex_state = 61},
  [11728] = {.lex_state = 53, .external_lex_state = 35},
  [11729] = {.lex_state = 54, .external_lex_state = 62},
  [11730] = {.lex_state = 54, .external_lex_state = 62},
  [11731] = {.lex_state = 53, .external_lex_state = 35},
  [11732] = {.lex_state = 54, .external_lex_state = 38},
  [11733] = {.lex_state = 54, .external_lex_state = 34},
  [11734] = {.lex_state = 54, .external_lex_state = 38},
  [11735] = {.lex_state = 54, .external_lex_state = 35},
  [11736] = {.lex_state = 54, .external_lex_state = 61},
  [11737] = {.lex_state = 54, .external_lex_state = 63},
  [11738] = {.lex_state = 63},
  [11739] = {.lex_state = 54, .external_lex_state = 39},
  [11740] = {.lex_state = 53, .external_lex_state = 35},
  [11741] = {.lex_state = 54, .external_lex_state = 33},
  [11742] = {.lex_state = 4},
  [11743] = {.lex_state = 54, .external_lex_state = 60},
  [11744] = {.lex_state = 63},
  [11745] = {.lex_state = 63},
  [11746] = {.lex_state = 52, .external_lex_state = 64},
  [11747] = {.lex_state = 4},
  [11748] = {.lex_state = 4},
  [11749] = {.lex_state = 54, .external_lex_state = 60},
  [11750] = {.lex_state = 63},
  [11751] = {.lex_state = 63},
  [11752] = {.lex_state = 63},
  [11753] = {.lex_state = 54, .external_lex_state = 61},
  [11754] = {.lex_state = 54, .external_lex_state = 34},
  [11755] = {.lex_state = 53, .external_lex_state = 35},
  [11756] = {.lex_state = 54, .external_lex_state = 33},
  [11757] = {.lex_state = 53, .external_lex_state = 35},
  [11758] = {.lex_state = 4},
  [11759] = {.lex_state = 63},
  [11760] = {.lex_state = 54, .external_lex_state = 61},
  [11761] = {.lex_state = 54, .external_lex_state = 38},
  [11762] = {.lex_state = 54, .external_lex_state = 34},
  [11763] = {.lex_state = 54, .external_lex_state = 38},
  [11764] = {.lex_state = 63},
  [11765] = {.lex_state = 54, .external_lex_state = 61},
  [11766] = {.lex_state = 54, .external_lex_state = 60},
  [11767] = {.lex_state = 54, .external_lex_state = 60},
  [11768] = {.lex_state = 54, .external_lex_state = 35},
  [11769] = {.lex_state = 54, .external_lex_state = 39},
  [11770] = {.lex_state = 63},
  [11771] = {.lex_state = 54, .external_lex_state = 39},
  [11772] = {.lex_state = 54, .external_lex_state = 34},
  [11773] = {.lex_state = 54, .external_lex_state = 33},
  [11774] = {.lex_state = 24},
  [11775] = {.lex_state = 60, .external_lex_state = 39},
  [11776] = {.lex_state = 24},
  [11777] = {.lex_state = 53, .external_lex_state = 35},
  [11778] = {.lex_state = 54, .external_lex_state = 62},
  [11779] = {.lex_state = 4},
  [11780] = {.lex_state = 54, .external_lex_state = 38},
  [11781] = {.lex_state = 4},
  [11782] = {.lex_state = 63},
  [11783] = {.lex_state = 60, .external_lex_state = 39},
  [11784] = {.lex_state = 54, .external_lex_state = 33},
  [11785] = {.lex_state = 60, .external_lex_state = 33},
  [11786] = {.lex_state = 53, .external_lex_state = 55},
  [11787] = {.lex_state = 60, .external_lex_state = 33},
  [11788] = {.lex_state = 54, .external_lex_state = 62},
  [11789] = {.lex_state = 60, .external_lex_state = 34},
  [11790] = {.lex_state = 53, .external_lex_state = 55},
  [11791] = {.lex_state = 54, .external_lex_state = 24},
  [11792] = {.lex_state = 53, .external_lex_state = 55},
  [11793] = {.lex_state = 60, .external_lex_state = 34},
  [11794] = {.lex_state = 63},
  [11795] = {.lex_state = 60, .external_lex_state = 33},
  [11796] = {.lex_state = 63},
  [11797] = {.lex_state = 60, .external_lex_state = 33},
  [11798] = {.lex_state = 63},
  [11799] = {.lex_state = 60, .external_lex_state = 40},
  [11800] = {.lex_state = 63},
  [11801] = {.lex_state = 63},
  [11802] = {.lex_state = 54, .external_lex_state = 38},
  [11803] = {.lex_state = 53, .external_lex_state = 55},
  [11804] = {.lex_state = 54, .external_lex_state = 62},
  [11805] = {.lex_state = 60, .external_lex_state = 33},
  [11806] = {.lex_state = 54, .external_lex_state = 63},
  [11807] = {.lex_state = 63},
  [11808] = {.lex_state = 60, .external_lex_state = 34},
  [11809] = {.lex_state = 60, .external_lex_state = 33},
  [11810] = {.lex_state = 63},
  [11811] = {.lex_state = 63},
  [11812] = {.lex_state = 54, .external_lex_state = 63},
  [11813] = {.lex_state = 60, .external_lex_state = 34},
  [11814] = {.lex_state = 54, .external_lex_state = 63},
  [11815] = {.lex_state = 60, .external_lex_state = 33},
  [11816] = {.lex_state = 63},
  [11817] = {.lex_state = 63},
  [11818] = {.lex_state = 63},
  [11819] = {.lex_state = 60, .external_lex_state = 34},
  [11820] = {.lex_state = 60, .external_lex_state = 34},
  [11821] = {.lex_state = 63},
  [11822] = {.lex_state = 63},
  [11823] = {.lex_state = 54, .external_lex_state = 39},
  [11824] = {.lex_state = 54, .external_lex_state = 62},
  [11825] = {.lex_state = 54, .external_lex_state = 63},
  [11826] = {.lex_state = 63},
  [11827] = {.lex_state = 63},
  [11828] = {.lex_state = 54, .external_lex_state = 23},
  [11829] = {.lex_state = 63},
  [11830] = {.lex_state = 60, .external_lex_state = 33},
  [11831] = {.lex_state = 60, .external_lex_state = 33},
  [11832] = {.lex_state = 63},
  [11833] = {.lex_state = 53},
  [11834] = {.lex_state = 51},
  [11835] = {.lex_state = 54, .external_lex_state = 62},
  [11836] = {.lex_state = 63},
  [11837] = {.lex_state = 63},
  [11838] = {.lex_state = 60, .external_lex_state = 33},
  [11839] = {.lex_state = 60, .external_lex_state = 33},
  [11840] = {.lex_state = 54, .external_lex_state = 38},
  [11841] = {.lex_state = 63},
  [11842] = {.lex_state = 60, .external_lex_state = 33},
  [11843] = {.lex_state = 63},
  [11844] = {.lex_state = 63},
  [11845] = {.lex_state = 60, .external_lex_state = 33},
  [11846] = {.lex_state = 54, .external_lex_state = 23},
  [11847] = {.lex_state = 51},
  [11848] = {.lex_state = 54, .external_lex_state = 38},
  [11849] = {.lex_state = 63},
  [11850] = {.lex_state = 63},
  [11851] = {.lex_state = 53},
  [11852] = {.lex_state = 54, .external_lex_state = 38},
  [11853] = {.lex_state = 54, .external_lex_state = 23},
  [11854] = {.lex_state = 54, .external_lex_state = 63},
  [11855] = {.lex_state = 54, .external_lex_state = 40},
  [11856] = {.lex_state = 63},
  [11857] = {.lex_state = 54, .external_lex_state = 60},
  [11858] = {.lex_state = 63},
  [11859] = {.lex_state = 54, .external_lex_state = 38},
  [11860] = {.lex_state = 53},
  [11861] = {.lex_state = 53, .external_lex_state = 55},
  [11862] = {.lex_state = 60, .external_lex_state = 44},
  [11863] = {.lex_state = 60, .external_lex_state = 34},
  [11864] = {.lex_state = 60, .external_lex_state = 33},
  [11865] = {.lex_state = 63},
  [11866] = {.lex_state = 54, .external_lex_state = 38},
  [11867] = {.lex_state = 63},
  [11868] = {.lex_state = 63},
  [11869] = {.lex_state = 54, .external_lex_state = 23},
  [11870] = {.lex_state = 53, .external_lex_state = 24},
  [11871] = {.lex_state = 63},
  [11872] = {.lex_state = 53, .external_lex_state = 55},
  [11873] = {.lex_state = 60, .external_lex_state = 33},
  [11874] = {.lex_state = 63},
  [11875] = {.lex_state = 53, .external_lex_state = 55},
  [11876] = {.lex_state = 63},
  [11877] = {.lex_state = 60, .external_lex_state = 33},
  [11878] = {.lex_state = 63},
  [11879] = {.lex_state = 54, .external_lex_state = 62},
  [11880] = {.lex_state = 63},
  [11881] = {.lex_state = 21},
  [11882] = {.lex_state = 53, .external_lex_state = 55},
  [11883] = {.lex_state = 53},
  [11884] = {.lex_state = 54, .external_lex_state = 38},
  [11885] = {.lex_state = 60, .external_lex_state = 33},
  [11886] = {.lex_state = 54, .external_lex_state = 62},
  [11887] = {.lex_state = 54, .external_lex_state = 63},
  [11888] = {.lex_state = 60, .external_lex_state = 33},
  [11889] = {.lex_state = 53},
  [11890] = {.lex_state = 60, .external_lex_state = 39},
  [11891] = {.lex_state = 53, .external_lex_state = 55},
  [11892] = {.lex_state = 63},
  [11893] = {.lex_state = 63},
  [11894] = {.lex_state = 63},
  [11895] = {.lex_state = 63},
  [11896] = {.lex_state = 63},
  [11897] = {.lex_state = 60, .external_lex_state = 34},
  [11898] = {.lex_state = 63},
  [11899] = {.lex_state = 53},
  [11900] = {.lex_state = 53},
  [11901] = {.lex_state = 63},
  [11902] = {.lex_state = 63},
  [11903] = {.lex_state = 63},
  [11904] = {.lex_state = 53, .external_lex_state = 55},
  [11905] = {.lex_state = 63},
  [11906] = {.lex_state = 53},
  [11907] = {.lex_state = 54, .external_lex_state = 40},
  [11908] = {.lex_state = 53, .external_lex_state = 55},
  [11909] = {.lex_state = 63},
  [11910] = {.lex_state = 63},
  [11911] = {.lex_state = 60, .external_lex_state = 34},
  [11912] = {.lex_state = 53},
  [11913] = {.lex_state = 54, .external_lex_state = 44},
  [11914] = {.lex_state = 53},
  [11915] = {.lex_state = 51},
  [11916] = {.lex_state = 54, .external_lex_state = 44},
  [11917] = {.lex_state = 54, .external_lex_state = 39},
  [11918] = {.lex_state = 51},
  [11919] = {.lex_state = 54, .external_lex_state = 63},
  [11920] = {.lex_state = 63},
  [11921] = {.lex_state = 60, .external_lex_state = 33},
  [11922] = {.lex_state = 53, .external_lex_state = 24},
  [11923] = {.lex_state = 53, .external_lex_state = 55},
  [11924] = {.lex_state = 54, .external_lex_state = 65},
  [11925] = {.lex_state = 54, .external_lex_state = 38},
  [11926] = {.lex_state = 54, .external_lex_state = 65},
  [11927] = {.lex_state = 63},
  [11928] = {.lex_state = 54, .external_lex_state = 38},
  [11929] = {.lex_state = 63},
  [11930] = {.lex_state = 54, .external_lex_state = 63},
  [11931] = {.lex_state = 63},
  [11932] = {.lex_state = 54, .external_lex_state = 41},
  [11933] = {.lex_state = 54, .external_lex_state = 41},
  [11934] = {.lex_state = 63},
  [11935] = {.lex_state = 60, .external_lex_state = 34},
  [11936] = {.lex_state = 54, .external_lex_state = 63},
  [11937] = {.lex_state = 54, .external_lex_state = 23},
  [11938] = {.lex_state = 60, .external_lex_state = 34},
  [11939] = {.lex_state = 60, .external_lex_state = 33},
  [11940] = {.lex_state = 63},
  [11941] = {.lex_state = 54, .external_lex_state = 62},
  [11942] = {.lex_state = 54, .external_lex_state = 39},
  [11943] = {.lex_state = 54, .external_lex_state = 57},
  [11944] = {.lex_state = 63},
  [11945] = {.lex_state = 54, .external_lex_state = 39},
  [11946] = {.lex_state = 63},
  [11947] = {.lex_state = 63},
  [11948] = {.lex_state = 54, .external_lex_state = 62},
  [11949] = {.lex_state = 63},
  [11950] = {.lex_state = 63},
  [11951] = {.lex_state = 53, .external_lex_state = 55},
  [11952] = {.lex_state = 63},
  [11953] = {.lex_state = 63},
  [11954] = {.lex_state = 63},
  [11955] = {.lex_state = 54, .external_lex_state = 40},
  [11956] = {.lex_state = 63},
  [11957] = {.lex_state = 51},
  [11958] = {.lex_state = 51},
  [11959] = {.lex_state = 60, .external_lex_state = 34},
  [11960] = {.lex_state = 63},
  [11961] = {.lex_state = 54, .external_lex_state = 61},
  [11962] = {.lex_state = 63},
  [11963] = {.lex_state = 63},
  [11964] = {.lex_state = 63},
  [11965] = {.lex_state = 60, .external_lex_state = 34},
  [11966] = {.lex_state = 60, .external_lex_state = 34},
  [11967] = {.lex_state = 53, .external_lex_state = 55},
  [11968] = {.lex_state = 63},
  [11969] = {.lex_state = 60, .external_lex_state = 34},
  [11970] = {.lex_state = 63},
  [11971] = {.lex_state = 63},
  [11972] = {.lex_state = 63},
  [11973] = {.lex_state = 60, .external_lex_state = 33},
  [11974] = {.lex_state = 60, .external_lex_state = 33},
  [11975] = {.lex_state = 63},
  [11976] = {.lex_state = 63},
  [11977] = {.lex_state = 53, .external_lex_state = 55},
  [11978] = {.lex_state = 63},
  [11979] = {.lex_state = 53, .external_lex_state = 55},
  [11980] = {.lex_state = 63},
  [11981] = {.lex_state = 63},
  [11982] = {.lex_state = 54, .external_lex_state = 55},
  [11983] = {.lex_state = 54, .external_lex_state = 40},
  [11984] = {.lex_state = 63},
  [11985] = {.lex_state = 63},
  [11986] = {.lex_state = 60, .external_lex_state = 33},
  [11987] = {.lex_state = 54, .external_lex_state = 39},
  [11988] = {.lex_state = 63},
  [11989] = {.lex_state = 54, .external_lex_state = 66},
  [11990] = {.lex_state = 63},
  [11991] = {.lex_state = 63},
  [11992] = {.lex_state = 54, .external_lex_state = 23},
  [11993] = {.lex_state = 63},
  [11994] = {.lex_state = 54, .external_lex_state = 39},
  [11995] = {.lex_state = 63},
  [11996] = {.lex_state = 63},
  [11997] = {.lex_state = 63},
  [11998] = {.lex_state = 63},
  [11999] = {.lex_state = 63},
  [12000] = {.lex_state = 54, .external_lex_state = 39},
  [12001] = {.lex_state = 60, .external_lex_state = 34},
  [12002] = {.lex_state = 53},
  [12003] = {.lex_state = 60, .external_lex_state = 44},
  [12004] = {.lex_state = 63},
  [12005] = {.lex_state = 63},
  [12006] = {.lex_state = 53},
  [12007] = {.lex_state = 54, .external_lex_state = 38},
  [12008] = {.lex_state = 51},
  [12009] = {.lex_state = 54, .external_lex_state = 62},
  [12010] = {.lex_state = 63},
  [12011] = {.lex_state = 60, .external_lex_state = 34},
  [12012] = {.lex_state = 54, .external_lex_state = 39},
  [12013] = {.lex_state = 54, .external_lex_state = 23},
  [12014] = {.lex_state = 63},
  [12015] = {.lex_state = 51},
  [12016] = {.lex_state = 60, .external_lex_state = 33},
  [12017] = {.lex_state = 54, .external_lex_state = 38},
  [12018] = {.lex_state = 63},
  [12019] = {.lex_state = 63},
  [12020] = {.lex_state = 63},
  [12021] = {.lex_state = 54, .external_lex_state = 41},
  [12022] = {.lex_state = 54, .external_lex_state = 39},
  [12023] = {.lex_state = 54, .external_lex_state = 38},
  [12024] = {.lex_state = 63},
  [12025] = {.lex_state = 63},
  [12026] = {.lex_state = 53},
  [12027] = {.lex_state = 54, .external_lex_state = 40},
  [12028] = {.lex_state = 60, .external_lex_state = 33},
  [12029] = {.lex_state = 60, .external_lex_state = 34},
  [12030] = {.lex_state = 63},
  [12031] = {.lex_state = 60, .external_lex_state = 34},
  [12032] = {.lex_state = 54, .external_lex_state = 40},
  [12033] = {.lex_state = 54, .external_lex_state = 38},
  [12034] = {.lex_state = 63},
  [12035] = {.lex_state = 63},
  [12036] = {.lex_state = 60, .external_lex_state = 34},
  [12037] = {.lex_state = 60, .external_lex_state = 34},
  [12038] = {.lex_state = 54, .external_lex_state = 56},
  [12039] = {.lex_state = 63},
  [12040] = {.lex_state = 60, .external_lex_state = 34},
  [12041] = {.lex_state = 63},
  [12042] = {.lex_state = 54, .external_lex_state = 40},
  [12043] = {.lex_state = 63},
  [12044] = {.lex_state = 63},
  [12045] = {.lex_state = 54, .external_lex_state = 40},
  [12046] = {.lex_state = 54, .external_lex_state = 40},
  [12047] = {.lex_state = 63},
  [12048] = {.lex_state = 63},
  [12049] = {.lex_state = 63},
  [12050] = {.lex_state = 54, .external_lex_state = 39},
  [12051] = {.lex_state = 63},
  [12052] = {.lex_state = 54, .external_lex_state = 40},
  [12053] = {.lex_state = 60, .external_lex_state = 33},
  [12054] = {.lex_state = 54, .external_lex_state = 63},
  [12055] = {.lex_state = 63},
  [12056] = {.lex_state = 63},
  [12057] = {.lex_state = 63},
  [12058] = {.lex_state = 63},
  [12059] = {.lex_state = 60, .external_lex_state = 33},
  [12060] = {.lex_state = 63},
  [12061] = {.lex_state = 54, .external_lex_state = 63},
  [12062] = {.lex_state = 60, .external_lex_state = 34},
  [12063] = {.lex_state = 54, .external_lex_state = 62},
  [12064] = {.lex_state = 60, .external_lex_state = 34},
  [12065] = {.lex_state = 54, .external_lex_state = 62},
  [12066] = {.lex_state = 63},
  [12067] = {.lex_state = 60, .external_lex_state = 23},
  [12068] = {.lex_state = 63},
  [12069] = {.lex_state = 63},
  [12070] = {.lex_state = 53},
  [12071] = {.lex_state = 63},
  [12072] = {.lex_state = 60, .external_lex_state = 34},
  [12073] = {.lex_state = 54, .external_lex_state = 63},
  [12074] = {.lex_state = 54, .external_lex_state = 23},
  [12075] = {.lex_state = 63},
  [12076] = {.lex_state = 60, .external_lex_state = 33},
  [12077] = {.lex_state = 63},
  [12078] = {.lex_state = 54, .external_lex_state = 35},
  [12079] = {.lex_state = 54, .external_lex_state = 62},
  [12080] = {.lex_state = 54, .external_lex_state = 39},
  [12081] = {.lex_state = 54, .external_lex_state = 60},
  [12082] = {.lex_state = 54, .external_lex_state = 62},
  [12083] = {.lex_state = 54, .external_lex_state = 40},
  [12084] = {.lex_state = 63},
  [12085] = {.lex_state = 63},
  [12086] = {.lex_state = 54, .external_lex_state = 23},
  [12087] = {.lex_state = 63},
  [12088] = {.lex_state = 63},
  [12089] = {.lex_state = 54, .external_lex_state = 63},
  [12090] = {.lex_state = 63},
  [12091] = {.lex_state = 54, .external_lex_state = 40},
  [12092] = {.lex_state = 63},
  [12093] = {.lex_state = 63},
  [12094] = {.lex_state = 63},
  [12095] = {.lex_state = 54, .external_lex_state = 35},
  [12096] = {.lex_state = 60, .external_lex_state = 34},
  [12097] = {.lex_state = 54, .external_lex_state = 63},
  [12098] = {.lex_state = 63},
  [12099] = {.lex_state = 63},
  [12100] = {.lex_state = 60, .external_lex_state = 33},
  [12101] = {.lex_state = 63},
  [12102] = {.lex_state = 63},
  [12103] = {.lex_state = 51},
  [12104] = {.lex_state = 63},
  [12105] = {.lex_state = 63},
  [12106] = {.lex_state = 63},
  [12107] = {.lex_state = 51},
  [12108] = {.lex_state = 63},
  [12109] = {.lex_state = 54, .external_lex_state = 62},
  [12110] = {.lex_state = 60, .external_lex_state = 41},
  [12111] = {.lex_state = 54, .external_lex_state = 66},
  [12112] = {.lex_state = 54, .external_lex_state = 63},
  [12113] = {.lex_state = 54, .external_lex_state = 44},
  [12114] = {.lex_state = 54, .external_lex_state = 39},
  [12115] = {.lex_state = 63},
  [12116] = {.lex_state = 60, .external_lex_state = 34},
  [12117] = {.lex_state = 60, .external_lex_state = 34},
  [12118] = {.lex_state = 54, .external_lex_state = 38},
  [12119] = {.lex_state = 54, .external_lex_state = 63},
  [12120] = {.lex_state = 53, .external_lex_state = 55},
  [12121] = {.lex_state = 54, .external_lex_state = 44},
  [12122] = {.lex_state = 63},
  [12123] = {.lex_state = 54, .external_lex_state = 63},
  [12124] = {.lex_state = 54, .external_lex_state = 40},
  [12125] = {.lex_state = 54, .external_lex_state = 40},
  [12126] = {.lex_state = 63},
  [12127] = {.lex_state = 63},
  [12128] = {.lex_state = 54, .external_lex_state = 60},
  [12129] = {.lex_state = 63},
  [12130] = {.lex_state = 63},
  [12131] = {.lex_state = 63},
  [12132] = {.lex_state = 63},
  [12133] = {.lex_state = 63},
  [12134] = {.lex_state = 63},
  [12135] = {.lex_state = 63},
  [12136] = {.lex_state = 54, .external_lex_state = 23},
  [12137] = {.lex_state = 60, .external_lex_state = 34},
  [12138] = {.lex_state = 63},
  [12139] = {.lex_state = 63},
  [12140] = {.lex_state = 60, .external_lex_state = 34},
  [12141] = {.lex_state = 63},
  [12142] = {.lex_state = 63},
  [12143] = {.lex_state = 54, .external_lex_state = 41},
  [12144] = {.lex_state = 54, .external_lex_state = 40},
  [12145] = {.lex_state = 63},
  [12146] = {.lex_state = 54, .external_lex_state = 58},
  [12147] = {.lex_state = 60, .external_lex_state = 41},
  [12148] = {.lex_state = 63},
  [12149] = {.lex_state = 54, .external_lex_state = 40},
  [12150] = {.lex_state = 63},
  [12151] = {.lex_state = 63},
  [12152] = {.lex_state = 54, .external_lex_state = 38},
  [12153] = {.lex_state = 63},
  [12154] = {.lex_state = 60, .external_lex_state = 33},
  [12155] = {.lex_state = 54, .external_lex_state = 38},
  [12156] = {.lex_state = 63},
  [12157] = {.lex_state = 54, .external_lex_state = 39},
  [12158] = {.lex_state = 54, .external_lex_state = 38},
  [12159] = {.lex_state = 54, .external_lex_state = 55},
  [12160] = {.lex_state = 54, .external_lex_state = 60},
  [12161] = {.lex_state = 54, .external_lex_state = 62},
  [12162] = {.lex_state = 54, .external_lex_state = 23},
  [12163] = {.lex_state = 54, .external_lex_state = 60},
  [12164] = {.lex_state = 53},
  [12165] = {.lex_state = 60, .external_lex_state = 38},
  [12166] = {.lex_state = 63},
  [12167] = {.lex_state = 63},
  [12168] = {.lex_state = 63},
  [12169] = {.lex_state = 63},
  [12170] = {.lex_state = 63},
  [12171] = {.lex_state = 63},
  [12172] = {.lex_state = 63},
  [12173] = {.lex_state = 54, .external_lex_state = 40},
  [12174] = {.lex_state = 63},
  [12175] = {.lex_state = 60},
  [12176] = {.lex_state = 60, .external_lex_state = 29},
  [12177] = {.lex_state = 63},
  [12178] = {.lex_state = 60, .external_lex_state = 52},
  [12179] = {.lex_state = 60},
  [12180] = {.lex_state = 63},
  [12181] = {.lex_state = 63},
  [12182] = {.lex_state = 54, .external_lex_state = 41},
  [12183] = {.lex_state = 54, .external_lex_state = 41},
  [12184] = {.lex_state = 60, .external_lex_state = 38},
  [12185] = {.lex_state = 63},
  [12186] = {.lex_state = 54, .external_lex_state = 41},
  [12187] = {.lex_state = 54, .external_lex_state = 65},
  [12188] = {.lex_state = 54, .external_lex_state = 39},
  [12189] = {.lex_state = 63},
  [12190] = {.lex_state = 63},
  [12191] = {.lex_state = 63},
  [12192] = {.lex_state = 63},
  [12193] = {.lex_state = 60, .external_lex_state = 38},
  [12194] = {.lex_state = 60, .external_lex_state = 39},
  [12195] = {.lex_state = 63},
  [12196] = {.lex_state = 60, .external_lex_state = 38},
  [12197] = {.lex_state = 63},
  [12198] = {.lex_state = 60, .external_lex_state = 38},
  [12199] = {.lex_state = 54, .external_lex_state = 41},
  [12200] = {.lex_state = 63},
  [12201] = {.lex_state = 63},
  [12202] = {.lex_state = 63},
  [12203] = {.lex_state = 54, .external_lex_state = 41},
  [12204] = {.lex_state = 63},
  [12205] = {.lex_state = 63},
  [12206] = {.lex_state = 60},
  [12207] = {.lex_state = 60},
  [12208] = {.lex_state = 63},
  [12209] = {.lex_state = 60, .external_lex_state = 38},
  [12210] = {.lex_state = 54, .external_lex_state = 41},
  [12211] = {.lex_state = 54, .external_lex_state = 41},
  [12212] = {.lex_state = 54, .external_lex_state = 61},
  [12213] = {.lex_state = 63},
  [12214] = {.lex_state = 60},
  [12215] = {.lex_state = 60},
  [12216] = {.lex_state = 60, .external_lex_state = 67},
  [12217] = {.lex_state = 63},
  [12218] = {.lex_state = 63},
  [12219] = {.lex_state = 63},
  [12220] = {.lex_state = 63},
  [12221] = {.lex_state = 54, .external_lex_state = 60},
  [12222] = {.lex_state = 63},
  [12223] = {.lex_state = 54, .external_lex_state = 60},
  [12224] = {.lex_state = 63},
  [12225] = {.lex_state = 63},
  [12226] = {.lex_state = 54, .external_lex_state = 50},
  [12227] = {.lex_state = 54, .external_lex_state = 60},
  [12228] = {.lex_state = 60, .external_lex_state = 29},
  [12229] = {.lex_state = 60},
  [12230] = {.lex_state = 63},
  [12231] = {.lex_state = 60},
  [12232] = {.lex_state = 63},
  [12233] = {.lex_state = 54, .external_lex_state = 41},
  [12234] = {.lex_state = 63},
  [12235] = {.lex_state = 63},
  [12236] = {.lex_state = 54, .external_lex_state = 41},
  [12237] = {.lex_state = 63},
  [12238] = {.lex_state = 63},
  [12239] = {.lex_state = 63},
  [12240] = {.lex_state = 54, .external_lex_state = 39},
  [12241] = {.lex_state = 54, .external_lex_state = 61},
  [12242] = {.lex_state = 54, .external_lex_state = 41},
  [12243] = {.lex_state = 63},
  [12244] = {.lex_state = 63, .external_lex_state = 64},
  [12245] = {.lex_state = 60, .external_lex_state = 52},
  [12246] = {.lex_state = 63},
  [12247] = {.lex_state = 60},
  [12248] = {.lex_state = 63},
  [12249] = {.lex_state = 63},
  [12250] = {.lex_state = 63},
  [12251] = {.lex_state = 63},
  [12252] = {.lex_state = 63},
  [12253] = {.lex_state = 63},
  [12254] = {.lex_state = 60},
  [12255] = {.lex_state = 60},
  [12256] = {.lex_state = 63},
  [12257] = {.lex_state = 60, .external_lex_state = 40},
  [12258] = {.lex_state = 54, .external_lex_state = 62},
  [12259] = {.lex_state = 63},
  [12260] = {.lex_state = 63},
  [12261] = {.lex_state = 54, .external_lex_state = 39},
  [12262] = {.lex_state = 60, .external_lex_state = 38},
  [12263] = {.lex_state = 60, .external_lex_state = 38},
  [12264] = {.lex_state = 54, .external_lex_state = 62},
  [12265] = {.lex_state = 63},
  [12266] = {.lex_state = 53, .external_lex_state = 35},
  [12267] = {.lex_state = 60, .external_lex_state = 38},
  [12268] = {.lex_state = 63},
  [12269] = {.lex_state = 54, .external_lex_state = 39},
  [12270] = {.lex_state = 54, .external_lex_state = 41},
  [12271] = {.lex_state = 63},
  [12272] = {.lex_state = 63},
  [12273] = {.lex_state = 60, .external_lex_state = 38},
  [12274] = {.lex_state = 63},
  [12275] = {.lex_state = 63},
  [12276] = {.lex_state = 60, .external_lex_state = 38},
  [12277] = {.lex_state = 63},
  [12278] = {.lex_state = 63},
  [12279] = {.lex_state = 63},
  [12280] = {.lex_state = 63},
  [12281] = {.lex_state = 60, .external_lex_state = 38},
  [12282] = {.lex_state = 54, .external_lex_state = 60},
  [12283] = {.lex_state = 60, .external_lex_state = 38},
  [12284] = {.lex_state = 60, .external_lex_state = 38},
  [12285] = {.lex_state = 63},
  [12286] = {.lex_state = 60, .external_lex_state = 41},
  [12287] = {.lex_state = 60, .external_lex_state = 38},
  [12288] = {.lex_state = 60, .external_lex_state = 38},
  [12289] = {.lex_state = 63},
  [12290] = {.lex_state = 63},
  [12291] = {.lex_state = 60},
  [12292] = {.lex_state = 60},
  [12293] = {.lex_state = 63},
  [12294] = {.lex_state = 63},
  [12295] = {.lex_state = 54, .external_lex_state = 52},
  [12296] = {.lex_state = 63},
  [12297] = {.lex_state = 63},
  [12298] = {.lex_state = 54, .external_lex_state = 41},
  [12299] = {.lex_state = 60, .external_lex_state = 40},
  [12300] = {.lex_state = 60},
  [12301] = {.lex_state = 54, .external_lex_state = 60},
  [12302] = {.lex_state = 63},
  [12303] = {.lex_state = 63},
  [12304] = {.lex_state = 63},
  [12305] = {.lex_state = 63},
  [12306] = {.lex_state = 63},
  [12307] = {.lex_state = 60, .external_lex_state = 39},
  [12308] = {.lex_state = 63},
  [12309] = {.lex_state = 63},
  [12310] = {.lex_state = 63},
  [12311] = {.lex_state = 60},
  [12312] = {.lex_state = 60},
  [12313] = {.lex_state = 63},
  [12314] = {.lex_state = 60, .external_lex_state = 39},
  [12315] = {.lex_state = 54, .external_lex_state = 63},
  [12316] = {.lex_state = 63},
  [12317] = {.lex_state = 63},
  [12318] = {.lex_state = 63},
  [12319] = {.lex_state = 60, .external_lex_state = 40},
  [12320] = {.lex_state = 63},
  [12321] = {.lex_state = 63},
  [12322] = {.lex_state = 63},
  [12323] = {.lex_state = 60},
  [12324] = {.lex_state = 63},
  [12325] = {.lex_state = 63},
  [12326] = {.lex_state = 60},
  [12327] = {.lex_state = 63},
  [12328] = {.lex_state = 54, .external_lex_state = 44},
  [12329] = {.lex_state = 60},
  [12330] = {.lex_state = 60},
  [12331] = {.lex_state = 63},
  [12332] = {.lex_state = 54},
  [12333] = {.lex_state = 63},
  [12334] = {.lex_state = 63},
  [12335] = {.lex_state = 63},
  [12336] = {.lex_state = 63},
  [12337] = {.lex_state = 63},
  [12338] = {.lex_state = 63},
  [12339] = {.lex_state = 63},
  [12340] = {.lex_state = 63},
  [12341] = {.lex_state = 63},
  [12342] = {.lex_state = 63},
  [12343] = {.lex_state = 60, .external_lex_state = 39},
  [12344] = {.lex_state = 60},
  [12345] = {.lex_state = 60},
  [12346] = {.lex_state = 63},
  [12347] = {.lex_state = 63, .external_lex_state = 64},
  [12348] = {.lex_state = 63, .external_lex_state = 64},
  [12349] = {.lex_state = 54, .external_lex_state = 39},
  [12350] = {.lex_state = 63},
  [12351] = {.lex_state = 60, .external_lex_state = 38},
  [12352] = {.lex_state = 63},
  [12353] = {.lex_state = 54},
  [12354] = {.lex_state = 63, .external_lex_state = 64},
  [12355] = {.lex_state = 60, .external_lex_state = 40},
  [12356] = {.lex_state = 60},
  [12357] = {.lex_state = 60, .external_lex_state = 38},
  [12358] = {.lex_state = 60, .external_lex_state = 38},
  [12359] = {.lex_state = 54, .external_lex_state = 60},
  [12360] = {.lex_state = 53, .external_lex_state = 35},
  [12361] = {.lex_state = 63},
  [12362] = {.lex_state = 63},
  [12363] = {.lex_state = 60},
  [12364] = {.lex_state = 60},
  [12365] = {.lex_state = 54, .external_lex_state = 61},
  [12366] = {.lex_state = 54, .external_lex_state = 44},
  [12367] = {.lex_state = 60, .external_lex_state = 40},
  [12368] = {.lex_state = 63},
  [12369] = {.lex_state = 63},
  [12370] = {.lex_state = 60, .external_lex_state = 38},
  [12371] = {.lex_state = 63},
  [12372] = {.lex_state = 63},
  [12373] = {.lex_state = 63},
  [12374] = {.lex_state = 54, .external_lex_state = 65},
  [12375] = {.lex_state = 54, .external_lex_state = 39},
  [12376] = {.lex_state = 54, .external_lex_state = 62},
  [12377] = {.lex_state = 60, .external_lex_state = 68},
  [12378] = {.lex_state = 63},
  [12379] = {.lex_state = 63},
  [12380] = {.lex_state = 63},
  [12381] = {.lex_state = 63},
  [12382] = {.lex_state = 63},
  [12383] = {.lex_state = 60},
  [12384] = {.lex_state = 63},
  [12385] = {.lex_state = 63},
  [12386] = {.lex_state = 53, .external_lex_state = 23},
  [12387] = {.lex_state = 63},
  [12388] = {.lex_state = 54, .external_lex_state = 62},
  [12389] = {.lex_state = 63},
  [12390] = {.lex_state = 63},
  [12391] = {.lex_state = 63},
  [12392] = {.lex_state = 60, .external_lex_state = 23},
  [12393] = {.lex_state = 63},
  [12394] = {.lex_state = 63},
  [12395] = {.lex_state = 63},
  [12396] = {.lex_state = 63},
  [12397] = {.lex_state = 63},
  [12398] = {.lex_state = 63},
  [12399] = {.lex_state = 60},
  [12400] = {.lex_state = 63},
  [12401] = {.lex_state = 60},
  [12402] = {.lex_state = 60, .external_lex_state = 38},
  [12403] = {.lex_state = 54, .external_lex_state = 48},
  [12404] = {.lex_state = 60, .external_lex_state = 38},
  [12405] = {.lex_state = 63},
  [12406] = {.lex_state = 63},
  [12407] = {.lex_state = 60},
  [12408] = {.lex_state = 60, .external_lex_state = 38},
  [12409] = {.lex_state = 63},
  [12410] = {.lex_state = 54, .external_lex_state = 54},
  [12411] = {.lex_state = 63},
  [12412] = {.lex_state = 60, .external_lex_state = 39},
  [12413] = {.lex_state = 63},
  [12414] = {.lex_state = 63},
  [12415] = {.lex_state = 63},
  [12416] = {.lex_state = 54, .external_lex_state = 60},
  [12417] = {.lex_state = 63},
  [12418] = {.lex_state = 63},
  [12419] = {.lex_state = 60, .external_lex_state = 38},
  [12420] = {.lex_state = 60, .external_lex_state = 38},
  [12421] = {.lex_state = 60, .external_lex_state = 38},
  [12422] = {.lex_state = 63},
  [12423] = {.lex_state = 54, .external_lex_state = 39},
  [12424] = {.lex_state = 63},
  [12425] = {.lex_state = 63},
  [12426] = {.lex_state = 54, .external_lex_state = 39},
  [12427] = {.lex_state = 54, .external_lex_state = 54},
  [12428] = {.lex_state = 63},
  [12429] = {.lex_state = 54, .external_lex_state = 61},
  [12430] = {.lex_state = 52},
  [12431] = {.lex_state = 63},
  [12432] = {.lex_state = 63},
  [12433] = {.lex_state = 63},
  [12434] = {.lex_state = 54, .external_lex_state = 52},
  [12435] = {.lex_state = 60},
  [12436] = {.lex_state = 60},
  [12437] = {.lex_state = 54, .external_lex_state = 60},
  [12438] = {.lex_state = 54, .external_lex_state = 60},
  [12439] = {.lex_state = 54, .external_lex_state = 44},
  [12440] = {.lex_state = 63},
  [12441] = {.lex_state = 63},
  [12442] = {.lex_state = 60, .external_lex_state = 48},
  [12443] = {.lex_state = 63},
  [12444] = {.lex_state = 60, .external_lex_state = 50},
  [12445] = {.lex_state = 54, .external_lex_state = 60},
  [12446] = {.lex_state = 54, .external_lex_state = 60},
  [12447] = {.lex_state = 54, .external_lex_state = 60},
  [12448] = {.lex_state = 54, .external_lex_state = 44},
  [12449] = {.lex_state = 63},
  [12450] = {.lex_state = 63},
  [12451] = {.lex_state = 54, .external_lex_state = 44},
  [12452] = {.lex_state = 63},
  [12453] = {.lex_state = 60, .external_lex_state = 38},
  [12454] = {.lex_state = 63},
  [12455] = {.lex_state = 63},
  [12456] = {.lex_state = 54, .external_lex_state = 44},
  [12457] = {.lex_state = 63},
  [12458] = {.lex_state = 63},
  [12459] = {.lex_state = 63},
  [12460] = {.lex_state = 54, .external_lex_state = 61},
  [12461] = {.lex_state = 63},
  [12462] = {.lex_state = 54, .external_lex_state = 23},
  [12463] = {.lex_state = 60},
  [12464] = {.lex_state = 63},
  [12465] = {.lex_state = 63},
  [12466] = {.lex_state = 63},
  [12467] = {.lex_state = 54, .external_lex_state = 39},
  [12468] = {.lex_state = 63},
  [12469] = {.lex_state = 54, .external_lex_state = 44},
  [12470] = {.lex_state = 63},
  [12471] = {.lex_state = 60, .external_lex_state = 40},
  [12472] = {.lex_state = 54, .external_lex_state = 50},
  [12473] = {.lex_state = 54, .external_lex_state = 52},
  [12474] = {.lex_state = 63},
  [12475] = {.lex_state = 60, .external_lex_state = 40},
  [12476] = {.lex_state = 60, .external_lex_state = 40},
  [12477] = {.lex_state = 54, .external_lex_state = 52},
  [12478] = {.lex_state = 63},
  [12479] = {.lex_state = 60, .external_lex_state = 40},
  [12480] = {.lex_state = 54, .external_lex_state = 48},
  [12481] = {.lex_state = 54, .external_lex_state = 44},
  [12482] = {.lex_state = 63},
  [12483] = {.lex_state = 60, .external_lex_state = 39},
  [12484] = {.lex_state = 53, .external_lex_state = 35},
  [12485] = {.lex_state = 60, .external_lex_state = 40},
  [12486] = {.lex_state = 54, .external_lex_state = 48},
  [12487] = {.lex_state = 63},
  [12488] = {.lex_state = 63},
  [12489] = {.lex_state = 63},
  [12490] = {.lex_state = 54, .external_lex_state = 44},
  [12491] = {.lex_state = 54, .external_lex_state = 44},
  [12492] = {.lex_state = 54, .external_lex_state = 39},
  [12493] = {.lex_state = 63},
  [12494] = {.lex_state = 60},
  [12495] = {.lex_state = 60, .external_lex_state = 40},
  [12496] = {.lex_state = 60, .external_lex_state = 29},
  [12497] = {.lex_state = 63},
  [12498] = {.lex_state = 60},
  [12499] = {.lex_state = 54, .external_lex_state = 50},
  [12500] = {.lex_state = 60},
  [12501] = {.lex_state = 60},
  [12502] = {.lex_state = 63},
  [12503] = {.lex_state = 63},
  [12504] = {.lex_state = 53, .external_lex_state = 24},
  [12505] = {.lex_state = 60, .external_lex_state = 38},
  [12506] = {.lex_state = 60},
  [12507] = {.lex_state = 60},
  [12508] = {.lex_state = 63},
  [12509] = {.lex_state = 63},
  [12510] = {.lex_state = 63},
  [12511] = {.lex_state = 60, .external_lex_state = 29},
  [12512] = {.lex_state = 63},
  [12513] = {.lex_state = 60, .external_lex_state = 54},
  [12514] = {.lex_state = 60},
  [12515] = {.lex_state = 54, .external_lex_state = 44},
  [12516] = {.lex_state = 54, .external_lex_state = 44},
  [12517] = {.lex_state = 63},
  [12518] = {.lex_state = 60},
  [12519] = {.lex_state = 63},
  [12520] = {.lex_state = 54, .external_lex_state = 39},
  [12521] = {.lex_state = 63},
  [12522] = {.lex_state = 54, .external_lex_state = 61},
  [12523] = {.lex_state = 60},
  [12524] = {.lex_state = 63},
  [12525] = {.lex_state = 63},
  [12526] = {.lex_state = 63},
  [12527] = {.lex_state = 60, .external_lex_state = 29},
  [12528] = {.lex_state = 63},
  [12529] = {.lex_state = 60, .external_lex_state = 40},
  [12530] = {.lex_state = 54, .external_lex_state = 54},
  [12531] = {.lex_state = 63},
  [12532] = {.lex_state = 54, .external_lex_state = 24},
  [12533] = {.lex_state = 63},
  [12534] = {.lex_state = 63},
  [12535] = {.lex_state = 63},
  [12536] = {.lex_state = 60},
  [12537] = {.lex_state = 54, .external_lex_state = 65},
  [12538] = {.lex_state = 60, .external_lex_state = 50},
  [12539] = {.lex_state = 54, .external_lex_state = 60},
  [12540] = {.lex_state = 63},
  [12541] = {.lex_state = 60},
  [12542] = {.lex_state = 60, .external_lex_state = 40},
  [12543] = {.lex_state = 63},
  [12544] = {.lex_state = 60, .external_lex_state = 40},
  [12545] = {.lex_state = 54, .external_lex_state = 41},
  [12546] = {.lex_state = 60, .external_lex_state = 40},
  [12547] = {.lex_state = 60, .external_lex_state = 54},
  [12548] = {.lex_state = 54, .external_lex_state = 60},
  [12549] = {.lex_state = 63},
  [12550] = {.lex_state = 63},
  [12551] = {.lex_state = 60},
  [12552] = {.lex_state = 60, .external_lex_state = 40},
  [12553] = {.lex_state = 60},
  [12554] = {.lex_state = 63},
  [12555] = {.lex_state = 63},
  [12556] = {.lex_state = 54, .external_lex_state = 39},
  [12557] = {.lex_state = 60},
  [12558] = {.lex_state = 54, .external_lex_state = 61},
  [12559] = {.lex_state = 53, .external_lex_state = 23},
  [12560] = {.lex_state = 54, .external_lex_state = 39},
  [12561] = {.lex_state = 63},
  [12562] = {.lex_state = 63},
  [12563] = {.lex_state = 54, .external_lex_state = 54},
  [12564] = {.lex_state = 63},
  [12565] = {.lex_state = 53, .external_lex_state = 35},
  [12566] = {.lex_state = 54, .external_lex_state = 24},
  [12567] = {.lex_state = 60, .external_lex_state = 38},
  [12568] = {.lex_state = 63},
  [12569] = {.lex_state = 53, .external_lex_state = 35},
  [12570] = {.lex_state = 54, .external_lex_state = 48},
  [12571] = {.lex_state = 60, .external_lex_state = 40},
  [12572] = {.lex_state = 60, .external_lex_state = 40},
  [12573] = {.lex_state = 63},
  [12574] = {.lex_state = 63},
  [12575] = {.lex_state = 63},
  [12576] = {.lex_state = 63},
  [12577] = {.lex_state = 60},
  [12578] = {.lex_state = 60},
  [12579] = {.lex_state = 63},
  [12580] = {.lex_state = 63},
  [12581] = {.lex_state = 54, .external_lex_state = 39},
  [12582] = {.lex_state = 60, .external_lex_state = 38},
  [12583] = {.lex_state = 60, .external_lex_state = 38},
  [12584] = {.lex_state = 63},
  [12585] = {.lex_state = 60, .external_lex_state = 39},
  [12586] = {.lex_state = 63},
  [12587] = {.lex_state = 54, .external_lex_state = 50},
  [12588] = {.lex_state = 63},
  [12589] = {.lex_state = 63},
  [12590] = {.lex_state = 54, .external_lex_state = 39},
  [12591] = {.lex_state = 54, .external_lex_state = 69},
  [12592] = {.lex_state = 63},
  [12593] = {.lex_state = 63},
  [12594] = {.lex_state = 63},
  [12595] = {.lex_state = 63},
  [12596] = {.lex_state = 63},
  [12597] = {.lex_state = 60, .external_lex_state = 40},
  [12598] = {.lex_state = 63},
  [12599] = {.lex_state = 63},
  [12600] = {.lex_state = 54, .external_lex_state = 44},
  [12601] = {.lex_state = 53, .external_lex_state = 23},
  [12602] = {.lex_state = 54, .external_lex_state = 39},
  [12603] = {.lex_state = 53, .external_lex_state = 23},
  [12604] = {.lex_state = 63},
  [12605] = {.lex_state = 63},
  [12606] = {.lex_state = 54, .external_lex_state = 60},
  [12607] = {.lex_state = 63},
  [12608] = {.lex_state = 54, .external_lex_state = 60},
  [12609] = {.lex_state = 63},
  [12610] = {.lex_state = 60},
  [12611] = {.lex_state = 60},
  [12612] = {.lex_state = 54, .external_lex_state = 69},
  [12613] = {.lex_state = 60, .external_lex_state = 40},
  [12614] = {.lex_state = 60, .external_lex_state = 44},
  [12615] = {.lex_state = 60, .external_lex_state = 40},
  [12616] = {.lex_state = 60, .external_lex_state = 39},
  [12617] = {.lex_state = 63},
  [12618] = {.lex_state = 60, .external_lex_state = 48},
  [12619] = {.lex_state = 54, .external_lex_state = 39},
  [12620] = {.lex_state = 60, .external_lex_state = 40},
  [12621] = {.lex_state = 60, .external_lex_state = 40},
  [12622] = {.lex_state = 60, .external_lex_state = 40},
  [12623] = {.lex_state = 63},
  [12624] = {.lex_state = 63},
  [12625] = {.lex_state = 60, .external_lex_state = 29},
  [12626] = {.lex_state = 63},
  [12627] = {.lex_state = 60, .external_lex_state = 40},
  [12628] = {.lex_state = 63},
  [12629] = {.lex_state = 63, .external_lex_state = 64},
  [12630] = {.lex_state = 60},
  [12631] = {.lex_state = 60},
  [12632] = {.lex_state = 63},
  [12633] = {.lex_state = 63},
  [12634] = {.lex_state = 63},
  [12635] = {.lex_state = 54, .external_lex_state = 23},
  [12636] = {.lex_state = 60},
  [12637] = {.lex_state = 54, .external_lex_state = 65},
  [12638] = {.lex_state = 60, .external_lex_state = 40},
  [12639] = {.lex_state = 60, .external_lex_state = 40},
  [12640] = {.lex_state = 54, .external_lex_state = 52},
  [12641] = {.lex_state = 54, .external_lex_state = 62},
  [12642] = {.lex_state = 60, .external_lex_state = 23},
  [12643] = {.lex_state = 63},
  [12644] = {.lex_state = 54, .external_lex_state = 48},
  [12645] = {.lex_state = 63},
  [12646] = {.lex_state = 21},
  [12647] = {.lex_state = 54, .external_lex_state = 61},
  [12648] = {.lex_state = 60, .external_lex_state = 44},
  [12649] = {.lex_state = 63},
  [12650] = {.lex_state = 60, .external_lex_state = 39},
  [12651] = {.lex_state = 60, .external_lex_state = 23},
  [12652] = {.lex_state = 54, .external_lex_state = 41},
  [12653] = {.lex_state = 60, .external_lex_state = 44},
  [12654] = {.lex_state = 54, .external_lex_state = 54},
  [12655] = {.lex_state = 60},
  [12656] = {.lex_state = 54, .external_lex_state = 54},
  [12657] = {.lex_state = 60, .external_lex_state = 23},
  [12658] = {.lex_state = 53, .external_lex_state = 24},
  [12659] = {.lex_state = 63},
  [12660] = {.lex_state = 60, .external_lex_state = 23},
  [12661] = {.lex_state = 54, .external_lex_state = 54},
  [12662] = {.lex_state = 60, .external_lex_state = 39},
  [12663] = {.lex_state = 53, .external_lex_state = 35},
  [12664] = {.lex_state = 63},
  [12665] = {.lex_state = 63},
  [12666] = {.lex_state = 63},
  [12667] = {.lex_state = 60, .external_lex_state = 39},
  [12668] = {.lex_state = 60, .external_lex_state = 39},
  [12669] = {.lex_state = 54, .external_lex_state = 23},
  [12670] = {.lex_state = 63},
  [12671] = {.lex_state = 60, .external_lex_state = 44},
  [12672] = {.lex_state = 60, .external_lex_state = 44},
  [12673] = {.lex_state = 60, .external_lex_state = 23},
  [12674] = {.lex_state = 53, .external_lex_state = 23},
  [12675] = {.lex_state = 63},
  [12676] = {.lex_state = 60, .external_lex_state = 44},
  [12677] = {.lex_state = 63},
  [12678] = {.lex_state = 63},
  [12679] = {.lex_state = 60, .external_lex_state = 33},
  [12680] = {.lex_state = 60, .external_lex_state = 56},
  [12681] = {.lex_state = 53, .external_lex_state = 24},
  [12682] = {.lex_state = 54, .external_lex_state = 63},
  [12683] = {.lex_state = 54, .external_lex_state = 44},
  [12684] = {.lex_state = 63},
  [12685] = {.lex_state = 63},
  [12686] = {.lex_state = 60, .external_lex_state = 23},
  [12687] = {.lex_state = 63},
  [12688] = {.lex_state = 54, .external_lex_state = 54},
  [12689] = {.lex_state = 60, .external_lex_state = 23},
  [12690] = {.lex_state = 63},
  [12691] = {.lex_state = 54, .external_lex_state = 61},
  [12692] = {.lex_state = 60, .external_lex_state = 50},
  [12693] = {.lex_state = 60, .external_lex_state = 33},
  [12694] = {.lex_state = 54, .external_lex_state = 61},
  [12695] = {.lex_state = 54, .external_lex_state = 54},
  [12696] = {.lex_state = 63},
  [12697] = {.lex_state = 60, .external_lex_state = 23},
  [12698] = {.lex_state = 54, .external_lex_state = 54},
  [12699] = {.lex_state = 63},
  [12700] = {.lex_state = 54, .external_lex_state = 44},
  [12701] = {.lex_state = 54, .external_lex_state = 48},
  [12702] = {.lex_state = 60, .external_lex_state = 39},
  [12703] = {.lex_state = 54, .external_lex_state = 41},
  [12704] = {.lex_state = 54, .external_lex_state = 44},
  [12705] = {.lex_state = 63},
  [12706] = {.lex_state = 54, .external_lex_state = 48},
  [12707] = {.lex_state = 54, .external_lex_state = 54},
  [12708] = {.lex_state = 54, .external_lex_state = 61},
  [12709] = {.lex_state = 53, .external_lex_state = 23},
  [12710] = {.lex_state = 53, .external_lex_state = 23},
  [12711] = {.lex_state = 63},
  [12712] = {.lex_state = 60},
  [12713] = {.lex_state = 63},
  [12714] = {.lex_state = 54, .external_lex_state = 62},
  [12715] = {.lex_state = 54, .external_lex_state = 44},
  [12716] = {.lex_state = 60, .external_lex_state = 23},
  [12717] = {.lex_state = 54, .external_lex_state = 58},
  [12718] = {.lex_state = 60, .external_lex_state = 33},
  [12719] = {.lex_state = 54, .external_lex_state = 62},
  [12720] = {.lex_state = 63},
  [12721] = {.lex_state = 53, .external_lex_state = 24},
  [12722] = {.lex_state = 54, .external_lex_state = 56},
  [12723] = {.lex_state = 60, .external_lex_state = 29},
  [12724] = {.lex_state = 54, .external_lex_state = 58},
  [12725] = {.lex_state = 60, .external_lex_state = 39},
  [12726] = {.lex_state = 63},
  [12727] = {.lex_state = 60, .external_lex_state = 39},
  [12728] = {.lex_state = 63},
  [12729] = {.lex_state = 60, .external_lex_state = 39},
  [12730] = {.lex_state = 54, .external_lex_state = 57},
  [12731] = {.lex_state = 54, .external_lex_state = 57},
  [12732] = {.lex_state = 53, .external_lex_state = 24},
  [12733] = {.lex_state = 53, .external_lex_state = 24},
  [12734] = {.lex_state = 60, .external_lex_state = 39},
  [12735] = {.lex_state = 54, .external_lex_state = 61},
  [12736] = {.lex_state = 54, .external_lex_state = 61},
  [12737] = {.lex_state = 60, .external_lex_state = 29},
  [12738] = {.lex_state = 63},
  [12739] = {.lex_state = 63},
  [12740] = {.lex_state = 60, .external_lex_state = 39},
  [12741] = {.lex_state = 60, .external_lex_state = 41},
  [12742] = {.lex_state = 54, .external_lex_state = 52},
  [12743] = {.lex_state = 60, .external_lex_state = 39},
  [12744] = {.lex_state = 63},
  [12745] = {.lex_state = 60, .external_lex_state = 39},
  [12746] = {.lex_state = 60, .external_lex_state = 41},
  [12747] = {.lex_state = 54, .external_lex_state = 48},
  [12748] = {.lex_state = 60, .external_lex_state = 23},
  [12749] = {.lex_state = 60, .external_lex_state = 23},
  [12750] = {.lex_state = 60, .external_lex_state = 23},
  [12751] = {.lex_state = 63},
  [12752] = {.lex_state = 21},
  [12753] = {.lex_state = 63},
  [12754] = {.lex_state = 60, .external_lex_state = 39},
  [12755] = {.lex_state = 60, .external_lex_state = 23},
  [12756] = {.lex_state = 54, .external_lex_state = 56},
  [12757] = {.lex_state = 54, .external_lex_state = 63},
  [12758] = {.lex_state = 54, .external_lex_state = 56},
  [12759] = {.lex_state = 54, .external_lex_state = 41},
  [12760] = {.lex_state = 54, .external_lex_state = 62},
  [12761] = {.lex_state = 54, .external_lex_state = 54},
  [12762] = {.lex_state = 63},
  [12763] = {.lex_state = 60, .external_lex_state = 41},
  [12764] = {.lex_state = 54, .external_lex_state = 50},
  [12765] = {.lex_state = 60, .external_lex_state = 39},
  [12766] = {.lex_state = 60, .external_lex_state = 44},
  [12767] = {.lex_state = 63},
  [12768] = {.lex_state = 60, .external_lex_state = 23},
  [12769] = {.lex_state = 60, .external_lex_state = 39},
  [12770] = {.lex_state = 60, .external_lex_state = 23},
  [12771] = {.lex_state = 60, .external_lex_state = 23},
  [12772] = {.lex_state = 63},
  [12773] = {.lex_state = 60, .external_lex_state = 23},
  [12774] = {.lex_state = 54, .external_lex_state = 52},
  [12775] = {.lex_state = 54, .external_lex_state = 41},
  [12776] = {.lex_state = 54, .external_lex_state = 52},
  [12777] = {.lex_state = 54, .external_lex_state = 48},
  [12778] = {.lex_state = 54, .external_lex_state = 52},
  [12779] = {.lex_state = 60, .external_lex_state = 52},
  [12780] = {.lex_state = 54, .external_lex_state = 48},
  [12781] = {.lex_state = 60, .external_lex_state = 39},
  [12782] = {.lex_state = 63},
  [12783] = {.lex_state = 54, .external_lex_state = 44},
  [12784] = {.lex_state = 54, .external_lex_state = 63},
  [12785] = {.lex_state = 63},
  [12786] = {.lex_state = 60, .external_lex_state = 23},
  [12787] = {.lex_state = 54, .external_lex_state = 52},
  [12788] = {.lex_state = 60, .external_lex_state = 23},
  [12789] = {.lex_state = 54, .external_lex_state = 62},
  [12790] = {.lex_state = 60, .external_lex_state = 39},
  [12791] = {.lex_state = 63},
  [12792] = {.lex_state = 60, .external_lex_state = 29},
  [12793] = {.lex_state = 54, .external_lex_state = 61},
  [12794] = {.lex_state = 54, .external_lex_state = 50},
  [12795] = {.lex_state = 60, .external_lex_state = 41},
  [12796] = {.lex_state = 60, .external_lex_state = 33},
  [12797] = {.lex_state = 63},
  [12798] = {.lex_state = 60, .external_lex_state = 39},
  [12799] = {.lex_state = 54, .external_lex_state = 41},
  [12800] = {.lex_state = 54, .external_lex_state = 50},
  [12801] = {.lex_state = 63},
  [12802] = {.lex_state = 63},
  [12803] = {.lex_state = 54, .external_lex_state = 62},
  [12804] = {.lex_state = 60, .external_lex_state = 44},
  [12805] = {.lex_state = 53, .external_lex_state = 24},
  [12806] = {.lex_state = 54, .external_lex_state = 50},
  [12807] = {.lex_state = 54, .external_lex_state = 63},
  [12808] = {.lex_state = 53, .external_lex_state = 24},
  [12809] = {.lex_state = 54, .external_lex_state = 48},
  [12810] = {.lex_state = 63},
  [12811] = {.lex_state = 60, .external_lex_state = 39},
  [12812] = {.lex_state = 54, .external_lex_state = 48},
  [12813] = {.lex_state = 53, .external_lex_state = 24},
  [12814] = {.lex_state = 63},
  [12815] = {.lex_state = 60, .external_lex_state = 39},
  [12816] = {.lex_state = 60, .external_lex_state = 39},
  [12817] = {.lex_state = 54, .external_lex_state = 62},
  [12818] = {.lex_state = 60, .external_lex_state = 44},
  [12819] = {.lex_state = 60, .external_lex_state = 41},
  [12820] = {.lex_state = 54, .external_lex_state = 41},
  [12821] = {.lex_state = 54, .external_lex_state = 56},
  [12822] = {.lex_state = 63},
  [12823] = {.lex_state = 60, .external_lex_state = 44},
  [12824] = {.lex_state = 53, .external_lex_state = 55},
  [12825] = {.lex_state = 63},
  [12826] = {.lex_state = 54, .external_lex_state = 62},
  [12827] = {.lex_state = 54, .external_lex_state = 65},
  [12828] = {.lex_state = 54, .external_lex_state = 50},
  [12829] = {.lex_state = 60},
  [12830] = {.lex_state = 63},
  [12831] = {.lex_state = 63},
  [12832] = {.lex_state = 60},
  [12833] = {.lex_state = 60, .external_lex_state = 57},
  [12834] = {.lex_state = 63},
  [12835] = {.lex_state = 60, .external_lex_state = 57},
  [12836] = {.lex_state = 54, .external_lex_state = 41},
  [12837] = {.lex_state = 53, .external_lex_state = 23},
  [12838] = {.lex_state = 54, .external_lex_state = 50},
  [12839] = {.lex_state = 54, .external_lex_state = 65},
  [12840] = {.lex_state = 63},
  [12841] = {.lex_state = 60},
  [12842] = {.lex_state = 54, .external_lex_state = 66},
  [12843] = {.lex_state = 63},
  [12844] = {.lex_state = 63},
  [12845] = {.lex_state = 54, .external_lex_state = 50},
  [12846] = {.lex_state = 54, .external_lex_state = 44},
  [12847] = {.lex_state = 53, .external_lex_state = 24},
  [12848] = {.lex_state = 60},
  [12849] = {.lex_state = 60, .external_lex_state = 44},
  [12850] = {.lex_state = 54, .external_lex_state = 61},
  [12851] = {.lex_state = 54, .external_lex_state = 48},
  [12852] = {.lex_state = 54, .external_lex_state = 63},
  [12853] = {.lex_state = 54, .external_lex_state = 44},
  [12854] = {.lex_state = 53, .external_lex_state = 55},
  [12855] = {.lex_state = 54, .external_lex_state = 54},
  [12856] = {.lex_state = 54, .external_lex_state = 61},
  [12857] = {.lex_state = 63},
  [12858] = {.lex_state = 54, .external_lex_state = 23},
  [12859] = {.lex_state = 60, .external_lex_state = 39},
  [12860] = {.lex_state = 63},
  [12861] = {.lex_state = 63},
  [12862] = {.lex_state = 54, .external_lex_state = 62},
  [12863] = {.lex_state = 54, .external_lex_state = 62},
  [12864] = {.lex_state = 60},
  [12865] = {.lex_state = 60, .external_lex_state = 23},
  [12866] = {.lex_state = 54, .external_lex_state = 61},
  [12867] = {.lex_state = 54, .external_lex_state = 50},
  [12868] = {.lex_state = 63},
  [12869] = {.lex_state = 60, .external_lex_state = 29},
  [12870] = {.lex_state = 54, .external_lex_state = 66},
  [12871] = {.lex_state = 60},
  [12872] = {.lex_state = 60, .external_lex_state = 23},
  [12873] = {.lex_state = 54, .external_lex_state = 61},
  [12874] = {.lex_state = 60, .external_lex_state = 41},
  [12875] = {.lex_state = 63},
  [12876] = {.lex_state = 54, .external_lex_state = 57},
  [12877] = {.lex_state = 63},
  [12878] = {.lex_state = 63},
  [12879] = {.lex_state = 63},
  [12880] = {.lex_state = 54, .external_lex_state = 50},
  [12881] = {.lex_state = 54, .external_lex_state = 62},
  [12882] = {.lex_state = 60, .external_lex_state = 33},
  [12883] = {.lex_state = 53, .external_lex_state = 23},
  [12884] = {.lex_state = 63},
  [12885] = {.lex_state = 63},
  [12886] = {.lex_state = 63},
  [12887] = {.lex_state = 53, .external_lex_state = 55},
  [12888] = {.lex_state = 63},
  [12889] = {.lex_state = 54, .external_lex_state = 41},
  [12890] = {.lex_state = 53, .external_lex_state = 23},
  [12891] = {.lex_state = 63},
  [12892] = {.lex_state = 60, .external_lex_state = 58},
  [12893] = {.lex_state = 53, .external_lex_state = 23},
  [12894] = {.lex_state = 53, .external_lex_state = 24},
  [12895] = {.lex_state = 54, .external_lex_state = 50},
  [12896] = {.lex_state = 60, .external_lex_state = 56},
  [12897] = {.lex_state = 63},
  [12898] = {.lex_state = 54, .external_lex_state = 48},
  [12899] = {.lex_state = 63},
  [12900] = {.lex_state = 54, .external_lex_state = 54},
  [12901] = {.lex_state = 63},
  [12902] = {.lex_state = 60, .external_lex_state = 23},
  [12903] = {.lex_state = 60, .external_lex_state = 23},
  [12904] = {.lex_state = 53, .external_lex_state = 24},
  [12905] = {.lex_state = 54, .external_lex_state = 44},
  [12906] = {.lex_state = 53, .external_lex_state = 55},
  [12907] = {.lex_state = 60, .external_lex_state = 33},
  [12908] = {.lex_state = 54, .external_lex_state = 52},
  [12909] = {.lex_state = 63},
  [12910] = {.lex_state = 53, .external_lex_state = 24},
  [12911] = {.lex_state = 54, .external_lex_state = 23},
  [12912] = {.lex_state = 54, .external_lex_state = 54},
  [12913] = {.lex_state = 54, .external_lex_state = 50},
  [12914] = {.lex_state = 54, .external_lex_state = 41},
  [12915] = {.lex_state = 63},
  [12916] = {.lex_state = 53, .external_lex_state = 24},
  [12917] = {.lex_state = 60, .external_lex_state = 23},
  [12918] = {.lex_state = 54, .external_lex_state = 60},
  [12919] = {.lex_state = 63},
  [12920] = {.lex_state = 60, .external_lex_state = 44},
  [12921] = {.lex_state = 63},
  [12922] = {.lex_state = 60, .external_lex_state = 23},
  [12923] = {.lex_state = 63},
  [12924] = {.lex_state = 54, .external_lex_state = 50},
  [12925] = {.lex_state = 53, .external_lex_state = 24},
  [12926] = {.lex_state = 53, .external_lex_state = 24},
  [12927] = {.lex_state = 54, .external_lex_state = 57},
  [12928] = {.lex_state = 53, .external_lex_state = 24},
  [12929] = {.lex_state = 53, .external_lex_state = 55},
  [12930] = {.lex_state = 54, .external_lex_state = 52},
  [12931] = {.lex_state = 54, .external_lex_state = 44},
  [12932] = {.lex_state = 63},
  [12933] = {.lex_state = 54, .external_lex_state = 48},
  [12934] = {.lex_state = 63},
  [12935] = {.lex_state = 60},
  [12936] = {.lex_state = 54, .external_lex_state = 41},
  [12937] = {.lex_state = 54, .external_lex_state = 54},
  [12938] = {.lex_state = 54, .external_lex_state = 44},
  [12939] = {.lex_state = 54, .external_lex_state = 44},
  [12940] = {.lex_state = 60, .external_lex_state = 41},
  [12941] = {.lex_state = 60, .external_lex_state = 44},
  [12942] = {.lex_state = 63},
  [12943] = {.lex_state = 60, .external_lex_state = 39},
  [12944] = {.lex_state = 54, .external_lex_state = 52},
  [12945] = {.lex_state = 54, .external_lex_state = 58},
  [12946] = {.lex_state = 60, .external_lex_state = 29},
  [12947] = {.lex_state = 63},
  [12948] = {.lex_state = 60},
  [12949] = {.lex_state = 53, .external_lex_state = 24},
  [12950] = {.lex_state = 63},
  [12951] = {.lex_state = 60, .external_lex_state = 39},
  [12952] = {.lex_state = 63},
  [12953] = {.lex_state = 63},
  [12954] = {.lex_state = 60, .external_lex_state = 23},
  [12955] = {.lex_state = 60, .external_lex_state = 44},
  [12956] = {.lex_state = 54, .external_lex_state = 62},
  [12957] = {.lex_state = 63},
  [12958] = {.lex_state = 54, .external_lex_state = 61},
  [12959] = {.lex_state = 54, .external_lex_state = 44},
  [12960] = {.lex_state = 60, .external_lex_state = 39},
  [12961] = {.lex_state = 63},
  [12962] = {.lex_state = 53, .external_lex_state = 23},
  [12963] = {.lex_state = 53, .external_lex_state = 24},
  [12964] = {.lex_state = 54, .external_lex_state = 60},
  [12965] = {.lex_state = 54, .external_lex_state = 44},
  [12966] = {.lex_state = 54, .external_lex_state = 58},
  [12967] = {.lex_state = 60, .external_lex_state = 39},
  [12968] = {.lex_state = 54, .external_lex_state = 41},
  [12969] = {.lex_state = 63},
  [12970] = {.lex_state = 54, .external_lex_state = 52},
  [12971] = {.lex_state = 63},
  [12972] = {.lex_state = 63},
  [12973] = {.lex_state = 54, .external_lex_state = 44},
  [12974] = {.lex_state = 63},
  [12975] = {.lex_state = 54, .external_lex_state = 41},
  [12976] = {.lex_state = 54, .external_lex_state = 44},
  [12977] = {.lex_state = 63},
  [12978] = {.lex_state = 63},
  [12979] = {.lex_state = 54, .external_lex_state = 50},
  [12980] = {.lex_state = 60, .external_lex_state = 23},
  [12981] = {.lex_state = 54, .external_lex_state = 63},
  [12982] = {.lex_state = 63},
  [12983] = {.lex_state = 63},
  [12984] = {.lex_state = 60, .external_lex_state = 41},
  [12985] = {.lex_state = 60, .external_lex_state = 23},
  [12986] = {.lex_state = 54, .external_lex_state = 44},
  [12987] = {.lex_state = 60, .external_lex_state = 44},
  [12988] = {.lex_state = 54, .external_lex_state = 41},
  [12989] = {.lex_state = 54, .external_lex_state = 48},
  [12990] = {.lex_state = 60, .external_lex_state = 23},
  [12991] = {.lex_state = 54, .external_lex_state = 52},
  [12992] = {.lex_state = 54, .external_lex_state = 61},
  [12993] = {.lex_state = 54, .external_lex_state = 41},
  [12994] = {.lex_state = 54, .external_lex_state = 41},
  [12995] = {.lex_state = 54, .external_lex_state = 23},
  [12996] = {.lex_state = 54, .external_lex_state = 54},
  [12997] = {.lex_state = 54, .external_lex_state = 52},
  [12998] = {.lex_state = 63},
  [12999] = {.lex_state = 63},
  [13000] = {.lex_state = 60, .external_lex_state = 58},
  [13001] = {.lex_state = 54, .external_lex_state = 62},
  [13002] = {.lex_state = 54, .external_lex_state = 63},
  [13003] = {.lex_state = 54, .external_lex_state = 61},
  [13004] = {.lex_state = 54, .external_lex_state = 61},
  [13005] = {.lex_state = 54, .external_lex_state = 66},
  [13006] = {.lex_state = 53, .external_lex_state = 24},
  [13007] = {.lex_state = 63},
  [13008] = {.lex_state = 63},
  [13009] = {.lex_state = 54, .external_lex_state = 62},
  [13010] = {.lex_state = 63},
  [13011] = {.lex_state = 54, .external_lex_state = 48},
  [13012] = {.lex_state = 54, .external_lex_state = 41},
  [13013] = {.lex_state = 63},
  [13014] = {.lex_state = 54, .external_lex_state = 44},
  [13015] = {.lex_state = 54, .external_lex_state = 52},
  [13016] = {.lex_state = 53, .external_lex_state = 23},
  [13017] = {.lex_state = 63},
  [13018] = {.lex_state = 54, .external_lex_state = 62},
  [13019] = {.lex_state = 63},
  [13020] = {.lex_state = 63},
  [13021] = {.lex_state = 54, .external_lex_state = 62},
  [13022] = {.lex_state = 60, .external_lex_state = 54},
  [13023] = {.lex_state = 54, .external_lex_state = 41},
  [13024] = {.lex_state = 60, .external_lex_state = 48},
  [13025] = {.lex_state = 54, .external_lex_state = 63},
  [13026] = {.lex_state = 54, .external_lex_state = 66},
  [13027] = {.lex_state = 54, .external_lex_state = 54},
  [13028] = {.lex_state = 54, .external_lex_state = 63},
  [13029] = {.lex_state = 60, .external_lex_state = 48},
  [13030] = {.lex_state = 54, .external_lex_state = 66},
  [13031] = {.lex_state = 54, .external_lex_state = 52},
  [13032] = {.lex_state = 54, .external_lex_state = 63},
  [13033] = {.lex_state = 54, .external_lex_state = 66},
  [13034] = {.lex_state = 60},
  [13035] = {.lex_state = 60, .external_lex_state = 44},
  [13036] = {.lex_state = 54, .external_lex_state = 63},
  [13037] = {.lex_state = 54, .external_lex_state = 52},
  [13038] = {.lex_state = 60, .external_lex_state = 44},
  [13039] = {.lex_state = 54, .external_lex_state = 52},
  [13040] = {.lex_state = 54, .external_lex_state = 54},
  [13041] = {.lex_state = 60, .external_lex_state = 29},
  [13042] = {.lex_state = 60, .external_lex_state = 44},
  [13043] = {.lex_state = 54, .external_lex_state = 69},
  [13044] = {.lex_state = 60, .external_lex_state = 41},
  [13045] = {.lex_state = 60, .external_lex_state = 48},
  [13046] = {.lex_state = 60, .external_lex_state = 44},
  [13047] = {.lex_state = 60, .external_lex_state = 44},
  [13048] = {.lex_state = 60, .external_lex_state = 52},
  [13049] = {.lex_state = 60, .external_lex_state = 48},
  [13050] = {.lex_state = 54, .external_lex_state = 52},
  [13051] = {.lex_state = 54, .external_lex_state = 66},
  [13052] = {.lex_state = 54, .external_lex_state = 50},
  [13053] = {.lex_state = 54, .external_lex_state = 50},
  [13054] = {.lex_state = 60, .external_lex_state = 44},
  [13055] = {.lex_state = 54, .external_lex_state = 63},
  [13056] = {.lex_state = 60, .external_lex_state = 33},
  [13057] = {.lex_state = 54, .external_lex_state = 66},
  [13058] = {.lex_state = 54, .external_lex_state = 50},
  [13059] = {.lex_state = 54, .external_lex_state = 54},
  [13060] = {.lex_state = 60, .external_lex_state = 24},
  [13061] = {.lex_state = 60, .external_lex_state = 41},
  [13062] = {.lex_state = 54, .external_lex_state = 63},
  [13063] = {.lex_state = 53, .external_lex_state = 24},
  [13064] = {.lex_state = 54, .external_lex_state = 56},
  [13065] = {.lex_state = 54, .external_lex_state = 24},
  [13066] = {.lex_state = 60, .external_lex_state = 50},
  [13067] = {.lex_state = 54, .external_lex_state = 56},
  [13068] = {.lex_state = 53, .external_lex_state = 24},
  [13069] = {.lex_state = 60, .external_lex_state = 34},
  [13070] = {.lex_state = 60, .external_lex_state = 41},
  [13071] = {.lex_state = 54, .external_lex_state = 50},
  [13072] = {.lex_state = 60, .external_lex_state = 41},
  [13073] = {.lex_state = 60, .external_lex_state = 50},
  [13074] = {.lex_state = 54, .external_lex_state = 66},
  [13075] = {.lex_state = 60, .external_lex_state = 41},
  [13076] = {.lex_state = 54, .external_lex_state = 57},
  [13077] = {.lex_state = 54, .external_lex_state = 52},
  [13078] = {.lex_state = 60, .external_lex_state = 44},
  [13079] = {.lex_state = 54, .external_lex_state = 56},
  [13080] = {.lex_state = 60, .external_lex_state = 50},
  [13081] = {.lex_state = 54, .external_lex_state = 52},
  [13082] = {.lex_state = 54, .external_lex_state = 48},
  [13083] = {.lex_state = 60, .external_lex_state = 54},
  [13084] = {.lex_state = 54, .external_lex_state = 54},
  [13085] = {.lex_state = 60, .external_lex_state = 41},
  [13086] = {.lex_state = 54, .external_lex_state = 54},
  [13087] = {.lex_state = 54, .external_lex_state = 57},
  [13088] = {.lex_state = 60, .external_lex_state = 41},
  [13089] = {.lex_state = 54, .external_lex_state = 56},
  [13090] = {.lex_state = 54, .external_lex_state = 48},
  [13091] = {.lex_state = 54, .external_lex_state = 54},
  [13092] = {.lex_state = 54, .external_lex_state = 52},
  [13093] = {.lex_state = 54, .external_lex_state = 54},
  [13094] = {.lex_state = 54, .external_lex_state = 66},
  [13095] = {.lex_state = 54, .external_lex_state = 52},
  [13096] = {.lex_state = 54, .external_lex_state = 56},
  [13097] = {.lex_state = 60, .external_lex_state = 24},
  [13098] = {.lex_state = 53, .external_lex_state = 24},
  [13099] = {.lex_state = 54, .external_lex_state = 66},
  [13100] = {.lex_state = 60, .external_lex_state = 52},
  [13101] = {.lex_state = 60, .external_lex_state = 48},
  [13102] = {.lex_state = 54, .external_lex_state = 50},
  [13103] = {.lex_state = 54, .external_lex_state = 50},
  [13104] = {.lex_state = 54, .external_lex_state = 50},
  [13105] = {.lex_state = 54, .external_lex_state = 54},
  [13106] = {.lex_state = 54, .external_lex_state = 60},
  [13107] = {.lex_state = 54, .external_lex_state = 58},
  [13108] = {.lex_state = 54, .external_lex_state = 57},
  [13109] = {.lex_state = 54, .external_lex_state = 50},
  [13110] = {.lex_state = 60, .external_lex_state = 33},
  [13111] = {.lex_state = 54, .external_lex_state = 50},
  [13112] = {.lex_state = 54, .external_lex_state = 63},
  [13113] = {.lex_state = 60, .external_lex_state = 44},
  [13114] = {.lex_state = 54, .external_lex_state = 54},
  [13115] = {.lex_state = 54, .external_lex_state = 60},
  [13116] = {.lex_state = 54, .external_lex_state = 60},
  [13117] = {.lex_state = 54, .external_lex_state = 50},
  [13118] = {.lex_state = 60, .external_lex_state = 50},
  [13119] = {.lex_state = 54, .external_lex_state = 54},
  [13120] = {.lex_state = 60, .external_lex_state = 44},
  [13121] = {.lex_state = 54, .external_lex_state = 58},
  [13122] = {.lex_state = 60, .external_lex_state = 52},
  [13123] = {.lex_state = 54, .external_lex_state = 57},
  [13124] = {.lex_state = 60, .external_lex_state = 44},
  [13125] = {.lex_state = 60, .external_lex_state = 44},
  [13126] = {.lex_state = 54, .external_lex_state = 56},
  [13127] = {.lex_state = 60, .external_lex_state = 44},
  [13128] = {.lex_state = 54, .external_lex_state = 57},
  [13129] = {.lex_state = 54, .external_lex_state = 58},
  [13130] = {.lex_state = 60, .external_lex_state = 41},
  [13131] = {.lex_state = 60, .external_lex_state = 44},
  [13132] = {.lex_state = 60, .external_lex_state = 50},
  [13133] = {.lex_state = 60, .external_lex_state = 50},
  [13134] = {.lex_state = 54, .external_lex_state = 48},
  [13135] = {.lex_state = 54, .external_lex_state = 56},
  [13136] = {.lex_state = 54, .external_lex_state = 57},
  [13137] = {.lex_state = 60, .external_lex_state = 41},
  [13138] = {.lex_state = 54, .external_lex_state = 54},
  [13139] = {.lex_state = 54, .external_lex_state = 48},
  [13140] = {.lex_state = 60, .external_lex_state = 44},
  [13141] = {.lex_state = 54, .external_lex_state = 58},
  [13142] = {.lex_state = 54, .external_lex_state = 60},
  [13143] = {.lex_state = 54, .external_lex_state = 48},
  [13144] = {.lex_state = 54, .external_lex_state = 60},
  [13145] = {.lex_state = 54, .external_lex_state = 48},
  [13146] = {.lex_state = 54, .external_lex_state = 48},
  [13147] = {.lex_state = 54, .external_lex_state = 63},
  [13148] = {.lex_state = 54, .external_lex_state = 57},
  [13149] = {.lex_state = 54, .external_lex_state = 58},
  [13150] = {.lex_state = 54, .external_lex_state = 50},
  [13151] = {.lex_state = 60, .external_lex_state = 41},
  [13152] = {.lex_state = 53, .external_lex_state = 24},
  [13153] = {.lex_state = 60, .external_lex_state = 44},
  [13154] = {.lex_state = 53, .external_lex_state = 24},
  [13155] = {.lex_state = 54, .external_lex_state = 48},
  [13156] = {.lex_state = 54, .external_lex_state = 54},
  [13157] = {.lex_state = 54, .external_lex_state = 65},
  [13158] = {.lex_state = 54, .external_lex_state = 57},
  [13159] = {.lex_state = 53, .external_lex_state = 24},
  [13160] = {.lex_state = 60, .external_lex_state = 41},
  [13161] = {.lex_state = 54, .external_lex_state = 66},
  [13162] = {.lex_state = 60, .external_lex_state = 41},
  [13163] = {.lex_state = 54, .external_lex_state = 47},
  [13164] = {.lex_state = 54, .external_lex_state = 58},
  [13165] = {.lex_state = 54, .external_lex_state = 52},
  [13166] = {.lex_state = 60, .external_lex_state = 44},
  [13167] = {.lex_state = 60, .external_lex_state = 34},
  [13168] = {.lex_state = 60, .external_lex_state = 58},
  [13169] = {.lex_state = 54, .external_lex_state = 24},
  [13170] = {.lex_state = 60, .external_lex_state = 52},
  [13171] = {.lex_state = 54, .external_lex_state = 52},
  [13172] = {.lex_state = 60, .external_lex_state = 56},
  [13173] = {.lex_state = 60, .external_lex_state = 29},
  [13174] = {.lex_state = 60, .external_lex_state = 50},
  [13175] = {.lex_state = 54, .external_lex_state = 63},
  [13176] = {.lex_state = 54, .external_lex_state = 56},
  [13177] = {.lex_state = 54, .external_lex_state = 48},
  [13178] = {.lex_state = 60, .external_lex_state = 50},
  [13179] = {.lex_state = 53, .external_lex_state = 24},
  [13180] = {.lex_state = 60, .external_lex_state = 52},
  [13181] = {.lex_state = 54, .external_lex_state = 50},
  [13182] = {.lex_state = 60, .external_lex_state = 41},
  [13183] = {.lex_state = 60, .external_lex_state = 41},
  [13184] = {.lex_state = 54, .external_lex_state = 57},
  [13185] = {.lex_state = 54, .external_lex_state = 58},
  [13186] = {.lex_state = 54, .external_lex_state = 65},
  [13187] = {.lex_state = 54, .external_lex_state = 60},
  [13188] = {.lex_state = 54, .external_lex_state = 23},
  [13189] = {.lex_state = 60, .external_lex_state = 44},
  [13190] = {.lex_state = 60, .external_lex_state = 41},
  [13191] = {.lex_state = 54, .external_lex_state = 54},
  [13192] = {.lex_state = 54, .external_lex_state = 63},
  [13193] = {.lex_state = 54, .external_lex_state = 58},
  [13194] = {.lex_state = 54, .external_lex_state = 52},
  [13195] = {.lex_state = 60, .external_lex_state = 50},
  [13196] = {.lex_state = 54, .external_lex_state = 57},
  [13197] = {.lex_state = 54, .external_lex_state = 48},
  [13198] = {.lex_state = 54, .external_lex_state = 52},
  [13199] = {.lex_state = 54, .external_lex_state = 48},
  [13200] = {.lex_state = 54, .external_lex_state = 57},
  [13201] = {.lex_state = 54, .external_lex_state = 65},
  [13202] = {.lex_state = 60, .external_lex_state = 48},
  [13203] = {.lex_state = 54, .external_lex_state = 54},
  [13204] = {.lex_state = 54, .external_lex_state = 60},
  [13205] = {.lex_state = 54, .external_lex_state = 24},
  [13206] = {.lex_state = 54, .external_lex_state = 50},
  [13207] = {.lex_state = 54, .external_lex_state = 52},
  [13208] = {.lex_state = 60, .external_lex_state = 41},
  [13209] = {.lex_state = 60, .external_lex_state = 44},
  [13210] = {.lex_state = 60, .external_lex_state = 50},
  [13211] = {.lex_state = 60, .external_lex_state = 52},
  [13212] = {.lex_state = 60, .external_lex_state = 44},
  [13213] = {.lex_state = 54, .external_lex_state = 63},
  [13214] = {.lex_state = 54, .external_lex_state = 63},
  [13215] = {.lex_state = 60, .external_lex_state = 29},
  [13216] = {.lex_state = 60, .external_lex_state = 44},
  [13217] = {.lex_state = 54, .external_lex_state = 56},
  [13218] = {.lex_state = 60, .external_lex_state = 33},
  [13219] = {.lex_state = 60, .external_lex_state = 44},
  [13220] = {.lex_state = 54, .external_lex_state = 56},
  [13221] = {.lex_state = 54, .external_lex_state = 50},
  [13222] = {.lex_state = 54, .external_lex_state = 57},
  [13223] = {.lex_state = 60, .external_lex_state = 48},
  [13224] = {.lex_state = 54, .external_lex_state = 60},
  [13225] = {.lex_state = 54, .external_lex_state = 48},
  [13226] = {.lex_state = 54, .external_lex_state = 54},
  [13227] = {.lex_state = 60, .external_lex_state = 52},
  [13228] = {.lex_state = 60, .external_lex_state = 29},
  [13229] = {.lex_state = 54, .external_lex_state = 52},
  [13230] = {.lex_state = 54, .external_lex_state = 58},
  [13231] = {.lex_state = 60, .external_lex_state = 41},
  [13232] = {.lex_state = 54, .external_lex_state = 48},
  [13233] = {.lex_state = 54, .external_lex_state = 66},
  [13234] = {.lex_state = 60, .external_lex_state = 29},
  [13235] = {.lex_state = 60, .external_lex_state = 29},
  [13236] = {.lex_state = 60, .external_lex_state = 57},
  [13237] = {.lex_state = 60, .external_lex_state = 54},
  [13238] = {.lex_state = 54, .external_lex_state = 56},
  [13239] = {.lex_state = 60, .external_lex_state = 54},
  [13240] = {.lex_state = 54, .external_lex_state = 69},
  [13241] = {.lex_state = 54, .external_lex_state = 52},
  [13242] = {.lex_state = 60, .external_lex_state = 54},
  [13243] = {.lex_state = 53, .external_lex_state = 24},
  [13244] = {.lex_state = 54, .external_lex_state = 56},
  [13245] = {.lex_state = 60, .external_lex_state = 41},
  [13246] = {.lex_state = 54, .external_lex_state = 58},
  [13247] = {.lex_state = 54, .external_lex_state = 56},
  [13248] = {.lex_state = 60, .external_lex_state = 33},
  [13249] = {.lex_state = 60, .external_lex_state = 50},
  [13250] = {.lex_state = 60},
  [13251] = {.lex_state = 54, .external_lex_state = 47},
  [13252] = {.lex_state = 60, .external_lex_state = 33},
  [13253] = {.lex_state = 54, .external_lex_state = 58},
  [13254] = {.lex_state = 60, .external_lex_state = 50},
  [13255] = {.lex_state = 54, .external_lex_state = 57},
  [13256] = {.lex_state = 54, .external_lex_state = 50},
  [13257] = {.lex_state = 60, .external_lex_state = 34},
  [13258] = {.lex_state = 60, .external_lex_state = 41},
  [13259] = {.lex_state = 54, .external_lex_state = 48},
  [13260] = {.lex_state = 54, .external_lex_state = 58},
  [13261] = {.lex_state = 60, .external_lex_state = 29},
  [13262] = {.lex_state = 54, .external_lex_state = 66},
  [13263] = {.lex_state = 54, .external_lex_state = 66},
  [13264] = {.lex_state = 60, .external_lex_state = 34},
  [13265] = {.lex_state = 54, .external_lex_state = 66},
  [13266] = {.lex_state = 54, .external_lex_state = 66},
  [13267] = {.lex_state = 60, .external_lex_state = 29},
  [13268] = {.lex_state = 60, .external_lex_state = 29},
  [13269] = {.lex_state = 60, .external_lex_state = 50},
  [13270] = {.lex_state = 60, .external_lex_state = 54},
  [13271] = {.lex_state = 54, .external_lex_state = 52},
  [13272] = {.lex_state = 60},
  [13273] = {.lex_state = 54, .external_lex_state = 65},
  [13274] = {.lex_state = 53, .external_lex_state = 23},
  [13275] = {.lex_state = 54, .external_lex_state = 66},
  [13276] = {.lex_state = 54, .external_lex_state = 61},
  [13277] = {.lex_state = 60, .external_lex_state = 29},
  [13278] = {.lex_state = 60, .external_lex_state = 29},
  [13279] = {.lex_state = 54, .external_lex_state = 60},
  [13280] = {.lex_state = 54, .external_lex_state = 50},
  [13281] = {.lex_state = 54, .external_lex_state = 54},
  [13282] = {.lex_state = 60, .external_lex_state = 44},
  [13283] = {.lex_state = 54, .external_lex_state = 66},
  [13284] = {.lex_state = 60, .external_lex_state = 52},
  [13285] = {.lex_state = 54, .external_lex_state = 50},
  [13286] = {.lex_state = 54, .external_lex_state = 48},
  [13287] = {.lex_state = 60, .external_lex_state = 41},
  [13288] = {.lex_state = 54, .external_lex_state = 60},
  [13289] = {.lex_state = 54, .external_lex_state = 48},
  [13290] = {.lex_state = 54, .external_lex_state = 60},
  [13291] = {.lex_state = 54, .external_lex_state = 24},
  [13292] = {.lex_state = 60, .external_lex_state = 41},
  [13293] = {.lex_state = 60, .external_lex_state = 44},
  [13294] = {.lex_state = 60, .external_lex_state = 54},
  [13295] = {.lex_state = 60, .external_lex_state = 39},
  [13296] = {.lex_state = 54, .external_lex_state = 60},
  [13297] = {.lex_state = 60, .external_lex_state = 44},
  [13298] = {.lex_state = 54, .external_lex_state = 52},
  [13299] = {.lex_state = 54, .external_lex_state = 48},
  [13300] = {.lex_state = 54, .external_lex_state = 54},
  [13301] = {.lex_state = 54, .external_lex_state = 60},
  [13302] = {.lex_state = 54, .external_lex_state = 24},
  [13303] = {.lex_state = 54, .external_lex_state = 63},
  [13304] = {.lex_state = 60, .external_lex_state = 54},
  [13305] = {.lex_state = 54, .external_lex_state = 69},
  [13306] = {.lex_state = 0},
  [13307] = {.lex_state = 54, .external_lex_state = 63},
  [13308] = {.lex_state = 54, .external_lex_state = 58},
  [13309] = {.lex_state = 54, .external_lex_state = 63},
  [13310] = {.lex_state = 60, .external_lex_state = 41},
  [13311] = {.lex_state = 60, .external_lex_state = 50},
  [13312] = {.lex_state = 60, .external_lex_state = 41},
  [13313] = {.lex_state = 54, .external_lex_state = 60},
  [13314] = {.lex_state = 60, .external_lex_state = 29},
  [13315] = {.lex_state = 53, .external_lex_state = 55},
  [13316] = {.lex_state = 0},
  [13317] = {.lex_state = 60, .external_lex_state = 44},
  [13318] = {.lex_state = 60, .external_lex_state = 48},
  [13319] = {.lex_state = 60, .external_lex_state = 48},
  [13320] = {.lex_state = 54, .external_lex_state = 60},
  [13321] = {.lex_state = 60, .external_lex_state = 48},
  [13322] = {.lex_state = 60, .external_lex_state = 48},
  [13323] = {.lex_state = 54, .external_lex_state = 56},
  [13324] = {.lex_state = 54, .external_lex_state = 55},
  [13325] = {.lex_state = 54, .external_lex_state = 69},
  [13326] = {.lex_state = 54, .external_lex_state = 65},
  [13327] = {.lex_state = 54, .external_lex_state = 69},
  [13328] = {.lex_state = 54, .external_lex_state = 56},
  [13329] = {.lex_state = 54, .external_lex_state = 57},
  [13330] = {.lex_state = 60, .external_lex_state = 39},
  [13331] = {.lex_state = 54, .external_lex_state = 24},
  [13332] = {.lex_state = 60, .external_lex_state = 54},
  [13333] = {.lex_state = 54, .external_lex_state = 69},
  [13334] = {.lex_state = 60, .external_lex_state = 39},
  [13335] = {.lex_state = 54, .external_lex_state = 69},
  [13336] = {.lex_state = 60, .external_lex_state = 58},
  [13337] = {.lex_state = 60, .external_lex_state = 54},
  [13338] = {.lex_state = 60, .external_lex_state = 48},
  [13339] = {.lex_state = 54, .external_lex_state = 65},
  [13340] = {.lex_state = 60, .external_lex_state = 52},
  [13341] = {.lex_state = 54, .external_lex_state = 23},
  [13342] = {.lex_state = 54, .external_lex_state = 69},
  [13343] = {.lex_state = 60, .external_lex_state = 54},
  [13344] = {.lex_state = 54, .external_lex_state = 58},
  [13345] = {.lex_state = 54, .external_lex_state = 56},
  [13346] = {.lex_state = 60, .external_lex_state = 48},
  [13347] = {.lex_state = 60, .external_lex_state = 52},
  [13348] = {.lex_state = 54, .external_lex_state = 56},
  [13349] = {.lex_state = 60, .external_lex_state = 58},
  [13350] = {.lex_state = 54, .external_lex_state = 69},
  [13351] = {.lex_state = 60, .external_lex_state = 41},
  [13352] = {.lex_state = 60, .external_lex_state = 57},
  [13353] = {.lex_state = 54, .external_lex_state = 62},
  [13354] = {.lex_state = 60, .external_lex_state = 50},
  [13355] = {.lex_state = 54, .external_lex_state = 56},
  [13356] = {.lex_state = 60, .external_lex_state = 52},
  [13357] = {.lex_state = 53, .external_lex_state = 23},
  [13358] = {.lex_state = 60, .external_lex_state = 44},
  [13359] = {.lex_state = 60, .external_lex_state = 54},
  [13360] = {.lex_state = 60, .external_lex_state = 54},
  [13361] = {.lex_state = 60, .external_lex_state = 23},
  [13362] = {.lex_state = 60, .external_lex_state = 29},
  [13363] = {.lex_state = 54, .external_lex_state = 56},
  [13364] = {.lex_state = 53, .external_lex_state = 23},
  [13365] = {.lex_state = 60, .external_lex_state = 29},
  [13366] = {.lex_state = 60, .external_lex_state = 44},
  [13367] = {.lex_state = 60, .external_lex_state = 56},
  [13368] = {.lex_state = 60, .external_lex_state = 54},
  [13369] = {.lex_state = 60, .external_lex_state = 54},
  [13370] = {.lex_state = 60, .external_lex_state = 34},
  [13371] = {.lex_state = 60, .external_lex_state = 54},
  [13372] = {.lex_state = 54, .external_lex_state = 57},
  [13373] = {.lex_state = 53, .external_lex_state = 23},
  [13374] = {.lex_state = 54, .external_lex_state = 24},
  [13375] = {.lex_state = 54, .external_lex_state = 62},
  [13376] = {.lex_state = 54, .external_lex_state = 62},
  [13377] = {.lex_state = 60, .external_lex_state = 52},
  [13378] = {.lex_state = 60, .external_lex_state = 34},
  [13379] = {.lex_state = 60, .external_lex_state = 54},
  [13380] = {.lex_state = 60, .external_lex_state = 54},
  [13381] = {.lex_state = 60, .external_lex_state = 54},
  [13382] = {.lex_state = 54, .external_lex_state = 47},
  [13383] = {.lex_state = 60, .external_lex_state = 54},
  [13384] = {.lex_state = 60, .external_lex_state = 54},
  [13385] = {.lex_state = 54, .external_lex_state = 57},
  [13386] = {.lex_state = 60, .external_lex_state = 48},
  [13387] = {.lex_state = 60, .external_lex_state = 54},
  [13388] = {.lex_state = 54, .external_lex_state = 69},
  [13389] = {.lex_state = 54, .external_lex_state = 24},
  [13390] = {.lex_state = 60, .external_lex_state = 58},
  [13391] = {.lex_state = 54, .external_lex_state = 23},
  [13392] = {.lex_state = 60, .external_lex_state = 33},
  [13393] = {.lex_state = 60, .external_lex_state = 56},
  [13394] = {.lex_state = 60, .external_lex_state = 58},
  [13395] = {.lex_state = 54, .external_lex_state = 24},
  [13396] = {.lex_state = 54, .external_lex_state = 24},
  [13397] = {.lex_state = 54, .external_lex_state = 69},
  [13398] = {.lex_state = 54, .external_lex_state = 69},
  [13399] = {.lex_state = 54, .external_lex_state = 57},
  [13400] = {.lex_state = 54, .external_lex_state = 62},
  [13401] = {.lex_state = 54, .external_lex_state = 24},
  [13402] = {.lex_state = 60, .external_lex_state = 54},
  [13403] = {.lex_state = 54, .external_lex_state = 62},
  [13404] = {.lex_state = 53, .external_lex_state = 23},
  [13405] = {.lex_state = 60, .external_lex_state = 56},
  [13406] = {.lex_state = 60, .external_lex_state = 58},
  [13407] = {.lex_state = 54, .external_lex_state = 24},
  [13408] = {.lex_state = 54, .external_lex_state = 35},
  [13409] = {.lex_state = 60, .external_lex_state = 58},
  [13410] = {.lex_state = 53, .external_lex_state = 23},
  [13411] = {.lex_state = 60, .external_lex_state = 34},
  [13412] = {.lex_state = 54, .external_lex_state = 57},
  [13413] = {.lex_state = 54, .external_lex_state = 62},
  [13414] = {.lex_state = 60, .external_lex_state = 29},
  [13415] = {.lex_state = 60, .external_lex_state = 57},
  [13416] = {.lex_state = 54, .external_lex_state = 62},
  [13417] = {.lex_state = 54, .external_lex_state = 62},
  [13418] = {.lex_state = 60, .external_lex_state = 29},
  [13419] = {.lex_state = 54, .external_lex_state = 56},
  [13420] = {.lex_state = 60, .external_lex_state = 24},
  [13421] = {.lex_state = 54, .external_lex_state = 69},
  [13422] = {.lex_state = 54, .external_lex_state = 63},
  [13423] = {.lex_state = 54, .external_lex_state = 56},
  [13424] = {.lex_state = 60, .external_lex_state = 50},
  [13425] = {.lex_state = 60, .external_lex_state = 52},
  [13426] = {.lex_state = 54, .external_lex_state = 69},
  [13427] = {.lex_state = 60, .external_lex_state = 54},
  [13428] = {.lex_state = 54, .external_lex_state = 57},
  [13429] = {.lex_state = 54, .external_lex_state = 62},
  [13430] = {.lex_state = 60, .external_lex_state = 57},
  [13431] = {.lex_state = 54, .external_lex_state = 24},
  [13432] = {.lex_state = 54, .external_lex_state = 69},
  [13433] = {.lex_state = 60, .external_lex_state = 48},
  [13434] = {.lex_state = 54, .external_lex_state = 62},
  [13435] = {.lex_state = 60, .external_lex_state = 44},
  [13436] = {.lex_state = 60, .external_lex_state = 52},
  [13437] = {.lex_state = 53, .external_lex_state = 23},
  [13438] = {.lex_state = 54, .external_lex_state = 23},
  [13439] = {.lex_state = 54, .external_lex_state = 57},
  [13440] = {.lex_state = 60, .external_lex_state = 33},
  [13441] = {.lex_state = 60, .external_lex_state = 57},
  [13442] = {.lex_state = 60, .external_lex_state = 52},
  [13443] = {.lex_state = 60, .external_lex_state = 52},
  [13444] = {.lex_state = 54, .external_lex_state = 57},
  [13445] = {.lex_state = 60, .external_lex_state = 44},
  [13446] = {.lex_state = 54, .external_lex_state = 69},
  [13447] = {.lex_state = 60, .external_lex_state = 44},
  [13448] = {.lex_state = 54, .external_lex_state = 56},
  [13449] = {.lex_state = 60, .external_lex_state = 54},
  [13450] = {.lex_state = 54},
  [13451] = {.lex_state = 60, .external_lex_state = 56},
  [13452] = {.lex_state = 54, .external_lex_state = 65},
  [13453] = {.lex_state = 60, .external_lex_state = 34},
  [13454] = {.lex_state = 60, .external_lex_state = 54},
  [13455] = {.lex_state = 60, .external_lex_state = 54},
  [13456] = {.lex_state = 54, .external_lex_state = 58},
  [13457] = {.lex_state = 54, .external_lex_state = 58},
  [13458] = {.lex_state = 60, .external_lex_state = 34},
  [13459] = {.lex_state = 60, .external_lex_state = 52},
  [13460] = {.lex_state = 54, .external_lex_state = 58},
  [13461] = {.lex_state = 54, .external_lex_state = 65},
  [13462] = {.lex_state = 60, .external_lex_state = 54},
  [13463] = {.lex_state = 54, .external_lex_state = 69},
  [13464] = {.lex_state = 60, .external_lex_state = 52},
  [13465] = {.lex_state = 60, .external_lex_state = 50},
  [13466] = {.lex_state = 54, .external_lex_state = 65},
  [13467] = {.lex_state = 54, .external_lex_state = 65},
  [13468] = {.lex_state = 60, .external_lex_state = 29},
  [13469] = {.lex_state = 54, .external_lex_state = 56},
  [13470] = {.lex_state = 60, .external_lex_state = 52},
  [13471] = {.lex_state = 60, .external_lex_state = 34},
  [13472] = {.lex_state = 54, .external_lex_state = 58},
  [13473] = {.lex_state = 54, .external_lex_state = 23},
  [13474] = {.lex_state = 60, .external_lex_state = 50},
  [13475] = {.lex_state = 60, .external_lex_state = 50},
  [13476] = {.lex_state = 60, .external_lex_state = 56},
  [13477] = {.lex_state = 60, .external_lex_state = 33},
  [13478] = {.lex_state = 60, .external_lex_state = 52},
  [13479] = {.lex_state = 60, .external_lex_state = 52},
  [13480] = {.lex_state = 60, .external_lex_state = 52},
  [13481] = {.lex_state = 60, .external_lex_state = 48},
  [13482] = {.lex_state = 60, .external_lex_state = 29},
  [13483] = {.lex_state = 60, .external_lex_state = 52},
  [13484] = {.lex_state = 60, .external_lex_state = 50},
  [13485] = {.lex_state = 60, .external_lex_state = 50},
  [13486] = {.lex_state = 60, .external_lex_state = 58},
  [13487] = {.lex_state = 60, .external_lex_state = 52},
  [13488] = {.lex_state = 60, .external_lex_state = 50},
  [13489] = {.lex_state = 54, .external_lex_state = 65},
  [13490] = {.lex_state = 60, .external_lex_state = 48},
  [13491] = {.lex_state = 60, .external_lex_state = 50},
  [13492] = {.lex_state = 60, .external_lex_state = 50},
  [13493] = {.lex_state = 60, .external_lex_state = 39},
  [13494] = {.lex_state = 60, .external_lex_state = 52},
  [13495] = {.lex_state = 60, .external_lex_state = 56},
  [13496] = {.lex_state = 54, .external_lex_state = 56},
  [13497] = {.lex_state = 54, .external_lex_state = 65},
  [13498] = {.lex_state = 60, .external_lex_state = 52},
  [13499] = {.lex_state = 60, .external_lex_state = 57},
  [13500] = {.lex_state = 60, .external_lex_state = 54},
  [13501] = {.lex_state = 60, .external_lex_state = 57},
  [13502] = {.lex_state = 54, .external_lex_state = 24},
  [13503] = {.lex_state = 54, .external_lex_state = 62},
  [13504] = {.lex_state = 54, .external_lex_state = 65},
  [13505] = {.lex_state = 60, .external_lex_state = 34},
  [13506] = {.lex_state = 60, .external_lex_state = 52},
  [13507] = {.lex_state = 54, .external_lex_state = 58},
  [13508] = {.lex_state = 60, .external_lex_state = 44},
  [13509] = {.lex_state = 54, .external_lex_state = 58},
  [13510] = {.lex_state = 60, .external_lex_state = 48},
  [13511] = {.lex_state = 60, .external_lex_state = 48},
  [13512] = {.lex_state = 54, .external_lex_state = 58},
  [13513] = {.lex_state = 60, .external_lex_state = 48},
  [13514] = {.lex_state = 54, .external_lex_state = 58},
  [13515] = {.lex_state = 53, .external_lex_state = 23},
  [13516] = {.lex_state = 60, .external_lex_state = 39},
  [13517] = {.lex_state = 60, .external_lex_state = 34},
  [13518] = {.lex_state = 60, .external_lex_state = 39},
  [13519] = {.lex_state = 60, .external_lex_state = 29},
  [13520] = {.lex_state = 60, .external_lex_state = 39},
  [13521] = {.lex_state = 54, .external_lex_state = 56},
  [13522] = {.lex_state = 60, .external_lex_state = 48},
  [13523] = {.lex_state = 60, .external_lex_state = 34},
  [13524] = {.lex_state = 54, .external_lex_state = 65},
  [13525] = {.lex_state = 60, .external_lex_state = 52},
  [13526] = {.lex_state = 54, .external_lex_state = 58},
  [13527] = {.lex_state = 54, .external_lex_state = 58},
  [13528] = {.lex_state = 60, .external_lex_state = 38},
  [13529] = {.lex_state = 60, .external_lex_state = 33},
  [13530] = {.lex_state = 60, .external_lex_state = 48},
  [13531] = {.lex_state = 60, .external_lex_state = 48},
  [13532] = {.lex_state = 60, .external_lex_state = 48},
  [13533] = {.lex_state = 54, .external_lex_state = 56},
  [13534] = {.lex_state = 54, .external_lex_state = 58},
  [13535] = {.lex_state = 54, .external_lex_state = 65},
  [13536] = {.lex_state = 54, .external_lex_state = 58},
  [13537] = {.lex_state = 60, .external_lex_state = 48},
  [13538] = {.lex_state = 60, .external_lex_state = 58},
  [13539] = {.lex_state = 54, .external_lex_state = 69},
  [13540] = {.lex_state = 60, .external_lex_state = 52},
  [13541] = {.lex_state = 53, .external_lex_state = 23},
  [13542] = {.lex_state = 60, .external_lex_state = 29},
  [13543] = {.lex_state = 60, .external_lex_state = 50},
  [13544] = {.lex_state = 54, .external_lex_state = 65},
  [13545] = {.lex_state = 60, .external_lex_state = 34},
  [13546] = {.lex_state = 53, .external_lex_state = 23},
  [13547] = {.lex_state = 54, .external_lex_state = 65},
  [13548] = {.lex_state = 60, .external_lex_state = 39},
  [13549] = {.lex_state = 60, .external_lex_state = 38},
  [13550] = {.lex_state = 60, .external_lex_state = 50},
  [13551] = {.lex_state = 53, .external_lex_state = 23},
  [13552] = {.lex_state = 60, .external_lex_state = 48},
  [13553] = {.lex_state = 60, .external_lex_state = 38},
  [13554] = {.lex_state = 60, .external_lex_state = 50},
  [13555] = {.lex_state = 60, .external_lex_state = 44},
  [13556] = {.lex_state = 54, .external_lex_state = 65},
  [13557] = {.lex_state = 60, .external_lex_state = 50},
  [13558] = {.lex_state = 60, .external_lex_state = 56},
  [13559] = {.lex_state = 60, .external_lex_state = 48},
  [13560] = {.lex_state = 60, .external_lex_state = 52},
  [13561] = {.lex_state = 60, .external_lex_state = 39},
  [13562] = {.lex_state = 60, .external_lex_state = 52},
  [13563] = {.lex_state = 54, .external_lex_state = 58},
  [13564] = {.lex_state = 60, .external_lex_state = 48},
  [13565] = {.lex_state = 54, .external_lex_state = 56},
  [13566] = {.lex_state = 54, .external_lex_state = 56},
  [13567] = {.lex_state = 60, .external_lex_state = 44},
  [13568] = {.lex_state = 60, .external_lex_state = 38},
  [13569] = {.lex_state = 54, .external_lex_state = 23},
  [13570] = {.lex_state = 60, .external_lex_state = 56},
  [13571] = {.lex_state = 54, .external_lex_state = 58},
  [13572] = {.lex_state = 54, .external_lex_state = 24},
  [13573] = {.lex_state = 54, .external_lex_state = 58},
  [13574] = {.lex_state = 60, .external_lex_state = 29},
  [13575] = {.lex_state = 53, .external_lex_state = 23},
  [13576] = {.lex_state = 60, .external_lex_state = 29},
  [13577] = {.lex_state = 60, .external_lex_state = 48},
  [13578] = {.lex_state = 54, .external_lex_state = 24},
  [13579] = {.lex_state = 60, .external_lex_state = 41},
  [13580] = {.lex_state = 60, .external_lex_state = 50},
  [13581] = {.lex_state = 60, .external_lex_state = 29},
  [13582] = {.lex_state = 60, .external_lex_state = 52},
  [13583] = {.lex_state = 54, .external_lex_state = 57},
  [13584] = {.lex_state = 60, .external_lex_state = 50},
  [13585] = {.lex_state = 60, .external_lex_state = 48},
  [13586] = {.lex_state = 54, .external_lex_state = 57},
  [13587] = {.lex_state = 60, .external_lex_state = 48},
  [13588] = {.lex_state = 60, .external_lex_state = 50},
  [13589] = {.lex_state = 60, .external_lex_state = 50},
  [13590] = {.lex_state = 54, .external_lex_state = 57},
  [13591] = {.lex_state = 60, .external_lex_state = 39},
  [13592] = {.lex_state = 53, .external_lex_state = 23},
  [13593] = {.lex_state = 60, .external_lex_state = 50},
  [13594] = {.lex_state = 54, .external_lex_state = 57},
  [13595] = {.lex_state = 54, .external_lex_state = 57},
  [13596] = {.lex_state = 60, .external_lex_state = 48},
  [13597] = {.lex_state = 60, .external_lex_state = 48},
  [13598] = {.lex_state = 54, .external_lex_state = 65},
  [13599] = {.lex_state = 60, .external_lex_state = 52},
  [13600] = {.lex_state = 60, .external_lex_state = 50},
  [13601] = {.lex_state = 60, .external_lex_state = 39},
  [13602] = {.lex_state = 60, .external_lex_state = 50},
  [13603] = {.lex_state = 60, .external_lex_state = 52},
  [13604] = {.lex_state = 60, .external_lex_state = 50},
  [13605] = {.lex_state = 60},
  [13606] = {.lex_state = 54, .external_lex_state = 62},
  [13607] = {.lex_state = 54, .external_lex_state = 58},
  [13608] = {.lex_state = 60, .external_lex_state = 29},
  [13609] = {.lex_state = 54, .external_lex_state = 56},
  [13610] = {.lex_state = 54, .external_lex_state = 62},
  [13611] = {.lex_state = 54, .external_lex_state = 62},
  [13612] = {.lex_state = 54, .external_lex_state = 57},
  [13613] = {.lex_state = 60, .external_lex_state = 33},
  [13614] = {.lex_state = 54, .external_lex_state = 56},
  [13615] = {.lex_state = 60, .external_lex_state = 23},
  [13616] = {.lex_state = 60, .external_lex_state = 50},
  [13617] = {.lex_state = 60, .external_lex_state = 50},
  [13618] = {.lex_state = 60, .external_lex_state = 52},
  [13619] = {.lex_state = 60, .external_lex_state = 50},
  [13620] = {.lex_state = 60, .external_lex_state = 48},
  [13621] = {.lex_state = 53, .external_lex_state = 24},
  [13622] = {.lex_state = 54, .external_lex_state = 69},
  [13623] = {.lex_state = 54, .external_lex_state = 65},
  [13624] = {.lex_state = 60, .external_lex_state = 48},
  [13625] = {.lex_state = 60, .external_lex_state = 57},
  [13626] = {.lex_state = 54, .external_lex_state = 57},
  [13627] = {.lex_state = 60, .external_lex_state = 50},
  [13628] = {.lex_state = 54, .external_lex_state = 65},
  [13629] = {.lex_state = 54, .external_lex_state = 57},
  [13630] = {.lex_state = 54, .external_lex_state = 57},
  [13631] = {.lex_state = 54, .external_lex_state = 62},
  [13632] = {.lex_state = 60, .external_lex_state = 40},
  [13633] = {.lex_state = 60, .external_lex_state = 57},
  [13634] = {.lex_state = 54, .external_lex_state = 60},
  [13635] = {.lex_state = 0},
  [13636] = {.lex_state = 60, .external_lex_state = 56},
  [13637] = {.lex_state = 54, .external_lex_state = 60},
  [13638] = {.lex_state = 60, .external_lex_state = 29},
  [13639] = {.lex_state = 60, .external_lex_state = 52},
  [13640] = {.lex_state = 60, .external_lex_state = 56},
  [13641] = {.lex_state = 60, .external_lex_state = 56},
  [13642] = {.lex_state = 60, .external_lex_state = 56},
  [13643] = {.lex_state = 60, .external_lex_state = 41},
  [13644] = {.lex_state = 60, .external_lex_state = 33},
  [13645] = {.lex_state = 0},
  [13646] = {.lex_state = 60, .external_lex_state = 56},
  [13647] = {.lex_state = 60, .external_lex_state = 55},
  [13648] = {.lex_state = 53, .external_lex_state = 24},
  [13649] = {.lex_state = 60, .external_lex_state = 56},
  [13650] = {.lex_state = 60, .external_lex_state = 56},
  [13651] = {.lex_state = 60, .external_lex_state = 52},
  [13652] = {.lex_state = 60, .external_lex_state = 34},
  [13653] = {.lex_state = 60, .external_lex_state = 56},
  [13654] = {.lex_state = 60, .external_lex_state = 56},
  [13655] = {.lex_state = 0},
  [13656] = {.lex_state = 60, .external_lex_state = 33},
  [13657] = {.lex_state = 60, .external_lex_state = 33},
  [13658] = {.lex_state = 60, .external_lex_state = 56},
  [13659] = {.lex_state = 60, .external_lex_state = 56},
  [13660] = {.lex_state = 60, .external_lex_state = 34},
  [13661] = {.lex_state = 60, .external_lex_state = 23},
  [13662] = {.lex_state = 60, .external_lex_state = 56},
  [13663] = {.lex_state = 60, .external_lex_state = 34},
  [13664] = {.lex_state = 60, .external_lex_state = 56},
  [13665] = {.lex_state = 0},
  [13666] = {.lex_state = 53, .external_lex_state = 24},
  [13667] = {.lex_state = 54, .external_lex_state = 24},
  [13668] = {.lex_state = 60, .external_lex_state = 56},
  [13669] = {.lex_state = 54, .external_lex_state = 47},
  [13670] = {.lex_state = 60, .external_lex_state = 56},
  [13671] = {.lex_state = 60, .external_lex_state = 56},
  [13672] = {.lex_state = 60, .external_lex_state = 56},
  [13673] = {.lex_state = 60, .external_lex_state = 24},
  [13674] = {.lex_state = 54, .external_lex_state = 24},
  [13675] = {.lex_state = 60, .external_lex_state = 52},
  [13676] = {.lex_state = 60, .external_lex_state = 56},
  [13677] = {.lex_state = 60, .external_lex_state = 33},
  [13678] = {.lex_state = 60, .external_lex_state = 35},
  [13679] = {.lex_state = 60, .external_lex_state = 56},
  [13680] = {.lex_state = 60, .external_lex_state = 58},
  [13681] = {.lex_state = 60, .external_lex_state = 56},
  [13682] = {.lex_state = 60, .external_lex_state = 24},
  [13683] = {.lex_state = 60, .external_lex_state = 56},
  [13684] = {.lex_state = 60, .external_lex_state = 34},
  [13685] = {.lex_state = 53, .external_lex_state = 24},
  [13686] = {.lex_state = 53, .external_lex_state = 24},
  [13687] = {.lex_state = 60, .external_lex_state = 33},
  [13688] = {.lex_state = 60, .external_lex_state = 67},
  [13689] = {.lex_state = 60, .external_lex_state = 24},
  [13690] = {.lex_state = 60, .external_lex_state = 58},
  [13691] = {.lex_state = 60, .external_lex_state = 33},
  [13692] = {.lex_state = 53, .external_lex_state = 24},
  [13693] = {.lex_state = 60, .external_lex_state = 57},
  [13694] = {.lex_state = 60, .external_lex_state = 34},
  [13695] = {.lex_state = 60, .external_lex_state = 34},
  [13696] = {.lex_state = 60, .external_lex_state = 35},
  [13697] = {.lex_state = 0},
  [13698] = {.lex_state = 0},
  [13699] = {.lex_state = 60, .external_lex_state = 55},
  [13700] = {.lex_state = 60, .external_lex_state = 23},
  [13701] = {.lex_state = 54, .external_lex_state = 60},
  [13702] = {.lex_state = 60, .external_lex_state = 56},
  [13703] = {.lex_state = 60, .external_lex_state = 41},
  [13704] = {.lex_state = 54, .external_lex_state = 23},
  [13705] = {.lex_state = 54, .external_lex_state = 55},
  [13706] = {.lex_state = 53, .external_lex_state = 24},
  [13707] = {.lex_state = 60, .external_lex_state = 68},
  [13708] = {.lex_state = 60, .external_lex_state = 52},
  [13709] = {.lex_state = 60, .external_lex_state = 52},
  [13710] = {.lex_state = 60, .external_lex_state = 34},
  [13711] = {.lex_state = 60, .external_lex_state = 34},
  [13712] = {.lex_state = 54, .external_lex_state = 24},
  [13713] = {.lex_state = 60, .external_lex_state = 56},
  [13714] = {.lex_state = 60, .external_lex_state = 52},
  [13715] = {.lex_state = 60, .external_lex_state = 52},
  [13716] = {.lex_state = 60, .external_lex_state = 67},
  [13717] = {.lex_state = 54, .external_lex_state = 24},
  [13718] = {.lex_state = 60, .external_lex_state = 56},
  [13719] = {.lex_state = 60, .external_lex_state = 56},
  [13720] = {.lex_state = 60, .external_lex_state = 41},
  [13721] = {.lex_state = 53, .external_lex_state = 24},
  [13722] = {.lex_state = 54, .external_lex_state = 24},
  [13723] = {.lex_state = 60, .external_lex_state = 56},
  [13724] = {.lex_state = 53, .external_lex_state = 24},
  [13725] = {.lex_state = 60, .external_lex_state = 58},
  [13726] = {.lex_state = 60, .external_lex_state = 24},
  [13727] = {.lex_state = 60, .external_lex_state = 24},
  [13728] = {.lex_state = 54, .external_lex_state = 35},
  [13729] = {.lex_state = 54, .external_lex_state = 65},
  [13730] = {.lex_state = 60, .external_lex_state = 24},
  [13731] = {.lex_state = 60, .external_lex_state = 34},
  [13732] = {.lex_state = 54, .external_lex_state = 60},
  [13733] = {.lex_state = 60, .external_lex_state = 48},
  [13734] = {.lex_state = 54, .external_lex_state = 60},
  [13735] = {.lex_state = 0},
  [13736] = {.lex_state = 53, .external_lex_state = 24},
  [13737] = {.lex_state = 54, .external_lex_state = 60},
  [13738] = {.lex_state = 0},
  [13739] = {.lex_state = 0},
  [13740] = {.lex_state = 60, .external_lex_state = 40},
  [13741] = {.lex_state = 60, .external_lex_state = 24},
  [13742] = {.lex_state = 60},
  [13743] = {.lex_state = 60, .external_lex_state = 56},
  [13744] = {.lex_state = 54, .external_lex_state = 60},
  [13745] = {.lex_state = 60, .external_lex_state = 40},
  [13746] = {.lex_state = 60, .external_lex_state = 58},
  [13747] = {.lex_state = 60, .external_lex_state = 58},
  [13748] = {.lex_state = 60, .external_lex_state = 52},
  [13749] = {.lex_state = 60, .external_lex_state = 34},
  [13750] = {.lex_state = 60, .external_lex_state = 58},
  [13751] = {.lex_state = 60, .external_lex_state = 39},
  [13752] = {.lex_state = 60, .external_lex_state = 57},
  [13753] = {.lex_state = 54, .external_lex_state = 66},
  [13754] = {.lex_state = 60, .external_lex_state = 57},
  [13755] = {.lex_state = 60, .external_lex_state = 58},
  [13756] = {.lex_state = 60, .external_lex_state = 57},
  [13757] = {.lex_state = 60, .external_lex_state = 57},
  [13758] = {.lex_state = 60, .external_lex_state = 58},
  [13759] = {.lex_state = 60, .external_lex_state = 40},
  [13760] = {.lex_state = 60, .external_lex_state = 58},
  [13761] = {.lex_state = 60, .external_lex_state = 58},
  [13762] = {.lex_state = 53},
  [13763] = {.lex_state = 53},
  [13764] = {.lex_state = 53, .external_lex_state = 23},
  [13765] = {.lex_state = 60, .external_lex_state = 24},
  [13766] = {.lex_state = 60, .external_lex_state = 58},
  [13767] = {.lex_state = 54, .external_lex_state = 24},
  [13768] = {.lex_state = 60, .external_lex_state = 68},
  [13769] = {.lex_state = 60, .external_lex_state = 58},
  [13770] = {.lex_state = 60, .external_lex_state = 41},
  [13771] = {.lex_state = 60, .external_lex_state = 58},
  [13772] = {.lex_state = 60, .external_lex_state = 58},
  [13773] = {.lex_state = 0},
  [13774] = {.lex_state = 60, .external_lex_state = 57},
  [13775] = {.lex_state = 0, .external_lex_state = 23},
  [13776] = {.lex_state = 60, .external_lex_state = 58},
  [13777] = {.lex_state = 60, .external_lex_state = 29},
  [13778] = {.lex_state = 60, .external_lex_state = 58},
  [13779] = {.lex_state = 60, .external_lex_state = 58},
  [13780] = {.lex_state = 54, .external_lex_state = 23},
  [13781] = {.lex_state = 60, .external_lex_state = 58},
  [13782] = {.lex_state = 60, .external_lex_state = 58},
  [13783] = {.lex_state = 60, .external_lex_state = 23},
  [13784] = {.lex_state = 60, .external_lex_state = 24},
  [13785] = {.lex_state = 60, .external_lex_state = 58},
  [13786] = {.lex_state = 60, .external_lex_state = 34},
  [13787] = {.lex_state = 60, .external_lex_state = 34},
  [13788] = {.lex_state = 60, .external_lex_state = 58},
  [13789] = {.lex_state = 60, .external_lex_state = 58},
  [13790] = {.lex_state = 60, .external_lex_state = 40},
  [13791] = {.lex_state = 60, .external_lex_state = 58},
  [13792] = {.lex_state = 60, .external_lex_state = 57},
  [13793] = {.lex_state = 60, .external_lex_state = 23},
  [13794] = {.lex_state = 60, .external_lex_state = 57},
  [13795] = {.lex_state = 60, .external_lex_state = 23},
  [13796] = {.lex_state = 60, .external_lex_state = 57},
  [13797] = {.lex_state = 60, .external_lex_state = 34},
  [13798] = {.lex_state = 60, .external_lex_state = 57},
  [13799] = {.lex_state = 60, .external_lex_state = 24},
  [13800] = {.lex_state = 60, .external_lex_state = 57},
  [13801] = {.lex_state = 54, .external_lex_state = 47},
  [13802] = {.lex_state = 60, .external_lex_state = 29},
  [13803] = {.lex_state = 54},
  [13804] = {.lex_state = 54, .external_lex_state = 60},
  [13805] = {.lex_state = 54, .external_lex_state = 60},
  [13806] = {.lex_state = 60, .external_lex_state = 33},
  [13807] = {.lex_state = 60, .external_lex_state = 38},
  [13808] = {.lex_state = 60, .external_lex_state = 57},
  [13809] = {.lex_state = 60},
  [13810] = {.lex_state = 54, .external_lex_state = 47},
  [13811] = {.lex_state = 60, .external_lex_state = 57},
  [13812] = {.lex_state = 60, .external_lex_state = 57},
  [13813] = {.lex_state = 60, .external_lex_state = 57},
  [13814] = {.lex_state = 60, .external_lex_state = 57},
  [13815] = {.lex_state = 53, .external_lex_state = 24},
  [13816] = {.lex_state = 60, .external_lex_state = 57},
  [13817] = {.lex_state = 60, .external_lex_state = 33},
  [13818] = {.lex_state = 60, .external_lex_state = 57},
  [13819] = {.lex_state = 60},
  [13820] = {.lex_state = 60, .external_lex_state = 38},
  [13821] = {.lex_state = 54, .external_lex_state = 60},
  [13822] = {.lex_state = 60, .external_lex_state = 57},
  [13823] = {.lex_state = 60},
  [13824] = {.lex_state = 60},
  [13825] = {.lex_state = 60, .external_lex_state = 57},
  [13826] = {.lex_state = 60, .external_lex_state = 40},
  [13827] = {.lex_state = 54, .external_lex_state = 47},
  [13828] = {.lex_state = 60},
  [13829] = {.lex_state = 60, .external_lex_state = 29},
  [13830] = {.lex_state = 53, .external_lex_state = 24},
  [13831] = {.lex_state = 60, .external_lex_state = 40},
  [13832] = {.lex_state = 60, .external_lex_state = 40},
  [13833] = {.lex_state = 60, .external_lex_state = 39},
  [13834] = {.lex_state = 60, .external_lex_state = 24},
  [13835] = {.lex_state = 0, .external_lex_state = 23},
  [13836] = {.lex_state = 54, .external_lex_state = 47},
  [13837] = {.lex_state = 54, .external_lex_state = 47},
  [13838] = {.lex_state = 60, .external_lex_state = 54},
  [13839] = {.lex_state = 60, .external_lex_state = 38},
  [13840] = {.lex_state = 60, .external_lex_state = 68},
  [13841] = {.lex_state = 53, .external_lex_state = 24},
  [13842] = {.lex_state = 60, .external_lex_state = 23},
  [13843] = {.lex_state = 60},
  [13844] = {.lex_state = 60},
  [13845] = {.lex_state = 60, .external_lex_state = 34},
  [13846] = {.lex_state = 54, .external_lex_state = 65},
  [13847] = {.lex_state = 53, .external_lex_state = 23},
  [13848] = {.lex_state = 60},
  [13849] = {.lex_state = 54, .external_lex_state = 47},
  [13850] = {.lex_state = 53, .external_lex_state = 24},
  [13851] = {.lex_state = 60, .external_lex_state = 24},
  [13852] = {.lex_state = 60},
  [13853] = {.lex_state = 60, .external_lex_state = 35},
  [13854] = {.lex_state = 60, .external_lex_state = 24},
  [13855] = {.lex_state = 60, .external_lex_state = 24},
  [13856] = {.lex_state = 60},
  [13857] = {.lex_state = 60},
  [13858] = {.lex_state = 60, .external_lex_state = 57},
  [13859] = {.lex_state = 53, .external_lex_state = 24},
  [13860] = {.lex_state = 60, .external_lex_state = 48},
  [13861] = {.lex_state = 60, .external_lex_state = 56},
  [13862] = {.lex_state = 60, .external_lex_state = 38},
  [13863] = {.lex_state = 60, .external_lex_state = 38},
  [13864] = {.lex_state = 54, .external_lex_state = 65},
  [13865] = {.lex_state = 54, .external_lex_state = 65},
  [13866] = {.lex_state = 60, .external_lex_state = 57},
  [13867] = {.lex_state = 60, .external_lex_state = 48},
  [13868] = {.lex_state = 60, .external_lex_state = 24},
  [13869] = {.lex_state = 60, .external_lex_state = 24},
  [13870] = {.lex_state = 54, .external_lex_state = 65},
  [13871] = {.lex_state = 0, .external_lex_state = 23},
  [13872] = {.lex_state = 60, .external_lex_state = 24},
  [13873] = {.lex_state = 60, .external_lex_state = 24},
  [13874] = {.lex_state = 60, .external_lex_state = 23},
  [13875] = {.lex_state = 60, .external_lex_state = 23},
  [13876] = {.lex_state = 60, .external_lex_state = 24},
  [13877] = {.lex_state = 60, .external_lex_state = 35},
  [13878] = {.lex_state = 60, .external_lex_state = 24},
  [13879] = {.lex_state = 60, .external_lex_state = 34},
  [13880] = {.lex_state = 54, .external_lex_state = 65},
  [13881] = {.lex_state = 54, .external_lex_state = 47},
  [13882] = {.lex_state = 60, .external_lex_state = 38},
  [13883] = {.lex_state = 54, .external_lex_state = 47},
  [13884] = {.lex_state = 60, .external_lex_state = 23},
  [13885] = {.lex_state = 60, .external_lex_state = 38},
  [13886] = {.lex_state = 60, .external_lex_state = 23},
  [13887] = {.lex_state = 60, .external_lex_state = 55},
  [13888] = {.lex_state = 60},
  [13889] = {.lex_state = 60},
  [13890] = {.lex_state = 60},
  [13891] = {.lex_state = 54, .external_lex_state = 47},
  [13892] = {.lex_state = 60, .external_lex_state = 24},
  [13893] = {.lex_state = 60, .external_lex_state = 38},
  [13894] = {.lex_state = 60, .external_lex_state = 41},
  [13895] = {.lex_state = 60},
  [13896] = {.lex_state = 60, .external_lex_state = 38},
  [13897] = {.lex_state = 53, .external_lex_state = 23},
  [13898] = {.lex_state = 60, .external_lex_state = 24},
  [13899] = {.lex_state = 60, .external_lex_state = 23},
  [13900] = {.lex_state = 60, .external_lex_state = 48},
  [13901] = {.lex_state = 60},
  [13902] = {.lex_state = 60},
  [13903] = {.lex_state = 60, .external_lex_state = 40},
  [13904] = {.lex_state = 60, .external_lex_state = 54},
  [13905] = {.lex_state = 60, .external_lex_state = 35},
  [13906] = {.lex_state = 53, .external_lex_state = 23},
  [13907] = {.lex_state = 60, .external_lex_state = 68},
  [13908] = {.lex_state = 60},
  [13909] = {.lex_state = 60},
  [13910] = {.lex_state = 54, .external_lex_state = 65},
  [13911] = {.lex_state = 60, .external_lex_state = 40},
  [13912] = {.lex_state = 60, .external_lex_state = 58},
  [13913] = {.lex_state = 60, .external_lex_state = 24},
  [13914] = {.lex_state = 60, .external_lex_state = 67},
  [13915] = {.lex_state = 60, .external_lex_state = 40},
  [13916] = {.lex_state = 53, .external_lex_state = 24},
  [13917] = {.lex_state = 60, .external_lex_state = 39},
  [13918] = {.lex_state = 54, .external_lex_state = 65},
  [13919] = {.lex_state = 54, .external_lex_state = 70},
  [13920] = {.lex_state = 60, .external_lex_state = 41},
  [13921] = {.lex_state = 60, .external_lex_state = 48},
  [13922] = {.lex_state = 60, .external_lex_state = 39},
  [13923] = {.lex_state = 54, .external_lex_state = 70},
  [13924] = {.lex_state = 60, .external_lex_state = 55},
  [13925] = {.lex_state = 60, .external_lex_state = 38},
  [13926] = {.lex_state = 60, .external_lex_state = 39},
  [13927] = {.lex_state = 60, .external_lex_state = 67},
  [13928] = {.lex_state = 60},
  [13929] = {.lex_state = 54, .external_lex_state = 47},
  [13930] = {.lex_state = 60, .external_lex_state = 57},
  [13931] = {.lex_state = 54, .external_lex_state = 47},
  [13932] = {.lex_state = 60, .external_lex_state = 55},
  [13933] = {.lex_state = 60, .external_lex_state = 57},
  [13934] = {.lex_state = 60, .external_lex_state = 39},
  [13935] = {.lex_state = 54, .external_lex_state = 47},
  [13936] = {.lex_state = 54, .external_lex_state = 47},
  [13937] = {.lex_state = 54, .external_lex_state = 69},
  [13938] = {.lex_state = 53, .external_lex_state = 24},
  [13939] = {.lex_state = 60, .external_lex_state = 23},
  [13940] = {.lex_state = 60, .external_lex_state = 48},
  [13941] = {.lex_state = 60, .external_lex_state = 41},
  [13942] = {.lex_state = 60, .external_lex_state = 40},
  [13943] = {.lex_state = 60, .external_lex_state = 40},
  [13944] = {.lex_state = 53, .external_lex_state = 23},
  [13945] = {.lex_state = 54, .external_lex_state = 47},
  [13946] = {.lex_state = 60, .external_lex_state = 38},
  [13947] = {.lex_state = 60, .external_lex_state = 40},
  [13948] = {.lex_state = 60, .external_lex_state = 24},
  [13949] = {.lex_state = 60, .external_lex_state = 24},
  [13950] = {.lex_state = 60, .external_lex_state = 34},
  [13951] = {.lex_state = 60, .external_lex_state = 24},
  [13952] = {.lex_state = 60, .external_lex_state = 23},
  [13953] = {.lex_state = 60, .external_lex_state = 68},
  [13954] = {.lex_state = 60, .external_lex_state = 57},
  [13955] = {.lex_state = 60, .external_lex_state = 54},
  [13956] = {.lex_state = 0, .external_lex_state = 23},
  [13957] = {.lex_state = 60, .external_lex_state = 57},
  [13958] = {.lex_state = 60, .external_lex_state = 24},
  [13959] = {.lex_state = 60, .external_lex_state = 39},
  [13960] = {.lex_state = 60, .external_lex_state = 39},
  [13961] = {.lex_state = 60, .external_lex_state = 24},
  [13962] = {.lex_state = 60, .external_lex_state = 23},
  [13963] = {.lex_state = 60, .external_lex_state = 24},
  [13964] = {.lex_state = 60},
  [13965] = {.lex_state = 60},
  [13966] = {.lex_state = 54, .external_lex_state = 47},
  [13967] = {.lex_state = 60, .external_lex_state = 40},
  [13968] = {.lex_state = 60},
  [13969] = {.lex_state = 60, .external_lex_state = 24},
  [13970] = {.lex_state = 60, .external_lex_state = 40},
  [13971] = {.lex_state = 60, .external_lex_state = 40},
  [13972] = {.lex_state = 53, .external_lex_state = 23},
  [13973] = {.lex_state = 60, .external_lex_state = 57},
  [13974] = {.lex_state = 60, .external_lex_state = 24},
  [13975] = {.lex_state = 60, .external_lex_state = 67},
  [13976] = {.lex_state = 60, .external_lex_state = 24},
  [13977] = {.lex_state = 53, .external_lex_state = 23},
  [13978] = {.lex_state = 60, .external_lex_state = 57},
  [13979] = {.lex_state = 60, .external_lex_state = 39},
  [13980] = {.lex_state = 53, .external_lex_state = 23},
  [13981] = {.lex_state = 60, .external_lex_state = 39},
  [13982] = {.lex_state = 60, .external_lex_state = 24},
  [13983] = {.lex_state = 54, .external_lex_state = 47},
  [13984] = {.lex_state = 54, .external_lex_state = 24},
  [13985] = {.lex_state = 60, .external_lex_state = 24},
  [13986] = {.lex_state = 54, .external_lex_state = 47},
  [13987] = {.lex_state = 60, .external_lex_state = 48},
  [13988] = {.lex_state = 60, .external_lex_state = 54},
  [13989] = {.lex_state = 60},
  [13990] = {.lex_state = 60, .external_lex_state = 24},
  [13991] = {.lex_state = 60, .external_lex_state = 34},
  [13992] = {.lex_state = 60, .external_lex_state = 24},
  [13993] = {.lex_state = 53, .external_lex_state = 23},
  [13994] = {.lex_state = 60, .external_lex_state = 24},
  [13995] = {.lex_state = 54, .external_lex_state = 70},
  [13996] = {.lex_state = 53, .external_lex_state = 23},
  [13997] = {.lex_state = 54, .external_lex_state = 47},
  [13998] = {.lex_state = 60, .external_lex_state = 24},
  [13999] = {.lex_state = 54, .external_lex_state = 24},
  [14000] = {.lex_state = 53, .external_lex_state = 23},
  [14001] = {.lex_state = 54, .external_lex_state = 47},
  [14002] = {.lex_state = 54, .external_lex_state = 70},
  [14003] = {.lex_state = 60, .external_lex_state = 41},
  [14004] = {.lex_state = 60, .external_lex_state = 40},
  [14005] = {.lex_state = 53, .external_lex_state = 24},
  [14006] = {.lex_state = 54, .external_lex_state = 47},
  [14007] = {.lex_state = 60, .external_lex_state = 38},
  [14008] = {.lex_state = 60, .external_lex_state = 58},
  [14009] = {.lex_state = 60, .external_lex_state = 23},
  [14010] = {.lex_state = 60, .external_lex_state = 55},
  [14011] = {.lex_state = 60, .external_lex_state = 35},
  [14012] = {.lex_state = 0, .external_lex_state = 23},
  [14013] = {.lex_state = 60, .external_lex_state = 40},
  [14014] = {.lex_state = 54, .external_lex_state = 65},
  [14015] = {.lex_state = 54, .external_lex_state = 71},
  [14016] = {.lex_state = 60, .external_lex_state = 55},
  [14017] = {.lex_state = 60, .external_lex_state = 55},
  [14018] = {.lex_state = 60, .external_lex_state = 55},
  [14019] = {.lex_state = 60, .external_lex_state = 35},
  [14020] = {.lex_state = 60, .external_lex_state = 35},
  [14021] = {.lex_state = 60},
  [14022] = {.lex_state = 60, .external_lex_state = 35},
  [14023] = {.lex_state = 53, .external_lex_state = 23},
  [14024] = {.lex_state = 53, .external_lex_state = 23},
  [14025] = {.lex_state = 60, .external_lex_state = 35},
  [14026] = {.lex_state = 54, .external_lex_state = 65},
  [14027] = {.lex_state = 0, .external_lex_state = 24},
  [14028] = {.lex_state = 60, .external_lex_state = 48},
  [14029] = {.lex_state = 54, .external_lex_state = 65},
  [14030] = {.lex_state = 60},
  [14031] = {.lex_state = 60, .external_lex_state = 35},
  [14032] = {.lex_state = 6},
  [14033] = {.lex_state = 60, .external_lex_state = 40},
  [14034] = {.lex_state = 60, .external_lex_state = 40},
  [14035] = {.lex_state = 54, .external_lex_state = 65},
  [14036] = {.lex_state = 0},
  [14037] = {.lex_state = 54, .external_lex_state = 65},
  [14038] = {.lex_state = 60, .external_lex_state = 35},
  [14039] = {.lex_state = 60},
  [14040] = {.lex_state = 60, .external_lex_state = 40},
  [14041] = {.lex_state = 60},
  [14042] = {.lex_state = 6},
  [14043] = {.lex_state = 60},
  [14044] = {.lex_state = 60, .external_lex_state = 67},
  [14045] = {.lex_state = 60, .external_lex_state = 55},
  [14046] = {.lex_state = 53, .external_lex_state = 24},
  [14047] = {.lex_state = 60, .external_lex_state = 55},
  [14048] = {.lex_state = 60, .external_lex_state = 23},
  [14049] = {.lex_state = 54, .external_lex_state = 71},
  [14050] = {.lex_state = 0, .external_lex_state = 23},
  [14051] = {.lex_state = 60, .external_lex_state = 55},
  [14052] = {.lex_state = 60, .external_lex_state = 23},
  [14053] = {.lex_state = 53, .external_lex_state = 23},
  [14054] = {.lex_state = 54},
  [14055] = {.lex_state = 53, .external_lex_state = 23},
  [14056] = {.lex_state = 53, .external_lex_state = 23},
  [14057] = {.lex_state = 60},
  [14058] = {.lex_state = 53, .external_lex_state = 23},
  [14059] = {.lex_state = 60, .external_lex_state = 41},
  [14060] = {.lex_state = 60, .external_lex_state = 41},
  [14061] = {.lex_state = 0, .external_lex_state = 24},
  [14062] = {.lex_state = 53, .external_lex_state = 23},
  [14063] = {.lex_state = 54, .external_lex_state = 65},
  [14064] = {.lex_state = 60, .external_lex_state = 24},
  [14065] = {.lex_state = 60, .external_lex_state = 41},
  [14066] = {.lex_state = 60, .external_lex_state = 35},
  [14067] = {.lex_state = 60, .external_lex_state = 55},
  [14068] = {.lex_state = 60, .external_lex_state = 23},
  [14069] = {.lex_state = 60, .external_lex_state = 40},
  [14070] = {.lex_state = 60},
  [14071] = {.lex_state = 60, .external_lex_state = 55},
  [14072] = {.lex_state = 60, .external_lex_state = 41},
  [14073] = {.lex_state = 60, .external_lex_state = 23},
  [14074] = {.lex_state = 60, .external_lex_state = 57},
  [14075] = {.lex_state = 54, .external_lex_state = 65},
  [14076] = {.lex_state = 60, .external_lex_state = 23},
  [14077] = {.lex_state = 54, .external_lex_state = 65},
  [14078] = {.lex_state = 53, .external_lex_state = 24},
  [14079] = {.lex_state = 53, .external_lex_state = 23},
  [14080] = {.lex_state = 60},
  [14081] = {.lex_state = 60, .external_lex_state = 55},
  [14082] = {.lex_state = 60, .external_lex_state = 41},
  [14083] = {.lex_state = 60, .external_lex_state = 41},
  [14084] = {.lex_state = 0, .external_lex_state = 23},
  [14085] = {.lex_state = 60, .external_lex_state = 41},
  [14086] = {.lex_state = 60, .external_lex_state = 41},
  [14087] = {.lex_state = 60},
  [14088] = {.lex_state = 60, .external_lex_state = 55},
  [14089] = {.lex_state = 53, .external_lex_state = 24},
  [14090] = {.lex_state = 60},
  [14091] = {.lex_state = 0, .external_lex_state = 23},
  [14092] = {.lex_state = 60, .external_lex_state = 24},
  [14093] = {.lex_state = 60, .external_lex_state = 24},
  [14094] = {.lex_state = 60, .external_lex_state = 24},
  [14095] = {.lex_state = 60, .external_lex_state = 23},
  [14096] = {.lex_state = 60},
  [14097] = {.lex_state = 60, .external_lex_state = 23},
  [14098] = {.lex_state = 60, .external_lex_state = 57},
  [14099] = {.lex_state = 0, .external_lex_state = 23},
  [14100] = {.lex_state = 60, .external_lex_state = 23},
  [14101] = {.lex_state = 54, .external_lex_state = 65},
  [14102] = {.lex_state = 60},
  [14103] = {.lex_state = 60},
  [14104] = {.lex_state = 54},
  [14105] = {.lex_state = 54},
  [14106] = {.lex_state = 60},
  [14107] = {.lex_state = 60, .external_lex_state = 24},
  [14108] = {.lex_state = 60, .external_lex_state = 24},
  [14109] = {.lex_state = 60},
  [14110] = {.lex_state = 0, .external_lex_state = 23},
  [14111] = {.lex_state = 60},
  [14112] = {.lex_state = 60},
  [14113] = {.lex_state = 60, .external_lex_state = 23},
  [14114] = {.lex_state = 60, .external_lex_state = 48},
  [14115] = {.lex_state = 54, .external_lex_state = 65},
  [14116] = {.lex_state = 60, .external_lex_state = 24},
  [14117] = {.lex_state = 60},
  [14118] = {.lex_state = 54, .external_lex_state = 65},
  [14119] = {.lex_state = 54, .external_lex_state = 71},
  [14120] = {.lex_state = 54, .external_lex_state = 65},
  [14121] = {.lex_state = 60},
  [14122] = {.lex_state = 60, .external_lex_state = 24},
  [14123] = {.lex_state = 60, .external_lex_state = 23},
  [14124] = {.lex_state = 60, .external_lex_state = 24},
  [14125] = {.lex_state = 0, .external_lex_state = 24},
  [14126] = {.lex_state = 60, .external_lex_state = 23},
  [14127] = {.lex_state = 53, .external_lex_state = 23},
  [14128] = {.lex_state = 60, .external_lex_state = 35},
  [14129] = {.lex_state = 0, .external_lex_state = 23},
  [14130] = {.lex_state = 60, .external_lex_state = 23},
  [14131] = {.lex_state = 53, .external_lex_state = 24},
  [14132] = {.lex_state = 60},
  [14133] = {.lex_state = 60, .external_lex_state = 23},
  [14134] = {.lex_state = 53, .external_lex_state = 24},
  [14135] = {.lex_state = 60, .external_lex_state = 68},
  [14136] = {.lex_state = 60, .external_lex_state = 35},
  [14137] = {.lex_state = 60},
  [14138] = {.lex_state = 60},
  [14139] = {.lex_state = 54},
  [14140] = {.lex_state = 60, .external_lex_state = 23},
  [14141] = {.lex_state = 60},
  [14142] = {.lex_state = 53, .external_lex_state = 23},
  [14143] = {.lex_state = 60, .external_lex_state = 23},
  [14144] = {.lex_state = 60},
  [14145] = {.lex_state = 54, .external_lex_state = 65},
  [14146] = {.lex_state = 54, .external_lex_state = 65},
  [14147] = {.lex_state = 60},
  [14148] = {.lex_state = 60, .external_lex_state = 23},
  [14149] = {.lex_state = 0, .external_lex_state = 24},
  [14150] = {.lex_state = 60, .external_lex_state = 35},
  [14151] = {.lex_state = 53, .external_lex_state = 23},
  [14152] = {.lex_state = 60, .external_lex_state = 55},
  [14153] = {.lex_state = 54, .external_lex_state = 65},
  [14154] = {.lex_state = 53, .external_lex_state = 23},
  [14155] = {.lex_state = 60},
  [14156] = {.lex_state = 0, .external_lex_state = 23},
  [14157] = {.lex_state = 60},
  [14158] = {.lex_state = 0, .external_lex_state = 23},
  [14159] = {.lex_state = 60, .external_lex_state = 40},
  [14160] = {.lex_state = 60, .external_lex_state = 23},
  [14161] = {.lex_state = 0, .external_lex_state = 23},
  [14162] = {.lex_state = 60, .external_lex_state = 23},
  [14163] = {.lex_state = 60, .external_lex_state = 35},
  [14164] = {.lex_state = 60},
  [14165] = {.lex_state = 0},
  [14166] = {.lex_state = 60, .external_lex_state = 23},
  [14167] = {.lex_state = 0, .external_lex_state = 23},
  [14168] = {.lex_state = 0},
  [14169] = {.lex_state = 54, .external_lex_state = 71},
  [14170] = {.lex_state = 0},
  [14171] = {.lex_state = 0},
  [14172] = {.lex_state = 60},
  [14173] = {.lex_state = 60, .external_lex_state = 23},
  [14174] = {.lex_state = 60, .external_lex_state = 23},
  [14175] = {.lex_state = 60, .external_lex_state = 68},
  [14176] = {.lex_state = 60, .external_lex_state = 23},
  [14177] = {.lex_state = 0},
  [14178] = {.lex_state = 0},
  [14179] = {.lex_state = 0, .external_lex_state = 24},
  [14180] = {.lex_state = 0},
  [14181] = {.lex_state = 60},
  [14182] = {.lex_state = 60, .external_lex_state = 23},
  [14183] = {.lex_state = 60, .external_lex_state = 23},
  [14184] = {.lex_state = 54, .external_lex_state = 71},
  [14185] = {.lex_state = 60, .external_lex_state = 67},
  [14186] = {.lex_state = 60, .external_lex_state = 23},
  [14187] = {.lex_state = 60, .external_lex_state = 23},
  [14188] = {.lex_state = 60, .external_lex_state = 23},
  [14189] = {.lex_state = 0},
  [14190] = {.lex_state = 60, .external_lex_state = 68},
  [14191] = {.lex_state = 60, .external_lex_state = 23},
  [14192] = {.lex_state = 60, .external_lex_state = 23},
  [14193] = {.lex_state = 60, .external_lex_state = 23},
  [14194] = {.lex_state = 60},
  [14195] = {.lex_state = 60},
  [14196] = {.lex_state = 60, .external_lex_state = 23},
  [14197] = {.lex_state = 0},
  [14198] = {.lex_state = 60, .external_lex_state = 67},
  [14199] = {.lex_state = 0},
  [14200] = {.lex_state = 60},
  [14201] = {.lex_state = 60},
  [14202] = {.lex_state = 60, .external_lex_state = 23},
  [14203] = {.lex_state = 60, .external_lex_state = 23},
  [14204] = {.lex_state = 0},
  [14205] = {.lex_state = 60, .external_lex_state = 67},
  [14206] = {.lex_state = 0},
  [14207] = {.lex_state = 60, .external_lex_state = 23},
  [14208] = {.lex_state = 60, .external_lex_state = 23},
  [14209] = {.lex_state = 0},
  [14210] = {.lex_state = 60, .external_lex_state = 23},
  [14211] = {.lex_state = 54, .external_lex_state = 71},
  [14212] = {.lex_state = 60, .external_lex_state = 23},
  [14213] = {.lex_state = 60},
  [14214] = {.lex_state = 60, .external_lex_state = 23},
  [14215] = {.lex_state = 0},
  [14216] = {.lex_state = 60},
  [14217] = {.lex_state = 60},
  [14218] = {.lex_state = 60, .external_lex_state = 23},
  [14219] = {.lex_state = 60, .external_lex_state = 23},
  [14220] = {.lex_state = 0},
  [14221] = {.lex_state = 60},
  [14222] = {.lex_state = 60, .external_lex_state = 23},
  [14223] = {.lex_state = 60, .external_lex_state = 23},
  [14224] = {.lex_state = 0},
  [14225] = {.lex_state = 60, .external_lex_state = 23},
  [14226] = {.lex_state = 54, .external_lex_state = 71},
  [14227] = {.lex_state = 60, .external_lex_state = 23},
  [14228] = {.lex_state = 53, .external_lex_state = 24},
  [14229] = {.lex_state = 60, .external_lex_state = 23},
  [14230] = {.lex_state = 0},
  [14231] = {.lex_state = 0, .external_lex_state = 23},
  [14232] = {.lex_state = 60, .external_lex_state = 67},
  [14233] = {.lex_state = 0},
  [14234] = {.lex_state = 0},
  [14235] = {.lex_state = 60, .external_lex_state = 23},
  [14236] = {.lex_state = 0},
  [14237] = {.lex_state = 60, .external_lex_state = 23},
  [14238] = {.lex_state = 54, .external_lex_state = 65},
  [14239] = {.lex_state = 0},
  [14240] = {.lex_state = 60, .external_lex_state = 23},
  [14241] = {.lex_state = 54, .external_lex_state = 71},
  [14242] = {.lex_state = 0},
  [14243] = {.lex_state = 53, .external_lex_state = 24},
  [14244] = {.lex_state = 0, .external_lex_state = 23},
  [14245] = {.lex_state = 0},
  [14246] = {.lex_state = 54, .external_lex_state = 71},
  [14247] = {.lex_state = 60, .external_lex_state = 23},
  [14248] = {.lex_state = 60, .external_lex_state = 23},
  [14249] = {.lex_state = 0},
  [14250] = {.lex_state = 60, .external_lex_state = 23},
  [14251] = {.lex_state = 0, .external_lex_state = 23},
  [14252] = {.lex_state = 0},
  [14253] = {.lex_state = 0},
  [14254] = {.lex_state = 0, .external_lex_state = 23},
  [14255] = {.lex_state = 60, .external_lex_state = 68},
  [14256] = {.lex_state = 60, .external_lex_state = 58},
  [14257] = {.lex_state = 60, .external_lex_state = 23},
  [14258] = {.lex_state = 0},
  [14259] = {.lex_state = 54, .external_lex_state = 24},
  [14260] = {.lex_state = 60, .external_lex_state = 23},
  [14261] = {.lex_state = 60, .external_lex_state = 23},
  [14262] = {.lex_state = 53, .external_lex_state = 24},
  [14263] = {.lex_state = 60, .external_lex_state = 23},
  [14264] = {.lex_state = 60, .external_lex_state = 23},
  [14265] = {.lex_state = 53, .external_lex_state = 24},
  [14266] = {.lex_state = 0},
  [14267] = {.lex_state = 0},
  [14268] = {.lex_state = 60, .external_lex_state = 58},
  [14269] = {.lex_state = 60, .external_lex_state = 68},
  [14270] = {.lex_state = 0},
  [14271] = {.lex_state = 60},
  [14272] = {.lex_state = 60, .external_lex_state = 23},
  [14273] = {.lex_state = 0},
  [14274] = {.lex_state = 60, .external_lex_state = 24},
  [14275] = {.lex_state = 60, .external_lex_state = 24},
  [14276] = {.lex_state = 60, .external_lex_state = 23},
  [14277] = {.lex_state = 0},
  [14278] = {.lex_state = 60, .external_lex_state = 67},
  [14279] = {.lex_state = 0},
  [14280] = {.lex_state = 0},
  [14281] = {.lex_state = 0},
  [14282] = {.lex_state = 60, .external_lex_state = 23},
  [14283] = {.lex_state = 0},
  [14284] = {.lex_state = 53, .external_lex_state = 24},
  [14285] = {.lex_state = 0},
  [14286] = {.lex_state = 0},
  [14287] = {.lex_state = 53, .external_lex_state = 24},
  [14288] = {.lex_state = 0},
  [14289] = {.lex_state = 0},
  [14290] = {.lex_state = 0, .external_lex_state = 24},
  [14291] = {.lex_state = 60, .external_lex_state = 23},
  [14292] = {.lex_state = 0, .external_lex_state = 23},
  [14293] = {.lex_state = 0},
  [14294] = {.lex_state = 0},
  [14295] = {.lex_state = 53, .external_lex_state = 24},
  [14296] = {.lex_state = 0},
  [14297] = {.lex_state = 60, .external_lex_state = 23},
  [14298] = {.lex_state = 54, .external_lex_state = 71},
  [14299] = {.lex_state = 60, .external_lex_state = 23},
  [14300] = {.lex_state = 60, .external_lex_state = 23},
  [14301] = {.lex_state = 0},
  [14302] = {.lex_state = 60, .external_lex_state = 24},
  [14303] = {.lex_state = 60, .external_lex_state = 54},
  [14304] = {.lex_state = 60, .external_lex_state = 54},
  [14305] = {.lex_state = 60, .external_lex_state = 23},
  [14306] = {.lex_state = 0},
  [14307] = {.lex_state = 54, .external_lex_state = 71},
  [14308] = {.lex_state = 53, .external_lex_state = 24},
  [14309] = {.lex_state = 60, .external_lex_state = 23},
  [14310] = {.lex_state = 0},
  [14311] = {.lex_state = 54, .external_lex_state = 47},
  [14312] = {.lex_state = 60, .external_lex_state = 54},
  [14313] = {.lex_state = 54, .external_lex_state = 47},
  [14314] = {.lex_state = 60, .external_lex_state = 54},
  [14315] = {.lex_state = 0},
  [14316] = {.lex_state = 54, .external_lex_state = 47},
  [14317] = {.lex_state = 60, .external_lex_state = 23},
  [14318] = {.lex_state = 53, .external_lex_state = 24},
  [14319] = {.lex_state = 60, .external_lex_state = 23},
  [14320] = {.lex_state = 60, .external_lex_state = 23},
  [14321] = {.lex_state = 0},
  [14322] = {.lex_state = 0},
  [14323] = {.lex_state = 60, .external_lex_state = 23},
  [14324] = {.lex_state = 54, .external_lex_state = 47},
  [14325] = {.lex_state = 60, .external_lex_state = 23},
  [14326] = {.lex_state = 54, .external_lex_state = 47},
  [14327] = {.lex_state = 60, .external_lex_state = 23},
  [14328] = {.lex_state = 54, .external_lex_state = 47},
  [14329] = {.lex_state = 60, .external_lex_state = 23},
  [14330] = {.lex_state = 60, .external_lex_state = 24},
  [14331] = {.lex_state = 0, .external_lex_state = 23},
  [14332] = {.lex_state = 60, .external_lex_state = 58},
  [14333] = {.lex_state = 60, .external_lex_state = 23},
  [14334] = {.lex_state = 60, .external_lex_state = 23},
  [14335] = {.lex_state = 0},
  [14336] = {.lex_state = 0, .external_lex_state = 24},
  [14337] = {.lex_state = 60, .external_lex_state = 23},
  [14338] = {.lex_state = 60, .external_lex_state = 54},
  [14339] = {.lex_state = 60, .external_lex_state = 23},
  [14340] = {.lex_state = 0},
  [14341] = {.lex_state = 0, .external_lex_state = 24},
  [14342] = {.lex_state = 60, .external_lex_state = 23},
  [14343] = {.lex_state = 60, .external_lex_state = 23},
  [14344] = {.lex_state = 0, .external_lex_state = 23},
  [14345] = {.lex_state = 0},
  [14346] = {.lex_state = 60, .external_lex_state = 23},
  [14347] = {.lex_state = 60, .external_lex_state = 24},
  [14348] = {.lex_state = 0},
  [14349] = {.lex_state = 0},
  [14350] = {.lex_state = 60},
  [14351] = {.lex_state = 60, .external_lex_state = 24},
  [14352] = {.lex_state = 60, .external_lex_state = 24},
  [14353] = {.lex_state = 0},
  [14354] = {.lex_state = 0},
  [14355] = {.lex_state = 60, .external_lex_state = 54},
  [14356] = {.lex_state = 60, .external_lex_state = 54},
  [14357] = {.lex_state = 0},
  [14358] = {.lex_state = 54, .external_lex_state = 71},
  [14359] = {.lex_state = 60, .external_lex_state = 23},
  [14360] = {.lex_state = 54, .external_lex_state = 71},
  [14361] = {.lex_state = 60, .external_lex_state = 67},
  [14362] = {.lex_state = 60, .external_lex_state = 23},
  [14363] = {.lex_state = 0, .external_lex_state = 24},
  [14364] = {.lex_state = 0},
  [14365] = {.lex_state = 60, .external_lex_state = 54},
  [14366] = {.lex_state = 60, .external_lex_state = 24},
  [14367] = {.lex_state = 0, .external_lex_state = 24},
  [14368] = {.lex_state = 60, .external_lex_state = 68},
  [14369] = {.lex_state = 60, .external_lex_state = 24},
  [14370] = {.lex_state = 53, .external_lex_state = 23},
  [14371] = {.lex_state = 60, .external_lex_state = 24},
  [14372] = {.lex_state = 54},
  [14373] = {.lex_state = 0},
  [14374] = {.lex_state = 54, .external_lex_state = 71},
  [14375] = {.lex_state = 60, .external_lex_state = 23},
  [14376] = {.lex_state = 60, .external_lex_state = 23},
  [14377] = {.lex_state = 53, .external_lex_state = 23},
  [14378] = {.lex_state = 0},
  [14379] = {.lex_state = 60, .external_lex_state = 24},
  [14380] = {.lex_state = 60, .external_lex_state = 23},
  [14381] = {.lex_state = 0},
  [14382] = {.lex_state = 60, .external_lex_state = 68},
  [14383] = {.lex_state = 53, .external_lex_state = 23},
  [14384] = {.lex_state = 60, .external_lex_state = 67},
  [14385] = {.lex_state = 54, .external_lex_state = 71},
  [14386] = {.lex_state = 60, .external_lex_state = 23},
  [14387] = {.lex_state = 0},
  [14388] = {.lex_state = 60, .external_lex_state = 23},
  [14389] = {.lex_state = 54, .external_lex_state = 71},
  [14390] = {.lex_state = 0},
  [14391] = {.lex_state = 60, .external_lex_state = 23},
  [14392] = {.lex_state = 0},
  [14393] = {.lex_state = 53, .external_lex_state = 23},
  [14394] = {.lex_state = 54, .external_lex_state = 71},
  [14395] = {.lex_state = 54, .external_lex_state = 71},
  [14396] = {.lex_state = 0},
  [14397] = {.lex_state = 60, .external_lex_state = 23},
  [14398] = {.lex_state = 60, .external_lex_state = 23},
  [14399] = {.lex_state = 54, .external_lex_state = 71},
  [14400] = {.lex_state = 54, .external_lex_state = 71},
  [14401] = {.lex_state = 60, .external_lex_state = 23},
  [14402] = {.lex_state = 0},
  [14403] = {.lex_state = 54, .external_lex_state = 71},
  [14404] = {.lex_state = 0},
  [14405] = {.lex_state = 0},
  [14406] = {.lex_state = 0},
  [14407] = {.lex_state = 60, .external_lex_state = 68},
  [14408] = {.lex_state = 0, .external_lex_state = 23},
  [14409] = {.lex_state = 60, .external_lex_state = 23},
  [14410] = {.lex_state = 54, .external_lex_state = 71},
  [14411] = {.lex_state = 0},
  [14412] = {.lex_state = 60, .external_lex_state = 23},
  [14413] = {.lex_state = 54, .external_lex_state = 71},
  [14414] = {.lex_state = 60, .external_lex_state = 23},
  [14415] = {.lex_state = 54},
  [14416] = {.lex_state = 0},
  [14417] = {.lex_state = 60, .external_lex_state = 58},
  [14418] = {.lex_state = 60, .external_lex_state = 24},
  [14419] = {.lex_state = 0, .external_lex_state = 24},
  [14420] = {.lex_state = 53},
  [14421] = {.lex_state = 60},
  [14422] = {.lex_state = 0, .external_lex_state = 25},
  [14423] = {.lex_state = 60, .external_lex_state = 64},
  [14424] = {.lex_state = 53},
  [14425] = {.lex_state = 0, .external_lex_state = 25},
  [14426] = {.lex_state = 60},
  [14427] = {.lex_state = 0},
  [14428] = {.lex_state = 54, .external_lex_state = 47},
  [14429] = {.lex_state = 0, .external_lex_state = 23},
  [14430] = {.lex_state = 60, .external_lex_state = 64},
  [14431] = {.lex_state = 60},
  [14432] = {.lex_state = 60},
  [14433] = {.lex_state = 0, .external_lex_state = 25},
  [14434] = {.lex_state = 60, .external_lex_state = 64},
  [14435] = {.lex_state = 0, .external_lex_state = 25},
  [14436] = {.lex_state = 60},
  [14437] = {.lex_state = 0, .external_lex_state = 23},
  [14438] = {.lex_state = 0},
  [14439] = {.lex_state = 60, .external_lex_state = 64},
  [14440] = {.lex_state = 60},
  [14441] = {.lex_state = 60},
  [14442] = {.lex_state = 0, .external_lex_state = 25},
  [14443] = {.lex_state = 0, .external_lex_state = 23},
  [14444] = {.lex_state = 60, .external_lex_state = 64},
  [14445] = {.lex_state = 60},
  [14446] = {.lex_state = 0, .external_lex_state = 25},
  [14447] = {.lex_state = 60},
  [14448] = {.lex_state = 0},
  [14449] = {.lex_state = 60, .external_lex_state = 64},
  [14450] = {.lex_state = 60},
  [14451] = {.lex_state = 60},
  [14452] = {.lex_state = 0, .external_lex_state = 25},
  [14453] = {.lex_state = 60, .external_lex_state = 64},
  [14454] = {.lex_state = 0, .external_lex_state = 25},
  [14455] = {.lex_state = 60},
  [14456] = {.lex_state = 53, .external_lex_state = 23},
  [14457] = {.lex_state = 60, .external_lex_state = 64},
  [14458] = {.lex_state = 60},
  [14459] = {.lex_state = 60},
  [14460] = {.lex_state = 0, .external_lex_state = 25},
  [14461] = {.lex_state = 60},
  [14462] = {.lex_state = 0, .external_lex_state = 23},
  [14463] = {.lex_state = 60, .external_lex_state = 64},
  [14464] = {.lex_state = 0, .external_lex_state = 25},
  [14465] = {.lex_state = 60},
  [14466] = {.lex_state = 0, .external_lex_state = 25},
  [14467] = {.lex_state = 0, .external_lex_state = 23},
  [14468] = {.lex_state = 60, .external_lex_state = 64},
  [14469] = {.lex_state = 60},
  [14470] = {.lex_state = 60},
  [14471] = {.lex_state = 0, .external_lex_state = 25},
  [14472] = {.lex_state = 0, .external_lex_state = 23},
  [14473] = {.lex_state = 60},
  [14474] = {.lex_state = 60, .external_lex_state = 64},
  [14475] = {.lex_state = 0, .external_lex_state = 25},
  [14476] = {.lex_state = 60},
  [14477] = {.lex_state = 60, .external_lex_state = 64},
  [14478] = {.lex_state = 60},
  [14479] = {.lex_state = 60},
  [14480] = {.lex_state = 0},
  [14481] = {.lex_state = 0},
  [14482] = {.lex_state = 0, .external_lex_state = 25},
  [14483] = {.lex_state = 60, .external_lex_state = 64},
  [14484] = {.lex_state = 0},
  [14485] = {.lex_state = 60, .external_lex_state = 64},
  [14486] = {.lex_state = 0, .external_lex_state = 24},
  [14487] = {.lex_state = 0, .external_lex_state = 25},
  [14488] = {.lex_state = 60},
  [14489] = {.lex_state = 60, .external_lex_state = 64},
  [14490] = {.lex_state = 60},
  [14491] = {.lex_state = 60},
  [14492] = {.lex_state = 0, .external_lex_state = 25},
  [14493] = {.lex_state = 60, .external_lex_state = 64},
  [14494] = {.lex_state = 0, .external_lex_state = 23},
  [14495] = {.lex_state = 0, .external_lex_state = 25},
  [14496] = {.lex_state = 60},
  [14497] = {.lex_state = 53, .external_lex_state = 23},
  [14498] = {.lex_state = 0, .external_lex_state = 25},
  [14499] = {.lex_state = 60},
  [14500] = {.lex_state = 60, .external_lex_state = 64},
  [14501] = {.lex_state = 60},
  [14502] = {.lex_state = 60},
  [14503] = {.lex_state = 0, .external_lex_state = 25},
  [14504] = {.lex_state = 0, .external_lex_state = 23},
  [14505] = {.lex_state = 60, .external_lex_state = 64},
  [14506] = {.lex_state = 53},
  [14507] = {.lex_state = 0, .external_lex_state = 25},
  [14508] = {.lex_state = 60},
  [14509] = {.lex_state = 0, .external_lex_state = 23},
  [14510] = {.lex_state = 0},
  [14511] = {.lex_state = 0},
  [14512] = {.lex_state = 60, .external_lex_state = 23},
  [14513] = {.lex_state = 60, .external_lex_state = 64},
  [14514] = {.lex_state = 60},
  [14515] = {.lex_state = 0, .external_lex_state = 23},
  [14516] = {.lex_state = 60},
  [14517] = {.lex_state = 0, .external_lex_state = 25},
  [14518] = {.lex_state = 60, .external_lex_state = 64},
  [14519] = {.lex_state = 0},
  [14520] = {.lex_state = 0, .external_lex_state = 25},
  [14521] = {.lex_state = 0},
  [14522] = {.lex_state = 60, .external_lex_state = 64},
  [14523] = {.lex_state = 0},
  [14524] = {.lex_state = 60},
  [14525] = {.lex_state = 0},
  [14526] = {.lex_state = 60},
  [14527] = {.lex_state = 60},
  [14528] = {.lex_state = 0},
  [14529] = {.lex_state = 0, .external_lex_state = 25},
  [14530] = {.lex_state = 54, .external_lex_state = 47},
  [14531] = {.lex_state = 60, .external_lex_state = 64},
  [14532] = {.lex_state = 60},
  [14533] = {.lex_state = 0, .external_lex_state = 24},
  [14534] = {.lex_state = 0, .external_lex_state = 25},
  [14535] = {.lex_state = 60},
  [14536] = {.lex_state = 60, .external_lex_state = 64},
  [14537] = {.lex_state = 60},
  [14538] = {.lex_state = 60},
  [14539] = {.lex_state = 0, .external_lex_state = 25},
  [14540] = {.lex_state = 60, .external_lex_state = 64},
  [14541] = {.lex_state = 0, .external_lex_state = 23},
  [14542] = {.lex_state = 0, .external_lex_state = 25},
  [14543] = {.lex_state = 60},
  [14544] = {.lex_state = 60, .external_lex_state = 64},
  [14545] = {.lex_state = 60},
  [14546] = {.lex_state = 60},
  [14547] = {.lex_state = 0, .external_lex_state = 25},
  [14548] = {.lex_state = 53},
  [14549] = {.lex_state = 60, .external_lex_state = 64},
  [14550] = {.lex_state = 53, .external_lex_state = 23},
  [14551] = {.lex_state = 0, .external_lex_state = 25},
  [14552] = {.lex_state = 60},
  [14553] = {.lex_state = 60},
  [14554] = {.lex_state = 60},
  [14555] = {.lex_state = 0, .external_lex_state = 25},
  [14556] = {.lex_state = 60, .external_lex_state = 64},
  [14557] = {.lex_state = 0, .external_lex_state = 23},
  [14558] = {.lex_state = 53},
  [14559] = {.lex_state = 0},
  [14560] = {.lex_state = 0, .external_lex_state = 25},
  [14561] = {.lex_state = 60},
  [14562] = {.lex_state = 0},
  [14563] = {.lex_state = 60, .external_lex_state = 64},
  [14564] = {.lex_state = 60},
  [14565] = {.lex_state = 60},
  [14566] = {.lex_state = 0, .external_lex_state = 25},
  [14567] = {.lex_state = 53},
  [14568] = {.lex_state = 60, .external_lex_state = 64},
  [14569] = {.lex_state = 0},
  [14570] = {.lex_state = 60, .external_lex_state = 64},
  [14571] = {.lex_state = 0},
  [14572] = {.lex_state = 0, .external_lex_state = 25},
  [14573] = {.lex_state = 60},
  [14574] = {.lex_state = 60},
  [14575] = {.lex_state = 60, .external_lex_state = 64},
  [14576] = {.lex_state = 60},
  [14577] = {.lex_state = 60},
  [14578] = {.lex_state = 0, .external_lex_state = 25},
  [14579] = {.lex_state = 60},
  [14580] = {.lex_state = 53},
  [14581] = {.lex_state = 60, .external_lex_state = 64},
  [14582] = {.lex_state = 0, .external_lex_state = 25},
  [14583] = {.lex_state = 60},
  [14584] = {.lex_state = 53, .external_lex_state = 23},
  [14585] = {.lex_state = 53},
  [14586] = {.lex_state = 53},
  [14587] = {.lex_state = 0, .external_lex_state = 23},
  [14588] = {.lex_state = 0, .external_lex_state = 23},
  [14589] = {.lex_state = 60, .external_lex_state = 64},
  [14590] = {.lex_state = 0, .external_lex_state = 23},
  [14591] = {.lex_state = 60},
  [14592] = {.lex_state = 0, .external_lex_state = 25},
  [14593] = {.lex_state = 0},
  [14594] = {.lex_state = 60, .external_lex_state = 64},
  [14595] = {.lex_state = 0, .external_lex_state = 25},
  [14596] = {.lex_state = 60},
  [14597] = {.lex_state = 53},
  [14598] = {.lex_state = 60},
  [14599] = {.lex_state = 60, .external_lex_state = 64},
  [14600] = {.lex_state = 60},
  [14601] = {.lex_state = 60, .external_lex_state = 64},
  [14602] = {.lex_state = 53},
  [14603] = {.lex_state = 60},
  [14604] = {.lex_state = 60, .external_lex_state = 64},
  [14605] = {.lex_state = 53},
  [14606] = {.lex_state = 53},
  [14607] = {.lex_state = 0, .external_lex_state = 23},
  [14608] = {.lex_state = 54},
  [14609] = {.lex_state = 60, .external_lex_state = 64},
  [14610] = {.lex_state = 60},
  [14611] = {.lex_state = 60, .external_lex_state = 64},
  [14612] = {.lex_state = 53},
  [14613] = {.lex_state = 53},
  [14614] = {.lex_state = 53},
  [14615] = {.lex_state = 60, .external_lex_state = 64},
  [14616] = {.lex_state = 60},
  [14617] = {.lex_state = 60, .external_lex_state = 64},
  [14618] = {.lex_state = 0, .external_lex_state = 24},
  [14619] = {.lex_state = 60, .external_lex_state = 64},
  [14620] = {.lex_state = 60, .external_lex_state = 24},
  [14621] = {.lex_state = 60, .external_lex_state = 64},
  [14622] = {.lex_state = 60},
  [14623] = {.lex_state = 60},
  [14624] = {.lex_state = 60, .external_lex_state = 24},
  [14625] = {.lex_state = 60, .external_lex_state = 24},
  [14626] = {.lex_state = 60, .external_lex_state = 64},
  [14627] = {.lex_state = 60, .external_lex_state = 24},
  [14628] = {.lex_state = 60},
  [14629] = {.lex_state = 60, .external_lex_state = 24},
  [14630] = {.lex_state = 60, .external_lex_state = 64},
  [14631] = {.lex_state = 60},
  [14632] = {.lex_state = 60},
  [14633] = {.lex_state = 60, .external_lex_state = 24},
  [14634] = {.lex_state = 60, .external_lex_state = 64},
  [14635] = {.lex_state = 60, .external_lex_state = 24},
  [14636] = {.lex_state = 0, .external_lex_state = 24},
  [14637] = {.lex_state = 60, .external_lex_state = 64},
  [14638] = {.lex_state = 60},
  [14639] = {.lex_state = 60, .external_lex_state = 24},
  [14640] = {.lex_state = 60, .external_lex_state = 24},
  [14641] = {.lex_state = 60, .external_lex_state = 24},
  [14642] = {.lex_state = 60, .external_lex_state = 24},
  [14643] = {.lex_state = 60, .external_lex_state = 64},
  [14644] = {.lex_state = 60},
  [14645] = {.lex_state = 60},
  [14646] = {.lex_state = 60, .external_lex_state = 24},
  [14647] = {.lex_state = 60, .external_lex_state = 24},
  [14648] = {.lex_state = 60, .external_lex_state = 64},
  [14649] = {.lex_state = 60},
  [14650] = {.lex_state = 60, .external_lex_state = 24},
  [14651] = {.lex_state = 60, .external_lex_state = 64},
  [14652] = {.lex_state = 60, .external_lex_state = 24},
  [14653] = {.lex_state = 60, .external_lex_state = 24},
  [14654] = {.lex_state = 60},
  [14655] = {.lex_state = 60, .external_lex_state = 24},
  [14656] = {.lex_state = 60},
  [14657] = {.lex_state = 60, .external_lex_state = 24},
  [14658] = {.lex_state = 60, .external_lex_state = 64},
  [14659] = {.lex_state = 60, .external_lex_state = 24},
  [14660] = {.lex_state = 60, .external_lex_state = 24},
  [14661] = {.lex_state = 60, .external_lex_state = 24},
  [14662] = {.lex_state = 60},
  [14663] = {.lex_state = 60, .external_lex_state = 64},
  [14664] = {.lex_state = 60},
  [14665] = {.lex_state = 60, .external_lex_state = 24},
  [14666] = {.lex_state = 0, .external_lex_state = 24},
  [14667] = {.lex_state = 60, .external_lex_state = 24},
  [14668] = {.lex_state = 60, .external_lex_state = 24},
  [14669] = {.lex_state = 60, .external_lex_state = 24},
  [14670] = {.lex_state = 0, .external_lex_state = 24},
  [14671] = {.lex_state = 60},
  [14672] = {.lex_state = 60, .external_lex_state = 24},
  [14673] = {.lex_state = 60, .external_lex_state = 24},
  [14674] = {.lex_state = 60, .external_lex_state = 24},
  [14675] = {.lex_state = 60, .external_lex_state = 64},
  [14676] = {.lex_state = 60, .external_lex_state = 24},
  [14677] = {.lex_state = 60},
  [14678] = {.lex_state = 60, .external_lex_state = 24},
  [14679] = {.lex_state = 60, .external_lex_state = 24},
  [14680] = {.lex_state = 60, .external_lex_state = 24},
  [14681] = {.lex_state = 60},
  [14682] = {.lex_state = 0, .external_lex_state = 24},
  [14683] = {.lex_state = 60},
  [14684] = {.lex_state = 60, .external_lex_state = 24},
  [14685] = {.lex_state = 60, .external_lex_state = 24},
  [14686] = {.lex_state = 60, .external_lex_state = 24},
  [14687] = {.lex_state = 60, .external_lex_state = 24},
  [14688] = {.lex_state = 0},
  [14689] = {.lex_state = 60},
  [14690] = {.lex_state = 60, .external_lex_state = 24},
  [14691] = {.lex_state = 60, .external_lex_state = 24},
  [14692] = {.lex_state = 60, .external_lex_state = 24},
  [14693] = {.lex_state = 60, .external_lex_state = 24},
  [14694] = {.lex_state = 60, .external_lex_state = 24},
  [14695] = {.lex_state = 60, .external_lex_state = 24},
  [14696] = {.lex_state = 60, .external_lex_state = 24},
  [14697] = {.lex_state = 60},
  [14698] = {.lex_state = 0, .external_lex_state = 24},
  [14699] = {.lex_state = 60, .external_lex_state = 24},
  [14700] = {.lex_state = 60, .external_lex_state = 24},
  [14701] = {.lex_state = 60, .external_lex_state = 24},
  [14702] = {.lex_state = 60, .external_lex_state = 24},
  [14703] = {.lex_state = 60, .external_lex_state = 24},
  [14704] = {.lex_state = 60},
  [14705] = {.lex_state = 60},
  [14706] = {.lex_state = 60, .external_lex_state = 24},
  [14707] = {.lex_state = 60, .external_lex_state = 24},
  [14708] = {.lex_state = 60, .external_lex_state = 24},
  [14709] = {.lex_state = 60, .external_lex_state = 24},
  [14710] = {.lex_state = 60, .external_lex_state = 24},
  [14711] = {.lex_state = 60, .external_lex_state = 24},
  [14712] = {.lex_state = 60, .external_lex_state = 24},
  [14713] = {.lex_state = 60, .external_lex_state = 24},
  [14714] = {.lex_state = 60, .external_lex_state = 24},
  [14715] = {.lex_state = 60, .external_lex_state = 24},
  [14716] = {.lex_state = 60, .external_lex_state = 24},
  [14717] = {.lex_state = 60, .external_lex_state = 24},
  [14718] = {.lex_state = 0, .external_lex_state = 24},
  [14719] = {.lex_state = 0, .external_lex_state = 24},
  [14720] = {.lex_state = 60},
  [14721] = {.lex_state = 60, .external_lex_state = 24},
  [14722] = {.lex_state = 60, .external_lex_state = 24},
  [14723] = {.lex_state = 60, .external_lex_state = 24},
  [14724] = {.lex_state = 60, .external_lex_state = 24},
  [14725] = {.lex_state = 60, .external_lex_state = 24},
  [14726] = {.lex_state = 60, .external_lex_state = 24},
  [14727] = {.lex_state = 60, .external_lex_state = 24},
  [14728] = {.lex_state = 0, .external_lex_state = 24},
  [14729] = {.lex_state = 60, .external_lex_state = 24},
  [14730] = {.lex_state = 60, .external_lex_state = 24},
  [14731] = {.lex_state = 60, .external_lex_state = 24},
  [14732] = {.lex_state = 60},
  [14733] = {.lex_state = 0},
  [14734] = {.lex_state = 0},
  [14735] = {.lex_state = 0},
  [14736] = {.lex_state = 0, .external_lex_state = 72},
  [14737] = {.lex_state = 0, .external_lex_state = 73},
  [14738] = {.lex_state = 0},
  [14739] = {.lex_state = 0},
  [14740] = {.lex_state = 0, .external_lex_state = 23},
  [14741] = {.lex_state = 53},
  [14742] = {.lex_state = 0},
  [14743] = {.lex_state = 0},
  [14744] = {.lex_state = 0},
  [14745] = {.lex_state = 60},
  [14746] = {.lex_state = 60},
  [14747] = {.lex_state = 0},
  [14748] = {.lex_state = 0},
  [14749] = {.lex_state = 0},
  [14750] = {.lex_state = 0},
  [14751] = {.lex_state = 0},
  [14752] = {.lex_state = 0},
  [14753] = {.lex_state = 0},
  [14754] = {.lex_state = 0, .external_lex_state = 73},
  [14755] = {.lex_state = 0},
  [14756] = {.lex_state = 0, .external_lex_state = 72},
  [14757] = {.lex_state = 0},
  [14758] = {.lex_state = 0, .external_lex_state = 73},
  [14759] = {.lex_state = 0, .external_lex_state = 23},
  [14760] = {.lex_state = 0},
  [14761] = {.lex_state = 0},
  [14762] = {.lex_state = 0},
  [14763] = {.lex_state = 0},
  [14764] = {.lex_state = 0},
  [14765] = {.lex_state = 0},
  [14766] = {.lex_state = 0},
  [14767] = {.lex_state = 53},
  [14768] = {.lex_state = 60},
  [14769] = {.lex_state = 0},
  [14770] = {.lex_state = 0},
  [14771] = {.lex_state = 0, .external_lex_state = 72},
  [14772] = {.lex_state = 0},
  [14773] = {.lex_state = 0},
  [14774] = {.lex_state = 0, .external_lex_state = 25},
  [14775] = {.lex_state = 0},
  [14776] = {.lex_state = 0},
  [14777] = {.lex_state = 0},
  [14778] = {.lex_state = 0},
  [14779] = {.lex_state = 0},
  [14780] = {.lex_state = 0},
  [14781] = {.lex_state = 0},
  [14782] = {.lex_state = 0},
  [14783] = {.lex_state = 60},
  [14784] = {.lex_state = 0},
  [14785] = {.lex_state = 0},
  [14786] = {.lex_state = 0},
  [14787] = {.lex_state = 60},
  [14788] = {.lex_state = 0},
  [14789] = {.lex_state = 0},
  [14790] = {.lex_state = 0},
  [14791] = {.lex_state = 0, .external_lex_state = 72},
  [14792] = {.lex_state = 0, .external_lex_state = 73},
  [14793] = {.lex_state = 0},
  [14794] = {.lex_state = 53},
  [14795] = {.lex_state = 0},
  [14796] = {.lex_state = 0},
  [14797] = {.lex_state = 0},
  [14798] = {.lex_state = 0},
  [14799] = {.lex_state = 0},
  [14800] = {.lex_state = 0},
  [14801] = {.lex_state = 0},
  [14802] = {.lex_state = 0},
  [14803] = {.lex_state = 60},
  [14804] = {.lex_state = 0},
  [14805] = {.lex_state = 0},
  [14806] = {.lex_state = 0},
  [14807] = {.lex_state = 0},
  [14808] = {.lex_state = 0},
  [14809] = {.lex_state = 0},
  [14810] = {.lex_state = 0},
  [14811] = {.lex_state = 0},
  [14812] = {.lex_state = 0},
  [14813] = {.lex_state = 0},
  [14814] = {.lex_state = 0},
  [14815] = {.lex_state = 0},
  [14816] = {.lex_state = 0},
  [14817] = {.lex_state = 0},
  [14818] = {.lex_state = 0},
  [14819] = {.lex_state = 0},
  [14820] = {.lex_state = 0},
  [14821] = {.lex_state = 0},
  [14822] = {.lex_state = 0},
  [14823] = {.lex_state = 0},
  [14824] = {.lex_state = 0},
  [14825] = {.lex_state = 0},
  [14826] = {.lex_state = 0},
  [14827] = {.lex_state = 0},
  [14828] = {.lex_state = 0},
  [14829] = {.lex_state = 0},
  [14830] = {.lex_state = 0},
  [14831] = {.lex_state = 0},
  [14832] = {.lex_state = 0},
  [14833] = {.lex_state = 0},
  [14834] = {.lex_state = 0},
  [14835] = {.lex_state = 0},
  [14836] = {.lex_state = 0},
  [14837] = {.lex_state = 0},
  [14838] = {.lex_state = 0, .external_lex_state = 72},
  [14839] = {.lex_state = 0, .external_lex_state = 73},
  [14840] = {.lex_state = 0},
  [14841] = {.lex_state = 0, .external_lex_state = 25},
  [14842] = {.lex_state = 0},
  [14843] = {.lex_state = 0},
  [14844] = {.lex_state = 0},
  [14845] = {.lex_state = 0},
  [14846] = {.lex_state = 0},
  [14847] = {.lex_state = 0},
  [14848] = {.lex_state = 0},
  [14849] = {.lex_state = 0},
  [14850] = {.lex_state = 0},
  [14851] = {.lex_state = 0},
  [14852] = {.lex_state = 0},
  [14853] = {.lex_state = 0},
  [14854] = {.lex_state = 0, .external_lex_state = 25},
  [14855] = {.lex_state = 0},
  [14856] = {.lex_state = 0},
  [14857] = {.lex_state = 0},
  [14858] = {.lex_state = 0},
  [14859] = {.lex_state = 0},
  [14860] = {.lex_state = 1},
  [14861] = {.lex_state = 0},
  [14862] = {.lex_state = 0},
  [14863] = {.lex_state = 0},
  [14864] = {.lex_state = 0},
  [14865] = {.lex_state = 0},
  [14866] = {.lex_state = 0},
  [14867] = {.lex_state = 0},
  [14868] = {.lex_state = 0},
  [14869] = {.lex_state = 0},
  [14870] = {.lex_state = 60},
  [14871] = {.lex_state = 0},
  [14872] = {.lex_state = 0},
  [14873] = {.lex_state = 0},
  [14874] = {.lex_state = 0},
  [14875] = {.lex_state = 0},
  [14876] = {.lex_state = 0},
  [14877] = {.lex_state = 0},
  [14878] = {.lex_state = 0},
  [14879] = {.lex_state = 0},
  [14880] = {.lex_state = 0},
  [14881] = {.lex_state = 60},
  [14882] = {.lex_state = 0},
  [14883] = {.lex_state = 0},
  [14884] = {.lex_state = 0},
  [14885] = {.lex_state = 0},
  [14886] = {.lex_state = 0},
  [14887] = {.lex_state = 0},
  [14888] = {.lex_state = 0},
  [14889] = {.lex_state = 0},
  [14890] = {.lex_state = 0},
  [14891] = {.lex_state = 0},
  [14892] = {.lex_state = 0},
  [14893] = {.lex_state = 0},
  [14894] = {.lex_state = 0},
  [14895] = {.lex_state = 0},
  [14896] = {.lex_state = 0},
  [14897] = {.lex_state = 0},
  [14898] = {.lex_state = 0},
  [14899] = {.lex_state = 0},
  [14900] = {.lex_state = 0},
  [14901] = {.lex_state = 0},
  [14902] = {.lex_state = 0},
  [14903] = {.lex_state = 0},
  [14904] = {.lex_state = 0},
  [14905] = {.lex_state = 0},
  [14906] = {.lex_state = 0, .external_lex_state = 73},
  [14907] = {.lex_state = 0},
  [14908] = {.lex_state = 0},
  [14909] = {.lex_state = 0},
  [14910] = {.lex_state = 0},
  [14911] = {.lex_state = 0},
  [14912] = {.lex_state = 0},
  [14913] = {.lex_state = 0},
  [14914] = {.lex_state = 0},
  [14915] = {.lex_state = 0},
  [14916] = {.lex_state = 0},
  [14917] = {.lex_state = 0},
  [14918] = {.lex_state = 0},
  [14919] = {.lex_state = 0},
  [14920] = {.lex_state = 0},
  [14921] = {.lex_state = 0},
  [14922] = {.lex_state = 0},
  [14923] = {.lex_state = 0},
  [14924] = {.lex_state = 0},
  [14925] = {.lex_state = 0},
  [14926] = {.lex_state = 0},
  [14927] = {.lex_state = 0},
  [14928] = {.lex_state = 0},
  [14929] = {.lex_state = 0},
  [14930] = {.lex_state = 0},
  [14931] = {.lex_state = 0},
  [14932] = {.lex_state = 0},
  [14933] = {.lex_state = 0, .external_lex_state = 72},
  [14934] = {.lex_state = 0},
  [14935] = {.lex_state = 0},
  [14936] = {.lex_state = 0},
  [14937] = {.lex_state = 0},
  [14938] = {.lex_state = 0},
  [14939] = {.lex_state = 0},
  [14940] = {.lex_state = 0},
  [14941] = {.lex_state = 0},
  [14942] = {.lex_state = 0},
  [14943] = {.lex_state = 0},
  [14944] = {.lex_state = 0},
  [14945] = {.lex_state = 0},
  [14946] = {.lex_state = 0, .external_lex_state = 23},
  [14947] = {.lex_state = 0},
  [14948] = {.lex_state = 0},
  [14949] = {.lex_state = 60},
  [14950] = {.lex_state = 0},
  [14951] = {.lex_state = 0},
  [14952] = {.lex_state = 0},
  [14953] = {.lex_state = 0, .external_lex_state = 72},
  [14954] = {.lex_state = 0},
  [14955] = {.lex_state = 0},
  [14956] = {.lex_state = 0},
  [14957] = {.lex_state = 0, .external_lex_state = 73},
  [14958] = {.lex_state = 0},
  [14959] = {.lex_state = 0},
  [14960] = {.lex_state = 0},
  [14961] = {.lex_state = 0},
  [14962] = {.lex_state = 0},
  [14963] = {.lex_state = 0},
  [14964] = {.lex_state = 0},
  [14965] = {.lex_state = 0},
  [14966] = {.lex_state = 0},
  [14967] = {.lex_state = 0},
  [14968] = {.lex_state = 0, .external_lex_state = 72},
  [14969] = {.lex_state = 0},
  [14970] = {.lex_state = 0},
  [14971] = {.lex_state = 53},
  [14972] = {.lex_state = 0},
  [14973] = {.lex_state = 0},
  [14974] = {.lex_state = 0, .external_lex_state = 73},
  [14975] = {.lex_state = 0},
  [14976] = {.lex_state = 0},
  [14977] = {.lex_state = 0},
  [14978] = {.lex_state = 0},
  [14979] = {.lex_state = 0},
  [14980] = {.lex_state = 0},
  [14981] = {.lex_state = 0},
  [14982] = {.lex_state = 0},
  [14983] = {.lex_state = 0},
  [14984] = {.lex_state = 0},
  [14985] = {.lex_state = 0},
  [14986] = {.lex_state = 0},
  [14987] = {.lex_state = 0},
  [14988] = {.lex_state = 0},
  [14989] = {.lex_state = 0},
  [14990] = {.lex_state = 0},
  [14991] = {.lex_state = 0},
  [14992] = {.lex_state = 0},
  [14993] = {.lex_state = 0},
  [14994] = {.lex_state = 0},
  [14995] = {.lex_state = 0},
  [14996] = {.lex_state = 0},
  [14997] = {.lex_state = 0},
  [14998] = {.lex_state = 0},
  [14999] = {.lex_state = 0},
  [15000] = {.lex_state = 150},
  [15001] = {.lex_state = 0},
  [15002] = {.lex_state = 0},
  [15003] = {.lex_state = 0},
  [15004] = {.lex_state = 60},
  [15005] = {.lex_state = 0},
  [15006] = {.lex_state = 0},
  [15007] = {.lex_state = 0},
  [15008] = {.lex_state = 0},
  [15009] = {.lex_state = 0},
  [15010] = {.lex_state = 0},
  [15011] = {.lex_state = 0},
  [15012] = {.lex_state = 0},
  [15013] = {.lex_state = 0},
  [15014] = {.lex_state = 0},
  [15015] = {.lex_state = 0},
  [15016] = {.lex_state = 0},
  [15017] = {.lex_state = 0},
  [15018] = {.lex_state = 0},
  [15019] = {.lex_state = 0},
  [15020] = {.lex_state = 0},
  [15021] = {.lex_state = 0},
  [15022] = {.lex_state = 0},
  [15023] = {.lex_state = 60},
  [15024] = {.lex_state = 0},
  [15025] = {.lex_state = 0},
  [15026] = {.lex_state = 0},
  [15027] = {.lex_state = 0},
  [15028] = {.lex_state = 0},
  [15029] = {.lex_state = 0, .external_lex_state = 72},
  [15030] = {.lex_state = 0},
  [15031] = {.lex_state = 0},
  [15032] = {.lex_state = 0},
  [15033] = {.lex_state = 0},
  [15034] = {.lex_state = 0, .external_lex_state = 73},
  [15035] = {.lex_state = 0},
  [15036] = {.lex_state = 0, .external_lex_state = 23},
  [15037] = {.lex_state = 0},
  [15038] = {.lex_state = 0},
  [15039] = {.lex_state = 0},
  [15040] = {.lex_state = 0},
  [15041] = {.lex_state = 0},
  [15042] = {.lex_state = 0},
  [15043] = {.lex_state = 0},
  [15044] = {.lex_state = 0},
  [15045] = {.lex_state = 0},
  [15046] = {.lex_state = 0},
  [15047] = {.lex_state = 0},
  [15048] = {.lex_state = 0, .external_lex_state = 73},
  [15049] = {.lex_state = 0},
  [15050] = {.lex_state = 0},
  [15051] = {.lex_state = 0},
  [15052] = {.lex_state = 0},
  [15053] = {.lex_state = 0},
  [15054] = {.lex_state = 0},
  [15055] = {.lex_state = 0},
  [15056] = {.lex_state = 0},
  [15057] = {.lex_state = 0, .external_lex_state = 72},
  [15058] = {.lex_state = 0},
  [15059] = {.lex_state = 0},
  [15060] = {.lex_state = 0},
  [15061] = {.lex_state = 0},
  [15062] = {.lex_state = 0},
  [15063] = {.lex_state = 0},
  [15064] = {.lex_state = 0},
  [15065] = {.lex_state = 0},
  [15066] = {.lex_state = 0, .external_lex_state = 25},
  [15067] = {.lex_state = 0},
  [15068] = {.lex_state = 0},
  [15069] = {.lex_state = 0},
  [15070] = {.lex_state = 60},
  [15071] = {.lex_state = 0},
  [15072] = {.lex_state = 0},
  [15073] = {.lex_state = 0},
  [15074] = {.lex_state = 0},
  [15075] = {.lex_state = 0},
  [15076] = {.lex_state = 0},
  [15077] = {.lex_state = 0},
  [15078] = {.lex_state = 0},
  [15079] = {.lex_state = 60},
  [15080] = {.lex_state = 0},
  [15081] = {.lex_state = 0},
  [15082] = {.lex_state = 0, .external_lex_state = 25},
  [15083] = {.lex_state = 0},
  [15084] = {.lex_state = 53},
  [15085] = {.lex_state = 0},
  [15086] = {.lex_state = 0},
  [15087] = {.lex_state = 0},
  [15088] = {.lex_state = 0},
  [15089] = {.lex_state = 0},
  [15090] = {.lex_state = 0},
  [15091] = {.lex_state = 0},
  [15092] = {.lex_state = 0},
  [15093] = {.lex_state = 0},
  [15094] = {.lex_state = 60},
  [15095] = {.lex_state = 0},
  [15096] = {.lex_state = 0},
  [15097] = {.lex_state = 0},
  [15098] = {.lex_state = 0},
  [15099] = {.lex_state = 0},
  [15100] = {.lex_state = 0},
  [15101] = {.lex_state = 0},
  [15102] = {.lex_state = 0},
  [15103] = {.lex_state = 0},
  [15104] = {.lex_state = 0},
  [15105] = {.lex_state = 0},
  [15106] = {.lex_state = 0},
  [15107] = {.lex_state = 0},
  [15108] = {.lex_state = 0},
  [15109] = {.lex_state = 0},
  [15110] = {.lex_state = 0},
  [15111] = {.lex_state = 0},
  [15112] = {.lex_state = 0, .external_lex_state = 25},
  [15113] = {.lex_state = 0},
  [15114] = {.lex_state = 0},
  [15115] = {.lex_state = 0, .external_lex_state = 72},
  [15116] = {.lex_state = 0},
  [15117] = {.lex_state = 0},
  [15118] = {.lex_state = 0},
  [15119] = {.lex_state = 0},
  [15120] = {.lex_state = 0, .external_lex_state = 73},
  [15121] = {.lex_state = 0},
  [15122] = {.lex_state = 0},
  [15123] = {.lex_state = 0},
  [15124] = {.lex_state = 0},
  [15125] = {.lex_state = 0},
  [15126] = {.lex_state = 0},
  [15127] = {.lex_state = 0},
  [15128] = {.lex_state = 0},
  [15129] = {.lex_state = 0},
  [15130] = {.lex_state = 0},
  [15131] = {.lex_state = 0},
  [15132] = {.lex_state = 0},
  [15133] = {.lex_state = 0},
  [15134] = {.lex_state = 0},
  [15135] = {.lex_state = 0},
  [15136] = {.lex_state = 0},
  [15137] = {.lex_state = 0},
  [15138] = {.lex_state = 0},
  [15139] = {.lex_state = 0},
  [15140] = {.lex_state = 1},
  [15141] = {.lex_state = 0},
  [15142] = {.lex_state = 60},
  [15143] = {.lex_state = 0},
  [15144] = {.lex_state = 0},
  [15145] = {.lex_state = 0},
  [15146] = {.lex_state = 0},
  [15147] = {.lex_state = 0},
  [15148] = {.lex_state = 0},
  [15149] = {.lex_state = 0},
  [15150] = {.lex_state = 0},
  [15151] = {.lex_state = 53},
  [15152] = {.lex_state = 0},
  [15153] = {.lex_state = 0, .external_lex_state = 72},
  [15154] = {.lex_state = 0},
  [15155] = {.lex_state = 0, .external_lex_state = 73},
  [15156] = {.lex_state = 0},
  [15157] = {.lex_state = 0, .external_lex_state = 73},
  [15158] = {.lex_state = 0},
  [15159] = {.lex_state = 0},
  [15160] = {.lex_state = 0},
  [15161] = {.lex_state = 0},
  [15162] = {.lex_state = 0},
  [15163] = {.lex_state = 0},
  [15164] = {.lex_state = 0},
  [15165] = {.lex_state = 0},
  [15166] = {.lex_state = 0},
  [15167] = {.lex_state = 0},
  [15168] = {.lex_state = 0},
  [15169] = {.lex_state = 0},
  [15170] = {.lex_state = 0},
  [15171] = {.lex_state = 0},
  [15172] = {.lex_state = 0},
  [15173] = {.lex_state = 60},
  [15174] = {.lex_state = 0},
  [15175] = {.lex_state = 0},
  [15176] = {.lex_state = 0},
  [15177] = {.lex_state = 0},
  [15178] = {.lex_state = 0},
  [15179] = {.lex_state = 0},
  [15180] = {.lex_state = 0},
  [15181] = {.lex_state = 0},
  [15182] = {.lex_state = 0},
  [15183] = {.lex_state = 0, .external_lex_state = 72},
  [15184] = {.lex_state = 0},
  [15185] = {.lex_state = 0},
  [15186] = {.lex_state = 0},
  [15187] = {.lex_state = 0},
  [15188] = {.lex_state = 0, .external_lex_state = 72},
  [15189] = {.lex_state = 0},
  [15190] = {.lex_state = 0},
  [15191] = {.lex_state = 0},
  [15192] = {.lex_state = 0, .external_lex_state = 73},
  [15193] = {.lex_state = 0},
  [15194] = {.lex_state = 0},
  [15195] = {.lex_state = 0},
  [15196] = {.lex_state = 0},
  [15197] = {.lex_state = 0},
  [15198] = {.lex_state = 0},
  [15199] = {.lex_state = 0},
  [15200] = {.lex_state = 0},
  [15201] = {.lex_state = 0},
  [15202] = {.lex_state = 0},
  [15203] = {.lex_state = 60},
  [15204] = {.lex_state = 0},
  [15205] = {.lex_state = 0},
  [15206] = {.lex_state = 0},
  [15207] = {.lex_state = 0},
  [15208] = {.lex_state = 0},
  [15209] = {.lex_state = 0},
  [15210] = {.lex_state = 0, .external_lex_state = 25},
  [15211] = {.lex_state = 0},
  [15212] = {.lex_state = 0},
  [15213] = {.lex_state = 0},
  [15214] = {.lex_state = 0},
  [15215] = {.lex_state = 0},
  [15216] = {.lex_state = 0},
  [15217] = {.lex_state = 0},
  [15218] = {.lex_state = 0},
  [15219] = {.lex_state = 0},
  [15220] = {.lex_state = 0},
  [15221] = {.lex_state = 0},
  [15222] = {.lex_state = 0},
  [15223] = {.lex_state = 60},
  [15224] = {.lex_state = 0},
  [15225] = {.lex_state = 0},
  [15226] = {.lex_state = 0},
  [15227] = {.lex_state = 0},
  [15228] = {.lex_state = 0},
  [15229] = {.lex_state = 0},
  [15230] = {.lex_state = 0},
  [15231] = {.lex_state = 60},
  [15232] = {.lex_state = 0},
  [15233] = {.lex_state = 60},
  [15234] = {.lex_state = 0},
  [15235] = {.lex_state = 0},
  [15236] = {.lex_state = 0},
  [15237] = {.lex_state = 0},
  [15238] = {.lex_state = 60},
  [15239] = {.lex_state = 0},
  [15240] = {.lex_state = 60, .external_lex_state = 47},
  [15241] = {.lex_state = 0},
  [15242] = {.lex_state = 0},
  [15243] = {.lex_state = 0, .external_lex_state = 72},
  [15244] = {.lex_state = 0},
  [15245] = {.lex_state = 0},
  [15246] = {.lex_state = 0},
  [15247] = {.lex_state = 0, .external_lex_state = 73},
  [15248] = {.lex_state = 0},
  [15249] = {.lex_state = 0},
  [15250] = {.lex_state = 0},
  [15251] = {.lex_state = 0},
  [15252] = {.lex_state = 0},
  [15253] = {.lex_state = 0},
  [15254] = {.lex_state = 60},
  [15255] = {.lex_state = 0},
  [15256] = {.lex_state = 0},
  [15257] = {.lex_state = 0, .external_lex_state = 72},
  [15258] = {.lex_state = 0},
  [15259] = {.lex_state = 0},
  [15260] = {.lex_state = 0},
  [15261] = {.lex_state = 0},
  [15262] = {.lex_state = 0},
  [15263] = {.lex_state = 0},
  [15264] = {.lex_state = 0, .external_lex_state = 72},
  [15265] = {.lex_state = 0},
  [15266] = {.lex_state = 0, .external_lex_state = 73},
  [15267] = {.lex_state = 0},
  [15268] = {.lex_state = 0},
  [15269] = {.lex_state = 0},
  [15270] = {.lex_state = 0},
  [15271] = {.lex_state = 0, .external_lex_state = 73},
  [15272] = {.lex_state = 0},
  [15273] = {.lex_state = 0},
  [15274] = {.lex_state = 0},
  [15275] = {.lex_state = 0},
  [15276] = {.lex_state = 0, .external_lex_state = 25},
  [15277] = {.lex_state = 0},
  [15278] = {.lex_state = 0},
  [15279] = {.lex_state = 0},
  [15280] = {.lex_state = 0},
  [15281] = {.lex_state = 0},
  [15282] = {.lex_state = 0},
  [15283] = {.lex_state = 0},
  [15284] = {.lex_state = 0},
  [15285] = {.lex_state = 0},
  [15286] = {.lex_state = 0},
  [15287] = {.lex_state = 0},
  [15288] = {.lex_state = 0},
  [15289] = {.lex_state = 0},
  [15290] = {.lex_state = 0, .external_lex_state = 24},
  [15291] = {.lex_state = 0},
  [15292] = {.lex_state = 60},
  [15293] = {.lex_state = 0},
  [15294] = {.lex_state = 60},
  [15295] = {.lex_state = 0},
  [15296] = {.lex_state = 0},
  [15297] = {.lex_state = 0},
  [15298] = {.lex_state = 0},
  [15299] = {.lex_state = 0},
  [15300] = {.lex_state = 0},
  [15301] = {.lex_state = 0},
  [15302] = {.lex_state = 0, .external_lex_state = 25},
  [15303] = {.lex_state = 0},
  [15304] = {.lex_state = 60},
  [15305] = {.lex_state = 0},
  [15306] = {.lex_state = 0},
  [15307] = {.lex_state = 0},
  [15308] = {.lex_state = 0, .external_lex_state = 72},
  [15309] = {.lex_state = 0},
  [15310] = {.lex_state = 0},
  [15311] = {.lex_state = 0},
  [15312] = {.lex_state = 0, .external_lex_state = 73},
  [15313] = {.lex_state = 0},
  [15314] = {.lex_state = 0},
  [15315] = {.lex_state = 0},
  [15316] = {.lex_state = 0},
  [15317] = {.lex_state = 0},
  [15318] = {.lex_state = 0},
  [15319] = {.lex_state = 0},
  [15320] = {.lex_state = 0},
  [15321] = {.lex_state = 0},
  [15322] = {.lex_state = 0},
  [15323] = {.lex_state = 0},
  [15324] = {.lex_state = 0},
  [15325] = {.lex_state = 0},
  [15326] = {.lex_state = 0, .external_lex_state = 24},
  [15327] = {.lex_state = 0},
  [15328] = {.lex_state = 0},
  [15329] = {.lex_state = 0},
  [15330] = {.lex_state = 0},
  [15331] = {.lex_state = 0},
  [15332] = {.lex_state = 0},
  [15333] = {.lex_state = 60},
  [15334] = {.lex_state = 0},
  [15335] = {.lex_state = 0},
  [15336] = {.lex_state = 0, .external_lex_state = 73},
  [15337] = {.lex_state = 0, .external_lex_state = 72},
  [15338] = {.lex_state = 0},
  [15339] = {.lex_state = 0},
  [15340] = {.lex_state = 60},
  [15341] = {.lex_state = 0, .external_lex_state = 72},
  [15342] = {.lex_state = 0},
  [15343] = {.lex_state = 0, .external_lex_state = 73},
  [15344] = {.lex_state = 60},
  [15345] = {.lex_state = 0},
  [15346] = {.lex_state = 0},
  [15347] = {.lex_state = 0},
  [15348] = {.lex_state = 0},
  [15349] = {.lex_state = 0},
  [15350] = {.lex_state = 60},
  [15351] = {.lex_state = 0, .external_lex_state = 72},
  [15352] = {.lex_state = 0, .external_lex_state = 73},
  [15353] = {.lex_state = 60},
  [15354] = {.lex_state = 0, .external_lex_state = 24},
  [15355] = {.lex_state = 0},
  [15356] = {.lex_state = 0},
  [15357] = {.lex_state = 60},
  [15358] = {.lex_state = 1},
  [15359] = {.lex_state = 0, .external_lex_state = 23},
  [15360] = {.lex_state = 0},
  [15361] = {.lex_state = 0, .external_lex_state = 25},
  [15362] = {.lex_state = 0, .external_lex_state = 23},
  [15363] = {.lex_state = 0},
  [15364] = {.lex_state = 0, .external_lex_state = 72},
  [15365] = {.lex_state = 0},
  [15366] = {.lex_state = 0, .external_lex_state = 73},
  [15367] = {.lex_state = 0},
  [15368] = {.lex_state = 0},
  [15369] = {.lex_state = 0},
  [15370] = {.lex_state = 60},
  [15371] = {.lex_state = 0},
  [15372] = {.lex_state = 0},
  [15373] = {.lex_state = 0},
  [15374] = {.lex_state = 0, .external_lex_state = 23},
  [15375] = {.lex_state = 0},
  [15376] = {.lex_state = 0},
  [15377] = {.lex_state = 60},
  [15378] = {.lex_state = 0, .external_lex_state = 72},
  [15379] = {.lex_state = 0, .external_lex_state = 73},
  [15380] = {.lex_state = 0},
  [15381] = {.lex_state = 0},
  [15382] = {.lex_state = 0, .external_lex_state = 23},
  [15383] = {.lex_state = 0},
  [15384] = {.lex_state = 0},
  [15385] = {.lex_state = 0},
  [15386] = {.lex_state = 0, .external_lex_state = 23},
  [15387] = {.lex_state = 0},
  [15388] = {.lex_state = 0},
  [15389] = {.lex_state = 0},
  [15390] = {.lex_state = 0, .external_lex_state = 23},
  [15391] = {.lex_state = 0, .external_lex_state = 25},
  [15392] = {.lex_state = 0},
  [15393] = {.lex_state = 0},
  [15394] = {.lex_state = 0},
  [15395] = {.lex_state = 0, .external_lex_state = 24},
  [15396] = {.lex_state = 0},
  [15397] = {.lex_state = 0, .external_lex_state = 72},
  [15398] = {.lex_state = 0},
  [15399] = {.lex_state = 0, .external_lex_state = 24},
  [15400] = {.lex_state = 60},
  [15401] = {.lex_state = 0, .external_lex_state = 73},
  [15402] = {.lex_state = 0},
  [15403] = {.lex_state = 0},
  [15404] = {.lex_state = 0},
  [15405] = {.lex_state = 0},
  [15406] = {.lex_state = 0},
  [15407] = {.lex_state = 60},
  [15408] = {.lex_state = 0},
  [15409] = {.lex_state = 0},
  [15410] = {.lex_state = 0},
  [15411] = {.lex_state = 0, .external_lex_state = 25},
  [15412] = {.lex_state = 0, .external_lex_state = 24},
  [15413] = {.lex_state = 0},
  [15414] = {.lex_state = 0},
  [15415] = {.lex_state = 0},
  [15416] = {.lex_state = 0},
  [15417] = {.lex_state = 0},
  [15418] = {.lex_state = 53},
  [15419] = {.lex_state = 0},
  [15420] = {.lex_state = 0},
  [15421] = {.lex_state = 0},
  [15422] = {.lex_state = 0},
  [15423] = {.lex_state = 60},
  [15424] = {.lex_state = 0},
  [15425] = {.lex_state = 0},
  [15426] = {.lex_state = 60},
  [15427] = {.lex_state = 0},
  [15428] = {.lex_state = 60},
  [15429] = {.lex_state = 0},
  [15430] = {.lex_state = 0, .external_lex_state = 72},
  [15431] = {.lex_state = 0},
  [15432] = {.lex_state = 0, .external_lex_state = 73},
  [15433] = {.lex_state = 0},
  [15434] = {.lex_state = 0},
  [15435] = {.lex_state = 0},
  [15436] = {.lex_state = 0},
  [15437] = {.lex_state = 0},
  [15438] = {.lex_state = 0, .external_lex_state = 73},
  [15439] = {.lex_state = 0},
  [15440] = {.lex_state = 0},
  [15441] = {.lex_state = 0},
  [15442] = {.lex_state = 0, .external_lex_state = 72},
  [15443] = {.lex_state = 60},
  [15444] = {.lex_state = 0},
  [15445] = {.lex_state = 0},
  [15446] = {.lex_state = 0},
  [15447] = {.lex_state = 0},
  [15448] = {.lex_state = 0},
  [15449] = {.lex_state = 0},
  [15450] = {.lex_state = 0},
  [15451] = {.lex_state = 0},
  [15452] = {.lex_state = 0, .external_lex_state = 72},
  [15453] = {.lex_state = 0},
  [15454] = {.lex_state = 0},
  [15455] = {.lex_state = 0},
  [15456] = {.lex_state = 0, .external_lex_state = 72},
  [15457] = {.lex_state = 0},
  [15458] = {.lex_state = 0},
  [15459] = {.lex_state = 0},
  [15460] = {.lex_state = 0},
  [15461] = {.lex_state = 0},
  [15462] = {.lex_state = 0},
  [15463] = {.lex_state = 0},
  [15464] = {.lex_state = 0},
  [15465] = {.lex_state = 0},
  [15466] = {.lex_state = 0},
  [15467] = {.lex_state = 0},
  [15468] = {.lex_state = 0},
  [15469] = {.lex_state = 0},
  [15470] = {.lex_state = 0},
  [15471] = {.lex_state = 0},
  [15472] = {.lex_state = 0},
  [15473] = {.lex_state = 0},
  [15474] = {.lex_state = 0},
  [15475] = {.lex_state = 0},
  [15476] = {.lex_state = 0, .external_lex_state = 73},
  [15477] = {.lex_state = 0},
  [15478] = {.lex_state = 0},
  [15479] = {.lex_state = 0, .external_lex_state = 25},
  [15480] = {.lex_state = 0},
  [15481] = {.lex_state = 0},
  [15482] = {.lex_state = 0},
  [15483] = {.lex_state = 0},
  [15484] = {.lex_state = 60},
  [15485] = {.lex_state = 0},
  [15486] = {.lex_state = 0, .external_lex_state = 73},
  [15487] = {.lex_state = 0, .external_lex_state = 72},
  [15488] = {.lex_state = 0},
  [15489] = {.lex_state = 0, .external_lex_state = 73},
  [15490] = {.lex_state = 0, .external_lex_state = 24},
  [15491] = {.lex_state = 0},
  [15492] = {.lex_state = 0},
  [15493] = {.lex_state = 0},
  [15494] = {.lex_state = 0},
  [15495] = {.lex_state = 0},
  [15496] = {.lex_state = 0},
  [15497] = {.lex_state = 0, .external_lex_state = 25},
  [15498] = {.lex_state = 0},
  [15499] = {.lex_state = 0},
  [15500] = {.lex_state = 0, .external_lex_state = 23},
  [15501] = {.lex_state = 0},
  [15502] = {.lex_state = 0},
  [15503] = {.lex_state = 0},
  [15504] = {.lex_state = 0},
  [15505] = {.lex_state = 0},
  [15506] = {.lex_state = 0},
  [15507] = {.lex_state = 0},
  [15508] = {.lex_state = 60},
  [15509] = {.lex_state = 0},
  [15510] = {.lex_state = 0},
  [15511] = {.lex_state = 0},
  [15512] = {.lex_state = 0},
  [15513] = {.lex_state = 0},
  [15514] = {.lex_state = 0},
  [15515] = {.lex_state = 0},
  [15516] = {.lex_state = 0},
  [15517] = {.lex_state = 0},
  [15518] = {.lex_state = 60},
  [15519] = {.lex_state = 0},
  [15520] = {.lex_state = 0, .external_lex_state = 72},
  [15521] = {.lex_state = 0, .external_lex_state = 73},
  [15522] = {.lex_state = 0, .external_lex_state = 73},
  [15523] = {.lex_state = 0},
  [15524] = {.lex_state = 60},
  [15525] = {.lex_state = 0},
  [15526] = {.lex_state = 0},
  [15527] = {.lex_state = 0},
  [15528] = {.lex_state = 60},
  [15529] = {.lex_state = 0},
  [15530] = {.lex_state = 0},
  [15531] = {.lex_state = 0},
  [15532] = {.lex_state = 0},
  [15533] = {.lex_state = 0, .external_lex_state = 25},
  [15534] = {.lex_state = 0, .external_lex_state = 72},
  [15535] = {.lex_state = 60},
  [15536] = {.lex_state = 0},
  [15537] = {.lex_state = 0},
  [15538] = {.lex_state = 60},
  [15539] = {.lex_state = 0},
  [15540] = {.lex_state = 6},
  [15541] = {.lex_state = 0, .external_lex_state = 72},
  [15542] = {.lex_state = 0, .external_lex_state = 73},
  [15543] = {.lex_state = 0},
  [15544] = {.lex_state = 0, .external_lex_state = 72},
  [15545] = {.lex_state = 6},
  [15546] = {.lex_state = 0, .external_lex_state = 73},
  [15547] = {.lex_state = 0},
  [15548] = {.lex_state = 0},
  [15549] = {.lex_state = 0},
  [15550] = {.lex_state = 0},
  [15551] = {.lex_state = 0},
  [15552] = {.lex_state = 0},
  [15553] = {.lex_state = 0},
  [15554] = {.lex_state = 0},
  [15555] = {.lex_state = 0},
  [15556] = {.lex_state = 0},
  [15557] = {.lex_state = 60},
  [15558] = {.lex_state = 0},
  [15559] = {.lex_state = 0},
  [15560] = {.lex_state = 60},
  [15561] = {.lex_state = 60},
  [15562] = {.lex_state = 0},
  [15563] = {.lex_state = 0},
  [15564] = {.lex_state = 54, .external_lex_state = 71},
  [15565] = {.lex_state = 0, .external_lex_state = 24},
  [15566] = {.lex_state = 0},
  [15567] = {.lex_state = 0},
  [15568] = {.lex_state = 0},
  [15569] = {.lex_state = 0},
  [15570] = {.lex_state = 0, .external_lex_state = 72},
  [15571] = {.lex_state = 0},
  [15572] = {.lex_state = 0},
  [15573] = {.lex_state = 0},
  [15574] = {.lex_state = 60},
  [15575] = {.lex_state = 0, .external_lex_state = 73},
  [15576] = {.lex_state = 0},
  [15577] = {.lex_state = 0, .external_lex_state = 73},
  [15578] = {.lex_state = 0},
  [15579] = {.lex_state = 0},
  [15580] = {.lex_state = 0},
  [15581] = {.lex_state = 0},
  [15582] = {.lex_state = 0},
  [15583] = {.lex_state = 60},
  [15584] = {.lex_state = 0},
  [15585] = {.lex_state = 0},
  [15586] = {.lex_state = 0, .external_lex_state = 25},
  [15587] = {.lex_state = 0},
  [15588] = {.lex_state = 0},
  [15589] = {.lex_state = 0},
  [15590] = {.lex_state = 0},
  [15591] = {.lex_state = 0},
  [15592] = {.lex_state = 0},
  [15593] = {.lex_state = 0},
  [15594] = {.lex_state = 60},
  [15595] = {.lex_state = 0},
  [15596] = {.lex_state = 0},
  [15597] = {.lex_state = 0},
  [15598] = {.lex_state = 60},
  [15599] = {.lex_state = 0, .external_lex_state = 25},
  [15600] = {.lex_state = 0},
  [15601] = {.lex_state = 0},
  [15602] = {.lex_state = 0},
  [15603] = {.lex_state = 0},
  [15604] = {.lex_state = 0},
  [15605] = {.lex_state = 0},
  [15606] = {.lex_state = 0},
  [15607] = {.lex_state = 0},
  [15608] = {.lex_state = 0},
  [15609] = {.lex_state = 0},
  [15610] = {.lex_state = 0, .external_lex_state = 72},
  [15611] = {.lex_state = 0},
  [15612] = {.lex_state = 0, .external_lex_state = 73},
  [15613] = {.lex_state = 0},
  [15614] = {.lex_state = 0},
  [15615] = {.lex_state = 0},
  [15616] = {.lex_state = 0},
  [15617] = {.lex_state = 0},
  [15618] = {.lex_state = 0},
  [15619] = {.lex_state = 0},
  [15620] = {.lex_state = 0},
  [15621] = {.lex_state = 0, .external_lex_state = 73},
  [15622] = {.lex_state = 0, .external_lex_state = 72},
  [15623] = {.lex_state = 0},
  [15624] = {.lex_state = 0},
  [15625] = {.lex_state = 0},
  [15626] = {.lex_state = 0},
  [15627] = {.lex_state = 0},
  [15628] = {.lex_state = 60},
  [15629] = {.lex_state = 60},
  [15630] = {.lex_state = 0},
  [15631] = {.lex_state = 0},
  [15632] = {.lex_state = 0},
  [15633] = {.lex_state = 0},
  [15634] = {.lex_state = 0},
  [15635] = {.lex_state = 0, .external_lex_state = 72},
  [15636] = {.lex_state = 60},
  [15637] = {.lex_state = 0},
  [15638] = {.lex_state = 60},
  [15639] = {.lex_state = 0},
  [15640] = {.lex_state = 0},
  [15641] = {.lex_state = 0},
  [15642] = {.lex_state = 0, .external_lex_state = 72},
  [15643] = {.lex_state = 0, .external_lex_state = 73},
  [15644] = {.lex_state = 0},
  [15645] = {.lex_state = 60},
  [15646] = {.lex_state = 0},
  [15647] = {.lex_state = 0},
  [15648] = {.lex_state = 0},
  [15649] = {.lex_state = 0},
  [15650] = {.lex_state = 0},
  [15651] = {.lex_state = 0},
  [15652] = {.lex_state = 0},
  [15653] = {.lex_state = 0},
  [15654] = {.lex_state = 0},
  [15655] = {.lex_state = 60},
  [15656] = {.lex_state = 0},
  [15657] = {.lex_state = 0},
  [15658] = {.lex_state = 0},
  [15659] = {.lex_state = 0},
  [15660] = {.lex_state = 0},
  [15661] = {.lex_state = 0, .external_lex_state = 25},
  [15662] = {.lex_state = 0},
  [15663] = {.lex_state = 0},
  [15664] = {.lex_state = 0},
  [15665] = {.lex_state = 0},
  [15666] = {.lex_state = 0},
  [15667] = {.lex_state = 53},
  [15668] = {.lex_state = 0},
  [15669] = {.lex_state = 60},
  [15670] = {.lex_state = 60},
  [15671] = {.lex_state = 0},
  [15672] = {.lex_state = 60},
  [15673] = {.lex_state = 0},
  [15674] = {.lex_state = 0},
  [15675] = {.lex_state = 60},
  [15676] = {.lex_state = 0, .external_lex_state = 24},
  [15677] = {.lex_state = 0},
  [15678] = {.lex_state = 0},
  [15679] = {.lex_state = 0},
  [15680] = {.lex_state = 0, .external_lex_state = 72},
  [15681] = {.lex_state = 0, .external_lex_state = 72},
  [15682] = {.lex_state = 60},
  [15683] = {.lex_state = 0, .external_lex_state = 73},
  [15684] = {.lex_state = 0},
  [15685] = {.lex_state = 0},
  [15686] = {.lex_state = 0},
  [15687] = {.lex_state = 0},
  [15688] = {.lex_state = 0},
  [15689] = {.lex_state = 0, .external_lex_state = 73},
  [15690] = {.lex_state = 0, .external_lex_state = 72},
  [15691] = {.lex_state = 0},
  [15692] = {.lex_state = 0},
  [15693] = {.lex_state = 0},
  [15694] = {.lex_state = 0},
  [15695] = {.lex_state = 0},
  [15696] = {.lex_state = 0, .external_lex_state = 73},
  [15697] = {.lex_state = 0},
  [15698] = {.lex_state = 0},
  [15699] = {.lex_state = 0, .external_lex_state = 72},
  [15700] = {.lex_state = 0},
  [15701] = {.lex_state = 0},
  [15702] = {.lex_state = 0, .external_lex_state = 73},
  [15703] = {.lex_state = 0, .external_lex_state = 72},
  [15704] = {.lex_state = 60},
  [15705] = {.lex_state = 0, .external_lex_state = 73},
  [15706] = {.lex_state = 0},
  [15707] = {.lex_state = 0},
  [15708] = {.lex_state = 0},
  [15709] = {.lex_state = 60},
  [15710] = {.lex_state = 0},
  [15711] = {.lex_state = 0},
  [15712] = {.lex_state = 0},
  [15713] = {.lex_state = 0, .external_lex_state = 25},
  [15714] = {.lex_state = 0, .external_lex_state = 73},
  [15715] = {.lex_state = 60},
  [15716] = {.lex_state = 60},
  [15717] = {.lex_state = 0},
  [15718] = {.lex_state = 0, .external_lex_state = 25},
  [15719] = {.lex_state = 0},
  [15720] = {.lex_state = 0, .external_lex_state = 72},
  [15721] = {.lex_state = 0},
  [15722] = {.lex_state = 0},
  [15723] = {.lex_state = 0, .external_lex_state = 73},
  [15724] = {.lex_state = 0},
  [15725] = {.lex_state = 0},
  [15726] = {.lex_state = 0},
  [15727] = {.lex_state = 0},
  [15728] = {.lex_state = 0},
  [15729] = {.lex_state = 0, .external_lex_state = 72},
  [15730] = {.lex_state = 0},
  [15731] = {.lex_state = 0, .external_lex_state = 73},
  [15732] = {.lex_state = 0, .external_lex_state = 72},
  [15733] = {.lex_state = 0},
  [15734] = {.lex_state = 0},
  [15735] = {.lex_state = 0},
  [15736] = {.lex_state = 0, .external_lex_state = 72},
  [15737] = {.lex_state = 0},
  [15738] = {.lex_state = 60},
  [15739] = {.lex_state = 0, .external_lex_state = 73},
  [15740] = {.lex_state = 0},
  [15741] = {.lex_state = 0},
  [15742] = {.lex_state = 0},
  [15743] = {.lex_state = 60},
  [15744] = {.lex_state = 0, .external_lex_state = 25},
  [15745] = {.lex_state = 0},
  [15746] = {.lex_state = 0},
  [15747] = {.lex_state = 0},
  [15748] = {.lex_state = 0},
  [15749] = {.lex_state = 0},
  [15750] = {.lex_state = 60},
  [15751] = {.lex_state = 60},
  [15752] = {.lex_state = 0},
  [15753] = {.lex_state = 0},
  [15754] = {.lex_state = 0, .external_lex_state = 73},
  [15755] = {.lex_state = 0, .external_lex_state = 72},
  [15756] = {.lex_state = 0},
  [15757] = {.lex_state = 0},
  [15758] = {.lex_state = 0},
  [15759] = {.lex_state = 0},
  [15760] = {.lex_state = 0},
  [15761] = {.lex_state = 60},
  [15762] = {.lex_state = 0},
  [15763] = {.lex_state = 0},
  [15764] = {.lex_state = 0, .external_lex_state = 25},
  [15765] = {.lex_state = 60},
  [15766] = {.lex_state = 60},
  [15767] = {.lex_state = 0},
  [15768] = {.lex_state = 60},
  [15769] = {.lex_state = 0},
  [15770] = {.lex_state = 0},
  [15771] = {.lex_state = 60},
  [15772] = {.lex_state = 0},
  [15773] = {.lex_state = 0},
  [15774] = {.lex_state = 0},
  [15775] = {.lex_state = 0, .external_lex_state = 72},
  [15776] = {.lex_state = 60},
  [15777] = {.lex_state = 0, .external_lex_state = 73},
  [15778] = {.lex_state = 0},
  [15779] = {.lex_state = 0},
  [15780] = {.lex_state = 0},
  [15781] = {.lex_state = 0},
  [15782] = {.lex_state = 0},
  [15783] = {.lex_state = 60},
  [15784] = {.lex_state = 0},
  [15785] = {.lex_state = 0, .external_lex_state = 72},
  [15786] = {.lex_state = 0},
  [15787] = {.lex_state = 0, .external_lex_state = 73},
  [15788] = {.lex_state = 0},
  [15789] = {.lex_state = 0},
  [15790] = {.lex_state = 0, .external_lex_state = 73},
  [15791] = {.lex_state = 0},
  [15792] = {.lex_state = 0, .external_lex_state = 72},
  [15793] = {.lex_state = 0, .external_lex_state = 72},
  [15794] = {.lex_state = 0},
  [15795] = {.lex_state = 0},
  [15796] = {.lex_state = 0, .external_lex_state = 73},
  [15797] = {.lex_state = 0},
  [15798] = {.lex_state = 0, .external_lex_state = 25},
  [15799] = {.lex_state = 0},
  [15800] = {.lex_state = 0},
  [15801] = {.lex_state = 0},
  [15802] = {.lex_state = 0},
  [15803] = {.lex_state = 0, .external_lex_state = 72},
  [15804] = {.lex_state = 60},
  [15805] = {.lex_state = 0},
  [15806] = {.lex_state = 0},
  [15807] = {.lex_state = 0},
  [15808] = {.lex_state = 0, .external_lex_state = 73},
  [15809] = {.lex_state = 60},
  [15810] = {.lex_state = 0, .external_lex_state = 72},
  [15811] = {.lex_state = 0},
  [15812] = {.lex_state = 0, .external_lex_state = 73},
  [15813] = {.lex_state = 0},
  [15814] = {.lex_state = 0, .external_lex_state = 25},
  [15815] = {.lex_state = 0},
  [15816] = {.lex_state = 60},
  [15817] = {.lex_state = 0},
  [15818] = {.lex_state = 0},
  [15819] = {.lex_state = 0},
  [15820] = {.lex_state = 60},
  [15821] = {.lex_state = 0, .external_lex_state = 73},
  [15822] = {.lex_state = 0, .external_lex_state = 72},
  [15823] = {.lex_state = 0},
  [15824] = {.lex_state = 0},
  [15825] = {.lex_state = 0},
  [15826] = {.lex_state = 0},
  [15827] = {.lex_state = 0, .external_lex_state = 25},
  [15828] = {.lex_state = 0, .external_lex_state = 72},
  [15829] = {.lex_state = 0},
  [15830] = {.lex_state = 0},
  [15831] = {.lex_state = 0},
  [15832] = {.lex_state = 0},
  [15833] = {.lex_state = 0, .external_lex_state = 73},
  [15834] = {.lex_state = 0, .external_lex_state = 73},
  [15835] = {.lex_state = 0},
  [15836] = {.lex_state = 0, .external_lex_state = 72},
  [15837] = {.lex_state = 60},
  [15838] = {.lex_state = 0},
  [15839] = {.lex_state = 0},
  [15840] = {.lex_state = 0},
  [15841] = {.lex_state = 0},
  [15842] = {.lex_state = 60},
  [15843] = {.lex_state = 0},
  [15844] = {.lex_state = 0},
  [15845] = {.lex_state = 0, .external_lex_state = 23},
  [15846] = {.lex_state = 0},
  [15847] = {.lex_state = 0},
  [15848] = {.lex_state = 0},
  [15849] = {.lex_state = 60},
  [15850] = {.lex_state = 0},
  [15851] = {.lex_state = 0},
  [15852] = {.lex_state = 0},
  [15853] = {.lex_state = 0, .external_lex_state = 25},
  [15854] = {.lex_state = 60},
  [15855] = {.lex_state = 0},
  [15856] = {.lex_state = 0},
  [15857] = {.lex_state = 60, .external_lex_state = 47},
  [15858] = {.lex_state = 60},
  [15859] = {.lex_state = 0, .external_lex_state = 25},
  [15860] = {.lex_state = 0},
  [15861] = {.lex_state = 0, .external_lex_state = 73},
  [15862] = {.lex_state = 0, .external_lex_state = 72},
  [15863] = {.lex_state = 0, .external_lex_state = 25},
  [15864] = {.lex_state = 0},
  [15865] = {.lex_state = 0, .external_lex_state = 25},
  [15866] = {.lex_state = 0},
  [15867] = {.lex_state = 0},
  [15868] = {.lex_state = 60, .external_lex_state = 64},
  [15869] = {.lex_state = 60},
  [15870] = {.lex_state = 0},
  [15871] = {.lex_state = 0},
  [15872] = {.lex_state = 60},
  [15873] = {.lex_state = 0},
  [15874] = {.lex_state = 0},
  [15875] = {.lex_state = 0},
  [15876] = {.lex_state = 0},
  [15877] = {.lex_state = 60},
  [15878] = {.lex_state = 0},
  [15879] = {.lex_state = 0},
  [15880] = {.lex_state = 0},
  [15881] = {.lex_state = 0},
  [15882] = {.lex_state = 0},
  [15883] = {.lex_state = 0},
  [15884] = {.lex_state = 60},
  [15885] = {.lex_state = 0},
  [15886] = {.lex_state = 0},
  [15887] = {.lex_state = 0, .external_lex_state = 25},
  [15888] = {.lex_state = 0},
  [15889] = {.lex_state = 0},
  [15890] = {.lex_state = 60},
  [15891] = {.lex_state = 0},
  [15892] = {.lex_state = 0},
  [15893] = {.lex_state = 0, .external_lex_state = 25},
  [15894] = {.lex_state = 0},
  [15895] = {.lex_state = 0, .external_lex_state = 25},
  [15896] = {.lex_state = 60},
  [15897] = {.lex_state = 0},
  [15898] = {.lex_state = 0},
  [15899] = {.lex_state = 60, .external_lex_state = 47},
  [15900] = {.lex_state = 0},
  [15901] = {.lex_state = 60},
  [15902] = {.lex_state = 0},
  [15903] = {.lex_state = 0},
  [15904] = {.lex_state = 60},
  [15905] = {.lex_state = 0},
  [15906] = {.lex_state = 0},
  [15907] = {.lex_state = 0, .external_lex_state = 25},
  [15908] = {.lex_state = 0, .external_lex_state = 25},
  [15909] = {.lex_state = 0},
  [15910] = {.lex_state = 0},
  [15911] = {.lex_state = 0},
  [15912] = {.lex_state = 0},
  [15913] = {.lex_state = 0},
  [15914] = {.lex_state = 60},
  [15915] = {.lex_state = 0},
  [15916] = {.lex_state = 0},
  [15917] = {.lex_state = 0},
  [15918] = {.lex_state = 0},
  [15919] = {.lex_state = 0},
  [15920] = {.lex_state = 60, .external_lex_state = 47},
  [15921] = {.lex_state = 0, .external_lex_state = 25},
  [15922] = {.lex_state = 0},
  [15923] = {.lex_state = 60},
  [15924] = {.lex_state = 0},
  [15925] = {.lex_state = 60},
  [15926] = {.lex_state = 60},
  [15927] = {.lex_state = 0},
  [15928] = {.lex_state = 0, .external_lex_state = 25},
  [15929] = {.lex_state = 0},
  [15930] = {.lex_state = 0},
  [15931] = {.lex_state = 0},
  [15932] = {.lex_state = 60},
  [15933] = {.lex_state = 60},
  [15934] = {.lex_state = 0},
  [15935] = {.lex_state = 0},
  [15936] = {.lex_state = 60},
  [15937] = {.lex_state = 60},
  [15938] = {.lex_state = 0},
  [15939] = {.lex_state = 60},
  [15940] = {.lex_state = 0},
  [15941] = {.lex_state = 60},
  [15942] = {.lex_state = 0},
  [15943] = {.lex_state = 0},
  [15944] = {.lex_state = 0},
  [15945] = {.lex_state = 0, .external_lex_state = 25},
  [15946] = {.lex_state = 0},
  [15947] = {.lex_state = 60},
  [15948] = {.lex_state = 0},
  [15949] = {.lex_state = 0},
  [15950] = {.lex_state = 0},
  [15951] = {.lex_state = 0},
  [15952] = {.lex_state = 60},
  [15953] = {.lex_state = 0, .external_lex_state = 72},
  [15954] = {.lex_state = 0},
  [15955] = {.lex_state = 0, .external_lex_state = 72},
  [15956] = {.lex_state = 0, .external_lex_state = 72},
  [15957] = {.lex_state = 0},
  [15958] = {.lex_state = 0, .external_lex_state = 25},
  [15959] = {.lex_state = 60},
  [15960] = {.lex_state = 0},
  [15961] = {.lex_state = 0},
  [15962] = {.lex_state = 60},
  [15963] = {.lex_state = 0, .external_lex_state = 25},
  [15964] = {.lex_state = 0, .external_lex_state = 73},
  [15965] = {.lex_state = 0},
  [15966] = {.lex_state = 0},
  [15967] = {.lex_state = 0, .external_lex_state = 73},
  [15968] = {.lex_state = 0},
  [15969] = {.lex_state = 0},
  [15970] = {.lex_state = 0},
  [15971] = {.lex_state = 60, .external_lex_state = 47},
  [15972] = {.lex_state = 60, .external_lex_state = 47},
  [15973] = {.lex_state = 0, .external_lex_state = 25},
  [15974] = {.lex_state = 0},
  [15975] = {.lex_state = 60},
  [15976] = {.lex_state = 0},
  [15977] = {.lex_state = 0},
  [15978] = {.lex_state = 60},
  [15979] = {.lex_state = 0},
  [15980] = {.lex_state = 0},
  [15981] = {.lex_state = 0},
  [15982] = {.lex_state = 0, .external_lex_state = 25},
  [15983] = {.lex_state = 0},
  [15984] = {.lex_state = 0, .external_lex_state = 73},
  [15985] = {.lex_state = 0, .external_lex_state = 25},
  [15986] = {.lex_state = 60, .external_lex_state = 47},
  [15987] = {.lex_state = 0},
  [15988] = {.lex_state = 60},
  [15989] = {.lex_state = 60},
  [15990] = {.lex_state = 0},
  [15991] = {.lex_state = 0},
  [15992] = {.lex_state = 0},
  [15993] = {.lex_state = 0},
  [15994] = {.lex_state = 0},
  [15995] = {.lex_state = 60},
  [15996] = {.lex_state = 0},
  [15997] = {.lex_state = 0},
  [15998] = {.lex_state = 60},
  [15999] = {.lex_state = 0},
  [16000] = {.lex_state = 0},
  [16001] = {.lex_state = 0},
  [16002] = {.lex_state = 0, .external_lex_state = 25},
  [16003] = {.lex_state = 60},
  [16004] = {.lex_state = 60},
  [16005] = {.lex_state = 0, .external_lex_state = 73},
  [16006] = {.lex_state = 0},
  [16007] = {.lex_state = 60},
  [16008] = {.lex_state = 0},
  [16009] = {.lex_state = 0},
  [16010] = {.lex_state = 0},
  [16011] = {.lex_state = 0},
  [16012] = {.lex_state = 53},
  [16013] = {.lex_state = 53},
  [16014] = {.lex_state = 60},
  [16015] = {.lex_state = 0},
  [16016] = {.lex_state = 0},
  [16017] = {.lex_state = 60, .external_lex_state = 47},
  [16018] = {.lex_state = 0},
  [16019] = {.lex_state = 60},
  [16020] = {.lex_state = 0},
  [16021] = {.lex_state = 0},
  [16022] = {.lex_state = 0},
  [16023] = {.lex_state = 0},
  [16024] = {.lex_state = 60},
  [16025] = {.lex_state = 0, .external_lex_state = 25},
  [16026] = {.lex_state = 0},
  [16027] = {.lex_state = 0},
  [16028] = {.lex_state = 0, .external_lex_state = 25},
  [16029] = {.lex_state = 60},
  [16030] = {.lex_state = 0},
  [16031] = {.lex_state = 0},
  [16032] = {.lex_state = 60},
  [16033] = {.lex_state = 0},
  [16034] = {.lex_state = 53},
  [16035] = {.lex_state = 53},
  [16036] = {.lex_state = 0},
  [16037] = {.lex_state = 60},
  [16038] = {.lex_state = 60, .external_lex_state = 47},
  [16039] = {.lex_state = 0},
  [16040] = {.lex_state = 0, .external_lex_state = 25},
  [16041] = {.lex_state = 0},
  [16042] = {.lex_state = 0},
  [16043] = {.lex_state = 60},
  [16044] = {.lex_state = 60, .external_lex_state = 64},
  [16045] = {.lex_state = 0},
  [16046] = {.lex_state = 0},
  [16047] = {.lex_state = 60},
  [16048] = {.lex_state = 0},
  [16049] = {.lex_state = 0},
  [16050] = {.lex_state = 53},
  [16051] = {.lex_state = 0},
  [16052] = {.lex_state = 60, .external_lex_state = 64},
  [16053] = {.lex_state = 0, .external_lex_state = 25},
  [16054] = {.lex_state = 53},
  [16055] = {.lex_state = 0},
  [16056] = {.lex_state = 60},
  [16057] = {.lex_state = 1},
  [16058] = {.lex_state = 0},
  [16059] = {.lex_state = 0},
  [16060] = {.lex_state = 60},
  [16061] = {.lex_state = 0},
  [16062] = {.lex_state = 0},
  [16063] = {.lex_state = 53},
  [16064] = {.lex_state = 0},
  [16065] = {.lex_state = 0},
  [16066] = {.lex_state = 0},
  [16067] = {.lex_state = 0},
  [16068] = {.lex_state = 60},
  [16069] = {.lex_state = 0},
  [16070] = {.lex_state = 0},
  [16071] = {.lex_state = 0, .external_lex_state = 25},
  [16072] = {.lex_state = 60},
  [16073] = {.lex_state = 0},
  [16074] = {.lex_state = 60},
  [16075] = {.lex_state = 0, .external_lex_state = 72},
  [16076] = {.lex_state = 0},
  [16077] = {.lex_state = 60},
  [16078] = {.lex_state = 0},
  [16079] = {.lex_state = 0, .external_lex_state = 73},
  [16080] = {.lex_state = 0},
  [16081] = {.lex_state = 60},
  [16082] = {.lex_state = 0},
  [16083] = {.lex_state = 0},
  [16084] = {.lex_state = 0},
  [16085] = {.lex_state = 0, .external_lex_state = 25},
  [16086] = {.lex_state = 60},
  [16087] = {.lex_state = 0},
  [16088] = {.lex_state = 53},
  [16089] = {.lex_state = 0},
  [16090] = {.lex_state = 60},
  [16091] = {.lex_state = 0, .external_lex_state = 73},
  [16092] = {.lex_state = 0},
  [16093] = {.lex_state = 0},
  [16094] = {.lex_state = 60},
  [16095] = {.lex_state = 60, .external_lex_state = 64},
  [16096] = {.lex_state = 0},
  [16097] = {.lex_state = 0},
  [16098] = {.lex_state = 60, .external_lex_state = 64},
  [16099] = {.lex_state = 0},
  [16100] = {.lex_state = 0},
  [16101] = {.lex_state = 60},
  [16102] = {.lex_state = 0},
  [16103] = {.lex_state = 60, .external_lex_state = 64},
  [16104] = {.lex_state = 60, .external_lex_state = 64},
  [16105] = {.lex_state = 60},
  [16106] = {.lex_state = 0},
  [16107] = {.lex_state = 60},
  [16108] = {.lex_state = 0, .external_lex_state = 25},
  [16109] = {.lex_state = 0},
  [16110] = {.lex_state = 60, .external_lex_state = 64},
  [16111] = {.lex_state = 0},
  [16112] = {.lex_state = 0},
  [16113] = {.lex_state = 60},
  [16114] = {.lex_state = 0},
  [16115] = {.lex_state = 0},
  [16116] = {.lex_state = 60},
  [16117] = {.lex_state = 0, .external_lex_state = 25},
  [16118] = {.lex_state = 0},
  [16119] = {.lex_state = 60},
  [16120] = {.lex_state = 60},
  [16121] = {.lex_state = 0},
  [16122] = {.lex_state = 60},
  [16123] = {.lex_state = 0},
  [16124] = {.lex_state = 60, .external_lex_state = 64},
  [16125] = {.lex_state = 60, .external_lex_state = 64},
  [16126] = {.lex_state = 60},
  [16127] = {.lex_state = 0},
  [16128] = {.lex_state = 0},
  [16129] = {.lex_state = 0, .external_lex_state = 25},
  [16130] = {.lex_state = 0},
  [16131] = {.lex_state = 60},
  [16132] = {.lex_state = 0, .external_lex_state = 25},
  [16133] = {.lex_state = 0},
  [16134] = {.lex_state = 60},
  [16135] = {.lex_state = 53},
  [16136] = {.lex_state = 53},
  [16137] = {.lex_state = 0},
  [16138] = {.lex_state = 60},
  [16139] = {.lex_state = 60, .external_lex_state = 64},
  [16140] = {.lex_state = 0},
  [16141] = {.lex_state = 60},
  [16142] = {.lex_state = 0, .external_lex_state = 72},
  [16143] = {.lex_state = 60, .external_lex_state = 64},
  [16144] = {.lex_state = 0},
  [16145] = {.lex_state = 60, .external_lex_state = 64},
  [16146] = {.lex_state = 60, .external_lex_state = 64},
  [16147] = {.lex_state = 0},
  [16148] = {.lex_state = 6},
  [16149] = {.lex_state = 0},
  [16150] = {.lex_state = 0},
  [16151] = {.lex_state = 0},
  [16152] = {.lex_state = 0},
  [16153] = {.lex_state = 0},
  [16154] = {.lex_state = 0},
  [16155] = {.lex_state = 0},
  [16156] = {.lex_state = 0},
  [16157] = {.lex_state = 6},
  [16158] = {.lex_state = 6},
  [16159] = {.lex_state = 0},
  [16160] = {.lex_state = 0},
  [16161] = {.lex_state = 0, .external_lex_state = 64},
  [16162] = {.lex_state = 6},
  [16163] = {.lex_state = 6},
  [16164] = {.lex_state = 0, .external_lex_state = 64},
  [16165] = {.lex_state = 0},
  [16166] = {.lex_state = 0},
  [16167] = {.lex_state = 0},
  [16168] = {.lex_state = 6},
  [16169] = {.lex_state = 0, .external_lex_state = 64},
  [16170] = {.lex_state = 6},
  [16171] = {.lex_state = 6},
  [16172] = {.lex_state = 6},
  [16173] = {.lex_state = 60, .external_lex_state = 54},
  [16174] = {.lex_state = 0},
  [16175] = {.lex_state = 0, .external_lex_state = 64},
  [16176] = {.lex_state = 60},
  [16177] = {.lex_state = 0},
  [16178] = {.lex_state = 0},
  [16179] = {.lex_state = 60, .external_lex_state = 54},
  [16180] = {.lex_state = 0},
  [16181] = {.lex_state = 0, .external_lex_state = 64},
  [16182] = {.lex_state = 0},
  [16183] = {.lex_state = 0},
  [16184] = {.lex_state = 0},
  [16185] = {.lex_state = 60},
  [16186] = {.lex_state = 0},
  [16187] = {.lex_state = 0},
  [16188] = {.lex_state = 60, .external_lex_state = 54},
  [16189] = {.lex_state = 0, .external_lex_state = 64},
  [16190] = {.lex_state = 6},
  [16191] = {.lex_state = 0},
  [16192] = {.lex_state = 6},
  [16193] = {.lex_state = 60, .external_lex_state = 54},
  [16194] = {.lex_state = 6},
  [16195] = {.lex_state = 0},
  [16196] = {.lex_state = 6},
  [16197] = {.lex_state = 6},
  [16198] = {.lex_state = 6},
  [16199] = {.lex_state = 0},
  [16200] = {.lex_state = 6},
  [16201] = {.lex_state = 6},
  [16202] = {.lex_state = 6},
  [16203] = {.lex_state = 0},
  [16204] = {.lex_state = 0, .external_lex_state = 64},
  [16205] = {.lex_state = 0, .external_lex_state = 64},
  [16206] = {.lex_state = 0},
  [16207] = {.lex_state = 0},
  [16208] = {.lex_state = 0},
  [16209] = {.lex_state = 0},
  [16210] = {.lex_state = 6},
  [16211] = {.lex_state = 0},
  [16212] = {.lex_state = 0},
  [16213] = {.lex_state = 0},
  [16214] = {.lex_state = 0},
  [16215] = {.lex_state = 0},
  [16216] = {.lex_state = 0},
  [16217] = {.lex_state = 0},
  [16218] = {.lex_state = 0},
  [16219] = {.lex_state = 0},
  [16220] = {.lex_state = 0, .external_lex_state = 64},
  [16221] = {.lex_state = 0},
  [16222] = {.lex_state = 0},
  [16223] = {.lex_state = 0},
  [16224] = {.lex_state = 0},
  [16225] = {.lex_state = 0},
  [16226] = {.lex_state = 0},
  [16227] = {.lex_state = 0},
  [16228] = {.lex_state = 6},
  [16229] = {.lex_state = 60, .external_lex_state = 54},
  [16230] = {.lex_state = 6},
  [16231] = {.lex_state = 6},
  [16232] = {.lex_state = 6},
  [16233] = {.lex_state = 6},
  [16234] = {.lex_state = 0, .external_lex_state = 64},
  [16235] = {.lex_state = 6},
  [16236] = {.lex_state = 6},
  [16237] = {.lex_state = 0},
  [16238] = {.lex_state = 0},
  [16239] = {.lex_state = 6},
  [16240] = {.lex_state = 0},
  [16241] = {.lex_state = 0},
  [16242] = {.lex_state = 0},
  [16243] = {.lex_state = 0},
  [16244] = {.lex_state = 0, .external_lex_state = 64},
  [16245] = {.lex_state = 60},
  [16246] = {.lex_state = 60, .external_lex_state = 54},
  [16247] = {.lex_state = 0, .external_lex_state = 64},
  [16248] = {.lex_state = 0, .external_lex_state = 64},
  [16249] = {.lex_state = 0},
  [16250] = {.lex_state = 0},
  [16251] = {.lex_state = 0},
  [16252] = {.lex_state = 0},
  [16253] = {.lex_state = 60, .external_lex_state = 54},
  [16254] = {.lex_state = 0, .external_lex_state = 64},
  [16255] = {.lex_state = 0},
  [16256] = {.lex_state = 60},
  [16257] = {.lex_state = 0, .external_lex_state = 64},
  [16258] = {.lex_state = 6},
  [16259] = {.lex_state = 0},
  [16260] = {.lex_state = 6},
  [16261] = {.lex_state = 6},
  [16262] = {.lex_state = 6},
  [16263] = {.lex_state = 0},
  [16264] = {.lex_state = 0},
  [16265] = {.lex_state = 0},
  [16266] = {.lex_state = 0},
  [16267] = {.lex_state = 60, .external_lex_state = 54},
  [16268] = {.lex_state = 0, .external_lex_state = 64},
  [16269] = {.lex_state = 0},
  [16270] = {.lex_state = 0},
  [16271] = {.lex_state = 0, .external_lex_state = 64},
  [16272] = {.lex_state = 0, .external_lex_state = 64},
  [16273] = {.lex_state = 0, .external_lex_state = 64},
  [16274] = {.lex_state = 6},
  [16275] = {.lex_state = 0},
  [16276] = {.lex_state = 6},
  [16277] = {.lex_state = 6},
  [16278] = {.lex_state = 6},
  [16279] = {.lex_state = 0},
  [16280] = {.lex_state = 0},
  [16281] = {.lex_state = 0},
  [16282] = {.lex_state = 0},
  [16283] = {.lex_state = 0},
  [16284] = {.lex_state = 0},
  [16285] = {.lex_state = 6},
  [16286] = {.lex_state = 0},
  [16287] = {.lex_state = 6},
  [16288] = {.lex_state = 6},
  [16289] = {.lex_state = 6},
  [16290] = {.lex_state = 0, .external_lex_state = 64},
  [16291] = {.lex_state = 0},
  [16292] = {.lex_state = 0},
  [16293] = {.lex_state = 0},
  [16294] = {.lex_state = 0},
  [16295] = {.lex_state = 0},
  [16296] = {.lex_state = 0},
  [16297] = {.lex_state = 0},
  [16298] = {.lex_state = 0},
  [16299] = {.lex_state = 0},
  [16300] = {.lex_state = 0, .external_lex_state = 64},
  [16301] = {.lex_state = 0},
  [16302] = {.lex_state = 0},
  [16303] = {.lex_state = 60, .external_lex_state = 54},
  [16304] = {.lex_state = 0},
  [16305] = {.lex_state = 0},
  [16306] = {.lex_state = 6},
  [16307] = {.lex_state = 0},
  [16308] = {.lex_state = 6},
  [16309] = {.lex_state = 6},
  [16310] = {.lex_state = 0},
  [16311] = {.lex_state = 6},
  [16312] = {.lex_state = 6},
  [16313] = {.lex_state = 6},
  [16314] = {.lex_state = 0},
  [16315] = {.lex_state = 0, .external_lex_state = 64},
  [16316] = {.lex_state = 0},
  [16317] = {.lex_state = 0},
  [16318] = {.lex_state = 6},
  [16319] = {.lex_state = 6},
  [16320] = {.lex_state = 0},
  [16321] = {.lex_state = 0},
  [16322] = {.lex_state = 6},
  [16323] = {.lex_state = 60, .external_lex_state = 54},
  [16324] = {.lex_state = 0},
  [16325] = {.lex_state = 0, .external_lex_state = 64},
  [16326] = {.lex_state = 0},
  [16327] = {.lex_state = 0},
  [16328] = {.lex_state = 0},
  [16329] = {.lex_state = 0, .external_lex_state = 64},
  [16330] = {.lex_state = 60},
  [16331] = {.lex_state = 60},
  [16332] = {.lex_state = 0, .external_lex_state = 64},
  [16333] = {.lex_state = 6},
  [16334] = {.lex_state = 6},
  [16335] = {.lex_state = 6},
  [16336] = {.lex_state = 6},
  [16337] = {.lex_state = 0},
  [16338] = {.lex_state = 0},
  [16339] = {.lex_state = 0},
  [16340] = {.lex_state = 0},
  [16341] = {.lex_state = 0},
  [16342] = {.lex_state = 0},
  [16343] = {.lex_state = 0},
  [16344] = {.lex_state = 0, .external_lex_state = 64},
  [16345] = {.lex_state = 0},
  [16346] = {.lex_state = 60, .external_lex_state = 54},
  [16347] = {.lex_state = 0, .external_lex_state = 64},
  [16348] = {.lex_state = 0, .external_lex_state = 64},
  [16349] = {.lex_state = 0, .external_lex_state = 64},
  [16350] = {.lex_state = 0},
  [16351] = {.lex_state = 0},
  [16352] = {.lex_state = 0},
  [16353] = {.lex_state = 0},
  [16354] = {.lex_state = 60, .external_lex_state = 54},
  [16355] = {.lex_state = 0},
  [16356] = {.lex_state = 6},
  [16357] = {.lex_state = 6},
  [16358] = {.lex_state = 6},
  [16359] = {.lex_state = 6},
  [16360] = {.lex_state = 6},
  [16361] = {.lex_state = 0},
  [16362] = {.lex_state = 0},
  [16363] = {.lex_state = 0},
  [16364] = {.lex_state = 6},
  [16365] = {.lex_state = 6},
  [16366] = {.lex_state = 6},
  [16367] = {.lex_state = 0},
  [16368] = {.lex_state = 0},
  [16369] = {.lex_state = 0, .external_lex_state = 64},
  [16370] = {.lex_state = 0},
  [16371] = {.lex_state = 0},
  [16372] = {.lex_state = 0},
  [16373] = {.lex_state = 0},
  [16374] = {.lex_state = 0},
  [16375] = {.lex_state = 0},
  [16376] = {.lex_state = 0},
  [16377] = {.lex_state = 6},
  [16378] = {.lex_state = 6},
  [16379] = {.lex_state = 6},
  [16380] = {.lex_state = 6},
  [16381] = {.lex_state = 0},
  [16382] = {.lex_state = 0, .external_lex_state = 64},
  [16383] = {.lex_state = 0},
  [16384] = {.lex_state = 0},
  [16385] = {.lex_state = 0},
  [16386] = {.lex_state = 0},
  [16387] = {.lex_state = 0, .external_lex_state = 64},
  [16388] = {.lex_state = 0},
  [16389] = {.lex_state = 0},
  [16390] = {.lex_state = 0},
  [16391] = {.lex_state = 60, .external_lex_state = 54},
  [16392] = {.lex_state = 0},
  [16393] = {.lex_state = 0},
  [16394] = {.lex_state = 0},
  [16395] = {.lex_state = 0},
  [16396] = {.lex_state = 0},
  [16397] = {.lex_state = 60, .external_lex_state = 54},
  [16398] = {.lex_state = 6},
  [16399] = {.lex_state = 6},
  [16400] = {.lex_state = 6},
  [16401] = {.lex_state = 6},
  [16402] = {.lex_state = 0},
  [16403] = {.lex_state = 6},
  [16404] = {.lex_state = 0},
  [16405] = {.lex_state = 0},
  [16406] = {.lex_state = 0, .external_lex_state = 64},
  [16407] = {.lex_state = 6},
  [16408] = {.lex_state = 6},
  [16409] = {.lex_state = 0},
  [16410] = {.lex_state = 6},
  [16411] = {.lex_state = 0},
  [16412] = {.lex_state = 0, .external_lex_state = 64},
  [16413] = {.lex_state = 60, .external_lex_state = 54},
  [16414] = {.lex_state = 0},
  [16415] = {.lex_state = 0, .external_lex_state = 64},
  [16416] = {.lex_state = 0},
  [16417] = {.lex_state = 0},
  [16418] = {.lex_state = 0},
  [16419] = {.lex_state = 6},
  [16420] = {.lex_state = 6},
  [16421] = {.lex_state = 6},
  [16422] = {.lex_state = 6},
  [16423] = {.lex_state = 60},
  [16424] = {.lex_state = 0},
  [16425] = {.lex_state = 0},
  [16426] = {.lex_state = 0},
  [16427] = {.lex_state = 0},
  [16428] = {.lex_state = 0, .external_lex_state = 64},
  [16429] = {.lex_state = 0},
  [16430] = {.lex_state = 0},
  [16431] = {.lex_state = 60},
  [16432] = {.lex_state = 0},
  [16433] = {.lex_state = 0},
  [16434] = {.lex_state = 60, .external_lex_state = 54},
  [16435] = {.lex_state = 0, .external_lex_state = 64},
  [16436] = {.lex_state = 0},
  [16437] = {.lex_state = 0},
  [16438] = {.lex_state = 0},
  [16439] = {.lex_state = 60, .external_lex_state = 54},
  [16440] = {.lex_state = 6},
  [16441] = {.lex_state = 6},
  [16442] = {.lex_state = 6},
  [16443] = {.lex_state = 6},
  [16444] = {.lex_state = 0, .external_lex_state = 64},
  [16445] = {.lex_state = 0, .external_lex_state = 64},
  [16446] = {.lex_state = 0},
  [16447] = {.lex_state = 0},
  [16448] = {.lex_state = 0, .external_lex_state = 64},
  [16449] = {.lex_state = 0, .external_lex_state = 64},
  [16450] = {.lex_state = 0},
  [16451] = {.lex_state = 6},
  [16452] = {.lex_state = 0},
  [16453] = {.lex_state = 0, .external_lex_state = 64},
  [16454] = {.lex_state = 0},
  [16455] = {.lex_state = 6},
  [16456] = {.lex_state = 6},
  [16457] = {.lex_state = 6},
  [16458] = {.lex_state = 0},
  [16459] = {.lex_state = 0, .external_lex_state = 64},
  [16460] = {.lex_state = 0},
  [16461] = {.lex_state = 6},
  [16462] = {.lex_state = 6},
  [16463] = {.lex_state = 0, .external_lex_state = 64},
  [16464] = {.lex_state = 6},
  [16465] = {.lex_state = 0},
  [16466] = {.lex_state = 0},
  [16467] = {.lex_state = 0},
  [16468] = {.lex_state = 0},
  [16469] = {.lex_state = 0},
  [16470] = {.lex_state = 60, .external_lex_state = 54},
  [16471] = {.lex_state = 0},
  [16472] = {.lex_state = 0},
  [16473] = {.lex_state = 0},
  [16474] = {.lex_state = 0},
  [16475] = {.lex_state = 0},
  [16476] = {.lex_state = 0, .external_lex_state = 64},
  [16477] = {.lex_state = 0},
  [16478] = {.lex_state = 0, .external_lex_state = 64},
  [16479] = {.lex_state = 0},
  [16480] = {.lex_state = 0},
  [16481] = {.lex_state = 0},
  [16482] = {.lex_state = 6},
  [16483] = {.lex_state = 6},
  [16484] = {.lex_state = 6},
  [16485] = {.lex_state = 6},
  [16486] = {.lex_state = 0},
  [16487] = {.lex_state = 0},
  [16488] = {.lex_state = 0},
  [16489] = {.lex_state = 0},
  [16490] = {.lex_state = 0},
  [16491] = {.lex_state = 0, .external_lex_state = 64},
  [16492] = {.lex_state = 0},
  [16493] = {.lex_state = 0, .external_lex_state = 64},
  [16494] = {.lex_state = 60, .external_lex_state = 54},
  [16495] = {.lex_state = 0},
  [16496] = {.lex_state = 0},
  [16497] = {.lex_state = 0},
  [16498] = {.lex_state = 0, .external_lex_state = 64},
  [16499] = {.lex_state = 0, .external_lex_state = 64},
  [16500] = {.lex_state = 0},
  [16501] = {.lex_state = 6},
  [16502] = {.lex_state = 60},
  [16503] = {.lex_state = 6},
  [16504] = {.lex_state = 6},
  [16505] = {.lex_state = 6},
  [16506] = {.lex_state = 6},
  [16507] = {.lex_state = 6},
  [16508] = {.lex_state = 6},
  [16509] = {.lex_state = 0},
  [16510] = {.lex_state = 0},
  [16511] = {.lex_state = 6},
  [16512] = {.lex_state = 0},
  [16513] = {.lex_state = 0},
  [16514] = {.lex_state = 0},
  [16515] = {.lex_state = 0},
  [16516] = {.lex_state = 60, .external_lex_state = 54},
  [16517] = {.lex_state = 0, .external_lex_state = 64},
  [16518] = {.lex_state = 0},
  [16519] = {.lex_state = 0},
  [16520] = {.lex_state = 0, .external_lex_state = 64},
  [16521] = {.lex_state = 60, .external_lex_state = 54},
  [16522] = {.lex_state = 60},
  [16523] = {.lex_state = 0},
  [16524] = {.lex_state = 6},
  [16525] = {.lex_state = 6},
  [16526] = {.lex_state = 6},
  [16527] = {.lex_state = 6},
  [16528] = {.lex_state = 0},
  [16529] = {.lex_state = 6},
  [16530] = {.lex_state = 0},
  [16531] = {.lex_state = 0},
  [16532] = {.lex_state = 0, .external_lex_state = 64},
  [16533] = {.lex_state = 0},
  [16534] = {.lex_state = 0},
  [16535] = {.lex_state = 0, .external_lex_state = 64},
  [16536] = {.lex_state = 0},
  [16537] = {.lex_state = 0},
  [16538] = {.lex_state = 0, .external_lex_state = 64},
  [16539] = {.lex_state = 0, .external_lex_state = 64},
  [16540] = {.lex_state = 0},
  [16541] = {.lex_state = 0},
  [16542] = {.lex_state = 0},
  [16543] = {.lex_state = 0},
  [16544] = {.lex_state = 6},
  [16545] = {.lex_state = 6},
  [16546] = {.lex_state = 6},
  [16547] = {.lex_state = 6},
  [16548] = {.lex_state = 0},
  [16549] = {.lex_state = 6},
  [16550] = {.lex_state = 0},
  [16551] = {.lex_state = 0},
  [16552] = {.lex_state = 0, .external_lex_state = 64},
  [16553] = {.lex_state = 6},
  [16554] = {.lex_state = 6},
  [16555] = {.lex_state = 6},
  [16556] = {.lex_state = 0},
  [16557] = {.lex_state = 0},
  [16558] = {.lex_state = 0},
  [16559] = {.lex_state = 0},
  [16560] = {.lex_state = 0},
  [16561] = {.lex_state = 0},
  [16562] = {.lex_state = 0},
  [16563] = {.lex_state = 0},
  [16564] = {.lex_state = 6},
  [16565] = {.lex_state = 6},
  [16566] = {.lex_state = 6},
  [16567] = {.lex_state = 6},
  [16568] = {.lex_state = 0},
  [16569] = {.lex_state = 0, .external_lex_state = 64},
  [16570] = {.lex_state = 0},
  [16571] = {.lex_state = 0},
  [16572] = {.lex_state = 0, .external_lex_state = 64},
  [16573] = {.lex_state = 0, .external_lex_state = 64},
  [16574] = {.lex_state = 0},
  [16575] = {.lex_state = 0},
  [16576] = {.lex_state = 0},
  [16577] = {.lex_state = 0},
  [16578] = {.lex_state = 0},
  [16579] = {.lex_state = 0, .external_lex_state = 64},
  [16580] = {.lex_state = 60, .external_lex_state = 54},
  [16581] = {.lex_state = 0, .external_lex_state = 64},
  [16582] = {.lex_state = 0},
  [16583] = {.lex_state = 0, .external_lex_state = 64},
  [16584] = {.lex_state = 6},
  [16585] = {.lex_state = 6},
  [16586] = {.lex_state = 6},
  [16587] = {.lex_state = 6},
  [16588] = {.lex_state = 0},
  [16589] = {.lex_state = 0},
  [16590] = {.lex_state = 0},
  [16591] = {.lex_state = 0},
  [16592] = {.lex_state = 0},
  [16593] = {.lex_state = 60},
  [16594] = {.lex_state = 0},
  [16595] = {.lex_state = 0},
  [16596] = {.lex_state = 0},
  [16597] = {.lex_state = 6},
  [16598] = {.lex_state = 6},
  [16599] = {.lex_state = 0},
  [16600] = {.lex_state = 6},
  [16601] = {.lex_state = 60, .external_lex_state = 54},
  [16602] = {.lex_state = 0, .external_lex_state = 64},
  [16603] = {.lex_state = 6},
  [16604] = {.lex_state = 6},
  [16605] = {.lex_state = 6},
  [16606] = {.lex_state = 6},
  [16607] = {.lex_state = 6},
  [16608] = {.lex_state = 60},
  [16609] = {.lex_state = 0},
  [16610] = {.lex_state = 0},
  [16611] = {.lex_state = 0},
  [16612] = {.lex_state = 0},
  [16613] = {.lex_state = 0},
  [16614] = {.lex_state = 0, .external_lex_state = 64},
  [16615] = {.lex_state = 0, .external_lex_state = 64},
  [16616] = {.lex_state = 60, .external_lex_state = 54},
  [16617] = {.lex_state = 0},
  [16618] = {.lex_state = 0},
  [16619] = {.lex_state = 0},
  [16620] = {.lex_state = 0, .external_lex_state = 64},
  [16621] = {.lex_state = 0},
  [16622] = {.lex_state = 0},
  [16623] = {.lex_state = 0},
  [16624] = {.lex_state = 6},
  [16625] = {.lex_state = 6},
  [16626] = {.lex_state = 6},
  [16627] = {.lex_state = 6},
  [16628] = {.lex_state = 0},
  [16629] = {.lex_state = 0},
  [16630] = {.lex_state = 0},
  [16631] = {.lex_state = 0},
  [16632] = {.lex_state = 0},
  [16633] = {.lex_state = 0},
  [16634] = {.lex_state = 0, .external_lex_state = 64},
  [16635] = {.lex_state = 0},
  [16636] = {.lex_state = 6},
  [16637] = {.lex_state = 6},
  [16638] = {.lex_state = 0},
  [16639] = {.lex_state = 0},
  [16640] = {.lex_state = 0},
  [16641] = {.lex_state = 0},
  [16642] = {.lex_state = 0},
  [16643] = {.lex_state = 6},
  [16644] = {.lex_state = 6},
  [16645] = {.lex_state = 6},
  [16646] = {.lex_state = 6},
  [16647] = {.lex_state = 6},
  [16648] = {.lex_state = 0},
  [16649] = {.lex_state = 0},
  [16650] = {.lex_state = 0},
  [16651] = {.lex_state = 0},
  [16652] = {.lex_state = 0, .external_lex_state = 64},
  [16653] = {.lex_state = 0, .external_lex_state = 64},
  [16654] = {.lex_state = 53},
  [16655] = {.lex_state = 6},
  [16656] = {.lex_state = 0},
  [16657] = {.lex_state = 0},
  [16658] = {.lex_state = 53},
  [16659] = {.lex_state = 0},
  [16660] = {.lex_state = 0},
  [16661] = {.lex_state = 0, .external_lex_state = 64},
  [16662] = {.lex_state = 60, .external_lex_state = 54},
  [16663] = {.lex_state = 0},
  [16664] = {.lex_state = 6},
  [16665] = {.lex_state = 6},
  [16666] = {.lex_state = 6},
  [16667] = {.lex_state = 6},
  [16668] = {.lex_state = 0, .external_lex_state = 64},
  [16669] = {.lex_state = 0},
  [16670] = {.lex_state = 0},
  [16671] = {.lex_state = 0},
  [16672] = {.lex_state = 60, .external_lex_state = 54},
  [16673] = {.lex_state = 60},
  [16674] = {.lex_state = 60, .external_lex_state = 54},
  [16675] = {.lex_state = 0, .external_lex_state = 64},
  [16676] = {.lex_state = 0},
  [16677] = {.lex_state = 0},
  [16678] = {.lex_state = 60},
  [16679] = {.lex_state = 0},
  [16680] = {.lex_state = 0, .external_lex_state = 64},
  [16681] = {.lex_state = 0},
  [16682] = {.lex_state = 6},
  [16683] = {.lex_state = 6},
  [16684] = {.lex_state = 6},
  [16685] = {.lex_state = 6},
  [16686] = {.lex_state = 6},
  [16687] = {.lex_state = 0},
  [16688] = {.lex_state = 6},
  [16689] = {.lex_state = 0},
  [16690] = {.lex_state = 0},
  [16691] = {.lex_state = 0, .external_lex_state = 64},
  [16692] = {.lex_state = 6},
  [16693] = {.lex_state = 60, .external_lex_state = 54},
  [16694] = {.lex_state = 0, .external_lex_state = 64},
  [16695] = {.lex_state = 6},
  [16696] = {.lex_state = 0},
  [16697] = {.lex_state = 0},
  [16698] = {.lex_state = 0},
  [16699] = {.lex_state = 0, .external_lex_state = 64},
  [16700] = {.lex_state = 60, .external_lex_state = 54},
  [16701] = {.lex_state = 0},
  [16702] = {.lex_state = 6},
  [16703] = {.lex_state = 6},
  [16704] = {.lex_state = 6},
  [16705] = {.lex_state = 6},
  [16706] = {.lex_state = 0},
  [16707] = {.lex_state = 0, .external_lex_state = 64},
  [16708] = {.lex_state = 0},
  [16709] = {.lex_state = 0},
  [16710] = {.lex_state = 0},
  [16711] = {.lex_state = 0},
  [16712] = {.lex_state = 0},
  [16713] = {.lex_state = 0},
  [16714] = {.lex_state = 0},
  [16715] = {.lex_state = 0},
  [16716] = {.lex_state = 60, .external_lex_state = 54},
  [16717] = {.lex_state = 0},
  [16718] = {.lex_state = 0},
  [16719] = {.lex_state = 0},
  [16720] = {.lex_state = 0},
  [16721] = {.lex_state = 6},
  [16722] = {.lex_state = 6},
  [16723] = {.lex_state = 6},
  [16724] = {.lex_state = 6},
  [16725] = {.lex_state = 60, .external_lex_state = 54},
  [16726] = {.lex_state = 0},
  [16727] = {.lex_state = 0},
  [16728] = {.lex_state = 0},
  [16729] = {.lex_state = 60},
  [16730] = {.lex_state = 0},
  [16731] = {.lex_state = 0, .external_lex_state = 64},
  [16732] = {.lex_state = 0},
  [16733] = {.lex_state = 0},
  [16734] = {.lex_state = 0},
  [16735] = {.lex_state = 60, .external_lex_state = 54},
  [16736] = {.lex_state = 0},
  [16737] = {.lex_state = 0},
  [16738] = {.lex_state = 6},
  [16739] = {.lex_state = 6},
  [16740] = {.lex_state = 6},
  [16741] = {.lex_state = 6},
  [16742] = {.lex_state = 6},
  [16743] = {.lex_state = 6},
  [16744] = {.lex_state = 60},
  [16745] = {.lex_state = 6},
  [16746] = {.lex_state = 0},
  [16747] = {.lex_state = 0},
  [16748] = {.lex_state = 0},
  [16749] = {.lex_state = 0},
  [16750] = {.lex_state = 6},
  [16751] = {.lex_state = 0, .external_lex_state = 64},
  [16752] = {.lex_state = 0, .external_lex_state = 64},
  [16753] = {.lex_state = 60, .external_lex_state = 54},
  [16754] = {.lex_state = 0, .external_lex_state = 64},
  [16755] = {.lex_state = 0, .external_lex_state = 64},
  [16756] = {.lex_state = 0},
  [16757] = {.lex_state = 60, .external_lex_state = 54},
  [16758] = {.lex_state = 60, .external_lex_state = 54},
  [16759] = {.lex_state = 6},
  [16760] = {.lex_state = 6},
  [16761] = {.lex_state = 6},
  [16762] = {.lex_state = 6},
  [16763] = {.lex_state = 0},
  [16764] = {.lex_state = 60},
  [16765] = {.lex_state = 0},
  [16766] = {.lex_state = 0, .external_lex_state = 64},
  [16767] = {.lex_state = 60, .external_lex_state = 54},
  [16768] = {.lex_state = 0},
  [16769] = {.lex_state = 0},
  [16770] = {.lex_state = 0},
  [16771] = {.lex_state = 0, .external_lex_state = 64},
  [16772] = {.lex_state = 0},
  [16773] = {.lex_state = 0},
  [16774] = {.lex_state = 0},
  [16775] = {.lex_state = 0},
  [16776] = {.lex_state = 0},
  [16777] = {.lex_state = 6},
  [16778] = {.lex_state = 6},
  [16779] = {.lex_state = 6},
  [16780] = {.lex_state = 6},
  [16781] = {.lex_state = 0},
  [16782] = {.lex_state = 0},
  [16783] = {.lex_state = 0},
  [16784] = {.lex_state = 0},
  [16785] = {.lex_state = 0},
  [16786] = {.lex_state = 60, .external_lex_state = 54},
  [16787] = {.lex_state = 0},
  [16788] = {.lex_state = 0},
  [16789] = {.lex_state = 0},
  [16790] = {.lex_state = 0},
  [16791] = {.lex_state = 0, .external_lex_state = 64},
  [16792] = {.lex_state = 0},
  [16793] = {.lex_state = 0, .external_lex_state = 64},
  [16794] = {.lex_state = 6},
  [16795] = {.lex_state = 6},
  [16796] = {.lex_state = 6},
  [16797] = {.lex_state = 6},
  [16798] = {.lex_state = 6},
  [16799] = {.lex_state = 0},
  [16800] = {.lex_state = 6},
  [16801] = {.lex_state = 0},
  [16802] = {.lex_state = 6},
  [16803] = {.lex_state = 6},
  [16804] = {.lex_state = 0, .external_lex_state = 64},
  [16805] = {.lex_state = 0},
  [16806] = {.lex_state = 60, .external_lex_state = 54},
  [16807] = {.lex_state = 0},
  [16808] = {.lex_state = 0},
  [16809] = {.lex_state = 0, .external_lex_state = 64},
  [16810] = {.lex_state = 0, .external_lex_state = 64},
  [16811] = {.lex_state = 0},
  [16812] = {.lex_state = 0, .external_lex_state = 64},
  [16813] = {.lex_state = 6},
  [16814] = {.lex_state = 6},
  [16815] = {.lex_state = 6},
  [16816] = {.lex_state = 6},
  [16817] = {.lex_state = 0},
  [16818] = {.lex_state = 60, .external_lex_state = 54},
  [16819] = {.lex_state = 0},
  [16820] = {.lex_state = 60},
  [16821] = {.lex_state = 0},
  [16822] = {.lex_state = 0, .external_lex_state = 64},
  [16823] = {.lex_state = 60, .external_lex_state = 54},
  [16824] = {.lex_state = 0, .external_lex_state = 64},
  [16825] = {.lex_state = 0},
  [16826] = {.lex_state = 0},
  [16827] = {.lex_state = 0, .external_lex_state = 64},
  [16828] = {.lex_state = 60, .external_lex_state = 54},
  [16829] = {.lex_state = 0},
  [16830] = {.lex_state = 0},
  [16831] = {.lex_state = 6},
  [16832] = {.lex_state = 6},
  [16833] = {.lex_state = 6},
  [16834] = {.lex_state = 6},
  [16835] = {.lex_state = 0},
  [16836] = {.lex_state = 0, .external_lex_state = 64},
  [16837] = {.lex_state = 0},
  [16838] = {.lex_state = 0},
  [16839] = {.lex_state = 0, .external_lex_state = 64},
  [16840] = {.lex_state = 0},
  [16841] = {.lex_state = 0},
  [16842] = {.lex_state = 6},
  [16843] = {.lex_state = 6},
  [16844] = {.lex_state = 6},
  [16845] = {.lex_state = 6},
  [16846] = {.lex_state = 0},
  [16847] = {.lex_state = 0, .external_lex_state = 64},
  [16848] = {.lex_state = 0},
  [16849] = {.lex_state = 6},
  [16850] = {.lex_state = 6},
  [16851] = {.lex_state = 6},
  [16852] = {.lex_state = 6},
  [16853] = {.lex_state = 0},
  [16854] = {.lex_state = 60},
  [16855] = {.lex_state = 0},
  [16856] = {.lex_state = 0},
  [16857] = {.lex_state = 0, .external_lex_state = 64},
  [16858] = {.lex_state = 0},
  [16859] = {.lex_state = 60, .external_lex_state = 54},
  [16860] = {.lex_state = 60, .external_lex_state = 54},
  [16861] = {.lex_state = 0},
  [16862] = {.lex_state = 0},
  [16863] = {.lex_state = 0},
  [16864] = {.lex_state = 0},
  [16865] = {.lex_state = 0, .external_lex_state = 64},
  [16866] = {.lex_state = 0},
  [16867] = {.lex_state = 6},
  [16868] = {.lex_state = 6},
  [16869] = {.lex_state = 6},
  [16870] = {.lex_state = 6},
  [16871] = {.lex_state = 0},
  [16872] = {.lex_state = 0},
  [16873] = {.lex_state = 0},
  [16874] = {.lex_state = 0},
  [16875] = {.lex_state = 0},
  [16876] = {.lex_state = 0},
  [16877] = {.lex_state = 0, .external_lex_state = 64},
  [16878] = {.lex_state = 0},
  [16879] = {.lex_state = 0},
  [16880] = {.lex_state = 0},
  [16881] = {.lex_state = 0, .external_lex_state = 64},
  [16882] = {.lex_state = 0},
  [16883] = {.lex_state = 0},
  [16884] = {.lex_state = 0, .external_lex_state = 64},
  [16885] = {.lex_state = 6},
  [16886] = {.lex_state = 6},
  [16887] = {.lex_state = 6},
  [16888] = {.lex_state = 6},
  [16889] = {.lex_state = 0},
  [16890] = {.lex_state = 0, .external_lex_state = 64},
  [16891] = {.lex_state = 0},
  [16892] = {.lex_state = 0},
  [16893] = {.lex_state = 0},
  [16894] = {.lex_state = 0},
  [16895] = {.lex_state = 0},
  [16896] = {.lex_state = 0, .external_lex_state = 64},
  [16897] = {.lex_state = 0, .external_lex_state = 64},
  [16898] = {.lex_state = 60, .external_lex_state = 54},
  [16899] = {.lex_state = 0},
  [16900] = {.lex_state = 60},
  [16901] = {.lex_state = 0, .external_lex_state = 64},
  [16902] = {.lex_state = 0},
  [16903] = {.lex_state = 6},
  [16904] = {.lex_state = 6},
  [16905] = {.lex_state = 6},
  [16906] = {.lex_state = 6},
  [16907] = {.lex_state = 0},
  [16908] = {.lex_state = 0},
  [16909] = {.lex_state = 6},
  [16910] = {.lex_state = 6},
  [16911] = {.lex_state = 60, .external_lex_state = 54},
  [16912] = {.lex_state = 6},
  [16913] = {.lex_state = 6},
  [16914] = {.lex_state = 0},
  [16915] = {.lex_state = 6},
  [16916] = {.lex_state = 6},
  [16917] = {.lex_state = 6},
  [16918] = {.lex_state = 6},
  [16919] = {.lex_state = 0},
  [16920] = {.lex_state = 0},
  [16921] = {.lex_state = 60, .external_lex_state = 54},
  [16922] = {.lex_state = 60},
  [16923] = {.lex_state = 0, .external_lex_state = 64},
  [16924] = {.lex_state = 0},
  [16925] = {.lex_state = 0},
  [16926] = {.lex_state = 0, .external_lex_state = 64},
  [16927] = {.lex_state = 6},
  [16928] = {.lex_state = 6},
  [16929] = {.lex_state = 6},
  [16930] = {.lex_state = 6},
  [16931] = {.lex_state = 0},
  [16932] = {.lex_state = 0},
  [16933] = {.lex_state = 0},
  [16934] = {.lex_state = 0},
  [16935] = {.lex_state = 60, .external_lex_state = 54},
  [16936] = {.lex_state = 0},
  [16937] = {.lex_state = 0},
  [16938] = {.lex_state = 0, .external_lex_state = 64},
  [16939] = {.lex_state = 6},
  [16940] = {.lex_state = 6},
  [16941] = {.lex_state = 6},
  [16942] = {.lex_state = 6},
  [16943] = {.lex_state = 0},
  [16944] = {.lex_state = 0},
  [16945] = {.lex_state = 0, .external_lex_state = 64},
  [16946] = {.lex_state = 0},
  [16947] = {.lex_state = 0},
  [16948] = {.lex_state = 0},
  [16949] = {.lex_state = 0},
  [16950] = {.lex_state = 6},
  [16951] = {.lex_state = 6},
  [16952] = {.lex_state = 6},
  [16953] = {.lex_state = 6},
  [16954] = {.lex_state = 0},
  [16955] = {.lex_state = 0},
  [16956] = {.lex_state = 0, .external_lex_state = 64},
  [16957] = {.lex_state = 0, .external_lex_state = 64},
  [16958] = {.lex_state = 0},
  [16959] = {.lex_state = 60, .external_lex_state = 54},
  [16960] = {.lex_state = 0},
  [16961] = {.lex_state = 6},
  [16962] = {.lex_state = 6},
  [16963] = {.lex_state = 6},
  [16964] = {.lex_state = 6},
  [16965] = {.lex_state = 0},
  [16966] = {.lex_state = 0},
  [16967] = {.lex_state = 0},
  [16968] = {.lex_state = 0},
  [16969] = {.lex_state = 0},
  [16970] = {.lex_state = 0, .external_lex_state = 64},
  [16971] = {.lex_state = 0},
  [16972] = {.lex_state = 6},
  [16973] = {.lex_state = 6},
  [16974] = {.lex_state = 6},
  [16975] = {.lex_state = 6},
  [16976] = {.lex_state = 0},
  [16977] = {.lex_state = 157},
  [16978] = {.lex_state = 60},
  [16979] = {.lex_state = 0},
  [16980] = {.lex_state = 0},
  [16981] = {.lex_state = 60},
  [16982] = {.lex_state = 0, .external_lex_state = 64},
  [16983] = {.lex_state = 6},
  [16984] = {.lex_state = 6},
  [16985] = {.lex_state = 6},
  [16986] = {.lex_state = 6},
  [16987] = {.lex_state = 0},
  [16988] = {.lex_state = 0},
  [16989] = {.lex_state = 60},
  [16990] = {.lex_state = 0},
  [16991] = {.lex_state = 0},
  [16992] = {.lex_state = 0},
  [16993] = {.lex_state = 0},
  [16994] = {.lex_state = 6},
  [16995] = {.lex_state = 6},
  [16996] = {.lex_state = 6},
  [16997] = {.lex_state = 6},
  [16998] = {.lex_state = 0},
  [16999] = {.lex_state = 0, .external_lex_state = 64},
  [17000] = {.lex_state = 0},
  [17001] = {.lex_state = 0},
  [17002] = {.lex_state = 6},
  [17003] = {.lex_state = 6},
  [17004] = {.lex_state = 0},
  [17005] = {.lex_state = 6},
  [17006] = {.lex_state = 6},
  [17007] = {.lex_state = 6},
  [17008] = {.lex_state = 6},
  [17009] = {.lex_state = 0},
  [17010] = {.lex_state = 6},
  [17011] = {.lex_state = 0},
  [17012] = {.lex_state = 0},
  [17013] = {.lex_state = 60},
  [17014] = {.lex_state = 0, .external_lex_state = 64},
  [17015] = {.lex_state = 0},
  [17016] = {.lex_state = 6},
  [17017] = {.lex_state = 6},
  [17018] = {.lex_state = 6},
  [17019] = {.lex_state = 6},
  [17020] = {.lex_state = 0},
  [17021] = {.lex_state = 0},
  [17022] = {.lex_state = 0, .external_lex_state = 64},
  [17023] = {.lex_state = 0, .external_lex_state = 64},
  [17024] = {.lex_state = 0},
  [17025] = {.lex_state = 0},
  [17026] = {.lex_state = 0},
  [17027] = {.lex_state = 60, .external_lex_state = 54},
  [17028] = {.lex_state = 0, .external_lex_state = 64},
  [17029] = {.lex_state = 0},
  [17030] = {.lex_state = 0},
  [17031] = {.lex_state = 0, .external_lex_state = 64},
  [17032] = {.lex_state = 0},
  [17033] = {.lex_state = 0},
  [17034] = {.lex_state = 0},
  [17035] = {.lex_state = 60, .external_lex_state = 54},
  [17036] = {.lex_state = 0, .external_lex_state = 64},
  [17037] = {.lex_state = 60, .external_lex_state = 54},
  [17038] = {.lex_state = 0},
  [17039] = {.lex_state = 0},
  [17040] = {.lex_state = 0},
  [17041] = {.lex_state = 0, .external_lex_state = 64},
  [17042] = {.lex_state = 0, .external_lex_state = 64},
  [17043] = {.lex_state = 60, .external_lex_state = 54},
  [17044] = {.lex_state = 0},
  [17045] = {.lex_state = 0},
  [17046] = {.lex_state = 0},
  [17047] = {.lex_state = 60},
  [17048] = {.lex_state = 0},
  [17049] = {.lex_state = 0, .external_lex_state = 64},
  [17050] = {.lex_state = 0},
  [17051] = {.lex_state = 0},
  [17052] = {.lex_state = 0},
  [17053] = {.lex_state = 0},
  [17054] = {.lex_state = 0, .external_lex_state = 64},
  [17055] = {.lex_state = 60, .external_lex_state = 54},
  [17056] = {.lex_state = 0},
  [17057] = {.lex_state = 0},
  [17058] = {.lex_state = 0},
  [17059] = {.lex_state = 0},
  [17060] = {.lex_state = 0},
  [17061] = {.lex_state = 0, .external_lex_state = 64},
  [17062] = {.lex_state = 0},
  [17063] = {.lex_state = 0},
  [17064] = {.lex_state = 0, .external_lex_state = 64},
  [17065] = {.lex_state = 60, .external_lex_state = 54},
  [17066] = {.lex_state = 0},
  [17067] = {.lex_state = 0},
  [17068] = {.lex_state = 0},
  [17069] = {.lex_state = 0},
  [17070] = {.lex_state = 0},
  [17071] = {.lex_state = 0},
  [17072] = {.lex_state = 0},
  [17073] = {.lex_state = 60},
  [17074] = {.lex_state = 0},
  [17075] = {.lex_state = 0},
  [17076] = {.lex_state = 0},
  [17077] = {.lex_state = 0, .external_lex_state = 64},
  [17078] = {.lex_state = 0},
  [17079] = {.lex_state = 0},
  [17080] = {.lex_state = 0},
  [17081] = {.lex_state = 0, .external_lex_state = 64},
  [17082] = {.lex_state = 0},
  [17083] = {.lex_state = 0},
  [17084] = {.lex_state = 0},
  [17085] = {.lex_state = 0, .external_lex_state = 64},
  [17086] = {.lex_state = 0},
  [17087] = {.lex_state = 0},
  [17088] = {.lex_state = 0},
  [17089] = {.lex_state = 60},
  [17090] = {.lex_state = 60},
  [17091] = {.lex_state = 0, .external_lex_state = 64},
  [17092] = {.lex_state = 0},
  [17093] = {.lex_state = 0},
  [17094] = {.lex_state = 0},
  [17095] = {.lex_state = 0},
  [17096] = {.lex_state = 0, .external_lex_state = 64},
  [17097] = {.lex_state = 0},
  [17098] = {.lex_state = 0},
  [17099] = {.lex_state = 0},
  [17100] = {.lex_state = 60, .external_lex_state = 54},
  [17101] = {.lex_state = 0, .external_lex_state = 64},
  [17102] = {.lex_state = 60, .external_lex_state = 54},
  [17103] = {.lex_state = 0, .external_lex_state = 64},
  [17104] = {.lex_state = 0},
  [17105] = {.lex_state = 0},
  [17106] = {.lex_state = 0},
  [17107] = {.lex_state = 0},
  [17108] = {.lex_state = 60},
  [17109] = {.lex_state = 60, .external_lex_state = 54},
  [17110] = {.lex_state = 0},
  [17111] = {.lex_state = 0},
  [17112] = {.lex_state = 60, .external_lex_state = 54},
  [17113] = {.lex_state = 0, .external_lex_state = 64},
  [17114] = {.lex_state = 0, .external_lex_state = 64},
  [17115] = {.lex_state = 0},
  [17116] = {.lex_state = 0},
  [17117] = {.lex_state = 0},
  [17118] = {.lex_state = 0},
  [17119] = {.lex_state = 0, .external_lex_state = 64},
  [17120] = {.lex_state = 60, .external_lex_state = 54},
  [17121] = {.lex_state = 0},
  [17122] = {.lex_state = 0},
  [17123] = {.lex_state = 60},
  [17124] = {.lex_state = 60, .external_lex_state = 54},
  [17125] = {.lex_state = 0},
  [17126] = {.lex_state = 0},
  [17127] = {.lex_state = 0, .external_lex_state = 64},
  [17128] = {.lex_state = 0},
  [17129] = {.lex_state = 0},
  [17130] = {.lex_state = 0},
  [17131] = {.lex_state = 0},
  [17132] = {.lex_state = 0},
  [17133] = {.lex_state = 0},
  [17134] = {.lex_state = 0},
  [17135] = {.lex_state = 0},
  [17136] = {.lex_state = 0},
  [17137] = {.lex_state = 0, .external_lex_state = 64},
  [17138] = {.lex_state = 0, .external_lex_state = 64},
  [17139] = {.lex_state = 0},
  [17140] = {.lex_state = 0},
  [17141] = {.lex_state = 60, .external_lex_state = 47},
  [17142] = {.lex_state = 0, .external_lex_state = 64},
  [17143] = {.lex_state = 0},
  [17144] = {.lex_state = 0},
  [17145] = {.lex_state = 0},
  [17146] = {.lex_state = 0},
  [17147] = {.lex_state = 0},
  [17148] = {.lex_state = 0, .external_lex_state = 64},
  [17149] = {.lex_state = 60, .external_lex_state = 54},
  [17150] = {.lex_state = 0},
  [17151] = {.lex_state = 0},
  [17152] = {.lex_state = 0},
  [17153] = {.lex_state = 0, .external_lex_state = 64},
  [17154] = {.lex_state = 6},
  [17155] = {.lex_state = 60},
  [17156] = {.lex_state = 6},
  [17157] = {.lex_state = 60, .external_lex_state = 54},
  [17158] = {.lex_state = 0},
  [17159] = {.lex_state = 0, .external_lex_state = 64},
  [17160] = {.lex_state = 0},
  [17161] = {.lex_state = 6},
  [17162] = {.lex_state = 6},
  [17163] = {.lex_state = 0},
  [17164] = {.lex_state = 0},
  [17165] = {.lex_state = 60},
  [17166] = {.lex_state = 60, .external_lex_state = 54},
  [17167] = {.lex_state = 0},
  [17168] = {.lex_state = 0, .external_lex_state = 64},
  [17169] = {.lex_state = 0, .external_lex_state = 64},
  [17170] = {.lex_state = 0},
  [17171] = {.lex_state = 0},
  [17172] = {.lex_state = 0},
  [17173] = {.lex_state = 0},
  [17174] = {.lex_state = 60, .external_lex_state = 54},
  [17175] = {.lex_state = 0},
  [17176] = {.lex_state = 0},
  [17177] = {.lex_state = 0},
  [17178] = {.lex_state = 0},
  [17179] = {.lex_state = 60},
  [17180] = {.lex_state = 0},
  [17181] = {.lex_state = 0, .external_lex_state = 64},
  [17182] = {.lex_state = 0},
  [17183] = {.lex_state = 0},
  [17184] = {.lex_state = 0, .external_lex_state = 64},
  [17185] = {.lex_state = 0},
  [17186] = {.lex_state = 0},
  [17187] = {.lex_state = 0},
  [17188] = {.lex_state = 0},
  [17189] = {.lex_state = 0},
  [17190] = {.lex_state = 0},
  [17191] = {.lex_state = 60, .external_lex_state = 54},
  [17192] = {.lex_state = 0},
  [17193] = {.lex_state = 0, .external_lex_state = 64},
  [17194] = {.lex_state = 0},
  [17195] = {.lex_state = 0},
  [17196] = {.lex_state = 0},
  [17197] = {.lex_state = 0},
  [17198] = {.lex_state = 0},
  [17199] = {.lex_state = 60, .external_lex_state = 54},
  [17200] = {.lex_state = 0},
  [17201] = {.lex_state = 0},
  [17202] = {.lex_state = 0},
  [17203] = {.lex_state = 0, .external_lex_state = 64},
  [17204] = {.lex_state = 60},
  [17205] = {.lex_state = 0, .external_lex_state = 64},
  [17206] = {.lex_state = 0},
  [17207] = {.lex_state = 0},
  [17208] = {.lex_state = 0, .external_lex_state = 64},
  [17209] = {.lex_state = 0},
  [17210] = {.lex_state = 0},
  [17211] = {.lex_state = 0, .external_lex_state = 64},
  [17212] = {.lex_state = 0},
  [17213] = {.lex_state = 6},
  [17214] = {.lex_state = 0},
  [17215] = {.lex_state = 0},
  [17216] = {.lex_state = 0, .external_lex_state = 64},
  [17217] = {.lex_state = 0},
  [17218] = {.lex_state = 0},
  [17219] = {.lex_state = 60, .external_lex_state = 54},
  [17220] = {.lex_state = 60},
  [17221] = {.lex_state = 0, .external_lex_state = 64},
  [17222] = {.lex_state = 0},
  [17223] = {.lex_state = 0, .external_lex_state = 64},
  [17224] = {.lex_state = 0},
  [17225] = {.lex_state = 0},
  [17226] = {.lex_state = 0},
  [17227] = {.lex_state = 0, .external_lex_state = 25},
  [17228] = {.lex_state = 60, .external_lex_state = 54},
  [17229] = {.lex_state = 0},
  [17230] = {.lex_state = 0},
  [17231] = {.lex_state = 60, .external_lex_state = 54},
  [17232] = {.lex_state = 0, .external_lex_state = 64},
  [17233] = {.lex_state = 60},
  [17234] = {.lex_state = 0},
  [17235] = {.lex_state = 0},
  [17236] = {.lex_state = 0},
  [17237] = {.lex_state = 0},
  [17238] = {.lex_state = 25},
  [17239] = {.lex_state = 0, .external_lex_state = 64},
  [17240] = {.lex_state = 0},
  [17241] = {.lex_state = 60, .external_lex_state = 54},
  [17242] = {.lex_state = 0},
  [17243] = {.lex_state = 0},
  [17244] = {.lex_state = 0},
  [17245] = {.lex_state = 0},
  [17246] = {.lex_state = 0},
  [17247] = {.lex_state = 60, .external_lex_state = 47},
  [17248] = {.lex_state = 0},
  [17249] = {.lex_state = 0, .external_lex_state = 64},
  [17250] = {.lex_state = 60, .external_lex_state = 54},
  [17251] = {.lex_state = 0, .external_lex_state = 64},
  [17252] = {.lex_state = 0},
  [17253] = {.lex_state = 0},
  [17254] = {.lex_state = 0},
  [17255] = {.lex_state = 60},
  [17256] = {.lex_state = 60},
  [17257] = {.lex_state = 60},
  [17258] = {.lex_state = 0},
  [17259] = {.lex_state = 0},
  [17260] = {.lex_state = 0},
  [17261] = {.lex_state = 0, .external_lex_state = 64},
  [17262] = {.lex_state = 0},
  [17263] = {.lex_state = 0},
  [17264] = {.lex_state = 0},
  [17265] = {.lex_state = 0, .external_lex_state = 64},
  [17266] = {.lex_state = 0},
  [17267] = {.lex_state = 60, .external_lex_state = 54},
  [17268] = {.lex_state = 0},
  [17269] = {.lex_state = 0},
  [17270] = {.lex_state = 0},
  [17271] = {.lex_state = 0},
  [17272] = {.lex_state = 0},
  [17273] = {.lex_state = 0, .external_lex_state = 64},
  [17274] = {.lex_state = 0},
  [17275] = {.lex_state = 0},
  [17276] = {.lex_state = 0},
  [17277] = {.lex_state = 60},
  [17278] = {.lex_state = 0},
  [17279] = {.lex_state = 0, .external_lex_state = 64},
  [17280] = {.lex_state = 0},
  [17281] = {.lex_state = 0},
  [17282] = {.lex_state = 0, .external_lex_state = 64},
  [17283] = {.lex_state = 0, .external_lex_state = 64},
  [17284] = {.lex_state = 0},
  [17285] = {.lex_state = 0},
  [17286] = {.lex_state = 0},
  [17287] = {.lex_state = 0},
  [17288] = {.lex_state = 0, .external_lex_state = 64},
  [17289] = {.lex_state = 0, .external_lex_state = 64},
  [17290] = {.lex_state = 60, .external_lex_state = 54},
  [17291] = {.lex_state = 0},
  [17292] = {.lex_state = 0},
  [17293] = {.lex_state = 60},
  [17294] = {.lex_state = 0, .external_lex_state = 64},
  [17295] = {.lex_state = 0},
  [17296] = {.lex_state = 0},
  [17297] = {.lex_state = 60, .external_lex_state = 54},
  [17298] = {.lex_state = 0},
  [17299] = {.lex_state = 60},
  [17300] = {.lex_state = 0, .external_lex_state = 64},
  [17301] = {.lex_state = 60, .external_lex_state = 54},
  [17302] = {.lex_state = 0},
  [17303] = {.lex_state = 0, .external_lex_state = 64},
  [17304] = {.lex_state = 0, .external_lex_state = 64},
  [17305] = {.lex_state = 0},
  [17306] = {.lex_state = 60},
  [17307] = {.lex_state = 0},
  [17308] = {.lex_state = 53},
  [17309] = {.lex_state = 53},
  [17310] = {.lex_state = 60, .external_lex_state = 54},
  [17311] = {.lex_state = 0},
  [17312] = {.lex_state = 0},
  [17313] = {.lex_state = 0},
  [17314] = {.lex_state = 0, .external_lex_state = 64},
  [17315] = {.lex_state = 0},
  [17316] = {.lex_state = 0, .external_lex_state = 64},
  [17317] = {.lex_state = 0, .external_lex_state = 25},
  [17318] = {.lex_state = 0},
  [17319] = {.lex_state = 0},
  [17320] = {.lex_state = 60, .external_lex_state = 54},
  [17321] = {.lex_state = 0},
  [17322] = {.lex_state = 0, .external_lex_state = 64},
  [17323] = {.lex_state = 0},
  [17324] = {.lex_state = 0},
  [17325] = {.lex_state = 0},
  [17326] = {.lex_state = 0},
  [17327] = {.lex_state = 0},
  [17328] = {.lex_state = 0},
  [17329] = {.lex_state = 60},
  [17330] = {.lex_state = 0},
  [17331] = {.lex_state = 0},
  [17332] = {.lex_state = 60},
  [17333] = {.lex_state = 0},
  [17334] = {.lex_state = 0},
  [17335] = {.lex_state = 0, .external_lex_state = 64},
  [17336] = {.lex_state = 0, .external_lex_state = 64},
  [17337] = {.lex_state = 0},
  [17338] = {.lex_state = 60, .external_lex_state = 54},
  [17339] = {.lex_state = 0},
  [17340] = {.lex_state = 0},
  [17341] = {.lex_state = 60},
  [17342] = {.lex_state = 0},
  [17343] = {.lex_state = 0},
  [17344] = {.lex_state = 0, .external_lex_state = 64},
  [17345] = {.lex_state = 60, .external_lex_state = 47},
  [17346] = {.lex_state = 0},
  [17347] = {.lex_state = 0},
  [17348] = {.lex_state = 0, .external_lex_state = 25},
  [17349] = {.lex_state = 60},
  [17350] = {.lex_state = 0, .external_lex_state = 64},
  [17351] = {.lex_state = 0, .external_lex_state = 25},
  [17352] = {.lex_state = 0},
  [17353] = {.lex_state = 60},
  [17354] = {.lex_state = 0},
  [17355] = {.lex_state = 0, .external_lex_state = 64},
  [17356] = {.lex_state = 0},
  [17357] = {.lex_state = 60},
  [17358] = {.lex_state = 0, .external_lex_state = 64},
  [17359] = {.lex_state = 0},
  [17360] = {.lex_state = 0},
  [17361] = {.lex_state = 6},
  [17362] = {.lex_state = 0, .external_lex_state = 64},
  [17363] = {.lex_state = 0, .external_lex_state = 64},
  [17364] = {.lex_state = 6},
  [17365] = {.lex_state = 0},
  [17366] = {.lex_state = 0, .external_lex_state = 64},
  [17367] = {.lex_state = 60, .external_lex_state = 47},
  [17368] = {.lex_state = 0},
  [17369] = {.lex_state = 0},
  [17370] = {.lex_state = 0, .external_lex_state = 25},
  [17371] = {.lex_state = 6},
  [17372] = {.lex_state = 0, .external_lex_state = 64},
  [17373] = {.lex_state = 0, .external_lex_state = 64},
  [17374] = {.lex_state = 0},
  [17375] = {.lex_state = 60, .external_lex_state = 54},
  [17376] = {.lex_state = 60, .external_lex_state = 47},
  [17377] = {.lex_state = 6},
  [17378] = {.lex_state = 0, .external_lex_state = 64},
  [17379] = {.lex_state = 0, .external_lex_state = 25},
  [17380] = {.lex_state = 0, .external_lex_state = 64},
  [17381] = {.lex_state = 0},
  [17382] = {.lex_state = 0},
  [17383] = {.lex_state = 60, .external_lex_state = 54},
  [17384] = {.lex_state = 0},
  [17385] = {.lex_state = 0},
  [17386] = {.lex_state = 0, .external_lex_state = 64},
  [17387] = {.lex_state = 0},
  [17388] = {.lex_state = 0, .external_lex_state = 25},
  [17389] = {.lex_state = 0, .external_lex_state = 64},
  [17390] = {.lex_state = 53},
  [17391] = {.lex_state = 0, .external_lex_state = 64},
  [17392] = {.lex_state = 53},
  [17393] = {.lex_state = 60, .external_lex_state = 54},
  [17394] = {.lex_state = 0},
  [17395] = {.lex_state = 0, .external_lex_state = 25},
  [17396] = {.lex_state = 0},
  [17397] = {.lex_state = 60, .external_lex_state = 54},
  [17398] = {.lex_state = 60},
  [17399] = {.lex_state = 0, .external_lex_state = 64},
  [17400] = {.lex_state = 0, .external_lex_state = 64},
  [17401] = {.lex_state = 0},
  [17402] = {.lex_state = 0, .external_lex_state = 25},
  [17403] = {.lex_state = 0, .external_lex_state = 64},
  [17404] = {.lex_state = 0},
  [17405] = {.lex_state = 0},
  [17406] = {.lex_state = 0},
  [17407] = {.lex_state = 0},
  [17408] = {.lex_state = 0},
  [17409] = {.lex_state = 0, .external_lex_state = 25},
  [17410] = {.lex_state = 0, .external_lex_state = 64},
  [17411] = {.lex_state = 0},
  [17412] = {.lex_state = 0, .external_lex_state = 64},
  [17413] = {.lex_state = 0},
  [17414] = {.lex_state = 0, .external_lex_state = 64},
  [17415] = {.lex_state = 0},
  [17416] = {.lex_state = 0, .external_lex_state = 25},
  [17417] = {.lex_state = 0},
  [17418] = {.lex_state = 0},
  [17419] = {.lex_state = 0},
  [17420] = {.lex_state = 0},
  [17421] = {.lex_state = 0},
  [17422] = {.lex_state = 0},
  [17423] = {.lex_state = 0, .external_lex_state = 25},
  [17424] = {.lex_state = 0},
  [17425] = {.lex_state = 0},
  [17426] = {.lex_state = 0},
  [17427] = {.lex_state = 0},
  [17428] = {.lex_state = 0, .external_lex_state = 64},
  [17429] = {.lex_state = 0},
  [17430] = {.lex_state = 0, .external_lex_state = 25},
  [17431] = {.lex_state = 0, .external_lex_state = 64},
  [17432] = {.lex_state = 0, .external_lex_state = 64},
  [17433] = {.lex_state = 0},
  [17434] = {.lex_state = 0, .external_lex_state = 64},
  [17435] = {.lex_state = 0},
  [17436] = {.lex_state = 0},
  [17437] = {.lex_state = 0, .external_lex_state = 25},
  [17438] = {.lex_state = 60, .external_lex_state = 54},
  [17439] = {.lex_state = 0},
  [17440] = {.lex_state = 0, .external_lex_state = 64},
  [17441] = {.lex_state = 60, .external_lex_state = 54},
  [17442] = {.lex_state = 0},
  [17443] = {.lex_state = 0},
  [17444] = {.lex_state = 0, .external_lex_state = 25},
  [17445] = {.lex_state = 0, .external_lex_state = 64},
  [17446] = {.lex_state = 0},
  [17447] = {.lex_state = 60},
  [17448] = {.lex_state = 0, .external_lex_state = 64},
  [17449] = {.lex_state = 0, .external_lex_state = 64},
  [17450] = {.lex_state = 0},
  [17451] = {.lex_state = 0, .external_lex_state = 25},
  [17452] = {.lex_state = 0},
  [17453] = {.lex_state = 0},
  [17454] = {.lex_state = 0, .external_lex_state = 64},
  [17455] = {.lex_state = 0},
  [17456] = {.lex_state = 0, .external_lex_state = 64},
  [17457] = {.lex_state = 0},
  [17458] = {.lex_state = 0, .external_lex_state = 25},
  [17459] = {.lex_state = 0},
  [17460] = {.lex_state = 60},
  [17461] = {.lex_state = 0, .external_lex_state = 64},
  [17462] = {.lex_state = 60, .external_lex_state = 54},
  [17463] = {.lex_state = 0},
  [17464] = {.lex_state = 0},
  [17465] = {.lex_state = 0, .external_lex_state = 25},
  [17466] = {.lex_state = 0},
  [17467] = {.lex_state = 0, .external_lex_state = 64},
  [17468] = {.lex_state = 0, .external_lex_state = 64},
  [17469] = {.lex_state = 0},
  [17470] = {.lex_state = 60},
  [17471] = {.lex_state = 0},
  [17472] = {.lex_state = 0, .external_lex_state = 25},
  [17473] = {.lex_state = 0},
  [17474] = {.lex_state = 60, .external_lex_state = 54},
  [17475] = {.lex_state = 0},
  [17476] = {.lex_state = 0},
  [17477] = {.lex_state = 0, .external_lex_state = 64},
  [17478] = {.lex_state = 6},
  [17479] = {.lex_state = 0, .external_lex_state = 25},
  [17480] = {.lex_state = 0, .external_lex_state = 64},
  [17481] = {.lex_state = 0},
  [17482] = {.lex_state = 60, .external_lex_state = 54},
  [17483] = {.lex_state = 0},
  [17484] = {.lex_state = 0},
  [17485] = {.lex_state = 0, .external_lex_state = 25},
  [17486] = {.lex_state = 0},
  [17487] = {.lex_state = 6},
  [17488] = {.lex_state = 60},
  [17489] = {.lex_state = 6},
  [17490] = {.lex_state = 0},
  [17491] = {.lex_state = 0, .external_lex_state = 25},
  [17492] = {.lex_state = 0},
  [17493] = {.lex_state = 0},
  [17494] = {.lex_state = 0},
  [17495] = {.lex_state = 0, .external_lex_state = 64},
  [17496] = {.lex_state = 0},
  [17497] = {.lex_state = 0, .external_lex_state = 25},
  [17498] = {.lex_state = 0},
  [17499] = {.lex_state = 0, .external_lex_state = 64},
  [17500] = {.lex_state = 0},
  [17501] = {.lex_state = 0, .external_lex_state = 64},
  [17502] = {.lex_state = 0},
  [17503] = {.lex_state = 0, .external_lex_state = 25},
  [17504] = {.lex_state = 60, .external_lex_state = 54},
  [17505] = {.lex_state = 6},
  [17506] = {.lex_state = 0},
  [17507] = {.lex_state = 0, .external_lex_state = 64},
  [17508] = {.lex_state = 0, .external_lex_state = 64},
  [17509] = {.lex_state = 0, .external_lex_state = 25},
  [17510] = {.lex_state = 0, .external_lex_state = 64},
  [17511] = {.lex_state = 0},
  [17512] = {.lex_state = 60, .external_lex_state = 54},
  [17513] = {.lex_state = 0, .external_lex_state = 64},
  [17514] = {.lex_state = 0},
  [17515] = {.lex_state = 0, .external_lex_state = 25},
  [17516] = {.lex_state = 0},
  [17517] = {.lex_state = 60},
  [17518] = {.lex_state = 0},
  [17519] = {.lex_state = 53},
  [17520] = {.lex_state = 53},
  [17521] = {.lex_state = 0, .external_lex_state = 25},
  [17522] = {.lex_state = 0},
  [17523] = {.lex_state = 0},
  [17524] = {.lex_state = 0},
  [17525] = {.lex_state = 60, .external_lex_state = 54},
  [17526] = {.lex_state = 0, .external_lex_state = 64},
  [17527] = {.lex_state = 0, .external_lex_state = 25},
  [17528] = {.lex_state = 0},
  [17529] = {.lex_state = 0, .external_lex_state = 64},
  [17530] = {.lex_state = 0},
  [17531] = {.lex_state = 0, .external_lex_state = 64},
  [17532] = {.lex_state = 60},
  [17533] = {.lex_state = 0, .external_lex_state = 25},
  [17534] = {.lex_state = 0},
  [17535] = {.lex_state = 60, .external_lex_state = 54},
  [17536] = {.lex_state = 0},
  [17537] = {.lex_state = 0, .external_lex_state = 64},
  [17538] = {.lex_state = 0, .external_lex_state = 64},
  [17539] = {.lex_state = 0, .external_lex_state = 25},
  [17540] = {.lex_state = 0},
  [17541] = {.lex_state = 60, .external_lex_state = 54},
  [17542] = {.lex_state = 0, .external_lex_state = 64},
  [17543] = {.lex_state = 0},
  [17544] = {.lex_state = 0},
  [17545] = {.lex_state = 0, .external_lex_state = 25},
  [17546] = {.lex_state = 60},
  [17547] = {.lex_state = 0, .external_lex_state = 64},
  [17548] = {.lex_state = 0},
  [17549] = {.lex_state = 0},
  [17550] = {.lex_state = 0},
  [17551] = {.lex_state = 0, .external_lex_state = 25},
  [17552] = {.lex_state = 0},
  [17553] = {.lex_state = 0, .external_lex_state = 64},
  [17554] = {.lex_state = 0},
  [17555] = {.lex_state = 0},
  [17556] = {.lex_state = 0, .external_lex_state = 64},
  [17557] = {.lex_state = 0, .external_lex_state = 25},
  [17558] = {.lex_state = 0},
  [17559] = {.lex_state = 0},
  [17560] = {.lex_state = 0},
  [17561] = {.lex_state = 0, .external_lex_state = 64},
  [17562] = {.lex_state = 0},
  [17563] = {.lex_state = 0, .external_lex_state = 25},
  [17564] = {.lex_state = 0},
  [17565] = {.lex_state = 60, .external_lex_state = 54},
  [17566] = {.lex_state = 0},
  [17567] = {.lex_state = 0, .external_lex_state = 64},
  [17568] = {.lex_state = 0, .external_lex_state = 64},
  [17569] = {.lex_state = 0, .external_lex_state = 25},
  [17570] = {.lex_state = 0, .external_lex_state = 64},
  [17571] = {.lex_state = 0},
  [17572] = {.lex_state = 60, .external_lex_state = 54},
  [17573] = {.lex_state = 0, .external_lex_state = 64},
  [17574] = {.lex_state = 0},
  [17575] = {.lex_state = 0, .external_lex_state = 25},
  [17576] = {.lex_state = 60},
  [17577] = {.lex_state = 0},
  [17578] = {.lex_state = 0},
  [17579] = {.lex_state = 0},
  [17580] = {.lex_state = 0},
  [17581] = {.lex_state = 0, .external_lex_state = 25},
  [17582] = {.lex_state = 0},
  [17583] = {.lex_state = 0},
  [17584] = {.lex_state = 0, .external_lex_state = 64},
  [17585] = {.lex_state = 0},
  [17586] = {.lex_state = 0},
  [17587] = {.lex_state = 0, .external_lex_state = 25},
  [17588] = {.lex_state = 0},
  [17589] = {.lex_state = 0},
  [17590] = {.lex_state = 0, .external_lex_state = 64},
  [17591] = {.lex_state = 0},
  [17592] = {.lex_state = 0},
  [17593] = {.lex_state = 0, .external_lex_state = 25},
  [17594] = {.lex_state = 0},
  [17595] = {.lex_state = 0},
  [17596] = {.lex_state = 0, .external_lex_state = 64},
  [17597] = {.lex_state = 0},
  [17598] = {.lex_state = 0, .external_lex_state = 64},
  [17599] = {.lex_state = 0, .external_lex_state = 25},
  [17600] = {.lex_state = 0},
  [17601] = {.lex_state = 60, .external_lex_state = 54},
  [17602] = {.lex_state = 0},
  [17603] = {.lex_state = 0, .external_lex_state = 64},
  [17604] = {.lex_state = 60, .external_lex_state = 54},
  [17605] = {.lex_state = 0, .external_lex_state = 25},
  [17606] = {.lex_state = 0, .external_lex_state = 64},
  [17607] = {.lex_state = 0},
  [17608] = {.lex_state = 60},
  [17609] = {.lex_state = 0},
  [17610] = {.lex_state = 0, .external_lex_state = 64},
  [17611] = {.lex_state = 0, .external_lex_state = 25},
  [17612] = {.lex_state = 0},
  [17613] = {.lex_state = 0},
  [17614] = {.lex_state = 0},
  [17615] = {.lex_state = 0},
  [17616] = {.lex_state = 60},
  [17617] = {.lex_state = 0, .external_lex_state = 25},
  [17618] = {.lex_state = 0},
  [17619] = {.lex_state = 0, .external_lex_state = 64},
  [17620] = {.lex_state = 0},
  [17621] = {.lex_state = 0},
  [17622] = {.lex_state = 0, .external_lex_state = 64},
  [17623] = {.lex_state = 0, .external_lex_state = 25},
  [17624] = {.lex_state = 0, .external_lex_state = 64},
  [17625] = {.lex_state = 0},
  [17626] = {.lex_state = 60, .external_lex_state = 54},
  [17627] = {.lex_state = 0},
  [17628] = {.lex_state = 0},
  [17629] = {.lex_state = 0, .external_lex_state = 25},
  [17630] = {.lex_state = 0, .external_lex_state = 64},
  [17631] = {.lex_state = 0},
  [17632] = {.lex_state = 60, .external_lex_state = 54},
  [17633] = {.lex_state = 0, .external_lex_state = 64},
  [17634] = {.lex_state = 0},
  [17635] = {.lex_state = 0, .external_lex_state = 25},
  [17636] = {.lex_state = 60},
  [17637] = {.lex_state = 0, .external_lex_state = 64},
  [17638] = {.lex_state = 0},
  [17639] = {.lex_state = 0},
  [17640] = {.lex_state = 0},
  [17641] = {.lex_state = 0, .external_lex_state = 25},
  [17642] = {.lex_state = 0},
  [17643] = {.lex_state = 0},
  [17644] = {.lex_state = 0},
  [17645] = {.lex_state = 6},
  [17646] = {.lex_state = 0},
  [17647] = {.lex_state = 0, .external_lex_state = 25},
  [17648] = {.lex_state = 0, .external_lex_state = 64},
  [17649] = {.lex_state = 0},
  [17650] = {.lex_state = 0, .external_lex_state = 64},
  [17651] = {.lex_state = 0, .external_lex_state = 64},
  [17652] = {.lex_state = 0, .external_lex_state = 64},
  [17653] = {.lex_state = 0, .external_lex_state = 25},
  [17654] = {.lex_state = 0},
  [17655] = {.lex_state = 6},
  [17656] = {.lex_state = 0, .external_lex_state = 64},
  [17657] = {.lex_state = 6},
  [17658] = {.lex_state = 0},
  [17659] = {.lex_state = 0, .external_lex_state = 25},
  [17660] = {.lex_state = 60, .external_lex_state = 54},
  [17661] = {.lex_state = 0},
  [17662] = {.lex_state = 0},
  [17663] = {.lex_state = 0, .external_lex_state = 64},
  [17664] = {.lex_state = 60, .external_lex_state = 54},
  [17665] = {.lex_state = 0, .external_lex_state = 25},
  [17666] = {.lex_state = 60},
  [17667] = {.lex_state = 0},
  [17668] = {.lex_state = 0, .external_lex_state = 64},
  [17669] = {.lex_state = 0},
  [17670] = {.lex_state = 0, .external_lex_state = 64},
  [17671] = {.lex_state = 0, .external_lex_state = 25},
  [17672] = {.lex_state = 0},
  [17673] = {.lex_state = 60, .external_lex_state = 54},
  [17674] = {.lex_state = 0},
  [17675] = {.lex_state = 0},
  [17676] = {.lex_state = 0, .external_lex_state = 64},
  [17677] = {.lex_state = 0, .external_lex_state = 25},
  [17678] = {.lex_state = 0},
  [17679] = {.lex_state = 0},
  [17680] = {.lex_state = 0},
  [17681] = {.lex_state = 0, .external_lex_state = 64},
  [17682] = {.lex_state = 0, .external_lex_state = 64},
  [17683] = {.lex_state = 0, .external_lex_state = 25},
  [17684] = {.lex_state = 0},
  [17685] = {.lex_state = 60, .external_lex_state = 54},
  [17686] = {.lex_state = 0, .external_lex_state = 64},
  [17687] = {.lex_state = 6},
  [17688] = {.lex_state = 0},
  [17689] = {.lex_state = 0, .external_lex_state = 25},
  [17690] = {.lex_state = 0},
  [17691] = {.lex_state = 0, .external_lex_state = 64},
  [17692] = {.lex_state = 0},
  [17693] = {.lex_state = 0, .external_lex_state = 64},
  [17694] = {.lex_state = 0, .external_lex_state = 64},
  [17695] = {.lex_state = 0, .external_lex_state = 25},
  [17696] = {.lex_state = 60, .external_lex_state = 54},
  [17697] = {.lex_state = 60},
  [17698] = {.lex_state = 0, .external_lex_state = 64},
  [17699] = {.lex_state = 0},
  [17700] = {.lex_state = 0},
  [17701] = {.lex_state = 0, .external_lex_state = 25},
  [17702] = {.lex_state = 0, .external_lex_state = 64},
  [17703] = {.lex_state = 0},
  [17704] = {.lex_state = 0},
  [17705] = {.lex_state = 0},
  [17706] = {.lex_state = 0},
  [17707] = {.lex_state = 0, .external_lex_state = 25},
  [17708] = {.lex_state = 0},
  [17709] = {.lex_state = 0},
  [17710] = {.lex_state = 0, .external_lex_state = 64},
  [17711] = {.lex_state = 0, .external_lex_state = 64},
  [17712] = {.lex_state = 0, .external_lex_state = 25},
  [17713] = {.lex_state = 0},
  [17714] = {.lex_state = 0},
  [17715] = {.lex_state = 60, .external_lex_state = 54},
  [17716] = {.lex_state = 0, .external_lex_state = 64},
  [17717] = {.lex_state = 0, .external_lex_state = 25},
  [17718] = {.lex_state = 0},
  [17719] = {.lex_state = 53},
  [17720] = {.lex_state = 0},
  [17721] = {.lex_state = 53},
  [17722] = {.lex_state = 0, .external_lex_state = 25},
  [17723] = {.lex_state = 0, .external_lex_state = 64},
  [17724] = {.lex_state = 0},
  [17725] = {.lex_state = 60, .external_lex_state = 54},
  [17726] = {.lex_state = 60, .external_lex_state = 54},
  [17727] = {.lex_state = 0, .external_lex_state = 25},
  [17728] = {.lex_state = 60},
  [17729] = {.lex_state = 0, .external_lex_state = 64},
  [17730] = {.lex_state = 0},
  [17731] = {.lex_state = 0},
  [17732] = {.lex_state = 0, .external_lex_state = 25},
  [17733] = {.lex_state = 0, .external_lex_state = 64},
  [17734] = {.lex_state = 0},
  [17735] = {.lex_state = 0},
  [17736] = {.lex_state = 0},
  [17737] = {.lex_state = 0, .external_lex_state = 25},
  [17738] = {.lex_state = 0},
  [17739] = {.lex_state = 0},
  [17740] = {.lex_state = 0, .external_lex_state = 64},
  [17741] = {.lex_state = 0},
  [17742] = {.lex_state = 0, .external_lex_state = 25},
  [17743] = {.lex_state = 60, .external_lex_state = 54},
  [17744] = {.lex_state = 0, .external_lex_state = 64},
  [17745] = {.lex_state = 0},
  [17746] = {.lex_state = 60},
  [17747] = {.lex_state = 0, .external_lex_state = 25},
  [17748] = {.lex_state = 0, .external_lex_state = 64},
  [17749] = {.lex_state = 0},
  [17750] = {.lex_state = 0, .external_lex_state = 64},
  [17751] = {.lex_state = 60},
  [17752] = {.lex_state = 0, .external_lex_state = 25},
  [17753] = {.lex_state = 0},
  [17754] = {.lex_state = 0, .external_lex_state = 64},
  [17755] = {.lex_state = 60, .external_lex_state = 54},
  [17756] = {.lex_state = 0},
  [17757] = {.lex_state = 0, .external_lex_state = 25},
  [17758] = {.lex_state = 60},
  [17759] = {.lex_state = 0, .external_lex_state = 64},
  [17760] = {.lex_state = 0},
  [17761] = {.lex_state = 0},
  [17762] = {.lex_state = 0, .external_lex_state = 25},
  [17763] = {.lex_state = 0, .external_lex_state = 25},
  [17764] = {.lex_state = 0, .external_lex_state = 25},
  [17765] = {.lex_state = 0, .external_lex_state = 25},
  [17766] = {.lex_state = 0, .external_lex_state = 25},
  [17767] = {.lex_state = 0, .external_lex_state = 25},
  [17768] = {.lex_state = 0, .external_lex_state = 25},
  [17769] = {.lex_state = 0, .external_lex_state = 25},
  [17770] = {.lex_state = 0, .external_lex_state = 25},
  [17771] = {.lex_state = 0, .external_lex_state = 25},
  [17772] = {.lex_state = 0, .external_lex_state = 25},
  [17773] = {.lex_state = 0, .external_lex_state = 25},
  [17774] = {.lex_state = 0, .external_lex_state = 25},
  [17775] = {.lex_state = 0, .external_lex_state = 25},
  [17776] = {.lex_state = 0, .external_lex_state = 25},
  [17777] = {.lex_state = 0, .external_lex_state = 25},
  [17778] = {.lex_state = 0, .external_lex_state = 25},
  [17779] = {.lex_state = 0, .external_lex_state = 25},
  [17780] = {.lex_state = 0, .external_lex_state = 25},
  [17781] = {.lex_state = 0, .external_lex_state = 25},
  [17782] = {.lex_state = 0, .external_lex_state = 25},
  [17783] = {.lex_state = 0, .external_lex_state = 25},
  [17784] = {.lex_state = 0, .external_lex_state = 25},
  [17785] = {.lex_state = 0, .external_lex_state = 25},
  [17786] = {.lex_state = 0, .external_lex_state = 25},
  [17787] = {.lex_state = 0, .external_lex_state = 25},
  [17788] = {.lex_state = 0, .external_lex_state = 25},
  [17789] = {.lex_state = 0, .external_lex_state = 25},
  [17790] = {.lex_state = 0, .external_lex_state = 25},
  [17791] = {.lex_state = 0, .external_lex_state = 25},
  [17792] = {.lex_state = 0, .external_lex_state = 25},
  [17793] = {.lex_state = 0, .external_lex_state = 25},
  [17794] = {.lex_state = 0, .external_lex_state = 25},
  [17795] = {.lex_state = 0, .external_lex_state = 25},
  [17796] = {.lex_state = 0, .external_lex_state = 25},
  [17797] = {.lex_state = 0, .external_lex_state = 25},
  [17798] = {.lex_state = 0, .external_lex_state = 25},
  [17799] = {.lex_state = 0, .external_lex_state = 25},
  [17800] = {.lex_state = 0, .external_lex_state = 25},
  [17801] = {.lex_state = 0, .external_lex_state = 25},
  [17802] = {.lex_state = 0, .external_lex_state = 25},
  [17803] = {.lex_state = 0, .external_lex_state = 25},
  [17804] = {.lex_state = 0, .external_lex_state = 25},
  [17805] = {.lex_state = 0, .external_lex_state = 25},
  [17806] = {.lex_state = 0, .external_lex_state = 25},
  [17807] = {.lex_state = 0, .external_lex_state = 25},
  [17808] = {.lex_state = 0, .external_lex_state = 25},
  [17809] = {.lex_state = 0, .external_lex_state = 25},
  [17810] = {.lex_state = 0, .external_lex_state = 25},
  [17811] = {.lex_state = 0, .external_lex_state = 25},
  [17812] = {.lex_state = 0, .external_lex_state = 25},
  [17813] = {.lex_state = 0, .external_lex_state = 25},
  [17814] = {.lex_state = 0},
  [17815] = {.lex_state = 60},
  [17816] = {.lex_state = 0, .external_lex_state = 64},
  [17817] = {.lex_state = 0},
  [17818] = {.lex_state = 0},
  [17819] = {.lex_state = 0},
  [17820] = {.lex_state = 0},
  [17821] = {.lex_state = 0},
  [17822] = {.lex_state = 0},
  [17823] = {.lex_state = 0, .external_lex_state = 64},
  [17824] = {.lex_state = 60, .external_lex_state = 54},
  [17825] = {.lex_state = 0, .external_lex_state = 64},
  [17826] = {.lex_state = 0},
  [17827] = {.lex_state = 0},
  [17828] = {.lex_state = 0, .external_lex_state = 64},
  [17829] = {.lex_state = 0},
  [17830] = {.lex_state = 0},
  [17831] = {.lex_state = 0},
  [17832] = {.lex_state = 0},
  [17833] = {.lex_state = 0},
  [17834] = {.lex_state = 0, .external_lex_state = 64},
  [17835] = {.lex_state = 0},
  [17836] = {.lex_state = 0},
  [17837] = {.lex_state = 0},
  [17838] = {.lex_state = 0, .external_lex_state = 64},
  [17839] = {.lex_state = 0},
  [17840] = {.lex_state = 0},
  [17841] = {.lex_state = 0},
  [17842] = {.lex_state = 0, .external_lex_state = 64},
  [17843] = {.lex_state = 60, .external_lex_state = 54},
  [17844] = {.lex_state = 0},
  [17845] = {.lex_state = 60},
  [17846] = {.lex_state = 0},
  [17847] = {.lex_state = 0, .external_lex_state = 64},
  [17848] = {.lex_state = 0},
  [17849] = {.lex_state = 0},
  [17850] = {.lex_state = 0},
  [17851] = {.lex_state = 0, .external_lex_state = 64},
  [17852] = {.lex_state = 0},
  [17853] = {.lex_state = 0, .external_lex_state = 64},
  [17854] = {.lex_state = 60},
  [17855] = {.lex_state = 0},
  [17856] = {.lex_state = 0},
  [17857] = {.lex_state = 0},
  [17858] = {.lex_state = 0, .external_lex_state = 64},
  [17859] = {.lex_state = 60},
  [17860] = {.lex_state = 60, .external_lex_state = 54},
  [17861] = {.lex_state = 60},
  [17862] = {.lex_state = 0},
  [17863] = {.lex_state = 0},
  [17864] = {.lex_state = 0, .external_lex_state = 64},
  [17865] = {.lex_state = 0},
  [17866] = {.lex_state = 0},
  [17867] = {.lex_state = 0},
  [17868] = {.lex_state = 60},
  [17869] = {.lex_state = 0, .external_lex_state = 64},
  [17870] = {.lex_state = 60, .external_lex_state = 54},
  [17871] = {.lex_state = 0, .external_lex_state = 64},
  [17872] = {.lex_state = 0},
  [17873] = {.lex_state = 0},
  [17874] = {.lex_state = 0},
  [17875] = {(TSStateId)(-1)},
  [17876] = {(TSStateId)(-1)},
  [17877] = {(TSStateId)(-1)},
  [17878] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [sym_block_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__alpha_identifier] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_given] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_trait] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_LT_COLON] = ACTIONS(1),
    [anon_sym_GT_COLON] = ACTIONS(1),
    [anon_sym_LT_PERCENT] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_this] = ACTIONS(1),
    [anon_sym_extension] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_opaque] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_sealed] = ACTIONS(1),
    [anon_sym_implicit] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym_infix] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_transparent] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_derives] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_macro] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_symbol_literal] = ACTIONS(1),
    [sym__backquoted_id] = ACTIONS(1),
    [sym_integer_literal] = ACTIONS(1),
    [sym_floating_point_literal] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym_character_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym__interpolated_multiline_string_start] = ACTIONS(1),
    [sym_null_literal] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__interpolated_string_middle] = ACTIONS(1),
    [sym__interpolated_string_end] = ACTIONS(1),
    [sym__interpolated_multiline_string_middle] = ACTIONS(1),
    [sym__interpolated_multiline_string_end] = ACTIONS(1),
    [sym__outdent] = ACTIONS(1),
    [sym__simple_multiline_string] = ACTIONS(1),
    [sym__simple_string] = ACTIONS(1),
  },
  [1] = {
    [sym_compilation_unit] = STATE(17562),
    [sym__top_level_definition] = STATE(14437),
    [sym_enum_definition] = STATE(15036),
    [sym_package_clause] = STATE(15036),
    [sym_package_object] = STATE(15036),
    [sym_import_declaration] = STATE(15036),
    [sym_export_declaration] = STATE(15036),
    [sym_object_definition] = STATE(15036),
    [sym_class_definition] = STATE(15036),
    [sym_trait_definition] = STATE(15036),
    [sym__end_marker] = STATE(15036),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(15036),
    [sym_val_declaration] = STATE(15036),
    [sym__start_val] = STATE(4117),
    [sym_var_declaration] = STATE(15036),
    [sym_var_definition] = STATE(15036),
    [sym__start_var] = STATE(4112),
    [sym_type_definition] = STATE(15036),
    [sym_function_definition] = STATE(15036),
    [sym_function_declaration] = STATE(15036),
    [sym__function_declaration] = STATE(14079),
    [sym_opaque_modifier] = STATE(17532),
    [sym_extension_definition] = STATE(15036),
    [sym_given_definition] = STATE(15036),
    [sym_modifiers] = STATE(12712),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(10305),
    [sym_expression] = STATE(14073),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym__shebang] = STATE(136),
    [sym_comment] = STATE(1),
    [sym_block_comment] = STATE(1),
    [aux_sym_enum_definition_repeat1] = STATE(4258),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [aux_sym__shebang_token1] = ACTIONS(101),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16821),
    [sym__braced_template_body2] = STATE(16821),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2),
    [sym_block_comment] = STATE(2),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [3] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17443),
    [sym__braced_template_body2] = STATE(17443),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(3),
    [sym_block_comment] = STATE(3),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(177),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [4] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17382),
    [sym__braced_template_body2] = STATE(17382),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(4),
    [sym_block_comment] = STATE(4),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(179),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [5] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17654),
    [sym__braced_template_body2] = STATE(17654),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(5),
    [sym_block_comment] = STATE(5),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(181),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [6] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17614),
    [sym__braced_template_body2] = STATE(17614),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(6),
    [sym_block_comment] = STATE(6),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [7] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17396),
    [sym__braced_template_body2] = STATE(17396),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(7),
    [sym_block_comment] = STATE(7),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [8] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17848),
    [sym__braced_template_body2] = STATE(17848),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(8),
    [sym_block_comment] = STATE(8),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(187),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [9] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17405),
    [sym__braced_template_body2] = STATE(17405),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(9),
    [sym_block_comment] = STATE(9),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [10] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17419),
    [sym__braced_template_body2] = STATE(17419),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(10),
    [sym_block_comment] = STATE(10),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [11] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17354),
    [sym__braced_template_body2] = STATE(17354),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(11),
    [sym_block_comment] = STATE(11),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(193),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [12] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17435),
    [sym__braced_template_body2] = STATE(17435),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(12),
    [sym_block_comment] = STATE(12),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(195),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [13] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17452),
    [sym__braced_template_body2] = STATE(17452),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(13),
    [sym_block_comment] = STATE(13),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [14] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17578),
    [sym__braced_template_body2] = STATE(17578),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(14),
    [sym_block_comment] = STATE(14),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [15] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17483),
    [sym__braced_template_body2] = STATE(17483),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(15),
    [sym_block_comment] = STATE(15),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [16] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17502),
    [sym__braced_template_body2] = STATE(17502),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(16),
    [sym_block_comment] = STATE(16),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(203),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [17] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17518),
    [sym__braced_template_body2] = STATE(17518),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(17),
    [sym_block_comment] = STATE(17),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [18] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17534),
    [sym__braced_template_body2] = STATE(17534),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(18),
    [sym_block_comment] = STATE(18),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(207),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [19] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17548),
    [sym__braced_template_body2] = STATE(17548),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(19),
    [sym_block_comment] = STATE(19),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(209),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [20] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17564),
    [sym__braced_template_body2] = STATE(17564),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(20),
    [sym_block_comment] = STATE(20),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(211),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [21] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17550),
    [sym__braced_template_body2] = STATE(17550),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(21),
    [sym_block_comment] = STATE(21),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(213),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [22] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16576),
    [sym__braced_template_body2] = STATE(16576),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(22),
    [sym_block_comment] = STATE(22),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [23] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17609),
    [sym__braced_template_body2] = STATE(17609),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(23),
    [sym_block_comment] = STATE(23),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [24] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17600),
    [sym__braced_template_body2] = STATE(17600),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(24),
    [sym_block_comment] = STATE(24),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(219),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [25] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17613),
    [sym__braced_template_body2] = STATE(17613),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(25),
    [sym_block_comment] = STATE(25),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [26] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17522),
    [sym__braced_template_body2] = STATE(17522),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(26),
    [sym_block_comment] = STATE(26),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(223),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [27] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17627),
    [sym__braced_template_body2] = STATE(17627),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(27),
    [sym_block_comment] = STATE(27),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(225),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [28] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17642),
    [sym__braced_template_body2] = STATE(17642),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(28),
    [sym_block_comment] = STATE(28),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [29] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17492),
    [sym__braced_template_body2] = STATE(17492),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(29),
    [sym_block_comment] = STATE(29),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(229),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [30] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17674),
    [sym__braced_template_body2] = STATE(17674),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(30),
    [sym_block_comment] = STATE(30),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(231),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [31] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17661),
    [sym__braced_template_body2] = STATE(17661),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(31),
    [sym_block_comment] = STATE(31),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(233),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [32] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17675),
    [sym__braced_template_body2] = STATE(17675),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(32),
    [sym_block_comment] = STATE(32),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(235),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [33] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17692),
    [sym__braced_template_body2] = STATE(17692),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(33),
    [sym_block_comment] = STATE(33),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(237),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [34] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17706),
    [sym__braced_template_body2] = STATE(17706),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(34),
    [sym_block_comment] = STATE(34),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [35] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17453),
    [sym__braced_template_body2] = STATE(17453),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(35),
    [sym_block_comment] = STATE(35),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [36] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17340),
    [sym__braced_template_body2] = STATE(17340),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(36),
    [sym_block_comment] = STATE(36),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [37] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17724),
    [sym__braced_template_body2] = STATE(17724),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(37),
    [sym_block_comment] = STATE(37),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [38] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17738),
    [sym__braced_template_body2] = STATE(17738),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(38),
    [sym_block_comment] = STATE(38),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [39] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17406),
    [sym__braced_template_body2] = STATE(17406),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(39),
    [sym_block_comment] = STATE(39),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [40] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17286),
    [sym__braced_template_body2] = STATE(17286),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(40),
    [sym_block_comment] = STATE(40),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [41] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17753),
    [sym__braced_template_body2] = STATE(17753),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(41),
    [sym_block_comment] = STATE(41),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [42] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17821),
    [sym__braced_template_body2] = STATE(17821),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(42),
    [sym_block_comment] = STATE(42),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [43] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17844),
    [sym__braced_template_body2] = STATE(17844),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(43),
    [sym_block_comment] = STATE(43),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [44] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17347),
    [sym__braced_template_body2] = STATE(17347),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(44),
    [sym_block_comment] = STATE(44),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [45] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17210),
    [sym__braced_template_body2] = STATE(17210),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(45),
    [sym_block_comment] = STATE(45),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [46] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17857),
    [sym__braced_template_body2] = STATE(17857),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(46),
    [sym_block_comment] = STATE(46),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [47] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16304),
    [sym__braced_template_body2] = STATE(16304),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(47),
    [sym_block_comment] = STATE(47),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [48] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17302),
    [sym__braced_template_body2] = STATE(17302),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(48),
    [sym_block_comment] = STATE(48),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [49] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17147),
    [sym__braced_template_body2] = STATE(17147),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(49),
    [sym_block_comment] = STATE(49),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(269),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [50] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17132),
    [sym__braced_template_body2] = STATE(17132),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(50),
    [sym_block_comment] = STATE(50),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(271),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [51] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17280),
    [sym__braced_template_body2] = STATE(17280),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(51),
    [sym_block_comment] = STATE(51),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [52] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17082),
    [sym__braced_template_body2] = STATE(17082),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(52),
    [sym_block_comment] = STATE(52),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [53] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16876),
    [sym__braced_template_body2] = STATE(16876),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(53),
    [sym_block_comment] = STATE(53),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [54] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17217),
    [sym__braced_template_body2] = STATE(17217),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(54),
    [sym_block_comment] = STATE(54),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(279),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [55] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16991),
    [sym__braced_template_body2] = STATE(16991),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(55),
    [sym_block_comment] = STATE(55),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(281),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [56] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16768),
    [sym__braced_template_body2] = STATE(16768),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(56),
    [sym_block_comment] = STATE(56),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [57] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16523),
    [sym__braced_template_body2] = STATE(16523),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(57),
    [sym_block_comment] = STATE(57),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [58] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17207),
    [sym__braced_template_body2] = STATE(17207),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(58),
    [sym_block_comment] = STATE(58),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(287),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [59] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16381),
    [sym__braced_template_body2] = STATE(16381),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(59),
    [sym_block_comment] = STATE(59),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [60] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16221),
    [sym__braced_template_body2] = STATE(16221),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(60),
    [sym_block_comment] = STATE(60),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(291),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [61] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16894),
    [sym__braced_template_body2] = STATE(16894),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(61),
    [sym_block_comment] = STATE(61),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [62] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16270),
    [sym__braced_template_body2] = STATE(16270),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(62),
    [sym_block_comment] = STATE(62),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(295),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [63] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17167),
    [sym__braced_template_body2] = STATE(17167),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(63),
    [sym_block_comment] = STATE(63),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [64] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16799),
    [sym__braced_template_body2] = STATE(16799),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(64),
    [sym_block_comment] = STATE(64),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [65] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16411),
    [sym__braced_template_body2] = STATE(16411),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(65),
    [sym_block_comment] = STATE(65),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [66] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17139),
    [sym__braced_template_body2] = STATE(17139),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(66),
    [sym_block_comment] = STATE(66),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [67] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16734),
    [sym__braced_template_body2] = STATE(16734),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(67),
    [sym_block_comment] = STATE(67),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [68] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16548),
    [sym__braced_template_body2] = STATE(16548),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(68),
    [sym_block_comment] = STATE(68),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(307),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [69] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17076),
    [sym__braced_template_body2] = STATE(17076),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(69),
    [sym_block_comment] = STATE(69),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [70] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17048),
    [sym__braced_template_body2] = STATE(17048),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(70),
    [sym_block_comment] = STATE(70),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(311),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [71] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16657),
    [sym__braced_template_body2] = STATE(16657),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(71),
    [sym_block_comment] = STATE(71),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(313),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [72] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16715),
    [sym__braced_template_body2] = STATE(16715),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(72),
    [sym_block_comment] = STATE(72),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(315),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [73] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16993),
    [sym__braced_template_body2] = STATE(16993),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(73),
    [sym_block_comment] = STATE(73),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(317),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [74] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17577),
    [sym__braced_template_body2] = STATE(17577),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(74),
    [sym_block_comment] = STATE(74),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(319),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [75] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17368),
    [sym__braced_template_body2] = STATE(17368),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(75),
    [sym_block_comment] = STATE(75),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(321),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [76] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17473),
    [sym__braced_template_body2] = STATE(17473),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(76),
    [sym_block_comment] = STATE(76),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [77] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16492),
    [sym__braced_template_body2] = STATE(16492),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(77),
    [sym_block_comment] = STATE(77),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(325),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [78] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16992),
    [sym__braced_template_body2] = STATE(16992),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(78),
    [sym_block_comment] = STATE(78),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(327),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [79] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16936),
    [sym__braced_template_body2] = STATE(16936),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(79),
    [sym_block_comment] = STATE(79),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(329),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [80] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16409),
    [sym__braced_template_body2] = STATE(16409),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(80),
    [sym_block_comment] = STATE(80),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [81] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17126),
    [sym__braced_template_body2] = STATE(17126),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(81),
    [sym_block_comment] = STATE(81),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(333),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [82] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17700),
    [sym__braced_template_body2] = STATE(17700),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(82),
    [sym_block_comment] = STATE(82),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(335),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [83] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16321),
    [sym__braced_template_body2] = STATE(16321),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(83),
    [sym_block_comment] = STATE(83),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [84] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17252),
    [sym__braced_template_body2] = STATE(17252),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(84),
    [sym_block_comment] = STATE(84),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [85] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17731),
    [sym__braced_template_body2] = STATE(17731),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(85),
    [sym_block_comment] = STATE(85),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(341),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [86] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17408),
    [sym__braced_template_body2] = STATE(17408),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(86),
    [sym_block_comment] = STATE(86),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(343),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [87] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16240),
    [sym__braced_template_body2] = STATE(16240),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(87),
    [sym_block_comment] = STATE(87),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(345),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [88] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17705),
    [sym__braced_template_body2] = STATE(17705),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(88),
    [sym_block_comment] = STATE(88),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(347),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [89] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17814),
    [sym__braced_template_body2] = STATE(17814),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(89),
    [sym_block_comment] = STATE(89),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [90] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16166),
    [sym__braced_template_body2] = STATE(16166),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(90),
    [sym_block_comment] = STATE(90),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(351),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [91] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17741),
    [sym__braced_template_body2] = STATE(17741),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(91),
    [sym_block_comment] = STATE(91),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(353),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [92] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17413),
    [sym__braced_template_body2] = STATE(17413),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(92),
    [sym_block_comment] = STATE(92),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [93] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16863),
    [sym__braced_template_body2] = STATE(16863),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(93),
    [sym_block_comment] = STATE(93),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(357),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [94] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16199),
    [sym__braced_template_body2] = STATE(16199),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(94),
    [sym_block_comment] = STATE(94),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [95] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17264),
    [sym__braced_template_body2] = STATE(17264),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(95),
    [sym_block_comment] = STATE(95),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [96] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17150),
    [sym__braced_template_body2] = STATE(17150),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(96),
    [sym_block_comment] = STATE(96),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [97] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17024),
    [sym__braced_template_body2] = STATE(17024),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(97),
    [sym_block_comment] = STATE(97),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [98] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17846),
    [sym__braced_template_body2] = STATE(17846),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(98),
    [sym_block_comment] = STATE(98),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(367),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [99] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17186),
    [sym__braced_template_body2] = STATE(17186),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(99),
    [sym_block_comment] = STATE(99),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(369),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [100] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16259),
    [sym__braced_template_body2] = STATE(16259),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(100),
    [sym_block_comment] = STATE(100),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(371),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [101] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17841),
    [sym__braced_template_body2] = STATE(17841),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(101),
    [sym_block_comment] = STATE(101),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(373),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [102] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16781),
    [sym__braced_template_body2] = STATE(16781),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(102),
    [sym_block_comment] = STATE(102),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(375),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [103] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16629),
    [sym__braced_template_body2] = STATE(16629),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(103),
    [sym_block_comment] = STATE(103),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(377),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [104] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16829),
    [sym__braced_template_body2] = STATE(16829),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(104),
    [sym_block_comment] = STATE(104),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(379),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [105] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16320),
    [sym__braced_template_body2] = STATE(16320),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(105),
    [sym_block_comment] = STATE(105),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(381),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [106] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16474),
    [sym__braced_template_body2] = STATE(16474),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(106),
    [sym_block_comment] = STATE(106),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(383),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [107] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16374),
    [sym__braced_template_body2] = STATE(16374),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(107),
    [sym_block_comment] = STATE(107),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [108] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(17291),
    [sym__braced_template_body2] = STATE(17291),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(108),
    [sym_block_comment] = STATE(108),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(387),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [109] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16432),
    [sym__braced_template_body2] = STATE(16432),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(109),
    [sym_block_comment] = STATE(109),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(389),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [110] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16914),
    [sym__braced_template_body2] = STATE(16914),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(110),
    [sym_block_comment] = STATE(110),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(391),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [111] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16642),
    [sym__braced_template_body2] = STATE(16642),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(111),
    [sym_block_comment] = STATE(111),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(393),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [112] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16947),
    [sym__braced_template_body2] = STATE(16947),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(112),
    [sym_block_comment] = STATE(112),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(395),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [113] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16528),
    [sym__braced_template_body2] = STATE(16528),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(113),
    [sym_block_comment] = STATE(113),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(397),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [114] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16696),
    [sym__braced_template_body2] = STATE(16696),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(114),
    [sym_block_comment] = STATE(114),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(399),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [115] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16242),
    [sym__braced_template_body2] = STATE(16242),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(115),
    [sym_block_comment] = STATE(115),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(401),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [116] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16372),
    [sym__braced_template_body2] = STATE(16372),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(116),
    [sym_block_comment] = STATE(116),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [117] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16613),
    [sym__braced_template_body2] = STATE(16613),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(117),
    [sym_block_comment] = STATE(117),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [118] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16518),
    [sym__braced_template_body2] = STATE(16518),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(118),
    [sym_block_comment] = STATE(118),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(407),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [119] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__braced_template_body1] = STATE(16669),
    [sym__braced_template_body2] = STATE(16669),
    [sym__end_marker] = STATE(14443),
    [sym_self_type] = STATE(299),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17185),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6560),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(119),
    [sym_block_comment] = STATE(119),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(409),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(159),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(173),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [120] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17160),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(120),
    [sym_block_comment] = STATE(120),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14479),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [121] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16749),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(121),
    [sym_block_comment] = STATE(121),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14538),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [122] = {
    [sym__top_level_definition] = STATE(15500),
    [sym_enum_definition] = STATE(15036),
    [sym_package_clause] = STATE(15036),
    [sym_package_object] = STATE(15036),
    [sym_import_declaration] = STATE(15036),
    [sym_export_declaration] = STATE(15036),
    [sym_object_definition] = STATE(15036),
    [sym_class_definition] = STATE(15036),
    [sym_trait_definition] = STATE(15036),
    [sym__end_marker] = STATE(15036),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(15036),
    [sym_val_declaration] = STATE(15036),
    [sym__start_val] = STATE(4117),
    [sym_var_declaration] = STATE(15036),
    [sym_var_definition] = STATE(15036),
    [sym__start_var] = STATE(4112),
    [sym_type_definition] = STATE(15036),
    [sym_function_definition] = STATE(15036),
    [sym_function_declaration] = STATE(15036),
    [sym__function_declaration] = STATE(14079),
    [sym_opaque_modifier] = STATE(17532),
    [sym_extension_definition] = STATE(15036),
    [sym_given_definition] = STATE(15036),
    [sym_modifiers] = STATE(12712),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(10305),
    [sym_expression] = STATE(14073),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(122),
    [sym_block_comment] = STATE(122),
    [aux_sym_enum_definition_repeat1] = STATE(4258),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [ts_builtin_sym_end] = ACTIONS(419),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [123] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16595),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(123),
    [sym_block_comment] = STATE(123),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14644),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [124] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16513),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(124),
    [sym_block_comment] = STATE(124),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14631),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(423),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [125] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16424),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(125),
    [sym_block_comment] = STATE(125),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14622),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [126] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16328),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(126),
    [sym_block_comment] = STATE(126),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14616),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(427),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [127] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16249),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(127),
    [sym_block_comment] = STATE(127),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14610),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [128] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16250),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(128),
    [sym_block_comment] = STATE(128),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14603),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(431),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [129] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16341),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(129),
    [sym_block_comment] = STATE(129),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14591),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(433),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [130] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16429),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(130),
    [sym_block_comment] = STATE(130),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14577),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(435),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [131] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16596),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(131),
    [sym_block_comment] = STATE(131),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14554),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(437),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [132] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16679),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(132),
    [sym_block_comment] = STATE(132),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14546),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(439),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [133] = {
    [sym__top_level_definition] = STATE(15500),
    [sym_enum_definition] = STATE(15036),
    [sym_package_clause] = STATE(15036),
    [sym_package_object] = STATE(15036),
    [sym_import_declaration] = STATE(15036),
    [sym_export_declaration] = STATE(15036),
    [sym_object_definition] = STATE(15036),
    [sym_class_definition] = STATE(15036),
    [sym_trait_definition] = STATE(15036),
    [sym__end_marker] = STATE(15036),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(15036),
    [sym_val_declaration] = STATE(15036),
    [sym__start_val] = STATE(4117),
    [sym_var_declaration] = STATE(15036),
    [sym_var_definition] = STATE(15036),
    [sym__start_var] = STATE(4112),
    [sym_type_definition] = STATE(15036),
    [sym_function_definition] = STATE(15036),
    [sym_function_declaration] = STATE(15036),
    [sym__function_declaration] = STATE(14079),
    [sym_opaque_modifier] = STATE(17532),
    [sym_extension_definition] = STATE(15036),
    [sym_given_definition] = STATE(15036),
    [sym_modifiers] = STATE(12712),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(10305),
    [sym_expression] = STATE(14073),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(133),
    [sym_block_comment] = STATE(133),
    [aux_sym_enum_definition_repeat1] = STATE(4258),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [ts_builtin_sym_end] = ACTIONS(441),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [134] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16677),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(134),
    [sym_block_comment] = STATE(134),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14654),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(443),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [135] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16908),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(135),
    [sym_block_comment] = STATE(135),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14516),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [136] = {
    [sym__top_level_definition] = STATE(14467),
    [sym_enum_definition] = STATE(15036),
    [sym_package_clause] = STATE(15036),
    [sym_package_object] = STATE(15036),
    [sym_import_declaration] = STATE(15036),
    [sym_export_declaration] = STATE(15036),
    [sym_object_definition] = STATE(15036),
    [sym_class_definition] = STATE(15036),
    [sym_trait_definition] = STATE(15036),
    [sym__end_marker] = STATE(15036),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(15036),
    [sym_val_declaration] = STATE(15036),
    [sym__start_val] = STATE(4117),
    [sym_var_declaration] = STATE(15036),
    [sym_var_definition] = STATE(15036),
    [sym__start_var] = STATE(4112),
    [sym_type_definition] = STATE(15036),
    [sym_function_definition] = STATE(15036),
    [sym_function_declaration] = STATE(15036),
    [sym__function_declaration] = STATE(14079),
    [sym_opaque_modifier] = STATE(17532),
    [sym_extension_definition] = STATE(15036),
    [sym_given_definition] = STATE(15036),
    [sym_modifiers] = STATE(12712),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(10305),
    [sym_expression] = STATE(14073),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(136),
    [sym_block_comment] = STATE(136),
    [aux_sym_enum_definition_repeat1] = STATE(4258),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [ts_builtin_sym_end] = ACTIONS(447),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [137] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17021),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(137),
    [sym_block_comment] = STATE(137),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14502),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(449),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [138] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17097),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(138),
    [sym_block_comment] = STATE(138),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14491),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(451),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [139] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17296),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(139),
    [sym_block_comment] = STATE(139),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14459),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(453),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [140] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17225),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(140),
    [sym_block_comment] = STATE(140),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14470),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(455),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [141] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16817),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(141),
    [sym_block_comment] = STATE(141),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14526),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(457),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [142] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17360),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(142),
    [sym_block_comment] = STATE(142),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14451),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(459),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [143] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17469),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(143),
    [sym_block_comment] = STATE(143),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14441),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(461),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [144] = {
    [sym__top_level_definition] = STATE(15500),
    [sym_enum_definition] = STATE(15036),
    [sym_package_clause] = STATE(15036),
    [sym_package_object] = STATE(15036),
    [sym_import_declaration] = STATE(15036),
    [sym_export_declaration] = STATE(15036),
    [sym_object_definition] = STATE(15036),
    [sym_class_definition] = STATE(15036),
    [sym_trait_definition] = STATE(15036),
    [sym__end_marker] = STATE(15036),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(15036),
    [sym_val_declaration] = STATE(15036),
    [sym__start_val] = STATE(4117),
    [sym_var_declaration] = STATE(15036),
    [sym_var_definition] = STATE(15036),
    [sym__start_var] = STATE(4112),
    [sym_type_definition] = STATE(15036),
    [sym_function_definition] = STATE(15036),
    [sym_function_declaration] = STATE(15036),
    [sym__function_declaration] = STATE(14079),
    [sym_opaque_modifier] = STATE(17532),
    [sym_extension_definition] = STATE(15036),
    [sym_given_definition] = STATE(15036),
    [sym_modifiers] = STATE(12712),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(10305),
    [sym_expression] = STATE(14073),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(144),
    [sym_block_comment] = STATE(144),
    [aux_sym_enum_definition_repeat1] = STATE(4258),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [ts_builtin_sym_end] = ACTIONS(463),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [145] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17631),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(145),
    [sym_block_comment] = STATE(145),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14432),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(465),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [146] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16512),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(146),
    [sym_block_comment] = STATE(146),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14565),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(467),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [147] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17436),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(147),
    [sym_block_comment] = STATE(147),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14445),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(469),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [148] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17866),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_case_clause] = STATE(16047),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(148),
    [sym_block_comment] = STATE(148),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14421),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(471),
    [anon_sym_case] = ACTIONS(413),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [149] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16463),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(149),
    [sym_block_comment] = STATE(149),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14549),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [150] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16877),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(150),
    [sym_block_comment] = STATE(150),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14619),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [151] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16234),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(151),
    [sym_block_comment] = STATE(151),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14570),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [152] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16272),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(152),
    [sym_block_comment] = STATE(152),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14568),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [153] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17279),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(153),
    [sym_block_comment] = STATE(153),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14453),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [154] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17842),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(154),
    [sym_block_comment] = STATE(154),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14423),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [155] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16161),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(155),
    [sym_block_comment] = STATE(155),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14570),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [156] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17598),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(156),
    [sym_block_comment] = STATE(156),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14434),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [157] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17335),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(157),
    [sym_block_comment] = STATE(157),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14453),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [158] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17434),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(158),
    [sym_block_comment] = STATE(158),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14444),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [159] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(231),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16881),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6426),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(159),
    [sym_block_comment] = STATE(159),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(559),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(561),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [160] = {
    [sym__top_level_definition] = STATE(15500),
    [sym_enum_definition] = STATE(15036),
    [sym_package_clause] = STATE(15036),
    [sym_package_object] = STATE(15036),
    [sym_import_declaration] = STATE(15036),
    [sym_export_declaration] = STATE(15036),
    [sym_object_definition] = STATE(15036),
    [sym_class_definition] = STATE(15036),
    [sym_trait_definition] = STATE(15036),
    [sym__end_marker] = STATE(15036),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(15036),
    [sym_val_declaration] = STATE(15036),
    [sym__start_val] = STATE(4117),
    [sym_var_declaration] = STATE(15036),
    [sym_var_definition] = STATE(15036),
    [sym__start_var] = STATE(4112),
    [sym_type_definition] = STATE(15036),
    [sym_function_definition] = STATE(15036),
    [sym_function_declaration] = STATE(15036),
    [sym__function_declaration] = STATE(14079),
    [sym_opaque_modifier] = STATE(17532),
    [sym_extension_definition] = STATE(15036),
    [sym_given_definition] = STATE(15036),
    [sym_modifiers] = STATE(12712),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(526),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(10305),
    [sym_expression] = STATE(14073),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(160),
    [sym_block_comment] = STATE(160),
    [aux_sym_enum_definition_repeat1] = STATE(4258),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_given] = ACTIONS(27),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_extension] = ACTIONS(47),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(55),
    [anon_sym_def] = ACTIONS(57),
    [anon_sym_opaque] = ACTIONS(59),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(63),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(69),
    [anon_sym_open] = ACTIONS(71),
    [anon_sym_transparent] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [161] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17454),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(161),
    [sym_block_comment] = STATE(161),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14648),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [162] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17412),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(162),
    [sym_block_comment] = STATE(162),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14634),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [163] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17355),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(163),
    [sym_block_comment] = STATE(163),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14658),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [164] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17205),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(164),
    [sym_block_comment] = STATE(164),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14463),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [165] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16205),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(165),
    [sym_block_comment] = STATE(165),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14444),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [166] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17138),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(166),
    [sym_block_comment] = STATE(166),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14474),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [167] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17304),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(167),
    [sym_block_comment] = STATE(167),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14604),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [168] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17282),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(168),
    [sym_block_comment] = STATE(168),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14594),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [169] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17077),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(169),
    [sym_block_comment] = STATE(169),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14483),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [170] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16406),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(170),
    [sym_block_comment] = STATE(170),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14434),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [171] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17239),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(171),
    [sym_block_comment] = STATE(171),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14581),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [172] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17208),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(172),
    [sym_block_comment] = STATE(172),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14648),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [173] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17168),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(173),
    [sym_block_comment] = STATE(173),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14549),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [174] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17142),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(174),
    [sym_block_comment] = STATE(174),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14540),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [175] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16982),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(175),
    [sym_block_comment] = STATE(175),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14493),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [176] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17081),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(176),
    [sym_block_comment] = STATE(176),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14531),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [177] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16478),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(177),
    [sym_block_comment] = STATE(177),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14540),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [178] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17049),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(178),
    [sym_block_comment] = STATE(178),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14634),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [179] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16890),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(179),
    [sym_block_comment] = STATE(179),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14485),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [180] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16999),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(180),
    [sym_block_comment] = STATE(180),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14626),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [181] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16791),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(181),
    [sym_block_comment] = STATE(181),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14505),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [182] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17127),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(182),
    [sym_block_comment] = STATE(182),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14485),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [183] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16731),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(183),
    [sym_block_comment] = STATE(183),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14423),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [184] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16532),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(184),
    [sym_block_comment] = STATE(184),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14594),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [185] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16699),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(185),
    [sym_block_comment] = STATE(185),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14604),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [186] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16653),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(186),
    [sym_block_comment] = STATE(186),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14518),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [187] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16344),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(187),
    [sym_block_comment] = STATE(187),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14474),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [188] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16771),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(188),
    [sym_block_comment] = STATE(188),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14493),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [189] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16938),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(189),
    [sym_block_comment] = STATE(189),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14617),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [190] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16573),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(190),
    [sym_block_comment] = STATE(190),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14531),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [191] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16614),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(191),
    [sym_block_comment] = STATE(191),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14483),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [192] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16444),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(192),
    [sym_block_comment] = STATE(192),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14581),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [193] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16836),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_case_clause] = STATE(16044),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(193),
    [sym_block_comment] = STATE(193),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [aux_sym_indented_cases_repeat1] = STATE(14505),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [194] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(404),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16945),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(194),
    [sym_block_comment] = STATE(194),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [195] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(447),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17014),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(195),
    [sym_block_comment] = STATE(195),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [196] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17432),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(196),
    [sym_block_comment] = STATE(196),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [197] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(334),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17622),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(197),
    [sym_block_comment] = STATE(197),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [198] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(500),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16415),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(198),
    [sym_block_comment] = STATE(198),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [199] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(436),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17567),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(199),
    [sym_block_comment] = STATE(199),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [200] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(441),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17448),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(200),
    [sym_block_comment] = STATE(200),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [201] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(505),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16387),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(201),
    [sym_block_comment] = STATE(201),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [202] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(508),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16290),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(202),
    [sym_block_comment] = STATE(202),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [203] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(435),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16620),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(203),
    [sym_block_comment] = STATE(203),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [204] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(503),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16169),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(204),
    [sym_block_comment] = STATE(204),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [205] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(431),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17322),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(205),
    [sym_block_comment] = STATE(205),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [206] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(497),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16493),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(206),
    [sym_block_comment] = STATE(206),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [207] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(434),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17461),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(207),
    [sym_block_comment] = STATE(207),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [208] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(496),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16332),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(208),
    [sym_block_comment] = STATE(208),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [209] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(491),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16579),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(209),
    [sym_block_comment] = STATE(209),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [210] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(425),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17211),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(210),
    [sym_block_comment] = STATE(210),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [211] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(487),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16448),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(211),
    [sym_block_comment] = STATE(211),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [212] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(428),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17362),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(212),
    [sym_block_comment] = STATE(212),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [213] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(483),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16634),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(213),
    [sym_block_comment] = STATE(213),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [214] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(426),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16707),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(214),
    [sym_block_comment] = STATE(214),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [215] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(475),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16680),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(215),
    [sym_block_comment] = STATE(215),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [216] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(427),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17499),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(216),
    [sym_block_comment] = STATE(216),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [217] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(419),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17085),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(217),
    [sym_block_comment] = STATE(217),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [218] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(481),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16615),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(218),
    [sym_block_comment] = STATE(218),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [219] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17436),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(219),
    [sym_block_comment] = STATE(219),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(565),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [220] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(418),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16766),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(220),
    [sym_block_comment] = STATE(220),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [221] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(421),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17513),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(221),
    [sym_block_comment] = STATE(221),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [222] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(470),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16822),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(222),
    [sym_block_comment] = STATE(222),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [223] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(461),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16793),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(223),
    [sym_block_comment] = STATE(223),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [224] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(410),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16926),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(224),
    [sym_block_comment] = STATE(224),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [225] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(457),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16847),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(225),
    [sym_block_comment] = STATE(225),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [226] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(417),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17529),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(226),
    [sym_block_comment] = STATE(226),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [227] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(411),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16839),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(227),
    [sym_block_comment] = STATE(227),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [228] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(402),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16804),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(228),
    [sym_block_comment] = STATE(228),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [229] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(445),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16896),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(229),
    [sym_block_comment] = STATE(229),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [230] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(412),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17542),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(230),
    [sym_block_comment] = STATE(230),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [231] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16535),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(231),
    [sym_block_comment] = STATE(231),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(567),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [232] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(453),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17283),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(232),
    [sym_block_comment] = STATE(232),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [233] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(433),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16956),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(233),
    [sym_block_comment] = STATE(233),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [234] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(474),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17350),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(234),
    [sym_block_comment] = STATE(234),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [235] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(495),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16552),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(235),
    [sym_block_comment] = STATE(235),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [236] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(479),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16957),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(236),
    [sym_block_comment] = STATE(236),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [237] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(430),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17022),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(237),
    [sym_block_comment] = STATE(237),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [238] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(450),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17414),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(238),
    [sym_block_comment] = STATE(238),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [239] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(405),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17556),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(239),
    [sym_block_comment] = STATE(239),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [240] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(413),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17054),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(240),
    [sym_block_comment] = STATE(240),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [241] = {
    [sym_enum_definition] = STATE(14369),
    [sym_import_declaration] = STATE(14369),
    [sym_export_declaration] = STATE(14369),
    [sym_object_definition] = STATE(14369),
    [sym_class_definition] = STATE(14369),
    [sym_trait_definition] = STATE(14369),
    [sym__end_marker] = STATE(14369),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14369),
    [sym_val_declaration] = STATE(14369),
    [sym__start_val] = STATE(4100),
    [sym_var_declaration] = STATE(14369),
    [sym_var_definition] = STATE(14369),
    [sym__start_var] = STATE(4133),
    [sym_type_definition] = STATE(14369),
    [sym_function_definition] = STATE(14369),
    [sym_function_declaration] = STATE(14369),
    [sym__function_declaration] = STATE(13938),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14369),
    [sym_given_definition] = STATE(14369),
    [sym_modifiers] = STATE(12655),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(15868),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13682),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(241),
    [sym_block_comment] = STATE(241),
    [aux_sym_enum_definition_repeat1] = STATE(4262),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(569),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(571),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(583),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(585),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(587),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(597),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [242] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(502),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16300),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(242),
    [sym_block_comment] = STATE(242),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [243] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(407),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17091),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(243),
    [sym_block_comment] = STATE(243),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [244] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(403),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17573),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(244),
    [sym_block_comment] = STATE(244),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [245] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(409),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17858),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(245),
    [sym_block_comment] = STATE(245),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [246] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(451),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17403),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(246),
    [sym_block_comment] = STATE(246),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [247] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(396),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17148),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(247),
    [sym_block_comment] = STATE(247),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [248] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(395),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16652),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(248),
    [sym_block_comment] = STATE(248),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [249] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(472),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17101),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(249),
    [sym_block_comment] = STATE(249),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [250] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(399),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17590),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(250),
    [sym_block_comment] = STATE(250),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [251] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(392),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17184),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(251),
    [sym_block_comment] = STATE(251),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [252] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(452),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16449),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(252),
    [sym_block_comment] = STATE(252),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [253] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(387),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17216),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(253),
    [sym_block_comment] = STATE(253),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [254] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(397),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17041),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(254),
    [sym_block_comment] = STATE(254),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [255] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(389),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17823),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(255),
    [sym_block_comment] = STATE(255),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [256] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(398),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17610),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(256),
    [sym_block_comment] = STATE(256),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [257] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(485),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16164),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(257),
    [sym_block_comment] = STATE(257),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [258] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(390),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16476),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(258),
    [sym_block_comment] = STATE(258),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [259] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(444),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16539),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(259),
    [sym_block_comment] = STATE(259),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [260] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(386),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17249),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(260),
    [sym_block_comment] = STATE(260),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [261] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(375),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16349),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(261),
    [sym_block_comment] = STATE(261),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [262] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(458),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17391),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(262),
    [sym_block_comment] = STATE(262),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [263] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(388),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17624),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(263),
    [sym_block_comment] = STATE(263),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [264] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(377),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17288),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(264),
    [sym_block_comment] = STATE(264),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [265] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16183),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(265),
    [sym_block_comment] = STATE(265),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(599),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [266] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(384),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17113),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(266),
    [sym_block_comment] = STATE(266),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [267] = {
    [sym_enum_definition] = STATE(14398),
    [sym_import_declaration] = STATE(14398),
    [sym_export_declaration] = STATE(14398),
    [sym_object_definition] = STATE(14398),
    [sym_class_definition] = STATE(14398),
    [sym_trait_definition] = STATE(14398),
    [sym__end_marker] = STATE(14398),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14398),
    [sym_val_declaration] = STATE(14398),
    [sym__start_val] = STATE(4129),
    [sym_var_declaration] = STATE(14398),
    [sym_var_definition] = STATE(14398),
    [sym__start_var] = STATE(4131),
    [sym_type_definition] = STATE(14398),
    [sym_function_definition] = STATE(14398),
    [sym_function_declaration] = STATE(14398),
    [sym__function_declaration] = STATE(13944),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14398),
    [sym_given_definition] = STATE(14398),
    [sym_modifiers] = STATE(12848),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(525),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(15925),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13661),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(267),
    [sym_block_comment] = STATE(267),
    [aux_sym_enum_definition_repeat1] = STATE(4265),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(569),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(601),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(613),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(615),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(617),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [268] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(493),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16257),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(268),
    [sym_block_comment] = STATE(268),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [269] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(385),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17637),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(269),
    [sym_block_comment] = STATE(269),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [270] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(454),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17449),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(270),
    [sym_block_comment] = STATE(270),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [271] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(380),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17740),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(271),
    [sym_block_comment] = STATE(271),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [272] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(362),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17316),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(272),
    [sym_block_comment] = STATE(272),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [273] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(378),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17181),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(273),
    [sym_block_comment] = STATE(273),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [274] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(484),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16812),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(274),
    [sym_block_comment] = STATE(274),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [275] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(367),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17314),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(275),
    [sym_block_comment] = STATE(275),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [276] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(379),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17656),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(276),
    [sym_block_comment] = STATE(276),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [277] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(462),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17380),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(277),
    [sym_block_comment] = STATE(277),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [278] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16184),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(278),
    [sym_block_comment] = STATE(278),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(627),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [279] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(354),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17031),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(279),
    [sym_block_comment] = STATE(279),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [280] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(358),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17372),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(280),
    [sym_block_comment] = STATE(280),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [281] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(326),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17670),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(281),
    [sym_block_comment] = STATE(281),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [282] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(476),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16204),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(282),
    [sym_block_comment] = STATE(282),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [283] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(355),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17431),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(283),
    [sym_block_comment] = STATE(283),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [284] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(346),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17676),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(284),
    [sym_block_comment] = STATE(284),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [285] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(356),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17710),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(285),
    [sym_block_comment] = STATE(285),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [286] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(327),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17686),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(286),
    [sym_block_comment] = STATE(286),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [287] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(459),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16369),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(287),
    [sym_block_comment] = STATE(287),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [288] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(352),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17468),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(288),
    [sym_block_comment] = STATE(288),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [289] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(344),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17851),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(289),
    [sym_block_comment] = STATE(289),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [290] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(420),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16453),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(290),
    [sym_block_comment] = STATE(290),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [291] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(328),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17702),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(291),
    [sym_block_comment] = STATE(291),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [292] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(371),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16220),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(292),
    [sym_block_comment] = STATE(292),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [293] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(361),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16499),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(293),
    [sym_block_comment] = STATE(293),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [294] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(325),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16884),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(294),
    [sym_block_comment] = STATE(294),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [295] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17094),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(295),
    [sym_block_comment] = STATE(295),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [296] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(460),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17300),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(296),
    [sym_block_comment] = STATE(296),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [297] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(468),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17363),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(297),
    [sym_block_comment] = STATE(297),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [298] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(330),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17716),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(298),
    [sym_block_comment] = STATE(298),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [299] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16878),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(299),
    [sym_block_comment] = STATE(299),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(631),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [300] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(348),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17501),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(300),
    [sym_block_comment] = STATE(300),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [301] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(342),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17531),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(301),
    [sym_block_comment] = STATE(301),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [302] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(372),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17251),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(302),
    [sym_block_comment] = STATE(302),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [303] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17225),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(303),
    [sym_block_comment] = STATE(303),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(633),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [304] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(332),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17733),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(304),
    [sym_block_comment] = STATE(304),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [305] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17837),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(305),
    [sym_block_comment] = STATE(305),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [306] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(345),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17681),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(306),
    [sym_block_comment] = STATE(306),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [307] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(347),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17871),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(307),
    [sym_block_comment] = STATE(307),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [308] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(339),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17561),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(308),
    [sym_block_comment] = STATE(308),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [309] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(333),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17748),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(309),
    [sym_block_comment] = STATE(309),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [310] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(335),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17596),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(310),
    [sym_block_comment] = STATE(310),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [311] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(489),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16691),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(311),
    [sym_block_comment] = STATE(311),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [312] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(357),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16810),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(312),
    [sym_block_comment] = STATE(312),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [313] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(469),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16273),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(313),
    [sym_block_comment] = STATE(313),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [314] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(331),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17650),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(314),
    [sym_block_comment] = STATE(314),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [315] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(466),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17203),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(315),
    [sym_block_comment] = STATE(315),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [316] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(324),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17816),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(316),
    [sym_block_comment] = STATE(316),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [317] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(368),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16271),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(317),
    [sym_block_comment] = STATE(317),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [318] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(353),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17547),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(318),
    [sym_block_comment] = STATE(318),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [319] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(343),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17754),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(319),
    [sym_block_comment] = STATE(319),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [320] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(350),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17221),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(320),
    [sym_block_comment] = STATE(320),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [321] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(365),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16428),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(321),
    [sym_block_comment] = STATE(321),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [322] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(363),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17400),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(322),
    [sym_block_comment] = STATE(322),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [323] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_self_type] = STATE(340),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17828),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6433),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(323),
    [sym_block_comment] = STATE(323),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(563),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [324] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17759),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(324),
    [sym_block_comment] = STATE(324),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [325] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16538),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(325),
    [sym_block_comment] = STATE(325),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [326] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17668),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(326),
    [sym_block_comment] = STATE(326),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [327] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17682),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(327),
    [sym_block_comment] = STATE(327),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [328] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17698),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(328),
    [sym_block_comment] = STATE(328),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [329] = {
    [sym_enum_definition] = STATE(14512),
    [sym_import_declaration] = STATE(14512),
    [sym_export_declaration] = STATE(14512),
    [sym_object_definition] = STATE(14512),
    [sym_class_definition] = STATE(14512),
    [sym_trait_definition] = STATE(14512),
    [sym__end_marker] = STATE(14512),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14512),
    [sym_val_declaration] = STATE(14512),
    [sym__start_val] = STATE(4129),
    [sym_var_declaration] = STATE(14512),
    [sym_var_definition] = STATE(14512),
    [sym__start_var] = STATE(4131),
    [sym_type_definition] = STATE(14512),
    [sym_function_definition] = STATE(14512),
    [sym_function_declaration] = STATE(14512),
    [sym__function_declaration] = STATE(13944),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14512),
    [sym_given_definition] = STATE(14512),
    [sym_modifiers] = STATE(12848),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(525),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(329),
    [sym_block_comment] = STATE(329),
    [aux_sym_enum_definition_repeat1] = STATE(4265),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(601),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(613),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(615),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(641),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [330] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17711),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(330),
    [sym_block_comment] = STATE(330),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [331] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17663),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(331),
    [sym_block_comment] = STATE(331),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [332] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17729),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(332),
    [sym_block_comment] = STATE(332),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [333] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17744),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(333),
    [sym_block_comment] = STATE(333),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [334] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17630),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(334),
    [sym_block_comment] = STATE(334),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [335] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17603),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(335),
    [sym_block_comment] = STATE(335),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [336] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17838),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(336),
    [sym_block_comment] = STATE(336),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [337] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17833),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(337),
    [sym_block_comment] = STATE(337),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [338] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17831),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(338),
    [sym_block_comment] = STATE(338),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [339] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17568),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(339),
    [sym_block_comment] = STATE(339),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [340] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17825),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(340),
    [sym_block_comment] = STATE(340),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [341] = {
    [sym_enum_definition] = STATE(14509),
    [sym__enum_block] = STATE(17761),
    [sym_enum_case_definitions] = STATE(14509),
    [sym_import_declaration] = STATE(14509),
    [sym_export_declaration] = STATE(14509),
    [sym_object_definition] = STATE(14509),
    [sym_class_definition] = STATE(14509),
    [sym_trait_definition] = STATE(14509),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14509),
    [sym_val_declaration] = STATE(14509),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14509),
    [sym_var_definition] = STATE(14509),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14509),
    [sym_function_definition] = STATE(14509),
    [sym_function_declaration] = STATE(14509),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14509),
    [sym_given_definition] = STATE(14509),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13939),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(341),
    [sym_block_comment] = STATE(341),
    [aux_sym_enum_definition_repeat1] = STATE(4272),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(643),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [342] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17537),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(342),
    [sym_block_comment] = STATE(342),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [343] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17691),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(343),
    [sym_block_comment] = STATE(343),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [344] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17847),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(344),
    [sym_block_comment] = STATE(344),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [345] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17693),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(345),
    [sym_block_comment] = STATE(345),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [346] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17651),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(346),
    [sym_block_comment] = STATE(346),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [347] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17864),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(347),
    [sym_block_comment] = STATE(347),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [348] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17508),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(348),
    [sym_block_comment] = STATE(348),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [349] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17586),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(349),
    [sym_block_comment] = STATE(349),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [350] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17273),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(350),
    [sym_block_comment] = STATE(350),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [351] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17583),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(351),
    [sym_block_comment] = STATE(351),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [352] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17477),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(352),
    [sym_block_comment] = STATE(352),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [353] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17507),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(353),
    [sym_block_comment] = STATE(353),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [354] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17061),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(354),
    [sym_block_comment] = STATE(354),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [355] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17440),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(355),
    [sym_block_comment] = STATE(355),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [356] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17723),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(356),
    [sym_block_comment] = STATE(356),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [357] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16827),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(357),
    [sym_block_comment] = STATE(357),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [358] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17389),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(358),
    [sym_block_comment] = STATE(358),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [359] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17421),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(359),
    [sym_block_comment] = STATE(359),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [360] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17418),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(360),
    [sym_block_comment] = STATE(360),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [361] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16661),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(361),
    [sym_block_comment] = STATE(361),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [362] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17336),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(362),
    [sym_block_comment] = STATE(362),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [363] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17378),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(363),
    [sym_block_comment] = STATE(363),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [364] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17328),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(364),
    [sym_block_comment] = STATE(364),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [365] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16491),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(365),
    [sym_block_comment] = STATE(365),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [366] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17325),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(366),
    [sym_block_comment] = STATE(366),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [367] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17303),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(367),
    [sym_block_comment] = STATE(367),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [368] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16329),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(368),
    [sym_block_comment] = STATE(368),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [369] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17271),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(369),
    [sym_block_comment] = STATE(369),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [370] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17269),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(370),
    [sym_block_comment] = STATE(370),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [371] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16181),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(371),
    [sym_block_comment] = STATE(371),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [372] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17232),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(372),
    [sym_block_comment] = STATE(372),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [373] = {
    [sym_enum_definition] = STATE(14509),
    [sym__enum_block] = STATE(16937),
    [sym_enum_case_definitions] = STATE(14509),
    [sym_import_declaration] = STATE(14509),
    [sym_export_declaration] = STATE(14509),
    [sym_object_definition] = STATE(14509),
    [sym_class_definition] = STATE(14509),
    [sym_trait_definition] = STATE(14509),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14509),
    [sym_val_declaration] = STATE(14509),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14509),
    [sym_var_definition] = STATE(14509),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14509),
    [sym_function_definition] = STATE(14509),
    [sym_function_declaration] = STATE(14509),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14509),
    [sym_given_definition] = STATE(14509),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13939),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(373),
    [sym_block_comment] = STATE(373),
    [aux_sym_enum_definition_repeat1] = STATE(4272),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(649),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [374] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17198),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(374),
    [sym_block_comment] = STATE(374),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [375] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16325),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(375),
    [sym_block_comment] = STATE(375),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [376] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17196),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(376),
    [sym_block_comment] = STATE(376),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [377] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17294),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(377),
    [sym_block_comment] = STATE(377),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [378] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17169),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(378),
    [sym_block_comment] = STATE(378),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [379] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17648),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(379),
    [sym_block_comment] = STATE(379),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [380] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17750),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(380),
    [sym_block_comment] = STATE(380),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [381] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17131),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(381),
    [sym_block_comment] = STATE(381),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [382] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17129),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(382),
    [sym_block_comment] = STATE(382),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [383] = {
    [sym_enum_definition] = STATE(14512),
    [sym_import_declaration] = STATE(14512),
    [sym_export_declaration] = STATE(14512),
    [sym_object_definition] = STATE(14512),
    [sym_class_definition] = STATE(14512),
    [sym_trait_definition] = STATE(14512),
    [sym__end_marker] = STATE(14512),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14512),
    [sym_val_declaration] = STATE(14512),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14512),
    [sym_var_definition] = STATE(14512),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14512),
    [sym_function_definition] = STATE(14512),
    [sym_function_declaration] = STATE(14512),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14512),
    [sym_given_definition] = STATE(14512),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(383),
    [sym_block_comment] = STATE(383),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(641),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [384] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17103),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(384),
    [sym_block_comment] = STATE(384),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [385] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17633),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(385),
    [sym_block_comment] = STATE(385),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [386] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17265),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(386),
    [sym_block_comment] = STATE(386),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [387] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17223),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(387),
    [sym_block_comment] = STATE(387),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [388] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17619),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(388),
    [sym_block_comment] = STATE(388),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [389] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17834),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(389),
    [sym_block_comment] = STATE(389),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [390] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16445),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(390),
    [sym_block_comment] = STATE(390),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [391] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17060),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(391),
    [sym_block_comment] = STATE(391),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [392] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17193),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(392),
    [sym_block_comment] = STATE(392),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [393] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17058),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(393),
    [sym_block_comment] = STATE(393),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [394] = {
    [sym_enum_definition] = STATE(14669),
    [sym_import_declaration] = STATE(14669),
    [sym_export_declaration] = STATE(14669),
    [sym_object_definition] = STATE(14669),
    [sym_class_definition] = STATE(14669),
    [sym_trait_definition] = STATE(14669),
    [sym__end_marker] = STATE(14669),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14669),
    [sym_val_declaration] = STATE(14669),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14669),
    [sym_var_definition] = STATE(14669),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14669),
    [sym_function_definition] = STATE(14669),
    [sym_function_declaration] = STATE(14669),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14669),
    [sym_given_definition] = STATE(14669),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13892),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(394),
    [sym_block_comment] = STATE(394),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(653),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [395] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16581),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(395),
    [sym_block_comment] = STATE(395),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [396] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17153),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(396),
    [sym_block_comment] = STATE(396),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [397] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17028),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(397),
    [sym_block_comment] = STATE(397),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [398] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17606),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(398),
    [sym_block_comment] = STATE(398),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [399] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17584),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(399),
    [sym_block_comment] = STATE(399),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [400] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16969),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(400),
    [sym_block_comment] = STATE(400),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [401] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16967),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(401),
    [sym_block_comment] = STATE(401),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [402] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16752),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(402),
    [sym_block_comment] = STATE(402),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [403] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17570),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(403),
    [sym_block_comment] = STATE(403),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [404] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16923),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(404),
    [sym_block_comment] = STATE(404),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [405] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17553),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(405),
    [sym_block_comment] = STATE(405),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [406] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16871),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(406),
    [sym_block_comment] = STATE(406),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [407] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17119),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(407),
    [sym_block_comment] = STATE(407),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [408] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16864),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(408),
    [sym_block_comment] = STATE(408),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [409] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17869),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(409),
    [sym_block_comment] = STATE(409),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [410] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16897),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(410),
    [sym_block_comment] = STATE(410),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [411] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16824),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(411),
    [sym_block_comment] = STATE(411),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [412] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17538),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(412),
    [sym_block_comment] = STATE(412),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [413] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17064),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(413),
    [sym_block_comment] = STATE(413),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [414] = {
    [sym_enum_definition] = STATE(14669),
    [sym_import_declaration] = STATE(14669),
    [sym_export_declaration] = STATE(14669),
    [sym_object_definition] = STATE(14669),
    [sym_class_definition] = STATE(14669),
    [sym_trait_definition] = STATE(14669),
    [sym__end_marker] = STATE(14669),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14669),
    [sym_val_declaration] = STATE(14669),
    [sym__start_val] = STATE(4100),
    [sym_var_declaration] = STATE(14669),
    [sym_var_definition] = STATE(14669),
    [sym__start_var] = STATE(4133),
    [sym_type_definition] = STATE(14669),
    [sym_function_definition] = STATE(14669),
    [sym_function_declaration] = STATE(14669),
    [sym__function_declaration] = STATE(13938),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14669),
    [sym_given_definition] = STATE(14669),
    [sym_modifiers] = STATE(12655),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13892),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(414),
    [sym_block_comment] = STATE(414),
    [aux_sym_enum_definition_repeat1] = STATE(4262),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(639),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(571),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(583),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(585),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(637),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [415] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16785),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(415),
    [sym_block_comment] = STATE(415),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [416] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16776),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(416),
    [sym_block_comment] = STATE(416),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [417] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17526),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(417),
    [sym_block_comment] = STATE(417),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [418] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16754),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(418),
    [sym_block_comment] = STATE(418),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [419] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17036),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(419),
    [sym_block_comment] = STATE(419),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [420] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16268),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(420),
    [sym_block_comment] = STATE(420),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [421] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17510),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(421),
    [sym_block_comment] = STATE(421),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [422] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16720),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(422),
    [sym_block_comment] = STATE(422),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [423] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16718),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(423),
    [sym_block_comment] = STATE(423),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [424] = {
    [sym_enum_definition] = STATE(14669),
    [sym_import_declaration] = STATE(14669),
    [sym_export_declaration] = STATE(14669),
    [sym_object_definition] = STATE(14669),
    [sym_class_definition] = STATE(14669),
    [sym_trait_definition] = STATE(14669),
    [sym__end_marker] = STATE(14669),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14669),
    [sym_val_declaration] = STATE(14669),
    [sym__start_val] = STATE(4100),
    [sym_var_declaration] = STATE(14669),
    [sym_var_definition] = STATE(14669),
    [sym__start_var] = STATE(4133),
    [sym_type_definition] = STATE(14669),
    [sym_function_definition] = STATE(14669),
    [sym_function_declaration] = STATE(14669),
    [sym__function_declaration] = STATE(13938),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14669),
    [sym_given_definition] = STATE(14669),
    [sym_modifiers] = STATE(12655),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13892),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(424),
    [sym_block_comment] = STATE(424),
    [aux_sym_enum_definition_repeat1] = STATE(4262),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(655),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(571),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(583),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(585),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(653),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [425] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17159),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(425),
    [sym_block_comment] = STATE(425),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [426] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16694),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(426),
    [sym_block_comment] = STATE(426),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [427] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17495),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(427),
    [sym_block_comment] = STATE(427),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [428] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17480),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(428),
    [sym_block_comment] = STATE(428),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [429] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16641),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(429),
    [sym_block_comment] = STATE(429),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [430] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17042),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(430),
    [sym_block_comment] = STATE(430),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [431] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17289),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(431),
    [sym_block_comment] = STATE(431),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [432] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16639),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(432),
    [sym_block_comment] = STATE(432),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [433] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16970),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(433),
    [sym_block_comment] = STATE(433),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [434] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17456),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(434),
    [sym_block_comment] = STATE(434),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [435] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16602),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(435),
    [sym_block_comment] = STATE(435),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [436] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17467),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(436),
    [sym_block_comment] = STATE(436),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [437] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17069),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(437),
    [sym_block_comment] = STATE(437),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [438] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16559),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(438),
    [sym_block_comment] = STATE(438),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [439] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16557),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(439),
    [sym_block_comment] = STATE(439),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [440] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17071),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(440),
    [sym_block_comment] = STATE(440),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [441] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17445),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(441),
    [sym_block_comment] = STATE(441),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [442] = {
    [sym_enum_definition] = STATE(14669),
    [sym_import_declaration] = STATE(14669),
    [sym_export_declaration] = STATE(14669),
    [sym_object_definition] = STATE(14669),
    [sym_class_definition] = STATE(14669),
    [sym_trait_definition] = STATE(14669),
    [sym__end_marker] = STATE(14669),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14669),
    [sym_val_declaration] = STATE(14669),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14669),
    [sym_var_definition] = STATE(14669),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14669),
    [sym_function_definition] = STATE(14669),
    [sym_function_declaration] = STATE(14669),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14669),
    [sym_given_definition] = STATE(14669),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13892),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(442),
    [sym_block_comment] = STATE(442),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(637),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [443] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17428),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(443),
    [sym_block_comment] = STATE(443),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [444] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16517),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(444),
    [sym_block_comment] = STATE(444),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [445] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16901),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(445),
    [sym_block_comment] = STATE(445),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [446] = {
    [sym_enum_definition] = STATE(14512),
    [sym_import_declaration] = STATE(14512),
    [sym_export_declaration] = STATE(14512),
    [sym_object_definition] = STATE(14512),
    [sym_class_definition] = STATE(14512),
    [sym_trait_definition] = STATE(14512),
    [sym__end_marker] = STATE(14512),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14512),
    [sym_val_declaration] = STATE(14512),
    [sym__start_val] = STATE(4129),
    [sym_var_declaration] = STATE(14512),
    [sym_var_definition] = STATE(14512),
    [sym__start_var] = STATE(4131),
    [sym_type_definition] = STATE(14512),
    [sym_function_definition] = STATE(14512),
    [sym_function_declaration] = STATE(14512),
    [sym__function_declaration] = STATE(13944),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14512),
    [sym_given_definition] = STATE(14512),
    [sym_modifiers] = STATE(12848),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(525),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(446),
    [sym_block_comment] = STATE(446),
    [aux_sym_enum_definition_repeat1] = STATE(4265),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(653),
    [anon_sym_case] = ACTIONS(655),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(601),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(613),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(615),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(641),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [447] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17853),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(447),
    [sym_block_comment] = STATE(447),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [448] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16469),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(448),
    [sym_block_comment] = STATE(448),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [449] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16460),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(449),
    [sym_block_comment] = STATE(449),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [450] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17410),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(450),
    [sym_block_comment] = STATE(450),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [451] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17399),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(451),
    [sym_block_comment] = STATE(451),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [452] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16435),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(452),
    [sym_block_comment] = STATE(452),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [453] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17114),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(453),
    [sym_block_comment] = STATE(453),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [454] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17652),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(454),
    [sym_block_comment] = STATE(454),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [455] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16394),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(455),
    [sym_block_comment] = STATE(455),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [456] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16388),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(456),
    [sym_block_comment] = STATE(456),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [457] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16857),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(457),
    [sym_block_comment] = STATE(457),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [458] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17386),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(458),
    [sym_block_comment] = STATE(458),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [459] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16347),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(459),
    [sym_block_comment] = STATE(459),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [460] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17366),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(460),
    [sym_block_comment] = STATE(460),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [461] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16809),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(461),
    [sym_block_comment] = STATE(461),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [462] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17373),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(462),
    [sym_block_comment] = STATE(462),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [463] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16775),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(463),
    [sym_block_comment] = STATE(463),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [464] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16299),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(464),
    [sym_block_comment] = STATE(464),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [465] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16297),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(465),
    [sym_block_comment] = STATE(465),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [466] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17261),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(466),
    [sym_block_comment] = STATE(466),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [467] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17096),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(467),
    [sym_block_comment] = STATE(467),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [468] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17358),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(468),
    [sym_block_comment] = STATE(468),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [469] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16254),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(469),
    [sym_block_comment] = STATE(469),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [470] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16675),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(470),
    [sym_block_comment] = STATE(470),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [471] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16219),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(471),
    [sym_block_comment] = STATE(471),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [472] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17137),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(472),
    [sym_block_comment] = STATE(472),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [473] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16160),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(473),
    [sym_block_comment] = STATE(473),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [474] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17344),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(474),
    [sym_block_comment] = STATE(474),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [475] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16755),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(475),
    [sym_block_comment] = STATE(475),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [476] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16189),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(476),
    [sym_block_comment] = STATE(476),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [477] = {
    [sym_enum_definition] = STATE(14512),
    [sym_import_declaration] = STATE(14512),
    [sym_export_declaration] = STATE(14512),
    [sym_object_definition] = STATE(14512),
    [sym_class_definition] = STATE(14512),
    [sym_trait_definition] = STATE(14512),
    [sym__end_marker] = STATE(14512),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14512),
    [sym_val_declaration] = STATE(14512),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14512),
    [sym_var_definition] = STATE(14512),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14512),
    [sym_function_definition] = STATE(14512),
    [sym_function_declaration] = STATE(14512),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14512),
    [sym_given_definition] = STATE(14512),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(477),
    [sym_block_comment] = STATE(477),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(653),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(641),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [478] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16710),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(478),
    [sym_block_comment] = STATE(478),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [479] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(17023),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(479),
    [sym_block_comment] = STATE(479),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [480] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16153),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(480),
    [sym_block_comment] = STATE(480),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [481] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16520),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(481),
    [sym_block_comment] = STATE(481),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [482] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16151),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(482),
    [sym_block_comment] = STATE(482),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [483] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16668),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(483),
    [sym_block_comment] = STATE(483),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [484] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16865),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(484),
    [sym_block_comment] = STATE(484),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [485] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16175),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(485),
    [sym_block_comment] = STATE(485),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [486] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16619),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(486),
    [sym_block_comment] = STATE(486),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [487] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16382),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(487),
    [sym_block_comment] = STATE(487),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [488] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16155),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(488),
    [sym_block_comment] = STATE(488),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [489] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16751),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(489),
    [sym_block_comment] = STATE(489),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [490] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16213),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(490),
    [sym_block_comment] = STATE(490),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [491] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16583),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(491),
    [sym_block_comment] = STATE(491),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [492] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16575),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(492),
    [sym_block_comment] = STATE(492),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [493] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16244),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(493),
    [sym_block_comment] = STATE(493),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [494] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16561),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(494),
    [sym_block_comment] = STATE(494),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [495] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16572),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(495),
    [sym_block_comment] = STATE(495),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [496] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16248),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(496),
    [sym_block_comment] = STATE(496),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [497] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16498),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(497),
    [sym_block_comment] = STATE(497),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [498] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16284),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(498),
    [sym_block_comment] = STATE(498),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [499] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16291),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(499),
    [sym_block_comment] = STATE(499),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [500] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16459),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(500),
    [sym_block_comment] = STATE(500),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [501] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16479),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(501),
    [sym_block_comment] = STATE(501),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [502] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16315),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(502),
    [sym_block_comment] = STATE(502),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [503] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16247),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(503),
    [sym_block_comment] = STATE(503),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [504] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16475),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(504),
    [sym_block_comment] = STATE(504),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [505] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16412),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(505),
    [sym_block_comment] = STATE(505),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [506] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16355),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(506),
    [sym_block_comment] = STATE(506),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [507] = {
    [sym_enum_definition] = STATE(14443),
    [sym_import_declaration] = STATE(14443),
    [sym_export_declaration] = STATE(14443),
    [sym_object_definition] = STATE(14443),
    [sym_class_definition] = STATE(14443),
    [sym_trait_definition] = STATE(14443),
    [sym__end_marker] = STATE(14443),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14443),
    [sym_val_declaration] = STATE(14443),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14443),
    [sym_var_definition] = STATE(14443),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14443),
    [sym_function_definition] = STATE(14443),
    [sym_function_declaration] = STATE(14443),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14443),
    [sym_given_definition] = STATE(14443),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16368),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13899),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(507),
    [sym_block_comment] = STATE(507),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(149),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [508] = {
    [sym_enum_definition] = STATE(14618),
    [sym_import_declaration] = STATE(14618),
    [sym_export_declaration] = STATE(14618),
    [sym_object_definition] = STATE(14618),
    [sym_class_definition] = STATE(14618),
    [sym_trait_definition] = STATE(14618),
    [sym__end_marker] = STATE(14618),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14618),
    [sym_val_declaration] = STATE(14618),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14618),
    [sym_var_definition] = STATE(14618),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14618),
    [sym_function_definition] = STATE(14618),
    [sym_function_declaration] = STATE(14618),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14618),
    [sym_given_definition] = STATE(14618),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym__block] = STATE(16348),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13854),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(508),
    [sym_block_comment] = STATE(508),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(529),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [509] = {
    [sym_enum_definition] = STATE(14512),
    [sym_import_declaration] = STATE(14512),
    [sym_export_declaration] = STATE(14512),
    [sym_object_definition] = STATE(14512),
    [sym_class_definition] = STATE(14512),
    [sym_trait_definition] = STATE(14512),
    [sym__end_marker] = STATE(14512),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14512),
    [sym_val_declaration] = STATE(14512),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(14512),
    [sym_var_definition] = STATE(14512),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(14512),
    [sym_function_definition] = STATE(14512),
    [sym_function_declaration] = STATE(14512),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14512),
    [sym_given_definition] = STATE(14512),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(509),
    [sym_block_comment] = STATE(509),
    [aux_sym_enum_definition_repeat1] = STATE(4261),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(641),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [510] = {
    [sym_enum_definition] = STATE(15374),
    [sym_enum_case_definitions] = STATE(15374),
    [sym_import_declaration] = STATE(15374),
    [sym_export_declaration] = STATE(15374),
    [sym_object_definition] = STATE(15374),
    [sym_class_definition] = STATE(15374),
    [sym_trait_definition] = STATE(15374),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(15374),
    [sym_val_declaration] = STATE(15374),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(15374),
    [sym_var_definition] = STATE(15374),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(15374),
    [sym_function_definition] = STATE(15374),
    [sym_function_declaration] = STATE(15374),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(15374),
    [sym_given_definition] = STATE(15374),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(14113),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(510),
    [sym_block_comment] = STATE(510),
    [aux_sym_enum_definition_repeat1] = STATE(4272),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(657),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [511] = {
    [sym_enum_definition] = STATE(15399),
    [sym_enum_case_definitions] = STATE(15399),
    [sym_import_declaration] = STATE(15399),
    [sym_export_declaration] = STATE(15399),
    [sym_object_definition] = STATE(15399),
    [sym_class_definition] = STATE(15399),
    [sym_trait_definition] = STATE(15399),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(15399),
    [sym_val_declaration] = STATE(15399),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(15399),
    [sym_var_definition] = STATE(15399),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(15399),
    [sym_function_definition] = STATE(15399),
    [sym_function_declaration] = STATE(15399),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(15399),
    [sym_given_definition] = STATE(15399),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14064),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(511),
    [sym_block_comment] = STATE(511),
    [aux_sym_enum_definition_repeat1] = STATE(4257),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(657),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [512] = {
    [sym_enum_definition] = STATE(14666),
    [sym__enum_block] = STATE(17694),
    [sym_enum_case_definitions] = STATE(14666),
    [sym_import_declaration] = STATE(14666),
    [sym_export_declaration] = STATE(14666),
    [sym_object_definition] = STATE(14666),
    [sym_class_definition] = STATE(14666),
    [sym_trait_definition] = STATE(14666),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14666),
    [sym_val_declaration] = STATE(14666),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14666),
    [sym_var_definition] = STATE(14666),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14666),
    [sym_function_definition] = STATE(14666),
    [sym_function_declaration] = STATE(14666),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14666),
    [sym_given_definition] = STATE(14666),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13868),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(512),
    [sym_block_comment] = STATE(512),
    [aux_sym_enum_definition_repeat1] = STATE(4257),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [513] = {
    [sym_enum_definition] = STATE(14512),
    [sym_import_declaration] = STATE(14512),
    [sym_export_declaration] = STATE(14512),
    [sym_object_definition] = STATE(14512),
    [sym_class_definition] = STATE(14512),
    [sym_trait_definition] = STATE(14512),
    [sym__end_marker] = STATE(14512),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14512),
    [sym_val_declaration] = STATE(14512),
    [sym__start_val] = STATE(4129),
    [sym_var_declaration] = STATE(14512),
    [sym_var_definition] = STATE(14512),
    [sym__start_var] = STATE(4131),
    [sym_type_definition] = STATE(14512),
    [sym_function_definition] = STATE(14512),
    [sym_function_declaration] = STATE(14512),
    [sym__function_declaration] = STATE(13944),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(14512),
    [sym_given_definition] = STATE(14512),
    [sym_modifiers] = STATE(12848),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(525),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(13952),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(513),
    [sym_block_comment] = STATE(513),
    [aux_sym_enum_definition_repeat1] = STATE(4265),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(15),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(601),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(613),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(615),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(641),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [514] = {
    [sym_enum_definition] = STATE(14669),
    [sym_import_declaration] = STATE(14669),
    [sym_export_declaration] = STATE(14669),
    [sym_object_definition] = STATE(14669),
    [sym_class_definition] = STATE(14669),
    [sym_trait_definition] = STATE(14669),
    [sym__end_marker] = STATE(14669),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14669),
    [sym_val_declaration] = STATE(14669),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14669),
    [sym_var_definition] = STATE(14669),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14669),
    [sym_function_definition] = STATE(14669),
    [sym_function_declaration] = STATE(14669),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14669),
    [sym_given_definition] = STATE(14669),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13892),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(514),
    [sym_block_comment] = STATE(514),
    [aux_sym_enum_definition_repeat1] = STATE(4264),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [515] = {
    [sym_enum_definition] = STATE(14666),
    [sym__enum_block] = STATE(16569),
    [sym_enum_case_definitions] = STATE(14666),
    [sym_import_declaration] = STATE(14666),
    [sym_export_declaration] = STATE(14666),
    [sym_object_definition] = STATE(14666),
    [sym_class_definition] = STATE(14666),
    [sym_trait_definition] = STATE(14666),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14666),
    [sym_val_declaration] = STATE(14666),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(14666),
    [sym_var_definition] = STATE(14666),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(14666),
    [sym_function_definition] = STATE(14666),
    [sym_function_declaration] = STATE(14666),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14666),
    [sym_given_definition] = STATE(14666),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13868),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(515),
    [sym_block_comment] = STATE(515),
    [aux_sym_enum_definition_repeat1] = STATE(4257),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [516] = {
    [sym_enum_definition] = STATE(14669),
    [sym_import_declaration] = STATE(14669),
    [sym_export_declaration] = STATE(14669),
    [sym_object_definition] = STATE(14669),
    [sym_class_definition] = STATE(14669),
    [sym_trait_definition] = STATE(14669),
    [sym__end_marker] = STATE(14669),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(14669),
    [sym_val_declaration] = STATE(14669),
    [sym__start_val] = STATE(4100),
    [sym_var_declaration] = STATE(14669),
    [sym_var_definition] = STATE(14669),
    [sym__start_var] = STATE(4133),
    [sym_type_definition] = STATE(14669),
    [sym_function_definition] = STATE(14669),
    [sym_function_declaration] = STATE(14669),
    [sym__function_declaration] = STATE(13938),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(14669),
    [sym_given_definition] = STATE(14669),
    [sym_modifiers] = STATE(12655),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(528),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13892),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(516),
    [sym_block_comment] = STATE(516),
    [aux_sym_enum_definition_repeat1] = STATE(4262),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(571),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(497),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(583),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(585),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [517] = {
    [sym_enum_definition] = STATE(15399),
    [sym_enum_case_definitions] = STATE(15399),
    [sym_import_declaration] = STATE(15399),
    [sym_export_declaration] = STATE(15399),
    [sym_object_definition] = STATE(15399),
    [sym_class_definition] = STATE(15399),
    [sym_trait_definition] = STATE(15399),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(15399),
    [sym_val_declaration] = STATE(15399),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(15399),
    [sym_var_definition] = STATE(15399),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(15399),
    [sym_function_definition] = STATE(15399),
    [sym_function_declaration] = STATE(15399),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(15399),
    [sym_given_definition] = STATE(15399),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14064),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(517),
    [sym_block_comment] = STATE(517),
    [aux_sym_enum_definition_repeat1] = STATE(4257),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__outdent] = ACTIONS(663),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [518] = {
    [sym_enum_definition] = STATE(15374),
    [sym_enum_case_definitions] = STATE(15374),
    [sym_import_declaration] = STATE(15374),
    [sym_export_declaration] = STATE(15374),
    [sym_object_definition] = STATE(15374),
    [sym_class_definition] = STATE(15374),
    [sym_trait_definition] = STATE(15374),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(15374),
    [sym_val_declaration] = STATE(15374),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(15374),
    [sym_var_definition] = STATE(15374),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(15374),
    [sym_function_definition] = STATE(15374),
    [sym_function_declaration] = STATE(15374),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(15374),
    [sym_given_definition] = STATE(15374),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(14113),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(518),
    [sym_block_comment] = STATE(518),
    [aux_sym_enum_definition_repeat1] = STATE(4272),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(663),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [519] = {
    [sym_enum_definition] = STATE(15374),
    [sym_enum_case_definitions] = STATE(15374),
    [sym_import_declaration] = STATE(15374),
    [sym_export_declaration] = STATE(15374),
    [sym_object_definition] = STATE(15374),
    [sym_class_definition] = STATE(15374),
    [sym_trait_definition] = STATE(15374),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(15374),
    [sym_val_declaration] = STATE(15374),
    [sym__start_val] = STATE(4132),
    [sym_var_declaration] = STATE(15374),
    [sym_var_definition] = STATE(15374),
    [sym__start_var] = STATE(4134),
    [sym_type_definition] = STATE(15374),
    [sym_function_definition] = STATE(15374),
    [sym_function_declaration] = STATE(15374),
    [sym__function_declaration] = STATE(14024),
    [sym_opaque_modifier] = STATE(17257),
    [sym_extension_definition] = STATE(15374),
    [sym_given_definition] = STATE(15374),
    [sym_modifiers] = STATE(12829),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(524),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(14113),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(519),
    [sym_block_comment] = STATE(519),
    [aux_sym_enum_definition_repeat1] = STATE(4272),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_enum] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_object] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_given] = ACTIONS(113),
    [anon_sym_class] = ACTIONS(29),
    [anon_sym_trait] = ACTIONS(31),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_extension] = ACTIONS(129),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(131),
    [anon_sym_def] = ACTIONS(133),
    [anon_sym_opaque] = ACTIONS(135),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(141),
    [anon_sym_open] = ACTIONS(143),
    [anon_sym_transparent] = ACTIONS(145),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [520] = {
    [sym_enum_definition] = STATE(15399),
    [sym_enum_case_definitions] = STATE(15399),
    [sym_import_declaration] = STATE(15399),
    [sym_export_declaration] = STATE(15399),
    [sym_object_definition] = STATE(15399),
    [sym_class_definition] = STATE(15399),
    [sym_trait_definition] = STATE(15399),
    [sym_annotation] = STATE(7380),
    [sym_val_definition] = STATE(15399),
    [sym_val_declaration] = STATE(15399),
    [sym__start_val] = STATE(4094),
    [sym_var_declaration] = STATE(15399),
    [sym_var_definition] = STATE(15399),
    [sym__start_var] = STATE(4087),
    [sym_type_definition] = STATE(15399),
    [sym_function_definition] = STATE(15399),
    [sym_function_declaration] = STATE(15399),
    [sym__function_declaration] = STATE(14134),
    [sym_opaque_modifier] = STATE(17868),
    [sym_extension_definition] = STATE(15399),
    [sym_given_definition] = STATE(15399),
    [sym_modifiers] = STATE(12841),
    [sym_access_modifier] = STATE(6644),
    [sym_inline_modifier] = STATE(527),
    [sym_infix_modifier] = STATE(6644),
    [sym_open_modifier] = STATE(6644),
    [sym_transparent_modifier] = STATE(6644),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(14064),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(520),
    [sym_block_comment] = STATE(520),
    [aux_sym_enum_definition_repeat1] = STATE(4257),
    [aux_sym_modifiers_repeat1] = STATE(5428),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_enum] = ACTIONS(475),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_import] = ACTIONS(483),
    [anon_sym_export] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_given] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_trait] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_extension] = ACTIONS(509),
    [anon_sym_val] = ACTIONS(49),
    [anon_sym_AT] = ACTIONS(51),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_type] = ACTIONS(511),
    [anon_sym_def] = ACTIONS(513),
    [anon_sym_opaque] = ACTIONS(515),
    [anon_sym_abstract] = ACTIONS(61),
    [anon_sym_final] = ACTIONS(61),
    [anon_sym_sealed] = ACTIONS(61),
    [anon_sym_implicit] = ACTIONS(517),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_private] = ACTIONS(65),
    [anon_sym_protected] = ACTIONS(65),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(521),
    [anon_sym_open] = ACTIONS(523),
    [anon_sym_transparent] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [521] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(13985),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(521),
    [sym_block_comment] = STATE(521),
    [sym__alpha_identifier] = ACTIONS(665),
    [anon_sym_enum] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_case] = ACTIONS(668),
    [anon_sym_object] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(668),
    [anon_sym_export] = ACTIONS(668),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_given] = ACTIONS(668),
    [anon_sym_class] = ACTIONS(668),
    [anon_sym_trait] = ACTIONS(668),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(682),
    [anon_sym_while] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(688),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_extension] = ACTIONS(668),
    [anon_sym_val] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(668),
    [anon_sym_var] = ACTIONS(668),
    [anon_sym_type] = ACTIONS(668),
    [anon_sym_def] = ACTIONS(668),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(668),
    [anon_sym_final] = ACTIONS(668),
    [anon_sym_sealed] = ACTIONS(668),
    [anon_sym_implicit] = ACTIONS(697),
    [anon_sym_lazy] = ACTIONS(668),
    [anon_sym_override] = ACTIONS(668),
    [anon_sym_private] = ACTIONS(668),
    [anon_sym_protected] = ACTIONS(668),
    [anon_sym_inline] = ACTIONS(700),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_SEMI] = ACTIONS(706),
    [anon_sym_macro] = ACTIONS(708),
    [anon_sym_BANG] = ACTIONS(676),
    [anon_sym_TILDE] = ACTIONS(676),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [anon_sym_SQUOTE] = ACTIONS(714),
    [sym__backquoted_id] = ACTIONS(717),
    [sym_operator_identifier] = ACTIONS(720),
    [sym_integer_literal] = ACTIONS(723),
    [sym_floating_point_literal] = ACTIONS(726),
    [anon_sym_true] = ACTIONS(729),
    [anon_sym_false] = ACTIONS(729),
    [sym_character_literal] = ACTIONS(726),
    [sym_null_literal] = ACTIONS(732),
    [anon_sym_return] = ACTIONS(735),
    [anon_sym_throw] = ACTIONS(738),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__outdent] = ACTIONS(706),
    [sym__simple_multiline_string] = ACTIONS(746),
    [sym__simple_string] = ACTIONS(746),
  },
  [522] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(12657),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(522),
    [sym_block_comment] = STATE(522),
    [sym__alpha_identifier] = ACTIONS(749),
    [anon_sym_enum] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_case] = ACTIONS(668),
    [anon_sym_object] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(668),
    [anon_sym_export] = ACTIONS(668),
    [anon_sym__] = ACTIONS(755),
    [anon_sym_given] = ACTIONS(668),
    [anon_sym_class] = ACTIONS(668),
    [anon_sym_trait] = ACTIONS(668),
    [anon_sym_PLUS] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(758),
    [anon_sym_end] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_new] = ACTIONS(776),
    [anon_sym_extension] = ACTIONS(668),
    [anon_sym_val] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(668),
    [anon_sym_var] = ACTIONS(668),
    [anon_sym_type] = ACTIONS(668),
    [anon_sym_def] = ACTIONS(668),
    [anon_sym_opaque] = ACTIONS(761),
    [anon_sym_abstract] = ACTIONS(668),
    [anon_sym_final] = ACTIONS(668),
    [anon_sym_sealed] = ACTIONS(668),
    [anon_sym_implicit] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(668),
    [anon_sym_override] = ACTIONS(668),
    [anon_sym_private] = ACTIONS(668),
    [anon_sym_protected] = ACTIONS(668),
    [anon_sym_inline] = ACTIONS(782),
    [anon_sym_infix] = ACTIONS(761),
    [anon_sym_open] = ACTIONS(761),
    [anon_sym_transparent] = ACTIONS(761),
    [anon_sym_LPAREN] = ACTIONS(785),
    [anon_sym_SEMI] = ACTIONS(706),
    [anon_sym_macro] = ACTIONS(788),
    [anon_sym_BANG] = ACTIONS(758),
    [anon_sym_TILDE] = ACTIONS(758),
    [anon_sym_DOLLAR] = ACTIONS(791),
    [anon_sym_SQUOTE] = ACTIONS(794),
    [sym__backquoted_id] = ACTIONS(797),
    [sym_operator_identifier] = ACTIONS(800),
    [sym_integer_literal] = ACTIONS(803),
    [sym_floating_point_literal] = ACTIONS(806),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [sym_character_literal] = ACTIONS(806),
    [sym_null_literal] = ACTIONS(812),
    [anon_sym_return] = ACTIONS(815),
    [anon_sym_throw] = ACTIONS(818),
    [anon_sym_do] = ACTIONS(821),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(824),
    [sym__simple_multiline_string] = ACTIONS(827),
    [sym__simple_string] = ACTIONS(827),
  },
  [523] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(13985),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(523),
    [sym_block_comment] = STATE(523),
    [sym__alpha_identifier] = ACTIONS(665),
    [anon_sym_enum] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_case] = ACTIONS(668),
    [anon_sym_object] = ACTIONS(668),
    [anon_sym_import] = ACTIONS(668),
    [anon_sym_export] = ACTIONS(668),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_given] = ACTIONS(668),
    [anon_sym_class] = ACTIONS(668),
    [anon_sym_trait] = ACTIONS(668),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_end] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(682),
    [anon_sym_while] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(688),
    [anon_sym_try] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(694),
    [anon_sym_extension] = ACTIONS(668),
    [anon_sym_val] = ACTIONS(668),
    [anon_sym_AT] = ACTIONS(668),
    [anon_sym_var] = ACTIONS(668),
    [anon_sym_type] = ACTIONS(668),
    [anon_sym_def] = ACTIONS(668),
    [anon_sym_opaque] = ACTIONS(679),
    [anon_sym_abstract] = ACTIONS(668),
    [anon_sym_final] = ACTIONS(668),
    [anon_sym_sealed] = ACTIONS(668),
    [anon_sym_implicit] = ACTIONS(697),
    [anon_sym_lazy] = ACTIONS(668),
    [anon_sym_override] = ACTIONS(668),
    [anon_sym_private] = ACTIONS(668),
    [anon_sym_protected] = ACTIONS(668),
    [anon_sym_inline] = ACTIONS(700),
    [anon_sym_infix] = ACTIONS(679),
    [anon_sym_open] = ACTIONS(679),
    [anon_sym_transparent] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_SEMI] = ACTIONS(706),
    [anon_sym_macro] = ACTIONS(708),
    [anon_sym_BANG] = ACTIONS(676),
    [anon_sym_TILDE] = ACTIONS(676),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [anon_sym_SQUOTE] = ACTIONS(714),
    [sym__backquoted_id] = ACTIONS(717),
    [sym_operator_identifier] = ACTIONS(720),
    [sym_integer_literal] = ACTIONS(723),
    [sym_floating_point_literal] = ACTIONS(726),
    [anon_sym_true] = ACTIONS(729),
    [anon_sym_false] = ACTIONS(729),
    [sym_character_literal] = ACTIONS(726),
    [sym_null_literal] = ACTIONS(732),
    [anon_sym_return] = ACTIONS(735),
    [anon_sym_throw] = ACTIONS(738),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(746),
    [sym__simple_string] = ACTIONS(746),
  },
  [524] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15344),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(524),
    [sym_block_comment] = STATE(524),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_object] = ACTIONS(834),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_given] = ACTIONS(834),
    [anon_sym_class] = ACTIONS(834),
    [anon_sym_trait] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_val] = ACTIONS(834),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_type] = ACTIONS(834),
    [anon_sym_def] = ACTIONS(834),
    [anon_sym_opaque] = ACTIONS(834),
    [anon_sym_abstract] = ACTIONS(834),
    [anon_sym_final] = ACTIONS(834),
    [anon_sym_sealed] = ACTIONS(834),
    [anon_sym_implicit] = ACTIONS(834),
    [anon_sym_lazy] = ACTIONS(834),
    [anon_sym_override] = ACTIONS(834),
    [anon_sym_private] = ACTIONS(834),
    [anon_sym_protected] = ACTIONS(834),
    [anon_sym_inline] = ACTIONS(834),
    [anon_sym_infix] = ACTIONS(834),
    [anon_sym_open] = ACTIONS(834),
    [anon_sym_transparent] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [525] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15344),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(525),
    [sym_block_comment] = STATE(525),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_object] = ACTIONS(834),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_given] = ACTIONS(834),
    [anon_sym_class] = ACTIONS(834),
    [anon_sym_trait] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_val] = ACTIONS(834),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_type] = ACTIONS(834),
    [anon_sym_def] = ACTIONS(834),
    [anon_sym_opaque] = ACTIONS(834),
    [anon_sym_abstract] = ACTIONS(834),
    [anon_sym_final] = ACTIONS(834),
    [anon_sym_sealed] = ACTIONS(834),
    [anon_sym_implicit] = ACTIONS(834),
    [anon_sym_lazy] = ACTIONS(834),
    [anon_sym_override] = ACTIONS(834),
    [anon_sym_private] = ACTIONS(834),
    [anon_sym_protected] = ACTIONS(834),
    [anon_sym_inline] = ACTIONS(834),
    [anon_sym_infix] = ACTIONS(834),
    [anon_sym_open] = ACTIONS(834),
    [anon_sym_transparent] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [526] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15344),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(526),
    [sym_block_comment] = STATE(526),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_object] = ACTIONS(834),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_given] = ACTIONS(834),
    [anon_sym_class] = ACTIONS(834),
    [anon_sym_trait] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(882),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_val] = ACTIONS(834),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_type] = ACTIONS(834),
    [anon_sym_def] = ACTIONS(834),
    [anon_sym_opaque] = ACTIONS(834),
    [anon_sym_abstract] = ACTIONS(834),
    [anon_sym_final] = ACTIONS(834),
    [anon_sym_sealed] = ACTIONS(834),
    [anon_sym_implicit] = ACTIONS(834),
    [anon_sym_lazy] = ACTIONS(834),
    [anon_sym_override] = ACTIONS(834),
    [anon_sym_private] = ACTIONS(834),
    [anon_sym_protected] = ACTIONS(834),
    [anon_sym_inline] = ACTIONS(834),
    [anon_sym_infix] = ACTIONS(834),
    [anon_sym_open] = ACTIONS(834),
    [anon_sym_transparent] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [527] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15629),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(527),
    [sym_block_comment] = STATE(527),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_object] = ACTIONS(834),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_given] = ACTIONS(834),
    [anon_sym_class] = ACTIONS(834),
    [anon_sym_trait] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(884),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_val] = ACTIONS(834),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_type] = ACTIONS(834),
    [anon_sym_def] = ACTIONS(834),
    [anon_sym_opaque] = ACTIONS(834),
    [anon_sym_abstract] = ACTIONS(834),
    [anon_sym_final] = ACTIONS(834),
    [anon_sym_sealed] = ACTIONS(834),
    [anon_sym_implicit] = ACTIONS(834),
    [anon_sym_lazy] = ACTIONS(834),
    [anon_sym_override] = ACTIONS(834),
    [anon_sym_private] = ACTIONS(834),
    [anon_sym_protected] = ACTIONS(834),
    [anon_sym_inline] = ACTIONS(834),
    [anon_sym_infix] = ACTIONS(834),
    [anon_sym_open] = ACTIONS(834),
    [anon_sym_transparent] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [528] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15629),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(528),
    [sym_block_comment] = STATE(528),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_case] = ACTIONS(834),
    [anon_sym_object] = ACTIONS(834),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_given] = ACTIONS(834),
    [anon_sym_class] = ACTIONS(834),
    [anon_sym_trait] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_val] = ACTIONS(834),
    [anon_sym_var] = ACTIONS(834),
    [anon_sym_type] = ACTIONS(834),
    [anon_sym_def] = ACTIONS(834),
    [anon_sym_opaque] = ACTIONS(834),
    [anon_sym_abstract] = ACTIONS(834),
    [anon_sym_final] = ACTIONS(834),
    [anon_sym_sealed] = ACTIONS(834),
    [anon_sym_implicit] = ACTIONS(834),
    [anon_sym_lazy] = ACTIONS(834),
    [anon_sym_override] = ACTIONS(834),
    [anon_sym_private] = ACTIONS(834),
    [anon_sym_protected] = ACTIONS(834),
    [anon_sym_inline] = ACTIONS(834),
    [anon_sym_infix] = ACTIONS(834),
    [anon_sym_open] = ACTIONS(834),
    [anon_sym_transparent] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [529] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(15820),
    [sym__simple_expression] = STATE(4422),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16425),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(6381),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4346),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(4791),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(529),
    [sym_block_comment] = STATE(529),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_COLON] = ACTIONS(890),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(920),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [530] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(15350),
    [sym__simple_expression] = STATE(4514),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16689),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(6867),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4450),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(5139),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(530),
    [sym_block_comment] = STATE(530),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_COLON] = ACTIONS(934),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(956),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [531] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(15231),
    [sym__simple_expression] = STATE(4477),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16497),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(7107),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4437),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(5360),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(531),
    [sym_block_comment] = STATE(531),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_COLON] = ACTIONS(970),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(992),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [532] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(15557),
    [sym__simple_expression] = STATE(4625),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16467),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(7623),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(4504),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(5795),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(532),
    [sym_block_comment] = STATE(532),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_COLON] = ACTIONS(1006),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1028),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [533] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(14732),
    [sym__simple_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16154),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(7810),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(4538),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(5789),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(533),
    [sym_block_comment] = STATE(533),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_COLON] = ACTIONS(1042),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1064),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [534] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(14783),
    [sym__simple_expression] = STATE(4875),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16630),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(8640),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4596),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(6388),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(534),
    [sym_block_comment] = STATE(534),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_COLON] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1100),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [535] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(15292),
    [sym__simple_expression] = STATE(4589),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16446),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(7833),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(4501),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(5718),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(535),
    [sym_block_comment] = STATE(535),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1136),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [536] = {
    [sym_inline_modifier] = STATE(2172),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11587),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(536),
    [sym_block_comment] = STATE(536),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [537] = {
    [sym_inline_modifier] = STATE(2049),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12307),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(537),
    [sym_block_comment] = STATE(537),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_COMMA] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_then] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [538] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(15766),
    [sym__simple_expression] = STATE(5234),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16746),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(8842),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(4839),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(6818),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(538),
    [sym_block_comment] = STATE(538),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_COLON] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1214),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [539] = {
    [sym_inline_modifier] = STATE(2246),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(12648),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(539),
    [sym_block_comment] = STATE(539),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [540] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(15561),
    [sym__simple_expression] = STATE(4981),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16708),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(8666),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(4572),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(6631),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(540),
    [sym_block_comment] = STATE(540),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_COLON] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1270),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [541] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(15672),
    [sym__simple_expression] = STATE(5381),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16339),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9125),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(6811),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(541),
    [sym_block_comment] = STATE(541),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_COLON] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1306),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [542] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(15715),
    [sym__simple_expression] = STATE(5531),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16362),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9702),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5425),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7467),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(542),
    [sym_block_comment] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_COLON] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1342),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [543] = {
    [sym_inline_modifier] = STATE(2053),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11587),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(543),
    [sym_block_comment] = STATE(543),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [544] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9273),
    [sym_expression] = STATE(15070),
    [sym__simple_expression] = STATE(5447),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16509),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9722),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5217),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(7879),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(544),
    [sym_block_comment] = STATE(544),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_COLON] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(1394),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [545] = {
    [sym_inline_modifier] = STATE(2155),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(13362),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(545),
    [sym_block_comment] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [546] = {
    [sym_inline_modifier] = STATE(2289),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11838),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(546),
    [sym_block_comment] = STATE(546),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [547] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(15598),
    [sym__simple_expression] = STATE(5354),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16237),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9184),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(4922),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(6679),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(547),
    [sym_block_comment] = STATE(547),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_COLON] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1468),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [548] = {
    [sym_inline_modifier] = STATE(2066),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12029),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(548),
    [sym_block_comment] = STATE(548),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [549] = {
    [sym_inline_modifier] = STATE(2100),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(12648),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(549),
    [sym_block_comment] = STATE(549),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [550] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(15294),
    [sym__simple_expression] = STATE(5183),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16390),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9050),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(6913),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(550),
    [sym_block_comment] = STATE(550),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_COLON] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1536),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [551] = {
    [sym_inline_modifier] = STATE(2296),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11838),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(551),
    [sym_block_comment] = STATE(551),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [552] = {
    [sym_inline_modifier] = STATE(2080),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(13180),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(552),
    [sym_block_comment] = STATE(552),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [553] = {
    [sym_inline_modifier] = STATE(2036),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11587),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(553),
    [sym_block_comment] = STATE(553),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_yield] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [554] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(14746),
    [sym__simple_expression] = STATE(4972),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16835),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(8408),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(4566),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(6422),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(554),
    [sym_block_comment] = STATE(554),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1598),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [555] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9651),
    [sym_expression] = STATE(15094),
    [sym__simple_expression] = STATE(6571),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16670),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9790),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5528),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8243),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(555),
    [sym_block_comment] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_COLON] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1624),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [556] = {
    [sym_inline_modifier] = STATE(2299),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12029),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(556),
    [sym_block_comment] = STATE(556),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [557] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9454),
    [sym_expression] = STATE(15223),
    [sym__simple_expression] = STATE(6092),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16592),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10104),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5604),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8390),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(557),
    [sym_block_comment] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_COLON] = ACTIONS(1654),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_catch] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1676),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [558] = {
    [sym_inline_modifier] = STATE(2216),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12746),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(558),
    [sym_block_comment] = STATE(558),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_then] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [559] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(14803),
    [sym__simple_expression] = STATE(5567),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16650),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9513),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5082),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(7812),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(559),
    [sym_block_comment] = STATE(559),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_COLON] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(1732),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [560] = {
    [sym_inline_modifier] = STATE(2205),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(13133),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(560),
    [sym_block_comment] = STATE(560),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [561] = {
    [sym_inline_modifier] = STATE(2233),
    [sym_block] = STATE(9454),
    [sym_expression] = STATE(13657),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(561),
    [sym_block_comment] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [562] = {
    [sym_inline_modifier] = STATE(2287),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12029),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(562),
    [sym_block_comment] = STATE(562),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_yield] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [563] = {
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13319),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(563),
    [sym_block_comment] = STATE(563),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_COMMA] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_then] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [564] = {
    [sym_inline_modifier] = STATE(2271),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12421),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(564),
    [sym_block_comment] = STATE(564),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [565] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(15357),
    [sym__simple_expression] = STATE(5715),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16488),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9624),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(7989),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(565),
    [sym_block_comment] = STATE(565),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_COLON] = ACTIONS(1836),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(1858),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [566] = {
    [sym_inline_modifier] = STATE(2347),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(13180),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(566),
    [sym_block_comment] = STATE(566),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [567] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(12485),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(567),
    [sym_block_comment] = STATE(567),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [568] = {
    [sym_inline_modifier] = STATE(2279),
    [sym_block] = STATE(9651),
    [sym_expression] = STATE(13749),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(568),
    [sym_block_comment] = STATE(568),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [569] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9825),
    [sym_expression] = STATE(15765),
    [sym__simple_expression] = STATE(6954),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16383),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10149),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6484),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(9194),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(569),
    [sym_block_comment] = STATE(569),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_COLON] = ACTIONS(1924),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_finally] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(1946),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [570] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(14746),
    [sym__simple_expression] = STATE(4972),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16835),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(8408),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(4566),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(6422),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(570),
    [sym_block_comment] = STATE(570),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1598),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [571] = {
    [sym_inline_modifier] = STATE(2306),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(13237),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(571),
    [sym_block_comment] = STATE(571),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_then] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [572] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12421),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(572),
    [sym_block_comment] = STATE(572),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [573] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9946),
    [sym_expression] = STATE(15426),
    [sym__simple_expression] = STATE(7244),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16269),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10341),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(8833),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(573),
    [sym_block_comment] = STATE(573),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_COLON] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2020),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [574] = {
    [sym_inline_modifier] = STATE(2310),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(13133),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(574),
    [sym_block_comment] = STATE(574),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [575] = {
    [sym_inline_modifier] = STATE(2139),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11838),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(575),
    [sym_block_comment] = STATE(575),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_yield] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [576] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(15370),
    [sym__simple_expression] = STATE(6247),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16350),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9866),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(5568),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8119),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(576),
    [sym_block_comment] = STATE(576),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_COLON] = ACTIONS(2060),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2064),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [577] = {
    [sym_inline_modifier] = STATE(2046),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(12485),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(577),
    [sym_block_comment] = STATE(577),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [578] = {
    [sym_inline_modifier] = STATE(2259),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(13570),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(578),
    [sym_block_comment] = STATE(578),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [579] = {
    [sym_inline_modifier] = STATE(2055),
    [sym_block] = STATE(9273),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(579),
    [sym_block_comment] = STATE(579),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [580] = {
    [sym_inline_modifier] = STATE(2205),
    [sym__indentable_expression] = STATE(13616),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym__expr_case_clause] = STATE(13602),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(580),
    [sym_block_comment] = STATE(580),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_case] = ACTIONS(2120),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [581] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12307),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(581),
    [sym_block_comment] = STATE(581),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [582] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(11815),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym__expr_case_clause] = STATE(11830),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(582),
    [sym_block_comment] = STATE(582),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_case] = ACTIONS(2138),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [583] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(11510),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym__expr_case_clause] = STATE(11513),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(583),
    [sym_block_comment] = STATE(583),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_case] = ACTIONS(2142),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [584] = {
    [sym_inline_modifier] = STATE(2037),
    [sym__indentable_expression] = STATE(12583),
    [sym_block] = STATE(9825),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(13882),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym__expr_case_clause] = STATE(12582),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(584),
    [sym_block_comment] = STATE(584),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym_case] = ACTIONS(2148),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [585] = {
    [sym_inline_modifier] = STATE(2105),
    [sym__indentable_expression] = STATE(13679),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym__expr_case_clause] = STATE(13683),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(585),
    [sym_block_comment] = STATE(585),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(2170),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [586] = {
    [sym_inline_modifier] = STATE(2210),
    [sym__indentable_expression] = STATE(13782),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym__expr_case_clause] = STATE(13781),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(586),
    [sym_block_comment] = STATE(586),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [587] = {
    [sym_inline_modifier] = STATE(2080),
    [sym__indentable_expression] = STATE(13494),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym__expr_case_clause] = STATE(13498),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(587),
    [sym_block_comment] = STATE(587),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_case] = ACTIONS(2214),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [588] = {
    [sym_inline_modifier] = STATE(2065),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12902),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(588),
    [sym_block_comment] = STATE(588),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [589] = {
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(13597),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym__expr_case_clause] = STATE(13511),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(589),
    [sym_block_comment] = STATE(589),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_case] = ACTIONS(2220),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [590] = {
    [sym_inline_modifier] = STATE(2066),
    [sym__indentable_expression] = STATE(11789),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym__expr_case_clause] = STATE(11793),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(590),
    [sym_block_comment] = STATE(590),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_case] = ACTIONS(2224),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [591] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(11815),
    [sym_block] = STATE(9454),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(13817),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym__expr_case_clause] = STATE(11830),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(591),
    [sym_block_comment] = STATE(591),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_case] = ACTIONS(2230),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [592] = {
    [sym_inline_modifier] = STATE(2287),
    [sym__indentable_expression] = STATE(11789),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym__expr_case_clause] = STATE(11793),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(592),
    [sym_block_comment] = STATE(592),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_case] = ACTIONS(2232),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [593] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(13679),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym__expr_case_clause] = STATE(13683),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(593),
    [sym_block_comment] = STATE(593),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_case] = ACTIONS(2236),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [594] = {
    [sym_inline_modifier] = STATE(2105),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(13570),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(594),
    [sym_block_comment] = STATE(594),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [595] = {
    [sym_inline_modifier] = STATE(2279),
    [sym__indentable_expression] = STATE(11789),
    [sym_block] = STATE(9651),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym__expr_case_clause] = STATE(11793),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(595),
    [sym_block_comment] = STATE(595),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [596] = {
    [sym_inline_modifier] = STATE(2120),
    [sym__indentable_expression] = STATE(13782),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym__expr_case_clause] = STATE(13781),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(596),
    [sym_block_comment] = STATE(596),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_case] = ACTIONS(2240),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [597] = {
    [sym_inline_modifier] = STATE(2245),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13730),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(597),
    [sym_block_comment] = STATE(597),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [598] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(10305),
    [sym_expression] = STATE(15254),
    [sym__simple_expression] = STATE(7508),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(17099),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10497),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(7211),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9357),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(598),
    [sym_block_comment] = STATE(598),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2264),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [599] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(12960),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym__expr_case_clause] = STATE(12967),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(599),
    [sym_block_comment] = STATE(599),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_case] = ACTIONS(2266),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [600] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13054),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym__expr_case_clause] = STATE(13038),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(600),
    [sym_block_comment] = STATE(600),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_case] = ACTIONS(2272),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [601] = {
    [sym_inline_modifier] = STATE(2337),
    [sym__indentable_expression] = STATE(13597),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym__expr_case_clause] = STATE(13511),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(601),
    [sym_block_comment] = STATE(601),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_case] = ACTIONS(2276),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [602] = {
    [sym_inline_modifier] = STATE(2079),
    [sym__indentable_expression] = STATE(13597),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym__expr_case_clause] = STATE(13511),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(602),
    [sym_block_comment] = STATE(602),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [603] = {
    [sym_inline_modifier] = STATE(2043),
    [sym__indentable_expression] = STATE(13782),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym__expr_case_clause] = STATE(13781),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(603),
    [sym_block_comment] = STATE(603),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_case] = ACTIONS(2312),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [604] = {
    [sym_inline_modifier] = STATE(2271),
    [sym__indentable_expression] = STATE(12583),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym__expr_case_clause] = STATE(12582),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(604),
    [sym_block_comment] = STATE(604),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [605] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12307),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(605),
    [sym_block_comment] = STATE(605),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [606] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13494),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym__expr_case_clause] = STATE(13498),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(606),
    [sym_block_comment] = STATE(606),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [607] = {
    [sym_inline_modifier] = STATE(2299),
    [sym__indentable_expression] = STATE(11789),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym__expr_case_clause] = STATE(11793),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(607),
    [sym_block_comment] = STATE(607),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [608] = {
    [sym_inline_modifier] = STATE(2216),
    [sym__indentable_expression] = STATE(13312),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym__expr_case_clause] = STATE(13310),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(608),
    [sym_block_comment] = STATE(608),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [609] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(12960),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym__expr_case_clause] = STATE(12967),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(609),
    [sym_block_comment] = STATE(609),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [610] = {
    [sym_inline_modifier] = STATE(2037),
    [sym_block] = STATE(9825),
    [sym_expression] = STATE(13862),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(610),
    [sym_block_comment] = STATE(610),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [611] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(11510),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym__expr_case_clause] = STATE(11513),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(611),
    [sym_block_comment] = STATE(611),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(2362),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [612] = {
    [sym_inline_modifier] = STATE(2192),
    [sym__indentable_expression] = STATE(13312),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym__expr_case_clause] = STATE(13310),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(612),
    [sym_block_comment] = STATE(612),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [613] = {
    [sym_inline_modifier] = STATE(2056),
    [sym__indentable_expression] = STATE(12583),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym__expr_case_clause] = STATE(12582),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(613),
    [sym_block_comment] = STATE(613),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(2382),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [614] = {
    [sym_inline_modifier] = STATE(2072),
    [sym__indentable_expression] = STATE(13312),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym__expr_case_clause] = STATE(13310),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(614),
    [sym_block_comment] = STATE(614),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_case] = ACTIONS(2400),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [615] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(11510),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym__expr_case_clause] = STATE(11513),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(615),
    [sym_block_comment] = STATE(615),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_case] = ACTIONS(2418),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [616] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(12583),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym__expr_case_clause] = STATE(12582),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(616),
    [sym_block_comment] = STATE(616),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [617] = {
    [sym_inline_modifier] = STATE(2056),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12421),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(617),
    [sym_block_comment] = STATE(617),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_yield] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [618] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12960),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym__expr_case_clause] = STATE(12967),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(618),
    [sym_block_comment] = STATE(618),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_case] = ACTIONS(2422),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [619] = {
    [sym_inline_modifier] = STATE(2286),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(12485),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(619),
    [sym_block_comment] = STATE(619),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_yield] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [620] = {
    [sym_inline_modifier] = STATE(2139),
    [sym__indentable_expression] = STATE(11815),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym__expr_case_clause] = STATE(11830),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(620),
    [sym_block_comment] = STATE(620),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [621] = {
    [sym_inline_modifier] = STATE(2183),
    [sym_block] = STATE(9273),
    [sym_expression] = STATE(13501),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(621),
    [sym_block_comment] = STATE(621),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [622] = {
    [sym_inline_modifier] = STATE(2296),
    [sym__indentable_expression] = STATE(11815),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym__expr_case_clause] = STATE(11830),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(622),
    [sym_block_comment] = STATE(622),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [623] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(11510),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym__expr_case_clause] = STATE(11513),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(623),
    [sym_block_comment] = STATE(623),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [624] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(13616),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym__expr_case_clause] = STATE(13602),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(624),
    [sym_block_comment] = STATE(624),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_case] = ACTIONS(2464),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [625] = {
    [sym_inline_modifier] = STATE(2133),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12902),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(625),
    [sym_block_comment] = STATE(625),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [626] = {
    [sym_inline_modifier] = STATE(2331),
    [sym_block] = STATE(9946),
    [sym_expression] = STATE(13911),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(626),
    [sym_block_comment] = STATE(626),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [627] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(15370),
    [sym__simple_expression] = STATE(6247),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16350),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9866),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(5568),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8119),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(627),
    [sym_block_comment] = STATE(627),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_COLON] = ACTIONS(2060),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2064),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(894),
    [sym__outdent] = ACTIONS(894),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [628] = {
    [sym_inline_modifier] = STATE(2043),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13390),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(628),
    [sym_block_comment] = STATE(628),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_then] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [629] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13054),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym__expr_case_clause] = STATE(13038),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(629),
    [sym_block_comment] = STATE(629),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [630] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14949),
    [sym__simple_expression] = STATE(6264),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9740),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(630),
    [sym_block_comment] = STATE(630),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_COLON] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(894),
    [anon_sym_then] = ACTIONS(896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [631] = {
    [sym_inline_modifier] = STATE(2186),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(13823),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(631),
    [sym_block_comment] = STATE(631),
    [sym__alpha_identifier] = ACTIONS(2508),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2513),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2518),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym_infix] = ACTIONS(2518),
    [anon_sym_open] = ACTIONS(2518),
    [anon_sym_transparent] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(2537),
    [sym_operator_identifier] = ACTIONS(2540),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [632] = {
    [sym_inline_modifier] = STATE(2172),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11590),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(632),
    [sym_block_comment] = STATE(632),
    [sym__alpha_identifier] = ACTIONS(2550),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2553),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2556),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(2559),
    [anon_sym_infix] = ACTIONS(2556),
    [anon_sym_open] = ACTIONS(2556),
    [anon_sym_transparent] = ACTIONS(2556),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(2565),
    [sym_operator_identifier] = ACTIONS(2568),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [633] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1484),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(633),
    [sym_block_comment] = STATE(633),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [634] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(13823),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(634),
    [sym_block_comment] = STATE(634),
    [sym__alpha_identifier] = ACTIONS(2508),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2513),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2518),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym_infix] = ACTIONS(2518),
    [anon_sym_open] = ACTIONS(2518),
    [anon_sym_transparent] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(2537),
    [sym_operator_identifier] = ACTIONS(2578),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [635] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(13824),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(635),
    [sym_block_comment] = STATE(635),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_COMMA] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(1148),
    [anon_sym_then] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [636] = {
    [sym_inline_modifier] = STATE(2120),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13538),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(636),
    [sym_block_comment] = STATE(636),
    [sym__alpha_identifier] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2587),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym_infix] = ACTIONS(2587),
    [anon_sym_open] = ACTIONS(2587),
    [anon_sym_transparent] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(2596),
    [sym_operator_identifier] = ACTIONS(2599),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2602),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [637] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1174),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(637),
    [sym_block_comment] = STATE(637),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [638] = {
    [sym_inline_modifier] = STATE(2205),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(13080),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(638),
    [sym_block_comment] = STATE(638),
    [sym__alpha_identifier] = ACTIONS(2605),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2608),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(2611),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2611),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym_infix] = ACTIONS(2611),
    [anon_sym_open] = ACTIONS(2611),
    [anon_sym_transparent] = ACTIONS(2611),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(2620),
    [sym_operator_identifier] = ACTIONS(2623),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [639] = {
    [sym_inline_modifier] = STATE(2216),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12874),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(639),
    [sym_block_comment] = STATE(639),
    [sym__alpha_identifier] = ACTIONS(2629),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(2635),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2635),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2635),
    [anon_sym_open] = ACTIONS(2635),
    [anon_sym_transparent] = ACTIONS(2635),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(2644),
    [sym_operator_identifier] = ACTIONS(2647),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [640] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1473),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(640),
    [sym_block_comment] = STATE(640),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [641] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1219),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(641),
    [sym_block_comment] = STATE(641),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [642] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1061),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(642),
    [sym_block_comment] = STATE(642),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [643] = {
    [sym_inline_modifier] = STATE(2233),
    [sym_block] = STATE(9454),
    [sym_expression] = STATE(13806),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(643),
    [sym_block_comment] = STATE(643),
    [sym__alpha_identifier] = ACTIONS(2653),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(2659),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2659),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym_infix] = ACTIONS(2659),
    [anon_sym_open] = ACTIONS(2659),
    [anon_sym_transparent] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2665),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(2668),
    [sym_operator_identifier] = ACTIONS(2671),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [644] = {
    [sym_inline_modifier] = STATE(2286),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(12476),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(644),
    [sym_block_comment] = STATE(644),
    [sym__alpha_identifier] = ACTIONS(2677),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2683),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym_infix] = ACTIONS(2683),
    [anon_sym_open] = ACTIONS(2683),
    [anon_sym_transparent] = ACTIONS(2683),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(2694),
    [sym_operator_identifier] = ACTIONS(2697),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [645] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1472),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(645),
    [sym_block_comment] = STATE(645),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [646] = {
    [sym_inline_modifier] = STATE(2192),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12746),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(646),
    [sym_block_comment] = STATE(646),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [647] = {
    [sym_inline_modifier] = STATE(2192),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12874),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(647),
    [sym_block_comment] = STATE(647),
    [sym__alpha_identifier] = ACTIONS(2629),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(2635),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2635),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2635),
    [anon_sym_open] = ACTIONS(2635),
    [anon_sym_transparent] = ACTIONS(2635),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(2644),
    [sym_operator_identifier] = ACTIONS(2703),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [648] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(841),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(648),
    [sym_block_comment] = STATE(648),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [649] = {
    [sym_inline_modifier] = STATE(2049),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12343),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(649),
    [sym_block_comment] = STATE(649),
    [sym__alpha_identifier] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2712),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(2715),
    [anon_sym_infix] = ACTIONS(2712),
    [anon_sym_open] = ACTIONS(2712),
    [anon_sym_transparent] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(2721),
    [sym_operator_identifier] = ACTIONS(2724),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [650] = {
    [sym_inline_modifier] = STATE(2296),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11842),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(650),
    [sym_block_comment] = STATE(650),
    [sym__alpha_identifier] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2733),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2736),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(2739),
    [anon_sym_infix] = ACTIONS(2736),
    [anon_sym_open] = ACTIONS(2736),
    [anon_sym_transparent] = ACTIONS(2736),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(2745),
    [sym_operator_identifier] = ACTIONS(2748),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [651] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1463),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(651),
    [sym_block_comment] = STATE(651),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [652] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(862),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(652),
    [sym_block_comment] = STATE(652),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [653] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12419),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(653),
    [sym_block_comment] = STATE(653),
    [sym__alpha_identifier] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2757),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_transparent] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2763),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(2766),
    [sym_operator_identifier] = ACTIONS(2769),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(2772),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [654] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(13823),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(654),
    [sym_block_comment] = STATE(654),
    [sym__alpha_identifier] = ACTIONS(2508),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2513),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2518),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2531),
    [anon_sym_infix] = ACTIONS(2518),
    [anon_sym_open] = ACTIONS(2518),
    [anon_sym_transparent] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(2537),
    [sym_operator_identifier] = ACTIONS(2785),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2547),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [655] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(908),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(655),
    [sym_block_comment] = STATE(655),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [656] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1461),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(656),
    [sym_block_comment] = STATE(656),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [657] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(922),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(657),
    [sym_block_comment] = STATE(657),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [658] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(953),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(658),
    [sym_block_comment] = STATE(658),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [659] = {
    [sym_inline_modifier] = STATE(2155),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(13468),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(659),
    [sym_block_comment] = STATE(659),
    [sym__alpha_identifier] = ACTIONS(2792),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2798),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym_infix] = ACTIONS(2798),
    [anon_sym_open] = ACTIONS(2798),
    [anon_sym_transparent] = ACTIONS(2798),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(2807),
    [sym_operator_identifier] = ACTIONS(2810),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [660] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(957),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(660),
    [sym_block_comment] = STATE(660),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [661] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(973),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(661),
    [sym_block_comment] = STATE(661),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [662] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1447),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(662),
    [sym_block_comment] = STATE(662),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [663] = {
    [sym_inline_modifier] = STATE(2183),
    [sym_block] = STATE(9273),
    [sym_expression] = STATE(13430),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(663),
    [sym_block_comment] = STATE(663),
    [sym__alpha_identifier] = ACTIONS(2813),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2819),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym_infix] = ACTIONS(2819),
    [anon_sym_open] = ACTIONS(2819),
    [anon_sym_transparent] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2827),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(2830),
    [sym_operator_identifier] = ACTIONS(2833),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2836),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [664] = {
    [sym_inline_modifier] = STATE(2310),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(13080),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(664),
    [sym_block_comment] = STATE(664),
    [sym__alpha_identifier] = ACTIONS(2605),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2608),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(2611),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2611),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym_infix] = ACTIONS(2611),
    [anon_sym_open] = ACTIONS(2611),
    [anon_sym_transparent] = ACTIONS(2611),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(2620),
    [sym_operator_identifier] = ACTIONS(2839),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [665] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(977),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(665),
    [sym_block_comment] = STATE(665),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [666] = {
    [sym_inline_modifier] = STATE(2289),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11842),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(666),
    [sym_block_comment] = STATE(666),
    [sym__alpha_identifier] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2733),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2736),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(2739),
    [anon_sym_infix] = ACTIONS(2736),
    [anon_sym_open] = ACTIONS(2736),
    [anon_sym_transparent] = ACTIONS(2736),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(2745),
    [sym_operator_identifier] = ACTIONS(2842),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [667] = {
    [sym_inline_modifier] = STATE(2133),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12980),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(667),
    [sym_block_comment] = STATE(667),
    [sym__alpha_identifier] = ACTIONS(2845),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2851),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym_infix] = ACTIONS(2851),
    [anon_sym_open] = ACTIONS(2851),
    [anon_sym_transparent] = ACTIONS(2851),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(2862),
    [sym_operator_identifier] = ACTIONS(2865),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [668] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(986),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(668),
    [sym_block_comment] = STATE(668),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [669] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1446),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(669),
    [sym_block_comment] = STATE(669),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [670] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(990),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(670),
    [sym_block_comment] = STATE(670),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [671] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(996),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(671),
    [sym_block_comment] = STATE(671),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [672] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1000),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(672),
    [sym_block_comment] = STATE(672),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [673] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1489),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(673),
    [sym_block_comment] = STATE(673),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [674] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1011),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(674),
    [sym_block_comment] = STATE(674),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [675] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1440),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(675),
    [sym_block_comment] = STATE(675),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [676] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1012),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(676),
    [sym_block_comment] = STATE(676),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [677] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1020),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(677),
    [sym_block_comment] = STATE(677),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [678] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1021),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(678),
    [sym_block_comment] = STATE(678),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [679] = {
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13049),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(679),
    [sym_block_comment] = STATE(679),
    [sym__alpha_identifier] = ACTIONS(2871),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2877),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym_infix] = ACTIONS(2877),
    [anon_sym_open] = ACTIONS(2877),
    [anon_sym_transparent] = ACTIONS(2877),
    [anon_sym_LPAREN] = ACTIONS(2883),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(2886),
    [sym_operator_identifier] = ACTIONS(2889),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [680] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1439),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(680),
    [sym_block_comment] = STATE(680),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [681] = {
    [sym_inline_modifier] = STATE(2123),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(13270),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(681),
    [sym_block_comment] = STATE(681),
    [sym__alpha_identifier] = ACTIONS(2895),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2901),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(2914),
    [anon_sym_infix] = ACTIONS(2901),
    [anon_sym_open] = ACTIONS(2901),
    [anon_sym_transparent] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2917),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(2920),
    [sym_operator_identifier] = ACTIONS(2923),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(2930),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [682] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1038),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(682),
    [sym_block_comment] = STATE(682),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [683] = {
    [sym_inline_modifier] = STATE(2055),
    [sym_block] = STATE(9273),
    [sym_expression] = STATE(13430),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(683),
    [sym_block_comment] = STATE(683),
    [sym__alpha_identifier] = ACTIONS(2813),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2819),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym_infix] = ACTIONS(2819),
    [anon_sym_open] = ACTIONS(2819),
    [anon_sym_transparent] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2827),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(2830),
    [sym_operator_identifier] = ACTIONS(2933),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2836),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [684] = {
    [sym_inline_modifier] = STATE(2253),
    [sym_block] = STATE(10305),
    [sym_expression] = STATE(14160),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(684),
    [sym_block_comment] = STATE(684),
    [sym__alpha_identifier] = ACTIONS(2936),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2942),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2942),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym_infix] = ACTIONS(2942),
    [anon_sym_open] = ACTIONS(2942),
    [anon_sym_transparent] = ACTIONS(2942),
    [anon_sym_LPAREN] = ACTIONS(2950),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(2953),
    [sym_operator_identifier] = ACTIONS(2956),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [685] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1040),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(685),
    [sym_block_comment] = STATE(685),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [686] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1435),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(686),
    [sym_block_comment] = STATE(686),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [687] = {
    [sym_inline_modifier] = STATE(2279),
    [sym_block] = STATE(9651),
    [sym_expression] = STATE(13660),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(687),
    [sym_block_comment] = STATE(687),
    [sym__alpha_identifier] = ACTIONS(2959),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2962),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2965),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(2968),
    [anon_sym_infix] = ACTIONS(2965),
    [anon_sym_open] = ACTIONS(2965),
    [anon_sym_transparent] = ACTIONS(2965),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(2974),
    [sym_operator_identifier] = ACTIONS(2977),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(2980),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [688] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1052),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(688),
    [sym_block_comment] = STATE(688),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [689] = {
    [sym_inline_modifier] = STATE(2046),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(12476),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(689),
    [sym_block_comment] = STATE(689),
    [sym__alpha_identifier] = ACTIONS(2677),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2683),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym_infix] = ACTIONS(2683),
    [anon_sym_open] = ACTIONS(2683),
    [anon_sym_transparent] = ACTIONS(2683),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(2694),
    [sym_operator_identifier] = ACTIONS(2985),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [690] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1054),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(690),
    [sym_block_comment] = STATE(690),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [691] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1540),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(691),
    [sym_block_comment] = STATE(691),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [692] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1434),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(692),
    [sym_block_comment] = STATE(692),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [693] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1495),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(693),
    [sym_block_comment] = STATE(693),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [694] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1538),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(694),
    [sym_block_comment] = STATE(694),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [695] = {
    [sym_inline_modifier] = STATE(2180),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13730),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(695),
    [sym_block_comment] = STATE(695),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [696] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1068),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(696),
    [sym_block_comment] = STATE(696),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [697] = {
    [sym_inline_modifier] = STATE(2097),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12902),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(697),
    [sym_block_comment] = STATE(697),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_yield] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [698] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1428),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(698),
    [sym_block_comment] = STATE(698),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [699] = {
    [sym_inline_modifier] = STATE(2180),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13689),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(699),
    [sym_block_comment] = STATE(699),
    [sym__alpha_identifier] = ACTIONS(3004),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(3010),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3010),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_transparent] = ACTIONS(3010),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(3019),
    [sym_operator_identifier] = ACTIONS(3022),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(3025),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [700] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1074),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(700),
    [sym_block_comment] = STATE(700),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [701] = {
    [sym_inline_modifier] = STATE(2245),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13689),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(701),
    [sym_block_comment] = STATE(701),
    [sym__alpha_identifier] = ACTIONS(3004),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(3010),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3010),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(3028),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_transparent] = ACTIONS(3010),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(3019),
    [sym_operator_identifier] = ACTIONS(3031),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(3025),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [702] = {
    [sym_inline_modifier] = STATE(2097),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12980),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(702),
    [sym_block_comment] = STATE(702),
    [sym__alpha_identifier] = ACTIONS(2845),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2851),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym_infix] = ACTIONS(2851),
    [anon_sym_open] = ACTIONS(2851),
    [anon_sym_transparent] = ACTIONS(2851),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(2862),
    [sym_operator_identifier] = ACTIONS(3036),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [703] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1078),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(703),
    [sym_block_comment] = STATE(703),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [704] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1080),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(704),
    [sym_block_comment] = STATE(704),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [705] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1427),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(705),
    [sym_block_comment] = STATE(705),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [706] = {
    [sym_inline_modifier] = STATE(2036),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11590),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(706),
    [sym_block_comment] = STATE(706),
    [sym__alpha_identifier] = ACTIONS(2550),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2553),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2556),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(2559),
    [anon_sym_infix] = ACTIONS(2556),
    [anon_sym_open] = ACTIONS(2556),
    [anon_sym_transparent] = ACTIONS(2556),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(2565),
    [sym_operator_identifier] = ACTIONS(3039),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [707] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1088),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(707),
    [sym_block_comment] = STATE(707),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [708] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1092),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(708),
    [sym_block_comment] = STATE(708),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [709] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1104),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(709),
    [sym_block_comment] = STATE(709),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [710] = {
    [sym_inline_modifier] = STATE(2259),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(13367),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(710),
    [sym_block_comment] = STATE(710),
    [sym__alpha_identifier] = ACTIONS(3042),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3048),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym_infix] = ACTIONS(3048),
    [anon_sym_open] = ACTIONS(3048),
    [anon_sym_transparent] = ACTIONS(3048),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(3057),
    [sym_operator_identifier] = ACTIONS(3060),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(3063),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [711] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1108),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(711),
    [sym_block_comment] = STATE(711),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [712] = {
    [sym_inline_modifier] = STATE(2190),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12980),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(712),
    [sym_block_comment] = STATE(712),
    [sym__alpha_identifier] = ACTIONS(2845),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2851),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym_infix] = ACTIONS(2851),
    [anon_sym_open] = ACTIONS(2851),
    [anon_sym_transparent] = ACTIONS(2851),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(2862),
    [sym_operator_identifier] = ACTIONS(3068),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [713] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1419),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(713),
    [sym_block_comment] = STATE(713),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [714] = {
    [sym_inline_modifier] = STATE(2053),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11590),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(714),
    [sym_block_comment] = STATE(714),
    [sym__alpha_identifier] = ACTIONS(2550),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2553),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2556),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(2559),
    [anon_sym_infix] = ACTIONS(2556),
    [anon_sym_open] = ACTIONS(2556),
    [anon_sym_transparent] = ACTIONS(2556),
    [anon_sym_LPAREN] = ACTIONS(2562),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(2565),
    [sym_operator_identifier] = ACTIONS(3071),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(2571),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [715] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1121),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(715),
    [sym_block_comment] = STATE(715),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [716] = {
    [sym_inline_modifier] = STATE(2331),
    [sym_block] = STATE(9946),
    [sym_expression] = STATE(13947),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(716),
    [sym_block_comment] = STATE(716),
    [sym__alpha_identifier] = ACTIONS(3074),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3077),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3080),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(3083),
    [anon_sym_infix] = ACTIONS(3080),
    [anon_sym_open] = ACTIONS(3080),
    [anon_sym_transparent] = ACTIONS(3080),
    [anon_sym_LPAREN] = ACTIONS(3086),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(3089),
    [sym_operator_identifier] = ACTIONS(3092),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [717] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1124),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(717),
    [sym_block_comment] = STATE(717),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [718] = {
    [sym_inline_modifier] = STATE(2056),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12419),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(718),
    [sym_block_comment] = STATE(718),
    [sym__alpha_identifier] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2757),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_transparent] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2763),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(2766),
    [sym_operator_identifier] = ACTIONS(3095),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(2772),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [719] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1496),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(719),
    [sym_block_comment] = STATE(719),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [720] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1137),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(720),
    [sym_block_comment] = STATE(720),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [721] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(807),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(721),
    [sym_block_comment] = STATE(721),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [722] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1418),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(722),
    [sym_block_comment] = STATE(722),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [723] = {
    [sym_inline_modifier] = STATE(2299),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12036),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(723),
    [sym_block_comment] = STATE(723),
    [sym__alpha_identifier] = ACTIONS(3098),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3104),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym_infix] = ACTIONS(3104),
    [anon_sym_open] = ACTIONS(3104),
    [anon_sym_transparent] = ACTIONS(3104),
    [anon_sym_LPAREN] = ACTIONS(3110),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(3113),
    [sym_operator_identifier] = ACTIONS(3116),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(2980),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [724] = {
    [sym_inline_modifier] = STATE(2190),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12902),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(724),
    [sym_block_comment] = STATE(724),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [725] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1144),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(725),
    [sym_block_comment] = STATE(725),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [726] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1146),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(726),
    [sym_block_comment] = STATE(726),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [727] = {
    [sym_inline_modifier] = STATE(2337),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13049),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(727),
    [sym_block_comment] = STATE(727),
    [sym__alpha_identifier] = ACTIONS(2871),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2877),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym_infix] = ACTIONS(2877),
    [anon_sym_open] = ACTIONS(2877),
    [anon_sym_transparent] = ACTIONS(2877),
    [anon_sym_LPAREN] = ACTIONS(2883),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(2886),
    [sym_operator_identifier] = ACTIONS(3119),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [728] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1153),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(728),
    [sym_block_comment] = STATE(728),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [729] = {
    [sym_inline_modifier] = STATE(2072),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12746),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(729),
    [sym_block_comment] = STATE(729),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [730] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1159),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(730),
    [sym_block_comment] = STATE(730),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [731] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1412),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(731),
    [sym_block_comment] = STATE(731),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [732] = {
    [sym_inline_modifier] = STATE(2246),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(12823),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(732),
    [sym_block_comment] = STATE(732),
    [sym__alpha_identifier] = ACTIONS(3122),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3125),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3128),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(3131),
    [anon_sym_infix] = ACTIONS(3128),
    [anon_sym_open] = ACTIONS(3128),
    [anon_sym_transparent] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3134),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(3137),
    [sym_operator_identifier] = ACTIONS(3140),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [733] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1165),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(733),
    [sym_block_comment] = STATE(733),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [734] = {
    [sym_inline_modifier] = STATE(2072),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12874),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(734),
    [sym_block_comment] = STATE(734),
    [sym__alpha_identifier] = ACTIONS(2629),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(2635),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2635),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2635),
    [anon_sym_open] = ACTIONS(2635),
    [anon_sym_transparent] = ACTIONS(2635),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(2644),
    [sym_operator_identifier] = ACTIONS(3146),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [735] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12343),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(735),
    [sym_block_comment] = STATE(735),
    [sym__alpha_identifier] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2712),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(2715),
    [anon_sym_infix] = ACTIONS(2712),
    [anon_sym_open] = ACTIONS(2712),
    [anon_sym_transparent] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(2721),
    [sym_operator_identifier] = ACTIONS(3149),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [736] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1166),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(736),
    [sym_block_comment] = STATE(736),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [737] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1179),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(737),
    [sym_block_comment] = STATE(737),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [738] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1410),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(738),
    [sym_block_comment] = STATE(738),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [739] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1500),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(739),
    [sym_block_comment] = STATE(739),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [740] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1180),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(740),
    [sym_block_comment] = STATE(740),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [741] = {
    [sym_inline_modifier] = STATE(2043),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13538),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(741),
    [sym_block_comment] = STATE(741),
    [sym__alpha_identifier] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2587),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym_infix] = ACTIONS(2587),
    [anon_sym_open] = ACTIONS(2587),
    [anon_sym_transparent] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(2596),
    [sym_operator_identifier] = ACTIONS(3152),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2602),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [742] = {
    [sym_inline_modifier] = STATE(2079),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13049),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(742),
    [sym_block_comment] = STATE(742),
    [sym__alpha_identifier] = ACTIONS(2871),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2877),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(2880),
    [anon_sym_infix] = ACTIONS(2877),
    [anon_sym_open] = ACTIONS(2877),
    [anon_sym_transparent] = ACTIONS(2877),
    [anon_sym_LPAREN] = ACTIONS(2883),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(2886),
    [sym_operator_identifier] = ACTIONS(3155),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [743] = {
    [sym_inline_modifier] = STATE(2066),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12036),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(743),
    [sym_block_comment] = STATE(743),
    [sym__alpha_identifier] = ACTIONS(3098),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3104),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym_infix] = ACTIONS(3104),
    [anon_sym_open] = ACTIONS(3104),
    [anon_sym_transparent] = ACTIONS(3104),
    [anon_sym_LPAREN] = ACTIONS(3110),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(3113),
    [sym_operator_identifier] = ACTIONS(3158),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(2980),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [744] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1404),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(744),
    [sym_block_comment] = STATE(744),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [745] = {
    [sym_inline_modifier] = STATE(2306),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(13270),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(745),
    [sym_block_comment] = STATE(745),
    [sym__alpha_identifier] = ACTIONS(2895),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2901),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(2914),
    [anon_sym_infix] = ACTIONS(2901),
    [anon_sym_open] = ACTIONS(2901),
    [anon_sym_transparent] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2917),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(2920),
    [sym_operator_identifier] = ACTIONS(3161),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(2930),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [746] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1197),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(746),
    [sym_block_comment] = STATE(746),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [747] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1200),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(747),
    [sym_block_comment] = STATE(747),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [748] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1211),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(748),
    [sym_block_comment] = STATE(748),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [749] = {
    [sym_inline_modifier] = STATE(2080),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(13122),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(749),
    [sym_block_comment] = STATE(749),
    [sym__alpha_identifier] = ACTIONS(3164),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3167),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3170),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(3173),
    [anon_sym_infix] = ACTIONS(3170),
    [anon_sym_open] = ACTIONS(3170),
    [anon_sym_transparent] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(3179),
    [sym_operator_identifier] = ACTIONS(3182),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [750] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1401),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(750),
    [sym_block_comment] = STATE(750),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [751] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1212),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(751),
    [sym_block_comment] = STATE(751),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [752] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1224),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(752),
    [sym_block_comment] = STATE(752),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [753] = {
    [sym_inline_modifier] = STATE(2253),
    [sym_block] = STATE(10305),
    [sym_expression] = STATE(14009),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(753),
    [sym_block_comment] = STATE(753),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [754] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1226),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(754),
    [sym_block_comment] = STATE(754),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [755] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1501),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(755),
    [sym_block_comment] = STATE(755),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [756] = {
    [sym_inline_modifier] = STATE(2065),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12980),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(756),
    [sym_block_comment] = STATE(756),
    [sym__alpha_identifier] = ACTIONS(2845),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(2851),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2851),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(3188),
    [anon_sym_infix] = ACTIONS(2851),
    [anon_sym_open] = ACTIONS(2851),
    [anon_sym_transparent] = ACTIONS(2851),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(2862),
    [sym_operator_identifier] = ACTIONS(3191),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [757] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1392),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(757),
    [sym_block_comment] = STATE(757),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [758] = {
    [sym_inline_modifier] = STATE(2210),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13538),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(758),
    [sym_block_comment] = STATE(758),
    [sym__alpha_identifier] = ACTIONS(2581),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(2587),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2587),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(2590),
    [anon_sym_infix] = ACTIONS(2587),
    [anon_sym_open] = ACTIONS(2587),
    [anon_sym_transparent] = ACTIONS(2587),
    [anon_sym_LPAREN] = ACTIONS(2593),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(2596),
    [sym_operator_identifier] = ACTIONS(3194),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2602),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [759] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1237),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(759),
    [sym_block_comment] = STATE(759),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [760] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1238),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(760),
    [sym_block_comment] = STATE(760),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [761] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1250),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(761),
    [sym_block_comment] = STATE(761),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [762] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1294),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(762),
    [sym_block_comment] = STATE(762),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [763] = {
    [sym_inline_modifier] = STATE(2100),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(12823),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(763),
    [sym_block_comment] = STATE(763),
    [sym__alpha_identifier] = ACTIONS(3122),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3125),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3128),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(3131),
    [anon_sym_infix] = ACTIONS(3128),
    [anon_sym_open] = ACTIONS(3128),
    [anon_sym_transparent] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(3134),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(3137),
    [sym_operator_identifier] = ACTIONS(3197),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(3143),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [764] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1391),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(764),
    [sym_block_comment] = STATE(764),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [765] = {
    [sym_inline_modifier] = STATE(2090),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(13270),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(765),
    [sym_block_comment] = STATE(765),
    [sym__alpha_identifier] = ACTIONS(2895),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2898),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2901),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(2914),
    [anon_sym_infix] = ACTIONS(2901),
    [anon_sym_open] = ACTIONS(2901),
    [anon_sym_transparent] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2917),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(2920),
    [sym_operator_identifier] = ACTIONS(3210),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(2930),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [766] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1252),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(766),
    [sym_block_comment] = STATE(766),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [767] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1545),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(767),
    [sym_block_comment] = STATE(767),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [768] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1263),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(768),
    [sym_block_comment] = STATE(768),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [769] = {
    [sym_inline_modifier] = STATE(2110),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13730),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(769),
    [sym_block_comment] = STATE(769),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1148),
    [sym__outdent] = ACTIONS(1148),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [770] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1264),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(770),
    [sym_block_comment] = STATE(770),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [771] = {
    [sym_inline_modifier] = STATE(2347),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(13122),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(771),
    [sym_block_comment] = STATE(771),
    [sym__alpha_identifier] = ACTIONS(3164),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3167),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3170),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(3173),
    [anon_sym_infix] = ACTIONS(3170),
    [anon_sym_open] = ACTIONS(3170),
    [anon_sym_transparent] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(3179),
    [sym_operator_identifier] = ACTIONS(3231),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [772] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1271),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(772),
    [sym_block_comment] = STATE(772),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [773] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1542),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(773),
    [sym_block_comment] = STATE(773),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [774] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1282),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(774),
    [sym_block_comment] = STATE(774),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [775] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1379),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(775),
    [sym_block_comment] = STATE(775),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [776] = {
    [sym_inline_modifier] = STATE(2105),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(13367),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(776),
    [sym_block_comment] = STATE(776),
    [sym__alpha_identifier] = ACTIONS(3042),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(3048),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3048),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym_infix] = ACTIONS(3048),
    [anon_sym_open] = ACTIONS(3048),
    [anon_sym_transparent] = ACTIONS(3048),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(3057),
    [sym_operator_identifier] = ACTIONS(3234),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(3063),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [777] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1286),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(777),
    [sym_block_comment] = STATE(777),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [778] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1288),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(778),
    [sym_block_comment] = STATE(778),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [779] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1534),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(779),
    [sym_block_comment] = STATE(779),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [780] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1293),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(780),
    [sym_block_comment] = STATE(780),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [781] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12343),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(781),
    [sym_block_comment] = STATE(781),
    [sym__alpha_identifier] = ACTIONS(2706),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2712),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(2715),
    [anon_sym_infix] = ACTIONS(2712),
    [anon_sym_open] = ACTIONS(2712),
    [anon_sym_transparent] = ACTIONS(2712),
    [anon_sym_LPAREN] = ACTIONS(2718),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(2721),
    [sym_operator_identifier] = ACTIONS(3237),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [782] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1377),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(782),
    [sym_block_comment] = STATE(782),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [783] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1505),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(783),
    [sym_block_comment] = STATE(783),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [784] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1295),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(784),
    [sym_block_comment] = STATE(784),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [785] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1308),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(785),
    [sym_block_comment] = STATE(785),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [786] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1343),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(786),
    [sym_block_comment] = STATE(786),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [787] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1532),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(787),
    [sym_block_comment] = STATE(787),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [788] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1322),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(788),
    [sym_block_comment] = STATE(788),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [789] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1368),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(789),
    [sym_block_comment] = STATE(789),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [790] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1332),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(790),
    [sym_block_comment] = STATE(790),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [791] = {
    [sym_inline_modifier] = STATE(2139),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11842),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(791),
    [sym_block_comment] = STATE(791),
    [sym__alpha_identifier] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2733),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2736),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(2739),
    [anon_sym_infix] = ACTIONS(2736),
    [anon_sym_open] = ACTIONS(2736),
    [anon_sym_transparent] = ACTIONS(2736),
    [anon_sym_LPAREN] = ACTIONS(2742),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(2745),
    [sym_operator_identifier] = ACTIONS(3240),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [792] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1357),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(792),
    [sym_block_comment] = STATE(792),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [793] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1318),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(793),
    [sym_block_comment] = STATE(793),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [794] = {
    [sym_inline_modifier] = STATE(2287),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12036),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(794),
    [sym_block_comment] = STATE(794),
    [sym__alpha_identifier] = ACTIONS(3098),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3104),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym_infix] = ACTIONS(3104),
    [anon_sym_open] = ACTIONS(3104),
    [anon_sym_transparent] = ACTIONS(3104),
    [anon_sym_LPAREN] = ACTIONS(3110),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(3113),
    [sym_operator_identifier] = ACTIONS(3243),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(2980),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [795] = {
    [sym_inline_modifier] = STATE(2110),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13689),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(795),
    [sym_block_comment] = STATE(795),
    [sym__alpha_identifier] = ACTIONS(3004),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(3010),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3010),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_transparent] = ACTIONS(3010),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(3019),
    [sym_operator_identifier] = ACTIONS(3248),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3025),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [796] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(12476),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(796),
    [sym_block_comment] = STATE(796),
    [sym__alpha_identifier] = ACTIONS(2677),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2683),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym_infix] = ACTIONS(2683),
    [anon_sym_open] = ACTIONS(2683),
    [anon_sym_transparent] = ACTIONS(2683),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(2694),
    [sym_operator_identifier] = ACTIONS(3251),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [797] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1367),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(797),
    [sym_block_comment] = STATE(797),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [798] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1518),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(798),
    [sym_block_comment] = STATE(798),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [799] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1334),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(799),
    [sym_block_comment] = STATE(799),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [800] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1509),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(800),
    [sym_block_comment] = STATE(800),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [801] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1346),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(801),
    [sym_block_comment] = STATE(801),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [802] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1524),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(802),
    [sym_block_comment] = STATE(802),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [803] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1313),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(803),
    [sym_block_comment] = STATE(803),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [804] = {
    [sym_inline_modifier] = STATE(2037),
    [sym_block] = STATE(9825),
    [sym_expression] = STATE(13885),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(804),
    [sym_block_comment] = STATE(804),
    [sym__alpha_identifier] = ACTIONS(3254),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(3260),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(3263),
    [anon_sym_infix] = ACTIONS(3260),
    [anon_sym_open] = ACTIONS(3260),
    [anon_sym_transparent] = ACTIONS(3260),
    [anon_sym_LPAREN] = ACTIONS(3266),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(3269),
    [sym_operator_identifier] = ACTIONS(3272),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(2772),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [805] = {
    [sym_inline_modifier] = STATE(2271),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12419),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(805),
    [sym_block_comment] = STATE(805),
    [sym__alpha_identifier] = ACTIONS(2751),
    [anon_sym_COLON] = ACTIONS(2511),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_DOT] = ACTIONS(2511),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_match] = ACTIONS(2511),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_EQ] = ACTIONS(2511),
    [anon_sym_opaque] = ACTIONS(2757),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(2760),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_transparent] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2763),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(2766),
    [sym_operator_identifier] = ACTIONS(3275),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(2772),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [806] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(17332),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym__if_condition] = STATE(1358),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(4067),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(806),
    [sym_block_comment] = STATE(806),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [807] = {
    [sym_inline_modifier] = STATE(2286),
    [sym__indentable_expression] = STATE(13790),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(807),
    [sym_block_comment] = STATE(807),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [808] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(13982),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(808),
    [sym_block_comment] = STATE(808),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [809] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(14659),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(809),
    [sym_block_comment] = STATE(809),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [810] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(14678),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(810),
    [sym_block_comment] = STATE(810),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [811] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(14690),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(811),
    [sym_block_comment] = STATE(811),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [812] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(14691),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(812),
    [sym_block_comment] = STATE(812),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [813] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(14702),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(813),
    [sym_block_comment] = STATE(813),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [814] = {
    [sym_inline_modifier] = STATE(2043),
    [sym__indentable_expression] = STATE(13791),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(814),
    [sym_block_comment] = STATE(814),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [815] = {
    [sym_inline_modifier] = STATE(2139),
    [sym__indentable_expression] = STATE(11797),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(815),
    [sym_block_comment] = STATE(815),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [816] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(14711),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(816),
    [sym_block_comment] = STATE(816),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [817] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(14722),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(817),
    [sym_block_comment] = STATE(817),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [818] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(14723),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(818),
    [sym_block_comment] = STATE(818),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [819] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(14724),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(819),
    [sym_block_comment] = STATE(819),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [820] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(14727),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(820),
    [sym_block_comment] = STATE(820),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [821] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(14730),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(821),
    [sym_block_comment] = STATE(821),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [822] = {
    [sym_inline_modifier] = STATE(2287),
    [sym__indentable_expression] = STATE(12001),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(822),
    [sym_block_comment] = STATE(822),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [823] = {
    [sym_inline_modifier] = STATE(2287),
    [sym__indentable_expression] = STATE(11808),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(823),
    [sym_block_comment] = STATE(823),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [824] = {
    [sym_inline_modifier] = STATE(2287),
    [sym__indentable_expression] = STATE(11820),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(824),
    [sym_block_comment] = STATE(824),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [825] = {
    [sym_inline_modifier] = STATE(2287),
    [sym__indentable_expression] = STATE(11911),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(825),
    [sym_block_comment] = STATE(825),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [826] = {
    [sym_inline_modifier] = STATE(2287),
    [sym__indentable_expression] = STATE(11897),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(826),
    [sym_block_comment] = STATE(826),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [827] = {
    [sym_inline_modifier] = STATE(2287),
    [sym__indentable_expression] = STATE(12062),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(827),
    [sym_block_comment] = STATE(827),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [828] = {
    [sym_inline_modifier] = STATE(2037),
    [sym__indentable_expression] = STATE(12358),
    [sym_block] = STATE(9825),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(13882),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(828),
    [sym_block_comment] = STATE(828),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [829] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(12572),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(829),
    [sym_block_comment] = STATE(829),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [830] = {
    [sym_inline_modifier] = STATE(2043),
    [sym__indentable_expression] = STATE(13789),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(830),
    [sym_block_comment] = STATE(830),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [831] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13757),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(831),
    [sym_block_comment] = STATE(831),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [832] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17616),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(634),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(832),
    [sym_block_comment] = STATE(832),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [833] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(12816),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(833),
    [sym_block_comment] = STATE(833),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [834] = {
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(13537),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(834),
    [sym_block_comment] = STATE(834),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [835] = {
    [sym_inline_modifier] = STATE(2139),
    [sym__indentable_expression] = STATE(11785),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(835),
    [sym_block_comment] = STATE(835),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [836] = {
    [sym_inline_modifier] = STATE(2043),
    [sym__indentable_expression] = STATE(13788),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(836),
    [sym_block_comment] = STATE(836),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [837] = {
    [sym_inline_modifier] = STATE(2271),
    [sym__indentable_expression] = STATE(12184),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(837),
    [sym_block_comment] = STATE(837),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [838] = {
    [sym_inline_modifier] = STATE(2271),
    [sym__indentable_expression] = STATE(12193),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(838),
    [sym_block_comment] = STATE(838),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [839] = {
    [sym_inline_modifier] = STATE(2043),
    [sym__indentable_expression] = STATE(13785),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(839),
    [sym_block_comment] = STATE(839),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [840] = {
    [sym_inline_modifier] = STATE(2110),
    [sym__indentable_expression] = STATE(13985),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(840),
    [sym_block_comment] = STATE(840),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [841] = {
    [sym_inline_modifier] = STATE(2306),
    [sym__indentable_expression] = STATE(13838),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(841),
    [sym_block_comment] = STATE(841),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [842] = {
    [sym_inline_modifier] = STATE(2271),
    [sym__indentable_expression] = STATE(12196),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(842),
    [sym_block_comment] = STATE(842),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [843] = {
    [sym_inline_modifier] = STATE(2271),
    [sym__indentable_expression] = STATE(12198),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(843),
    [sym_block_comment] = STATE(843),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [844] = {
    [sym_inline_modifier] = STATE(2271),
    [sym__indentable_expression] = STATE(12209),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(844),
    [sym_block_comment] = STATE(844),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [845] = {
    [sym_inline_modifier] = STATE(2271),
    [sym__indentable_expression] = STATE(12281),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(845),
    [sym_block_comment] = STATE(845),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [846] = {
    [sym_inline_modifier] = STATE(2139),
    [sym__indentable_expression] = STATE(12154),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(846),
    [sym_block_comment] = STATE(846),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [847] = {
    [sym_inline_modifier] = STATE(2271),
    [sym__indentable_expression] = STATE(12284),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(847),
    [sym_block_comment] = STATE(847),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [848] = {
    [sym_inline_modifier] = STATE(2139),
    [sym__indentable_expression] = STATE(11873),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(848),
    [sym_block_comment] = STATE(848),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [849] = {
    [sym_inline_modifier] = STATE(2271),
    [sym__indentable_expression] = STATE(12287),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(849),
    [sym_block_comment] = STATE(849),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [850] = {
    [sym_inline_modifier] = STATE(2271),
    [sym__indentable_expression] = STATE(12288),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(850),
    [sym_block_comment] = STATE(850),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [851] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(12627),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(851),
    [sym_block_comment] = STATE(851),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [852] = {
    [sym_inline_modifier] = STATE(2139),
    [sym__indentable_expression] = STATE(11974),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(852),
    [sym_block_comment] = STATE(852),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [853] = {
    [sym_inline_modifier] = STATE(2037),
    [sym__indentable_expression] = STATE(12288),
    [sym_block] = STATE(9825),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(13882),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(853),
    [sym_block_comment] = STATE(853),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [854] = {
    [sym_inline_modifier] = STATE(2037),
    [sym__indentable_expression] = STATE(12287),
    [sym_block] = STATE(9825),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(13882),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(854),
    [sym_block_comment] = STATE(854),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [855] = {
    [sym_inline_modifier] = STATE(2037),
    [sym__indentable_expression] = STATE(12284),
    [sym_block] = STATE(9825),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(13882),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(855),
    [sym_block_comment] = STATE(855),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [856] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(12639),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(856),
    [sym_block_comment] = STATE(856),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [857] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(12495),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(857),
    [sym_block_comment] = STATE(857),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [858] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(12571),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(858),
    [sym_block_comment] = STATE(858),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [859] = {
    [sym_inline_modifier] = STATE(2271),
    [sym__indentable_expression] = STATE(12358),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(859),
    [sym_block_comment] = STATE(859),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [860] = {
    [sym_inline_modifier] = STATE(2139),
    [sym__indentable_expression] = STATE(12100),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(860),
    [sym_block_comment] = STATE(860),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [861] = {
    [sym_inline_modifier] = STATE(2139),
    [sym__indentable_expression] = STATE(11831),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(861),
    [sym_block_comment] = STATE(861),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [862] = {
    [sym_inline_modifier] = STATE(2306),
    [sym__indentable_expression] = STATE(13904),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(862),
    [sym_block_comment] = STATE(862),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [863] = {
    [sym_inline_modifier] = STATE(2037),
    [sym__indentable_expression] = STATE(12281),
    [sym_block] = STATE(9825),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(13882),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(863),
    [sym_block_comment] = STATE(863),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [864] = {
    [sym_inline_modifier] = STATE(2139),
    [sym__indentable_expression] = STATE(11795),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(864),
    [sym_block_comment] = STATE(864),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [865] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(11556),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(865),
    [sym_block_comment] = STATE(865),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [866] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(11585),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(866),
    [sym_block_comment] = STATE(866),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [867] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(11555),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(867),
    [sym_block_comment] = STATE(867),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [868] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(11554),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(868),
    [sym_block_comment] = STATE(868),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [869] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(11550),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(869),
    [sym_block_comment] = STATE(869),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [870] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(11523),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(870),
    [sym_block_comment] = STATE(870),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [871] = {
    [sym_inline_modifier] = STATE(2139),
    [sym__indentable_expression] = STATE(11973),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(871),
    [sym_block_comment] = STATE(871),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [872] = {
    [sym_inline_modifier] = STATE(2139),
    [sym__indentable_expression] = STATE(12076),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(872),
    [sym_block_comment] = STATE(872),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [873] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(12355),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(873),
    [sym_block_comment] = STATE(873),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [874] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(12954),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(874),
    [sym_block_comment] = STATE(874),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [875] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(11519),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(875),
    [sym_block_comment] = STATE(875),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [876] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(11508),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(876),
    [sym_block_comment] = STATE(876),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [877] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(12990),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(877),
    [sym_block_comment] = STATE(877),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [878] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(11506),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(878),
    [sym_block_comment] = STATE(878),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [879] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(13913),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(879),
    [sym_block_comment] = STATE(879),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [880] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(11486),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(880),
    [sym_block_comment] = STATE(880),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [881] = {
    [sym_inline_modifier] = STATE(2037),
    [sym__indentable_expression] = STATE(12209),
    [sym_block] = STATE(9825),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(13882),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(881),
    [sym_block_comment] = STATE(881),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [882] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13470),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(882),
    [sym_block_comment] = STATE(882),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [883] = {
    [sym_inline_modifier] = STATE(2105),
    [sym__indentable_expression] = STATE(13723),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(883),
    [sym_block_comment] = STATE(883),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [884] = {
    [sym_inline_modifier] = STATE(2105),
    [sym__indentable_expression] = STATE(13719),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(884),
    [sym_block_comment] = STATE(884),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [885] = {
    [sym_inline_modifier] = STATE(2043),
    [sym__indentable_expression] = STATE(13779),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(885),
    [sym_block_comment] = STATE(885),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [886] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(12546),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(886),
    [sym_block_comment] = STATE(886),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [887] = {
    [sym_inline_modifier] = STATE(2105),
    [sym__indentable_expression] = STATE(13718),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(887),
    [sym_block_comment] = STATE(887),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [888] = {
    [sym_inline_modifier] = STATE(2105),
    [sym__indentable_expression] = STATE(13713),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(888),
    [sym_block_comment] = STATE(888),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [889] = {
    [sym_inline_modifier] = STATE(2105),
    [sym__indentable_expression] = STATE(13670),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(889),
    [sym_block_comment] = STATE(889),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [890] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(13477),
    [sym_block] = STATE(9454),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(13817),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(890),
    [sym_block_comment] = STATE(890),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [891] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(12816),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(891),
    [sym_block_comment] = STATE(891),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [892] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(12544),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(892),
    [sym_block_comment] = STATE(892),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [893] = {
    [sym_inline_modifier] = STATE(2105),
    [sym__indentable_expression] = STATE(13642),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(893),
    [sym_block_comment] = STATE(893),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [894] = {
    [sym_inline_modifier] = STATE(2105),
    [sym__indentable_expression] = STATE(13702),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(894),
    [sym_block_comment] = STATE(894),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [895] = {
    [sym_inline_modifier] = STATE(2105),
    [sym__indentable_expression] = STATE(13649),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(895),
    [sym_block_comment] = STATE(895),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [896] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(14227),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(896),
    [sym_block_comment] = STATE(896),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [897] = {
    [sym_inline_modifier] = STATE(2037),
    [sym__indentable_expression] = STATE(12198),
    [sym_block] = STATE(9825),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(13882),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(897),
    [sym_block_comment] = STATE(897),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [898] = {
    [sym_inline_modifier] = STATE(2287),
    [sym__indentable_expression] = STATE(12064),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(898),
    [sym_block_comment] = STATE(898),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [899] = {
    [sym_inline_modifier] = STATE(2037),
    [sym__indentable_expression] = STATE(12196),
    [sym_block] = STATE(9825),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(13882),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(899),
    [sym_block_comment] = STATE(899),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [900] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17460),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(631),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(900),
    [sym_block_comment] = STATE(900),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [901] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(14225),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(901),
    [sym_block_comment] = STATE(901),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [902] = {
    [sym_inline_modifier] = STATE(2337),
    [sym__indentable_expression] = STATE(13987),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(902),
    [sym_block_comment] = STATE(902),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [903] = {
    [sym_inline_modifier] = STATE(2105),
    [sym__indentable_expression] = STATE(13650),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(903),
    [sym_block_comment] = STATE(903),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [904] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13814),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(904),
    [sym_block_comment] = STATE(904),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [905] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(14176),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(905),
    [sym_block_comment] = STATE(905),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [906] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(12872),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(906),
    [sym_block_comment] = STATE(906),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [907] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(12781),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(907),
    [sym_block_comment] = STATE(907),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [908] = {
    [sym_inline_modifier] = STATE(2123),
    [sym__indentable_expression] = STATE(14365),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(908),
    [sym_block_comment] = STATE(908),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [909] = {
    [sym_inline_modifier] = STATE(2037),
    [sym__indentable_expression] = STATE(12193),
    [sym_block] = STATE(9825),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(13882),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(909),
    [sym_block_comment] = STATE(909),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [910] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(12865),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(910),
    [sym_block_comment] = STATE(910),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [911] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(12872),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(911),
    [sym_block_comment] = STATE(911),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [912] = {
    [sym_inline_modifier] = STATE(2105),
    [sym__indentable_expression] = STATE(13659),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(912),
    [sym_block_comment] = STATE(912),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [913] = {
    [sym_inline_modifier] = STATE(2287),
    [sym__indentable_expression] = STATE(12096),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(913),
    [sym_block_comment] = STATE(913),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [914] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(12865),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(914),
    [sym_block_comment] = STATE(914),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [915] = {
    [sym_inline_modifier] = STATE(2037),
    [sym__indentable_expression] = STATE(12184),
    [sym_block] = STATE(9825),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(13882),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(915),
    [sym_block_comment] = STATE(915),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [916] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(12990),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(916),
    [sym_block_comment] = STATE(916),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [917] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(12865),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(917),
    [sym_block_comment] = STATE(917),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [918] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(12954),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(918),
    [sym_block_comment] = STATE(918),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [919] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(12769),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(919),
    [sym_block_comment] = STATE(919),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [920] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(12754),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(920),
    [sym_block_comment] = STATE(920),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [921] = {
    [sym_inline_modifier] = STATE(2287),
    [sym__indentable_expression] = STATE(12117),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(921),
    [sym_block_comment] = STATE(921),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [922] = {
    [sym_inline_modifier] = STATE(2123),
    [sym__indentable_expression] = STATE(14338),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(922),
    [sym_block_comment] = STATE(922),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [923] = {
    [sym_inline_modifier] = STATE(2287),
    [sym__indentable_expression] = STATE(12137),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(923),
    [sym_block_comment] = STATE(923),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [924] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(12743),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(924),
    [sym_block_comment] = STATE(924),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [925] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13633),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(925),
    [sym_block_comment] = STATE(925),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [926] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13078),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(926),
    [sym_block_comment] = STATE(926),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [927] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(14188),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(927),
    [sym_block_comment] = STATE(927),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [928] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13046),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(928),
    [sym_block_comment] = STATE(928),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [929] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13042),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(929),
    [sym_block_comment] = STATE(929),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [930] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(12702),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(930),
    [sym_block_comment] = STATE(930),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [931] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13035),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(931),
    [sym_block_comment] = STATE(931),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [932] = {
    [sym_inline_modifier] = STATE(2090),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(13237),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(932),
    [sym_block_comment] = STATE(932),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [933] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13219),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(933),
    [sym_block_comment] = STATE(933),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [934] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(12668),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(934),
    [sym_block_comment] = STATE(934),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [935] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(12542),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(935),
    [sym_block_comment] = STATE(935),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [936] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13209),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(936),
    [sym_block_comment] = STATE(936),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [937] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13125),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(937),
    [sym_block_comment] = STATE(937),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [938] = {
    [sym_inline_modifier] = STATE(2043),
    [sym__indentable_expression] = STATE(13766),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(938),
    [sym_block_comment] = STATE(938),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [939] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(12917),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(939),
    [sym_block_comment] = STATE(939),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [940] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(12667),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(940),
    [sym_block_comment] = STATE(940),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [941] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(12662),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(941),
    [sym_block_comment] = STATE(941),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [942] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13487),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(942),
    [sym_block_comment] = STATE(942),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [943] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13282),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(943),
    [sym_block_comment] = STATE(943),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [944] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17329),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(684),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(944),
    [sym_block_comment] = STATE(944),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [945] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(12650),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(945),
    [sym_block_comment] = STATE(945),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [946] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13047),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(946),
    [sym_block_comment] = STATE(946),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [947] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13822),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(947),
    [sym_block_comment] = STATE(947),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [948] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17357),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(643),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(948),
    [sym_block_comment] = STATE(948),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [949] = {
    [sym_inline_modifier] = STATE(2110),
    [sym__indentable_expression] = STATE(13992),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(949),
    [sym_block_comment] = STATE(949),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [950] = {
    [sym_inline_modifier] = STATE(2079),
    [sym__indentable_expression] = STATE(13940),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(950),
    [sym_block_comment] = STATE(950),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [951] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13464),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(951),
    [sym_block_comment] = STATE(951),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [952] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(12990),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(952),
    [sym_block_comment] = STATE(952),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [953] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(13638),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(953),
    [sym_block_comment] = STATE(953),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [954] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13297),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(954),
    [sym_block_comment] = STATE(954),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [955] = {
    [sym_inline_modifier] = STATE(2043),
    [sym__indentable_expression] = STATE(13760),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(955),
    [sym_block_comment] = STATE(955),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [956] = {
    [sym_inline_modifier] = STATE(2043),
    [sym__indentable_expression] = STATE(13758),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(956),
    [sym_block_comment] = STATE(956),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [957] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(13777),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(957),
    [sym_block_comment] = STATE(957),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [958] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(12954),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(958),
    [sym_block_comment] = STATE(958),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [959] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(12716),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(959),
    [sym_block_comment] = STATE(959),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [960] = {
    [sym_inline_modifier] = STATE(2097),
    [sym__indentable_expression] = STATE(12872),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(960),
    [sym_block_comment] = STATE(960),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [961] = {
    [sym_inline_modifier] = STATE(2043),
    [sym__indentable_expression] = STATE(13755),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(961),
    [sym_block_comment] = STATE(961),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [962] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(12689),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(962),
    [sym_block_comment] = STATE(962),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [963] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(12686),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(963),
    [sym_block_comment] = STATE(963),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [964] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(12651),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(964),
    [sym_block_comment] = STATE(964),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [965] = {
    [sym_inline_modifier] = STATE(2080),
    [sym__indentable_expression] = STATE(13347),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(965),
    [sym_block_comment] = STATE(965),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [966] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17293),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(654),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(966),
    [sym_block_comment] = STATE(966),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [967] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13756),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(967),
    [sym_block_comment] = STATE(967),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [968] = {
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(13386),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(968),
    [sym_block_comment] = STATE(968),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [969] = {
    [sym_inline_modifier] = STATE(2080),
    [sym__indentable_expression] = STATE(13340),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(969),
    [sym_block_comment] = STATE(969),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [970] = {
    [sym_inline_modifier] = STATE(2080),
    [sym__indentable_expression] = STATE(13356),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(970),
    [sym_block_comment] = STATE(970),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [971] = {
    [sym_inline_modifier] = STATE(2080),
    [sym__indentable_expression] = STATE(13377),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(971),
    [sym_block_comment] = STATE(971),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [972] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13825),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(972),
    [sym_block_comment] = STATE(972),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [973] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(14314),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(973),
    [sym_block_comment] = STATE(973),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [974] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(13369),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(974),
    [sym_block_comment] = STATE(974),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [975] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13483),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(975),
    [sym_block_comment] = STATE(975),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [976] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13525),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(976),
    [sym_block_comment] = STATE(976),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [977] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(14312),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(977),
    [sym_block_comment] = STATE(977),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [978] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(12657),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(978),
    [sym_block_comment] = STATE(978),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [979] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13459),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(979),
    [sym_block_comment] = STATE(979),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [980] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17220),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(666),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(980),
    [sym_block_comment] = STATE(980),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [981] = {
    [sym_inline_modifier] = STATE(2205),
    [sym__indentable_expression] = STATE(13485),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(981),
    [sym_block_comment] = STATE(981),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [982] = {
    [sym_inline_modifier] = STATE(2080),
    [sym__indentable_expression] = STATE(13459),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(982),
    [sym_block_comment] = STATE(982),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [983] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13377),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(983),
    [sym_block_comment] = STATE(983),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [984] = {
    [sym_inline_modifier] = STATE(2080),
    [sym__indentable_expression] = STATE(13525),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(984),
    [sym_block_comment] = STATE(984),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [985] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13356),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(985),
    [sym_block_comment] = STATE(985),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [986] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(13581),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(986),
    [sym_block_comment] = STATE(986),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [987] = {
    [sym_inline_modifier] = STATE(2210),
    [sym__indentable_expression] = STATE(13746),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(987),
    [sym_block_comment] = STATE(987),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [988] = {
    [sym_inline_modifier] = STATE(2080),
    [sym__indentable_expression] = STATE(13483),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(988),
    [sym_block_comment] = STATE(988),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [989] = {
    [sym_inline_modifier] = STATE(2080),
    [sym__indentable_expression] = STATE(13470),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(989),
    [sym_block_comment] = STATE(989),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [990] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(13608),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(990),
    [sym_block_comment] = STATE(990),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [991] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13340),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(991),
    [sym_block_comment] = STATE(991),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [992] = {
    [sym_inline_modifier] = STATE(2080),
    [sym__indentable_expression] = STATE(13464),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(992),
    [sym_block_comment] = STATE(992),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [993] = {
    [sym_inline_modifier] = STATE(2079),
    [sym__indentable_expression] = STATE(13559),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(993),
    [sym_block_comment] = STATE(993),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [994] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17155),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(679),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(994),
    [sym_block_comment] = STATE(994),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [995] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(13278),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(995),
    [sym_block_comment] = STATE(995),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [996] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(13601),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(996),
    [sym_block_comment] = STATE(996),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [997] = {
    [sym_inline_modifier] = STATE(2079),
    [sym__indentable_expression] = STATE(13624),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(997),
    [sym_block_comment] = STATE(997),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [998] = {
    [sym_inline_modifier] = STATE(2079),
    [sym__indentable_expression] = STATE(13596),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(998),
    [sym_block_comment] = STATE(998),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [999] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13347),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(999),
    [sym_block_comment] = STATE(999),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [1000] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(13591),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1000),
    [sym_block_comment] = STATE(1000),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1001] = {
    [sym_inline_modifier] = STATE(2079),
    [sym__indentable_expression] = STATE(13587),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1001),
    [sym_block_comment] = STATE(1001),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1002] = {
    [sym_inline_modifier] = STATE(2080),
    [sym__indentable_expression] = STATE(13487),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(1002),
    [sym_block_comment] = STATE(1002),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [1003] = {
    [sym_inline_modifier] = STATE(2110),
    [sym__indentable_expression] = STATE(13990),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1003),
    [sym_block_comment] = STATE(1003),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1004] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17089),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(699),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1004),
    [sym_block_comment] = STATE(1004),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1005] = {
    [sym_inline_modifier] = STATE(2120),
    [sym__indentable_expression] = STATE(13791),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1005),
    [sym_block_comment] = STATE(1005),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1006] = {
    [sym_inline_modifier] = STATE(2337),
    [sym__indentable_expression] = STATE(13860),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1006),
    [sym_block_comment] = STATE(1006),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1007] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(13332),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1007),
    [sym_block_comment] = STATE(1007),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1008] = {
    [sym_inline_modifier] = STATE(2210),
    [sym__indentable_expression] = STATE(13755),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1008),
    [sym_block_comment] = STATE(1008),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1009] = {
    [sym_inline_modifier] = STATE(2210),
    [sym__indentable_expression] = STATE(13758),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1009),
    [sym_block_comment] = STATE(1009),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1010] = {
    [sym_inline_modifier] = STATE(2210),
    [sym__indentable_expression] = STATE(13760),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1010),
    [sym_block_comment] = STATE(1010),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1011] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(14074),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1011),
    [sym_block_comment] = STATE(1011),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1012] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(14098),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1012),
    [sym_block_comment] = STATE(1012),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1013] = {
    [sym_inline_modifier] = STATE(2079),
    [sym__indentable_expression] = STATE(13585),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1013),
    [sym_block_comment] = STATE(1013),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1014] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(14309),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1014),
    [sym_block_comment] = STATE(1014),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1015] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(13337),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1015),
    [sym_block_comment] = STATE(1015),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1016] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13752),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1016),
    [sym_block_comment] = STATE(1016),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1017] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17013),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(716),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1017),
    [sym_block_comment] = STATE(1017),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1018] = {
    [sym_inline_modifier] = STATE(2079),
    [sym__indentable_expression] = STATE(13867),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1018),
    [sym_block_comment] = STATE(1018),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1019] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(13343),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1019),
    [sym_block_comment] = STATE(1019),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1020] = {
    [sym_inline_modifier] = STATE(2331),
    [sym__indentable_expression] = STATE(14069),
    [sym_block] = STATE(9946),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(13903),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1020),
    [sym_block_comment] = STATE(1020),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1021] = {
    [sym_inline_modifier] = STATE(2331),
    [sym__indentable_expression] = STATE(14013),
    [sym_block] = STATE(9946),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(13903),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1021),
    [sym_block_comment] = STATE(1021),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1022] = {
    [sym_inline_modifier] = STATE(2079),
    [sym__indentable_expression] = STATE(13490),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1022),
    [sym_block_comment] = STATE(1022),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1023] = {
    [sym_inline_modifier] = STATE(2110),
    [sym__indentable_expression] = STATE(13982),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1023),
    [sym_block_comment] = STATE(1023),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1024] = {
    [sym_inline_modifier] = STATE(2079),
    [sym__indentable_expression] = STATE(13532),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1024),
    [sym_block_comment] = STATE(1024),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1025] = {
    [sym_inline_modifier] = STATE(2079),
    [sym__indentable_expression] = STATE(13531),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1025),
    [sym_block_comment] = STATE(1025),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1026] = {
    [sym_inline_modifier] = STATE(2079),
    [sym__indentable_expression] = STATE(13513),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1026),
    [sym_block_comment] = STATE(1026),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1027] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(13371),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1027),
    [sym_block_comment] = STATE(1027),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1028] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(12872),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1028),
    [sym_block_comment] = STATE(1028),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1029] = {
    [sym_inline_modifier] = STATE(2072),
    [sym__indentable_expression] = STATE(13044),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1029),
    [sym_block_comment] = STATE(1029),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1030] = {
    [sym_inline_modifier] = STATE(2043),
    [sym__indentable_expression] = STATE(13746),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1030),
    [sym_block_comment] = STATE(1030),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1031] = {
    [sym_inline_modifier] = STATE(2210),
    [sym__indentable_expression] = STATE(13766),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1031),
    [sym_block_comment] = STATE(1031),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1032] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(14192),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1032),
    [sym_block_comment] = STATE(1032),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1033] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16900),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(727),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1033),
    [sym_block_comment] = STATE(1033),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1034] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(12737),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1034),
    [sym_block_comment] = STATE(1034),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1035] = {
    [sym_inline_modifier] = STATE(2072),
    [sym__indentable_expression] = STATE(13292),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1035),
    [sym_block_comment] = STATE(1035),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1036] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(12917),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1036),
    [sym_block_comment] = STATE(1036),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1037] = {
    [sym_inline_modifier] = STATE(2210),
    [sym__indentable_expression] = STATE(13779),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1037),
    [sym_block_comment] = STATE(1037),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1038] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13981),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1038),
    [sym_block_comment] = STATE(1038),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1039] = {
    [sym_inline_modifier] = STATE(2079),
    [sym__indentable_expression] = STATE(13321),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1039),
    [sym_block_comment] = STATE(1039),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1040] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13979),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1040),
    [sym_block_comment] = STATE(1040),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1041] = {
    [sym_inline_modifier] = STATE(2072),
    [sym__indentable_expression] = STATE(13075),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1041),
    [sym_block_comment] = STATE(1041),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1042] = {
    [sym_inline_modifier] = STATE(2072),
    [sym__indentable_expression] = STATE(13130),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1042),
    [sym_block_comment] = STATE(1042),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1043] = {
    [sym_inline_modifier] = STATE(2120),
    [sym__indentable_expression] = STATE(13789),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1043),
    [sym_block_comment] = STATE(1043),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1044] = {
    [sym_inline_modifier] = STATE(2210),
    [sym__indentable_expression] = STATE(13785),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1044),
    [sym_block_comment] = STATE(1044),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1045] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(12716),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1045),
    [sym_block_comment] = STATE(1045),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1046] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16729),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(742),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1046),
    [sym_block_comment] = STATE(1046),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1047] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12798),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1047),
    [sym_block_comment] = STATE(1047),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1048] = {
    [sym_inline_modifier] = STATE(2066),
    [sym__indentable_expression] = STATE(12062),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1048),
    [sym_block_comment] = STATE(1048),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1049] = {
    [sym_inline_modifier] = STATE(2072),
    [sym__indentable_expression] = STATE(13085),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1049),
    [sym_block_comment] = STATE(1049),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1050] = {
    [sym_inline_modifier] = STATE(2097),
    [sym__indentable_expression] = STATE(12865),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1050),
    [sym_block_comment] = STATE(1050),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1051] = {
    [sym_inline_modifier] = STATE(2072),
    [sym__indentable_expression] = STATE(13287),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1051),
    [sym_block_comment] = STATE(1051),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1052] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(13934),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1052),
    [sym_block_comment] = STATE(1052),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1053] = {
    [sym_inline_modifier] = STATE(2079),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13319),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1053),
    [sym_block_comment] = STATE(1053),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1054] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(13917),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1054),
    [sym_block_comment] = STATE(1054),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1055] = {
    [sym_inline_modifier] = STATE(2072),
    [sym__indentable_expression] = STATE(13183),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1055),
    [sym_block_comment] = STATE(1055),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1056] = {
    [sym_inline_modifier] = STATE(2120),
    [sym__indentable_expression] = STATE(13788),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1056),
    [sym_block_comment] = STATE(1056),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1057] = {
    [sym_inline_modifier] = STATE(2210),
    [sym__indentable_expression] = STATE(13788),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1057),
    [sym_block_comment] = STATE(1057),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1058] = {
    [sym_inline_modifier] = STATE(2210),
    [sym__indentable_expression] = STATE(13789),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1058),
    [sym_block_comment] = STATE(1058),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1059] = {
    [sym_inline_modifier] = STATE(2120),
    [sym__indentable_expression] = STATE(13785),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1059),
    [sym_block_comment] = STATE(1059),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1060] = {
    [sym_inline_modifier] = STATE(2337),
    [sym__indentable_expression] = STATE(13559),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1060),
    [sym_block_comment] = STATE(1060),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1061] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(14040),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1061),
    [sym_block_comment] = STATE(1061),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1062] = {
    [sym_inline_modifier] = STATE(2210),
    [sym__indentable_expression] = STATE(13791),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1062),
    [sym_block_comment] = STATE(1062),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1063] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16744),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(756),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1063),
    [sym_block_comment] = STATE(1063),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1064] = {
    [sym_inline_modifier] = STATE(2072),
    [sym__indentable_expression] = STATE(13162),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1064),
    [sym_block_comment] = STATE(1064),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1065] = {
    [sym_inline_modifier] = STATE(2205),
    [sym__indentable_expression] = STATE(13073),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1065),
    [sym_block_comment] = STATE(1065),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1066] = {
    [sym_inline_modifier] = STATE(2072),
    [sym__indentable_expression] = STATE(13190),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1066),
    [sym_block_comment] = STATE(1066),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1067] = {
    [sym_inline_modifier] = STATE(2337),
    [sym__indentable_expression] = STATE(13624),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1067),
    [sym_block_comment] = STATE(1067),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1068] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13971),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1068),
    [sym_block_comment] = STATE(1068),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1069] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(13878),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1069),
    [sym_block_comment] = STATE(1069),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1070] = {
    [sym_inline_modifier] = STATE(2337),
    [sym__indentable_expression] = STATE(13596),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1070),
    [sym_block_comment] = STATE(1070),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1071] = {
    [sym_inline_modifier] = STATE(2097),
    [sym__indentable_expression] = STATE(12990),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1071),
    [sym_block_comment] = STATE(1071),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1072] = {
    [sym_inline_modifier] = STATE(2337),
    [sym__indentable_expression] = STATE(13587),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1072),
    [sym_block_comment] = STATE(1072),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1073] = {
    [sym_inline_modifier] = STATE(2097),
    [sym__indentable_expression] = STATE(12954),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1073),
    [sym_block_comment] = STATE(1073),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1074] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13970),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1074),
    [sym_block_comment] = STATE(1074),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1075] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(13427),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1075),
    [sym_block_comment] = STATE(1075),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1076] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16673),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(796),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1076),
    [sym_block_comment] = STATE(1076),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1077] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(13173),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1077),
    [sym_block_comment] = STATE(1077),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1078] = {
    [sym_inline_modifier] = STATE(2306),
    [sym__indentable_expression] = STATE(13988),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1078),
    [sym_block_comment] = STATE(1078),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1079] = {
    [sym_inline_modifier] = STATE(2337),
    [sym__indentable_expression] = STATE(13585),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1079),
    [sym_block_comment] = STATE(1079),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1080] = {
    [sym_inline_modifier] = STATE(2306),
    [sym__indentable_expression] = STATE(13955),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1080),
    [sym_block_comment] = STATE(1080),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1081] = {
    [sym_inline_modifier] = STATE(2072),
    [sym__indentable_expression] = STATE(13151),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1081),
    [sym_block_comment] = STATE(1081),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1082] = {
    [sym_inline_modifier] = STATE(2066),
    [sym__indentable_expression] = STATE(11897),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1082),
    [sym_block_comment] = STATE(1082),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1083] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(12689),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1083),
    [sym_block_comment] = STATE(1083),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1084] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(12686),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1084),
    [sym_block_comment] = STATE(1084),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1085] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(13876),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1085),
    [sym_block_comment] = STATE(1085),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1086] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16593),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(745),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1086),
    [sym_block_comment] = STATE(1086),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1087] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13493),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1087),
    [sym_block_comment] = STATE(1087),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1088] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13567),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1088),
    [sym_block_comment] = STATE(1088),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1089] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(14375),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1089),
    [sym_block_comment] = STATE(1089),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1090] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13297),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1090),
    [sym_block_comment] = STATE(1090),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1091] = {
    [sym_inline_modifier] = STATE(2337),
    [sym__indentable_expression] = STATE(13490),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1091),
    [sym_block_comment] = STATE(1091),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1092] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13555),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1092),
    [sym_block_comment] = STATE(1092),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1093] = {
    [sym_inline_modifier] = STATE(2066),
    [sym__indentable_expression] = STATE(11911),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1093),
    [sym_block_comment] = STATE(1093),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1094] = {
    [sym_inline_modifier] = STATE(2337),
    [sym__indentable_expression] = STATE(13532),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1094),
    [sym_block_comment] = STATE(1094),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1095] = {
    [sym_inline_modifier] = STATE(2337),
    [sym__indentable_expression] = STATE(13531),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1095),
    [sym_block_comment] = STATE(1095),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1096] = {
    [sym_inline_modifier] = STATE(2306),
    [sym__indentable_expression] = STATE(13369),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1096),
    [sym_block_comment] = STATE(1096),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1097] = {
    [sym_inline_modifier] = STATE(2337),
    [sym__indentable_expression] = STATE(13513),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1097),
    [sym_block_comment] = STATE(1097),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1098] = {
    [sym_inline_modifier] = STATE(2056),
    [sym__indentable_expression] = STATE(12184),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1098),
    [sym_block_comment] = STATE(1098),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1099] = {
    [sym_inline_modifier] = STATE(2056),
    [sym__indentable_expression] = STATE(12193),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1099),
    [sym_block_comment] = STATE(1099),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1100] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16502),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(638),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1100),
    [sym_block_comment] = STATE(1100),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1101] = {
    [sym_inline_modifier] = STATE(2139),
    [sym__indentable_expression] = STATE(12882),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1101),
    [sym_block_comment] = STATE(1101),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1102] = {
    [sym_inline_modifier] = STATE(2056),
    [sym__indentable_expression] = STATE(12196),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1102),
    [sym_block_comment] = STATE(1102),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1103] = {
    [sym_inline_modifier] = STATE(2337),
    [sym__indentable_expression] = STATE(13321),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1103),
    [sym_block_comment] = STATE(1103),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1104] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(13802),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1104),
    [sym_block_comment] = STATE(1104),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1105] = {
    [sym_inline_modifier] = STATE(2056),
    [sym__indentable_expression] = STATE(12198),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1105),
    [sym_block_comment] = STATE(1105),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1106] = {
    [sym_inline_modifier] = STATE(2066),
    [sym__indentable_expression] = STATE(11820),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1106),
    [sym_block_comment] = STATE(1106),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1107] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13047),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1107),
    [sym_block_comment] = STATE(1107),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1108] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(13829),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1108),
    [sym_block_comment] = STATE(1108),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1109] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(13449),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1109),
    [sym_block_comment] = STATE(1109),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1110] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(13454),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1110),
    [sym_block_comment] = STATE(1110),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1111] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(13455),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1111),
    [sym_block_comment] = STATE(1111),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1112] = {
    [sym_inline_modifier] = STATE(2066),
    [sym__indentable_expression] = STATE(11808),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1112),
    [sym_block_comment] = STATE(1112),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1113] = {
    [sym_inline_modifier] = STATE(2056),
    [sym__indentable_expression] = STATE(12209),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1113),
    [sym_block_comment] = STATE(1113),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1114] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(13462),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1114),
    [sym_block_comment] = STATE(1114),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1115] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16423),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(659),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1115),
    [sym_block_comment] = STATE(1115),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1116] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(13561),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1116),
    [sym_block_comment] = STATE(1116),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1117] = {
    [sym_inline_modifier] = STATE(2066),
    [sym__indentable_expression] = STATE(12001),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1117),
    [sym_block_comment] = STATE(1117),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1118] = {
    [sym_inline_modifier] = STATE(2056),
    [sym__indentable_expression] = STATE(12281),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1118),
    [sym_block_comment] = STATE(1118),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1119] = {
    [sym_inline_modifier] = STATE(2337),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13319),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1119),
    [sym_block_comment] = STATE(1119),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_catch] = ACTIONS(1150),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1120] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13774),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1120),
    [sym_block_comment] = STATE(1120),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1121] = {
    [sym_inline_modifier] = STATE(2123),
    [sym__indentable_expression] = STATE(14356),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1121),
    [sym_block_comment] = STATE(1121),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1122] = {
    [sym_inline_modifier] = STATE(2056),
    [sym__indentable_expression] = STATE(12284),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1122),
    [sym_block_comment] = STATE(1122),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1123] = {
    [sym_inline_modifier] = STATE(2056),
    [sym__indentable_expression] = STATE(12287),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1123),
    [sym_block_comment] = STATE(1123),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1124] = {
    [sym_inline_modifier] = STATE(2123),
    [sym__indentable_expression] = STATE(14355),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1124),
    [sym_block_comment] = STATE(1124),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1125] = {
    [sym_inline_modifier] = STATE(2056),
    [sym__indentable_expression] = STATE(12288),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1125),
    [sym_block_comment] = STATE(1125),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1126] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13282),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1126),
    [sym_block_comment] = STATE(1126),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1127] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13125),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1127),
    [sym_block_comment] = STATE(1127),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1128] = {
    [sym_inline_modifier] = STATE(2331),
    [sym__indentable_expression] = STATE(12542),
    [sym_block] = STATE(9946),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(13903),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1128),
    [sym_block_comment] = STATE(1128),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1129] = {
    [sym_inline_modifier] = STATE(2331),
    [sym__indentable_expression] = STATE(12544),
    [sym_block] = STATE(9946),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(13903),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1129),
    [sym_block_comment] = STATE(1129),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1130] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13209),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1130),
    [sym_block_comment] = STATE(1130),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1131] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13219),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1131),
    [sym_block_comment] = STATE(1131),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1132] = {
    [sym_inline_modifier] = STATE(2331),
    [sym__indentable_expression] = STATE(12546),
    [sym_block] = STATE(9946),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(13903),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1132),
    [sym_block_comment] = STATE(1132),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1133] = {
    [sym_inline_modifier] = STATE(2331),
    [sym__indentable_expression] = STATE(12552),
    [sym_block] = STATE(9946),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(13903),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1133),
    [sym_block_comment] = STATE(1133),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1134] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16330),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(681),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1134),
    [sym_block_comment] = STATE(1134),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1135] = {
    [sym_inline_modifier] = STATE(2066),
    [sym__indentable_expression] = STATE(12064),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1135),
    [sym_block_comment] = STATE(1135),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1136] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(12792),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1136),
    [sym_block_comment] = STATE(1136),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1137] = {
    [sym_inline_modifier] = STATE(2286),
    [sym__indentable_expression] = STATE(13759),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1137),
    [sym_block_comment] = STATE(1137),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1138] = {
    [sym_inline_modifier] = STATE(2123),
    [sym__indentable_expression] = STATE(13455),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1138),
    [sym_block_comment] = STATE(1138),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1139] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(13992),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1139),
    [sym_block_comment] = STATE(1139),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1140] = {
    [sym_inline_modifier] = STATE(2066),
    [sym__indentable_expression] = STATE(12096),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1140),
    [sym_block_comment] = STATE(1140),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1141] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16245),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(702),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1141),
    [sym_block_comment] = STATE(1141),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1142] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12790),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1142),
    [sym_block_comment] = STATE(1142),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1143] = {
    [sym_inline_modifier] = STATE(2331),
    [sym__indentable_expression] = STATE(12572),
    [sym_block] = STATE(9946),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(13903),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1143),
    [sym_block_comment] = STATE(1143),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1144] = {
    [sym_inline_modifier] = STATE(2279),
    [sym__indentable_expression] = STATE(13879),
    [sym_block] = STATE(9651),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1144),
    [sym_block_comment] = STATE(1144),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1145] = {
    [sym_inline_modifier] = STATE(2066),
    [sym__indentable_expression] = STATE(12117),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1145),
    [sym_block_comment] = STATE(1145),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1146] = {
    [sym_inline_modifier] = STATE(2279),
    [sym__indentable_expression] = STATE(13950),
    [sym_block] = STATE(9651),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1146),
    [sym_block_comment] = STATE(1146),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1147] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16176),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(804),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1147),
    [sym_block_comment] = STATE(1147),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1148] = {
    [sym_inline_modifier] = STATE(2331),
    [sym__indentable_expression] = STATE(12627),
    [sym_block] = STATE(9946),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(13903),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1148),
    [sym_block_comment] = STATE(1148),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1149] = {
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(13510),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1149),
    [sym_block_comment] = STATE(1149),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1150] = {
    [sym_inline_modifier] = STATE(2056),
    [sym__indentable_expression] = STATE(12358),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1150),
    [sym_block_comment] = STATE(1150),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1151] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13035),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1151),
    [sym_block_comment] = STATE(1151),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1152] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13042),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1152),
    [sym_block_comment] = STATE(1152),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1153] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(14304),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1153),
    [sym_block_comment] = STATE(1153),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1154] = {
    [sym_inline_modifier] = STATE(2331),
    [sym__indentable_expression] = STATE(12639),
    [sym_block] = STATE(9946),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(13903),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1154),
    [sym_block_comment] = STATE(1154),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1155] = {
    [sym_inline_modifier] = STATE(2097),
    [sym__indentable_expression] = STATE(12917),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1155),
    [sym_block_comment] = STATE(1155),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1156] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12650),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1156),
    [sym_block_comment] = STATE(1156),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1157] = {
    [sym_inline_modifier] = STATE(2331),
    [sym__indentable_expression] = STATE(12495),
    [sym_block] = STATE(9946),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(13903),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1157),
    [sym_block_comment] = STATE(1157),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1158] = {
    [sym_inline_modifier] = STATE(2331),
    [sym__indentable_expression] = STATE(12571),
    [sym_block] = STATE(9946),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(13903),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1158),
    [sym_block_comment] = STATE(1158),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1159] = {
    [sym_inline_modifier] = STATE(2090),
    [sym__indentable_expression] = STATE(14303),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1159),
    [sym_block_comment] = STATE(1159),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1160] = {
    [sym_inline_modifier] = STATE(2066),
    [sym__indentable_expression] = STATE(12137),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1160),
    [sym_block_comment] = STATE(1160),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1161] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16185),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(765),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1161),
    [sym_block_comment] = STATE(1161),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1162] = {
    [sym_inline_modifier] = STATE(2205),
    [sym__indentable_expression] = STATE(13254),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1162),
    [sym_block_comment] = STATE(1162),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1163] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13754),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1163),
    [sym_block_comment] = STATE(1163),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1164] = {
    [sym_inline_modifier] = STATE(2331),
    [sym__indentable_expression] = STATE(12355),
    [sym_block] = STATE(9946),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(13903),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1164),
    [sym_block_comment] = STATE(1164),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1165] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(13418),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1165),
    [sym_block_comment] = STATE(1165),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1166] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(13414),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1166),
    [sym_block_comment] = STATE(1166),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1167] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(11556),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1167),
    [sym_block_comment] = STATE(1167),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1168] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(12651),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1168),
    [sym_block_comment] = STATE(1168),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1169] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13046),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1169),
    [sym_block_comment] = STATE(1169),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1170] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13078),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1170),
    [sym_block_comment] = STATE(1170),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1171] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(11585),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1171),
    [sym_block_comment] = STATE(1171),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1172] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(11555),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1172),
    [sym_block_comment] = STATE(1172),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1173] = {
    [sym_inline_modifier] = STATE(2097),
    [sym__indentable_expression] = STATE(12716),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1173),
    [sym_block_comment] = STATE(1173),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1174] = {
    [sym_inline_modifier] = STATE(2331),
    [sym__indentable_expression] = STATE(14034),
    [sym_block] = STATE(9946),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(13903),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1174),
    [sym_block_comment] = STATE(1174),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1175] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(14362),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1175),
    [sym_block_comment] = STATE(1175),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1176] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16256),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(714),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1176),
    [sym_block_comment] = STATE(1176),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1177] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(12920),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1177),
    [sym_block_comment] = STATE(1177),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1178] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(11554),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1178),
    [sym_block_comment] = STATE(1178),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1179] = {
    [sym_inline_modifier] = STATE(2299),
    [sym__indentable_expression] = STATE(13694),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1179),
    [sym_block_comment] = STATE(1179),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1180] = {
    [sym_inline_modifier] = STATE(2299),
    [sym__indentable_expression] = STATE(13695),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1180),
    [sym_block_comment] = STATE(1180),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1181] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(11550),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1181),
    [sym_block_comment] = STATE(1181),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1182] = {
    [sym_inline_modifier] = STATE(2097),
    [sym__indentable_expression] = STATE(12689),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1182),
    [sym_block_comment] = STATE(1182),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1183] = {
    [sym_inline_modifier] = STATE(2097),
    [sym__indentable_expression] = STATE(12686),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1183),
    [sym_block_comment] = STATE(1183),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1184] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(13855),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1184),
    [sym_block_comment] = STATE(1184),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1185] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16331),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(653),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1185),
    [sym_block_comment] = STATE(1185),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1186] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12662),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1186),
    [sym_block_comment] = STATE(1186),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1187] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13334),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1187),
    [sym_block_comment] = STATE(1187),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1188] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(13873),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1188),
    [sym_block_comment] = STATE(1188),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1189] = {
    [sym_inline_modifier] = STATE(2306),
    [sym__indentable_expression] = STATE(13332),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1189),
    [sym_block_comment] = STATE(1189),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1190] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(11486),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1190),
    [sym_block_comment] = STATE(1190),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1191] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12667),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1191),
    [sym_block_comment] = STATE(1191),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1192] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12668),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1192),
    [sym_block_comment] = STATE(1192),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1193] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(13873),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1193),
    [sym_block_comment] = STATE(1193),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1194] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(12781),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1194),
    [sym_block_comment] = STATE(1194),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1195] = {
    [sym_inline_modifier] = STATE(2306),
    [sym__indentable_expression] = STATE(13337),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1195),
    [sym_block_comment] = STATE(1195),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1196] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(13659),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(1196),
    [sym_block_comment] = STATE(1196),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [1197] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(13330),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1197),
    [sym_block_comment] = STATE(1197),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1198] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(13876),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1198),
    [sym_block_comment] = STATE(1198),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1199] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(13878),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1199),
    [sym_block_comment] = STATE(1199),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1200] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(13520),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1200),
    [sym_block_comment] = STATE(1200),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1201] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(10804),
    [sym_expression] = STATE(15484),
    [sym__simple_expression] = STATE(8820),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(10804),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(10804),
    [sym_call_expression] = STATE(10804),
    [sym_field_expression] = STATE(10804),
    [sym_instance_expression] = STATE(10804),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16404),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11066),
    [sym_tuple_expression] = STATE(10804),
    [sym_parenthesized_expression] = STATE(10804),
    [sym_splice_expression] = STATE(10804),
    [sym_quote_expression] = STATE(10804),
    [sym_identifier] = STATE(9188),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10458),
    [sym__non_null_literal] = STATE(10804),
    [sym_boolean_literal] = STATE(10679),
    [sym_interpolated_string_expression] = STATE(10804),
    [sym_string] = STATE(10679),
    [sym_unit] = STATE(10804),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1201),
    [sym_block_comment] = STATE(1201),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_COLON] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_DOLLAR] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(3310),
    [sym_floating_point_literal] = ACTIONS(3312),
    [anon_sym_true] = ACTIONS(3314),
    [anon_sym_false] = ACTIONS(3314),
    [sym_character_literal] = ACTIONS(3312),
    [sym_null_literal] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(3318),
    [sym__simple_string] = ACTIONS(3318),
  },
  [1202] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(12769),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1202),
    [sym_block_comment] = STATE(1202),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1203] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16431),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(649),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1203),
    [sym_block_comment] = STATE(1203),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1204] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(12657),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1204),
    [sym_block_comment] = STATE(1204),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1205] = {
    [sym_inline_modifier] = STATE(2306),
    [sym__indentable_expression] = STATE(13343),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1205),
    [sym_block_comment] = STATE(1205),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1206] = {
    [sym_inline_modifier] = STATE(2337),
    [sym__indentable_expression] = STATE(13900),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1206),
    [sym_block_comment] = STATE(1206),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1207] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(14196),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1207),
    [sym_block_comment] = STATE(1207),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1208] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(11523),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1208),
    [sym_block_comment] = STATE(1208),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1209] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(12754),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1209),
    [sym_block_comment] = STATE(1209),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1210] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(11519),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1210),
    [sym_block_comment] = STATE(1210),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1211] = {
    [sym_inline_modifier] = STATE(2216),
    [sym__indentable_expression] = STATE(13720),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1211),
    [sym_block_comment] = STATE(1211),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1212] = {
    [sym_inline_modifier] = STATE(2216),
    [sym__indentable_expression] = STATE(13770),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1212),
    [sym_block_comment] = STATE(1212),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1213] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(13650),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(1213),
    [sym_block_comment] = STATE(1213),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [1214] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(13913),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1214),
    [sym_block_comment] = STATE(1214),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1215] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(11508),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1215),
    [sym_block_comment] = STATE(1215),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1216] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(13649),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(1216),
    [sym_block_comment] = STATE(1216),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [1217] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(11506),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1217),
    [sym_block_comment] = STATE(1217),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1218] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16522),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(741),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1218),
    [sym_block_comment] = STATE(1218),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1219] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(14033),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1219),
    [sym_block_comment] = STATE(1219),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1220] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(13702),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(1220),
    [sym_block_comment] = STATE(1220),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [1221] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(13269),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1221),
    [sym_block_comment] = STATE(1221),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1222] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(11486),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1222),
    [sym_block_comment] = STATE(1222),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1223] = {
    [sym_inline_modifier] = STATE(2097),
    [sym__indentable_expression] = STATE(12651),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1223),
    [sym_block_comment] = STATE(1223),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1224] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13978),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1224),
    [sym_block_comment] = STATE(1224),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1225] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(13969),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1225),
    [sym_block_comment] = STATE(1225),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1226] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13973),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1226),
    [sym_block_comment] = STATE(1226),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1227] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(11506),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1227),
    [sym_block_comment] = STATE(1227),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1228] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(12552),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1228),
    [sym_block_comment] = STATE(1228),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1229] = {
    [sym_inline_modifier] = STATE(2110),
    [sym__indentable_expression] = STATE(13969),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1229),
    [sym_block_comment] = STATE(1229),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1230] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(13990),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1230),
    [sym_block_comment] = STATE(1230),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1231] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(13992),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1231),
    [sym_block_comment] = STATE(1231),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1232] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16608),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(701),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1232),
    [sym_block_comment] = STATE(1232),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1233] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(14359),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1233),
    [sym_block_comment] = STATE(1233),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1234] = {
    [sym_inline_modifier] = STATE(2296),
    [sym__indentable_expression] = STATE(12693),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1234),
    [sym_block_comment] = STATE(1234),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1235] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(13642),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(1235),
    [sym_block_comment] = STATE(1235),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [1236] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(13670),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(1236),
    [sym_block_comment] = STATE(1236),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [1237] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13858),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1237),
    [sym_block_comment] = STATE(1237),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1238] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13866),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1238),
    [sym_block_comment] = STATE(1238),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1239] = {
    [sym_inline_modifier] = STATE(2306),
    [sym__indentable_expression] = STATE(13371),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1239),
    [sym_block_comment] = STATE(1239),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1240] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(11508),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1240),
    [sym_block_comment] = STATE(1240),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1241] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(13985),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1241),
    [sym_block_comment] = STATE(1241),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1242] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(11519),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1242),
    [sym_block_comment] = STATE(1242),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1243] = {
    [sym_inline_modifier] = STATE(2046),
    [sym__indentable_expression] = STATE(12542),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1243),
    [sym_block_comment] = STATE(1243),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1244] = {
    [sym_inline_modifier] = STATE(2046),
    [sym__indentable_expression] = STATE(12544),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1244),
    [sym_block_comment] = STATE(1244),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1245] = {
    [sym_inline_modifier] = STATE(2046),
    [sym__indentable_expression] = STATE(12546),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1245),
    [sym_block_comment] = STATE(1245),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1246] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16678),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(683),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1246),
    [sym_block_comment] = STATE(1246),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1247] = {
    [sym_inline_modifier] = STATE(2097),
    [sym__indentable_expression] = STATE(12657),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1247),
    [sym_block_comment] = STATE(1247),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1248] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(13440),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1248),
    [sym_block_comment] = STATE(1248),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1249] = {
    [sym_inline_modifier] = STATE(2139),
    [sym__indentable_expression] = STATE(12796),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1249),
    [sym_block_comment] = STATE(1249),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1250] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13960),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1250),
    [sym_block_comment] = STATE(1250),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1251] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(11523),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1251),
    [sym_block_comment] = STATE(1251),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1252] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13959),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1252),
    [sym_block_comment] = STATE(1252),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1253] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(13713),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(1253),
    [sym_block_comment] = STATE(1253),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [1254] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(13718),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(1254),
    [sym_block_comment] = STATE(1254),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [1255] = {
    [sym_inline_modifier] = STATE(2046),
    [sym__indentable_expression] = STATE(12552),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1255),
    [sym_block_comment] = STATE(1255),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1256] = {
    [sym_inline_modifier] = STATE(2046),
    [sym__indentable_expression] = STATE(12572),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1256),
    [sym_block_comment] = STATE(1256),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1257] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17861),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(712),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1257),
    [sym_block_comment] = STATE(1257),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1258] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(14305),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1258),
    [sym_block_comment] = STATE(1258),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1259] = {
    [sym_inline_modifier] = STATE(2046),
    [sym__indentable_expression] = STATE(12627),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1259),
    [sym_block_comment] = STATE(1259),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1260] = {
    [sym_inline_modifier] = STATE(2123),
    [sym__indentable_expression] = STATE(13462),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1260),
    [sym_block_comment] = STATE(1260),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1261] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16764),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(735),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1261),
    [sym_block_comment] = STATE(1261),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1262] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(13548),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1262),
    [sym_block_comment] = STATE(1262),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1263] = {
    [sym_inline_modifier] = STATE(2192),
    [sym__indentable_expression] = STATE(14059),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1263),
    [sym_block_comment] = STATE(1263),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1264] = {
    [sym_inline_modifier] = STATE(2192),
    [sym__indentable_expression] = STATE(14060),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1264),
    [sym_block_comment] = STATE(1264),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1265] = {
    [sym_inline_modifier] = STATE(2046),
    [sym__indentable_expression] = STATE(12639),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1265),
    [sym_block_comment] = STATE(1265),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1266] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(11550),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1266),
    [sym_block_comment] = STATE(1266),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1267] = {
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(13559),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1267),
    [sym_block_comment] = STATE(1267),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1268] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16820),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(636),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1268),
    [sym_block_comment] = STATE(1268),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1269] = {
    [sym_inline_modifier] = STATE(2079),
    [sym__indentable_expression] = STATE(13921),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1269),
    [sym_block_comment] = STATE(1269),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1270] = {
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(13624),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1270),
    [sym_block_comment] = STATE(1270),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1271] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13933),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1271),
    [sym_block_comment] = STATE(1271),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1272] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(12651),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1272),
    [sym_block_comment] = STATE(1272),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1273] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12702),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1273),
    [sym_block_comment] = STATE(1273),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1274] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(13719),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(1274),
    [sym_block_comment] = STATE(1274),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [1275] = {
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(13596),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1275),
    [sym_block_comment] = STATE(1275),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1276] = {
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(13587),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1276),
    [sym_block_comment] = STATE(1276),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1277] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(12686),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1277),
    [sym_block_comment] = STATE(1277),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1278] = {
    [sym_inline_modifier] = STATE(2123),
    [sym__indentable_expression] = STATE(13454),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1278),
    [sym_block_comment] = STATE(1278),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1279] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(12689),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1279),
    [sym_block_comment] = STATE(1279),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1280] = {
    [sym_inline_modifier] = STATE(2259),
    [sym__indentable_expression] = STATE(13723),
    [sym_block] = STATE(8768),
    [sym_indented_block] = STATE(13676),
    [sym_indented_cases] = STATE(13676),
    [sym_expression] = STATE(13451),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(1280),
    [sym_block_comment] = STATE(1280),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2188),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [1281] = {
    [sym_inline_modifier] = STATE(2055),
    [sym__indentable_expression] = STATE(13812),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1281),
    [sym_block_comment] = STATE(1281),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1282] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13930),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1282),
    [sym_block_comment] = STATE(1282),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1283] = {
    [sym_inline_modifier] = STATE(2046),
    [sym__indentable_expression] = STATE(12495),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1283),
    [sym_block_comment] = STATE(1283),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1284] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16854),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(795),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1284),
    [sym_block_comment] = STATE(1284),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1285] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(12766),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1285),
    [sym_block_comment] = STATE(1285),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1286] = {
    [sym_inline_modifier] = STATE(2046),
    [sym__indentable_expression] = STATE(13832),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1286),
    [sym_block_comment] = STATE(1286),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1287] = {
    [sym_inline_modifier] = STATE(2123),
    [sym__indentable_expression] = STATE(13449),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1287),
    [sym_block_comment] = STATE(1287),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1288] = {
    [sym_inline_modifier] = STATE(2046),
    [sym__indentable_expression] = STATE(13632),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1288),
    [sym_block_comment] = STATE(1288),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1289] = {
    [sym_inline_modifier] = STATE(2046),
    [sym__indentable_expression] = STATE(12571),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1289),
    [sym_block_comment] = STATE(1289),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1290] = {
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(13585),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1290),
    [sym_block_comment] = STATE(1290),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1291] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16922),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(667),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1291),
    [sym_block_comment] = STATE(1291),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1292] = {
    [sym_inline_modifier] = STATE(2205),
    [sym__indentable_expression] = STATE(13311),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1292),
    [sym_block_comment] = STATE(1292),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1293] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(13228),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1293),
    [sym_block_comment] = STATE(1293),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1294] = {
    [sym_inline_modifier] = STATE(2331),
    [sym__indentable_expression] = STATE(14159),
    [sym_block] = STATE(9946),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(13903),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1294),
    [sym_block_comment] = STATE(1294),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1295] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(13215),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1295),
    [sym_block_comment] = STATE(1295),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1296] = {
    [sym_inline_modifier] = STATE(2046),
    [sym__indentable_expression] = STATE(12355),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1296),
    [sym_block_comment] = STATE(1296),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1297] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(12716),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1297),
    [sym_block_comment] = STATE(1297),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1298] = {
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(13490),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1298),
    [sym_block_comment] = STATE(1298),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1299] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(12716),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1299),
    [sym_block_comment] = STATE(1299),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1300] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(14359),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1300),
    [sym_block_comment] = STATE(1300),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1301] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(14375),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1301),
    [sym_block_comment] = STATE(1301),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1302] = {
    [sym_inline_modifier] = STATE(2133),
    [sym__indentable_expression] = STATE(12657),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1302),
    [sym_block_comment] = STATE(1302),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1303] = {
    [sym_inline_modifier] = STATE(2123),
    [sym__indentable_expression] = STATE(13427),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1303),
    [sym_block_comment] = STATE(1303),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1304] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(13985),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1304),
    [sym_block_comment] = STATE(1304),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1305] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16989),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(791),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1305),
    [sym_block_comment] = STATE(1305),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1306] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(13314),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1306),
    [sym_block_comment] = STATE(1306),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1307] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(12743),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1307),
    [sym_block_comment] = STATE(1307),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1308] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(13926),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1308),
    [sym_block_comment] = STATE(1308),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1309] = {
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(13532),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1309),
    [sym_block_comment] = STATE(1309),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1310] = {
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(13531),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1310),
    [sym_block_comment] = STATE(1310),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1311] = {
    [sym_inline_modifier] = STATE(2123),
    [sym__indentable_expression] = STATE(13371),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1311),
    [sym_block_comment] = STATE(1311),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1312] = {
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(13513),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1312),
    [sym_block_comment] = STATE(1312),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1313] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(13922),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1313),
    [sym_block_comment] = STATE(1313),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1314] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17047),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(781),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1314),
    [sym_block_comment] = STATE(1314),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1315] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(13118),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1315),
    [sym_block_comment] = STATE(1315),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1316] = {
    [sym_inline_modifier] = STATE(2279),
    [sym__indentable_expression] = STATE(12062),
    [sym_block] = STATE(9651),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1316),
    [sym_block_comment] = STATE(1316),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1317] = {
    [sym_inline_modifier] = STATE(2123),
    [sym__indentable_expression] = STATE(13343),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1317),
    [sym_block_comment] = STATE(1317),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1318] = {
    [sym_inline_modifier] = STATE(2072),
    [sym__indentable_expression] = STATE(14082),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1318),
    [sym_block_comment] = STATE(1318),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1319] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(12702),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1319),
    [sym_block_comment] = STATE(1319),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1320] = {
    [sym_inline_modifier] = STATE(2313),
    [sym__indentable_expression] = STATE(13321),
    [sym_block] = STATE(8426),
    [sym_indented_block] = STATE(13481),
    [sym_indented_cases] = STATE(13481),
    [sym_expression] = STATE(13202),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1320),
    [sym_block_comment] = STATE(1320),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2222),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1321] = {
    [sym_inline_modifier] = STATE(2279),
    [sym__indentable_expression] = STATE(11897),
    [sym_block] = STATE(9651),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1321),
    [sym_block_comment] = STATE(1321),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1322] = {
    [sym_inline_modifier] = STATE(2072),
    [sym__indentable_expression] = STATE(14083),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1322),
    [sym_block_comment] = STATE(1322),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1323] = {
    [sym_inline_modifier] = STATE(2123),
    [sym__indentable_expression] = STATE(13337),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1323),
    [sym_block_comment] = STATE(1323),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1324] = {
    [sym_inline_modifier] = STATE(2123),
    [sym__indentable_expression] = STATE(13332),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1324),
    [sym_block_comment] = STATE(1324),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1325] = {
    [sym_inline_modifier] = STATE(2279),
    [sym__indentable_expression] = STATE(11911),
    [sym_block] = STATE(9651),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1325),
    [sym_block_comment] = STATE(1325),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1326] = {
    [sym_inline_modifier] = STATE(2279),
    [sym__indentable_expression] = STATE(11820),
    [sym_block] = STATE(9651),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1326),
    [sym_block_comment] = STATE(1326),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1327] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(11550),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1327),
    [sym_block_comment] = STATE(1327),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1328] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13752),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1328),
    [sym_block_comment] = STATE(1328),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1329] = {
    [sym_inline_modifier] = STATE(2123),
    [sym__indentable_expression] = STATE(13369),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1329),
    [sym_block_comment] = STATE(1329),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1330] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17073),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(758),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1330),
    [sym_block_comment] = STATE(1330),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1331] = {
    [sym_inline_modifier] = STATE(2296),
    [sym__indentable_expression] = STATE(12907),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1331),
    [sym_block_comment] = STATE(1331),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1332] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13435),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1332),
    [sym_block_comment] = STATE(1332),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1333] = {
    [sym_inline_modifier] = STATE(2123),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(13237),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1333),
    [sym_block_comment] = STATE(1333),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1334] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(13508),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1334),
    [sym_block_comment] = STATE(1334),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1335] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13754),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1335),
    [sym_block_comment] = STATE(1335),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1336] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(12668),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1336),
    [sym_block_comment] = STATE(1336),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1337] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17123),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(732),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1337),
    [sym_block_comment] = STATE(1337),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1338] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13756),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1338),
    [sym_block_comment] = STATE(1338),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1339] = {
    [sym_inline_modifier] = STATE(2279),
    [sym__indentable_expression] = STATE(11808),
    [sym_block] = STATE(9651),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1339),
    [sym_block_comment] = STATE(1339),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1340] = {
    [sym_inline_modifier] = STATE(2279),
    [sym__indentable_expression] = STATE(12001),
    [sym_block] = STATE(9651),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1340),
    [sym_block_comment] = STATE(1340),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1341] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13757),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1341),
    [sym_block_comment] = STATE(1341),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1342] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(12176),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1342),
    [sym_block_comment] = STATE(1342),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1343] = {
    [sym_inline_modifier] = STATE(2080),
    [sym__indentable_expression] = STATE(13675),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(1343),
    [sym_block_comment] = STATE(1343),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [1344] = {
    [sym_inline_modifier] = STATE(2306),
    [sym__indentable_expression] = STATE(13427),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1344),
    [sym_block_comment] = STATE(1344),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1345] = {
    [sym_inline_modifier] = STATE(2279),
    [sym__indentable_expression] = STATE(12064),
    [sym_block] = STATE(9651),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1345),
    [sym_block_comment] = STATE(1345),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1346] = {
    [sym_inline_modifier] = STATE(2080),
    [sym__indentable_expression] = STATE(13639),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(1346),
    [sym_block_comment] = STATE(1346),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [1347] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(12076),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1347),
    [sym_block_comment] = STATE(1347),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1348] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13774),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1348),
    [sym_block_comment] = STATE(1348),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1349] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13814),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1349),
    [sym_block_comment] = STATE(1349),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1350] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(11973),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1350),
    [sym_block_comment] = STATE(1350),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1351] = {
    [sym_inline_modifier] = STATE(2120),
    [sym__indentable_expression] = STATE(13779),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1351),
    [sym_block_comment] = STATE(1351),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1352] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(11795),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1352),
    [sym_block_comment] = STATE(1352),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1353] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(11831),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1353),
    [sym_block_comment] = STATE(1353),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1354] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(11556),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1354),
    [sym_block_comment] = STATE(1354),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1355] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17165),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(710),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1355),
    [sym_block_comment] = STATE(1355),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1356] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(12946),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1356),
    [sym_block_comment] = STATE(1356),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1357] = {
    [sym_inline_modifier] = STATE(2279),
    [sym__indentable_expression] = STATE(13991),
    [sym_block] = STATE(9651),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1357),
    [sym_block_comment] = STATE(1357),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1358] = {
    [sym_inline_modifier] = STATE(2279),
    [sym__indentable_expression] = STATE(13845),
    [sym_block] = STATE(9651),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1358),
    [sym_block_comment] = STATE(1358),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1359] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13633),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1359),
    [sym_block_comment] = STATE(1359),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1360] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13822),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1360),
    [sym_block_comment] = STATE(1360),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1361] = {
    [sym_inline_modifier] = STATE(2279),
    [sym__indentable_expression] = STATE(12096),
    [sym_block] = STATE(9651),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1361),
    [sym_block_comment] = STATE(1361),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1362] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17204),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(687),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1362),
    [sym_block_comment] = STATE(1362),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1363] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12943),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1363),
    [sym_block_comment] = STATE(1363),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1364] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(11585),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1364),
    [sym_block_comment] = STATE(1364),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1365] = {
    [sym_inline_modifier] = STATE(2279),
    [sym__indentable_expression] = STATE(12117),
    [sym_block] = STATE(9651),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1365),
    [sym_block_comment] = STATE(1365),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1366] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(12689),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1366),
    [sym_block_comment] = STATE(1366),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1367] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13447),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1367),
    [sym_block_comment] = STATE(1367),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1368] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13445),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1368),
    [sym_block_comment] = STATE(1368),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1369] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13825),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1369),
    [sym_block_comment] = STATE(1369),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1370] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(12100),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1370),
    [sym_block_comment] = STATE(1370),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1371] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17233),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(664),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1371),
    [sym_block_comment] = STATE(1371),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1372] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(13855),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1372),
    [sym_block_comment] = STATE(1372),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1373] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(13516),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1373),
    [sym_block_comment] = STATE(1373),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1374] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(11555),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1374),
    [sym_block_comment] = STATE(1374),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1375] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12743),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1375),
    [sym_block_comment] = STATE(1375),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1376] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(14362),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1376),
    [sym_block_comment] = STATE(1376),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1377] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(13268),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1377),
    [sym_block_comment] = STATE(1377),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1378] = {
    [sym_inline_modifier] = STATE(2120),
    [sym__indentable_expression] = STATE(13766),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1378),
    [sym_block_comment] = STATE(1378),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1379] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(13267),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1379),
    [sym_block_comment] = STATE(1379),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1380] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(12686),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1380),
    [sym_block_comment] = STATE(1380),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1381] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(11554),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1381),
    [sym_block_comment] = STATE(1381),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1382] = {
    [sym_inline_modifier] = STATE(2279),
    [sym__indentable_expression] = STATE(12137),
    [sym_block] = STATE(9651),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(13797),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1382),
    [sym_block_comment] = STATE(1382),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1383] = {
    [sym_inline_modifier] = STATE(2120),
    [sym__indentable_expression] = STATE(13760),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1383),
    [sym_block_comment] = STATE(1383),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1384] = {
    [sym_inline_modifier] = STATE(2120),
    [sym__indentable_expression] = STATE(13758),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1384),
    [sym_block_comment] = STATE(1384),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1385] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17277),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(650),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1385),
    [sym_block_comment] = STATE(1385),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1386] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(11554),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1386),
    [sym_block_comment] = STATE(1386),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1387] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(12955),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1387),
    [sym_block_comment] = STATE(1387),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1388] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(12917),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1388),
    [sym_block_comment] = STATE(1388),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1389] = {
    [sym_inline_modifier] = STATE(2120),
    [sym__indentable_expression] = STATE(13755),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1389),
    [sym_block_comment] = STATE(1389),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1390] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(11974),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1390),
    [sym_block_comment] = STATE(1390),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1391] = {
    [sym_inline_modifier] = STATE(2286),
    [sym__indentable_expression] = STATE(13740),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1391),
    [sym_block_comment] = STATE(1391),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1392] = {
    [sym_inline_modifier] = STATE(2286),
    [sym__indentable_expression] = STATE(13745),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1392),
    [sym_block_comment] = STATE(1392),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1393] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(11873),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1393),
    [sym_block_comment] = STATE(1393),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1394] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(12154),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1394),
    [sym_block_comment] = STATE(1394),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1395] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(11785),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1395),
    [sym_block_comment] = STATE(1395),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1396] = {
    [sym_inline_modifier] = STATE(2205),
    [sym__indentable_expression] = STATE(13475),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1396),
    [sym_block_comment] = STATE(1396),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1397] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(11555),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1397),
    [sym_block_comment] = STATE(1397),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1398] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17299),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(644),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1398),
    [sym_block_comment] = STATE(1398),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1399] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(12511),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1399),
    [sym_block_comment] = STATE(1399),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1400] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(11585),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1400),
    [sym_block_comment] = STATE(1400),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1401] = {
    [sym_inline_modifier] = STATE(2299),
    [sym__indentable_expression] = STATE(13710),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1401),
    [sym_block_comment] = STATE(1401),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1402] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12754),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1402),
    [sym_block_comment] = STATE(1402),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1403] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12769),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1403),
    [sym_block_comment] = STATE(1403),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1404] = {
    [sym_inline_modifier] = STATE(2299),
    [sym__indentable_expression] = STATE(13711),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1404),
    [sym_block_comment] = STATE(1404),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1405] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(11797),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1405),
    [sym_block_comment] = STATE(1405),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1406] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(11523),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1406),
    [sym_block_comment] = STATE(1406),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1407] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12781),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1407),
    [sym_block_comment] = STATE(1407),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1408] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17341),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(723),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1408),
    [sym_block_comment] = STATE(1408),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1409] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(12527),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1409),
    [sym_block_comment] = STATE(1409),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1410] = {
    [sym_inline_modifier] = STATE(2216),
    [sym__indentable_expression] = STATE(13643),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1410),
    [sym_block_comment] = STATE(1410),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1411] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(11519),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1411),
    [sym_block_comment] = STATE(1411),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1412] = {
    [sym_inline_modifier] = STATE(2216),
    [sym__indentable_expression] = STATE(13703),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1412),
    [sym_block_comment] = STATE(1412),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1413] = {
    [sym_inline_modifier] = STATE(2053),
    [sym__indentable_expression] = STATE(11556),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1413),
    [sym_block_comment] = STATE(1413),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1414] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(11508),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1414),
    [sym_block_comment] = STATE(1414),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1415] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13812),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1415),
    [sym_block_comment] = STATE(1415),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1416] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17398),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(639),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1416),
    [sym_block_comment] = STATE(1416),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1417] = {
    [sym_inline_modifier] = STATE(2139),
    [sym__indentable_expression] = STATE(12718),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1417),
    [sym_block_comment] = STATE(1417),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1418] = {
    [sym_inline_modifier] = STATE(2192),
    [sym__indentable_expression] = STATE(14072),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1418),
    [sym_block_comment] = STATE(1418),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1419] = {
    [sym_inline_modifier] = STATE(2192),
    [sym__indentable_expression] = STATE(14065),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1419),
    [sym_block_comment] = STATE(1419),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1420] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(13982),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1420),
    [sym_block_comment] = STATE(1420),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1421] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(13588),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1421),
    [sym_block_comment] = STATE(1421),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1422] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(11506),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1422),
    [sym_block_comment] = STATE(1422),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1423] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17447),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(647),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1423),
    [sym_block_comment] = STATE(1423),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1424] = {
    [sym_inline_modifier] = STATE(2110),
    [sym__indentable_expression] = STATE(13855),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1424),
    [sym_block_comment] = STATE(1424),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1425] = {
    [sym_inline_modifier] = STATE(2202),
    [sym__indentable_expression] = STATE(13518),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1425),
    [sym_block_comment] = STATE(1425),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1426] = {
    [sym_inline_modifier] = STATE(2272),
    [sym__indentable_expression] = STATE(13989),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1426),
    [sym_block_comment] = STATE(1426),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1427] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13957),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1427),
    [sym_block_comment] = STATE(1427),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1428] = {
    [sym_inline_modifier] = STATE(2183),
    [sym__indentable_expression] = STATE(13954),
    [sym_block] = STATE(9273),
    [sym_indented_block] = STATE(13693),
    [sym_indented_cases] = STATE(13693),
    [sym_expression] = STATE(13441),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1428),
    [sym_block_comment] = STATE(1428),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3280),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1429] = {
    [sym_inline_modifier] = STATE(2272),
    [sym__indentable_expression] = STATE(13968),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1429),
    [sym_block_comment] = STATE(1429),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1430] = {
    [sym_inline_modifier] = STATE(2272),
    [sym__indentable_expression] = STATE(13965),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1430),
    [sym_block_comment] = STATE(1430),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1431] = {
    [sym_inline_modifier] = STATE(2272),
    [sym__indentable_expression] = STATE(13964),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1431),
    [sym_block_comment] = STATE(1431),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1432] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17488),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(663),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1432),
    [sym_block_comment] = STATE(1432),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1433] = {
    [sym_inline_modifier] = STATE(2246),
    [sym__indentable_expression] = STATE(12676),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1433),
    [sym_block_comment] = STATE(1433),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1434] = {
    [sym_inline_modifier] = STATE(2046),
    [sym__indentable_expression] = STATE(13826),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1434),
    [sym_block_comment] = STATE(1434),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1435] = {
    [sym_inline_modifier] = STATE(2046),
    [sym__indentable_expression] = STATE(13831),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1435),
    [sym_block_comment] = STATE(1435),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1436] = {
    [sym_inline_modifier] = STATE(2155),
    [sym__indentable_expression] = STATE(11486),
    [sym_block] = STATE(9085),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(13519),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1436),
    [sym_block_comment] = STATE(1436),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1437] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17517),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(689),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1437),
    [sym_block_comment] = STATE(1437),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1438] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(12849),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1438),
    [sym_block_comment] = STATE(1438),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1439] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(13277),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1439),
    [sym_block_comment] = STATE(1439),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1440] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(13261),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1440),
    [sym_block_comment] = STATE(1440),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1441] = {
    [sym_inline_modifier] = STATE(2192),
    [sym__indentable_expression] = STATE(13044),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1441),
    [sym_block_comment] = STATE(1441),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1442] = {
    [sym_inline_modifier] = STATE(2272),
    [sym__indentable_expression] = STATE(13928),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1442),
    [sym_block_comment] = STATE(1442),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1443] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17546),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(706),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1443),
    [sym_block_comment] = STATE(1443),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1444] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(13178),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1444),
    [sym_block_comment] = STATE(1444),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1445] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(12667),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1445),
    [sym_block_comment] = STATE(1445),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1446] = {
    [sym_inline_modifier] = STATE(2287),
    [sym__indentable_expression] = STATE(13378),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1446),
    [sym_block_comment] = STATE(1446),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1447] = {
    [sym_inline_modifier] = STATE(2287),
    [sym__indentable_expression] = STATE(13471),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1447),
    [sym_block_comment] = STATE(1447),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1448] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(13619),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1448),
    [sym_block_comment] = STATE(1448),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1449] = {
    [sym_inline_modifier] = STATE(2192),
    [sym__indentable_expression] = STATE(13292),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1449),
    [sym_block_comment] = STATE(1449),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1450] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(14309),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1450),
    [sym_block_comment] = STATE(1450),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1451] = {
    [sym_inline_modifier] = STATE(2192),
    [sym__indentable_expression] = STATE(13075),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1451),
    [sym_block_comment] = STATE(1451),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1452] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(13617),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1452),
    [sym_block_comment] = STATE(1452),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1453] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(13600),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1453),
    [sym_block_comment] = STATE(1453),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1454] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(13584),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1454),
    [sym_block_comment] = STATE(1454),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1455] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17576),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(718),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1455),
    [sym_block_comment] = STATE(1455),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1456] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(13990),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1456),
    [sym_block_comment] = STATE(1456),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1457] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(13252),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1457),
    [sym_block_comment] = STATE(1457),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1458] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(13475),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1458),
    [sym_block_comment] = STATE(1458),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1459] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(12651),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1459),
    [sym_block_comment] = STATE(1459),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1460] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(12228),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1460),
    [sym_block_comment] = STATE(1460),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1461] = {
    [sym_inline_modifier] = STATE(2072),
    [sym__indentable_expression] = STATE(14085),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1461),
    [sym_block_comment] = STATE(1461),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1462] = {
    [sym_inline_modifier] = STATE(2272),
    [sym__indentable_expression] = STATE(13901),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1462),
    [sym_block_comment] = STATE(1462),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1463] = {
    [sym_inline_modifier] = STATE(2072),
    [sym__indentable_expression] = STATE(14086),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1463),
    [sym_block_comment] = STATE(1463),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1464] = {
    [sym_inline_modifier] = STATE(2192),
    [sym__indentable_expression] = STATE(13130),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1464),
    [sym_block_comment] = STATE(1464),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1465] = {
    [sym_inline_modifier] = STATE(2272),
    [sym__indentable_expression] = STATE(13889),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1465),
    [sym_block_comment] = STATE(1465),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1466] = {
    [sym_inline_modifier] = STATE(2272),
    [sym__indentable_expression] = STATE(13895),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1466),
    [sym_block_comment] = STATE(1466),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1467] = {
    [sym_inline_modifier] = STATE(2272),
    [sym__indentable_expression] = STATE(13888),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1467),
    [sym_block_comment] = STATE(1467),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1468] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17608),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(734),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1468),
    [sym_block_comment] = STATE(1468),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1469] = {
    [sym_inline_modifier] = STATE(2205),
    [sym__indentable_expression] = STATE(13465),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1469),
    [sym_block_comment] = STATE(1469),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1470] = {
    [sym_inline_modifier] = STATE(2296),
    [sym__indentable_expression] = STATE(12679),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1470),
    [sym_block_comment] = STATE(1470),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1471] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(12662),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1471),
    [sym_block_comment] = STATE(1471),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1472] = {
    [sym_inline_modifier] = STATE(2080),
    [sym__indentable_expression] = STATE(13651),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(1472),
    [sym_block_comment] = STATE(1472),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [1473] = {
    [sym_inline_modifier] = STATE(2080),
    [sym__indentable_expression] = STATE(13748),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(1473),
    [sym_block_comment] = STATE(1473),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [1474] = {
    [sym_inline_modifier] = STATE(2064),
    [sym__indentable_expression] = STATE(12650),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1474),
    [sym_block_comment] = STATE(1474),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1475] = {
    [sym_inline_modifier] = STATE(2192),
    [sym__indentable_expression] = STATE(13085),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1475),
    [sym_block_comment] = STATE(1475),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1476] = {
    [sym_inline_modifier] = STATE(2272),
    [sym__indentable_expression] = STATE(13848),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1476),
    [sym_block_comment] = STATE(1476),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1477] = {
    [sym_inline_modifier] = STATE(2192),
    [sym__indentable_expression] = STATE(13287),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1477),
    [sym_block_comment] = STATE(1477),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1478] = {
    [sym_inline_modifier] = STATE(2192),
    [sym__indentable_expression] = STATE(13183),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1478),
    [sym_block_comment] = STATE(1478),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1479] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17636),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(749),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1479),
    [sym_block_comment] = STATE(1479),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1480] = {
    [sym_inline_modifier] = STATE(2049),
    [sym__indentable_expression] = STATE(12816),
    [sym_block] = STATE(6943),
    [sym_indented_block] = STATE(12765),
    [sym_indented_cases] = STATE(12765),
    [sym_expression] = STATE(12483),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1480),
    [sym_block_comment] = STATE(1480),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2270),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1481] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(13492),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1481),
    [sym_block_comment] = STATE(1481),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1482] = {
    [sym_inline_modifier] = STATE(2036),
    [sym__indentable_expression] = STATE(12496),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1482),
    [sym_block_comment] = STATE(1482),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1483] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(12917),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1483),
    [sym_block_comment] = STATE(1483),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1484] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13358),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1484),
    [sym_block_comment] = STATE(1484),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1485] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(13056),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1485),
    [sym_block_comment] = STATE(1485),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1486] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(13491),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1486),
    [sym_block_comment] = STATE(1486),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1487] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(13484),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1487),
    [sym_block_comment] = STATE(1487),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1488] = {
    [sym_inline_modifier] = STATE(2205),
    [sym__indentable_expression] = STATE(13484),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1488),
    [sym_block_comment] = STATE(1488),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1489] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(13366),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1489),
    [sym_block_comment] = STATE(1489),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1490] = {
    [sym_inline_modifier] = STATE(2192),
    [sym__indentable_expression] = STATE(13162),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1490),
    [sym_block_comment] = STATE(1490),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1491] = {
    [sym_inline_modifier] = STATE(2310),
    [sym__indentable_expression] = STATE(13465),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1491),
    [sym_block_comment] = STATE(1491),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1492] = {
    [sym_inline_modifier] = STATE(2192),
    [sym__indentable_expression] = STATE(13190),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1492),
    [sym_block_comment] = STATE(1492),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1493] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17666),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(763),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1493),
    [sym_block_comment] = STATE(1493),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1494] = {
    [sym_inline_modifier] = STATE(2100),
    [sym__indentable_expression] = STATE(12987),
    [sym_block] = STATE(7406),
    [sym_indented_block] = STATE(13113),
    [sym_indented_cases] = STATE(13113),
    [sym_expression] = STATE(12671),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(1494),
    [sym_block_comment] = STATE(1494),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2274),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1495] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13708),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(1495),
    [sym_block_comment] = STATE(1495),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [1496] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13709),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(1496),
    [sym_block_comment] = STATE(1496),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [1497] = {
    [sym_inline_modifier] = STATE(2110),
    [sym__indentable_expression] = STATE(13873),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1497),
    [sym_block_comment] = STATE(1497),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1498] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17697),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(776),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1498),
    [sym_block_comment] = STATE(1498),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1499] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(12625),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1499),
    [sym_block_comment] = STATE(1499),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1500] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(13235),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1500),
    [sym_block_comment] = STATE(1500),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1501] = {
    [sym_inline_modifier] = STATE(2172),
    [sym__indentable_expression] = STATE(13234),
    [sym_block] = STATE(5606),
    [sym_indented_block] = STATE(11639),
    [sym_indented_cases] = STATE(11639),
    [sym_expression] = STATE(11584),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1501),
    [sym_block_comment] = STATE(1501),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2146),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1502] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(12076),
    [sym_block] = STATE(9454),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(13817),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1502),
    [sym_block_comment] = STATE(1502),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [1503] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17728),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(632),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1503),
    [sym_block_comment] = STATE(1503),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1504] = {
    [sym_inline_modifier] = STATE(2110),
    [sym__indentable_expression] = STATE(13876),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1504),
    [sym_block_comment] = STATE(1504),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1505] = {
    [sym_inline_modifier] = STATE(2066),
    [sym__indentable_expression] = STATE(13453),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1505),
    [sym_block_comment] = STATE(1505),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1506] = {
    [sym_inline_modifier] = STATE(2205),
    [sym__indentable_expression] = STATE(13491),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1506),
    [sym_block_comment] = STATE(1506),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1507] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(11973),
    [sym_block] = STATE(9454),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(13817),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1507),
    [sym_block_comment] = STATE(1507),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [1508] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(14305),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1508),
    [sym_block_comment] = STATE(1508),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1509] = {
    [sym_inline_modifier] = STATE(2066),
    [sym__indentable_expression] = STATE(13458),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1509),
    [sym_block_comment] = STATE(1509),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1510] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(12954),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1510),
    [sym_block_comment] = STATE(1510),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1511] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(11795),
    [sym_block] = STATE(9454),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(13817),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1511),
    [sym_block_comment] = STATE(1511),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [1512] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(12990),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1512),
    [sym_block_comment] = STATE(1512),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1513] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(11831),
    [sym_block] = STATE(9454),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(13817),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1513),
    [sym_block_comment] = STATE(1513),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [1514] = {
    [sym_inline_modifier] = STATE(2296),
    [sym__indentable_expression] = STATE(11797),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1514),
    [sym_block_comment] = STATE(1514),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1515] = {
    [sym_inline_modifier] = STATE(2192),
    [sym__indentable_expression] = STATE(13151),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1515),
    [sym_block_comment] = STATE(1515),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1516] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17758),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(805),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1516),
    [sym_block_comment] = STATE(1516),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1517] = {
    [sym_inline_modifier] = STATE(2205),
    [sym__indentable_expression] = STATE(13492),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1517),
    [sym_block_comment] = STATE(1517),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1518] = {
    [sym_inline_modifier] = STATE(2287),
    [sym__indentable_expression] = STATE(13523),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1518),
    [sym_block_comment] = STATE(1518),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1519] = {
    [sym_inline_modifier] = STATE(2296),
    [sym__indentable_expression] = STATE(11785),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1519),
    [sym_block_comment] = STATE(1519),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1520] = {
    [sym_inline_modifier] = STATE(2296),
    [sym__indentable_expression] = STATE(12154),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1520),
    [sym_block_comment] = STATE(1520),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1521] = {
    [sym_inline_modifier] = STATE(2296),
    [sym__indentable_expression] = STATE(11873),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1521),
    [sym_block_comment] = STATE(1521),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1522] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(14227),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1522),
    [sym_block_comment] = STATE(1522),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1523] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(13613),
    [sym_block] = STATE(9454),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(13817),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1523),
    [sym_block_comment] = STATE(1523),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [1524] = {
    [sym_inline_modifier] = STATE(2287),
    [sym__indentable_expression] = STATE(13545),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1524),
    [sym_block_comment] = STATE(1524),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1525] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(14225),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1525),
    [sym_block_comment] = STATE(1525),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1526] = {
    [sym_inline_modifier] = STATE(2205),
    [sym__indentable_expression] = STATE(13588),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1526),
    [sym_block_comment] = STATE(1526),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1527] = {
    [sym_inline_modifier] = STATE(2296),
    [sym__indentable_expression] = STATE(11974),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1527),
    [sym_block_comment] = STATE(1527),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1528] = {
    [sym_inline_modifier] = STATE(2205),
    [sym__indentable_expression] = STATE(13584),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1528),
    [sym_block_comment] = STATE(1528),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1529] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(14176),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1529),
    [sym_block_comment] = STATE(1529),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1530] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17845),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(794),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1530),
    [sym_block_comment] = STATE(1530),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1531] = {
    [sym_inline_modifier] = STATE(2296),
    [sym__indentable_expression] = STATE(12100),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1531),
    [sym_block_comment] = STATE(1531),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1532] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13714),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(1532),
    [sym_block_comment] = STATE(1532),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [1533] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(12865),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1533),
    [sym_block_comment] = STATE(1533),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1534] = {
    [sym_inline_modifier] = STATE(2347),
    [sym__indentable_expression] = STATE(13715),
    [sym_block] = STATE(8388),
    [sym_indented_block] = STATE(13478),
    [sym_indented_cases] = STATE(13478),
    [sym_expression] = STATE(13284),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(1534),
    [sym_block_comment] = STATE(1534),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2216),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [1535] = {
    [sym_inline_modifier] = STATE(2296),
    [sym__indentable_expression] = STATE(11831),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1535),
    [sym_block_comment] = STATE(1535),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1536] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(12100),
    [sym_block] = STATE(9454),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(13817),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1536),
    [sym_block_comment] = STATE(1536),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [1537] = {
    [sym_inline_modifier] = STATE(2296),
    [sym__indentable_expression] = STATE(11795),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1537),
    [sym_block_comment] = STATE(1537),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1538] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13942),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1538),
    [sym_block_comment] = STATE(1538),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1539] = {
    [sym_inline_modifier] = STATE(2296),
    [sym__indentable_expression] = STATE(11973),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1539),
    [sym_block_comment] = STATE(1539),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1540] = {
    [sym_inline_modifier] = STATE(2301),
    [sym__indentable_expression] = STATE(13943),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1540),
    [sym_block_comment] = STATE(1540),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1541] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(17746),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(771),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1541),
    [sym_block_comment] = STATE(1541),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1542] = {
    [sym_inline_modifier] = STATE(2066),
    [sym__indentable_expression] = STATE(13505),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1542),
    [sym_block_comment] = STATE(1542),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1543] = {
    [sym_inline_modifier] = STATE(2289),
    [sym__indentable_expression] = STATE(13218),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1543),
    [sym_block_comment] = STATE(1543),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1544] = {
    [sym_inline_modifier] = STATE(2296),
    [sym__indentable_expression] = STATE(12076),
    [sym_block] = STATE(6041),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(11805),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1544),
    [sym_block_comment] = STATE(1544),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1545] = {
    [sym_inline_modifier] = STATE(2066),
    [sym__indentable_expression] = STATE(13517),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1545),
    [sym_block_comment] = STATE(1545),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1546] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(14188),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1546),
    [sym_block_comment] = STATE(1546),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1547] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(12358),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1547),
    [sym_block_comment] = STATE(1547),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1548] = {
    [sym_inline_modifier] = STATE(2205),
    [sym__indentable_expression] = STATE(13600),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1548),
    [sym_block_comment] = STATE(1548),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1549] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(16981),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(743),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1549),
    [sym_block_comment] = STATE(1549),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3282),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1550] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(11974),
    [sym_block] = STATE(9454),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(13817),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1550),
    [sym_block_comment] = STATE(1550),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [1551] = {
    [sym_inline_modifier] = STATE(2216),
    [sym__indentable_expression] = STATE(13044),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1551),
    [sym_block_comment] = STATE(1551),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1552] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(11873),
    [sym_block] = STATE(9454),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(13817),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1552),
    [sym_block_comment] = STATE(1552),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [1553] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(12154),
    [sym_block] = STATE(9454),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(13817),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1553),
    [sym_block_comment] = STATE(1553),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [1554] = {
    [sym_inline_modifier] = STATE(2245),
    [sym__indentable_expression] = STATE(13969),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1554),
    [sym_block_comment] = STATE(1554),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1555] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(11785),
    [sym_block] = STATE(9454),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(13817),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1555),
    [sym_block_comment] = STATE(1555),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [1556] = {
    [sym_inline_modifier] = STATE(2216),
    [sym__indentable_expression] = STATE(13292),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1556),
    [sym_block_comment] = STATE(1556),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1557] = {
    [sym_inline_modifier] = STATE(2286),
    [sym__indentable_expression] = STATE(12355),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1557),
    [sym_block_comment] = STATE(1557),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1558] = {
    [sym_inline_modifier] = STATE(2216),
    [sym__indentable_expression] = STATE(13075),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1558),
    [sym_block_comment] = STATE(1558),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1559] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(11797),
    [sym_block] = STATE(9454),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(13817),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1559),
    [sym_block_comment] = STATE(1559),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [1560] = {
    [sym_inline_modifier] = STATE(2216),
    [sym__indentable_expression] = STATE(13130),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1560),
    [sym_block_comment] = STATE(1560),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1561] = {
    [sym_inline_modifier] = STATE(2216),
    [sym__indentable_expression] = STATE(13085),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1561),
    [sym_block_comment] = STATE(1561),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1562] = {
    [sym_inline_modifier] = STATE(2216),
    [sym__indentable_expression] = STATE(13287),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1562),
    [sym_block_comment] = STATE(1562),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1563] = {
    [sym_inline_modifier] = STATE(2216),
    [sym__indentable_expression] = STATE(13183),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1563),
    [sym_block_comment] = STATE(1563),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1564] = {
    [sym_inline_modifier] = STATE(2205),
    [sym__indentable_expression] = STATE(13617),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1564),
    [sym_block_comment] = STATE(1564),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1565] = {
    [sym_inline_modifier] = STATE(2216),
    [sym__indentable_expression] = STATE(13162),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1565),
    [sym_block_comment] = STATE(1565),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1566] = {
    [sym_inline_modifier] = STATE(2216),
    [sym__indentable_expression] = STATE(13190),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1566),
    [sym_block_comment] = STATE(1566),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1567] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(12288),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1567),
    [sym_block_comment] = STATE(1567),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1568] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(12287),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1568),
    [sym_block_comment] = STATE(1568),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1569] = {
    [sym_inline_modifier] = STATE(2110),
    [sym__indentable_expression] = STATE(13878),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1569),
    [sym_block_comment] = STATE(1569),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1570] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(12184),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1570),
    [sym_block_comment] = STATE(1570),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1571] = {
    [sym_inline_modifier] = STATE(2286),
    [sym__indentable_expression] = STATE(12571),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1571),
    [sym_block_comment] = STATE(1571),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1572] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(12657),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1572),
    [sym_block_comment] = STATE(1572),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1573] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(12284),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1573),
    [sym_block_comment] = STATE(1573),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1574] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(14192),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1574),
    [sym_block_comment] = STATE(1574),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1575] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(13989),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1575),
    [sym_block_comment] = STATE(1575),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1576] = {
    [sym_inline_modifier] = STATE(2120),
    [sym__indentable_expression] = STATE(13746),
    [sym_block] = STATE(8863),
    [sym_indented_block] = STATE(13680),
    [sym_indented_cases] = STATE(13680),
    [sym_expression] = STATE(13486),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1576),
    [sym_block_comment] = STATE(1576),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2212),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1577] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(14188),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1577),
    [sym_block_comment] = STATE(1577),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1578] = {
    [sym_inline_modifier] = STATE(2216),
    [sym__indentable_expression] = STATE(13151),
    [sym_block] = STATE(7626),
    [sym_indented_block] = STATE(13258),
    [sym_indented_cases] = STATE(13258),
    [sym_expression] = STATE(12795),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1578),
    [sym_block_comment] = STATE(1578),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2358),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1579] = {
    [sym_inline_modifier] = STATE(2286),
    [sym__indentable_expression] = STATE(12495),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1579),
    [sym_block_comment] = STATE(1579),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1580] = {
    [sym_inline_modifier] = STATE(2286),
    [sym__indentable_expression] = STATE(12639),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1580),
    [sym_block_comment] = STATE(1580),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1581] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(13968),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1581),
    [sym_block_comment] = STATE(1581),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1582] = {
    [sym_inline_modifier] = STATE(2286),
    [sym__indentable_expression] = STATE(12627),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1582),
    [sym_block_comment] = STATE(1582),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1583] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(14176),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1583),
    [sym_block_comment] = STATE(1583),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1584] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(12193),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1584),
    [sym_block_comment] = STATE(1584),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1585] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(12196),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1585),
    [sym_block_comment] = STATE(1585),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1586] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(12198),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1586),
    [sym_block_comment] = STATE(1586),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1587] = {
    [sym_inline_modifier] = STATE(2286),
    [sym__indentable_expression] = STATE(12572),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1587),
    [sym_block_comment] = STATE(1587),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1588] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(14225),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1588),
    [sym_block_comment] = STATE(1588),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1589] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(12872),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1589),
    [sym_block_comment] = STATE(1589),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1590] = {
    [sym_inline_modifier] = STATE(2233),
    [sym__indentable_expression] = STATE(13529),
    [sym_block] = STATE(9454),
    [sym_indented_block] = STATE(11888),
    [sym_indented_cases] = STATE(11888),
    [sym_expression] = STATE(13817),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1590),
    [sym_block_comment] = STATE(1590),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2140),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [1591] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(14227),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1591),
    [sym_block_comment] = STATE(1591),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1592] = {
    [sym_inline_modifier] = STATE(2306),
    [sym__indentable_expression] = STATE(13449),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1592),
    [sym_block_comment] = STATE(1592),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1593] = {
    [sym_inline_modifier] = STATE(2190),
    [sym__indentable_expression] = STATE(14192),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1593),
    [sym_block_comment] = STATE(1593),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1594] = {
    [sym_inline_modifier] = STATE(2286),
    [sym__indentable_expression] = STATE(12552),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1594),
    [sym_block_comment] = STATE(1594),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1595] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(13965),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1595),
    [sym_block_comment] = STATE(1595),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1596] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(13964),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1596),
    [sym_block_comment] = STATE(1596),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1597] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(12281),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1597),
    [sym_block_comment] = STATE(1597),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1598] = {
    [sym_inline_modifier] = STATE(2205),
    [sym__indentable_expression] = STATE(13619),
    [sym_block] = STATE(8592),
    [sym_indented_block] = STATE(13474),
    [sym_indented_cases] = STATE(13474),
    [sym_expression] = STATE(13210),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1598),
    [sym_block_comment] = STATE(1598),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2122),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1599] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(14309),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1599),
    [sym_block_comment] = STATE(1599),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1600] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(13928),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1600),
    [sym_block_comment] = STATE(1600),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1601] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(14362),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1601),
    [sym_block_comment] = STATE(1601),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1602] = {
    [sym_inline_modifier] = STATE(2253),
    [sym__indentable_expression] = STATE(14196),
    [sym_block] = STATE(10305),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(14133),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1602),
    [sym_block_comment] = STATE(1602),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1603] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(14375),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1603),
    [sym_block_comment] = STATE(1603),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1604] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(14359),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1604),
    [sym_block_comment] = STATE(1604),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1605] = {
    [sym_inline_modifier] = STATE(2299),
    [sym__indentable_expression] = STATE(12137),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1605),
    [sym_block_comment] = STATE(1605),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1606] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(13901),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1606),
    [sym_block_comment] = STATE(1606),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1607] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(13889),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1607),
    [sym_block_comment] = STATE(1607),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1608] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(13895),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1608),
    [sym_block_comment] = STATE(1608),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1609] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(13888),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1609),
    [sym_block_comment] = STATE(1609),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1610] = {
    [sym_inline_modifier] = STATE(2299),
    [sym__indentable_expression] = STATE(12117),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1610),
    [sym_block_comment] = STATE(1610),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1611] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(14305),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1611),
    [sym_block_comment] = STATE(1611),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1612] = {
    [sym_inline_modifier] = STATE(2306),
    [sym__indentable_expression] = STATE(13454),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1612),
    [sym_block_comment] = STATE(1612),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1613] = {
    [sym_inline_modifier] = STATE(2065),
    [sym__indentable_expression] = STATE(14196),
    [sym_block] = STATE(7605),
    [sym_indented_block] = STATE(12748),
    [sym_indented_cases] = STATE(12748),
    [sym_expression] = STATE(12755),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1613),
    [sym_block_comment] = STATE(1613),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3288),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1614] = {
    [sym_inline_modifier] = STATE(2186),
    [sym__indentable_expression] = STATE(13848),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1614),
    [sym_block_comment] = STATE(1614),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1615] = {
    [sym_inline_modifier] = STATE(2299),
    [sym__indentable_expression] = STATE(12096),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1615),
    [sym_block_comment] = STATE(1615),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1616] = {
    [sym_inline_modifier] = STATE(2299),
    [sym__indentable_expression] = STATE(12064),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1616),
    [sym_block_comment] = STATE(1616),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1617] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(14730),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1617),
    [sym_block_comment] = STATE(1617),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1618] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13989),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1618),
    [sym_block_comment] = STATE(1618),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1619] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(14727),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1619),
    [sym_block_comment] = STATE(1619),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1620] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13968),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1620),
    [sym_block_comment] = STATE(1620),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1621] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(14724),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1621),
    [sym_block_comment] = STATE(1621),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1622] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(14723),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1622),
    [sym_block_comment] = STATE(1622),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1623] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(14722),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1623),
    [sym_block_comment] = STATE(1623),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1624] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13965),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1624),
    [sym_block_comment] = STATE(1624),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1625] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13964),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1625),
    [sym_block_comment] = STATE(1625),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1626] = {
    [sym_inline_modifier] = STATE(2299),
    [sym__indentable_expression] = STATE(12001),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1626),
    [sym_block_comment] = STATE(1626),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1627] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(14711),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1627),
    [sym_block_comment] = STATE(1627),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1628] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13928),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1628),
    [sym_block_comment] = STATE(1628),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1629] = {
    [sym_inline_modifier] = STATE(2299),
    [sym__indentable_expression] = STATE(11808),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1629),
    [sym_block_comment] = STATE(1629),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1630] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(14702),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1630),
    [sym_block_comment] = STATE(1630),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1631] = {
    [sym_inline_modifier] = STATE(2299),
    [sym__indentable_expression] = STATE(11820),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1631),
    [sym_block_comment] = STATE(1631),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1632] = {
    [sym_inline_modifier] = STATE(2286),
    [sym__indentable_expression] = STATE(12546),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1632),
    [sym_block_comment] = STATE(1632),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1633] = {
    [sym_inline_modifier] = STATE(2306),
    [sym__indentable_expression] = STATE(13455),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1633),
    [sym_block_comment] = STATE(1633),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1634] = {
    [sym_inline_modifier] = STATE(2299),
    [sym__indentable_expression] = STATE(11911),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1634),
    [sym_block_comment] = STATE(1634),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1635] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(14691),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1635),
    [sym_block_comment] = STATE(1635),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1636] = {
    [sym_inline_modifier] = STATE(2286),
    [sym__indentable_expression] = STATE(12544),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1636),
    [sym_block_comment] = STATE(1636),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1637] = {
    [sym_inline_modifier] = STATE(2286),
    [sym__indentable_expression] = STATE(12542),
    [sym_block] = STATE(7151),
    [sym_indented_block] = STATE(12257),
    [sym_indented_cases] = STATE(12257),
    [sym_expression] = STATE(12529),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1637),
    [sym_block_comment] = STATE(1637),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3278),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1638] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(14690),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1638),
    [sym_block_comment] = STATE(1638),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1639] = {
    [sym_inline_modifier] = STATE(2299),
    [sym__indentable_expression] = STATE(11897),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1639),
    [sym_block_comment] = STATE(1639),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1640] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13901),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1640),
    [sym_block_comment] = STATE(1640),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1641] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13889),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1641),
    [sym_block_comment] = STATE(1641),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1642] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13895),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1642),
    [sym_block_comment] = STATE(1642),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1643] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13888),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1643),
    [sym_block_comment] = STATE(1643),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1644] = {
    [sym_inline_modifier] = STATE(2050),
    [sym__indentable_expression] = STATE(12209),
    [sym_block] = STATE(7276),
    [sym_indented_block] = STATE(12402),
    [sym_indented_cases] = STATE(12402),
    [sym_expression] = STATE(12453),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1644),
    [sym_block_comment] = STATE(1644),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2168),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1645] = {
    [sym_inline_modifier] = STATE(2110),
    [sym__indentable_expression] = STATE(13913),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1645),
    [sym_block_comment] = STATE(1645),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1646] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(14678),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1646),
    [sym_block_comment] = STATE(1646),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1647] = {
    [sym_inline_modifier] = STATE(2180),
    [sym__indentable_expression] = STATE(14659),
    [sym_block] = STATE(9662),
    [sym_indented_block] = STATE(13869),
    [sym_indented_cases] = STATE(13869),
    [sym_expression] = STATE(13799),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1647),
    [sym_block_comment] = STATE(1647),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(744),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1648] = {
    [sym_inline_modifier] = STATE(2127),
    [sym__indentable_expression] = STATE(13848),
    [sym_block] = STATE(9616),
    [sym_indented_block] = STATE(13843),
    [sym_indented_cases] = STATE(13843),
    [sym_expression] = STATE(13819),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1648),
    [sym_block_comment] = STATE(1648),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2576),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1649] = {
    [sym_inline_modifier] = STATE(2306),
    [sym__indentable_expression] = STATE(13462),
    [sym_block] = STATE(8423),
    [sym_indented_block] = STATE(13402),
    [sym_indented_cases] = STATE(13402),
    [sym_expression] = STATE(13304),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1649),
    [sym_block_comment] = STATE(1649),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(3286),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1650] = {
    [sym_inline_modifier] = STATE(2299),
    [sym__indentable_expression] = STATE(12062),
    [sym_block] = STATE(6642),
    [sym_indented_block] = STATE(11965),
    [sym_indented_cases] = STATE(11965),
    [sym_expression] = STATE(12037),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1650),
    [sym_block_comment] = STATE(1650),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__indent] = ACTIONS(2228),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1651] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16280),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1651),
    [sym_block_comment] = STATE(1651),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3322),
    [anon_sym_RPAREN] = ACTIONS(3324),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1652] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17638),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1652),
    [sym_block_comment] = STATE(1652),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3326),
    [anon_sym_RPAREN] = ACTIONS(3328),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1653] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17075),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1653),
    [sym_block_comment] = STATE(1653),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3330),
    [anon_sym_RPAREN] = ACTIONS(3332),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1654] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17352),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1654),
    [sym_block_comment] = STATE(1654),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3334),
    [anon_sym_RPAREN] = ACTIONS(3336),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1655] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17053),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1655),
    [sym_block_comment] = STATE(1655),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3338),
    [anon_sym_RPAREN] = ACTIONS(3340),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1656] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16949),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1656),
    [sym_block_comment] = STATE(1656),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3342),
    [anon_sym_RPAREN] = ACTIONS(3344),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1657] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(14803),
    [sym__simple_expression] = STATE(5567),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16650),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9513),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5082),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(7812),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1657),
    [sym_block_comment] = STATE(1657),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_COLON] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(1732),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [1658] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17365),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1658),
    [sym_block_comment] = STATE(1658),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3346),
    [anon_sym_RPAREN] = ACTIONS(3348),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1659] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(15557),
    [sym__simple_expression] = STATE(4625),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16467),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(7623),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(4504),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(5795),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1659),
    [sym_block_comment] = STATE(1659),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_COLON] = ACTIONS(1006),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1028),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1660] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17190),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1660),
    [sym_block_comment] = STATE(1660),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3350),
    [anon_sym_RPAREN] = ACTIONS(3352),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1661] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17189),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1661),
    [sym_block_comment] = STATE(1661),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3354),
    [anon_sym_RPAREN] = ACTIONS(3356),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1662] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17589),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1662),
    [sym_block_comment] = STATE(1662),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3358),
    [anon_sym_RPAREN] = ACTIONS(3360),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1663] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17381),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1663),
    [sym_block_comment] = STATE(1663),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3362),
    [anon_sym_RPAREN] = ACTIONS(3364),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1664] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17234),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1664),
    [sym_block_comment] = STATE(1664),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_RPAREN] = ACTIONS(3368),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1665] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17281),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1665),
    [sym_block_comment] = STATE(1665),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3370),
    [anon_sym_RPAREN] = ACTIONS(3372),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1666] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17088),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1666),
    [sym_block_comment] = STATE(1666),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3374),
    [anon_sym_RPAREN] = ACTIONS(3376),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1667] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(10305),
    [sym_expression] = STATE(15254),
    [sym__simple_expression] = STATE(7508),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(17099),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10497),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(7211),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9357),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1667),
    [sym_block_comment] = STATE(1667),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2264),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1668] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17394),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1668),
    [sym_block_comment] = STATE(1668),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3378),
    [anon_sym_RPAREN] = ACTIONS(3380),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1669] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(15294),
    [sym__simple_expression] = STATE(5183),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16390),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9050),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(6913),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1669),
    [sym_block_comment] = STATE(1669),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_COLON] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1536),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1670] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16853),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1670),
    [sym_block_comment] = STATE(1670),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3382),
    [anon_sym_RPAREN] = ACTIONS(3384),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1671] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16811),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1671),
    [sym_block_comment] = STATE(1671),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3386),
    [anon_sym_RPAREN] = ACTIONS(3388),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1672] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16948),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1672),
    [sym_block_comment] = STATE(1672),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3390),
    [anon_sym_RPAREN] = ACTIONS(3392),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1673] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17404),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1673),
    [sym_block_comment] = STATE(1673),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3394),
    [anon_sym_RPAREN] = ACTIONS(3396),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1674] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17442),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1674),
    [sym_block_comment] = STATE(1674),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3398),
    [anon_sym_RPAREN] = ACTIONS(3400),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1675] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17621),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1675),
    [sym_block_comment] = STATE(1675),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3402),
    [anon_sym_RPAREN] = ACTIONS(3404),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1676] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17004),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1676),
    [sym_block_comment] = STATE(1676),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3406),
    [anon_sym_RPAREN] = ACTIONS(3408),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1677] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9946),
    [sym_expression] = STATE(15426),
    [sym__simple_expression] = STATE(7244),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16269),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10341),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(8833),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1677),
    [sym_block_comment] = STATE(1677),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_COLON] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2020),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [1678] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17417),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1678),
    [sym_block_comment] = STATE(1678),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3410),
    [anon_sym_RPAREN] = ACTIONS(3412),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1679] = {
    [sym_inline_modifier] = STATE(2120),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13390),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1679),
    [sym_block_comment] = STATE(1679),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1680] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17836),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1680),
    [sym_block_comment] = STATE(1680),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3414),
    [anon_sym_RPAREN] = ACTIONS(3416),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1681] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(14746),
    [sym__simple_expression] = STATE(4972),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16835),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(8408),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(4566),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(6422),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1681),
    [sym_block_comment] = STATE(1681),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1598),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1682] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16687),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1682),
    [sym_block_comment] = STATE(1682),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3418),
    [anon_sym_RPAREN] = ACTIONS(3420),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1683] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16212),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1683),
    [sym_block_comment] = STATE(1683),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3422),
    [anon_sym_RPAREN] = ACTIONS(3424),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1684] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17433),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1684),
    [sym_block_comment] = STATE(1684),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3426),
    [anon_sym_RPAREN] = ACTIONS(3428),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1685] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17819),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1685),
    [sym_block_comment] = STATE(1685),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3430),
    [anon_sym_RPAREN] = ACTIONS(3432),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1686] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17145),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1686),
    [sym_block_comment] = STATE(1686),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3434),
    [anon_sym_RPAREN] = ACTIONS(3436),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1687] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17072),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1687),
    [sym_block_comment] = STATE(1687),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3438),
    [anon_sym_RPAREN] = ACTIONS(3440),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1688] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17337),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1688),
    [sym_block_comment] = STATE(1688),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3442),
    [anon_sym_RPAREN] = ACTIONS(3444),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1689] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(15598),
    [sym__simple_expression] = STATE(5354),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16237),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9184),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(4922),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(6679),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1689),
    [sym_block_comment] = STATE(1689),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_COLON] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1468),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1690] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17597),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1690),
    [sym_block_comment] = STATE(1690),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3446),
    [anon_sym_RPAREN] = ACTIONS(3448),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1691] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16515),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1691),
    [sym_block_comment] = STATE(1691),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_RPAREN] = ACTIONS(3452),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1692] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17407),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1692),
    [sym_block_comment] = STATE(1692),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3454),
    [anon_sym_RPAREN] = ACTIONS(3456),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1693] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17872),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1693),
    [sym_block_comment] = STATE(1693),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_RPAREN] = ACTIONS(3460),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1694] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17450),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1694),
    [sym_block_comment] = STATE(1694),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3462),
    [anon_sym_RPAREN] = ACTIONS(3464),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1695] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17334),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1695),
    [sym_block_comment] = STATE(1695),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3466),
    [anon_sym_RPAREN] = ACTIONS(3468),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1696] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16621),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1696),
    [sym_block_comment] = STATE(1696),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3470),
    [anon_sym_RPAREN] = ACTIONS(3472),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1697] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17646),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1697),
    [sym_block_comment] = STATE(1697),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3474),
    [anon_sym_RPAREN] = ACTIONS(3476),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1698] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17215),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1698),
    [sym_block_comment] = STATE(1698),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3478),
    [anon_sym_RPAREN] = ACTIONS(3480),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1699] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(14732),
    [sym__simple_expression] = STATE(4635),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16154),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(7810),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(4538),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(5789),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1699),
    [sym_block_comment] = STATE(1699),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_COLON] = ACTIONS(1042),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1064),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1700] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16769),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1700),
    [sym_block_comment] = STATE(1700),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3482),
    [anon_sym_RPAREN] = ACTIONS(3484),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1701] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17464),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1701),
    [sym_block_comment] = STATE(1701),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3486),
    [anon_sym_RPAREN] = ACTIONS(3488),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1702] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17183),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1702),
    [sym_block_comment] = STATE(1702),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_RPAREN] = ACTIONS(3492),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1703] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16578),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1703),
    [sym_block_comment] = STATE(1703),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3494),
    [anon_sym_RPAREN] = ACTIONS(3496),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1704] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(15715),
    [sym__simple_expression] = STATE(5531),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16362),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9702),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5425),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7467),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1704),
    [sym_block_comment] = STATE(1704),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_COLON] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1342),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1705] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16895),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1705),
    [sym_block_comment] = STATE(1705),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3498),
    [anon_sym_RPAREN] = ACTIONS(3500),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1706] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17680),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1706),
    [sym_block_comment] = STATE(1706),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3502),
    [anon_sym_RPAREN] = ACTIONS(3504),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1707] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17486),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1707),
    [sym_block_comment] = STATE(1707),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3506),
    [anon_sym_RPAREN] = ACTIONS(3508),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1708] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17095),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1708),
    [sym_block_comment] = STATE(1708),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3510),
    [anon_sym_RPAREN] = ACTIONS(3512),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1709] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16543),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1709),
    [sym_block_comment] = STATE(1709),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3514),
    [anon_sym_RPAREN] = ACTIONS(3516),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1710] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9825),
    [sym_expression] = STATE(15765),
    [sym__simple_expression] = STATE(6954),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16383),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10149),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6484),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(9194),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1710),
    [sym_block_comment] = STATE(1710),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_COLON] = ACTIONS(1924),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(1946),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [1711] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16414),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1711),
    [sym_block_comment] = STATE(1711),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3518),
    [anon_sym_RPAREN] = ACTIONS(3520),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1712] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17045),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1712),
    [sym_block_comment] = STATE(1712),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3522),
    [anon_sym_RPAREN] = ACTIONS(3524),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1713] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16149),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1713),
    [sym_block_comment] = STATE(1713),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3526),
    [anon_sym_RPAREN] = ACTIONS(3528),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1714] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16932),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1714),
    [sym_block_comment] = STATE(1714),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3530),
    [anon_sym_RPAREN] = ACTIONS(3532),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1715] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17500),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1715),
    [sym_block_comment] = STATE(1715),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3534),
    [anon_sym_RPAREN] = ACTIONS(3536),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1716] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17560),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1716),
    [sym_block_comment] = STATE(1716),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_RPAREN] = ACTIONS(3540),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1717] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9273),
    [sym_expression] = STATE(15070),
    [sym__simple_expression] = STATE(5447),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16509),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9722),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5217),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(7879),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1717),
    [sym_block_comment] = STATE(1717),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_COLON] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(1394),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1718] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16846),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1718),
    [sym_block_comment] = STATE(1718),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3542),
    [anon_sym_RPAREN] = ACTIONS(3544),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1719] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17852),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1719),
    [sym_block_comment] = STATE(1719),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3546),
    [anon_sym_RPAREN] = ACTIONS(3548),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1720] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17829),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1720),
    [sym_block_comment] = STATE(1720),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3550),
    [anon_sym_RPAREN] = ACTIONS(3552),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1721] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(15357),
    [sym__simple_expression] = STATE(5715),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16488),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9624),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(7989),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1721),
    [sym_block_comment] = STATE(1721),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_COLON] = ACTIONS(1836),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(1858),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1722] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16275),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1722),
    [sym_block_comment] = STATE(1722),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3554),
    [anon_sym_RPAREN] = ACTIONS(3556),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1723] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(14783),
    [sym__simple_expression] = STATE(4875),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16630),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(8640),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4596),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(6388),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1723),
    [sym_block_comment] = STATE(1723),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_COLON] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1100),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [1724] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17321),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1724),
    [sym_block_comment] = STATE(1724),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3558),
    [anon_sym_RPAREN] = ACTIONS(3560),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1725] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16805),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1725),
    [sym_block_comment] = STATE(1725),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3562),
    [anon_sym_RPAREN] = ACTIONS(3564),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1726] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17516),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1726),
    [sym_block_comment] = STATE(1726),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3566),
    [anon_sym_RPAREN] = ACTIONS(3568),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1727] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17318),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1727),
    [sym_block_comment] = STATE(1727),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_RPAREN] = ACTIONS(3572),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1728] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17214),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1728),
    [sym_block_comment] = STATE(1728),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3574),
    [anon_sym_RPAREN] = ACTIONS(3576),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1729] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17369),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1729),
    [sym_block_comment] = STATE(1729),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3578),
    [anon_sym_RPAREN] = ACTIONS(3580),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1730] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16659),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1730),
    [sym_block_comment] = STATE(1730),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_RPAREN] = ACTIONS(3584),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1731] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16712),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1731),
    [sym_block_comment] = STATE(1731),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3586),
    [anon_sym_RPAREN] = ACTIONS(3588),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1732] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16787),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1732),
    [sym_block_comment] = STATE(1732),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3590),
    [anon_sym_RPAREN] = ACTIONS(3592),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1733] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17025),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1733),
    [sym_block_comment] = STATE(1733),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_RPAREN] = ACTIONS(3596),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1734] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17530),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1734),
    [sym_block_comment] = STATE(1734),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3598),
    [anon_sym_RPAREN] = ACTIONS(3600),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1735] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16481),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1735),
    [sym_block_comment] = STATE(1735),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3602),
    [anon_sym_RPAREN] = ACTIONS(3604),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1736] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17709),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1736),
    [sym_block_comment] = STATE(1736),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3606),
    [anon_sym_RPAREN] = ACTIONS(3608),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1737] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9651),
    [sym_expression] = STATE(15094),
    [sym__simple_expression] = STATE(6571),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16670),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9790),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5528),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8243),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1737),
    [sym_block_comment] = STATE(1737),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_COLON] = ACTIONS(1602),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1624),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1738] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16361),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1738),
    [sym_block_comment] = STATE(1738),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3610),
    [anon_sym_RPAREN] = ACTIONS(3612),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1739] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17817),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1739),
    [sym_block_comment] = STATE(1739),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3614),
    [anon_sym_RPAREN] = ACTIONS(3616),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1740] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16375),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1740),
    [sym_block_comment] = STATE(1740),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3618),
    [anon_sym_RPAREN] = ACTIONS(3620),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1741] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17187),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1741),
    [sym_block_comment] = STATE(1741),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3622),
    [anon_sym_RPAREN] = ACTIONS(3624),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1742] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16180),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1742),
    [sym_block_comment] = STATE(1742),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_RPAREN] = ACTIONS(3628),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1743] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17552),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1743),
    [sym_block_comment] = STATE(1743),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3630),
    [anon_sym_RPAREN] = ACTIONS(3632),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1744] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17559),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1744),
    [sym_block_comment] = STATE(1744),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3634),
    [anon_sym_RPAREN] = ACTIONS(3636),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1745] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17543),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1745),
    [sym_block_comment] = STATE(1745),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(3640),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1746] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16226),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1746),
    [sym_block_comment] = STATE(1746),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3642),
    [anon_sym_RPAREN] = ACTIONS(3644),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1747] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17245),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1747),
    [sym_block_comment] = STATE(1747),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3646),
    [anon_sym_RPAREN] = ACTIONS(3648),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1748] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17117),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1748),
    [sym_block_comment] = STATE(1748),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3650),
    [anon_sym_RPAREN] = ACTIONS(3652),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1749] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(15766),
    [sym__simple_expression] = STATE(5234),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16746),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(8842),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(4839),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(6818),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1749),
    [sym_block_comment] = STATE(1749),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_COLON] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1214),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [1750] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17749),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1750),
    [sym_block_comment] = STATE(1750),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3654),
    [anon_sym_RPAREN] = ACTIONS(3656),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1751] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16218),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1751),
    [sym_block_comment] = STATE(1751),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3658),
    [anon_sym_RPAREN] = ACTIONS(3660),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1752] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17558),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1752),
    [sym_block_comment] = STATE(1752),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3662),
    [anon_sym_RPAREN] = ACTIONS(3664),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1753] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17739),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1753),
    [sym_block_comment] = STATE(1753),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3666),
    [anon_sym_RPAREN] = ACTIONS(3668),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1754] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16487),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1754),
    [sym_block_comment] = STATE(1754),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3670),
    [anon_sym_RPAREN] = ACTIONS(3672),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1755] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16252),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1755),
    [sym_block_comment] = STATE(1755),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3674),
    [anon_sym_RPAREN] = ACTIONS(3676),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1756] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16714),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1756),
    [sym_block_comment] = STATE(1756),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3678),
    [anon_sym_RPAREN] = ACTIONS(3680),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1757] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17498),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1757),
    [sym_block_comment] = STATE(1757),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_RPAREN] = ACTIONS(3684),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1758] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17574),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1758),
    [sym_block_comment] = STATE(1758),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3686),
    [anon_sym_RPAREN] = ACTIONS(3688),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1759] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17287),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1759),
    [sym_block_comment] = STATE(1759),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3690),
    [anon_sym_RPAREN] = ACTIONS(3692),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1760] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16417),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1760),
    [sym_block_comment] = STATE(1760),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3694),
    [anon_sym_RPAREN] = ACTIONS(3696),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1761] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(15292),
    [sym__simple_expression] = STATE(4589),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16446),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(7833),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(4501),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(5718),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1761),
    [sym_block_comment] = STATE(1761),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1136),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1762] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17734),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1762),
    [sym_block_comment] = STATE(1762),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3698),
    [anon_sym_RPAREN] = ACTIONS(3700),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1763] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16337),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1763),
    [sym_block_comment] = STATE(1763),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3702),
    [anon_sym_RPAREN] = ACTIONS(3704),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1764] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17490),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1764),
    [sym_block_comment] = STATE(1764),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3706),
    [anon_sym_RPAREN] = ACTIONS(3708),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1765] = {
    [sym_inline_modifier] = STATE(2210),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13390),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1765),
    [sym_block_comment] = STATE(1765),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_finally] = ACTIONS(1150),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1766] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16628),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1766),
    [sym_block_comment] = STATE(1766),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3710),
    [anon_sym_RPAREN] = ACTIONS(3712),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1767] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(15672),
    [sym__simple_expression] = STATE(5381),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16339),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9125),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(6811),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1767),
    [sym_block_comment] = STATE(1767),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_COLON] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1306),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1768] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(15370),
    [sym__simple_expression] = STATE(6247),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16350),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9866),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(5568),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8119),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1768),
    [sym_block_comment] = STATE(1768),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_COLON] = ACTIONS(2060),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2064),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1769] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16676),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1769),
    [sym_block_comment] = STATE(1769),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3714),
    [anon_sym_RPAREN] = ACTIONS(3716),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1770] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(15350),
    [sym__simple_expression] = STATE(4514),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16689),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(6867),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4450),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(5139),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1770),
    [sym_block_comment] = STATE(1770),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_COLON] = ACTIONS(934),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(956),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1771] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16958),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1771),
    [sym_block_comment] = STATE(1771),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3718),
    [anon_sym_RPAREN] = ACTIONS(3720),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1772] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17612),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1772),
    [sym_block_comment] = STATE(1772),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3722),
    [anon_sym_RPAREN] = ACTIONS(3724),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1773] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17822),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1773),
    [sym_block_comment] = STATE(1773),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3726),
    [anon_sym_RPAREN] = ACTIONS(3728),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1774] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17315),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1774),
    [sym_block_comment] = STATE(1774),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3730),
    [anon_sym_RPAREN] = ACTIONS(3732),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1775] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(15231),
    [sym__simple_expression] = STATE(4477),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16497),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(7107),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4437),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(5360),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1775),
    [sym_block_comment] = STATE(1775),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_COLON] = ACTIONS(970),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(992),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1776] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17029),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1776),
    [sym_block_comment] = STATE(1776),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3734),
    [anon_sym_RPAREN] = ACTIONS(3736),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1777] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16861),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1777),
    [sym_block_comment] = STATE(1777),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3738),
    [anon_sym_RPAREN] = ACTIONS(3740),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1778] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17313),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1778),
    [sym_block_comment] = STATE(1778),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3742),
    [anon_sym_RPAREN] = ACTIONS(3744),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1779] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17259),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1779),
    [sym_block_comment] = STATE(1779),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3746),
    [anon_sym_RPAREN] = ACTIONS(3748),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1780] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16623),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1780),
    [sym_block_comment] = STATE(1780),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3750),
    [anon_sym_RPAREN] = ACTIONS(3752),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1781] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17625),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1781),
    [sym_block_comment] = STATE(1781),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3754),
    [anon_sym_RPAREN] = ACTIONS(3756),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1782] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16295),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1782),
    [sym_block_comment] = STATE(1782),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3758),
    [anon_sym_RPAREN] = ACTIONS(3760),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1783] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17466),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1783),
    [sym_block_comment] = STATE(1783),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3762),
    [anon_sym_RPAREN] = ACTIONS(3764),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1784] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16500),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1784),
    [sym_block_comment] = STATE(1784),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3766),
    [anon_sym_RPAREN] = ACTIONS(3768),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1785] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17856),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1785),
    [sym_block_comment] = STATE(1785),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3772),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1786] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17658),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1786),
    [sym_block_comment] = STATE(1786),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3774),
    [anon_sym_RPAREN] = ACTIONS(3776),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1787] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(15370),
    [sym__simple_expression] = STATE(6247),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16350),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9866),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(5568),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8119),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1787),
    [sym_block_comment] = STATE(1787),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_COLON] = ACTIONS(2060),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2064),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1788] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17672),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1788),
    [sym_block_comment] = STATE(1788),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3778),
    [anon_sym_RPAREN] = ACTIONS(3780),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1789] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(14746),
    [sym__simple_expression] = STATE(4972),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16835),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(8408),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(4566),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(6422),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1789),
    [sym_block_comment] = STATE(1789),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_COLON] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1598),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1790] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16452),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1790),
    [sym_block_comment] = STATE(1790),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3782),
    [anon_sym_RPAREN] = ACTIONS(3784),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1791] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17688),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1791),
    [sym_block_comment] = STATE(1791),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3786),
    [anon_sym_RPAREN] = ACTIONS(3788),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1792] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16373),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1792),
    [sym_block_comment] = STATE(1792),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3790),
    [anon_sym_RPAREN] = ACTIONS(3792),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1793] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17703),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1793),
    [sym_block_comment] = STATE(1793),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3794),
    [anon_sym_RPAREN] = ACTIONS(3796),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1794] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(15561),
    [sym__simple_expression] = STATE(4981),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16708),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(8666),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(4572),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(6631),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1794),
    [sym_block_comment] = STATE(1794),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_COLON] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1270),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1795] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(15820),
    [sym__simple_expression] = STATE(4422),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16425),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(6381),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4346),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(4791),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1795),
    [sym_block_comment] = STATE(1795),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_COLON] = ACTIONS(890),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(920),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1796] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17718),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1796),
    [sym_block_comment] = STATE(1796),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3798),
    [anon_sym_RPAREN] = ACTIONS(3800),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1797] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17171),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1797),
    [sym_block_comment] = STATE(1797),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3802),
    [anon_sym_RPAREN] = ACTIONS(3804),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1798] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17426),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1798),
    [sym_block_comment] = STATE(1798),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_using] = ACTIONS(3806),
    [anon_sym_RPAREN] = ACTIONS(3808),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1799] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9454),
    [sym_expression] = STATE(15223),
    [sym__simple_expression] = STATE(6092),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16592),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10104),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5604),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8390),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1799),
    [sym_block_comment] = STATE(1799),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_COLON] = ACTIONS(1654),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_match] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1676),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [1800] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14121),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1800),
    [sym_block_comment] = STATE(1800),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3810),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1801] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14103),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1801),
    [sym_block_comment] = STATE(1801),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3814),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1802] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14087),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1802),
    [sym_block_comment] = STATE(1802),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3816),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1803] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14155),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1803),
    [sym_block_comment] = STATE(1803),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3818),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1804] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14106),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1804),
    [sym_block_comment] = STATE(1804),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3820),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1805] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14157),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1805),
    [sym_block_comment] = STATE(1805),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3822),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1806] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14096),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1806),
    [sym_block_comment] = STATE(1806),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3824),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1807] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14041),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1807),
    [sym_block_comment] = STATE(1807),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3826),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1808] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14030),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1808),
    [sym_block_comment] = STATE(1808),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3828),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1809] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14132),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1809),
    [sym_block_comment] = STATE(1809),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3830),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1810] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14111),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1810),
    [sym_block_comment] = STATE(1810),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3832),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1811] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14144),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1811),
    [sym_block_comment] = STATE(1811),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3834),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1812] = {
    [sym_inline_modifier] = STATE(2186),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(13824),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1812),
    [sym_block_comment] = STATE(1812),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1813] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14021),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1813),
    [sym_block_comment] = STATE(1813),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3836),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1814] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14137),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1814),
    [sym_block_comment] = STATE(1814),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3838),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1815] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(13824),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1815),
    [sym_block_comment] = STATE(1815),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_match] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1816] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14102),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1816),
    [sym_block_comment] = STATE(1816),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3840),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1817] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14147),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1817),
    [sym_block_comment] = STATE(1817),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3842),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1818] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14090),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1818),
    [sym_block_comment] = STATE(1818),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3844),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1819] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14117),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1819),
    [sym_block_comment] = STATE(1819),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3846),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1820] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14109),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1820),
    [sym_block_comment] = STATE(1820),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3848),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1821] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14043),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1821),
    [sym_block_comment] = STATE(1821),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3850),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1822] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14141),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1822),
    [sym_block_comment] = STATE(1822),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3816),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1823] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14070),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1823),
    [sym_block_comment] = STATE(1823),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3816),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1824] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14057),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1824),
    [sym_block_comment] = STATE(1824),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1825] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14112),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1825),
    [sym_block_comment] = STATE(1825),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3854),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1826] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14080),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1826),
    [sym_block_comment] = STATE(1826),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3856),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1827] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14164),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1827),
    [sym_block_comment] = STATE(1827),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3858),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1828] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14039),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_binding] = STATE(15300),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(7471),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(9857),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1828),
    [sym_block_comment] = STATE(1828),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3860),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3812),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1829] = {
    [sym_inline_modifier] = STATE(2245),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1829),
    [sym_block_comment] = STATE(1829),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_yield] = ACTIONS(3862),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1830] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1830),
    [sym_block_comment] = STATE(1830),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3864),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1831] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16663),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1831),
    [sym_block_comment] = STATE(1831),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1832] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17639),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1832),
    [sym_block_comment] = STATE(1832),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1833] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16174),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1833),
    [sym_block_comment] = STATE(1833),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1834] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17690),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1834),
    [sym_block_comment] = STATE(1834),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1835] = {
    [sym_inline_modifier] = STATE(2155),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(13574),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1835),
    [sym_block_comment] = STATE(1835),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_yield] = ACTIONS(3866),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [1836] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17862),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1836),
    [sym_block_comment] = STATE(1836),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1837] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17865),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1837),
    [sym_block_comment] = STATE(1837),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1838] = {
    [sym_inline_modifier] = STATE(2306),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(13242),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1838),
    [sym_block_comment] = STATE(1838),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_yield] = ACTIONS(3868),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1839] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1839),
    [sym_block_comment] = STATE(1839),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3870),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1840] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17607),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1840),
    [sym_block_comment] = STATE(1840),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1841] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17849),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1841),
    [sym_block_comment] = STATE(1841),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1842] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1842),
    [sym_block_comment] = STATE(1842),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3872),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1843] = {
    [sym_inline_modifier] = STATE(2180),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1843),
    [sym_block_comment] = STATE(1843),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_yield] = ACTIONS(3874),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1844] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16437),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1844),
    [sym_block_comment] = STATE(1844),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1845] = {
    [sym_inline_modifier] = STATE(2139),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11864),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1845),
    [sym_block_comment] = STATE(1845),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_yield] = ACTIONS(3876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1846] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1846),
    [sym_block_comment] = STATE(1846),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3878),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1847] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1847),
    [sym_block_comment] = STATE(1847),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3880),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1848] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1848),
    [sym_block_comment] = STATE(1848),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3882),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1849] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17446),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1849),
    [sym_block_comment] = STATE(1849),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1850] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16748),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1850),
    [sym_block_comment] = STATE(1850),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1851] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17305),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1851),
    [sym_block_comment] = STATE(1851),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1852] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17620),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1852),
    [sym_block_comment] = STATE(1852),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1853] = {
    [sym_inline_modifier] = STATE(2123),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(13242),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1853),
    [sym_block_comment] = STATE(1853),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_yield] = ACTIONS(3884),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1854] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17312),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1854),
    [sym_block_comment] = STATE(1854),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1855] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17195),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1855),
    [sym_block_comment] = STATE(1855),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1856] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17714),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1856),
    [sym_block_comment] = STATE(1856),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1857] = {
    [sym_inline_modifier] = STATE(2271),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12404),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1857),
    [sym_block_comment] = STATE(1857),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_yield] = ACTIONS(3886),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1858] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16519),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1858),
    [sym_block_comment] = STATE(1858),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1859] = {
    [sym_inline_modifier] = STATE(2296),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11864),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1859),
    [sym_block_comment] = STATE(1859),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_yield] = ACTIONS(3888),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1860] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17528),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1860),
    [sym_block_comment] = STATE(1860),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1861] = {
    [sym_inline_modifier] = STATE(2036),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11592),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1861),
    [sym_block_comment] = STATE(1861),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_yield] = ACTIONS(3890),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1862] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1862),
    [sym_block_comment] = STATE(1862),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3892),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1863] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16385),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1863),
    [sym_block_comment] = STATE(1863),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1864] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17867),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1864),
    [sym_block_comment] = STATE(1864),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1865] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17063),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1865),
    [sym_block_comment] = STATE(1865),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1866] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17634),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1866),
    [sym_block_comment] = STATE(1866),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1867] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(13742),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1867),
    [sym_block_comment] = STATE(1867),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(3894),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1868] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17588),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1868),
    [sym_block_comment] = STATE(1868),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1869] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17506),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1869),
    [sym_block_comment] = STATE(1869),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1870] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16182),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1870),
    [sym_block_comment] = STATE(1870),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1871] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17151),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1871),
    [sym_block_comment] = STATE(1871),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1872] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17359),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1872),
    [sym_block_comment] = STATE(1872),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1873] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1873),
    [sym_block_comment] = STATE(1873),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3896),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1874] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16241),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1874),
    [sym_block_comment] = STATE(1874),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1875] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1875),
    [sym_block_comment] = STATE(1875),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3898),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1876] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17536),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1876),
    [sym_block_comment] = STATE(1876),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1877] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17192),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1877),
    [sym_block_comment] = STATE(1877),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1878] = {
    [sym_inline_modifier] = STATE(2233),
    [sym_block] = STATE(9454),
    [sym_expression] = STATE(13677),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1878),
    [sym_block_comment] = STATE(1878),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_yield] = ACTIONS(3900),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [1879] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16324),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1879),
    [sym_block_comment] = STATE(1879),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1880] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17118),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1880),
    [sym_block_comment] = STATE(1880),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1881] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17827),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1881),
    [sym_block_comment] = STATE(1881),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1882] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1882),
    [sym_block_comment] = STATE(1882),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3902),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1883] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17476),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1883),
    [sym_block_comment] = STATE(1883),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1884] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17649),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1884),
    [sym_block_comment] = STATE(1884),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1885] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1885),
    [sym_block_comment] = STATE(1885),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3904),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1886] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16533),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1886),
    [sym_block_comment] = STATE(1886),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1887] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(12471),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1887),
    [sym_block_comment] = STATE(1887),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_yield] = ACTIONS(3906),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1888] = {
    [sym_inline_modifier] = STATE(2259),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(13495),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(1888),
    [sym_block_comment] = STATE(1888),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_yield] = ACTIONS(3908),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [1889] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1889),
    [sym_block_comment] = STATE(1889),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3910),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1890] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17339),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1890),
    [sym_block_comment] = STATE(1890),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1891] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16327),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1891),
    [sym_block_comment] = STATE(1891),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1892] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16352),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1892),
    [sym_block_comment] = STATE(1892),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1893] = {
    [sym_inline_modifier] = STATE(2299),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12040),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1893),
    [sym_block_comment] = STATE(1893),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_yield] = ACTIONS(3912),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1894] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17387),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1894),
    [sym_block_comment] = STATE(1894),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1895] = {
    [sym_inline_modifier] = STATE(2216),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12819),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1895),
    [sym_block_comment] = STATE(1895),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_yield] = ACTIONS(3914),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1896] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16560),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1896),
    [sym_block_comment] = STATE(1896),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1897] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16612),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1897),
    [sym_block_comment] = STATE(1897),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1898] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16582),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1898),
    [sym_block_comment] = STATE(1898),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1899] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17826),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1899),
    [sym_block_comment] = STATE(1899),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1900] = {
    [sym_inline_modifier] = STATE(2056),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12404),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1900),
    [sym_block_comment] = STATE(1900),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_yield] = ACTIONS(3916),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1901] = {
    [sym_inline_modifier] = STATE(2337),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13101),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1901),
    [sym_block_comment] = STATE(1901),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_yield] = ACTIONS(3918),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1902] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16808),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1902),
    [sym_block_comment] = STATE(1902),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1903] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17571),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1903),
    [sym_block_comment] = STATE(1903),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1904] = {
    [sym_inline_modifier] = STATE(2172),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11592),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(1904),
    [sym_block_comment] = STATE(1904),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_yield] = ACTIONS(3920),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [1905] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17566),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1905),
    [sym_block_comment] = STATE(1905),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1906] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17243),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1906),
    [sym_block_comment] = STATE(1906),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1907] = {
    [sym_inline_modifier] = STATE(2090),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(13242),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(1907),
    [sym_block_comment] = STATE(1907),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_yield] = ACTIONS(3922),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [1908] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1908),
    [sym_block_comment] = STATE(1908),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3924),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1909] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16730),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1909),
    [sym_block_comment] = STATE(1909),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1910] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17172),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1910),
    [sym_block_comment] = STATE(1910),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1911] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17295),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1911),
    [sym_block_comment] = STATE(1911),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1912] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17669),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1912),
    [sym_block_comment] = STATE(1912),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1913] = {
    [sym_inline_modifier] = STATE(2055),
    [sym_block] = STATE(9273),
    [sym_expression] = STATE(13625),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1913),
    [sym_block_comment] = STATE(1913),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_yield] = ACTIONS(3926),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1914] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17374),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1914),
    [sym_block_comment] = STATE(1914),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1915] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16737),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1915),
    [sym_block_comment] = STATE(1915),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1916] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17222),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1916),
    [sym_block_comment] = STATE(1916),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1917] = {
    [sym_inline_modifier] = STATE(2190),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12773),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1917),
    [sym_block_comment] = STATE(1917),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(3928),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1918] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17262),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1918),
    [sym_block_comment] = STATE(1918),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1919] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17040),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1919),
    [sym_block_comment] = STATE(1919),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1920] = {
    [sym_inline_modifier] = STATE(2046),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(12471),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1920),
    [sym_block_comment] = STATE(1920),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_yield] = ACTIONS(3930),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1921] = {
    [sym_inline_modifier] = STATE(2287),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12040),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1921),
    [sym_block_comment] = STATE(1921),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_yield] = ACTIONS(3932),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1922] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17429),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1922),
    [sym_block_comment] = STATE(1922),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1923] = {
    [sym_inline_modifier] = STATE(2066),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12040),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1923),
    [sym_block_comment] = STATE(1923),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_yield] = ACTIONS(3934),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [1924] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17554),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1924),
    [sym_block_comment] = STATE(1924),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1925] = {
    [sym_inline_modifier] = STATE(2049),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12585),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(1925),
    [sym_block_comment] = STATE(1925),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_yield] = ACTIONS(3936),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [1926] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17263),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1926),
    [sym_block_comment] = STATE(1926),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1927] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16966),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1927),
    [sym_block_comment] = STATE(1927),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1928] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17229),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1928),
    [sym_block_comment] = STATE(1928),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1929] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17330),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1929),
    [sym_block_comment] = STATE(1929),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1930] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17457),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1930),
    [sym_block_comment] = STATE(1930),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1931] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16490),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1931),
    [sym_block_comment] = STATE(1931),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1932] = {
    [sym_inline_modifier] = STATE(2080),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(13227),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(1932),
    [sym_block_comment] = STATE(1932),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_yield] = ACTIONS(3938),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [1933] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16599),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1933),
    [sym_block_comment] = STATE(1933),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1934] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1934),
    [sym_block_comment] = STATE(1934),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3940),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1935] = {
    [sym_inline_modifier] = STATE(2037),
    [sym_block] = STATE(9825),
    [sym_expression] = STATE(13946),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1935),
    [sym_block_comment] = STATE(1935),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_yield] = ACTIONS(3942),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [1936] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17163),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1936),
    [sym_block_comment] = STATE(1936),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1937] = {
    [sym_inline_modifier] = STATE(2043),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13336),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(1937),
    [sym_block_comment] = STATE(1937),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_yield] = ACTIONS(3944),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [1938] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(13742),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1938),
    [sym_block_comment] = STATE(1938),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(3946),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1939] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17411),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1939),
    [sym_block_comment] = STATE(1939),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1940] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16433),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1940),
    [sym_block_comment] = STATE(1940),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1941] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17602),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1941),
    [sym_block_comment] = STATE(1941),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1942] = {
    [sym_inline_modifier] = STATE(2289),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11864),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(1942),
    [sym_block_comment] = STATE(1942),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_yield] = ACTIONS(3948),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [1943] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17704),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1943),
    [sym_block_comment] = STATE(1943),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1944] = {
    [sym_inline_modifier] = STATE(2205),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(13174),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1944),
    [sym_block_comment] = STATE(1944),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_yield] = ACTIONS(3950),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1945] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17107),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1945),
    [sym_block_comment] = STATE(1945),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1946] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1946),
    [sym_block_comment] = STATE(1946),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3952),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1947] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16495),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1947),
    [sym_block_comment] = STATE(1947),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1948] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16310),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1948),
    [sym_block_comment] = STATE(1948),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1949] = {
    [sym_inline_modifier] = STATE(2105),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(13495),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(1949),
    [sym_block_comment] = STATE(1949),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_yield] = ACTIONS(3954),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [1950] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16713),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1950),
    [sym_block_comment] = STATE(1950),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1951] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17015),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1951),
    [sym_block_comment] = STATE(1951),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1952] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17475),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1952),
    [sym_block_comment] = STATE(1952),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1953] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1953),
    [sym_block_comment] = STATE(1953),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3956),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1954] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16215),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1954),
    [sym_block_comment] = STATE(1954),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1955] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16263),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1955),
    [sym_block_comment] = STATE(1955),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1956] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17046),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1956),
    [sym_block_comment] = STATE(1956),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1957] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16756),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1957),
    [sym_block_comment] = STATE(1957),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1958] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17628),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1958),
    [sym_block_comment] = STATE(1958),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1959] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17292),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1959),
    [sym_block_comment] = STATE(1959),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1960] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16454),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1960),
    [sym_block_comment] = STATE(1960),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1961] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12404),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(1961),
    [sym_block_comment] = STATE(1961),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_yield] = ACTIONS(3958),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [1962] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16635),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1962),
    [sym_block_comment] = STATE(1962),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1963] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1963),
    [sym_block_comment] = STATE(1963),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3960),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1964] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1964),
    [sym_block_comment] = STATE(1964),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3962),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1965] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17699),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1965),
    [sym_block_comment] = STATE(1965),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1966] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17319),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1966),
    [sym_block_comment] = STATE(1966),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1967] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17135),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1967),
    [sym_block_comment] = STATE(1967),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1968] = {
    [sym_inline_modifier] = STATE(2079),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13101),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1968),
    [sym_block_comment] = STATE(1968),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_yield] = ACTIONS(3964),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1969] = {
    [sym_inline_modifier] = STATE(2110),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13765),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(1969),
    [sym_block_comment] = STATE(1969),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_yield] = ACTIONS(3966),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [1970] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16899),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1970),
    [sym_block_comment] = STATE(1970),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1971] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17540),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1971),
    [sym_block_comment] = STATE(1971),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1972] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16251),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1972),
    [sym_block_comment] = STATE(1972),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1973] = {
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13101),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(1973),
    [sym_block_comment] = STATE(1973),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_yield] = ACTIONS(3968),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [1974] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17514),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1974),
    [sym_block_comment] = STATE(1974),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1975] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17105),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1975),
    [sym_block_comment] = STATE(1975),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1976] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1976),
    [sym_block_comment] = STATE(1976),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3970),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1977] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16338),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1977),
    [sym_block_comment] = STATE(1977),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1978] = {
    [sym_inline_modifier] = STATE(2133),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12773),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1978),
    [sym_block_comment] = STATE(1978),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(3972),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [1979] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17760),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1979),
    [sym_block_comment] = STATE(1979),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1980] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16471),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1980),
    [sym_block_comment] = STATE(1980),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1981] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17401),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1981),
    [sym_block_comment] = STATE(1981),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1982] = {
    [sym_inline_modifier] = STATE(2286),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(12471),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(1982),
    [sym_block_comment] = STATE(1982),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_yield] = ACTIONS(3974),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [1983] = {
    [sym_inline_modifier] = STATE(2253),
    [sym_block] = STATE(10305),
    [sym_expression] = STATE(14048),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(1983),
    [sym_block_comment] = STATE(1983),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(3976),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [1984] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17481),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1984),
    [sym_block_comment] = STATE(1984),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1985] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17713),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1985),
    [sym_block_comment] = STATE(1985),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1986] = {
    [sym_inline_modifier] = STATE(2347),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(13227),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(1986),
    [sym_block_comment] = STATE(1986),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_yield] = ACTIONS(3978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [1987] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17030),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1987),
    [sym_block_comment] = STATE(1987),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1988] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1988),
    [sym_block_comment] = STATE(1988),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3980),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1989] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1989),
    [sym_block_comment] = STATE(1989),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3982),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1990] = {
    [sym_inline_modifier] = STATE(2183),
    [sym_block] = STATE(9273),
    [sym_expression] = STATE(13625),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(1990),
    [sym_block_comment] = STATE(1990),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_yield] = ACTIONS(3984),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [1991] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16825),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1991),
    [sym_block_comment] = STATE(1991),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1992] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17323),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1992),
    [sym_block_comment] = STATE(1992),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1993] = {
    [sym_inline_modifier] = STATE(2279),
    [sym_block] = STATE(9651),
    [sym_expression] = STATE(13787),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(1993),
    [sym_block_comment] = STATE(1993),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_yield] = ACTIONS(3986),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [1994] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1994),
    [sym_block_comment] = STATE(1994),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3988),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1995] = {
    [sym_inline_modifier] = STATE(2072),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12819),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(1995),
    [sym_block_comment] = STATE(1995),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_yield] = ACTIONS(3990),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [1996] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17662),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1996),
    [sym_block_comment] = STATE(1996),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1997] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17115),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1997),
    [sym_block_comment] = STATE(1997),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [1998] = {
    [sym_inline_modifier] = STATE(2310),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(13174),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(1998),
    [sym_block_comment] = STATE(1998),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_yield] = ACTIONS(3992),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [1999] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16856),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(1999),
    [sym_block_comment] = STATE(1999),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2000] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17730),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2000),
    [sym_block_comment] = STATE(2000),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2001] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2001),
    [sym_block_comment] = STATE(2001),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(3994),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2002] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16826),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2002),
    [sym_block_comment] = STATE(2002),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2003] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16902),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2003),
    [sym_block_comment] = STATE(2003),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2004] = {
    [sym_inline_modifier] = STATE(2192),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12819),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(2004),
    [sym_block_comment] = STATE(2004),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_yield] = ACTIONS(3996),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [2005] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17684),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2005),
    [sym_block_comment] = STATE(2005),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2006] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16395),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2006),
    [sym_block_comment] = STATE(2006),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2007] = {
    [sym_inline_modifier] = STATE(2120),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13336),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(2007),
    [sym_block_comment] = STATE(2007),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_yield] = ACTIONS(3998),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [2008] = {
    [sym_inline_modifier] = STATE(2246),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(12672),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(2008),
    [sym_block_comment] = STATE(2008),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_yield] = ACTIONS(4000),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2009] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12585),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(2009),
    [sym_block_comment] = STATE(2009),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_yield] = ACTIONS(4002),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2010] = {
    [sym_inline_modifier] = STATE(2331),
    [sym_block] = STATE(9946),
    [sym_expression] = STATE(14004),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(2010),
    [sym_block_comment] = STATE(2010),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_yield] = ACTIONS(4004),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [2011] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17384),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2011),
    [sym_block_comment] = STATE(2011),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2012] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16656),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2012),
    [sym_block_comment] = STATE(2012),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2013] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2013),
    [sym_block_comment] = STATE(2013),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(4006),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2014] = {
    [sym_inline_modifier] = STATE(2097),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12773),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2014),
    [sym_block_comment] = STATE(2014),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(4008),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2015] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2015),
    [sym_block_comment] = STATE(2015),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(4010),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2016] = {
    [sym_inline_modifier] = STATE(2100),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(12672),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(2016),
    [sym_block_comment] = STATE(2016),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_yield] = ACTIONS(4012),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2017] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17720),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2017),
    [sym_block_comment] = STATE(2017),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2018] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17745),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2018),
    [sym_block_comment] = STATE(2018),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2019] = {
    [sym_inline_modifier] = STATE(2210),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13336),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(2019),
    [sym_block_comment] = STATE(2019),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_yield] = ACTIONS(4014),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [2020] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2020),
    [sym_block_comment] = STATE(2020),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(4016),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2021] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17496),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2021),
    [sym_block_comment] = STATE(2021),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2022] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17346),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2022),
    [sym_block_comment] = STATE(2022),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2023] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17511),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2023),
    [sym_block_comment] = STATE(2023),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2024] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2024),
    [sym_block_comment] = STATE(2024),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_RPAREN] = ACTIONS(4018),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2025] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17439),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2025),
    [sym_block_comment] = STATE(2025),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2026] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(17385),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2026),
    [sym_block_comment] = STATE(2026),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2027] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16191),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2027),
    [sym_block_comment] = STATE(2027),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2028] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12585),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(2028),
    [sym_block_comment] = STATE(2028),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_yield] = ACTIONS(4020),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2029] = {
    [sym_inline_modifier] = STATE(2065),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12773),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2029),
    [sym_block_comment] = STATE(2029),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_yield] = ACTIONS(4022),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2030] = {
    [sym_inline_modifier] = STATE(2186),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(13742),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2030),
    [sym_block_comment] = STATE(2030),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(4024),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2031] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16933),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2031),
    [sym_block_comment] = STATE(2031),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2032] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14138),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym__exprs_in_parens] = STATE(16770),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2032),
    [sym_block_comment] = STATE(2032),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2033] = {
    [sym_inline_modifier] = STATE(2053),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11592),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(2033),
    [sym_block_comment] = STATE(2033),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_yield] = ACTIONS(4026),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2034] = {
    [sym_inline_modifier] = STATE(2246),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(12804),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(2034),
    [sym_block_comment] = STATE(2034),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2035] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14213),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2035),
    [sym_block_comment] = STATE(2035),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2036] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15771),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2036),
    [sym_block_comment] = STATE(2036),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4028),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2037] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15804),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2037),
    [sym_block_comment] = STATE(2037),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4030),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2038] = {
    [sym_inline_modifier] = STATE(2066),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12011),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(2038),
    [sym_block_comment] = STATE(2038),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2039] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(15292),
    [sym__simple_expression] = STATE(4668),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(8412),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16446),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(7662),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(4501),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(5718),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2039),
    [sym_block_comment] = STATE(2039),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1136),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2040] = {
    [sym_inline_modifier] = STATE(2279),
    [sym_block] = STATE(9651),
    [sym_expression] = STATE(13652),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(2040),
    [sym_block_comment] = STATE(2040),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2041] = {
    [sym_inline_modifier] = STATE(2306),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(13294),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(2041),
    [sym_block_comment] = STATE(2041),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [2042] = {
    [sym_inline_modifier] = STATE(2216),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12741),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(2042),
    [sym_block_comment] = STATE(2042),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [2043] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15768),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2043),
    [sym_block_comment] = STATE(2043),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4032),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2044] = {
    [sym_inline_modifier] = STATE(2110),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13784),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(2044),
    [sym_block_comment] = STATE(2044),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2045] = {
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13223),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(2045),
    [sym_block_comment] = STATE(2045),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [2046] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15670),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2046),
    [sym_block_comment] = STATE(2046),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4034),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2047] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14501),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2047),
    [sym_block_comment] = STATE(2047),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2048] = {
    [sym_inline_modifier] = STATE(2279),
    [sym_block] = STATE(9651),
    [sym_expression] = STATE(13684),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(2048),
    [sym_block_comment] = STATE(2048),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2049] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15837),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2049),
    [sym_block_comment] = STATE(2049),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4036),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2050] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15804),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2050),
    [sym_block_comment] = STATE(2050),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4038),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2051] = {
    [sym_inline_modifier] = STATE(2080),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(13100),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(2051),
    [sym_block_comment] = STATE(2051),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [2052] = {
    [sym_inline_modifier] = STATE(2079),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13223),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(2052),
    [sym_block_comment] = STATE(2052),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [2053] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15771),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2053),
    [sym_block_comment] = STATE(2053),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4040),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2054] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(14746),
    [sym__simple_expression] = STATE(5281),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(9343),
    [sym_postfix_expression] = STATE(13188),
    [sym__postfix_expression_choice] = STATE(13780),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9321),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(4566),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(6422),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2054),
    [sym_block_comment] = STATE(2054),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1598),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2055] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15669),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2055),
    [sym_block_comment] = STATE(2055),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4042),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2056] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15804),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2056),
    [sym_block_comment] = STATE(2056),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4044),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2057] = {
    [sym_inline_modifier] = STATE(2036),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11594),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(2057),
    [sym_block_comment] = STATE(2057),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2058] = {
    [sym_inline_modifier] = STATE(2066),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12140),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(2058),
    [sym_block_comment] = STATE(2058),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2059] = {
    [sym_inline_modifier] = STATE(2347),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(13048),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(2059),
    [sym_block_comment] = STATE(2059),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [2060] = {
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13318),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(2060),
    [sym_block_comment] = STATE(2060),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [2061] = {
    [sym_inline_modifier] = STATE(2066),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12031),
    [sym__simple_expression] = STATE(5310),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(15950),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8878),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4923),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6986),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(2061),
    [sym_block_comment] = STATE(2061),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1494),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2062] = {
    [sym_inline_modifier] = STATE(2110),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13741),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(2062),
    [sym_block_comment] = STATE(2062),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2063] = {
    [sym_inline_modifier] = STATE(2046),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(12479),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(2063),
    [sym_block_comment] = STATE(2063),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2064] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15837),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2064),
    [sym_block_comment] = STATE(2064),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4046),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2065] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15344),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2065),
    [sym_block_comment] = STATE(2065),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2066] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2066),
    [sym_block_comment] = STATE(2066),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4048),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2067] = {
    [sym_inline_modifier] = STATE(2043),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13409),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(2067),
    [sym_block_comment] = STATE(2067),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [2068] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14514),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2068),
    [sym_block_comment] = STATE(2068),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2069] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14194),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2069),
    [sym_block_comment] = STATE(2069),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2070] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14705),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2070),
    [sym_block_comment] = STATE(2070),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2071] = {
    [sym_inline_modifier] = STATE(2287),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12011),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(2071),
    [sym_block_comment] = STATE(2071),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2072] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15238),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2072),
    [sym_block_comment] = STATE(2072),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4050),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2073] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(15820),
    [sym__simple_expression] = STATE(4383),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(7036),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16425),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(6481),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4346),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(4791),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2073),
    [sym_block_comment] = STATE(2073),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(920),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2074] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(15715),
    [sym__simple_expression] = STATE(5515),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16362),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5425),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7467),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2074),
    [sym_block_comment] = STATE(2074),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1342),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [2075] = {
    [sym_inline_modifier] = STATE(2279),
    [sym_block] = STATE(9651),
    [sym_expression] = STATE(13731),
    [sym__simple_expression] = STATE(6377),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16016),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(10346),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16570),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(10052),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5800),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8096),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(2075),
    [sym_block_comment] = STATE(2075),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1906),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1910),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(1912),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(1918),
    [anon_sym_throw] = ACTIONS(1920),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2076] = {
    [sym_inline_modifier] = STATE(2245),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13726),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(2076),
    [sym_block_comment] = STATE(2076),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2077] = {
    [sym_inline_modifier] = STATE(2259),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(13476),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(2077),
    [sym_block_comment] = STATE(2077),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [2078] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(14732),
    [sym__simple_expression] = STATE(4673),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(8259),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16154),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(7834),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(4538),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(5789),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2078),
    [sym_block_comment] = STATE(2078),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1064),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2079] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15574),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2079),
    [sym_block_comment] = STATE(2079),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4052),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2080] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15079),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2080),
    [sym_block_comment] = STATE(2080),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4054),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2081] = {
    [sym_inline_modifier] = STATE(2337),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13029),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(2081),
    [sym_block_comment] = STATE(2081),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [2082] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14350),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2082),
    [sym_block_comment] = STATE(2082),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2083] = {
    [sym_inline_modifier] = STATE(2120),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13409),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(2083),
    [sym_block_comment] = STATE(2083),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [2084] = {
    [sym_inline_modifier] = STATE(2100),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(12941),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(2084),
    [sym_block_comment] = STATE(2084),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2085] = {
    [sym_inline_modifier] = STATE(2046),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(12475),
    [sym__simple_expression] = STATE(5566),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16067),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9515),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5303),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7962),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(2085),
    [sym_block_comment] = STATE(2085),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2072),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2074),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2086] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(15820),
    [sym__simple_expression] = STATE(4442),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16425),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4346),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(4791),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2086),
    [sym_block_comment] = STATE(2086),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(920),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2087] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(15370),
    [sym__simple_expression] = STATE(7025),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10464),
    [sym_postfix_expression] = STATE(13984),
    [sym__postfix_expression_choice] = STATE(14259),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10430),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(5568),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8119),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2087),
    [sym_block_comment] = STATE(2087),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2064),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2088] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14490),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2088),
    [sym_block_comment] = STATE(2088),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2089] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(15557),
    [sym__simple_expression] = STATE(4653),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(8478),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16467),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(7668),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(4504),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(5795),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2089),
    [sym_block_comment] = STATE(2089),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1028),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2090] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15704),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2090),
    [sym_block_comment] = STATE(2090),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4056),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2091] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14195),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2091),
    [sym_block_comment] = STATE(2091),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2092] = {
    [sym_inline_modifier] = STATE(2296),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11885),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(2092),
    [sym_block_comment] = STATE(2092),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2093] = {
    [sym_inline_modifier] = STATE(2306),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(13239),
    [sym__simple_expression] = STATE(6616),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15856),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(9848),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(5505),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(8315),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(2093),
    [sym_block_comment] = STATE(2093),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1962),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1966),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(1968),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1974),
    [anon_sym_throw] = ACTIONS(1976),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [2094] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14579),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2094),
    [sym_block_comment] = STATE(2094),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2095] = {
    [sym_inline_modifier] = STATE(2186),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(13809),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2095),
    [sym_block_comment] = STATE(2095),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2096] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12412),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(2096),
    [sym_block_comment] = STATE(2096),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2097] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15344),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2097),
    [sym_block_comment] = STATE(2097),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4058),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2098] = {
    [sym_inline_modifier] = STATE(2216),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12763),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(2098),
    [sym_block_comment] = STATE(2098),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [2099] = {
    [sym_inline_modifier] = STATE(2079),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13318),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(2099),
    [sym_block_comment] = STATE(2099),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [2100] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15560),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2100),
    [sym_block_comment] = STATE(2100),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4060),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2101] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14524),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2101),
    [sym_block_comment] = STATE(2101),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2102] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12567),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(2102),
    [sym_block_comment] = STATE(2102),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2103] = {
    [sym_inline_modifier] = STATE(2079),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13029),
    [sym__simple_expression] = STATE(7953),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15903),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10470),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7022),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9503),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(2103),
    [sym_block_comment] = STATE(2103),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2304),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2306),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [2104] = {
    [sym_inline_modifier] = STATE(2310),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(13195),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(2104),
    [sym_block_comment] = STATE(2104),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [2105] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15443),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2105),
    [sym_block_comment] = STATE(2105),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4062),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2106] = {
    [sym_inline_modifier] = STATE(2172),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11594),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(2106),
    [sym_block_comment] = STATE(2106),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2107] = {
    [sym_inline_modifier] = STATE(2037),
    [sym_block] = STATE(9825),
    [sym_expression] = STATE(13863),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(2107),
    [sym_block_comment] = STATE(2107),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [2108] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(10305),
    [sym_expression] = STATE(15254),
    [sym__simple_expression] = STATE(7475),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10717),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(17099),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10627),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(7211),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9357),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2108),
    [sym_block_comment] = STATE(2108),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2264),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2109] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(15292),
    [sym__simple_expression] = STATE(4695),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16446),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(4501),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(5718),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2109),
    [sym_block_comment] = STATE(2109),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1136),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2110] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15629),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2110),
    [sym_block_comment] = STATE(2110),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4064),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2111] = {
    [sym_inline_modifier] = STATE(2347),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(2111),
    [sym_block_comment] = STATE(2111),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [2112] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9825),
    [sym_expression] = STATE(15765),
    [sym__simple_expression] = STATE(6929),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10588),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16383),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10233),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6484),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(9194),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2112),
    [sym_block_comment] = STATE(2112),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(1946),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [2113] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(15672),
    [sym__simple_expression] = STATE(5363),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16339),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(6811),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2113),
    [sym_block_comment] = STATE(2113),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1306),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [2114] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(15357),
    [sym__simple_expression] = STATE(5721),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(9834),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16488),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9637),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(7989),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2114),
    [sym_block_comment] = STATE(2114),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(1858),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [2115] = {
    [sym_inline_modifier] = STATE(2313),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13029),
    [sym__simple_expression] = STATE(6088),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15977),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(9780),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(5873),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(8419),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(2115),
    [sym_block_comment] = STATE(2115),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1798),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(1804),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [2116] = {
    [sym_inline_modifier] = STATE(2347),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(13100),
    [sym__simple_expression] = STATE(5585),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16144),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9436),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5219),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7835),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(2116),
    [sym_block_comment] = STATE(2116),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(1870),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1874),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1876),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1878),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [2117] = {
    [sym_inline_modifier] = STATE(2205),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(13132),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(2117),
    [sym_block_comment] = STATE(2117),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [2118] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14271),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2118),
    [sym_block_comment] = STATE(2118),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2119] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(10804),
    [sym_expression] = STATE(15484),
    [sym__simple_expression] = STATE(8836),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(10804),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(10804),
    [sym_call_expression] = STATE(10804),
    [sym_field_expression] = STATE(10804),
    [sym_instance_expression] = STATE(10804),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16404),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(10804),
    [sym_parenthesized_expression] = STATE(10804),
    [sym_splice_expression] = STATE(10804),
    [sym_quote_expression] = STATE(10804),
    [sym_identifier] = STATE(9188),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10458),
    [sym__non_null_literal] = STATE(10804),
    [sym_boolean_literal] = STATE(10679),
    [sym_interpolated_string_expression] = STATE(10804),
    [sym_string] = STATE(10679),
    [sym_unit] = STATE(10804),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2119),
    [sym_block_comment] = STATE(2119),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(3310),
    [sym_floating_point_literal] = ACTIONS(3312),
    [anon_sym_true] = ACTIONS(3314),
    [anon_sym_false] = ACTIONS(3314),
    [sym_character_literal] = ACTIONS(3312),
    [sym_null_literal] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(3318),
    [sym__simple_string] = ACTIONS(3318),
  },
  [2120] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15768),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2120),
    [sym_block_comment] = STATE(2120),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4066),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2121] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(15231),
    [sym__simple_expression] = STATE(4473),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(7829),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16497),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(7090),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4437),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(5360),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2121),
    [sym_block_comment] = STATE(2121),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(992),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2122] = {
    [sym_inline_modifier] = STATE(2253),
    [sym_block] = STATE(10305),
    [sym_expression] = STATE(14140),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2122),
    [sym_block_comment] = STATE(2122),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2123] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15704),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2123),
    [sym_block_comment] = STATE(2123),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4068),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2124] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14478),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2124),
    [sym_block_comment] = STATE(2124),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2125] = {
    [sym_inline_modifier] = STATE(2246),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(12941),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(2125),
    [sym_block_comment] = STATE(2125),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2126] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(14746),
    [sym__simple_expression] = STATE(4940),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16835),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(4566),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(6422),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2126),
    [sym_block_comment] = STATE(2126),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1598),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2127] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15377),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2127),
    [sym_block_comment] = STATE(2127),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4070),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2128] = {
    [sym_inline_modifier] = STATE(2233),
    [sym_block] = STATE(9454),
    [sym_expression] = STATE(13656),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(2128),
    [sym_block_comment] = STATE(2128),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [2129] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14172),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2129),
    [sym_block_comment] = STATE(2129),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2130] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14537),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2130),
    [sym_block_comment] = STATE(2130),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2131] = {
    [sym_inline_modifier] = STATE(2186),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(13828),
    [sym__simple_expression] = STATE(8762),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16058),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11002),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8369),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10325),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2131),
    [sym_block_comment] = STATE(2131),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2523),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2529),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3284),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2543),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2132] = {
    [sym_inline_modifier] = STATE(2180),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13726),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(2132),
    [sym_block_comment] = STATE(2132),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2133] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15344),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2133),
    [sym_block_comment] = STATE(2133),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4072),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2134] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12194),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(2134),
    [sym_block_comment] = STATE(2134),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2135] = {
    [sym_inline_modifier] = STATE(2139),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11839),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(2135),
    [sym_block_comment] = STATE(2135),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2136] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9454),
    [sym_expression] = STATE(15223),
    [sym__simple_expression] = STATE(6126),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10236),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16592),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10061),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5604),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8390),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2136),
    [sym_block_comment] = STATE(2136),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1676),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [2137] = {
    [sym_inline_modifier] = STATE(2110),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13673),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(2137),
    [sym_block_comment] = STATE(2137),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2138] = {
    [sym_inline_modifier] = STATE(2299),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12011),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(2138),
    [sym_block_comment] = STATE(2138),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2139] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15508),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2139),
    [sym_block_comment] = STATE(2139),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4074),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2140] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(15557),
    [sym__simple_expression] = STATE(4594),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16467),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(4504),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(5795),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2140),
    [sym_block_comment] = STATE(2140),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1028),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2141] = {
    [sym_inline_modifier] = STATE(2080),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(13211),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(2141),
    [sym_block_comment] = STATE(2141),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [2142] = {
    [sym_inline_modifier] = STATE(2310),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(13132),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(2142),
    [sym_block_comment] = STATE(2142),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [2143] = {
    [sym_inline_modifier] = STATE(2097),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12985),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2143),
    [sym_block_comment] = STATE(2143),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2144] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9454),
    [sym_expression] = STATE(15223),
    [sym__simple_expression] = STATE(6144),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16592),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5604),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8390),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2144),
    [sym_block_comment] = STATE(2144),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1676),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [2145] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(15370),
    [sym__simple_expression] = STATE(7127),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10589),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16350),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10234),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(5568),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8119),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2145),
    [sym_block_comment] = STATE(2145),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2064),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2146] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14200),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2146),
    [sym_block_comment] = STATE(2146),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2147] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14704),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2147),
    [sym_block_comment] = STATE(2147),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2148] = {
    [sym_inline_modifier] = STATE(2097),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12642),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2148),
    [sym_block_comment] = STATE(2148),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2149] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(15231),
    [sym__simple_expression] = STATE(4470),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16497),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4437),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(5360),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2149),
    [sym_block_comment] = STATE(2149),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(992),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2150] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(15715),
    [sym__simple_expression] = STATE(5521),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(9733),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16362),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9725),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5425),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7467),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2150),
    [sym_block_comment] = STATE(2150),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1342),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [2151] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(15370),
    [sym__simple_expression] = STATE(7324),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10611),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16350),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10208),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(5568),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8119),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2151),
    [sym_block_comment] = STATE(2151),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2064),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2152] = {
    [sym_inline_modifier] = STATE(2139),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11845),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(2152),
    [sym_block_comment] = STATE(2152),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2153] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14628),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2153),
    [sym_block_comment] = STATE(2153),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2154] = {
    [sym_inline_modifier] = STATE(2133),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12985),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2154),
    [sym_block_comment] = STATE(2154),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2155] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15771),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2155),
    [sym_block_comment] = STATE(2155),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4076),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2156] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(15598),
    [sym__simple_expression] = STATE(5344),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16237),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(4922),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(6679),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2156),
    [sym_block_comment] = STATE(2156),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1468),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [2157] = {
    [sym_inline_modifier] = STATE(2286),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(12475),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(2157),
    [sym_block_comment] = STATE(2157),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2158] = {
    [sym_inline_modifier] = STATE(2289),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11885),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(2158),
    [sym_block_comment] = STATE(2158),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2159] = {
    [sym_inline_modifier] = STATE(2246),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(12653),
    [sym__simple_expression] = STATE(5355),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(15965),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8989),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4917),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7125),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(2159),
    [sym_block_comment] = STATE(2159),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2160] = {
    [sym_inline_modifier] = STATE(2139),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11885),
    [sym__simple_expression] = STATE(5164),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15934),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8775),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4916),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7135),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(2160),
    [sym_block_comment] = STATE(2160),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2046),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2050),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(2052),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(2054),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_throw] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2161] = {
    [sym_inline_modifier] = STATE(2097),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12903),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2161),
    [sym_block_comment] = STATE(2161),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2162] = {
    [sym_inline_modifier] = STATE(2287),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12140),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(2162),
    [sym_block_comment] = STATE(2162),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2163] = {
    [sym_inline_modifier] = STATE(2180),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13673),
    [sym__simple_expression] = STATE(7447),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15935),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10631),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(7314),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(9663),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(2163),
    [sym_block_comment] = STATE(2163),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(503),
    [anon_sym_try] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2988),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(539),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(549),
    [anon_sym_throw] = ACTIONS(551),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2164] = {
    [sym_inline_modifier] = STATE(2072),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12763),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(2164),
    [sym_block_comment] = STATE(2164),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [2165] = {
    [sym_inline_modifier] = STATE(2120),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13394),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(2165),
    [sym_block_comment] = STATE(2165),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [2166] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14545),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2166),
    [sym_block_comment] = STATE(2166),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2167] = {
    [sym_inline_modifier] = STATE(2216),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12984),
    [sym__simple_expression] = STATE(5771),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16041),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(9538),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(5068),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(7523),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(2167),
    [sym_block_comment] = STATE(2167),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1690),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(1696),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [2168] = {
    [sym_inline_modifier] = STATE(2233),
    [sym_block] = STATE(9454),
    [sym_expression] = STATE(13644),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(2168),
    [sym_block_comment] = STATE(2168),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [2169] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(15357),
    [sym__simple_expression] = STATE(5551),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16488),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(5253),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(7989),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2169),
    [sym_block_comment] = STATE(2169),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(1858),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [2170] = {
    [sym_inline_modifier] = STATE(2037),
    [sym_block] = STATE(9825),
    [sym_expression] = STATE(13896),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(2170),
    [sym_block_comment] = STATE(2170),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [2171] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9273),
    [sym_expression] = STATE(15070),
    [sym__simple_expression] = STATE(5582),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(9801),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16509),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9667),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5217),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(7879),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2171),
    [sym_block_comment] = STATE(2171),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(1394),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [2172] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15771),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2172),
    [sym_block_comment] = STATE(2172),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4078),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2173] = {
    [sym_inline_modifier] = STATE(2287),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12031),
    [sym__simple_expression] = STATE(5209),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16130),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(8799),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4893),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(6649),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(2173),
    [sym_block_comment] = STATE(2173),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(1782),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1788),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1790),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_throw] = ACTIONS(1794),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2174] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14469),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2174),
    [sym_block_comment] = STATE(2174),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2175] = {
    [sym_inline_modifier] = STATE(2271),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12567),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(2175),
    [sym_block_comment] = STATE(2175),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2176] = {
    [sym_inline_modifier] = STATE(2289),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11845),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(2176),
    [sym_block_comment] = STATE(2176),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2177] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14632),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2177),
    [sym_block_comment] = STATE(2177),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2178] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14461),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2178),
    [sym_block_comment] = STATE(2178),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2179] = {
    [sym_inline_modifier] = STATE(2072),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12741),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(2179),
    [sym_block_comment] = STATE(2179),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [2180] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15629),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2180),
    [sym_block_comment] = STATE(2180),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(884),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2181] = {
    [sym_inline_modifier] = STATE(2065),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12903),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2181),
    [sym_block_comment] = STATE(2181),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2182] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14201),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2182),
    [sym_block_comment] = STATE(2182),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2183] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15669),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2183),
    [sym_block_comment] = STATE(2183),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4080),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2184] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14720),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2184),
    [sym_block_comment] = STATE(2184),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2185] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(10804),
    [sym_expression] = STATE(15484),
    [sym__simple_expression] = STATE(8919),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(10804),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(10804),
    [sym_call_expression] = STATE(10804),
    [sym_field_expression] = STATE(10804),
    [sym_instance_expression] = STATE(10804),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(11214),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16066),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(11056),
    [sym_tuple_expression] = STATE(10804),
    [sym_parenthesized_expression] = STATE(10804),
    [sym_splice_expression] = STATE(10804),
    [sym_quote_expression] = STATE(10804),
    [sym_identifier] = STATE(9188),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10458),
    [sym__non_null_literal] = STATE(10804),
    [sym_boolean_literal] = STATE(10679),
    [sym_interpolated_string_expression] = STATE(10804),
    [sym_string] = STATE(10679),
    [sym_unit] = STATE(10804),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2185),
    [sym_block_comment] = STATE(2185),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(3302),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_DOLLAR] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3308),
    [sym_integer_literal] = ACTIONS(3310),
    [sym_floating_point_literal] = ACTIONS(3312),
    [anon_sym_true] = ACTIONS(3314),
    [anon_sym_false] = ACTIONS(3314),
    [sym_character_literal] = ACTIONS(3312),
    [sym_null_literal] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(3318),
    [sym__simple_string] = ACTIONS(3318),
  },
  [2186] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15377),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2186),
    [sym_block_comment] = STATE(2186),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4082),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2187] = {
    [sym_inline_modifier] = STATE(2036),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11588),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(2187),
    [sym_block_comment] = STATE(2187),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2188] = {
    [sym_inline_modifier] = STATE(2253),
    [sym_block] = STATE(10305),
    [sym_expression] = STATE(14143),
    [sym__simple_expression] = STATE(7387),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16064),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10843),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17484),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10465),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(6665),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9472),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2188),
    [sym_block_comment] = STATE(2188),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(85),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(95),
    [anon_sym_throw] = ACTIONS(97),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2189] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14638),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2189),
    [sym_block_comment] = STATE(2189),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2190] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15344),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2190),
    [sym_block_comment] = STATE(2190),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2191] = {
    [sym_inline_modifier] = STATE(2036),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11591),
    [sym__simple_expression] = STATE(4908),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16076),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8348),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4573),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6443),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(2191),
    [sym_block_comment] = STATE(2191),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1584),
    [anon_sym_try] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1588),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1590),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1592),
    [anon_sym_throw] = ACTIONS(1594),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2192] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15238),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2192),
    [sym_block_comment] = STATE(2192),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4084),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2193] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9825),
    [sym_expression] = STATE(15765),
    [sym__simple_expression] = STATE(6925),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16383),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6484),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(9194),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2193),
    [sym_block_comment] = STATE(2193),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(1946),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [2194] = {
    [sym_inline_modifier] = STATE(2105),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(13476),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(2194),
    [sym_block_comment] = STATE(2194),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [2195] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14553),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2195),
    [sym_block_comment] = STATE(2195),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2196] = {
    [sym_inline_modifier] = STATE(2190),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12985),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2196),
    [sym_block_comment] = STATE(2196),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2197] = {
    [sym_inline_modifier] = STATE(2210),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13409),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(2197),
    [sym_block_comment] = STATE(2197),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [2198] = {
    [sym_inline_modifier] = STATE(2183),
    [sym_block] = STATE(9273),
    [sym_expression] = STATE(13415),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(2198),
    [sym_block_comment] = STATE(2198),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [2199] = {
    [sym_inline_modifier] = STATE(2055),
    [sym_block] = STATE(9273),
    [sym_expression] = STATE(13415),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(2199),
    [sym_block_comment] = STATE(2199),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [2200] = {
    [sym_inline_modifier] = STATE(2205),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(13195),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(2200),
    [sym_block_comment] = STATE(2200),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [2201] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(15370),
    [sym__simple_expression] = STATE(6209),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16350),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(5568),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8119),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2201),
    [sym_block_comment] = STATE(2201),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2064),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2202] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15837),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2202),
    [sym_block_comment] = STATE(2202),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4086),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2203] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(14783),
    [sym__simple_expression] = STATE(4994),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(9223),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16630),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(8218),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4596),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(6388),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2203),
    [sym_block_comment] = STATE(2203),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1100),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2204] = {
    [sym_inline_modifier] = STATE(2133),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12642),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2204),
    [sym_block_comment] = STATE(2204),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2205] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15738),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2205),
    [sym_block_comment] = STATE(2205),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4088),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2206] = {
    [sym_inline_modifier] = STATE(2123),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(13294),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(2206),
    [sym_block_comment] = STATE(2206),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [2207] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12408),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(2207),
    [sym_block_comment] = STATE(2207),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2208] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(15672),
    [sym__simple_expression] = STATE(5374),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(9654),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16339),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9147),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(4759),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(6811),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2208),
    [sym_block_comment] = STATE(2208),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1306),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [2209] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(14732),
    [sym__simple_expression] = STATE(4630),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16154),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(4538),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(5789),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2209),
    [sym_block_comment] = STATE(2209),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1064),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2210] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15768),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2210),
    [sym_block_comment] = STATE(2210),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4090),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2211] = {
    [sym_inline_modifier] = STATE(2123),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(13239),
    [sym__simple_expression] = STATE(7737),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(15993),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10619),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7120),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9410),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(2211),
    [sym_block_comment] = STATE(2211),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(2904),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2908),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(2912),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3290),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(2926),
    [anon_sym_throw] = ACTIONS(2928),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [2212] = {
    [sym_inline_modifier] = STATE(2286),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(12479),
    [sym__simple_expression] = STATE(5598),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(16045),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9409),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5185),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(7733),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(2212),
    [sym_block_comment] = STATE(2212),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(2430),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2213] = {
    [sym_inline_modifier] = STATE(2289),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11839),
    [sym__simple_expression] = STATE(5938),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(15996),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9481),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(5121),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7905),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(2213),
    [sym_block_comment] = STATE(2213),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1430),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1436),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2214] = {
    [sym_inline_modifier] = STATE(2210),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13349),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(2214),
    [sym_block_comment] = STATE(2214),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [2215] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(14746),
    [sym__simple_expression] = STATE(7154),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10509),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16835),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10354),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(4566),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(6422),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2215),
    [sym_block_comment] = STATE(2215),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1598),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2216] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15238),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2216),
    [sym_block_comment] = STATE(2216),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4092),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2217] = {
    [sym_inline_modifier] = STATE(2337),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13223),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(2217),
    [sym_block_comment] = STATE(2217),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [2218] = {
    [sym_inline_modifier] = STATE(2055),
    [sym_block] = STATE(9273),
    [sym_expression] = STATE(13499),
    [sym__simple_expression] = STATE(6430),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(15874),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10041),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5763),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8108),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(2218),
    [sym_block_comment] = STATE(2218),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2108),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2116),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [2219] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12194),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(2219),
    [sym_block_comment] = STATE(2219),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2220] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14458),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2220),
    [sym_block_comment] = STATE(2220),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2221] = {
    [sym_inline_modifier] = STATE(2271),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12408),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(2221),
    [sym_block_comment] = STATE(2221),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2222] = {
    [sym_inline_modifier] = STATE(2064),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12314),
    [sym__simple_expression] = STATE(6440),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15892),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(10021),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5588),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8317),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(2222),
    [sym_block_comment] = STATE(2222),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2342),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2344),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2348),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2223] = {
    [sym_inline_modifier] = STATE(2053),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11591),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(2223),
    [sym_block_comment] = STATE(2223),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2224] = {
    [sym_inline_modifier] = STATE(2259),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(13393),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(2224),
    [sym_block_comment] = STATE(2224),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [2225] = {
    [sym_inline_modifier] = STATE(2090),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(13294),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(2225),
    [sym_block_comment] = STATE(2225),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [2226] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14645),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2226),
    [sym_block_comment] = STATE(2226),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2227] = {
    [sym_inline_modifier] = STATE(2310),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(13066),
    [sym__simple_expression] = STATE(5595),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15997),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9414),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5195),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7740),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(2227),
    [sym_block_comment] = STATE(2227),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2034),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(2038),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(2042),
    [anon_sym_throw] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [2228] = {
    [sym_inline_modifier] = STATE(2245),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13673),
    [sym__simple_expression] = STATE(7130),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15855),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10585),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10237),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6434),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8784),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(2228),
    [sym_block_comment] = STATE(2228),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_try] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(2258),
    [anon_sym_inline] = ACTIONS(2062),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(589),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(591),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_throw] = ACTIONS(595),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2229] = {
    [sym_inline_modifier] = STATE(2049),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12314),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(2229),
    [sym_block_comment] = STATE(2229),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2230] = {
    [sym_inline_modifier] = STATE(2271),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12420),
    [sym__simple_expression] = STATE(5564),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(15917),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9526),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5308),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8011),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(2230),
    [sym_block_comment] = STATE(2230),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1818),
    [anon_sym_try] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1826),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2231] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14216),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2231),
    [sym_block_comment] = STATE(2231),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2232] = {
    [sym_inline_modifier] = STATE(2192),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12741),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(2232),
    [sym_block_comment] = STATE(2232),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [2233] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15508),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2233),
    [sym_block_comment] = STATE(2233),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4094),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2234] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(15766),
    [sym__simple_expression] = STATE(5188),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16746),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(4839),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(6818),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2234),
    [sym_block_comment] = STATE(2234),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1214),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [2235] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14623),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2235),
    [sym_block_comment] = STATE(2235),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2236] = {
    [sym_inline_modifier] = STATE(2043),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13394),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(2236),
    [sym_block_comment] = STATE(2236),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [2237] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14217),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2237),
    [sym_block_comment] = STATE(2237),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2238] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(10305),
    [sym_expression] = STATE(15254),
    [sym__simple_expression] = STATE(7407),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(10305),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(10305),
    [sym_call_expression] = STATE(10305),
    [sym_field_expression] = STATE(10305),
    [sym_instance_expression] = STATE(10305),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(17099),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(10305),
    [sym_parenthesized_expression] = STATE(10305),
    [sym_splice_expression] = STATE(10305),
    [sym_quote_expression] = STATE(10305),
    [sym_identifier] = STATE(7211),
    [sym__soft_identifier] = STATE(4485),
    [sym_wildcard] = STATE(9357),
    [sym__non_null_literal] = STATE(10305),
    [sym_boolean_literal] = STATE(10306),
    [sym_interpolated_string_expression] = STATE(10305),
    [sym_string] = STATE(10306),
    [sym_unit] = STATE(10305),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2238),
    [sym_block_comment] = STATE(2238),
    [sym__alpha_identifier] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym__] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(45),
    [anon_sym_opaque] = ACTIONS(2262),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(67),
    [anon_sym_infix] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_transparent] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(75),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym__backquoted_id] = ACTIONS(83),
    [sym_operator_identifier] = ACTIONS(2264),
    [sym_integer_literal] = ACTIONS(87),
    [sym_floating_point_literal] = ACTIONS(89),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(89),
    [sym_null_literal] = ACTIONS(93),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(103),
    [sym__simple_string] = ACTIONS(103),
  },
  [2239] = {
    [sym_inline_modifier] = STATE(2080),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(13048),
    [sym__simple_expression] = STATE(5576),
    [sym_lambda_expression] = STATE(13603),
    [sym_if_expression] = STATE(13603),
    [sym_match_expression] = STATE(13603),
    [sym_try_expression] = STATE(13603),
    [sym_bindings] = STATE(16092),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13603),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13603),
    [sym_infix_expression] = STATE(9520),
    [sym_postfix_expression] = STATE(13037),
    [sym__postfix_expression_choice] = STATE(16727),
    [sym_macro_body] = STATE(13603),
    [sym_prefix_expression] = STATE(9533),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(5262),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(7571),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13603),
    [sym_throw_expression] = STATE(13603),
    [sym_while_expression] = STATE(13603),
    [sym_do_while_expression] = STATE(13603),
    [sym_for_expression] = STATE(13603),
    [sym_comment] = STATE(2239),
    [sym_block_comment] = STATE(2239),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1562),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1566),
    [anon_sym_try] = ACTIONS(1568),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(1570),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1574),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_throw] = ACTIONS(1578),
    [anon_sym_do] = ACTIONS(1580),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [2240] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14564),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2240),
    [sym_block_comment] = STATE(2240),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2241] = {
    [sym_inline_modifier] = STATE(2133),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12922),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2241),
    [sym_block_comment] = STATE(2241),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2242] = {
    [sym_inline_modifier] = STATE(2190),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12903),
    [sym__simple_expression] = STATE(7606),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16140),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10592),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6764),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(9523),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2242),
    [sym_block_comment] = STATE(2242),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_while] = ACTIONS(121),
    [anon_sym_for] = ACTIONS(123),
    [anon_sym_try] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(415),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2243] = {
    [sym_inline_modifier] = STATE(2065),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12985),
    [sym__simple_expression] = STATE(7155),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15891),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(10501),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(10361),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(6483),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8841),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2243),
    [sym_block_comment] = STATE(2243),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(605),
    [anon_sym_while] = ACTIONS(607),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_try] = ACTIONS(611),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2218),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(603),
    [anon_sym_TILDE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(621),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(623),
    [anon_sym_throw] = ACTIONS(625),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2244] = {
    [sym_inline_modifier] = STATE(2183),
    [sym_block] = STATE(9273),
    [sym_expression] = STATE(13499),
    [sym__simple_expression] = STATE(6446),
    [sym_lambda_expression] = STATE(13792),
    [sym_if_expression] = STATE(13792),
    [sym_match_expression] = STATE(13792),
    [sym_try_expression] = STATE(13792),
    [sym_bindings] = STATE(16059),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13792),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13792),
    [sym_infix_expression] = STATE(10051),
    [sym_postfix_expression] = STATE(13372),
    [sym__postfix_expression_choice] = STATE(16316),
    [sym_macro_body] = STATE(13792),
    [sym_prefix_expression] = STATE(10017),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5586),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(8297),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13792),
    [sym_throw_expression] = STATE(13792),
    [sym_while_expression] = STATE(13792),
    [sym_do_while_expression] = STATE(13792),
    [sym_for_expression] = STATE(13792),
    [sym_comment] = STATE(2244),
    [sym_block_comment] = STATE(2244),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2446),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(2450),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_throw] = ACTIONS(2454),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [2245] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15629),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2245),
    [sym_block_comment] = STATE(2245),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2246] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15560),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2246),
    [sym_block_comment] = STATE(2246),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4096),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2247] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14431),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2247),
    [sym_block_comment] = STATE(2247),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2248] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14697),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2248),
    [sym_block_comment] = STATE(2248),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2249] = {
    [sym_inline_modifier] = STATE(2331),
    [sym_block] = STATE(9946),
    [sym_expression] = STATE(13915),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(2249),
    [sym_block_comment] = STATE(2249),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [2250] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14949),
    [sym__simple_expression] = STATE(6295),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2250),
    [sym_block_comment] = STATE(2250),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2251] = {
    [sym_inline_modifier] = STATE(2259),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(13558),
    [sym__simple_expression] = STATE(6645),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(15976),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(9859),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5867),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8465),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(2251),
    [sym_block_comment] = STATE(2251),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2088),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2096),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [2252] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(12475),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(2252),
    [sym_block_comment] = STATE(2252),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2253] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15344),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2253),
    [sym_block_comment] = STATE(2253),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(882),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2254] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(15561),
    [sym__simple_expression] = STATE(5021),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16708),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(4572),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(6631),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2254),
    [sym_block_comment] = STATE(2254),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1270),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [2255] = {
    [sym_inline_modifier] = STATE(2155),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(13576),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(2255),
    [sym_block_comment] = STATE(2255),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [2256] = {
    [sym_inline_modifier] = STATE(2210),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13394),
    [sym__simple_expression] = STATE(8120),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15966),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10939),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(8029),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(9921),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(2256),
    [sym_block_comment] = STATE(2256),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2200),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [2257] = {
    [sym_inline_modifier] = STATE(2049),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12194),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(2257),
    [sym_block_comment] = STATE(2257),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2258] = {
    [sym_inline_modifier] = STATE(2133),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12903),
    [sym__simple_expression] = STATE(6496),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(15929),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9899),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5552),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8115),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2258),
    [sym_block_comment] = STATE(2258),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2480),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2259] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15443),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2259),
    [sym_block_comment] = STATE(2259),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4098),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2260] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(15598),
    [sym__simple_expression] = STATE(5348),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(9519),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16237),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9218),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(4922),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(6679),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2260),
    [sym_block_comment] = STATE(2260),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(1468),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [2261] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12314),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(2261),
    [sym_block_comment] = STATE(2261),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2262] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9273),
    [sym_expression] = STATE(15070),
    [sym__simple_expression] = STATE(5907),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9273),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9273),
    [sym_call_expression] = STATE(9273),
    [sym_field_expression] = STATE(9273),
    [sym_instance_expression] = STATE(9273),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16509),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9273),
    [sym_parenthesized_expression] = STATE(9273),
    [sym_splice_expression] = STATE(9273),
    [sym_quote_expression] = STATE(9273),
    [sym_identifier] = STATE(5217),
    [sym__soft_identifier] = STATE(6647),
    [sym_wildcard] = STATE(7879),
    [sym__non_null_literal] = STATE(9273),
    [sym_boolean_literal] = STATE(8909),
    [sym_interpolated_string_expression] = STATE(9273),
    [sym_string] = STATE(8909),
    [sym_unit] = STATE(9273),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2262),
    [sym_block_comment] = STATE(2262),
    [sym__alpha_identifier] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1382),
    [anon_sym_opaque] = ACTIONS(1380),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1384),
    [anon_sym_infix] = ACTIONS(1380),
    [anon_sym_open] = ACTIONS(1380),
    [anon_sym_transparent] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [sym__backquoted_id] = ACTIONS(1392),
    [sym_operator_identifier] = ACTIONS(1394),
    [sym_integer_literal] = ACTIONS(1396),
    [sym_floating_point_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [sym_character_literal] = ACTIONS(1398),
    [sym_null_literal] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1404),
    [sym__simple_string] = ACTIONS(1404),
  },
  [2263] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9946),
    [sym_expression] = STATE(15426),
    [sym__simple_expression] = STATE(7294),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16269),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(8833),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2263),
    [sym_block_comment] = STATE(2263),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2020),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [2264] = {
    [sym_inline_modifier] = STATE(2043),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13349),
    [sym__simple_expression] = STATE(7306),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15880),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10142),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(6044),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(8962),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(2264),
    [sym_block_comment] = STATE(2264),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2322),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [2265] = {
    [sym_inline_modifier] = STATE(2192),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12763),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(2265),
    [sym_block_comment] = STATE(2265),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [2266] = {
    [sym_inline_modifier] = STATE(2296),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11845),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(2266),
    [sym_block_comment] = STATE(2266),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2267] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(14803),
    [sym__simple_expression] = STATE(5747),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10060),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16650),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9362),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5082),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(7812),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2267),
    [sym_block_comment] = STATE(2267),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(1732),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [2268] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14649),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2268),
    [sym_block_comment] = STATE(2268),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2269] = {
    [sym_inline_modifier] = STATE(2337),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(13318),
    [sym__simple_expression] = STATE(7725),
    [sym_lambda_expression] = STATE(13322),
    [sym_if_expression] = STATE(13322),
    [sym_match_expression] = STATE(13322),
    [sym_try_expression] = STATE(13322),
    [sym_bindings] = STATE(15924),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13322),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13322),
    [sym_infix_expression] = STATE(9678),
    [sym_postfix_expression] = STATE(13259),
    [sym__postfix_expression_choice] = STATE(16733),
    [sym_macro_body] = STATE(13322),
    [sym_prefix_expression] = STATE(10571),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(7132),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(9396),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13322),
    [sym_throw_expression] = STATE(13322),
    [sym_while_expression] = STATE(13322),
    [sym_do_while_expression] = STATE(13322),
    [sym_for_expression] = STATE(13322),
    [sym_comment] = STATE(2269),
    [sym_block_comment] = STATE(2269),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(2286),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2292),
    [anon_sym_do] = ACTIONS(1814),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [2270] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14689),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2270),
    [sym_block_comment] = STATE(2270),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2271] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15804),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2271),
    [sym_block_comment] = STATE(2271),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4100),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2272] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15377),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2272),
    [sym_block_comment] = STATE(2272),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4102),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2273] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14221),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2273),
    [sym_block_comment] = STATE(2273),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2274] = {
    [sym_inline_modifier] = STATE(2296),
    [sym_block] = STATE(6041),
    [sym_expression] = STATE(11839),
    [sym__simple_expression] = STATE(5278),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16011),
    [sym_case_block] = STATE(6041),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(6041),
    [sym_call_expression] = STATE(6041),
    [sym_field_expression] = STATE(6041),
    [sym_instance_expression] = STATE(6041),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(7880),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16792),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(8847),
    [sym_tuple_expression] = STATE(6041),
    [sym_parenthesized_expression] = STATE(6041),
    [sym_splice_expression] = STATE(6041),
    [sym_quote_expression] = STATE(6041),
    [sym_identifier] = STATE(4855),
    [sym__soft_identifier] = STATE(4603),
    [sym_wildcard] = STATE(7026),
    [sym__non_null_literal] = STATE(6041),
    [sym_boolean_literal] = STATE(6307),
    [sym_interpolated_string_expression] = STATE(6041),
    [sym_string] = STATE(6307),
    [sym_unit] = STATE(6041),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(2274),
    [sym_block_comment] = STATE(2274),
    [sym__alpha_identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(972),
    [anon_sym__] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_end] = ACTIONS(978),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(1548),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1552),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_opaque] = ACTIONS(978),
    [anon_sym_implicit] = ACTIONS(1554),
    [anon_sym_inline] = ACTIONS(982),
    [anon_sym_infix] = ACTIONS(978),
    [anon_sym_open] = ACTIONS(978),
    [anon_sym_transparent] = ACTIONS(978),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_macro] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(976),
    [anon_sym_TILDE] = ACTIONS(976),
    [anon_sym_DOLLAR] = ACTIONS(986),
    [anon_sym_SQUOTE] = ACTIONS(988),
    [sym__backquoted_id] = ACTIONS(990),
    [sym_operator_identifier] = ACTIONS(1556),
    [sym_integer_literal] = ACTIONS(994),
    [sym_floating_point_literal] = ACTIONS(996),
    [anon_sym_true] = ACTIONS(998),
    [anon_sym_false] = ACTIONS(998),
    [sym_character_literal] = ACTIONS(996),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1558),
    [anon_sym_throw] = ACTIONS(1560),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1002),
    [sym__simple_string] = ACTIONS(1002),
  },
  [2275] = {
    [sym_inline_modifier] = STATE(2172),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11591),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(2275),
    [sym_block_comment] = STATE(2275),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2276] = {
    [sym_inline_modifier] = STATE(2233),
    [sym_block] = STATE(9454),
    [sym_expression] = STATE(13691),
    [sym__simple_expression] = STATE(6177),
    [sym_lambda_expression] = STATE(11939),
    [sym_if_expression] = STATE(11939),
    [sym_match_expression] = STATE(11939),
    [sym_try_expression] = STATE(11939),
    [sym_bindings] = STATE(16022),
    [sym_case_block] = STATE(9454),
    [sym_assignment_expression] = STATE(11939),
    [sym_generic_function] = STATE(9454),
    [sym_call_expression] = STATE(9454),
    [sym_field_expression] = STATE(9454),
    [sym_instance_expression] = STATE(9454),
    [sym_ascription_expression] = STATE(11939),
    [sym_infix_expression] = STATE(10209),
    [sym_postfix_expression] = STATE(11756),
    [sym__postfix_expression_choice] = STATE(16893),
    [sym_macro_body] = STATE(11939),
    [sym_prefix_expression] = STATE(9990),
    [sym_tuple_expression] = STATE(9454),
    [sym_parenthesized_expression] = STATE(9454),
    [sym_splice_expression] = STATE(9454),
    [sym_quote_expression] = STATE(9454),
    [sym_identifier] = STATE(5803),
    [sym__soft_identifier] = STATE(4557),
    [sym_wildcard] = STATE(8081),
    [sym__non_null_literal] = STATE(9454),
    [sym_boolean_literal] = STATE(9467),
    [sym_interpolated_string_expression] = STATE(9454),
    [sym_string] = STATE(9467),
    [sym_unit] = STATE(9454),
    [sym_return_expression] = STATE(11939),
    [sym_throw_expression] = STATE(11939),
    [sym_while_expression] = STATE(11939),
    [sym_do_while_expression] = STATE(11939),
    [sym_for_expression] = STATE(11939),
    [sym_comment] = STATE(2276),
    [sym_block_comment] = STATE(2276),
    [sym__alpha_identifier] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym__] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1660),
    [anon_sym_end] = ACTIONS(1662),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1664),
    [anon_sym_opaque] = ACTIONS(1662),
    [anon_sym_implicit] = ACTIONS(1772),
    [anon_sym_inline] = ACTIONS(1666),
    [anon_sym_infix] = ACTIONS(1662),
    [anon_sym_open] = ACTIONS(1662),
    [anon_sym_transparent] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_macro] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [sym__backquoted_id] = ACTIONS(1674),
    [sym_operator_identifier] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1678),
    [sym_floating_point_literal] = ACTIONS(1680),
    [anon_sym_true] = ACTIONS(1682),
    [anon_sym_false] = ACTIONS(1682),
    [sym_character_literal] = ACTIONS(1680),
    [sym_null_literal] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1778),
    [anon_sym_throw] = ACTIONS(1780),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1686),
    [sym__simple_string] = ACTIONS(1686),
  },
  [2277] = {
    [sym_inline_modifier] = STATE(2155),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(13542),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(2277),
    [sym_block_comment] = STATE(2277),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [2278] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14683),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2278),
    [sym_block_comment] = STATE(2278),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2279] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2279),
    [sym_block_comment] = STATE(2279),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4104),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2280] = {
    [sym_inline_modifier] = STATE(2100),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(12653),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(2280),
    [sym_block_comment] = STATE(2280),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2281] = {
    [sym_inline_modifier] = STATE(2155),
    [sym_block] = STATE(9085),
    [sym_expression] = STATE(13365),
    [sym__simple_expression] = STATE(5548),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(15990),
    [sym_case_block] = STATE(9085),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(9085),
    [sym_call_expression] = STATE(9085),
    [sym_field_expression] = STATE(9085),
    [sym_instance_expression] = STATE(9085),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(9829),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16227),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9628),
    [sym_tuple_expression] = STATE(9085),
    [sym_parenthesized_expression] = STATE(9085),
    [sym_splice_expression] = STATE(9085),
    [sym_quote_expression] = STATE(9085),
    [sym_identifier] = STATE(5287),
    [sym__soft_identifier] = STATE(4415),
    [sym_wildcard] = STATE(7997),
    [sym__non_null_literal] = STATE(9085),
    [sym_boolean_literal] = STATE(8942),
    [sym_interpolated_string_expression] = STATE(9085),
    [sym_string] = STATE(8942),
    [sym_unit] = STATE(9085),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(2281),
    [sym_block_comment] = STATE(2281),
    [sym__alpha_identifier] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym__] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_end] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1330),
    [anon_sym_opaque] = ACTIONS(1328),
    [anon_sym_implicit] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym_infix] = ACTIONS(1328),
    [anon_sym_open] = ACTIONS(1328),
    [anon_sym_transparent] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_macro] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [sym__backquoted_id] = ACTIONS(1340),
    [sym_operator_identifier] = ACTIONS(1418),
    [sym_integer_literal] = ACTIONS(1344),
    [sym_floating_point_literal] = ACTIONS(1346),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [sym_character_literal] = ACTIONS(1346),
    [sym_null_literal] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1352),
    [sym__simple_string] = ACTIONS(1352),
  },
  [2282] = {
    [sym_inline_modifier] = STATE(2056),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12420),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(2282),
    [sym_block_comment] = STATE(2282),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2283] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14949),
    [sym__simple_expression] = STATE(6288),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10180),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9795),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2283),
    [sym_block_comment] = STATE(2283),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2284] = {
    [sym_inline_modifier] = STATE(2172),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11588),
    [sym__simple_expression] = STATE(4844),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16111),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(8136),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4634),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(6491),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(2284),
    [sym_block_comment] = STATE(2284),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(2462),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1162),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2285] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14450),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2285),
    [sym_block_comment] = STATE(2285),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2286] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15670),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2286),
    [sym_block_comment] = STATE(2286),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4106),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2287] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2287),
    [sym_block_comment] = STATE(2287),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4108),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2288] = {
    [sym_inline_modifier] = STATE(2299),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12031),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(2288),
    [sym_block_comment] = STATE(2288),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2289] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15508),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2289),
    [sym_block_comment] = STATE(2289),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4110),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2290] = {
    [sym_inline_modifier] = STATE(2331),
    [sym_block] = STATE(9946),
    [sym_expression] = STATE(13967),
    [sym__simple_expression] = STATE(7303),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15944),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(10547),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16633),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(10289),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6315),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(9229),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(2290),
    [sym_block_comment] = STATE(2290),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2494),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [2291] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14681),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2291),
    [sym_block_comment] = STATE(2291),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2292] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(15294),
    [sym__simple_expression] = STATE(5193),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16390),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(6913),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2292),
    [sym_block_comment] = STATE(2292),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1536),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [2293] = {
    [sym_inline_modifier] = STATE(2037),
    [sym_block] = STATE(9825),
    [sym_expression] = STATE(13925),
    [sym__simple_expression] = STATE(7165),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16118),
    [sym_case_block] = STATE(9825),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(9825),
    [sym_call_expression] = STATE(9825),
    [sym_field_expression] = STATE(9825),
    [sym_instance_expression] = STATE(9825),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(10453),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16187),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(10437),
    [sym_tuple_expression] = STATE(9825),
    [sym_parenthesized_expression] = STATE(9825),
    [sym_splice_expression] = STATE(9825),
    [sym_quote_expression] = STATE(9825),
    [sym_identifier] = STATE(6533),
    [sym__soft_identifier] = STATE(4744),
    [sym_wildcard] = STATE(8786),
    [sym__non_null_literal] = STATE(9825),
    [sym_boolean_literal] = STATE(10026),
    [sym_interpolated_string_expression] = STATE(9825),
    [sym_string] = STATE(10026),
    [sym_unit] = STATE(9825),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(2293),
    [sym_block_comment] = STATE(2293),
    [sym__alpha_identifier] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym__] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1930),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_end] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(1934),
    [anon_sym_opaque] = ACTIONS(1932),
    [anon_sym_implicit] = ACTIONS(2158),
    [anon_sym_inline] = ACTIONS(1936),
    [anon_sym_infix] = ACTIONS(1932),
    [anon_sym_open] = ACTIONS(1932),
    [anon_sym_transparent] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_macro] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_TILDE] = ACTIONS(1930),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [sym__backquoted_id] = ACTIONS(1944),
    [sym_operator_identifier] = ACTIONS(2162),
    [sym_integer_literal] = ACTIONS(1948),
    [sym_floating_point_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym_character_literal] = ACTIONS(1950),
    [sym_null_literal] = ACTIONS(1954),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1956),
    [sym__simple_string] = ACTIONS(1956),
  },
  [2294] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8388),
    [sym_expression] = STATE(15766),
    [sym__simple_expression] = STATE(5071),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8388),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8388),
    [sym_call_expression] = STATE(8388),
    [sym_field_expression] = STATE(8388),
    [sym_instance_expression] = STATE(8388),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(9696),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16746),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9230),
    [sym_tuple_expression] = STATE(8388),
    [sym_parenthesized_expression] = STATE(8388),
    [sym_splice_expression] = STATE(8388),
    [sym_quote_expression] = STATE(8388),
    [sym_identifier] = STATE(4839),
    [sym__soft_identifier] = STATE(5670),
    [sym_wildcard] = STATE(6818),
    [sym__non_null_literal] = STATE(8388),
    [sym_boolean_literal] = STATE(8537),
    [sym_interpolated_string_expression] = STATE(8388),
    [sym_string] = STATE(8537),
    [sym_unit] = STATE(8388),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2294),
    [sym_block_comment] = STATE(2294),
    [sym__alpha_identifier] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_end] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_opaque] = ACTIONS(1200),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1204),
    [anon_sym_infix] = ACTIONS(1200),
    [anon_sym_open] = ACTIONS(1200),
    [anon_sym_transparent] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym__backquoted_id] = ACTIONS(1212),
    [sym_operator_identifier] = ACTIONS(1214),
    [sym_integer_literal] = ACTIONS(1216),
    [sym_floating_point_literal] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [sym_character_literal] = ACTIONS(1218),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1224),
    [sym__simple_string] = ACTIONS(1224),
  },
  [2295] = {
    [sym_inline_modifier] = STATE(2301),
    [sym_block] = STATE(7151),
    [sym_expression] = STATE(12479),
    [sym__simple_expression] = STATE(6582),
    [sym_lambda_expression] = STATE(12622),
    [sym_if_expression] = STATE(12622),
    [sym_match_expression] = STATE(12622),
    [sym_try_expression] = STATE(12622),
    [sym_bindings] = STATE(15876),
    [sym_case_block] = STATE(7151),
    [sym_assignment_expression] = STATE(12622),
    [sym_generic_function] = STATE(7151),
    [sym_call_expression] = STATE(7151),
    [sym_field_expression] = STATE(7151),
    [sym_instance_expression] = STATE(7151),
    [sym_ascription_expression] = STATE(12622),
    [sym_infix_expression] = STATE(8450),
    [sym_postfix_expression] = STATE(11855),
    [sym__postfix_expression_choice] = STATE(16540),
    [sym_macro_body] = STATE(12622),
    [sym_prefix_expression] = STATE(9944),
    [sym_tuple_expression] = STATE(7151),
    [sym_parenthesized_expression] = STATE(7151),
    [sym_splice_expression] = STATE(7151),
    [sym_quote_expression] = STATE(7151),
    [sym_identifier] = STATE(5488),
    [sym__soft_identifier] = STATE(4889),
    [sym_wildcard] = STATE(8337),
    [sym__non_null_literal] = STATE(7151),
    [sym_boolean_literal] = STATE(6914),
    [sym_interpolated_string_expression] = STATE(7151),
    [sym_string] = STATE(6914),
    [sym_unit] = STATE(7151),
    [sym_return_expression] = STATE(12622),
    [sym_throw_expression] = STATE(12622),
    [sym_while_expression] = STATE(12622),
    [sym_do_while_expression] = STATE(12622),
    [sym_for_expression] = STATE(12622),
    [sym_comment] = STATE(2295),
    [sym_block_comment] = STATE(2295),
    [sym__alpha_identifier] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym__] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_end] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1890),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_opaque] = ACTIONS(1050),
    [anon_sym_implicit] = ACTIONS(1892),
    [anon_sym_inline] = ACTIONS(1054),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_transparent] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_macro] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [sym__backquoted_id] = ACTIONS(1062),
    [sym_operator_identifier] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1066),
    [sym_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1070),
    [anon_sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1898),
    [anon_sym_throw] = ACTIONS(1900),
    [anon_sym_do] = ACTIONS(1902),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1074),
    [sym__simple_string] = ACTIONS(1074),
  },
  [2296] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15508),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2296),
    [sym_block_comment] = STATE(2296),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4112),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2297] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(15350),
    [sym__simple_expression] = STATE(4508),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16689),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4450),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(5139),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2297),
    [sym_block_comment] = STATE(2297),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(956),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2298] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8426),
    [sym_expression] = STATE(15294),
    [sym__simple_expression] = STATE(5169),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8426),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8426),
    [sym_call_expression] = STATE(8426),
    [sym_field_expression] = STATE(8426),
    [sym_instance_expression] = STATE(8426),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(9701),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16390),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9014),
    [sym_tuple_expression] = STATE(8426),
    [sym_parenthesized_expression] = STATE(8426),
    [sym_splice_expression] = STATE(8426),
    [sym_quote_expression] = STATE(8426),
    [sym_identifier] = STATE(4750),
    [sym__soft_identifier] = STATE(5790),
    [sym_wildcard] = STATE(6913),
    [sym__non_null_literal] = STATE(8426),
    [sym_boolean_literal] = STATE(8382),
    [sym_interpolated_string_expression] = STATE(8426),
    [sym_string] = STATE(8382),
    [sym_unit] = STATE(8426),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2298),
    [sym_block_comment] = STATE(2298),
    [sym__alpha_identifier] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym__] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_end] = ACTIONS(1522),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1524),
    [anon_sym_opaque] = ACTIONS(1522),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1526),
    [anon_sym_infix] = ACTIONS(1522),
    [anon_sym_open] = ACTIONS(1522),
    [anon_sym_transparent] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [sym__backquoted_id] = ACTIONS(1534),
    [sym_operator_identifier] = ACTIONS(1536),
    [sym_integer_literal] = ACTIONS(1538),
    [sym_floating_point_literal] = ACTIONS(1540),
    [anon_sym_true] = ACTIONS(1542),
    [anon_sym_false] = ACTIONS(1542),
    [sym_character_literal] = ACTIONS(1540),
    [sym_null_literal] = ACTIONS(1544),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1546),
    [sym__simple_string] = ACTIONS(1546),
  },
  [2299] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15353),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2299),
    [sym_block_comment] = STATE(2299),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4114),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2300] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(14746),
    [sym__simple_expression] = STATE(4940),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16835),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(4566),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(6422),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2300),
    [sym_block_comment] = STATE(2300),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1598),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2301] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15670),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2301),
    [sym_block_comment] = STATE(2301),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4116),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2302] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9946),
    [sym_expression] = STATE(15426),
    [sym__simple_expression] = STATE(7273),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9946),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9946),
    [sym_call_expression] = STATE(9946),
    [sym_field_expression] = STATE(9946),
    [sym_instance_expression] = STATE(9946),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10531),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16269),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10314),
    [sym_tuple_expression] = STATE(9946),
    [sym_parenthesized_expression] = STATE(9946),
    [sym_splice_expression] = STATE(9946),
    [sym_quote_expression] = STATE(9946),
    [sym_identifier] = STATE(6164),
    [sym__soft_identifier] = STATE(4691),
    [sym_wildcard] = STATE(8833),
    [sym__non_null_literal] = STATE(9946),
    [sym_boolean_literal] = STATE(9852),
    [sym_interpolated_string_expression] = STATE(9946),
    [sym_string] = STATE(9852),
    [sym_unit] = STATE(9946),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2302),
    [sym_block_comment] = STATE(2302),
    [sym__alpha_identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym__] = ACTIONS(2002),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_end] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(2008),
    [anon_sym_opaque] = ACTIONS(2006),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2010),
    [anon_sym_infix] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_transparent] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [sym__backquoted_id] = ACTIONS(2018),
    [sym_operator_identifier] = ACTIONS(2020),
    [sym_integer_literal] = ACTIONS(2022),
    [sym_floating_point_literal] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2026),
    [anon_sym_false] = ACTIONS(2026),
    [sym_character_literal] = ACTIONS(2024),
    [sym_null_literal] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(2030),
    [sym__simple_string] = ACTIONS(2030),
  },
  [2303] = {
    [sym_inline_modifier] = STATE(2053),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11594),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(2303),
    [sym_block_comment] = STATE(2303),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2304] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14662),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2304),
    [sym_block_comment] = STATE(2304),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2305] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(13828),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2305),
    [sym_block_comment] = STATE(2305),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2306] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15704),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2306),
    [sym_block_comment] = STATE(2306),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4118),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2307] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(13828),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2307),
    [sym_block_comment] = STATE(2307),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2308] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14677),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2308),
    [sym_block_comment] = STATE(2308),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2309] = {
    [sym_inline_modifier] = STATE(2202),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12412),
    [sym__simple_expression] = STATE(6490),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15946),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9924),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5563),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(8107),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(2309),
    [sym_block_comment] = STATE(2309),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(2130),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2310] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15738),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2310),
    [sym_block_comment] = STATE(2310),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4120),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2311] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14576),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2311),
    [sym_block_comment] = STATE(2311),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2312] = {
    [sym_inline_modifier] = STATE(2100),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(12804),
    [sym__simple_expression] = STATE(5202),
    [sym_lambda_expression] = STATE(13127),
    [sym_if_expression] = STATE(13127),
    [sym_match_expression] = STATE(13127),
    [sym_try_expression] = STATE(13127),
    [sym_bindings] = STATE(16099),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13127),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13127),
    [sym_infix_expression] = STATE(8987),
    [sym_postfix_expression] = STATE(12905),
    [sym__postfix_expression_choice] = STATE(16530),
    [sym_macro_body] = STATE(13127),
    [sym_prefix_expression] = STATE(8798),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4894),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(7082),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13127),
    [sym_throw_expression] = STATE(13127),
    [sym_while_expression] = STATE(13127),
    [sym_do_while_expression] = STATE(13127),
    [sym_for_expression] = STATE(13127),
    [sym_comment] = STATE(2312),
    [sym_block_comment] = STATE(2312),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(1498),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1506),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2313] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15574),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2313),
    [sym_block_comment] = STATE(2313),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4122),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2314] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(15561),
    [sym__simple_expression] = STATE(4943),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(9221),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16708),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(8570),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(4572),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(6631),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2314),
    [sym_block_comment] = STATE(2314),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(1270),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [2315] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9651),
    [sym_expression] = STATE(15094),
    [sym__simple_expression] = STATE(6525),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16670),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5528),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8243),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2315),
    [sym_block_comment] = STATE(2315),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1624),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2316] = {
    [sym_inline_modifier] = STATE(2205),
    [sym_block] = STATE(8592),
    [sym_expression] = STATE(13066),
    [sym__simple_expression] = STATE(5503),
    [sym_lambda_expression] = STATE(13488),
    [sym_if_expression] = STATE(13488),
    [sym_match_expression] = STATE(13488),
    [sym_try_expression] = STATE(13488),
    [sym_bindings] = STATE(15878),
    [sym_case_block] = STATE(8592),
    [sym_assignment_expression] = STATE(13488),
    [sym_generic_function] = STATE(8592),
    [sym_call_expression] = STATE(8592),
    [sym_field_expression] = STATE(8592),
    [sym_instance_expression] = STATE(8592),
    [sym_ascription_expression] = STATE(13488),
    [sym_infix_expression] = STATE(9709),
    [sym_postfix_expression] = STATE(13280),
    [sym__postfix_expression_choice] = STATE(16307),
    [sym_macro_body] = STATE(13488),
    [sym_prefix_expression] = STATE(9710),
    [sym_tuple_expression] = STATE(8592),
    [sym_parenthesized_expression] = STATE(8592),
    [sym_splice_expression] = STATE(8592),
    [sym_quote_expression] = STATE(8592),
    [sym_identifier] = STATE(5158),
    [sym__soft_identifier] = STATE(5590),
    [sym_wildcard] = STATE(7696),
    [sym__non_null_literal] = STATE(8592),
    [sym_boolean_literal] = STATE(8127),
    [sym_interpolated_string_expression] = STATE(8592),
    [sym_string] = STATE(8127),
    [sym_unit] = STATE(8592),
    [sym_return_expression] = STATE(13488),
    [sym_throw_expression] = STATE(13488),
    [sym_while_expression] = STATE(13488),
    [sym_do_while_expression] = STATE(13488),
    [sym_for_expression] = STATE(13488),
    [sym_comment] = STATE(2316),
    [sym_block_comment] = STATE(2316),
    [sym__alpha_identifier] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym__] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_end] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1746),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1294),
    [anon_sym_opaque] = ACTIONS(1292),
    [anon_sym_implicit] = ACTIONS(1752),
    [anon_sym_inline] = ACTIONS(1296),
    [anon_sym_infix] = ACTIONS(1292),
    [anon_sym_open] = ACTIONS(1292),
    [anon_sym_transparent] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_macro] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [sym__backquoted_id] = ACTIONS(1304),
    [sym_operator_identifier] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1308),
    [sym_floating_point_literal] = ACTIONS(1310),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [sym_character_literal] = ACTIONS(1310),
    [sym_null_literal] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1758),
    [anon_sym_throw] = ACTIONS(1760),
    [anon_sym_do] = ACTIONS(1762),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1316),
    [sym__simple_string] = ACTIONS(1316),
  },
  [2317] = {
    [sym_inline_modifier] = STATE(2192),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12984),
    [sym__simple_expression] = STATE(7088),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16048),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10144),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6466),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8804),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(2317),
    [sym_block_comment] = STATE(2317),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2374),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2376),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2380),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [2318] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(15370),
    [sym__simple_expression] = STATE(6209),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16350),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(5568),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8119),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2318),
    [sym_block_comment] = STATE(2318),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(2064),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2319] = {
    [sym_inline_modifier] = STATE(2056),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12408),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(2319),
    [sym_block_comment] = STATE(2319),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2320] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7406),
    [sym_expression] = STATE(14783),
    [sym__simple_expression] = STATE(4815),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7406),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7406),
    [sym_call_expression] = STATE(7406),
    [sym_field_expression] = STATE(7406),
    [sym_instance_expression] = STATE(7406),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16630),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(7406),
    [sym_parenthesized_expression] = STATE(7406),
    [sym_splice_expression] = STATE(7406),
    [sym_quote_expression] = STATE(7406),
    [sym_identifier] = STATE(4596),
    [sym__soft_identifier] = STATE(5433),
    [sym_wildcard] = STATE(6388),
    [sym__non_null_literal] = STATE(7406),
    [sym_boolean_literal] = STATE(7578),
    [sym_interpolated_string_expression] = STATE(7406),
    [sym_string] = STATE(7578),
    [sym_unit] = STATE(7406),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2320),
    [sym_block_comment] = STATE(2320),
    [sym__alpha_identifier] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym__] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_opaque] = ACTIONS(1086),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1090),
    [anon_sym_infix] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_transparent] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [sym__backquoted_id] = ACTIONS(1098),
    [sym_operator_identifier] = ACTIONS(1100),
    [sym_integer_literal] = ACTIONS(1102),
    [sym_floating_point_literal] = ACTIONS(1104),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1110),
    [sym__simple_string] = ACTIONS(1110),
  },
  [2321] = {
    [sym_inline_modifier] = STATE(2105),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(13393),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(2321),
    [sym_block_comment] = STATE(2321),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [2322] = {
    [sym_inline_modifier] = STATE(2049),
    [sym_block] = STATE(6943),
    [sym_expression] = STATE(12412),
    [sym__simple_expression] = STATE(5050),
    [sym_lambda_expression] = STATE(12951),
    [sym_if_expression] = STATE(12951),
    [sym_match_expression] = STATE(12951),
    [sym_try_expression] = STATE(12951),
    [sym_bindings] = STATE(15851),
    [sym_case_block] = STATE(6943),
    [sym_assignment_expression] = STATE(12951),
    [sym_generic_function] = STATE(6943),
    [sym_call_expression] = STATE(6943),
    [sym_field_expression] = STATE(6943),
    [sym_instance_expression] = STATE(6943),
    [sym_ascription_expression] = STATE(12951),
    [sym_infix_expression] = STATE(8135),
    [sym_postfix_expression] = STATE(12261),
    [sym__postfix_expression_choice] = STATE(16265),
    [sym_macro_body] = STATE(12951),
    [sym_prefix_expression] = STATE(9264),
    [sym_tuple_expression] = STATE(6943),
    [sym_parenthesized_expression] = STATE(6943),
    [sym_splice_expression] = STATE(6943),
    [sym_quote_expression] = STATE(6943),
    [sym_identifier] = STATE(5025),
    [sym__soft_identifier] = STATE(4947),
    [sym_wildcard] = STATE(7193),
    [sym__non_null_literal] = STATE(6943),
    [sym_boolean_literal] = STATE(6958),
    [sym_interpolated_string_expression] = STATE(6943),
    [sym_string] = STATE(6958),
    [sym_unit] = STATE(6943),
    [sym_return_expression] = STATE(12951),
    [sym_throw_expression] = STATE(12951),
    [sym_while_expression] = STATE(12951),
    [sym_do_while_expression] = STATE(12951),
    [sym_for_expression] = STATE(12951),
    [sym_comment] = STATE(2322),
    [sym_block_comment] = STATE(2322),
    [sym__alpha_identifier] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym__] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_end] = ACTIONS(1014),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_opaque] = ACTIONS(1014),
    [anon_sym_implicit] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1018),
    [anon_sym_infix] = ACTIONS(1014),
    [anon_sym_open] = ACTIONS(1014),
    [anon_sym_transparent] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_macro] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1012),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1024),
    [sym__backquoted_id] = ACTIONS(1026),
    [sym_operator_identifier] = ACTIONS(1182),
    [sym_integer_literal] = ACTIONS(1030),
    [sym_floating_point_literal] = ACTIONS(1032),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1038),
    [sym__simple_string] = ACTIONS(1038),
  },
  [2323] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(14746),
    [sym__simple_expression] = STATE(5145),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(9486),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16835),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(9244),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(4566),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(6422),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2323),
    [sym_block_comment] = STATE(2323),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(1598),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2324] = {
    [sym_inline_modifier] = STATE(2072),
    [sym_block] = STATE(7626),
    [sym_expression] = STATE(12984),
    [sym__simple_expression] = STATE(6987),
    [sym_lambda_expression] = STATE(13160),
    [sym_if_expression] = STATE(13160),
    [sym_match_expression] = STATE(13160),
    [sym_try_expression] = STATE(13160),
    [sym_bindings] = STATE(16084),
    [sym_case_block] = STATE(7626),
    [sym_assignment_expression] = STATE(13160),
    [sym_generic_function] = STATE(7626),
    [sym_call_expression] = STATE(7626),
    [sym_field_expression] = STATE(7626),
    [sym_instance_expression] = STATE(7626),
    [sym_ascription_expression] = STATE(13160),
    [sym_infix_expression] = STATE(8815),
    [sym_postfix_expression] = STATE(12703),
    [sym__postfix_expression_choice] = STATE(16610),
    [sym_macro_body] = STATE(13160),
    [sym_prefix_expression] = STATE(10330),
    [sym_tuple_expression] = STATE(7626),
    [sym_parenthesized_expression] = STATE(7626),
    [sym_splice_expression] = STATE(7626),
    [sym_quote_expression] = STATE(7626),
    [sym_identifier] = STATE(6493),
    [sym__soft_identifier] = STATE(5231),
    [sym_wildcard] = STATE(8882),
    [sym__non_null_literal] = STATE(7626),
    [sym_boolean_literal] = STATE(8009),
    [sym_interpolated_string_expression] = STATE(7626),
    [sym_string] = STATE(8009),
    [sym_unit] = STATE(7626),
    [sym_return_expression] = STATE(13160),
    [sym_throw_expression] = STATE(13160),
    [sym_while_expression] = STATE(13160),
    [sym_do_while_expression] = STATE(13160),
    [sym_for_expression] = STATE(13160),
    [sym_comment] = STATE(2324),
    [sym_block_comment] = STATE(2324),
    [sym__alpha_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym__] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_end] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2404),
    [anon_sym_for] = ACTIONS(2406),
    [anon_sym_try] = ACTIONS(2408),
    [anon_sym_new] = ACTIONS(1258),
    [anon_sym_opaque] = ACTIONS(1256),
    [anon_sym_implicit] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym_infix] = ACTIONS(1256),
    [anon_sym_open] = ACTIONS(1256),
    [anon_sym_transparent] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_macro] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [sym__backquoted_id] = ACTIONS(1268),
    [sym_operator_identifier] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(1272),
    [sym_floating_point_literal] = ACTIONS(1274),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [sym_character_literal] = ACTIONS(1274),
    [sym_null_literal] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(2414),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(1706),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1280),
    [sym__simple_string] = ACTIONS(1280),
  },
  [2325] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(13809),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2325),
    [sym_block_comment] = STATE(2325),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2326] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9651),
    [sym_expression] = STATE(15094),
    [sym__simple_expression] = STATE(6448),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9651),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9651),
    [sym_call_expression] = STATE(9651),
    [sym_field_expression] = STATE(9651),
    [sym_instance_expression] = STATE(9651),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10148),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16670),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10003),
    [sym_tuple_expression] = STATE(9651),
    [sym_parenthesized_expression] = STATE(9651),
    [sym_splice_expression] = STATE(9651),
    [sym_quote_expression] = STATE(9651),
    [sym_identifier] = STATE(5528),
    [sym__soft_identifier] = STATE(4478),
    [sym_wildcard] = STATE(8243),
    [sym__non_null_literal] = STATE(9651),
    [sym_boolean_literal] = STATE(9434),
    [sym_interpolated_string_expression] = STATE(9651),
    [sym_string] = STATE(9434),
    [sym_unit] = STATE(9651),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2326),
    [sym_block_comment] = STATE(2326),
    [sym__alpha_identifier] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1608),
    [anon_sym_DASH] = ACTIONS(1608),
    [anon_sym_end] = ACTIONS(1610),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_opaque] = ACTIONS(1610),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1614),
    [anon_sym_infix] = ACTIONS(1610),
    [anon_sym_open] = ACTIONS(1610),
    [anon_sym_transparent] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1618),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [sym__backquoted_id] = ACTIONS(1622),
    [sym_operator_identifier] = ACTIONS(1624),
    [sym_integer_literal] = ACTIONS(1626),
    [sym_floating_point_literal] = ACTIONS(1628),
    [anon_sym_true] = ACTIONS(1630),
    [anon_sym_false] = ACTIONS(1630),
    [sym_character_literal] = ACTIONS(1628),
    [sym_null_literal] = ACTIONS(1632),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1634),
    [sym__simple_string] = ACTIONS(1634),
  },
  [2327] = {
    [sym_inline_modifier] = STATE(2053),
    [sym_block] = STATE(5606),
    [sym_expression] = STATE(11588),
    [sym__simple_expression] = STATE(5293),
    [sym_lambda_expression] = STATE(11469),
    [sym_if_expression] = STATE(11469),
    [sym_match_expression] = STATE(11469),
    [sym_try_expression] = STATE(11469),
    [sym_bindings] = STATE(16070),
    [sym_case_block] = STATE(5606),
    [sym_assignment_expression] = STATE(11469),
    [sym_generic_function] = STATE(5606),
    [sym_call_expression] = STATE(5606),
    [sym_field_expression] = STATE(5606),
    [sym_instance_expression] = STATE(5606),
    [sym_ascription_expression] = STATE(11469),
    [sym_infix_expression] = STATE(6939),
    [sym_postfix_expression] = STATE(11327),
    [sym__postfix_expression_choice] = STATE(16177),
    [sym_macro_body] = STATE(11469),
    [sym_prefix_expression] = STATE(9213),
    [sym_tuple_expression] = STATE(5606),
    [sym_parenthesized_expression] = STATE(5606),
    [sym_splice_expression] = STATE(5606),
    [sym_quote_expression] = STATE(5606),
    [sym_identifier] = STATE(4819),
    [sym__soft_identifier] = STATE(4544),
    [sym_wildcard] = STATE(7152),
    [sym__non_null_literal] = STATE(5606),
    [sym_boolean_literal] = STATE(5634),
    [sym_interpolated_string_expression] = STATE(5606),
    [sym_string] = STATE(5634),
    [sym_unit] = STATE(5606),
    [sym_return_expression] = STATE(11469),
    [sym_throw_expression] = STATE(11469),
    [sym_while_expression] = STATE(11469),
    [sym_do_while_expression] = STATE(11469),
    [sym_for_expression] = STATE(11469),
    [sym_comment] = STATE(2327),
    [sym_block_comment] = STATE(2327),
    [sym__alpha_identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym__] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_end] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_opaque] = ACTIONS(902),
    [anon_sym_implicit] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(910),
    [anon_sym_infix] = ACTIONS(902),
    [anon_sym_open] = ACTIONS(902),
    [anon_sym_transparent] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_macro] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_DOLLAR] = ACTIONS(914),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym__backquoted_id] = ACTIONS(918),
    [sym_operator_identifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(922),
    [sym_floating_point_literal] = ACTIONS(924),
    [anon_sym_true] = ACTIONS(926),
    [anon_sym_false] = ACTIONS(926),
    [sym_character_literal] = ACTIONS(924),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(930),
    [sym__simple_string] = ACTIONS(930),
  },
  [2328] = {
    [sym_inline_modifier] = STATE(2105),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(13558),
    [sym__simple_expression] = STATE(6450),
    [sym_lambda_expression] = STATE(13681),
    [sym_if_expression] = STATE(13681),
    [sym_match_expression] = STATE(13681),
    [sym_try_expression] = STATE(13681),
    [sym_bindings] = STATE(16106),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13681),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13681),
    [sym_infix_expression] = STATE(9868),
    [sym_postfix_expression] = STATE(13469),
    [sym__postfix_expression_choice] = STATE(16550),
    [sym_macro_body] = STATE(13681),
    [sym_prefix_expression] = STATE(10010),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5583),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(8266),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13681),
    [sym_throw_expression] = STATE(13681),
    [sym_while_expression] = STATE(13681),
    [sym_do_while_expression] = STATE(13681),
    [sym_for_expression] = STATE(13681),
    [sym_comment] = STATE(2328),
    [sym_block_comment] = STATE(2328),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(2180),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1716),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(2182),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [2329] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(13809),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2329),
    [sym_block_comment] = STATE(2329),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2330] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14671),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2330),
    [sym_block_comment] = STATE(2330),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2331] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15670),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2331),
    [sym_block_comment] = STATE(2331),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4124),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2332] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14664),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2332),
    [sym_block_comment] = STATE(2332),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2333] = {
    [sym_inline_modifier] = STATE(2272),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14656),
    [sym__simple_expression] = STATE(8845),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16000),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10984),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(8166),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(10443),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2333),
    [sym_block_comment] = STATE(2333),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(3320),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2334] = {
    [sym_inline_modifier] = STATE(2050),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12420),
    [sym__simple_expression] = STATE(6554),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16009),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9919),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5542),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(8172),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(2334),
    [sym_block_comment] = STATE(2334),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1982),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1986),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(1988),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(1990),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_throw] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2335] = {
    [sym_inline_modifier] = STATE(2299),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(12140),
    [sym__simple_expression] = STATE(5916),
    [sym_lambda_expression] = STATE(11938),
    [sym_if_expression] = STATE(11938),
    [sym_match_expression] = STATE(11938),
    [sym_try_expression] = STATE(11938),
    [sym_bindings] = STATE(16031),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(11938),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(11938),
    [sym_infix_expression] = STATE(7701),
    [sym_postfix_expression] = STATE(11754),
    [sym__postfix_expression_choice] = STATE(16590),
    [sym_macro_body] = STATE(11938),
    [sym_prefix_expression] = STATE(9587),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(5096),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(7395),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(11938),
    [sym_throw_expression] = STATE(11938),
    [sym_while_expression] = STATE(11938),
    [sym_do_while_expression] = STATE(11938),
    [sym_for_expression] = STATE(11938),
    [sym_comment] = STATE(2335),
    [sym_block_comment] = STATE(2335),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1642),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(1644),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(1646),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(1648),
    [anon_sym_throw] = ACTIONS(1650),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2336] = {
    [sym_inline_modifier] = STATE(2097),
    [sym_block] = STATE(7605),
    [sym_expression] = STATE(12922),
    [sym__simple_expression] = STATE(6482),
    [sym_lambda_expression] = STATE(12660),
    [sym_if_expression] = STATE(12660),
    [sym_match_expression] = STATE(12660),
    [sym_try_expression] = STATE(12660),
    [sym_bindings] = STATE(16065),
    [sym_case_block] = STATE(7605),
    [sym_assignment_expression] = STATE(12660),
    [sym_generic_function] = STATE(7605),
    [sym_call_expression] = STATE(7605),
    [sym_field_expression] = STATE(7605),
    [sym_instance_expression] = STATE(7605),
    [sym_ascription_expression] = STATE(12660),
    [sym_infix_expression] = STATE(9510),
    [sym_postfix_expression] = STATE(12635),
    [sym__postfix_expression_choice] = STATE(17253),
    [sym_macro_body] = STATE(12660),
    [sym_prefix_expression] = STATE(9945),
    [sym_tuple_expression] = STATE(7605),
    [sym_parenthesized_expression] = STATE(7605),
    [sym_splice_expression] = STATE(7605),
    [sym_quote_expression] = STATE(7605),
    [sym_identifier] = STATE(5557),
    [sym__soft_identifier] = STATE(5080),
    [sym_wildcard] = STATE(8331),
    [sym__non_null_literal] = STATE(7605),
    [sym_boolean_literal] = STATE(7602),
    [sym_interpolated_string_expression] = STATE(7605),
    [sym_string] = STATE(7602),
    [sym_unit] = STATE(7605),
    [sym_return_expression] = STATE(12660),
    [sym_throw_expression] = STATE(12660),
    [sym_while_expression] = STATE(12660),
    [sym_do_while_expression] = STATE(12660),
    [sym_for_expression] = STATE(12660),
    [sym_comment] = STATE(2336),
    [sym_block_comment] = STATE(2336),
    [sym__alpha_identifier] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym__] = ACTIONS(111),
    [anon_sym_PLUS] = ACTIONS(115),
    [anon_sym_DASH] = ACTIONS(115),
    [anon_sym_end] = ACTIONS(647),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(2990),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2994),
    [anon_sym_new] = ACTIONS(127),
    [anon_sym_opaque] = ACTIONS(647),
    [anon_sym_implicit] = ACTIONS(2996),
    [anon_sym_inline] = ACTIONS(139),
    [anon_sym_infix] = ACTIONS(647),
    [anon_sym_open] = ACTIONS(647),
    [anon_sym_transparent] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_macro] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(153),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [sym__backquoted_id] = ACTIONS(157),
    [sym_operator_identifier] = ACTIONS(2998),
    [sym_integer_literal] = ACTIONS(161),
    [sym_floating_point_literal] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(165),
    [anon_sym_false] = ACTIONS(165),
    [sym_character_literal] = ACTIONS(163),
    [sym_null_literal] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_do] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(175),
    [sym__simple_string] = ACTIONS(175),
  },
  [2337] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15574),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2337),
    [sym_block_comment] = STATE(2337),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4126),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2338] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14440),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2338),
    [sym_block_comment] = STATE(2338),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2339] = {
    [sym_inline_modifier] = STATE(2110),
    [sym_block] = STATE(9662),
    [sym_expression] = STATE(13726),
    [sym__simple_expression] = STATE(7019),
    [sym_lambda_expression] = STATE(13898),
    [sym_if_expression] = STATE(13898),
    [sym_match_expression] = STATE(13898),
    [sym_try_expression] = STATE(13898),
    [sym_bindings] = STATE(15912),
    [sym_case_block] = STATE(9662),
    [sym_assignment_expression] = STATE(13898),
    [sym_generic_function] = STATE(9662),
    [sym_call_expression] = STATE(9662),
    [sym_field_expression] = STATE(9662),
    [sym_instance_expression] = STATE(9662),
    [sym_ascription_expression] = STATE(13898),
    [sym_infix_expression] = STATE(10636),
    [sym_postfix_expression] = STATE(13767),
    [sym__postfix_expression_choice] = STATE(16681),
    [sym_macro_body] = STATE(13898),
    [sym_prefix_expression] = STATE(10405),
    [sym_tuple_expression] = STATE(9662),
    [sym_parenthesized_expression] = STATE(9662),
    [sym_splice_expression] = STATE(9662),
    [sym_quote_expression] = STATE(9662),
    [sym_identifier] = STATE(6486),
    [sym__soft_identifier] = STATE(5547),
    [sym_wildcard] = STATE(8853),
    [sym__non_null_literal] = STATE(9662),
    [sym_boolean_literal] = STATE(9490),
    [sym_interpolated_string_expression] = STATE(9662),
    [sym_string] = STATE(9490),
    [sym_unit] = STATE(9662),
    [sym_return_expression] = STATE(13898),
    [sym_throw_expression] = STATE(13898),
    [sym_while_expression] = STATE(13898),
    [sym_do_while_expression] = STATE(13898),
    [sym_for_expression] = STATE(13898),
    [sym_comment] = STATE(2339),
    [sym_block_comment] = STATE(2339),
    [sym__alpha_identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_end] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3219),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(507),
    [anon_sym_opaque] = ACTIONS(661),
    [anon_sym_implicit] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(519),
    [anon_sym_infix] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_transparent] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_macro] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(533),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [sym__backquoted_id] = ACTIONS(537),
    [sym_operator_identifier] = ACTIONS(3225),
    [sym_integer_literal] = ACTIONS(541),
    [sym_floating_point_literal] = ACTIONS(543),
    [anon_sym_true] = ACTIONS(545),
    [anon_sym_false] = ACTIONS(545),
    [sym_character_literal] = ACTIONS(543),
    [sym_null_literal] = ACTIONS(547),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(555),
    [sym__simple_string] = ACTIONS(555),
  },
  [2340] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(6642),
    [sym_expression] = STATE(15350),
    [sym__simple_expression] = STATE(4498),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(6642),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(6642),
    [sym_call_expression] = STATE(6642),
    [sym_field_expression] = STATE(6642),
    [sym_instance_expression] = STATE(6642),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(7843),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16689),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(6865),
    [sym_tuple_expression] = STATE(6642),
    [sym_parenthesized_expression] = STATE(6642),
    [sym_splice_expression] = STATE(6642),
    [sym_quote_expression] = STATE(6642),
    [sym_identifier] = STATE(4450),
    [sym__soft_identifier] = STATE(4617),
    [sym_wildcard] = STATE(5139),
    [sym__non_null_literal] = STATE(6642),
    [sym_boolean_literal] = STATE(6132),
    [sym_interpolated_string_expression] = STATE(6642),
    [sym_string] = STATE(6132),
    [sym_unit] = STATE(6642),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2340),
    [sym_block_comment] = STATE(2340),
    [sym__alpha_identifier] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(936),
    [anon_sym__] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_end] = ACTIONS(942),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_opaque] = ACTIONS(942),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym_infix] = ACTIONS(942),
    [anon_sym_open] = ACTIONS(942),
    [anon_sym_transparent] = ACTIONS(942),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(940),
    [anon_sym_TILDE] = ACTIONS(940),
    [anon_sym_DOLLAR] = ACTIONS(950),
    [anon_sym_SQUOTE] = ACTIONS(952),
    [sym__backquoted_id] = ACTIONS(954),
    [sym_operator_identifier] = ACTIONS(956),
    [sym_integer_literal] = ACTIONS(958),
    [sym_floating_point_literal] = ACTIONS(960),
    [anon_sym_true] = ACTIONS(962),
    [anon_sym_false] = ACTIONS(962),
    [sym_character_literal] = ACTIONS(960),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(966),
    [sym__simple_string] = ACTIONS(966),
  },
  [2341] = {
    [sym_inline_modifier] = STATE(2120),
    [sym_block] = STATE(8863),
    [sym_expression] = STATE(13349),
    [sym__simple_expression] = STATE(8338),
    [sym_lambda_expression] = STATE(13690),
    [sym_if_expression] = STATE(13690),
    [sym_match_expression] = STATE(13690),
    [sym_try_expression] = STATE(13690),
    [sym_bindings] = STATE(15902),
    [sym_case_block] = STATE(8863),
    [sym_assignment_expression] = STATE(13690),
    [sym_generic_function] = STATE(8863),
    [sym_call_expression] = STATE(8863),
    [sym_field_expression] = STATE(8863),
    [sym_instance_expression] = STATE(8863),
    [sym_ascription_expression] = STATE(13690),
    [sym_infix_expression] = STATE(9997),
    [sym_postfix_expression] = STATE(13527),
    [sym__postfix_expression_choice] = STATE(16292),
    [sym_macro_body] = STATE(13690),
    [sym_prefix_expression] = STATE(10673),
    [sym_tuple_expression] = STATE(8863),
    [sym_parenthesized_expression] = STATE(8863),
    [sym_splice_expression] = STATE(8863),
    [sym_quote_expression] = STATE(8863),
    [sym_identifier] = STATE(7788),
    [sym__soft_identifier] = STATE(6565),
    [sym_wildcard] = STATE(10007),
    [sym__non_null_literal] = STATE(8863),
    [sym_boolean_literal] = STATE(8727),
    [sym_interpolated_string_expression] = STATE(8863),
    [sym_string] = STATE(8727),
    [sym_unit] = STATE(8863),
    [sym_return_expression] = STATE(13690),
    [sym_throw_expression] = STATE(13690),
    [sym_while_expression] = STATE(13690),
    [sym_do_while_expression] = STATE(13690),
    [sym_for_expression] = STATE(13690),
    [sym_comment] = STATE(2341),
    [sym_block_comment] = STATE(2341),
    [sym__alpha_identifier] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym__] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_end] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(1846),
    [anon_sym_opaque] = ACTIONS(1844),
    [anon_sym_implicit] = ACTIONS(2250),
    [anon_sym_inline] = ACTIONS(1848),
    [anon_sym_infix] = ACTIONS(1844),
    [anon_sym_open] = ACTIONS(1844),
    [anon_sym_transparent] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_macro] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_SQUOTE] = ACTIONS(1854),
    [sym__backquoted_id] = ACTIONS(1856),
    [sym_operator_identifier] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(1860),
    [sym_floating_point_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym_character_literal] = ACTIONS(1862),
    [sym_null_literal] = ACTIONS(1866),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2256),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1868),
    [sym__simple_string] = ACTIONS(1868),
  },
  [2342] = {
    [sym_inline_modifier] = STATE(2090),
    [sym_block] = STATE(8423),
    [sym_expression] = STATE(13239),
    [sym__simple_expression] = STATE(7967),
    [sym_lambda_expression] = STATE(13500),
    [sym_if_expression] = STATE(13500),
    [sym_match_expression] = STATE(13500),
    [sym_try_expression] = STATE(13500),
    [sym_bindings] = STATE(16123),
    [sym_case_block] = STATE(8423),
    [sym_assignment_expression] = STATE(13500),
    [sym_generic_function] = STATE(8423),
    [sym_call_expression] = STATE(8423),
    [sym_field_expression] = STATE(8423),
    [sym_instance_expression] = STATE(8423),
    [sym_ascription_expression] = STATE(13500),
    [sym_infix_expression] = STATE(9602),
    [sym_postfix_expression] = STATE(13191),
    [sym__postfix_expression_choice] = STATE(16438),
    [sym_macro_body] = STATE(13500),
    [sym_prefix_expression] = STATE(10496),
    [sym_tuple_expression] = STATE(8423),
    [sym_parenthesized_expression] = STATE(8423),
    [sym_splice_expression] = STATE(8423),
    [sym_quote_expression] = STATE(8423),
    [sym_identifier] = STATE(7008),
    [sym__soft_identifier] = STATE(5464),
    [sym_wildcard] = STATE(9522),
    [sym__non_null_literal] = STATE(8423),
    [sym_boolean_literal] = STATE(8628),
    [sym_interpolated_string_expression] = STATE(8423),
    [sym_string] = STATE(8628),
    [sym_unit] = STATE(8423),
    [sym_return_expression] = STATE(13500),
    [sym_throw_expression] = STATE(13500),
    [sym_while_expression] = STATE(13500),
    [sym_do_while_expression] = STATE(13500),
    [sym_for_expression] = STATE(13500),
    [sym_comment] = STATE(2342),
    [sym_block_comment] = STATE(2342),
    [sym__alpha_identifier] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym__] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_end] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_new] = ACTIONS(1456),
    [anon_sym_opaque] = ACTIONS(1454),
    [anon_sym_implicit] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym_infix] = ACTIONS(1454),
    [anon_sym_open] = ACTIONS(1454),
    [anon_sym_transparent] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_macro] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [sym__backquoted_id] = ACTIONS(1466),
    [sym_operator_identifier] = ACTIONS(3292),
    [sym_integer_literal] = ACTIONS(1470),
    [sym_floating_point_literal] = ACTIONS(1472),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [sym_character_literal] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3215),
    [anon_sym_do] = ACTIONS(1978),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1478),
    [sym__simple_string] = ACTIONS(1478),
  },
  [2343] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(8768),
    [sym_expression] = STATE(14803),
    [sym__simple_expression] = STATE(5593),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(8768),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(8768),
    [sym_call_expression] = STATE(8768),
    [sym_field_expression] = STATE(8768),
    [sym_instance_expression] = STATE(8768),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16650),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(8768),
    [sym_parenthesized_expression] = STATE(8768),
    [sym_splice_expression] = STATE(8768),
    [sym_quote_expression] = STATE(8768),
    [sym_identifier] = STATE(5082),
    [sym__soft_identifier] = STATE(6198),
    [sym_wildcard] = STATE(7812),
    [sym__non_null_literal] = STATE(8768),
    [sym_boolean_literal] = STATE(9096),
    [sym_interpolated_string_expression] = STATE(8768),
    [sym_string] = STATE(9096),
    [sym_unit] = STATE(8768),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2343),
    [sym_block_comment] = STATE(2343),
    [sym__alpha_identifier] = ACTIONS(1708),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym__] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(1718),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(1720),
    [anon_sym_opaque] = ACTIONS(1718),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(1722),
    [anon_sym_infix] = ACTIONS(1718),
    [anon_sym_open] = ACTIONS(1718),
    [anon_sym_transparent] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [sym__backquoted_id] = ACTIONS(1730),
    [sym_operator_identifier] = ACTIONS(1732),
    [sym_integer_literal] = ACTIONS(1734),
    [sym_floating_point_literal] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1738),
    [anon_sym_false] = ACTIONS(1738),
    [sym_character_literal] = ACTIONS(1736),
    [sym_null_literal] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1742),
    [sym__simple_string] = ACTIONS(1742),
  },
  [2344] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14181),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2344),
    [sym_block_comment] = STATE(2344),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2345] = {
    [sym_inline_modifier] = STATE(2056),
    [sym_block] = STATE(7276),
    [sym_expression] = STATE(12567),
    [sym__simple_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(12505),
    [sym_if_expression] = STATE(12505),
    [sym_match_expression] = STATE(12505),
    [sym_try_expression] = STATE(12505),
    [sym_bindings] = STATE(16080),
    [sym_case_block] = STATE(7276),
    [sym_assignment_expression] = STATE(12505),
    [sym_generic_function] = STATE(7276),
    [sym_call_expression] = STATE(7276),
    [sym_field_expression] = STATE(7276),
    [sym_instance_expression] = STATE(7276),
    [sym_ascription_expression] = STATE(12505),
    [sym_infix_expression] = STATE(8588),
    [sym_postfix_expression] = STATE(11884),
    [sym__postfix_expression_choice] = STATE(16207),
    [sym_macro_body] = STATE(12505),
    [sym_prefix_expression] = STATE(9420),
    [sym_tuple_expression] = STATE(7276),
    [sym_parenthesized_expression] = STATE(7276),
    [sym_splice_expression] = STATE(7276),
    [sym_quote_expression] = STATE(7276),
    [sym_identifier] = STATE(5204),
    [sym__soft_identifier] = STATE(5011),
    [sym_wildcard] = STATE(7759),
    [sym__non_null_literal] = STATE(7276),
    [sym_boolean_literal] = STATE(7200),
    [sym_interpolated_string_expression] = STATE(7276),
    [sym_string] = STATE(7200),
    [sym_unit] = STATE(7276),
    [sym_return_expression] = STATE(12505),
    [sym_throw_expression] = STATE(12505),
    [sym_while_expression] = STATE(12505),
    [sym_do_while_expression] = STATE(12505),
    [sym_for_expression] = STATE(12505),
    [sym_comment] = STATE(2345),
    [sym_block_comment] = STATE(2345),
    [sym__alpha_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym__] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_end] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(2384),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_opaque] = ACTIONS(1122),
    [anon_sym_implicit] = ACTIONS(2392),
    [anon_sym_inline] = ACTIONS(1126),
    [anon_sym_infix] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_transparent] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_macro] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [sym__backquoted_id] = ACTIONS(1134),
    [sym_operator_identifier] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(1138),
    [sym_floating_point_literal] = ACTIONS(1140),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(2396),
    [anon_sym_throw] = ACTIONS(2398),
    [anon_sym_do] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(1146),
    [sym__simple_string] = ACTIONS(1146),
  },
  [2346] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(14598),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2346),
    [sym_block_comment] = STATE(2346),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2347] = {
    [sym_inline_modifier] = STATE(2127),
    [sym_block] = STATE(9616),
    [sym_expression] = STATE(15079),
    [sym__simple_expression] = STATE(7863),
    [sym_lambda_expression] = STATE(13856),
    [sym_if_expression] = STATE(13856),
    [sym_match_expression] = STATE(13856),
    [sym_try_expression] = STATE(13856),
    [sym_bindings] = STATE(16093),
    [sym_case_block] = STATE(9616),
    [sym_assignment_expression] = STATE(13856),
    [sym_generic_function] = STATE(9616),
    [sym_call_expression] = STATE(9616),
    [sym_field_expression] = STATE(9616),
    [sym_instance_expression] = STATE(9616),
    [sym_ascription_expression] = STATE(13856),
    [sym_infix_expression] = STATE(10211),
    [sym_postfix_expression] = STATE(13450),
    [sym__postfix_expression_choice] = STATE(16990),
    [sym_macro_body] = STATE(13856),
    [sym_prefix_expression] = STATE(10616),
    [sym_tuple_expression] = STATE(9616),
    [sym_parenthesized_expression] = STATE(9616),
    [sym_splice_expression] = STATE(9616),
    [sym_quote_expression] = STATE(9616),
    [sym_identifier] = STATE(5693),
    [sym__soft_identifier] = STATE(5885),
    [sym_wildcard] = STATE(8258),
    [sym__non_null_literal] = STATE(9616),
    [sym_boolean_literal] = STATE(8255),
    [sym_interpolated_string_expression] = STATE(9616),
    [sym_string] = STATE(8255),
    [sym_unit] = STATE(9616),
    [sym_return_expression] = STATE(13856),
    [sym_throw_expression] = STATE(13856),
    [sym_while_expression] = STATE(13856),
    [sym_do_while_expression] = STATE(13856),
    [sym_for_expression] = STATE(13856),
    [sym_comment] = STATE(2347),
    [sym_block_comment] = STATE(2347),
    [sym__alpha_identifier] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym__] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_end] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(4128),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_opaque] = ACTIONS(840),
    [anon_sym_implicit] = ACTIONS(908),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym_infix] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_transparent] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_macro] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_DOLLAR] = ACTIONS(856),
    [anon_sym_SQUOTE] = ACTIONS(858),
    [sym__backquoted_id] = ACTIONS(860),
    [sym_operator_identifier] = ACTIONS(862),
    [sym_integer_literal] = ACTIONS(864),
    [sym_floating_point_literal] = ACTIONS(866),
    [anon_sym_true] = ACTIONS(868),
    [anon_sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__simple_multiline_string] = ACTIONS(878),
    [sym__simple_string] = ACTIONS(878),
  },
  [2348] = {
    [sym_comment] = STATE(2348),
    [sym_block_comment] = STATE(2348),
    [sym__alpha_identifier] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4136),
    [anon_sym_case] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_object] = ACTIONS(4130),
    [anon_sym__] = ACTIONS(4130),
    [anon_sym_given] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4132),
    [anon_sym_class] = ACTIONS(4130),
    [anon_sym_trait] = ACTIONS(4130),
    [anon_sym_LBRACK] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4130),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_for] = ACTIONS(4130),
    [anon_sym_match] = ACTIONS(4132),
    [anon_sym_try] = ACTIONS(4130),
    [anon_sym_new] = ACTIONS(4130),
    [anon_sym_val] = ACTIONS(4130),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_var] = ACTIONS(4130),
    [anon_sym_type] = ACTIONS(4130),
    [anon_sym_def] = ACTIONS(4130),
    [anon_sym_opaque] = ACTIONS(4130),
    [anon_sym_abstract] = ACTIONS(4130),
    [anon_sym_final] = ACTIONS(4130),
    [anon_sym_sealed] = ACTIONS(4130),
    [anon_sym_implicit] = ACTIONS(4130),
    [anon_sym_lazy] = ACTIONS(4130),
    [anon_sym_override] = ACTIONS(4130),
    [anon_sym_private] = ACTIONS(4130),
    [anon_sym_protected] = ACTIONS(4130),
    [anon_sym_inline] = ACTIONS(4130),
    [anon_sym_infix] = ACTIONS(4130),
    [anon_sym_open] = ACTIONS(4130),
    [anon_sym_transparent] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4136),
    [anon_sym_SEMI] = ACTIONS(4136),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4132),
    [anon_sym_macro] = ACTIONS(4130),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DOLLAR] = ACTIONS(4130),
    [anon_sym_SQUOTE] = ACTIONS(4130),
    [sym__backquoted_id] = ACTIONS(4134),
    [sym_operator_identifier] = ACTIONS(4130),
    [sym_integer_literal] = ACTIONS(4130),
    [sym_floating_point_literal] = ACTIONS(4134),
    [anon_sym_true] = ACTIONS(4130),
    [anon_sym_false] = ACTIONS(4130),
    [sym_character_literal] = ACTIONS(4134),
    [anon_sym_DQUOTE] = ACTIONS(4132),
    [sym__interpolated_multiline_string_start] = ACTIONS(4136),
    [sym_null_literal] = ACTIONS(4130),
    [anon_sym_return] = ACTIONS(4130),
    [anon_sym_throw] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4136),
    [sym__simple_multiline_string] = ACTIONS(4134),
    [sym__simple_string] = ACTIONS(4134),
  },
  [2349] = {
    [sym_comment] = STATE(2349),
    [sym_block_comment] = STATE(2349),
    [ts_builtin_sym_end] = ACTIONS(4136),
    [sym__alpha_identifier] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_case] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_object] = ACTIONS(4130),
    [anon_sym__] = ACTIONS(4130),
    [anon_sym_given] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4132),
    [anon_sym_class] = ACTIONS(4130),
    [anon_sym_trait] = ACTIONS(4130),
    [anon_sym_LBRACK] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4130),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_for] = ACTIONS(4130),
    [anon_sym_match] = ACTIONS(4132),
    [anon_sym_try] = ACTIONS(4130),
    [anon_sym_new] = ACTIONS(4130),
    [anon_sym_val] = ACTIONS(4130),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_var] = ACTIONS(4130),
    [anon_sym_type] = ACTIONS(4130),
    [anon_sym_def] = ACTIONS(4130),
    [anon_sym_opaque] = ACTIONS(4130),
    [anon_sym_abstract] = ACTIONS(4130),
    [anon_sym_final] = ACTIONS(4130),
    [anon_sym_sealed] = ACTIONS(4130),
    [anon_sym_implicit] = ACTIONS(4130),
    [anon_sym_lazy] = ACTIONS(4130),
    [anon_sym_override] = ACTIONS(4130),
    [anon_sym_private] = ACTIONS(4130),
    [anon_sym_protected] = ACTIONS(4130),
    [anon_sym_inline] = ACTIONS(4130),
    [anon_sym_infix] = ACTIONS(4130),
    [anon_sym_open] = ACTIONS(4130),
    [anon_sym_transparent] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_SEMI] = ACTIONS(4136),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4132),
    [anon_sym_macro] = ACTIONS(4130),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DOLLAR] = ACTIONS(4130),
    [anon_sym_SQUOTE] = ACTIONS(4130),
    [sym__backquoted_id] = ACTIONS(4134),
    [sym_operator_identifier] = ACTIONS(4130),
    [sym_integer_literal] = ACTIONS(4130),
    [sym_floating_point_literal] = ACTIONS(4134),
    [anon_sym_true] = ACTIONS(4130),
    [anon_sym_false] = ACTIONS(4130),
    [sym_character_literal] = ACTIONS(4134),
    [anon_sym_DQUOTE] = ACTIONS(4132),
    [sym__interpolated_multiline_string_start] = ACTIONS(4136),
    [sym_null_literal] = ACTIONS(4130),
    [anon_sym_return] = ACTIONS(4130),
    [anon_sym_throw] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4136),
    [sym__simple_multiline_string] = ACTIONS(4134),
    [sym__simple_string] = ACTIONS(4134),
  },
  [2350] = {
    [sym_comment] = STATE(2350),
    [sym_block_comment] = STATE(2350),
    [sym__alpha_identifier] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_case] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_object] = ACTIONS(4130),
    [anon_sym__] = ACTIONS(4130),
    [anon_sym_given] = ACTIONS(4130),
    [anon_sym_EQ_GT] = ACTIONS(4132),
    [anon_sym_class] = ACTIONS(4130),
    [anon_sym_trait] = ACTIONS(4130),
    [anon_sym_LBRACK] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4130),
    [anon_sym_end] = ACTIONS(4130),
    [anon_sym_if] = ACTIONS(4130),
    [anon_sym_while] = ACTIONS(4130),
    [anon_sym_for] = ACTIONS(4130),
    [anon_sym_match] = ACTIONS(4132),
    [anon_sym_try] = ACTIONS(4130),
    [anon_sym_new] = ACTIONS(4130),
    [anon_sym_val] = ACTIONS(4130),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_var] = ACTIONS(4130),
    [anon_sym_type] = ACTIONS(4130),
    [anon_sym_def] = ACTIONS(4130),
    [anon_sym_opaque] = ACTIONS(4130),
    [anon_sym_abstract] = ACTIONS(4130),
    [anon_sym_final] = ACTIONS(4130),
    [anon_sym_sealed] = ACTIONS(4130),
    [anon_sym_implicit] = ACTIONS(4130),
    [anon_sym_lazy] = ACTIONS(4130),
    [anon_sym_override] = ACTIONS(4130),
    [anon_sym_private] = ACTIONS(4130),
    [anon_sym_protected] = ACTIONS(4130),
    [anon_sym_inline] = ACTIONS(4130),
    [anon_sym_infix] = ACTIONS(4130),
    [anon_sym_open] = ACTIONS(4130),
    [anon_sym_transparent] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_SEMI] = ACTIONS(4136),
    [anon_sym_QMARK_EQ_GT] = ACTIONS(4132),
    [anon_sym_macro] = ACTIONS(4130),
    [anon_sym_BANG] = ACTIONS(4130),
    [anon_sym_TILDE] = ACTIONS(4130),
    [anon_sym_DOLLAR] = ACTIONS(4130),
    [anon_sym_SQUOTE] = ACTIONS(4130),
    [sym__backquoted_id] = ACTIONS(4134),
    [sym_operator_identifier] = ACTIONS(4130),
    [sym_integer_literal] = ACTIONS(4130),
    [sym_floating_point_literal] = ACTIONS(4134),
    [anon_sym_true] = ACTIONS(4130),
    [anon_sym_false] = ACTIONS(4130),
    [sym_character_literal] = ACTIONS(4134),
    [anon_sym_DQUOTE] = ACTIONS(4132),
    [sym__interpolated_multiline_string_start] = ACTIONS(4136),
    [sym_null_literal] = ACTIONS(4130),
    [anon_sym_return] = ACTIONS(4130),
    [anon_sym_throw] = ACTIONS(4130),
    [anon_sym_do] = ACTIONS(4130),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(4136),
    [sym__outdent] = ACTIONS(4136),
    [sym__simple_multiline_string] = ACTIONS(4134),
    [sym__simple_string] = ACTIONS(4134),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4158), 1,
      sym_operator_identifier,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4166), 1,
      sym__indent,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9886), 1,
      sym_colon_argument,
    STATE(10008), 1,
      sym_identifier,
    STATE(10395), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(16473), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2351), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9884), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [147] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4170), 1,
      sym_operator_identifier,
    ACTIONS(4172), 1,
      sym__indent,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9361), 1,
      sym_colon_argument,
    STATE(9954), 1,
      sym_identifier,
    STATE(10287), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(16934), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2352), 2,
      sym_comment,
      sym_block_comment,
    STATE(9359), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [294] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4174), 1,
      sym_operator_identifier,
    ACTIONS(4176), 1,
      sym__indent,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(7140), 1,
      sym_identifier,
    STATE(7720), 1,
      sym_wildcard,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9728), 1,
      sym_colon_argument,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(17039), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2353), 2,
      sym_comment,
      sym_block_comment,
    STATE(9727), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [441] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4178), 1,
      sym__alpha_identifier,
    ACTIONS(4180), 1,
      anon_sym_COLON,
    ACTIONS(4182), 1,
      anon_sym_LBRACE,
    ACTIONS(4184), 1,
      anon_sym__,
    ACTIONS(4186), 1,
      anon_sym_EQ_GT,
    ACTIONS(4188), 1,
      anon_sym_LBRACK,
    ACTIONS(4192), 1,
      anon_sym_AT,
    ACTIONS(4194), 1,
      anon_sym_LPAREN,
    ACTIONS(4196), 1,
      sym__backquoted_id,
    ACTIONS(4198), 1,
      sym_operator_identifier,
    ACTIONS(4200), 1,
      sym_integer_literal,
    ACTIONS(4206), 1,
      sym__indent,
    STATE(4611), 1,
      sym__annotated_type,
    STATE(4641), 1,
      sym__simple_type,
    STATE(4931), 1,
      sym__soft_identifier,
    STATE(5127), 1,
      sym_identifier,
    STATE(5877), 1,
      sym_wildcard,
    STATE(6774), 1,
      sym_annotated_type,
    STATE(7470), 1,
      sym_colon_argument,
    STATE(9765), 1,
      sym__non_null_literal,
    STATE(9911), 1,
      sym_literal_type,
    STATE(12397), 1,
      sym__infix_type_choice,
    STATE(12931), 1,
      sym_template_body,
    STATE(12965), 1,
      sym__type,
    STATE(15590), 1,
      sym_parameter_types,
    STATE(16167), 1,
      sym_bindings,
    STATE(17164), 1,
      sym_stable_identifier,
    ACTIONS(4202), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4204), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4208), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2354), 2,
      sym_comment,
      sym_block_comment,
    STATE(7469), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8890), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9920), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12704), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13189), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12700), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5267), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [588] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__alpha_identifier,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(4216), 1,
      anon_sym__,
    ACTIONS(4218), 1,
      anon_sym_EQ_GT,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4224), 1,
      anon_sym_AT,
    ACTIONS(4226), 1,
      anon_sym_LPAREN,
    ACTIONS(4228), 1,
      sym__backquoted_id,
    ACTIONS(4230), 1,
      sym_operator_identifier,
    ACTIONS(4232), 1,
      sym_integer_literal,
    ACTIONS(4238), 1,
      sym__indent,
    STATE(5485), 1,
      sym__annotated_type,
    STATE(5570), 1,
      sym__simple_type,
    STATE(6542), 1,
      sym__soft_identifier,
    STATE(7349), 1,
      sym_identifier,
    STATE(7383), 1,
      sym_wildcard,
    STATE(8840), 1,
      sym_annotated_type,
    STATE(9563), 1,
      sym_colon_argument,
    STATE(10705), 1,
      sym_literal_type,
    STATE(10746), 1,
      sym__non_null_literal,
    STATE(11922), 1,
      sym_template_body,
    STATE(12275), 1,
      sym__infix_type_choice,
    STATE(13667), 1,
      sym__type,
    STATE(15780), 1,
      sym_parameter_types,
    STATE(16551), 1,
      sym_stable_identifier,
    STATE(16763), 1,
      sym_bindings,
    ACTIONS(4234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2355), 2,
      sym_comment,
      sym_block_comment,
    STATE(9559), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10137), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10866), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13998), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4222), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7279), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [735] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4242), 1,
      sym_operator_identifier,
    ACTIONS(4244), 1,
      sym__indent,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9030), 1,
      sym_colon_argument,
    STATE(9951), 1,
      sym_identifier,
    STATE(10274), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16203), 1,
      sym_bindings,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2356), 2,
      sym_comment,
      sym_block_comment,
    STATE(9035), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [882] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4246), 1,
      sym__alpha_identifier,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(4252), 1,
      anon_sym__,
    ACTIONS(4254), 1,
      anon_sym_EQ_GT,
    ACTIONS(4256), 1,
      anon_sym_LBRACK,
    ACTIONS(4260), 1,
      anon_sym_AT,
    ACTIONS(4262), 1,
      anon_sym_LPAREN,
    ACTIONS(4264), 1,
      sym__backquoted_id,
    ACTIONS(4266), 1,
      sym_operator_identifier,
    ACTIONS(4268), 1,
      sym_integer_literal,
    ACTIONS(4274), 1,
      sym__indent,
    STATE(6990), 1,
      sym__annotated_type,
    STATE(6992), 1,
      sym__simple_type,
    STATE(8053), 1,
      sym__soft_identifier,
    STATE(8583), 1,
      sym_identifier,
    STATE(9012), 1,
      sym_wildcard,
    STATE(10102), 1,
      sym_annotated_type,
    STATE(10393), 1,
      sym_colon_argument,
    STATE(10721), 1,
      sym_template_body,
    STATE(11226), 1,
      sym_literal_type,
    STATE(11248), 1,
      sym__non_null_literal,
    STATE(12230), 1,
      sym__infix_type_choice,
    STATE(12462), 1,
      sym__type,
    STATE(14984), 1,
      sym_parameter_types,
    STATE(16632), 1,
      sym_stable_identifier,
    STATE(17011), 1,
      sym_bindings,
    ACTIONS(4270), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4272), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4276), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2357), 2,
      sym_comment,
      sym_block_comment,
    STATE(10385), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10926), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11143), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12768), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8511), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1029] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4278), 1,
      sym_operator_identifier,
    ACTIONS(4280), 1,
      sym__indent,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10044), 1,
      sym_colon_argument,
    STATE(10126), 1,
      sym_identifier,
    STATE(10391), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(16697), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2358), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10030), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1176] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4282), 1,
      sym__alpha_identifier,
    ACTIONS(4284), 1,
      anon_sym_COLON,
    ACTIONS(4286), 1,
      anon_sym_LBRACE,
    ACTIONS(4288), 1,
      anon_sym__,
    ACTIONS(4290), 1,
      anon_sym_EQ_GT,
    ACTIONS(4292), 1,
      anon_sym_LBRACK,
    ACTIONS(4296), 1,
      anon_sym_AT,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
    ACTIONS(4300), 1,
      sym__backquoted_id,
    ACTIONS(4302), 1,
      sym_operator_identifier,
    ACTIONS(4304), 1,
      sym_integer_literal,
    ACTIONS(4310), 1,
      sym__indent,
    STATE(4466), 1,
      sym__simple_type,
    STATE(4533), 1,
      sym__annotated_type,
    STATE(4713), 1,
      sym__soft_identifier,
    STATE(4796), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_wildcard,
    STATE(6021), 1,
      sym_annotated_type,
    STATE(6758), 1,
      sym_colon_argument,
    STATE(9418), 1,
      sym__non_null_literal,
    STATE(9688), 1,
      sym_literal_type,
    STATE(12423), 1,
      sym__type,
    STATE(12467), 1,
      sym_template_body,
    STATE(12489), 1,
      sym__infix_type_choice,
    STATE(14885), 1,
      sym_parameter_types,
    STATE(16281), 1,
      sym_bindings,
    STATE(17032), 1,
      sym_stable_identifier,
    ACTIONS(4306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2359), 2,
      sym_comment,
      sym_block_comment,
    STATE(6776), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8642), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9355), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12269), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12811), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12556), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4294), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4988), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1323] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4314), 1,
      sym__alpha_identifier,
    ACTIONS(4316), 1,
      anon_sym_COLON,
    ACTIONS(4318), 1,
      anon_sym_LBRACE,
    ACTIONS(4320), 1,
      anon_sym__,
    ACTIONS(4322), 1,
      anon_sym_EQ_GT,
    ACTIONS(4324), 1,
      anon_sym_LBRACK,
    ACTIONS(4328), 1,
      anon_sym_AT,
    ACTIONS(4330), 1,
      anon_sym_LPAREN,
    ACTIONS(4332), 1,
      sym__backquoted_id,
    ACTIONS(4334), 1,
      sym_operator_identifier,
    ACTIONS(4336), 1,
      sym_integer_literal,
    ACTIONS(4342), 1,
      sym__indent,
    STATE(5125), 1,
      sym__simple_type,
    STATE(5201), 1,
      sym__annotated_type,
    STATE(5658), 1,
      sym__soft_identifier,
    STATE(6321), 1,
      sym_identifier,
    STATE(7287), 1,
      sym_wildcard,
    STATE(8542), 1,
      sym_annotated_type,
    STATE(8866), 1,
      sym_colon_argument,
    STATE(10559), 1,
      sym__non_null_literal,
    STATE(10644), 1,
      sym_literal_type,
    STATE(12324), 1,
      sym__infix_type_choice,
    STATE(13345), 1,
      sym_template_body,
    STATE(13448), 1,
      sym__type,
    STATE(15801), 1,
      sym_parameter_types,
    STATE(16165), 1,
      sym_bindings,
    STATE(17182), 1,
      sym_stable_identifier,
    ACTIONS(4338), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4340), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4344), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2360), 2,
      sym_comment,
      sym_block_comment,
    STATE(8856), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10020), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10565), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13565), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13654), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4326), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6218), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1470] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4346), 1,
      sym__alpha_identifier,
    ACTIONS(4348), 1,
      anon_sym_COLON,
    ACTIONS(4350), 1,
      anon_sym_LBRACE,
    ACTIONS(4352), 1,
      anon_sym__,
    ACTIONS(4354), 1,
      anon_sym_EQ_GT,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4360), 1,
      anon_sym_AT,
    ACTIONS(4362), 1,
      anon_sym_LPAREN,
    ACTIONS(4364), 1,
      sym__backquoted_id,
    ACTIONS(4366), 1,
      sym_operator_identifier,
    ACTIONS(4368), 1,
      sym_integer_literal,
    ACTIONS(4374), 1,
      sym__indent,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4887), 1,
      sym__simple_type,
    STATE(5171), 1,
      sym__soft_identifier,
    STATE(5819), 1,
      sym_identifier,
    STATE(6151), 1,
      sym_wildcard,
    STATE(7499), 1,
      sym_annotated_type,
    STATE(8526), 1,
      sym_colon_argument,
    STATE(10247), 1,
      sym__non_null_literal,
    STATE(10276), 1,
      sym_literal_type,
    STATE(12316), 1,
      sym__infix_type_choice,
    STATE(13225), 1,
      sym__type,
    STATE(13289), 1,
      sym_template_body,
    STATE(15725), 1,
      sym_parameter_types,
    STATE(16510), 1,
      sym_stable_identifier,
    STATE(16807), 1,
      sym_bindings,
    ACTIONS(4370), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4372), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4376), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2361), 2,
      sym_comment,
      sym_block_comment,
    STATE(8524), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9613), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10323), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13286), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13346), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13177), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5792), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1617] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4378), 1,
      sym_operator_identifier,
    ACTIONS(4380), 1,
      sym__indent,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(8699), 1,
      sym_colon_argument,
    STATE(10035), 1,
      sym_identifier,
    STATE(10442), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(16609), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2362), 2,
      sym_comment,
      sym_block_comment,
    STATE(8700), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1764] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4382), 1,
      sym__alpha_identifier,
    ACTIONS(4384), 1,
      anon_sym_COLON,
    ACTIONS(4386), 1,
      anon_sym_LBRACE,
    ACTIONS(4388), 1,
      anon_sym__,
    ACTIONS(4390), 1,
      anon_sym_EQ_GT,
    ACTIONS(4392), 1,
      anon_sym_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_AT,
    ACTIONS(4398), 1,
      anon_sym_LPAREN,
    ACTIONS(4400), 1,
      sym__backquoted_id,
    ACTIONS(4402), 1,
      sym_operator_identifier,
    ACTIONS(4404), 1,
      sym_integer_literal,
    ACTIONS(4410), 1,
      sym__indent,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5175), 1,
      sym__annotated_type,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(6532), 1,
      sym_identifier,
    STATE(6874), 1,
      sym_wildcard,
    STATE(8693), 1,
      sym_annotated_type,
    STATE(9005), 1,
      sym_colon_argument,
    STATE(10460), 1,
      sym_literal_type,
    STATE(10648), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11375), 1,
      sym__type,
    STATE(12341), 1,
      sym__infix_type_choice,
    STATE(15012), 1,
      sym_parameter_types,
    STATE(16514), 1,
      sym_bindings,
    STATE(16965), 1,
      sym_stable_identifier,
    ACTIONS(4406), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4408), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4412), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2363), 2,
      sym_comment,
      sym_block_comment,
    STATE(9006), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9760), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10452), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11372), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11497), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6027), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [1911] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4414), 1,
      sym_operator_identifier,
    ACTIONS(4416), 1,
      sym__indent,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9659), 1,
      sym_colon_argument,
    STATE(9895), 1,
      sym_identifier,
    STATE(10199), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16195), 1,
      sym_bindings,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2364), 2,
      sym_comment,
      sym_block_comment,
    STATE(9665), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2058] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4374), 1,
      sym__indent,
    ACTIONS(4418), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(8526), 1,
      sym_colon_argument,
    STATE(10069), 1,
      sym_identifier,
    STATE(10359), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(16807), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2365), 2,
      sym_comment,
      sym_block_comment,
    STATE(8524), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2205] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4420), 1,
      sym_operator_identifier,
    ACTIONS(4422), 1,
      sym__indent,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9174), 1,
      sym_colon_argument,
    STATE(9952), 1,
      sym_identifier,
    STATE(10291), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16243), 1,
      sym_bindings,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2366), 2,
      sym_comment,
      sym_block_comment,
    STATE(9163), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2352] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4244), 1,
      sym__indent,
    ACTIONS(4424), 1,
      sym__alpha_identifier,
    ACTIONS(4426), 1,
      anon_sym_COLON,
    ACTIONS(4428), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym__,
    ACTIONS(4432), 1,
      anon_sym_EQ_GT,
    ACTIONS(4434), 1,
      anon_sym_LBRACK,
    ACTIONS(4438), 1,
      anon_sym_AT,
    ACTIONS(4440), 1,
      anon_sym_LPAREN,
    ACTIONS(4442), 1,
      sym__backquoted_id,
    ACTIONS(4444), 1,
      sym_operator_identifier,
    ACTIONS(4446), 1,
      sym_integer_literal,
    STATE(5208), 1,
      sym__annotated_type,
    STATE(5311), 1,
      sym__simple_type,
    STATE(5702), 1,
      sym__soft_identifier,
    STATE(6275), 1,
      sym_identifier,
    STATE(6909), 1,
      sym_wildcard,
    STATE(8189), 1,
      sym_annotated_type,
    STATE(9030), 1,
      sym_colon_argument,
    STATE(10489), 1,
      sym_literal_type,
    STATE(10532), 1,
      sym__non_null_literal,
    STATE(12554), 1,
      sym__infix_type_choice,
    STATE(13399), 1,
      sym_template_body,
    STATE(13583), 1,
      sym__type,
    STATE(15373), 1,
      sym_parameter_types,
    STATE(16203), 1,
      sym_bindings,
    STATE(17062), 1,
      sym_stable_identifier,
    ACTIONS(4448), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4450), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4452), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2367), 2,
      sym_comment,
      sym_block_comment,
    STATE(9035), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9928), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13818), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13444), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6421), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2499] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4422), 1,
      sym__indent,
    ACTIONS(4454), 1,
      sym__alpha_identifier,
    ACTIONS(4456), 1,
      anon_sym_COLON,
    ACTIONS(4458), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      anon_sym__,
    ACTIONS(4462), 1,
      anon_sym_EQ_GT,
    ACTIONS(4464), 1,
      anon_sym_LBRACK,
    ACTIONS(4468), 1,
      anon_sym_AT,
    ACTIONS(4470), 1,
      anon_sym_LPAREN,
    ACTIONS(4472), 1,
      sym__backquoted_id,
    ACTIONS(4474), 1,
      sym_operator_identifier,
    ACTIONS(4476), 1,
      sym_integer_literal,
    STATE(5157), 1,
      sym__annotated_type,
    STATE(5346), 1,
      sym__simple_type,
    STATE(5710), 1,
      sym__soft_identifier,
    STATE(6457), 1,
      sym_identifier,
    STATE(6753), 1,
      sym_wildcard,
    STATE(8257), 1,
      sym_annotated_type,
    STATE(9174), 1,
      sym_colon_argument,
    STATE(10526), 1,
      sym_literal_type,
    STATE(10527), 1,
      sym__non_null_literal,
    STATE(12535), 1,
      sym__infix_type_choice,
    STATE(13509), 1,
      sym__type,
    STATE(13526), 1,
      sym_template_body,
    STATE(15145), 1,
      sym_parameter_types,
    STATE(16243), 1,
      sym_bindings,
    STATE(17050), 1,
      sym_stable_identifier,
    ACTIONS(4478), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4480), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4482), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2368), 2,
      sym_comment,
      sym_block_comment,
    STATE(9163), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9969), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10498), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13607), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13750), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13512), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6376), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2646] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4484), 1,
      sym_operator_identifier,
    ACTIONS(4486), 1,
      sym__indent,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(7687), 1,
      sym_colon_argument,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9943), 1,
      sym_identifier,
    STATE(10436), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(17180), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2369), 2,
      sym_comment,
      sym_block_comment,
    STATE(7685), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2793] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4342), 1,
      sym__indent,
    ACTIONS(4488), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(8866), 1,
      sym_colon_argument,
    STATE(9933), 1,
      sym_identifier,
    STATE(10220), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16165), 1,
      sym_bindings,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2370), 2,
      sym_comment,
      sym_block_comment,
    STATE(8856), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [2940] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4380), 1,
      sym__indent,
    ACTIONS(4490), 1,
      sym__alpha_identifier,
    ACTIONS(4492), 1,
      anon_sym_COLON,
    ACTIONS(4494), 1,
      anon_sym_LBRACE,
    ACTIONS(4496), 1,
      anon_sym__,
    ACTIONS(4498), 1,
      anon_sym_EQ_GT,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4504), 1,
      anon_sym_AT,
    ACTIONS(4506), 1,
      anon_sym_LPAREN,
    ACTIONS(4508), 1,
      sym__backquoted_id,
    ACTIONS(4510), 1,
      sym_operator_identifier,
    ACTIONS(4512), 1,
      sym_integer_literal,
    STATE(4752), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym__simple_type,
    STATE(5408), 1,
      sym__soft_identifier,
    STATE(5449), 1,
      sym_identifier,
    STATE(6348), 1,
      sym_wildcard,
    STATE(7594), 1,
      sym_annotated_type,
    STATE(8699), 1,
      sym_colon_argument,
    STATE(10410), 1,
      sym_literal_type,
    STATE(10431), 1,
      sym__non_null_literal,
    STATE(12180), 1,
      sym__infix_type_choice,
    STATE(13281), 1,
      sym_template_body,
    STATE(13300), 1,
      sym__type,
    STATE(15678), 1,
      sym_parameter_types,
    STATE(16609), 1,
      sym_bindings,
    STATE(16783), 1,
      sym_stable_identifier,
    ACTIONS(4514), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4516), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4518), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2371), 2,
      sym_comment,
      sym_block_comment,
    STATE(8700), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9501), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10207), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13360), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13226), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4502), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5608), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3087] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4166), 1,
      sym__indent,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4528), 1,
      anon_sym_EQ_GT,
    ACTIONS(4530), 1,
      anon_sym_LBRACK,
    ACTIONS(4534), 1,
      anon_sym_AT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(4540), 1,
      sym_operator_identifier,
    ACTIONS(4542), 1,
      sym_integer_literal,
    STATE(6192), 1,
      sym__annotated_type,
    STATE(6553), 1,
      sym__simple_type,
    STATE(7346), 1,
      sym__soft_identifier,
    STATE(8065), 1,
      sym_identifier,
    STATE(8093), 1,
      sym_wildcard,
    STATE(9541), 1,
      sym_annotated_type,
    STATE(9886), 1,
      sym_colon_argument,
    STATE(10968), 1,
      sym__non_null_literal,
    STATE(10972), 1,
      sym_literal_type,
    STATE(11848), 1,
      sym_template_body,
    STATE(12017), 1,
      sym__type,
    STATE(12373), 1,
      sym__infix_type_choice,
    STATE(14747), 1,
      sym_parameter_types,
    STATE(16473), 1,
      sym_bindings,
    STATE(16998), 1,
      sym_stable_identifier,
    ACTIONS(4544), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4546), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4548), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2372), 2,
      sym_comment,
      sym_block_comment,
    STATE(9884), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10615), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11084), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12351), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8015), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3234] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4550), 1,
      sym__alpha_identifier,
    ACTIONS(4552), 1,
      anon_sym_COLON,
    ACTIONS(4554), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym__,
    ACTIONS(4558), 1,
      anon_sym_EQ_GT,
    ACTIONS(4560), 1,
      anon_sym_LBRACK,
    ACTIONS(4564), 1,
      anon_sym_AT,
    ACTIONS(4566), 1,
      anon_sym_LPAREN,
    ACTIONS(4568), 1,
      sym__backquoted_id,
    ACTIONS(4570), 1,
      sym_operator_identifier,
    ACTIONS(4572), 1,
      sym_integer_literal,
    ACTIONS(4578), 1,
      sym__indent,
    STATE(4883), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym__annotated_type,
    STATE(5032), 1,
      sym__soft_identifier,
    STATE(5759), 1,
      sym_identifier,
    STATE(6208), 1,
      sym_wildcard,
    STATE(7699), 1,
      sym_annotated_type,
    STATE(8192), 1,
      sym_colon_argument,
    STATE(10241), 1,
      sym__non_null_literal,
    STATE(10320), 1,
      sym_literal_type,
    STATE(12443), 1,
      sym__infix_type_choice,
    STATE(13081), 1,
      sym_template_body,
    STATE(13241), 1,
      sym__type,
    STATE(15657), 1,
      sym_parameter_types,
    STATE(16282), 1,
      sym_bindings,
    STATE(17272), 1,
      sym_stable_identifier,
    ACTIONS(4574), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4576), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2373), 2,
      sym_comment,
      sym_block_comment,
    STATE(8193), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9674), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10264), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13298), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13436), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13194), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5875), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3381] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4416), 1,
      sym__indent,
    ACTIONS(4582), 1,
      sym__alpha_identifier,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    ACTIONS(4586), 1,
      anon_sym_LBRACE,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4590), 1,
      anon_sym_EQ_GT,
    ACTIONS(4592), 1,
      anon_sym_LBRACK,
    ACTIONS(4596), 1,
      anon_sym_AT,
    ACTIONS(4598), 1,
      anon_sym_LPAREN,
    ACTIONS(4600), 1,
      sym__backquoted_id,
    ACTIONS(4602), 1,
      sym_operator_identifier,
    ACTIONS(4604), 1,
      sym_integer_literal,
    STATE(5668), 1,
      sym__simple_type,
    STATE(5784), 1,
      sym__annotated_type,
    STATE(6355), 1,
      sym__soft_identifier,
    STATE(7015), 1,
      sym_identifier,
    STATE(7971), 1,
      sym_wildcard,
    STATE(8874), 1,
      sym_annotated_type,
    STATE(9659), 1,
      sym_colon_argument,
    STATE(10865), 1,
      sym__non_null_literal,
    STATE(10940), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11612), 1,
      sym__type,
    STATE(12274), 1,
      sym__infix_type_choice,
    STATE(15805), 1,
      sym_parameter_types,
    STATE(16195), 1,
      sym_bindings,
    STATE(17188), 1,
      sym_stable_identifier,
    ACTIONS(4606), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4608), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4610), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2374), 2,
      sym_comment,
      sym_block_comment,
    STATE(9665), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10360), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10907), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12116), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6952), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3528] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4534), 1,
      anon_sym_AT,
    ACTIONS(4612), 1,
      sym__alpha_identifier,
    ACTIONS(4614), 1,
      anon_sym__,
    ACTIONS(4616), 1,
      anon_sym_EQ_GT,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4622), 1,
      anon_sym_LPAREN,
    ACTIONS(4624), 1,
      sym__backquoted_id,
    ACTIONS(4626), 1,
      sym_operator_identifier,
    ACTIONS(4628), 1,
      sym_integer_literal,
    ACTIONS(4634), 1,
      sym__indent,
    STATE(4511), 1,
      sym__simple_type,
    STATE(4558), 1,
      sym__annotated_type,
    STATE(4612), 1,
      sym__soft_identifier,
    STATE(5027), 1,
      sym_identifier,
    STATE(5048), 1,
      sym_wildcard,
    STATE(6063), 1,
      sym_annotated_type,
    STATE(7068), 1,
      sym_colon_argument,
    STATE(9703), 1,
      sym_literal_type,
    STATE(9718), 1,
      sym__non_null_literal,
    STATE(11848), 1,
      sym_template_body,
    STATE(12017), 1,
      sym__type,
    STATE(12470), 1,
      sym__infix_type_choice,
    STATE(15467), 1,
      sym_parameter_types,
    STATE(16326), 1,
      sym_bindings,
    STATE(17026), 1,
      sym_stable_identifier,
    ACTIONS(4630), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4632), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4636), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2375), 2,
      sym_comment,
      sym_block_comment,
    STATE(7069), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8479), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9729), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12351), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5007), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3675] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4638), 1,
      sym_operator_identifier,
    ACTIONS(4640), 1,
      sym__indent,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(6016), 1,
      sym_colon_argument,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10001), 1,
      sym_identifier,
    STATE(10339), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(16848), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2376), 2,
      sym_comment,
      sym_block_comment,
    STATE(6015), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3822] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4280), 1,
      sym__indent,
    ACTIONS(4642), 1,
      sym__alpha_identifier,
    ACTIONS(4644), 1,
      anon_sym_COLON,
    ACTIONS(4646), 1,
      anon_sym_LBRACE,
    ACTIONS(4648), 1,
      anon_sym__,
    ACTIONS(4650), 1,
      anon_sym_EQ_GT,
    ACTIONS(4652), 1,
      anon_sym_LBRACK,
    ACTIONS(4656), 1,
      anon_sym_AT,
    ACTIONS(4658), 1,
      anon_sym_LPAREN,
    ACTIONS(4660), 1,
      sym__backquoted_id,
    ACTIONS(4662), 1,
      sym_operator_identifier,
    ACTIONS(4664), 1,
      sym_integer_literal,
    STATE(6276), 1,
      sym__annotated_type,
    STATE(6591), 1,
      sym__simple_type,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(7553), 1,
      sym_identifier,
    STATE(8514), 1,
      sym_wildcard,
    STATE(9695), 1,
      sym_annotated_type,
    STATE(10044), 1,
      sym_colon_argument,
    STATE(10992), 1,
      sym__non_null_literal,
    STATE(11120), 1,
      sym_literal_type,
    STATE(11983), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12252), 1,
      sym__infix_type_choice,
    STATE(15843), 1,
      sym_parameter_types,
    STATE(16591), 1,
      sym_stable_identifier,
    STATE(16697), 1,
      sym_bindings,
    ACTIONS(4666), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4668), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4670), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2377), 2,
      sym_comment,
      sym_block_comment,
    STATE(10030), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10575), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11119), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12149), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12319), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7840), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [3969] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4310), 1,
      sym__indent,
    ACTIONS(4672), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(6758), 1,
      sym_colon_argument,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9965), 1,
      sym_identifier,
    STATE(10338), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16281), 1,
      sym_bindings,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2378), 2,
      sym_comment,
      sym_block_comment,
    STATE(6776), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4116] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4674), 1,
      sym_operator_identifier,
    ACTIONS(4676), 1,
      sym__indent,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(8436), 1,
      sym_colon_argument,
    STATE(10032), 1,
      sym_identifier,
    STATE(10440), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(16574), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2379), 2,
      sym_comment,
      sym_block_comment,
    STATE(8448), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4263] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4206), 1,
      sym__indent,
    ACTIONS(4678), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(7470), 1,
      sym_colon_argument,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9940), 1,
      sym_identifier,
    STATE(10250), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16167), 1,
      sym_bindings,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2380), 2,
      sym_comment,
      sym_block_comment,
    STATE(7469), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4410] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4676), 1,
      sym__indent,
    ACTIONS(4680), 1,
      sym__alpha_identifier,
    ACTIONS(4682), 1,
      anon_sym_COLON,
    ACTIONS(4684), 1,
      anon_sym_LBRACE,
    ACTIONS(4686), 1,
      anon_sym__,
    ACTIONS(4688), 1,
      anon_sym_EQ_GT,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    ACTIONS(4694), 1,
      anon_sym_AT,
    ACTIONS(4696), 1,
      anon_sym_LPAREN,
    ACTIONS(4698), 1,
      sym__backquoted_id,
    ACTIONS(4700), 1,
      sym_operator_identifier,
    ACTIONS(4702), 1,
      sym_integer_literal,
    STATE(4807), 1,
      sym__annotated_type,
    STATE(4896), 1,
      sym__simple_type,
    STATE(5438), 1,
      sym__soft_identifier,
    STATE(5490), 1,
      sym_identifier,
    STATE(6578), 1,
      sym_wildcard,
    STATE(7758), 1,
      sym_annotated_type,
    STATE(8436), 1,
      sym_colon_argument,
    STATE(10331), 1,
      sym_literal_type,
    STATE(10439), 1,
      sym__non_null_literal,
    STATE(12217), 1,
      sym__infix_type_choice,
    STATE(13053), 1,
      sym__type,
    STATE(13111), 1,
      sym_template_body,
    STATE(15506), 1,
      sym_parameter_types,
    STATE(16574), 1,
      sym_bindings,
    STATE(16907), 1,
      sym_stable_identifier,
    ACTIONS(4704), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4706), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4708), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2381), 2,
      sym_comment,
      sym_block_comment,
    STATE(8448), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9683), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10365), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13150), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13604), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(13285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4692), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5876), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4557] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4710), 1,
      sym_operator_identifier,
    ACTIONS(4712), 1,
      sym__indent,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(6527), 1,
      sym_colon_argument,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9891), 1,
      sym_identifier,
    STATE(10189), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16225), 1,
      sym_bindings,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2382), 2,
      sym_comment,
      sym_block_comment,
    STATE(6535), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4704] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4578), 1,
      sym__indent,
    ACTIONS(4714), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(8192), 1,
      sym_colon_argument,
    STATE(9861), 1,
      sym_identifier,
    STATE(10158), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16282), 1,
      sym_bindings,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2383), 2,
      sym_comment,
      sym_block_comment,
    STATE(8193), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4851] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4384), 1,
      anon_sym_COLON,
    ACTIONS(4386), 1,
      anon_sym_LBRACE,
    ACTIONS(4396), 1,
      anon_sym_AT,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4718), 1,
      anon_sym__,
    ACTIONS(4720), 1,
      anon_sym_EQ_GT,
    ACTIONS(4722), 1,
      anon_sym_LBRACK,
    ACTIONS(4726), 1,
      anon_sym_LPAREN,
    ACTIONS(4728), 1,
      sym__backquoted_id,
    ACTIONS(4730), 1,
      sym_operator_identifier,
    ACTIONS(4732), 1,
      sym_integer_literal,
    ACTIONS(4738), 1,
      sym__indent,
    STATE(4298), 1,
      sym__simple_type,
    STATE(4335), 1,
      sym__annotated_type,
    STATE(4384), 1,
      sym__soft_identifier,
    STATE(4549), 1,
      sym_identifier,
    STATE(4581), 1,
      sym_wildcard,
    STATE(5143), 1,
      sym_annotated_type,
    STATE(5649), 1,
      sym_colon_argument,
    STATE(8285), 1,
      sym_literal_type,
    STATE(8606), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11375), 1,
      sym__type,
    STATE(12390), 1,
      sym__infix_type_choice,
    STATE(15466), 1,
      sym_parameter_types,
    STATE(16370), 1,
      sym_bindings,
    STATE(17009), 1,
      sym_stable_identifier,
    ACTIONS(4734), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4736), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4740), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2384), 2,
      sym_comment,
      sym_block_comment,
    STATE(5642), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(7083), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8444), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11372), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11497), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4528), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [4998] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    ACTIONS(4586), 1,
      anon_sym_LBRACE,
    ACTIONS(4596), 1,
      anon_sym_AT,
    ACTIONS(4712), 1,
      sym__indent,
    ACTIONS(4742), 1,
      sym__alpha_identifier,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4746), 1,
      anon_sym_EQ_GT,
    ACTIONS(4748), 1,
      anon_sym_LBRACK,
    ACTIONS(4752), 1,
      anon_sym_LPAREN,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(4756), 1,
      sym_operator_identifier,
    ACTIONS(4758), 1,
      sym_integer_literal,
    STATE(4446), 1,
      sym__annotated_type,
    STATE(4449), 1,
      sym__simple_type,
    STATE(4468), 1,
      sym__soft_identifier,
    STATE(4626), 1,
      sym_identifier,
    STATE(4858), 1,
      sym_wildcard,
    STATE(5492), 1,
      sym_annotated_type,
    STATE(6527), 1,
      sym_colon_argument,
    STATE(8723), 1,
      sym_literal_type,
    STATE(8770), 1,
      sym__non_null_literal,
    STATE(11481), 1,
      sym_template_body,
    STATE(11612), 1,
      sym__type,
    STATE(12201), 1,
      sym__infix_type_choice,
    STATE(15473), 1,
      sym_parameter_types,
    STATE(16225), 1,
      sym_bindings,
    STATE(17194), 1,
      sym_stable_identifier,
    ACTIONS(4760), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4762), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4764), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2385), 2,
      sym_comment,
      sym_block_comment,
    STATE(6535), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(7532), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9021), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12116), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4627), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5145] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4634), 1,
      sym__indent,
    ACTIONS(4766), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(7068), 1,
      sym_colon_argument,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9968), 1,
      sym_identifier,
    STATE(10353), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(16326), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2386), 2,
      sym_comment,
      sym_block_comment,
    STATE(7069), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5292] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4410), 1,
      sym__indent,
    ACTIONS(4768), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9005), 1,
      sym_colon_argument,
    STATE(10023), 1,
      sym_identifier,
    STATE(10415), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(16514), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2387), 2,
      sym_comment,
      sym_block_comment,
    STATE(9006), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5439] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      anon_sym_COLON,
    ACTIONS(4646), 1,
      anon_sym_LBRACE,
    ACTIONS(4656), 1,
      anon_sym_AT,
    ACTIONS(4770), 1,
      sym__alpha_identifier,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4774), 1,
      anon_sym_EQ_GT,
    ACTIONS(4776), 1,
      anon_sym_LBRACK,
    ACTIONS(4780), 1,
      anon_sym_LPAREN,
    ACTIONS(4782), 1,
      sym__backquoted_id,
    ACTIONS(4784), 1,
      sym_operator_identifier,
    ACTIONS(4786), 1,
      sym_integer_literal,
    ACTIONS(4792), 1,
      sym__indent,
    STATE(4489), 1,
      sym__simple_type,
    STATE(4502), 1,
      sym__annotated_type,
    STATE(4578), 1,
      sym__soft_identifier,
    STATE(4836), 1,
      sym_identifier,
    STATE(5313), 1,
      sym_wildcard,
    STATE(6469), 1,
      sym_annotated_type,
    STATE(6888), 1,
      sym_colon_argument,
    STATE(9404), 1,
      sym_literal_type,
    STATE(9642), 1,
      sym__non_null_literal,
    STATE(11983), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12222), 1,
      sym__infix_type_choice,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16660), 1,
      sym_bindings,
    STATE(16709), 1,
      sym_stable_identifier,
    ACTIONS(4788), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4790), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2388), 2,
      sym_comment,
      sym_block_comment,
    STATE(6890), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8473), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9375), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12149), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12319), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4800), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5586] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4238), 1,
      sym__indent,
    ACTIONS(4796), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9563), 1,
      sym_colon_argument,
    STATE(10090), 1,
      sym_identifier,
    STATE(10380), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(16763), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2389), 2,
      sym_comment,
      sym_block_comment,
    STATE(9559), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5733] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4798), 1,
      sym_operator_identifier,
    ACTIONS(4800), 1,
      sym__indent,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10103), 1,
      sym_identifier,
    STATE(10417), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(10708), 1,
      sym_colon_argument,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(16416), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2390), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10713), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [5880] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4274), 1,
      sym__indent,
    ACTIONS(4802), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9741), 1,
      sym_identifier,
    STATE(10223), 1,
      sym_wildcard,
    STATE(10393), 1,
      sym_colon_argument,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(17011), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2391), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10385), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6027] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4804), 1,
      sym__alpha_identifier,
    ACTIONS(4806), 1,
      anon_sym_COLON,
    ACTIONS(4808), 1,
      anon_sym_LBRACE,
    ACTIONS(4810), 1,
      anon_sym__,
    ACTIONS(4812), 1,
      anon_sym_EQ_GT,
    ACTIONS(4814), 1,
      anon_sym_LBRACK,
    ACTIONS(4818), 1,
      anon_sym_AT,
    ACTIONS(4820), 1,
      anon_sym_LPAREN,
    ACTIONS(4822), 1,
      sym__backquoted_id,
    ACTIONS(4824), 1,
      sym_operator_identifier,
    ACTIONS(4826), 1,
      sym_integer_literal,
    ACTIONS(4832), 1,
      sym__indent,
    STATE(4706), 1,
      sym__simple_type,
    STATE(4742), 1,
      sym__annotated_type,
    STATE(4953), 1,
      sym__soft_identifier,
    STATE(5108), 1,
      sym_identifier,
    STATE(5539), 1,
      sym_wildcard,
    STATE(6651), 1,
      sym_annotated_type,
    STATE(7429), 1,
      sym_colon_argument,
    STATE(9789), 1,
      sym__non_null_literal,
    STATE(10068), 1,
      sym_literal_type,
    STATE(12234), 1,
      sym__infix_type_choice,
    STATE(12775), 1,
      sym__type,
    STATE(13023), 1,
      sym_template_body,
    STATE(15700), 1,
      sym_parameter_types,
    STATE(16255), 1,
      sym_bindings,
    STATE(17206), 1,
      sym_stable_identifier,
    ACTIONS(4828), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4830), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4834), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2392), 2,
      sym_comment,
      sym_block_comment,
    STATE(7428), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(8747), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9941), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12993), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13208), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12914), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5328), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6174] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4832), 1,
      sym__indent,
    ACTIONS(4836), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(7429), 1,
      sym_colon_argument,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9863), 1,
      sym_identifier,
    STATE(10176), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16255), 1,
      sym_bindings,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2393), 2,
      sym_comment,
      sym_block_comment,
    STATE(7428), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6321] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4792), 1,
      sym__indent,
    ACTIONS(4838), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(6888), 1,
      sym_colon_argument,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10073), 1,
      sym_identifier,
    STATE(10428), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(16660), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2394), 2,
      sym_comment,
      sym_block_comment,
    STATE(6890), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6468] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(4260), 1,
      anon_sym_AT,
    ACTIONS(4486), 1,
      sym__indent,
    ACTIONS(4840), 1,
      sym__alpha_identifier,
    ACTIONS(4842), 1,
      anon_sym__,
    ACTIONS(4844), 1,
      anon_sym_EQ_GT,
    ACTIONS(4846), 1,
      anon_sym_LBRACK,
    ACTIONS(4850), 1,
      anon_sym_LPAREN,
    ACTIONS(4852), 1,
      sym__backquoted_id,
    ACTIONS(4854), 1,
      sym_operator_identifier,
    ACTIONS(4856), 1,
      sym_integer_literal,
    STATE(4568), 1,
      sym__annotated_type,
    STATE(4743), 1,
      sym__simple_type,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(5119), 1,
      sym_identifier,
    STATE(5618), 1,
      sym_wildcard,
    STATE(6832), 1,
      sym_annotated_type,
    STATE(7687), 1,
      sym_colon_argument,
    STATE(9752), 1,
      sym_literal_type,
    STATE(9754), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(12317), 1,
      sym__infix_type_choice,
    STATE(12462), 1,
      sym__type,
    STATE(15455), 1,
      sym_parameter_types,
    STATE(16496), 1,
      sym_stable_identifier,
    STATE(17180), 1,
      sym_bindings,
    ACTIONS(4858), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4860), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4862), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2395), 2,
      sym_comment,
      sym_block_comment,
    STATE(7685), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9028), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9923), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12768), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5272), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6615] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4152), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4738), 1,
      sym__indent,
    ACTIONS(4864), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5649), 1,
      sym_colon_argument,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9992), 1,
      sym_identifier,
    STATE(10387), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(13803), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(16370), 1,
      sym_bindings,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2396), 2,
      sym_comment,
      sym_block_comment,
    STATE(5642), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13857), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6762] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4640), 1,
      sym__indent,
    ACTIONS(4866), 1,
      sym__alpha_identifier,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4872), 1,
      anon_sym__,
    ACTIONS(4874), 1,
      anon_sym_EQ_GT,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_AT,
    ACTIONS(4882), 1,
      anon_sym_LPAREN,
    ACTIONS(4884), 1,
      sym__backquoted_id,
    ACTIONS(4886), 1,
      sym_operator_identifier,
    ACTIONS(4888), 1,
      sym_integer_literal,
    STATE(4414), 1,
      sym__simple_type,
    STATE(4416), 1,
      sym__annotated_type,
    STATE(4496), 1,
      sym__soft_identifier,
    STATE(4740), 1,
      sym_identifier,
    STATE(4950), 1,
      sym_wildcard,
    STATE(5943), 1,
      sym_annotated_type,
    STATE(6016), 1,
      sym_colon_argument,
    STATE(9046), 1,
      sym_literal_type,
    STATE(9048), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11741), 1,
      sym__type,
    STATE(12624), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16363), 1,
      sym_stable_identifier,
    STATE(16848), 1,
      sym_bindings,
    ACTIONS(4890), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4892), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2397), 2,
      sym_comment,
      sym_block_comment,
    STATE(6015), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(7837), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8843), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11568), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11921), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4586), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [6909] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4172), 1,
      sym__indent,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4880), 1,
      anon_sym_AT,
    ACTIONS(4896), 1,
      sym__alpha_identifier,
    ACTIONS(4898), 1,
      anon_sym__,
    ACTIONS(4900), 1,
      anon_sym_EQ_GT,
    ACTIONS(4902), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
    ACTIONS(4908), 1,
      sym__backquoted_id,
    ACTIONS(4910), 1,
      sym_operator_identifier,
    ACTIONS(4912), 1,
      sym_integer_literal,
    STATE(5448), 1,
      sym__simple_type,
    STATE(5665), 1,
      sym__annotated_type,
    STATE(6026), 1,
      sym__soft_identifier,
    STATE(7005), 1,
      sym_identifier,
    STATE(7982), 1,
      sym_wildcard,
    STATE(8791), 1,
      sym_annotated_type,
    STATE(9361), 1,
      sym_colon_argument,
    STATE(10942), 1,
      sym__non_null_literal,
    STATE(10949), 1,
      sym_literal_type,
    STATE(11484), 1,
      sym_template_body,
    STATE(11741), 1,
      sym__type,
    STATE(12394), 1,
      sym__infix_type_choice,
    STATE(15320), 1,
      sym_parameter_types,
    STATE(16208), 1,
      sym_stable_identifier,
    STATE(16934), 1,
      sym_bindings,
    ACTIONS(4914), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4916), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4918), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2398), 2,
      sym_comment,
      sym_block_comment,
    STATE(9359), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10328), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10790), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11568), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11921), 3,
      sym_annotation,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7174), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [7056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4922), 9,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4920), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4926), 9,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4924), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4930), 9,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4928), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4926), 9,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4924), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4922), 9,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4920), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4932), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4934), 51,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_package,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4930), 9,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4928), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7574] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(4950), 1,
      anon_sym_implicit,
    ACTIONS(4952), 1,
      anon_sym_inline,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      anon_sym_using,
    ACTIONS(4958), 1,
      anon_sym_RPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(4962), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9630), 1,
      sym_identifier,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15414), 1,
      sym_parameter,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15841), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2406), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7721] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(4950), 1,
      anon_sym_implicit,
    ACTIONS(4952), 1,
      anon_sym_inline,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4956), 1,
      anon_sym_using,
    ACTIONS(4958), 1,
      anon_sym_RPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(4962), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9630), 1,
      sym_identifier,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15414), 1,
      sym_parameter,
    STATE(15415), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2407), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [7868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4922), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4920), 50,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_import,
      anon_sym_export,
      anon_sym__,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_extension,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [7941] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(4964), 1,
      anon_sym_inline,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9258), 1,
      sym_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(14438), 1,
      sym__type,
    STATE(15052), 1,
      sym_parameter,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2409), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15055), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8086] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(4964), 1,
      anon_sym_inline,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9258), 1,
      sym_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(14521), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15646), 1,
      sym_parameter,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2410), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15648), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8231] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(4964), 1,
      anon_sym_inline,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4968), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9258), 1,
      sym_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(14427), 1,
      sym__type,
    STATE(14818), 1,
      sym_parameter,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2411), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14822), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [8376] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14189), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2412), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8512] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14180), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2413), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8648] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14249), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2414), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8784] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14285), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2415), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [8920] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14197), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2416), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9056] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14253), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2417), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9192] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14239), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2418), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9328] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14273), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2419), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9464] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14288), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2420), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9600] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14315), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2421), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9736] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14353), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2422), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [9872] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14234), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2423), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10008] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14293), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2424), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10144] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14230), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2425), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10280] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14349), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2426), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10416] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14242), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2427), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10552] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14294), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2428), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10688] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14310), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2429), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10824] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14280), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2430), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [10960] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14301), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2431), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11096] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14266), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2432), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11232] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14168), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2433), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11368] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14165), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2434), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11504] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    ACTIONS(4972), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9124), 1,
      sym_identifier,
    STATE(9668), 1,
      sym_wildcard,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14381), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15300), 1,
      sym_binding,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2435), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 6,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
  [11640] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14321), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2436), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11771] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14306), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2437), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [11902] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14315), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2438), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12033] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15191), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2439), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12164] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14405), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2440), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12295] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4980), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2441), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12426] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4982), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2442), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12557] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4984), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2443), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12688] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14373), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2444), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12819] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14168), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2445), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [12950] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4986), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2446), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13081] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14206), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2447), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13212] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14180), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2448), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13343] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14177), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2449), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13474] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14178), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2450), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13605] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4988), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15191), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2451), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13736] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4990), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2452), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13867] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4992), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2453), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [13998] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4994), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2454), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14129] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4996), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2455), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14260] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(4998), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2456), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14391] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5000), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2457), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14522] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5002), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2458), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14653] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14280), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2459), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14784] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14234), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2460), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [14915] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5004), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2461), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15046] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5006), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2462), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15177] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5008), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2463), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15308] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14209), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2464), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15439] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14322), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2465), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15570] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5010), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2466), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15701] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14294), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2467), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15832] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5012), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2468), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [15963] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14197), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2469), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16094] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14392), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2470), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16225] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5014), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2471), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16356] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14245), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2472), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16487] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14402), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2473), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16618] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5016), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2474), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16749] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14357), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2475), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [16880] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5018), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2476), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17011] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14411), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2477), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17142] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5020), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2478), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17273] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5022), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2479), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17404] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14293), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2480), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17535] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5024), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2481), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17666] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14279), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2482), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17797] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14239), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2483), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [17928] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5026), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15191), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2484), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18059] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5028), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15191), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2485), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18190] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5030), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2486), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18321] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [18394] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5032), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15191), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2488), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18525] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5034), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2489), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18656] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5036), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2490), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18787] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14310), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2491), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [18918] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14266), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2492), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19049] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5038), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2493), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19180] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14286), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2494), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19311] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14220), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2495), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19442] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5040), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2496), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19573] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5042), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2497), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19704] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5044), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2498), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19835] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14215), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2499), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [19966] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5046), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2500), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20097] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14258), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2501), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20228] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5048), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2502), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20359] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5050), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2503), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20490] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14253), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2504), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20621] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14404), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2505), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20752] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5052), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2506), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [20883] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5054), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2507), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21014] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5056), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2508), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21145] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5058), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2509), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21276] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14416), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2510), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21407] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14396), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2511), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21538] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14349), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2512), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21669] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5060), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2513), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21800] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14249), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2514), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [21931] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5062), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2515), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22062] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5064), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2516), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22193] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5066), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2517), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22324] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14252), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2518), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22455] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14301), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2519), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22586] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5068), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2520), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22717] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14345), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2521), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22848] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5070), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2522), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [22979] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14230), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2523), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23110] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14273), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2524), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23241] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5072), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2525), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23372] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14378), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2526), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23503] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5074), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2527), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23634] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5076), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2528), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23765] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14353), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2529), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [23896] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14288), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2530), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24027] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5078), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2531), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24158] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5080), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2532), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24289] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14381), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2533), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24420] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15191), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2534), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24551] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5084), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2535), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24682] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14165), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2536), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24813] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14285), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2537), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [24944] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5086), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2538), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25075] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14236), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2539), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25206] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5088), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2540), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25337] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14289), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2541), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25468] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14242), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2542), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25599] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14270), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2543), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25730] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5090), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2544), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25861] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14364), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2545), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [25992] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14281), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2546), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26123] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5092), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15191), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2547), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26254] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14340), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2548), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26385] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14189), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2549), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26516] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5094), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2550), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26647] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14354), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2551), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26778] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5096), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2552), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [26909] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5098), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2553), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27040] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5100), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2554), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27171] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5102), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2555), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27302] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5104), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2556), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27433] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5106), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2557), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27564] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14283), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2558), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27695] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5108), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15222), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2559), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27826] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14348), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2560), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [27957] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5110), 1,
      anon_sym_RPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15191), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2561), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28088] = 36,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4974), 1,
      anon_sym_RPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14335), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2562), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15644), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28219] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14567), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2563), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15667), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28347] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14585), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2564), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15418), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28475] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14605), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2565), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14971), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28603] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [28675] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14613), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2567), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14741), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28803] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14612), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2568), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14794), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [28931] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15746), 1,
      sym__type,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2569), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15885), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29059] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29131] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14597), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2571), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15151), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29259] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(15760), 1,
      sym__type,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2572), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(15875), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29387] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4146), 1,
      anon_sym_EQ_GT,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15191), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2573), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(16039), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29515] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(5112), 1,
      anon_sym_EQ_GT,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(14614), 1,
      sym__type,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2574), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14767), 2,
      sym_lazy_parameter_type,
      sym_repeated_parameter_type,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29643] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16010), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(5114), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2575), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [29768] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29839] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29910] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      anon_sym_DQUOTE,
      anon_sym_yield,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [29981] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [30052] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5118), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2580), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30176] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5120), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2581), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30300] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5122), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2582), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30424] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5124), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2583), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30548] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5126), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2584), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30672] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5128), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2585), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30796] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5130), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2586), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [30920] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5132), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2587), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5134), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2588), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31168] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5136), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2589), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31292] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5138), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2590), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31416] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5140), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2591), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31540] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5142), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2592), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31664] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5144), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2593), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31788] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5146), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2594), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [31912] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5148), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2595), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32036] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5150), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2596), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32160] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5152), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2597), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32284] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5154), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2598), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32408] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5156), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2599), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32532] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5158), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2600), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32656] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [32726] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5160), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2602), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32850] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5162), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2603), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [32974] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [33044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5164), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2605), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33168] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5166), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2606), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33292] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5168), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2607), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33416] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5170), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2608), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33540] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5172), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2609), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33664] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5174), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2610), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33788] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5176), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2611), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [33912] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5178), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2612), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34036] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5180), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2613), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34160] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5182), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2614), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34284] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5184), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2615), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34408] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5186), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2616), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34532] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5188), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2617), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34656] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5190), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2618), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34780] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5192), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2619), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [34904] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5194), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2620), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35028] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5196), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2621), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5198), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2622), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35276] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5200), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2623), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35400] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5202), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2624), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35524] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5204), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2625), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35648] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5206), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2626), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35772] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5208), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2627), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [35896] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5210), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2628), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36020] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5212), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2629), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36144] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5214), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2630), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36268] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5216), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2631), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36392] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5218), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2632), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36516] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5220), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2633), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36640] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5222), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2634), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36764] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5224), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2635), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [36888] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5226), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2636), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37012] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5228), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2637), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37136] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5230), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2638), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5232), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2639), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37384] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5234), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2640), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37508] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5236), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2641), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37632] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5238), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2642), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37756] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5240), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2643), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [37880] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5242), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2644), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38004] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5244), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2645), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38128] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5246), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2646), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38252] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5248), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2647), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38376] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5250), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2648), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38500] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5252), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2649), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38624] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5254), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2650), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38748] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5256), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2651), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38872] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5258), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2652), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [38996] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5260), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2653), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39120] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5262), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2654), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39244] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5264), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2655), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39368] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5266), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2656), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39492] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5268), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2657), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39616] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5270), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2658), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5272), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2659), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39864] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5274), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2660), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [39988] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5276), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2661), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40112] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5278), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2662), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40236] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5280), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2663), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40360] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5282), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2664), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40484] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5284), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2665), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40608] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5286), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2666), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40732] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5288), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2667), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40856] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5290), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2668), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [40980] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5292), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2669), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41104] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5294), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2670), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41228] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5296), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2671), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41352] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5298), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2672), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41476] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5300), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2673), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41600] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5302), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2674), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41724] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5304), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2675), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41848] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5306), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2676), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [41972] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5308), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2677), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42096] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5310), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2678), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42220] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5312), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2679), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42344] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5314), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2680), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42468] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5316), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2681), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42592] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5318), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2682), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42716] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5320), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2683), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42840] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5322), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2684), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [42964] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5324), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2685), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43088] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5326), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2686), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43212] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5328), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2687), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43336] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5330), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2688), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43460] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5332), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2689), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43584] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5334), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2690), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43708] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5336), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2691), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43832] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5338), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2692), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [43956] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5340), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2693), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44080] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5342), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2694), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44204] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5344), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2695), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44328] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5346), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2696), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44452] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5348), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2697), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44576] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5350), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2698), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44700] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5352), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2699), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44824] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5354), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2700), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [44948] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5356), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2701), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45072] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5358), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2702), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45196] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5360), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2703), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45320] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5362), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2704), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45444] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5364), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2705), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45568] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5366), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2706), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45692] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5368), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2707), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45816] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5370), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2708), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [45940] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5372), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2709), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46064] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5374), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2710), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46188] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5376), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2711), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46312] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5378), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2712), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46436] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5380), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2713), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46560] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5382), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2714), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46684] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5384), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2715), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46808] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5386), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2716), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [46932] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5388), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2717), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47056] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5390), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2718), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47180] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5392), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2719), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47304] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5394), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2720), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47428] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5396), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2721), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47552] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5398), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2722), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47676] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5400), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2723), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47800] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5402), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2724), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [47924] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5404), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2725), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48048] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5406), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2726), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48172] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5408), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2727), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48296] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5410), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2728), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48420] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5412), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2729), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48544] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5414), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2730), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48668] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5416), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2731), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48792] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5418), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2732), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [48916] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5420), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2733), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49040] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5422), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2734), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49164] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5424), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2735), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49288] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5426), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2736), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49412] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5428), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2737), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49536] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5430), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2738), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49660] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5432), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2739), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49784] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5434), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2740), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [49908] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5436), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2741), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50032] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5438), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2742), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50156] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5440), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2743), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50280] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5442), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2744), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50404] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5444), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2745), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50528] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5446), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2746), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5448), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2747), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50776] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5450), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2748), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [50900] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5452), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2749), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51024] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5454), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2750), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51148] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5456), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2751), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51272] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5458), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2752), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51396] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5460), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2753), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51520] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5462), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2754), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51644] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5464), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2755), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51768] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5466), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2756), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [51892] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5468), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2757), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52016] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5470), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2758), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52140] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5472), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2759), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52264] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5474), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2760), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52388] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5476), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2761), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52512] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5478), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2762), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52636] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5480), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2763), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5482), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2764), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [52884] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5484), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2765), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53008] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5486), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2766), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53132] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5488), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2767), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53256] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5490), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2768), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53380] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5492), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2769), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53504] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5494), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2770), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53628] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5496), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2771), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53752] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5498), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2772), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [53876] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5500), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2773), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54000] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5502), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2774), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54124] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5504), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2775), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54248] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5506), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2776), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54372] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5508), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2777), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54496] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5510), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2778), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54620] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5512), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2779), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54744] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5514), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2780), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54868] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5516), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2781), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [54992] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5518), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2782), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55116] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5520), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2783), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5522), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2784), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55364] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5524), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2785), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55488] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5526), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2786), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55612] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5528), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2787), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55736] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5530), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2788), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55860] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5532), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2789), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [55984] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5534), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2790), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56108] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5536), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2791), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56232] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5538), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2792), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56356] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5540), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2793), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56480] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5542), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2794), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56604] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5544), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2795), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56728] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5546), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2796), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56852] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5548), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2797), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [56976] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5550), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2798), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57100] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5552), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2799), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57224] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5554), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2800), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57348] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5556), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2801), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57472] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5558), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2802), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57596] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5560), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2803), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57720] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5562), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2804), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57844] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5564), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2805), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [57968] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5566), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2806), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58092] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5568), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2807), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58216] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5570), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2808), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58340] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5572), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2809), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58464] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5574), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2810), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58588] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5576), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2811), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58712] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5578), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2812), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58836] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5580), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2813), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [58960] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5582), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2814), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59084] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5584), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2815), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59208] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5586), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2816), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59332] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5588), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2817), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59456] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5590), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2818), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59580] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5592), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2819), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59704] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5594), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2820), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59828] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5596), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2821), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [59952] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5598), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2822), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60076] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5600), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2823), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60200] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5602), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2824), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60324] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5604), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2825), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60448] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5606), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2826), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60572] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5608), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2827), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60696] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5610), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2828), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60820] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5612), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2829), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [60944] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5614), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2830), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61068] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5616), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2831), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61192] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5618), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2832), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61316] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5620), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2833), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61440] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5622), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2834), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61564] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5624), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2835), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61688] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5626), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2836), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61812] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5628), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2837), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [61936] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5630), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2838), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62060] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5632), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2839), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62184] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5634), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2840), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62308] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5636), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2841), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62432] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5638), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2842), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62556] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5640), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2843), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62680] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5642), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2844), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62804] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5644), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2845), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [62928] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5646), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2846), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63052] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5648), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2847), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63176] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5650), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2848), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63300] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5652), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2849), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63424] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5654), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2850), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63548] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5656), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2851), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63672] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5658), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2852), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63796] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5660), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2853), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [63920] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5662), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2854), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64044] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5664), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2855), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64168] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5666), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2856), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64292] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5668), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2857), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64416] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5670), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2858), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64540] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5672), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2859), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64664] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5674), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2860), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64788] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5676), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2861), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [64912] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5678), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2862), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65036] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5680), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2863), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65160] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5682), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2864), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65284] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5684), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2865), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65408] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5686), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2866), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65532] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5688), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2867), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65656] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5690), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2868), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65780] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5692), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2869), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [65904] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5694), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2870), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66028] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5696), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2871), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66152] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5698), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2872), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66276] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5700), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2873), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66400] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5702), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2874), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66524] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5704), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2875), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66648] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5706), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2876), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66772] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5708), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2877), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [66896] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5710), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2878), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67020] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5712), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2879), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67144] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5714), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2880), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67268] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5716), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2881), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67392] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5718), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2882), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67516] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5720), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2883), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67640] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5722), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2884), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67764] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5724), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2885), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [67888] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5726), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2886), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68012] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5728), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2887), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68136] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5730), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2888), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68260] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5732), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2889), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68384] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5734), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2890), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68508] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5736), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2891), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68632] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5738), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2892), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68756] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5740), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2893), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [68880] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5742), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2894), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69004] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5744), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2895), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69128] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5746), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2896), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69252] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5748), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2897), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69376] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5750), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2898), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69500] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5752), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2899), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69624] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5754), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2900), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69748] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5756), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2901), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69872] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5758), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2902), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [69996] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5760), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2903), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70120] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5762), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2904), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70244] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5764), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2905), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70368] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5766), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2906), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70492] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5768), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2907), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70616] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5770), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2908), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70740] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5772), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2909), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70864] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5774), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2910), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [70988] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5776), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2911), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71112] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5778), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2912), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71236] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5780), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2913), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71360] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5782), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2914), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71484] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5784), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2915), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71608] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5786), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2916), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71732] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5788), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2917), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71856] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5790), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2918), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [71980] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5792), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2919), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72104] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5794), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2920), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72228] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5796), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2921), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72352] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5798), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2922), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72476] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5800), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2923), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72600] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5802), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2924), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72724] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5804), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2925), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72848] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5806), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2926), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [72972] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5808), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2927), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73096] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5810), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2928), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73220] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5812), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2929), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73344] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5814), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2930), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73468] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5816), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2931), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73592] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5818), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2932), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73716] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5820), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2933), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73840] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5822), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2934), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [73964] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5824), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2935), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74088] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5826), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2936), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74212] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5828), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2937), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74336] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5830), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2938), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74460] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5832), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2939), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74584] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5834), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2940), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74708] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5836), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2941), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74832] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5838), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2942), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [74956] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5840), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2943), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75080] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5842), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2944), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75204] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5844), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2945), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75328] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5846), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2946), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75452] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5848), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2947), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75576] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5850), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2948), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75700] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5852), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2949), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75824] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5854), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2950), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [75948] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5856), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2951), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76072] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5858), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2952), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76196] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5860), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2953), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76320] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5862), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2954), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76444] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5864), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2955), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76568] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5866), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2956), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76692] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5868), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2957), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76816] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5870), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2958), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [76940] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5872), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2959), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77064] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5874), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2960), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77188] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5876), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2961), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77312] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5878), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2962), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77436] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5880), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2963), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77560] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5882), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2964), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77684] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5884), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2965), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77808] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5886), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2966), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [77932] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5888), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2967), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78056] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5890), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2968), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78180] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5892), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2969), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78304] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5894), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2970), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78428] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5896), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2971), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78552] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5898), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2972), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78676] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5900), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2973), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78800] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5902), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2974), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [78924] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5904), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2975), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79048] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5906), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2976), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79172] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5908), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2977), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79296] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5910), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2978), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79420] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5912), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2979), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79544] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(2980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [79614] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5914), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2981), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79738] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5916), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2982), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79862] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5918), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2983), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [79986] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5920), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2984), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80110] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5922), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2985), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80234] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5924), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2986), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80358] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5926), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2987), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80482] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5928), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2988), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80606] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5930), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2989), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80730] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5932), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2990), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80854] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5934), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2991), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [80978] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5936), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2992), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81102] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5938), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2993), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81226] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5940), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2994), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81350] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5942), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2995), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81474] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5944), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2996), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81598] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5946), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2997), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81722] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5948), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2998), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81846] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5950), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(2999), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [81970] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5952), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3000), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82094] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5954), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3001), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82218] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5956), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3002), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82342] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5958), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3003), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82466] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5960), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3004), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82590] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5962), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3005), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82714] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5964), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3006), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82838] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5966), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3007), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [82962] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5968), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3008), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83086] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5970), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3009), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83210] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [83280] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5972), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3011), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83404] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5974), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3012), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83528] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5976), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3013), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83652] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5978), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3014), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83776] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5980), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3015), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [83900] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5982), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3016), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84024] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5984), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3017), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84148] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5986), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3018), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84272] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5988), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3019), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84396] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5990), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3020), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84520] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5992), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3021), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84644] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5994), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3022), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84768] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5996), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3023), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [84892] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(5998), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3024), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85016] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6000), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3025), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85140] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6002), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3026), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85264] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6004), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3027), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85388] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6006), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3028), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85512] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6008), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3029), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85636] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6010), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3030), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85760] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6012), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3031), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [85884] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6014), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3032), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86008] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6016), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3033), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86132] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6018), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3034), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86256] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6020), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3035), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86380] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6022), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3036), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86504] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6024), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3037), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86628] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6026), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3038), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86752] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6028), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3039), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [86876] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6030), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3040), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87000] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6032), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3041), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87124] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6034), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3042), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87248] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6036), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3043), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87372] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6038), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3044), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87496] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6040), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3045), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87620] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6042), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3046), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87744] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6044), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3047), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87868] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6046), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3048), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [87992] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6048), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3049), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88116] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6050), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3050), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88240] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6052), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3051), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88364] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6054), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3052), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88488] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6056), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3053), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88612] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6058), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3054), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88736] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6060), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3055), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88860] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6062), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3056), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [88984] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6064), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3057), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89108] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6066), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3058), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89232] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6068), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3059), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89356] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6070), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3060), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89480] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6072), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3061), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89604] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6074), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3062), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89728] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6076), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3063), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89852] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6078), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3064), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [89976] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6080), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3065), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90100] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6082), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3066), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90224] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6084), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3067), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90348] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6086), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3068), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90472] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6088), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3069), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90596] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6090), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3070), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90720] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6092), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3071), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90844] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6094), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3072), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [90968] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6096), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3073), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91092] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6098), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3074), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91216] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6100), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3075), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91340] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6102), 1,
      anon_sym_RPAREN,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3076), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91464] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6104), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3077), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91588] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6106), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3078), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91712] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6108), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3079), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91836] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6110), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3080), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [91960] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6112), 1,
      anon_sym_RBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3081), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92084] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14753), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3082), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92205] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17309), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3083), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92326] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3310), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      anon_sym_LBRACE,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9744), 1,
      sym__annotated_type,
    STATE(12458), 1,
      sym__infix_type_choice,
    STATE(12646), 1,
      sym_literal_type,
    STATE(12752), 1,
      sym__non_null_literal,
    STATE(15687), 1,
      sym_parameter_types,
    STATE(16736), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17873), 1,
      sym_template_body,
    ACTIONS(3312), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3314), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3318), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3084), 2,
      sym_comment,
      sym_block_comment,
    STATE(10679), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12430), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(17874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17549), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92447] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3310), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      anon_sym_LBRACE,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9744), 1,
      sym__annotated_type,
    STATE(12458), 1,
      sym__infix_type_choice,
    STATE(12646), 1,
      sym_literal_type,
    STATE(12752), 1,
      sym__non_null_literal,
    STATE(15687), 1,
      sym_parameter_types,
    STATE(16486), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17873), 1,
      sym_template_body,
    ACTIONS(3312), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3314), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3318), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3085), 2,
      sym_comment,
      sym_block_comment,
    STATE(10679), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12430), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(17874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17549), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92568] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3310), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      anon_sym_LBRACE,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9744), 1,
      sym__annotated_type,
    STATE(12458), 1,
      sym__infix_type_choice,
    STATE(12646), 1,
      sym_literal_type,
    STATE(12752), 1,
      sym__non_null_literal,
    STATE(15687), 1,
      sym_parameter_types,
    STATE(16343), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17873), 1,
      sym_template_body,
    ACTIONS(3312), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3314), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3318), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3086), 2,
      sym_comment,
      sym_block_comment,
    STATE(10679), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12430), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(17874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17549), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92689] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3310), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      anon_sym_LBRACE,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9744), 1,
      sym__annotated_type,
    STATE(12458), 1,
      sym__infix_type_choice,
    STATE(12646), 1,
      sym_literal_type,
    STATE(12752), 1,
      sym__non_null_literal,
    STATE(15687), 1,
      sym_parameter_types,
    STATE(16376), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17873), 1,
      sym_template_body,
    ACTIONS(3312), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3314), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3318), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3087), 2,
      sym_comment,
      sym_block_comment,
    STATE(10679), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12430), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(17874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17549), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92810] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14826), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3088), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [92931] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [93000] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6130), 1,
      anon_sym_LBRACK,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(12786), 1,
      sym__type,
    STATE(15383), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3090), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93121] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1626), 1,
      sym_integer_literal,
    ACTIONS(6140), 1,
      sym__alpha_identifier,
    ACTIONS(6142), 1,
      anon_sym_COLON,
    ACTIONS(6144), 1,
      anon_sym_LBRACE,
    ACTIONS(6146), 1,
      anon_sym__,
    ACTIONS(6148), 1,
      anon_sym_LBRACK,
    ACTIONS(6152), 1,
      anon_sym_LPAREN,
    ACTIONS(6154), 1,
      sym__backquoted_id,
    ACTIONS(6156), 1,
      sym_operator_identifier,
    STATE(5987), 1,
      sym__annotated_type,
    STATE(6643), 1,
      sym__simple_type,
    STATE(7004), 1,
      sym_identifier,
    STATE(7223), 1,
      sym__soft_identifier,
    STATE(9532), 1,
      sym_annotated_type,
    STATE(10959), 1,
      sym__non_null_literal,
    STATE(10973), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11966), 1,
      sym__type,
    STATE(12369), 1,
      sym__infix_type_choice,
    STATE(15554), 1,
      sym_parameter_types,
    STATE(17242), 1,
      sym_stable_identifier,
    ACTIONS(1628), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1630), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1634), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3091), 2,
      sym_comment,
      sym_block_comment,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9434), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10535), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7827), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93242] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14829), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3092), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93363] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15529), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3093), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93484] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14938), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3094), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93605] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15510), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3095), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93726] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1734), 1,
      sym_integer_literal,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6166), 1,
      anon_sym_LBRACK,
    ACTIONS(6170), 1,
      anon_sym_LPAREN,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    STATE(5489), 1,
      sym__simple_type,
    STATE(5962), 1,
      sym__annotated_type,
    STATE(6141), 1,
      sym_identifier,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(8850), 1,
      sym_annotated_type,
    STATE(10715), 1,
      sym_literal_type,
    STATE(10858), 1,
      sym__non_null_literal,
    STATE(12334), 1,
      sym__infix_type_choice,
    STATE(13345), 1,
      sym_template_body,
    STATE(13641), 1,
      sym__type,
    STATE(15472), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(1736), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1738), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1742), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3096), 2,
      sym_comment,
      sym_block_comment,
    STATE(9096), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10173), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93847] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6176), 1,
      anon_sym_LBRACK,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9168), 1,
      sym__annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11860), 1,
      sym__type,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(15548), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3097), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [93968] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6176), 1,
      anon_sym_LBRACK,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9168), 1,
      sym__annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12002), 1,
      sym__type,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(15548), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3098), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94089] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      sym__alpha_identifier,
    ACTIONS(6180), 1,
      anon_sym_COLON,
    ACTIONS(6182), 1,
      anon_sym_LBRACE,
    ACTIONS(6184), 1,
      anon_sym__,
    ACTIONS(6186), 1,
      anon_sym_LBRACK,
    ACTIONS(6190), 1,
      anon_sym_LPAREN,
    ACTIONS(6192), 1,
      sym__backquoted_id,
    ACTIONS(6194), 1,
      sym_operator_identifier,
    ACTIONS(6196), 1,
      sym_integer_literal,
    STATE(5255), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5650), 1,
      sym__soft_identifier,
    STATE(5679), 1,
      sym__annotated_type,
    STATE(8940), 1,
      sym_annotated_type,
    STATE(10544), 1,
      sym__non_null_literal,
    STATE(10545), 1,
      sym_literal_type,
    STATE(10729), 1,
      sym__type,
    STATE(10868), 1,
      sym_template_body,
    STATE(12487), 1,
      sym__infix_type_choice,
    STATE(15615), 1,
      sym_parameter_types,
    STATE(16426), 1,
      sym_stable_identifier,
    ACTIONS(6198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6202), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3099), 2,
      sym_comment,
      sym_block_comment,
    STATE(10082), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10638), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10774), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6081), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94210] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      sym__alpha_identifier,
    ACTIONS(6180), 1,
      anon_sym_COLON,
    ACTIONS(6182), 1,
      anon_sym_LBRACE,
    ACTIONS(6184), 1,
      anon_sym__,
    ACTIONS(6186), 1,
      anon_sym_LBRACK,
    ACTIONS(6190), 1,
      anon_sym_LPAREN,
    ACTIONS(6192), 1,
      sym__backquoted_id,
    ACTIONS(6194), 1,
      sym_operator_identifier,
    ACTIONS(6196), 1,
      sym_integer_literal,
    STATE(5255), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5650), 1,
      sym__soft_identifier,
    STATE(5679), 1,
      sym__annotated_type,
    STATE(8940), 1,
      sym_annotated_type,
    STATE(10544), 1,
      sym__non_null_literal,
    STATE(10545), 1,
      sym_literal_type,
    STATE(10728), 1,
      sym__type,
    STATE(10868), 1,
      sym_template_body,
    STATE(12487), 1,
      sym__infix_type_choice,
    STATE(15615), 1,
      sym_parameter_types,
    STATE(16426), 1,
      sym_stable_identifier,
    ACTIONS(6198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6202), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3100), 2,
      sym_comment,
      sym_block_comment,
    STATE(10082), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10638), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10774), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6081), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94331] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      sym__alpha_identifier,
    ACTIONS(6180), 1,
      anon_sym_COLON,
    ACTIONS(6182), 1,
      anon_sym_LBRACE,
    ACTIONS(6184), 1,
      anon_sym__,
    ACTIONS(6186), 1,
      anon_sym_LBRACK,
    ACTIONS(6190), 1,
      anon_sym_LPAREN,
    ACTIONS(6192), 1,
      sym__backquoted_id,
    ACTIONS(6194), 1,
      sym_operator_identifier,
    ACTIONS(6196), 1,
      sym_integer_literal,
    STATE(5255), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5650), 1,
      sym__soft_identifier,
    STATE(5679), 1,
      sym__annotated_type,
    STATE(8940), 1,
      sym_annotated_type,
    STATE(10544), 1,
      sym__non_null_literal,
    STATE(10545), 1,
      sym_literal_type,
    STATE(10725), 1,
      sym__type,
    STATE(10868), 1,
      sym_template_body,
    STATE(12487), 1,
      sym__infix_type_choice,
    STATE(15615), 1,
      sym_parameter_types,
    STATE(16426), 1,
      sym_stable_identifier,
    ACTIONS(6198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6202), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3101), 2,
      sym_comment,
      sym_block_comment,
    STATE(10082), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10638), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10774), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6081), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94452] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      sym__alpha_identifier,
    ACTIONS(6180), 1,
      anon_sym_COLON,
    ACTIONS(6182), 1,
      anon_sym_LBRACE,
    ACTIONS(6184), 1,
      anon_sym__,
    ACTIONS(6186), 1,
      anon_sym_LBRACK,
    ACTIONS(6190), 1,
      anon_sym_LPAREN,
    ACTIONS(6192), 1,
      sym__backquoted_id,
    ACTIONS(6194), 1,
      sym_operator_identifier,
    ACTIONS(6196), 1,
      sym_integer_literal,
    STATE(5255), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5650), 1,
      sym__soft_identifier,
    STATE(5679), 1,
      sym__annotated_type,
    STATE(8940), 1,
      sym_annotated_type,
    STATE(10544), 1,
      sym__non_null_literal,
    STATE(10545), 1,
      sym_literal_type,
    STATE(10710), 1,
      sym__type,
    STATE(10868), 1,
      sym_template_body,
    STATE(12487), 1,
      sym__infix_type_choice,
    STATE(15615), 1,
      sym_parameter_types,
    STATE(16426), 1,
      sym_stable_identifier,
    ACTIONS(6198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6202), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3102), 2,
      sym_comment,
      sym_block_comment,
    STATE(10082), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10638), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10774), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6081), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94573] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6176), 1,
      anon_sym_LBRACK,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9168), 1,
      sym__annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11914), 1,
      sym__type,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(15548), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3103), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94694] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6176), 1,
      anon_sym_LBRACK,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9168), 1,
      sym__annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11912), 1,
      sym__type,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(15548), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3104), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94815] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6176), 1,
      anon_sym_LBRACK,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9168), 1,
      sym__annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11889), 1,
      sym__type,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(15548), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3105), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [94936] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(958), 1,
      sym_integer_literal,
    ACTIONS(6142), 1,
      anon_sym_COLON,
    ACTIONS(6144), 1,
      anon_sym_LBRACE,
    ACTIONS(6204), 1,
      sym__alpha_identifier,
    ACTIONS(6206), 1,
      anon_sym__,
    ACTIONS(6208), 1,
      anon_sym_LBRACK,
    ACTIONS(6212), 1,
      anon_sym_LPAREN,
    ACTIONS(6214), 1,
      sym__backquoted_id,
    ACTIONS(6216), 1,
      sym_operator_identifier,
    STATE(4500), 1,
      sym__simple_type,
    STATE(4516), 1,
      sym__annotated_type,
    STATE(4575), 1,
      sym_identifier,
    STATE(4614), 1,
      sym__soft_identifier,
    STATE(6499), 1,
      sym_annotated_type,
    STATE(9405), 1,
      sym__non_null_literal,
    STATE(9714), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11966), 1,
      sym__type,
    STATE(12406), 1,
      sym__infix_type_choice,
    STATE(15609), 1,
      sym_parameter_types,
    STATE(17254), 1,
      sym_stable_identifier,
    ACTIONS(960), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(962), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3106), 2,
      sym_comment,
      sym_block_comment,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6132), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8428), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6210), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95057] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [95126] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16217), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3108), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95247] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14752), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3109), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95368] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15429), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3110), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95489] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      sym__alpha_identifier,
    ACTIONS(6180), 1,
      anon_sym_COLON,
    ACTIONS(6182), 1,
      anon_sym_LBRACE,
    ACTIONS(6184), 1,
      anon_sym__,
    ACTIONS(6186), 1,
      anon_sym_LBRACK,
    ACTIONS(6190), 1,
      anon_sym_LPAREN,
    ACTIONS(6192), 1,
      sym__backquoted_id,
    ACTIONS(6194), 1,
      sym_operator_identifier,
    ACTIONS(6196), 1,
      sym_integer_literal,
    STATE(5255), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5650), 1,
      sym__soft_identifier,
    STATE(5679), 1,
      sym__annotated_type,
    STATE(8940), 1,
      sym_annotated_type,
    STATE(10544), 1,
      sym__non_null_literal,
    STATE(10545), 1,
      sym_literal_type,
    STATE(10781), 1,
      sym__type,
    STATE(10868), 1,
      sym_template_body,
    STATE(12487), 1,
      sym__infix_type_choice,
    STATE(15615), 1,
      sym_parameter_types,
    STATE(16426), 1,
      sym_stable_identifier,
    ACTIONS(6198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6202), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3111), 2,
      sym_comment,
      sym_block_comment,
    STATE(10082), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10638), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10774), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6081), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95610] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14844), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3112), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95731] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16214), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3113), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95852] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6218), 1,
      sym__alpha_identifier,
    ACTIONS(6220), 1,
      anon_sym__,
    ACTIONS(6222), 1,
      anon_sym_LBRACK,
    ACTIONS(6226), 1,
      anon_sym_LPAREN,
    ACTIONS(6228), 1,
      sym__backquoted_id,
    ACTIONS(6230), 1,
      sym_operator_identifier,
    ACTIONS(6232), 1,
      sym_integer_literal,
    STATE(7714), 1,
      sym__simple_type,
    STATE(8360), 1,
      sym__soft_identifier,
    STATE(8457), 1,
      sym_identifier,
    STATE(8704), 1,
      sym__annotated_type,
    STATE(10600), 1,
      sym_annotated_type,
    STATE(11774), 1,
      sym__non_null_literal,
    STATE(11776), 1,
      sym_literal_type,
    STATE(11833), 1,
      sym_template_body,
    STATE(11860), 1,
      sym__type,
    STATE(12381), 1,
      sym__infix_type_choice,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16447), 1,
      sym_stable_identifier,
    ACTIONS(6234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6238), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3114), 2,
      sym_comment,
      sym_block_comment,
    STATE(11093), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11605), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8869), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [95973] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6218), 1,
      sym__alpha_identifier,
    ACTIONS(6220), 1,
      anon_sym__,
    ACTIONS(6222), 1,
      anon_sym_LBRACK,
    ACTIONS(6226), 1,
      anon_sym_LPAREN,
    ACTIONS(6228), 1,
      sym__backquoted_id,
    ACTIONS(6230), 1,
      sym_operator_identifier,
    ACTIONS(6232), 1,
      sym_integer_literal,
    STATE(7714), 1,
      sym__simple_type,
    STATE(8360), 1,
      sym__soft_identifier,
    STATE(8457), 1,
      sym_identifier,
    STATE(8704), 1,
      sym__annotated_type,
    STATE(10600), 1,
      sym_annotated_type,
    STATE(11774), 1,
      sym__non_null_literal,
    STATE(11776), 1,
      sym_literal_type,
    STATE(11833), 1,
      sym_template_body,
    STATE(12002), 1,
      sym__type,
    STATE(12381), 1,
      sym__infix_type_choice,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16447), 1,
      sym_stable_identifier,
    ACTIONS(6234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6238), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3115), 2,
      sym_comment,
      sym_block_comment,
    STATE(11093), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11605), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8869), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96094] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6218), 1,
      sym__alpha_identifier,
    ACTIONS(6220), 1,
      anon_sym__,
    ACTIONS(6222), 1,
      anon_sym_LBRACK,
    ACTIONS(6226), 1,
      anon_sym_LPAREN,
    ACTIONS(6228), 1,
      sym__backquoted_id,
    ACTIONS(6230), 1,
      sym_operator_identifier,
    ACTIONS(6232), 1,
      sym_integer_literal,
    STATE(7714), 1,
      sym__simple_type,
    STATE(8360), 1,
      sym__soft_identifier,
    STATE(8457), 1,
      sym_identifier,
    STATE(8704), 1,
      sym__annotated_type,
    STATE(10600), 1,
      sym_annotated_type,
    STATE(11774), 1,
      sym__non_null_literal,
    STATE(11776), 1,
      sym_literal_type,
    STATE(11833), 1,
      sym_template_body,
    STATE(11914), 1,
      sym__type,
    STATE(12381), 1,
      sym__infix_type_choice,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16447), 1,
      sym_stable_identifier,
    ACTIONS(6234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6238), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3116), 2,
      sym_comment,
      sym_block_comment,
    STATE(11093), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11605), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8869), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96215] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6218), 1,
      sym__alpha_identifier,
    ACTIONS(6220), 1,
      anon_sym__,
    ACTIONS(6222), 1,
      anon_sym_LBRACK,
    ACTIONS(6226), 1,
      anon_sym_LPAREN,
    ACTIONS(6228), 1,
      sym__backquoted_id,
    ACTIONS(6230), 1,
      sym_operator_identifier,
    ACTIONS(6232), 1,
      sym_integer_literal,
    STATE(7714), 1,
      sym__simple_type,
    STATE(8360), 1,
      sym__soft_identifier,
    STATE(8457), 1,
      sym_identifier,
    STATE(8704), 1,
      sym__annotated_type,
    STATE(10600), 1,
      sym_annotated_type,
    STATE(11774), 1,
      sym__non_null_literal,
    STATE(11776), 1,
      sym_literal_type,
    STATE(11833), 1,
      sym_template_body,
    STATE(11912), 1,
      sym__type,
    STATE(12381), 1,
      sym__infix_type_choice,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16447), 1,
      sym_stable_identifier,
    ACTIONS(6234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6238), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3117), 2,
      sym_comment,
      sym_block_comment,
    STATE(11093), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11605), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8869), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96336] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6218), 1,
      sym__alpha_identifier,
    ACTIONS(6220), 1,
      anon_sym__,
    ACTIONS(6222), 1,
      anon_sym_LBRACK,
    ACTIONS(6226), 1,
      anon_sym_LPAREN,
    ACTIONS(6228), 1,
      sym__backquoted_id,
    ACTIONS(6230), 1,
      sym_operator_identifier,
    ACTIONS(6232), 1,
      sym_integer_literal,
    STATE(7714), 1,
      sym__simple_type,
    STATE(8360), 1,
      sym__soft_identifier,
    STATE(8457), 1,
      sym_identifier,
    STATE(8704), 1,
      sym__annotated_type,
    STATE(10600), 1,
      sym_annotated_type,
    STATE(11774), 1,
      sym__non_null_literal,
    STATE(11776), 1,
      sym_literal_type,
    STATE(11833), 1,
      sym_template_body,
    STATE(11889), 1,
      sym__type,
    STATE(12381), 1,
      sym__infix_type_choice,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16447), 1,
      sym_stable_identifier,
    ACTIONS(6234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6238), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3118), 2,
      sym_comment,
      sym_block_comment,
    STATE(11093), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11605), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8869), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96457] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1272), 1,
      sym_integer_literal,
    ACTIONS(6240), 1,
      sym__alpha_identifier,
    ACTIONS(6242), 1,
      anon_sym_COLON,
    ACTIONS(6244), 1,
      anon_sym_LBRACE,
    ACTIONS(6246), 1,
      anon_sym__,
    ACTIONS(6248), 1,
      anon_sym_LBRACK,
    ACTIONS(6252), 1,
      anon_sym_LPAREN,
    ACTIONS(6254), 1,
      sym__backquoted_id,
    ACTIONS(6256), 1,
      sym_operator_identifier,
    STATE(4888), 1,
      sym__simple_type,
    STATE(4993), 1,
      sym__annotated_type,
    STATE(5046), 1,
      sym__soft_identifier,
    STATE(5345), 1,
      sym_identifier,
    STATE(7619), 1,
      sym_annotated_type,
    STATE(10256), 1,
      sym__non_null_literal,
    STATE(10422), 1,
      sym_literal_type,
    STATE(12424), 1,
      sym__infix_type_choice,
    STATE(13023), 1,
      sym_template_body,
    STATE(13061), 1,
      sym__type,
    STATE(15474), 1,
      sym_parameter_types,
    STATE(17260), 1,
      sym_stable_identifier,
    ACTIONS(1274), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1276), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1280), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3119), 2,
      sym_comment,
      sym_block_comment,
    STATE(7718), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8009), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9716), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12914), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5941), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96578] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14876), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3120), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96699] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15591), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3121), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96820] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16152), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3122), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [96941] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15239), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3123), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97062] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16296), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3124), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97183] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16298), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3125), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97304] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15595), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3126), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97425] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16150), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3127), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97546] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14735), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3128), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97667] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15330), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3129), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97788] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15043), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3130), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [97909] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1102), 1,
      sym_integer_literal,
    ACTIONS(6258), 1,
      sym__alpha_identifier,
    ACTIONS(6260), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym__,
    ACTIONS(6266), 1,
      anon_sym_LBRACK,
    ACTIONS(6270), 1,
      anon_sym_LPAREN,
    ACTIONS(6272), 1,
      sym__backquoted_id,
    ACTIONS(6274), 1,
      sym_operator_identifier,
    STATE(4937), 1,
      sym__simple_type,
    STATE(4967), 1,
      sym__annotated_type,
    STATE(5114), 1,
      sym__soft_identifier,
    STATE(5304), 1,
      sym_identifier,
    STATE(7478), 1,
      sym_annotated_type,
    STATE(10178), 1,
      sym_literal_type,
    STATE(10215), 1,
      sym__non_null_literal,
    STATE(12289), 1,
      sym__infix_type_choice,
    STATE(12931), 1,
      sym_template_body,
    STATE(13124), 1,
      sym__type,
    STATE(15471), 1,
      sym_parameter_types,
    STATE(17218), 1,
      sym_stable_identifier,
    ACTIONS(1104), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1106), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1110), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3131), 2,
      sym_comment,
      sym_block_comment,
    STATE(7578), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9446), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12700), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5908), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98030] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6276), 1,
      sym__alpha_identifier,
    ACTIONS(6278), 1,
      anon_sym__,
    ACTIONS(6280), 1,
      anon_sym_LBRACK,
    ACTIONS(6284), 1,
      anon_sym_LPAREN,
    ACTIONS(6286), 1,
      sym__backquoted_id,
    ACTIONS(6288), 1,
      sym_operator_identifier,
    ACTIONS(6290), 1,
      sym_integer_literal,
    STATE(7073), 1,
      sym__simple_type,
    STATE(7671), 1,
      sym__soft_identifier,
    STATE(7785), 1,
      sym_identifier,
    STATE(7853), 1,
      sym__annotated_type,
    STATE(10337), 1,
      sym_annotated_type,
    STATE(11175), 1,
      sym_literal_type,
    STATE(11179), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11860), 1,
      sym__type,
    STATE(12337), 1,
      sym__infix_type_choice,
    STATE(15652), 1,
      sym_parameter_types,
    STATE(16468), 1,
      sym_stable_identifier,
    ACTIONS(6292), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6294), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6296), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3132), 2,
      sym_comment,
      sym_block_comment,
    STATE(10765), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11355), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6282), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98151] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15324), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3133), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98272] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6302), 1,
      anon_sym_LBRACK,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6650), 1,
      sym__annotated_type,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11193), 1,
      sym__type,
    STATE(12534), 1,
      sym__infix_type_choice,
    STATE(15722), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3134), 2,
      sym_comment,
      sym_block_comment,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98393] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6302), 1,
      anon_sym_LBRACK,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6650), 1,
      sym__annotated_type,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11194), 1,
      sym__type,
    STATE(12534), 1,
      sym__infix_type_choice,
    STATE(15722), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3135), 2,
      sym_comment,
      sym_block_comment,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98514] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6302), 1,
      anon_sym_LBRACK,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6650), 1,
      sym__annotated_type,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11195), 1,
      sym__type,
    STATE(12534), 1,
      sym__infix_type_choice,
    STATE(15722), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3136), 2,
      sym_comment,
      sym_block_comment,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98635] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6302), 1,
      anon_sym_LBRACK,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6650), 1,
      sym__annotated_type,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11204), 1,
      sym__type,
    STATE(12534), 1,
      sym__infix_type_choice,
    STATE(15722), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3137), 2,
      sym_comment,
      sym_block_comment,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98756] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(8491), 1,
      sym__type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3138), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98877] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16392), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3139), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [98998] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6276), 1,
      sym__alpha_identifier,
    ACTIONS(6278), 1,
      anon_sym__,
    ACTIONS(6280), 1,
      anon_sym_LBRACK,
    ACTIONS(6284), 1,
      anon_sym_LPAREN,
    ACTIONS(6286), 1,
      sym__backquoted_id,
    ACTIONS(6288), 1,
      sym_operator_identifier,
    ACTIONS(6290), 1,
      sym_integer_literal,
    STATE(7073), 1,
      sym__simple_type,
    STATE(7671), 1,
      sym__soft_identifier,
    STATE(7785), 1,
      sym_identifier,
    STATE(7853), 1,
      sym__annotated_type,
    STATE(10337), 1,
      sym_annotated_type,
    STATE(11175), 1,
      sym_literal_type,
    STATE(11179), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12002), 1,
      sym__type,
    STATE(12337), 1,
      sym__infix_type_choice,
    STATE(15652), 1,
      sym_parameter_types,
    STATE(16468), 1,
      sym_stable_identifier,
    ACTIONS(6292), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6294), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6296), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3140), 2,
      sym_comment,
      sym_block_comment,
    STATE(10765), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11355), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6282), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99119] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6276), 1,
      sym__alpha_identifier,
    ACTIONS(6278), 1,
      anon_sym__,
    ACTIONS(6280), 1,
      anon_sym_LBRACK,
    ACTIONS(6284), 1,
      anon_sym_LPAREN,
    ACTIONS(6286), 1,
      sym__backquoted_id,
    ACTIONS(6288), 1,
      sym_operator_identifier,
    ACTIONS(6290), 1,
      sym_integer_literal,
    STATE(7073), 1,
      sym__simple_type,
    STATE(7671), 1,
      sym__soft_identifier,
    STATE(7785), 1,
      sym_identifier,
    STATE(7853), 1,
      sym__annotated_type,
    STATE(10337), 1,
      sym_annotated_type,
    STATE(11175), 1,
      sym_literal_type,
    STATE(11179), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11914), 1,
      sym__type,
    STATE(12337), 1,
      sym__infix_type_choice,
    STATE(15652), 1,
      sym_parameter_types,
    STATE(16468), 1,
      sym_stable_identifier,
    ACTIONS(6292), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6294), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6296), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3141), 2,
      sym_comment,
      sym_block_comment,
    STATE(10765), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11355), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6282), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99240] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6276), 1,
      sym__alpha_identifier,
    ACTIONS(6278), 1,
      anon_sym__,
    ACTIONS(6280), 1,
      anon_sym_LBRACK,
    ACTIONS(6284), 1,
      anon_sym_LPAREN,
    ACTIONS(6286), 1,
      sym__backquoted_id,
    ACTIONS(6288), 1,
      sym_operator_identifier,
    ACTIONS(6290), 1,
      sym_integer_literal,
    STATE(7073), 1,
      sym__simple_type,
    STATE(7671), 1,
      sym__soft_identifier,
    STATE(7785), 1,
      sym_identifier,
    STATE(7853), 1,
      sym__annotated_type,
    STATE(10337), 1,
      sym_annotated_type,
    STATE(11175), 1,
      sym_literal_type,
    STATE(11179), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11912), 1,
      sym__type,
    STATE(12337), 1,
      sym__infix_type_choice,
    STATE(15652), 1,
      sym_parameter_types,
    STATE(16468), 1,
      sym_stable_identifier,
    ACTIONS(6292), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6294), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6296), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3142), 2,
      sym_comment,
      sym_block_comment,
    STATE(10765), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11355), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6282), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99361] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6276), 1,
      sym__alpha_identifier,
    ACTIONS(6278), 1,
      anon_sym__,
    ACTIONS(6280), 1,
      anon_sym_LBRACK,
    ACTIONS(6284), 1,
      anon_sym_LPAREN,
    ACTIONS(6286), 1,
      sym__backquoted_id,
    ACTIONS(6288), 1,
      sym_operator_identifier,
    ACTIONS(6290), 1,
      sym_integer_literal,
    STATE(7073), 1,
      sym__simple_type,
    STATE(7671), 1,
      sym__soft_identifier,
    STATE(7785), 1,
      sym_identifier,
    STATE(7853), 1,
      sym__annotated_type,
    STATE(10337), 1,
      sym_annotated_type,
    STATE(11175), 1,
      sym_literal_type,
    STATE(11179), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11889), 1,
      sym__type,
    STATE(12337), 1,
      sym__infix_type_choice,
    STATE(15652), 1,
      sym_parameter_types,
    STATE(16468), 1,
      sym_stable_identifier,
    ACTIONS(6292), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6294), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6296), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3143), 2,
      sym_comment,
      sym_block_comment,
    STATE(10765), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11355), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6282), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99482] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1216), 1,
      sym_integer_literal,
    ACTIONS(6312), 1,
      sym__alpha_identifier,
    ACTIONS(6314), 1,
      anon_sym_COLON,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    STATE(5070), 1,
      sym__annotated_type,
    STATE(5251), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(5874), 1,
      sym_identifier,
    STATE(8314), 1,
      sym_annotated_type,
    STATE(10562), 1,
      sym_literal_type,
    STATE(10637), 1,
      sym__non_null_literal,
    STATE(12338), 1,
      sym__infix_type_choice,
    STATE(13081), 1,
      sym_template_body,
    STATE(13618), 1,
      sym__type,
    STATE(15475), 1,
      sym_parameter_types,
    STATE(17278), 1,
      sym_stable_identifier,
    ACTIONS(1218), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1220), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1224), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3144), 2,
      sym_comment,
      sym_block_comment,
    STATE(8202), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8537), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13194), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6129), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99603] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15175), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3145), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99724] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15449), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3146), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99845] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16386), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3147), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [99966] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6302), 1,
      anon_sym_LBRACK,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6650), 1,
      sym__annotated_type,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11307), 1,
      sym__type,
    STATE(12534), 1,
      sym__infix_type_choice,
    STATE(15722), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3148), 2,
      sym_comment,
      sym_block_comment,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100087] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4346), 1,
      sym__alpha_identifier,
    ACTIONS(4348), 1,
      anon_sym_COLON,
    ACTIONS(4350), 1,
      anon_sym_LBRACE,
    ACTIONS(4352), 1,
      anon_sym__,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4364), 1,
      sym__backquoted_id,
    ACTIONS(4368), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      anon_sym_LPAREN,
    ACTIONS(6332), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4887), 1,
      sym__simple_type,
    STATE(5109), 1,
      sym_identifier,
    STATE(5171), 1,
      sym__soft_identifier,
    STATE(7499), 1,
      sym_annotated_type,
    STATE(10247), 1,
      sym__non_null_literal,
    STATE(10276), 1,
      sym_literal_type,
    STATE(12316), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__type,
    STATE(13289), 1,
      sym_template_body,
    STATE(15725), 1,
      sym_parameter_types,
    STATE(16510), 1,
      sym_stable_identifier,
    ACTIONS(4370), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4372), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4376), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3149), 2,
      sym_comment,
      sym_block_comment,
    STATE(9613), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10323), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13286), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13177), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5792), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100208] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4346), 1,
      sym__alpha_identifier,
    ACTIONS(4348), 1,
      anon_sym_COLON,
    ACTIONS(4350), 1,
      anon_sym_LBRACE,
    ACTIONS(4352), 1,
      anon_sym__,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4364), 1,
      sym__backquoted_id,
    ACTIONS(4368), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      anon_sym_LPAREN,
    ACTIONS(6332), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4887), 1,
      sym__simple_type,
    STATE(5109), 1,
      sym_identifier,
    STATE(5171), 1,
      sym__soft_identifier,
    STATE(7499), 1,
      sym_annotated_type,
    STATE(10247), 1,
      sym__non_null_literal,
    STATE(10276), 1,
      sym_literal_type,
    STATE(12316), 1,
      sym__infix_type_choice,
    STATE(13134), 1,
      sym__type,
    STATE(13289), 1,
      sym_template_body,
    STATE(15725), 1,
      sym_parameter_types,
    STATE(16510), 1,
      sym_stable_identifier,
    ACTIONS(4370), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4372), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4376), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3150), 2,
      sym_comment,
      sym_block_comment,
    STATE(9613), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10323), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13286), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13177), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5792), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100329] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15169), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3151), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100450] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15673), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3152), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100571] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4346), 1,
      sym__alpha_identifier,
    ACTIONS(4348), 1,
      anon_sym_COLON,
    ACTIONS(4350), 1,
      anon_sym_LBRACE,
    ACTIONS(4352), 1,
      anon_sym__,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4364), 1,
      sym__backquoted_id,
    ACTIONS(4368), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      anon_sym_LPAREN,
    ACTIONS(6332), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4887), 1,
      sym__simple_type,
    STATE(5109), 1,
      sym_identifier,
    STATE(5171), 1,
      sym__soft_identifier,
    STATE(7499), 1,
      sym_annotated_type,
    STATE(10247), 1,
      sym__non_null_literal,
    STATE(10276), 1,
      sym_literal_type,
    STATE(12316), 1,
      sym__infix_type_choice,
    STATE(13143), 1,
      sym__type,
    STATE(13289), 1,
      sym_template_body,
    STATE(15725), 1,
      sym_parameter_types,
    STATE(16510), 1,
      sym_stable_identifier,
    ACTIONS(4370), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4372), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4376), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3153), 2,
      sym_comment,
      sym_block_comment,
    STATE(9613), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10323), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13286), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13177), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5792), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100692] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4346), 1,
      sym__alpha_identifier,
    ACTIONS(4348), 1,
      anon_sym_COLON,
    ACTIONS(4350), 1,
      anon_sym_LBRACE,
    ACTIONS(4352), 1,
      anon_sym__,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4364), 1,
      sym__backquoted_id,
    ACTIONS(4368), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      anon_sym_LPAREN,
    ACTIONS(6332), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4887), 1,
      sym__simple_type,
    STATE(5109), 1,
      sym_identifier,
    STATE(5171), 1,
      sym__soft_identifier,
    STATE(7499), 1,
      sym_annotated_type,
    STATE(10247), 1,
      sym__non_null_literal,
    STATE(10276), 1,
      sym_literal_type,
    STATE(12316), 1,
      sym__infix_type_choice,
    STATE(13145), 1,
      sym__type,
    STATE(13289), 1,
      sym_template_body,
    STATE(15725), 1,
      sym_parameter_types,
    STATE(16510), 1,
      sym_stable_identifier,
    ACTIONS(4370), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4372), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4376), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3154), 2,
      sym_comment,
      sym_block_comment,
    STATE(9613), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10323), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13286), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13177), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5792), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100813] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4346), 1,
      sym__alpha_identifier,
    ACTIONS(4348), 1,
      anon_sym_COLON,
    ACTIONS(4350), 1,
      anon_sym_LBRACE,
    ACTIONS(4352), 1,
      anon_sym__,
    ACTIONS(4356), 1,
      anon_sym_LBRACK,
    ACTIONS(4364), 1,
      sym__backquoted_id,
    ACTIONS(4368), 1,
      sym_integer_literal,
    ACTIONS(6330), 1,
      anon_sym_LPAREN,
    ACTIONS(6332), 1,
      sym_operator_identifier,
    STATE(4830), 1,
      sym__annotated_type,
    STATE(4887), 1,
      sym__simple_type,
    STATE(5109), 1,
      sym_identifier,
    STATE(5171), 1,
      sym__soft_identifier,
    STATE(7499), 1,
      sym_annotated_type,
    STATE(10247), 1,
      sym__non_null_literal,
    STATE(10276), 1,
      sym_literal_type,
    STATE(12316), 1,
      sym__infix_type_choice,
    STATE(13146), 1,
      sym__type,
    STATE(13289), 1,
      sym_template_body,
    STATE(15725), 1,
      sym_parameter_types,
    STATE(16510), 1,
      sym_stable_identifier,
    ACTIONS(4370), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4372), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4376), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3155), 2,
      sym_comment,
      sym_block_comment,
    STATE(9613), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10323), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13286), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13177), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5792), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [100934] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(994), 1,
      sym_integer_literal,
    ACTIONS(6334), 1,
      sym__alpha_identifier,
    ACTIONS(6336), 1,
      anon_sym_COLON,
    ACTIONS(6338), 1,
      anon_sym_LBRACE,
    ACTIONS(6340), 1,
      anon_sym__,
    ACTIONS(6342), 1,
      anon_sym_LBRACK,
    ACTIONS(6346), 1,
      anon_sym_LPAREN,
    ACTIONS(6348), 1,
      sym__backquoted_id,
    ACTIONS(6350), 1,
      sym_operator_identifier,
    STATE(4490), 1,
      sym__annotated_type,
    STATE(4515), 1,
      sym__simple_type,
    STATE(4607), 1,
      sym__soft_identifier,
    STATE(4643), 1,
      sym_identifier,
    STATE(6613), 1,
      sym_annotated_type,
    STATE(9562), 1,
      sym_literal_type,
    STATE(9629), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11656), 1,
      sym__type,
    STATE(12189), 1,
      sym__infix_type_choice,
    STATE(15604), 1,
      sym_parameter_types,
    STATE(16747), 1,
      sym_stable_identifier,
    ACTIONS(996), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(998), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1002), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3156), 2,
      sym_comment,
      sym_block_comment,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6307), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8692), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6344), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4755), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101055] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15332), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3157), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101176] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14847), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3158), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101297] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14862), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3159), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101418] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15691), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3160), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101539] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14948), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3161), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101660] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(8487), 1,
      sym__type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3162), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101781] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14784), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3163), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [101902] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__alpha_identifier,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(4216), 1,
      anon_sym__,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4228), 1,
      sym__backquoted_id,
    ACTIONS(4232), 1,
      sym_integer_literal,
    ACTIONS(6352), 1,
      anon_sym_LPAREN,
    ACTIONS(6354), 1,
      sym_operator_identifier,
    STATE(5485), 1,
      sym__annotated_type,
    STATE(5570), 1,
      sym__simple_type,
    STATE(6162), 1,
      sym_identifier,
    STATE(6542), 1,
      sym__soft_identifier,
    STATE(8840), 1,
      sym_annotated_type,
    STATE(10705), 1,
      sym_literal_type,
    STATE(10746), 1,
      sym__non_null_literal,
    STATE(11922), 1,
      sym_template_body,
    STATE(12275), 1,
      sym__infix_type_choice,
    STATE(12904), 1,
      sym__type,
    STATE(15780), 1,
      sym_parameter_types,
    STATE(16551), 1,
      sym_stable_identifier,
    ACTIONS(4234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3164), 2,
      sym_comment,
      sym_block_comment,
    STATE(10137), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10866), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4222), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7279), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102023] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__alpha_identifier,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(4216), 1,
      anon_sym__,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4228), 1,
      sym__backquoted_id,
    ACTIONS(4232), 1,
      sym_integer_literal,
    ACTIONS(6352), 1,
      anon_sym_LPAREN,
    ACTIONS(6354), 1,
      sym_operator_identifier,
    STATE(5485), 1,
      sym__annotated_type,
    STATE(5570), 1,
      sym__simple_type,
    STATE(6162), 1,
      sym_identifier,
    STATE(6542), 1,
      sym__soft_identifier,
    STATE(8840), 1,
      sym_annotated_type,
    STATE(10705), 1,
      sym_literal_type,
    STATE(10746), 1,
      sym__non_null_literal,
    STATE(11922), 1,
      sym_template_body,
    STATE(12275), 1,
      sym__infix_type_choice,
    STATE(12910), 1,
      sym__type,
    STATE(15780), 1,
      sym_parameter_types,
    STATE(16551), 1,
      sym_stable_identifier,
    ACTIONS(4234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3165), 2,
      sym_comment,
      sym_block_comment,
    STATE(10137), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10866), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4222), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7279), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102144] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__alpha_identifier,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(4216), 1,
      anon_sym__,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4228), 1,
      sym__backquoted_id,
    ACTIONS(4232), 1,
      sym_integer_literal,
    ACTIONS(6352), 1,
      anon_sym_LPAREN,
    ACTIONS(6354), 1,
      sym_operator_identifier,
    STATE(5485), 1,
      sym__annotated_type,
    STATE(5570), 1,
      sym__simple_type,
    STATE(6162), 1,
      sym_identifier,
    STATE(6542), 1,
      sym__soft_identifier,
    STATE(8840), 1,
      sym_annotated_type,
    STATE(10705), 1,
      sym_literal_type,
    STATE(10746), 1,
      sym__non_null_literal,
    STATE(11922), 1,
      sym_template_body,
    STATE(12275), 1,
      sym__infix_type_choice,
    STATE(12925), 1,
      sym__type,
    STATE(15780), 1,
      sym_parameter_types,
    STATE(16551), 1,
      sym_stable_identifier,
    ACTIONS(4234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3166), 2,
      sym_comment,
      sym_block_comment,
    STATE(10137), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10866), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4222), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7279), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102265] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__alpha_identifier,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(4216), 1,
      anon_sym__,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4228), 1,
      sym__backquoted_id,
    ACTIONS(4232), 1,
      sym_integer_literal,
    ACTIONS(6352), 1,
      anon_sym_LPAREN,
    ACTIONS(6354), 1,
      sym_operator_identifier,
    STATE(5485), 1,
      sym__annotated_type,
    STATE(5570), 1,
      sym__simple_type,
    STATE(6162), 1,
      sym_identifier,
    STATE(6542), 1,
      sym__soft_identifier,
    STATE(8840), 1,
      sym_annotated_type,
    STATE(10705), 1,
      sym_literal_type,
    STATE(10746), 1,
      sym__non_null_literal,
    STATE(11922), 1,
      sym_template_body,
    STATE(12275), 1,
      sym__infix_type_choice,
    STATE(12926), 1,
      sym__type,
    STATE(15780), 1,
      sym_parameter_types,
    STATE(16551), 1,
      sym_stable_identifier,
    ACTIONS(4234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3167), 2,
      sym_comment,
      sym_block_comment,
    STATE(10137), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10866), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4222), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7279), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102386] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__alpha_identifier,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(4216), 1,
      anon_sym__,
    ACTIONS(4220), 1,
      anon_sym_LBRACK,
    ACTIONS(4228), 1,
      sym__backquoted_id,
    ACTIONS(4232), 1,
      sym_integer_literal,
    ACTIONS(6352), 1,
      anon_sym_LPAREN,
    ACTIONS(6354), 1,
      sym_operator_identifier,
    STATE(5485), 1,
      sym__annotated_type,
    STATE(5570), 1,
      sym__simple_type,
    STATE(6162), 1,
      sym_identifier,
    STATE(6542), 1,
      sym__soft_identifier,
    STATE(8840), 1,
      sym_annotated_type,
    STATE(10705), 1,
      sym_literal_type,
    STATE(10746), 1,
      sym__non_null_literal,
    STATE(11922), 1,
      sym_template_body,
    STATE(12275), 1,
      sym__infix_type_choice,
    STATE(12928), 1,
      sym__type,
    STATE(15780), 1,
      sym_parameter_types,
    STATE(16551), 1,
      sym_stable_identifier,
    ACTIONS(4234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4240), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3168), 2,
      sym_comment,
      sym_block_comment,
    STATE(10137), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10866), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4222), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7279), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102507] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1396), 1,
      sym_integer_literal,
    ACTIONS(6356), 1,
      sym__alpha_identifier,
    ACTIONS(6358), 1,
      anon_sym_COLON,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6362), 1,
      anon_sym__,
    ACTIONS(6364), 1,
      anon_sym_LBRACK,
    ACTIONS(6368), 1,
      anon_sym_LPAREN,
    ACTIONS(6370), 1,
      sym__backquoted_id,
    ACTIONS(6372), 1,
      sym_operator_identifier,
    STATE(5698), 1,
      sym__annotated_type,
    STATE(5724), 1,
      sym__simple_type,
    STATE(6346), 1,
      sym__soft_identifier,
    STATE(6576), 1,
      sym_identifier,
    STATE(8939), 1,
      sym_annotated_type,
    STATE(10707), 1,
      sym__non_null_literal,
    STATE(10778), 1,
      sym_literal_type,
    STATE(12346), 1,
      sym__infix_type_choice,
    STATE(13399), 1,
      sym_template_body,
    STATE(13796), 1,
      sym__type,
    STATE(15470), 1,
      sym_parameter_types,
    STATE(17170), 1,
      sym_stable_identifier,
    ACTIONS(1398), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1400), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1404), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3169), 2,
      sym_comment,
      sym_block_comment,
    STATE(8909), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9224), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10335), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13444), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6916), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102628] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15625), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3170), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102749] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6376), 1,
      anon_sym__,
    ACTIONS(6378), 1,
      anon_sym_LBRACK,
    ACTIONS(6382), 1,
      anon_sym_LPAREN,
    ACTIONS(6384), 1,
      sym__backquoted_id,
    ACTIONS(6386), 1,
      sym_operator_identifier,
    ACTIONS(6388), 1,
      sym_integer_literal,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6339), 1,
      sym__soft_identifier,
    STATE(6395), 1,
      sym__annotated_type,
    STATE(6512), 1,
      sym_identifier,
    STATE(9615), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11022), 1,
      sym__non_null_literal,
    STATE(11123), 1,
      sym_literal_type,
    STATE(11193), 1,
      sym__type,
    STATE(12580), 1,
      sym__infix_type_choice,
    STATE(15688), 1,
      sym_parameter_types,
    STATE(16405), 1,
      sym_stable_identifier,
    ACTIONS(6390), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6392), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6394), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3171), 2,
      sym_comment,
      sym_block_comment,
    STATE(10511), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11111), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6978), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102870] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6376), 1,
      anon_sym__,
    ACTIONS(6378), 1,
      anon_sym_LBRACK,
    ACTIONS(6382), 1,
      anon_sym_LPAREN,
    ACTIONS(6384), 1,
      sym__backquoted_id,
    ACTIONS(6386), 1,
      sym_operator_identifier,
    ACTIONS(6388), 1,
      sym_integer_literal,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6339), 1,
      sym__soft_identifier,
    STATE(6395), 1,
      sym__annotated_type,
    STATE(6512), 1,
      sym_identifier,
    STATE(9615), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11022), 1,
      sym__non_null_literal,
    STATE(11123), 1,
      sym_literal_type,
    STATE(11194), 1,
      sym__type,
    STATE(12580), 1,
      sym__infix_type_choice,
    STATE(15688), 1,
      sym_parameter_types,
    STATE(16405), 1,
      sym_stable_identifier,
    ACTIONS(6390), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6392), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6394), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3172), 2,
      sym_comment,
      sym_block_comment,
    STATE(10511), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11111), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6978), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [102991] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6376), 1,
      anon_sym__,
    ACTIONS(6378), 1,
      anon_sym_LBRACK,
    ACTIONS(6382), 1,
      anon_sym_LPAREN,
    ACTIONS(6384), 1,
      sym__backquoted_id,
    ACTIONS(6386), 1,
      sym_operator_identifier,
    ACTIONS(6388), 1,
      sym_integer_literal,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6339), 1,
      sym__soft_identifier,
    STATE(6395), 1,
      sym__annotated_type,
    STATE(6512), 1,
      sym_identifier,
    STATE(9615), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11022), 1,
      sym__non_null_literal,
    STATE(11123), 1,
      sym_literal_type,
    STATE(11195), 1,
      sym__type,
    STATE(12580), 1,
      sym__infix_type_choice,
    STATE(15688), 1,
      sym_parameter_types,
    STATE(16405), 1,
      sym_stable_identifier,
    ACTIONS(6390), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6392), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6394), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3173), 2,
      sym_comment,
      sym_block_comment,
    STATE(10511), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11111), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6978), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103112] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6376), 1,
      anon_sym__,
    ACTIONS(6378), 1,
      anon_sym_LBRACK,
    ACTIONS(6382), 1,
      anon_sym_LPAREN,
    ACTIONS(6384), 1,
      sym__backquoted_id,
    ACTIONS(6386), 1,
      sym_operator_identifier,
    ACTIONS(6388), 1,
      sym_integer_literal,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6339), 1,
      sym__soft_identifier,
    STATE(6395), 1,
      sym__annotated_type,
    STATE(6512), 1,
      sym_identifier,
    STATE(9615), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11022), 1,
      sym__non_null_literal,
    STATE(11123), 1,
      sym_literal_type,
    STATE(11204), 1,
      sym__type,
    STATE(12580), 1,
      sym__infix_type_choice,
    STATE(15688), 1,
      sym_parameter_types,
    STATE(16405), 1,
      sym_stable_identifier,
    ACTIONS(6390), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6392), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6394), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3174), 2,
      sym_comment,
      sym_block_comment,
    STATE(10511), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11111), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6978), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103233] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16458), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3175), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103354] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16654), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3176), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103475] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16466), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3177), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103596] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15519), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3178), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103717] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(11918), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3179), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103838] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15819), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3180), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [103959] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15841), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3181), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104080] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14929), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3182), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104201] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4642), 1,
      sym__alpha_identifier,
    ACTIONS(4644), 1,
      anon_sym_COLON,
    ACTIONS(4646), 1,
      anon_sym_LBRACE,
    ACTIONS(4648), 1,
      anon_sym__,
    ACTIONS(4652), 1,
      anon_sym_LBRACK,
    ACTIONS(4660), 1,
      sym__backquoted_id,
    ACTIONS(4664), 1,
      sym_integer_literal,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    STATE(6276), 1,
      sym__annotated_type,
    STATE(6591), 1,
      sym__simple_type,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(6879), 1,
      sym_identifier,
    STATE(9695), 1,
      sym_annotated_type,
    STATE(10992), 1,
      sym__non_null_literal,
    STATE(11120), 1,
      sym_literal_type,
    STATE(12083), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12252), 1,
      sym__infix_type_choice,
    STATE(15843), 1,
      sym_parameter_types,
    STATE(16591), 1,
      sym_stable_identifier,
    ACTIONS(4666), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4668), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4670), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3183), 2,
      sym_comment,
      sym_block_comment,
    STATE(10575), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11119), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12149), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104322] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6376), 1,
      anon_sym__,
    ACTIONS(6378), 1,
      anon_sym_LBRACK,
    ACTIONS(6382), 1,
      anon_sym_LPAREN,
    ACTIONS(6384), 1,
      sym__backquoted_id,
    ACTIONS(6386), 1,
      sym_operator_identifier,
    ACTIONS(6388), 1,
      sym_integer_literal,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6339), 1,
      sym__soft_identifier,
    STATE(6395), 1,
      sym__annotated_type,
    STATE(6512), 1,
      sym_identifier,
    STATE(9615), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11022), 1,
      sym__non_null_literal,
    STATE(11123), 1,
      sym_literal_type,
    STATE(11307), 1,
      sym__type,
    STATE(12580), 1,
      sym__infix_type_choice,
    STATE(15688), 1,
      sym_parameter_types,
    STATE(16405), 1,
      sym_stable_identifier,
    ACTIONS(6390), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6392), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6394), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3184), 2,
      sym_comment,
      sym_block_comment,
    STATE(10511), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11111), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6978), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104443] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4642), 1,
      sym__alpha_identifier,
    ACTIONS(4644), 1,
      anon_sym_COLON,
    ACTIONS(4646), 1,
      anon_sym_LBRACE,
    ACTIONS(4648), 1,
      anon_sym__,
    ACTIONS(4652), 1,
      anon_sym_LBRACK,
    ACTIONS(4660), 1,
      sym__backquoted_id,
    ACTIONS(4664), 1,
      sym_integer_literal,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    STATE(6276), 1,
      sym__annotated_type,
    STATE(6591), 1,
      sym__simple_type,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(6879), 1,
      sym_identifier,
    STATE(9695), 1,
      sym_annotated_type,
    STATE(10992), 1,
      sym__non_null_literal,
    STATE(11120), 1,
      sym_literal_type,
    STATE(12052), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12252), 1,
      sym__infix_type_choice,
    STATE(15843), 1,
      sym_parameter_types,
    STATE(16591), 1,
      sym_stable_identifier,
    ACTIONS(4666), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4668), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4670), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3185), 2,
      sym_comment,
      sym_block_comment,
    STATE(10575), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11119), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12149), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104564] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4642), 1,
      sym__alpha_identifier,
    ACTIONS(4644), 1,
      anon_sym_COLON,
    ACTIONS(4646), 1,
      anon_sym_LBRACE,
    ACTIONS(4648), 1,
      anon_sym__,
    ACTIONS(4652), 1,
      anon_sym_LBRACK,
    ACTIONS(4660), 1,
      sym__backquoted_id,
    ACTIONS(4664), 1,
      sym_integer_literal,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    STATE(6276), 1,
      sym__annotated_type,
    STATE(6591), 1,
      sym__simple_type,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(6879), 1,
      sym_identifier,
    STATE(9695), 1,
      sym_annotated_type,
    STATE(10992), 1,
      sym__non_null_literal,
    STATE(11120), 1,
      sym_literal_type,
    STATE(12042), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12252), 1,
      sym__infix_type_choice,
    STATE(15843), 1,
      sym_parameter_types,
    STATE(16591), 1,
      sym_stable_identifier,
    ACTIONS(4666), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4668), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4670), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3186), 2,
      sym_comment,
      sym_block_comment,
    STATE(10575), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11119), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12149), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104685] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16211), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3187), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104806] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15763), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3188), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [104927] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4642), 1,
      sym__alpha_identifier,
    ACTIONS(4644), 1,
      anon_sym_COLON,
    ACTIONS(4646), 1,
      anon_sym_LBRACE,
    ACTIONS(4648), 1,
      anon_sym__,
    ACTIONS(4652), 1,
      anon_sym_LBRACK,
    ACTIONS(4660), 1,
      sym__backquoted_id,
    ACTIONS(4664), 1,
      sym_integer_literal,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    STATE(6276), 1,
      sym__annotated_type,
    STATE(6591), 1,
      sym__simple_type,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(6879), 1,
      sym_identifier,
    STATE(9695), 1,
      sym_annotated_type,
    STATE(10992), 1,
      sym__non_null_literal,
    STATE(11120), 1,
      sym_literal_type,
    STATE(12032), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12252), 1,
      sym__infix_type_choice,
    STATE(15843), 1,
      sym_parameter_types,
    STATE(16591), 1,
      sym_stable_identifier,
    ACTIONS(4666), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4668), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4670), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3189), 2,
      sym_comment,
      sym_block_comment,
    STATE(10575), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11119), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12149), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105048] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16216), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3190), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105169] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4642), 1,
      sym__alpha_identifier,
    ACTIONS(4644), 1,
      anon_sym_COLON,
    ACTIONS(4646), 1,
      anon_sym_LBRACE,
    ACTIONS(4648), 1,
      anon_sym__,
    ACTIONS(4652), 1,
      anon_sym_LBRACK,
    ACTIONS(4660), 1,
      sym__backquoted_id,
    ACTIONS(4664), 1,
      sym_integer_literal,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    STATE(6276), 1,
      sym__annotated_type,
    STATE(6591), 1,
      sym__simple_type,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(6879), 1,
      sym_identifier,
    STATE(9695), 1,
      sym_annotated_type,
    STATE(10992), 1,
      sym__non_null_literal,
    STATE(11120), 1,
      sym_literal_type,
    STATE(12027), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12252), 1,
      sym__infix_type_choice,
    STATE(15843), 1,
      sym_parameter_types,
    STATE(16591), 1,
      sym_stable_identifier,
    ACTIONS(4666), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4668), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4670), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3191), 2,
      sym_comment,
      sym_block_comment,
    STATE(10575), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11119), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12149), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105290] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    ACTIONS(6444), 1,
      sym_integer_literal,
    STATE(5530), 1,
      sym__simple_type,
    STATE(6024), 1,
      sym__soft_identifier,
    STATE(6537), 1,
      sym__annotated_type,
    STATE(6622), 1,
      sym_identifier,
    STATE(9547), 1,
      sym_annotated_type,
    STATE(10752), 1,
      sym__non_null_literal,
    STATE(10754), 1,
      sym_literal_type,
    STATE(11035), 1,
      sym__type,
    STATE(11078), 1,
      sym_template_body,
    STATE(12549), 1,
      sym__infix_type_choice,
    STATE(15573), 1,
      sym_parameter_types,
    STATE(16293), 1,
      sym_stable_identifier,
    ACTIONS(6446), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6448), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6450), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3192), 2,
      sym_comment,
      sym_block_comment,
    STATE(10268), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10730), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10986), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10969), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6696), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105411] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15425), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3193), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105532] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14940), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3194), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105653] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16658), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3195), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105774] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14914), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3196), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [105895] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15329), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3197), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106016] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14965), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3198), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106137] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15831), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3199), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106258] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1678), 1,
      sym_integer_literal,
    ACTIONS(6336), 1,
      anon_sym_COLON,
    ACTIONS(6338), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      sym__alpha_identifier,
    ACTIONS(6454), 1,
      anon_sym__,
    ACTIONS(6456), 1,
      anon_sym_LBRACK,
    ACTIONS(6460), 1,
      anon_sym_LPAREN,
    ACTIONS(6462), 1,
      sym__backquoted_id,
    ACTIONS(6464), 1,
      sym_operator_identifier,
    STATE(5994), 1,
      sym__annotated_type,
    STATE(5997), 1,
      sym__simple_type,
    STATE(6938), 1,
      sym__soft_identifier,
    STATE(7212), 1,
      sym_identifier,
    STATE(9566), 1,
      sym_annotated_type,
    STATE(10994), 1,
      sym_literal_type,
    STATE(11038), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11656), 1,
      sym__type,
    STATE(12238), 1,
      sym__infix_type_choice,
    STATE(15549), 1,
      sym_parameter_types,
    STATE(16631), 1,
      sym_stable_identifier,
    ACTIONS(1680), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1682), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1686), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3200), 2,
      sym_comment,
      sym_block_comment,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9467), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10456), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6458), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7526), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106379] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16556), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3201), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106500] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(11915), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3202), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106621] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16558), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3203), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106742] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1860), 1,
      sym_integer_literal,
    ACTIONS(6466), 1,
      sym__alpha_identifier,
    ACTIONS(6468), 1,
      anon_sym_COLON,
    ACTIONS(6470), 1,
      anon_sym_LBRACE,
    ACTIONS(6472), 1,
      anon_sym__,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6480), 1,
      sym__backquoted_id,
    ACTIONS(6482), 1,
      sym_operator_identifier,
    STATE(5615), 1,
      sym__annotated_type,
    STATE(5848), 1,
      sym__simple_type,
    STATE(6334), 1,
      sym__soft_identifier,
    STATE(6648), 1,
      sym_identifier,
    STATE(9013), 1,
      sym_annotated_type,
    STATE(10736), 1,
      sym__non_null_literal,
    STATE(10824), 1,
      sym_literal_type,
    STATE(12418), 1,
      sym__infix_type_choice,
    STATE(13526), 1,
      sym_template_body,
    STATE(13776), 1,
      sym__type,
    STATE(15469), 1,
      sym_parameter_types,
    STATE(17152), 1,
      sym_stable_identifier,
    ACTIONS(1862), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1864), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3204), 2,
      sym_comment,
      sym_block_comment,
    STATE(8727), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9303), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10281), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13512), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6821), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106863] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1678), 1,
      sym_integer_literal,
    ACTIONS(6336), 1,
      anon_sym_COLON,
    ACTIONS(6338), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      sym__alpha_identifier,
    ACTIONS(6454), 1,
      anon_sym__,
    ACTIONS(6456), 1,
      anon_sym_LBRACK,
    ACTIONS(6460), 1,
      anon_sym_LPAREN,
    ACTIONS(6462), 1,
      sym__backquoted_id,
    ACTIONS(6464), 1,
      sym_operator_identifier,
    STATE(5994), 1,
      sym__annotated_type,
    STATE(5997), 1,
      sym__simple_type,
    STATE(6938), 1,
      sym__soft_identifier,
    STATE(7212), 1,
      sym_identifier,
    STATE(9566), 1,
      sym_annotated_type,
    STATE(10994), 1,
      sym_literal_type,
    STATE(11038), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11676), 1,
      sym__type,
    STATE(12238), 1,
      sym__infix_type_choice,
    STATE(15549), 1,
      sym_parameter_types,
    STATE(16631), 1,
      sym_stable_identifier,
    ACTIONS(1680), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1682), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1686), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3205), 2,
      sym_comment,
      sym_block_comment,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9467), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10456), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6458), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7526), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [106984] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6484), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11193), 1,
      sym__type,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(15651), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3206), 2,
      sym_comment,
      sym_block_comment,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107105] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6484), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11194), 1,
      sym__type,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(15651), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3207), 2,
      sym_comment,
      sym_block_comment,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107226] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6484), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11195), 1,
      sym__type,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(15651), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3208), 2,
      sym_comment,
      sym_block_comment,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107347] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6484), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11204), 1,
      sym__type,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(15651), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3209), 2,
      sym_comment,
      sym_block_comment,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107468] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1678), 1,
      sym_integer_literal,
    ACTIONS(6336), 1,
      anon_sym_COLON,
    ACTIONS(6338), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      sym__alpha_identifier,
    ACTIONS(6454), 1,
      anon_sym__,
    ACTIONS(6456), 1,
      anon_sym_LBRACK,
    ACTIONS(6460), 1,
      anon_sym_LPAREN,
    ACTIONS(6462), 1,
      sym__backquoted_id,
    ACTIONS(6464), 1,
      sym_operator_identifier,
    STATE(5994), 1,
      sym__annotated_type,
    STATE(5997), 1,
      sym__simple_type,
    STATE(6938), 1,
      sym__soft_identifier,
    STATE(7212), 1,
      sym_identifier,
    STATE(9566), 1,
      sym_annotated_type,
    STATE(10994), 1,
      sym_literal_type,
    STATE(11038), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11545), 1,
      sym__type,
    STATE(12238), 1,
      sym__infix_type_choice,
    STATE(15549), 1,
      sym_parameter_types,
    STATE(16631), 1,
      sym_stable_identifier,
    ACTIONS(1680), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1682), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1686), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3210), 2,
      sym_comment,
      sym_block_comment,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9467), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10456), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6458), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7526), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107589] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1678), 1,
      sym_integer_literal,
    ACTIONS(6336), 1,
      anon_sym_COLON,
    ACTIONS(6338), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      sym__alpha_identifier,
    ACTIONS(6454), 1,
      anon_sym__,
    ACTIONS(6456), 1,
      anon_sym_LBRACK,
    ACTIONS(6460), 1,
      anon_sym_LPAREN,
    ACTIONS(6462), 1,
      sym__backquoted_id,
    ACTIONS(6464), 1,
      sym_operator_identifier,
    STATE(5994), 1,
      sym__annotated_type,
    STATE(5997), 1,
      sym__simple_type,
    STATE(6938), 1,
      sym__soft_identifier,
    STATE(7212), 1,
      sym_identifier,
    STATE(9566), 1,
      sym_annotated_type,
    STATE(10994), 1,
      sym_literal_type,
    STATE(11038), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11543), 1,
      sym__type,
    STATE(12238), 1,
      sym__infix_type_choice,
    STATE(15549), 1,
      sym_parameter_types,
    STATE(16631), 1,
      sym_stable_identifier,
    ACTIONS(1680), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1682), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1686), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3211), 2,
      sym_comment,
      sym_block_comment,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9467), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10456), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6458), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7526), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107710] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1678), 1,
      sym_integer_literal,
    ACTIONS(6336), 1,
      anon_sym_COLON,
    ACTIONS(6338), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      sym__alpha_identifier,
    ACTIONS(6454), 1,
      anon_sym__,
    ACTIONS(6456), 1,
      anon_sym_LBRACK,
    ACTIONS(6460), 1,
      anon_sym_LPAREN,
    ACTIONS(6462), 1,
      sym__backquoted_id,
    ACTIONS(6464), 1,
      sym_operator_identifier,
    STATE(5994), 1,
      sym__annotated_type,
    STATE(5997), 1,
      sym__simple_type,
    STATE(6938), 1,
      sym__soft_identifier,
    STATE(7212), 1,
      sym_identifier,
    STATE(9566), 1,
      sym_annotated_type,
    STATE(10994), 1,
      sym_literal_type,
    STATE(11038), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11542), 1,
      sym__type,
    STATE(12238), 1,
      sym__infix_type_choice,
    STATE(15549), 1,
      sym_parameter_types,
    STATE(16631), 1,
      sym_stable_identifier,
    ACTIONS(1680), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1682), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1686), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3212), 2,
      sym_comment,
      sym_block_comment,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9467), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10456), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6458), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7526), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107831] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15707), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3213), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [107952] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15325), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3214), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108073] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14865), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3215), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108194] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15321), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3216), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108315] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6484), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11307), 1,
      sym__type,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(15651), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3217), 2,
      sym_comment,
      sym_block_comment,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108436] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14932), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3218), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108557] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    ACTIONS(6444), 1,
      sym_integer_literal,
    STATE(5530), 1,
      sym__simple_type,
    STATE(6024), 1,
      sym__soft_identifier,
    STATE(6537), 1,
      sym__annotated_type,
    STATE(6622), 1,
      sym_identifier,
    STATE(9547), 1,
      sym_annotated_type,
    STATE(10752), 1,
      sym__non_null_literal,
    STATE(10754), 1,
      sym_literal_type,
    STATE(11033), 1,
      sym__type,
    STATE(11078), 1,
      sym_template_body,
    STATE(12549), 1,
      sym__infix_type_choice,
    STATE(15573), 1,
      sym_parameter_types,
    STATE(16293), 1,
      sym_stable_identifier,
    ACTIONS(6446), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6448), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6450), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3219), 2,
      sym_comment,
      sym_block_comment,
    STATE(10268), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10730), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10986), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10969), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6696), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108678] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15317), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3220), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108799] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      anon_sym_COLON,
    ACTIONS(4646), 1,
      anon_sym_LBRACE,
    ACTIONS(4770), 1,
      sym__alpha_identifier,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4776), 1,
      anon_sym_LBRACK,
    ACTIONS(4782), 1,
      sym__backquoted_id,
    ACTIONS(4786), 1,
      sym_integer_literal,
    ACTIONS(6486), 1,
      anon_sym_LPAREN,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    STATE(4489), 1,
      sym__simple_type,
    STATE(4502), 1,
      sym__annotated_type,
    STATE(4578), 1,
      sym__soft_identifier,
    STATE(4700), 1,
      sym_identifier,
    STATE(6469), 1,
      sym_annotated_type,
    STATE(9404), 1,
      sym_literal_type,
    STATE(9642), 1,
      sym__non_null_literal,
    STATE(12083), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12222), 1,
      sym__infix_type_choice,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16709), 1,
      sym_stable_identifier,
    ACTIONS(4788), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4790), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3221), 2,
      sym_comment,
      sym_block_comment,
    STATE(8473), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9375), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12149), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4800), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [108920] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      anon_sym_COLON,
    ACTIONS(4646), 1,
      anon_sym_LBRACE,
    ACTIONS(4770), 1,
      sym__alpha_identifier,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4776), 1,
      anon_sym_LBRACK,
    ACTIONS(4782), 1,
      sym__backquoted_id,
    ACTIONS(4786), 1,
      sym_integer_literal,
    ACTIONS(6486), 1,
      anon_sym_LPAREN,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    STATE(4489), 1,
      sym__simple_type,
    STATE(4502), 1,
      sym__annotated_type,
    STATE(4578), 1,
      sym__soft_identifier,
    STATE(4700), 1,
      sym_identifier,
    STATE(6469), 1,
      sym_annotated_type,
    STATE(9404), 1,
      sym_literal_type,
    STATE(9642), 1,
      sym__non_null_literal,
    STATE(12052), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12222), 1,
      sym__infix_type_choice,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16709), 1,
      sym_stable_identifier,
    ACTIONS(4788), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4790), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3222), 2,
      sym_comment,
      sym_block_comment,
    STATE(8473), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9375), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12149), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4800), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109041] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      anon_sym_COLON,
    ACTIONS(4646), 1,
      anon_sym_LBRACE,
    ACTIONS(4770), 1,
      sym__alpha_identifier,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4776), 1,
      anon_sym_LBRACK,
    ACTIONS(4782), 1,
      sym__backquoted_id,
    ACTIONS(4786), 1,
      sym_integer_literal,
    ACTIONS(6486), 1,
      anon_sym_LPAREN,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    STATE(4489), 1,
      sym__simple_type,
    STATE(4502), 1,
      sym__annotated_type,
    STATE(4578), 1,
      sym__soft_identifier,
    STATE(4700), 1,
      sym_identifier,
    STATE(6469), 1,
      sym_annotated_type,
    STATE(9404), 1,
      sym_literal_type,
    STATE(9642), 1,
      sym__non_null_literal,
    STATE(12042), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12222), 1,
      sym__infix_type_choice,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16709), 1,
      sym_stable_identifier,
    ACTIONS(4788), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4790), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3223), 2,
      sym_comment,
      sym_block_comment,
    STATE(8473), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9375), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12149), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4800), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109162] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      anon_sym_COLON,
    ACTIONS(4646), 1,
      anon_sym_LBRACE,
    ACTIONS(4770), 1,
      sym__alpha_identifier,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4776), 1,
      anon_sym_LBRACK,
    ACTIONS(4782), 1,
      sym__backquoted_id,
    ACTIONS(4786), 1,
      sym_integer_literal,
    ACTIONS(6486), 1,
      anon_sym_LPAREN,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    STATE(4489), 1,
      sym__simple_type,
    STATE(4502), 1,
      sym__annotated_type,
    STATE(4578), 1,
      sym__soft_identifier,
    STATE(4700), 1,
      sym_identifier,
    STATE(6469), 1,
      sym_annotated_type,
    STATE(9404), 1,
      sym_literal_type,
    STATE(9642), 1,
      sym__non_null_literal,
    STATE(12032), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12222), 1,
      sym__infix_type_choice,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16709), 1,
      sym_stable_identifier,
    ACTIONS(4788), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4790), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3224), 2,
      sym_comment,
      sym_block_comment,
    STATE(8473), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9375), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12149), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4800), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109283] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15207), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3225), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109404] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15791), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3226), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109525] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15762), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3227), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109646] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      anon_sym_COLON,
    ACTIONS(4646), 1,
      anon_sym_LBRACE,
    ACTIONS(4770), 1,
      sym__alpha_identifier,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4776), 1,
      anon_sym_LBRACK,
    ACTIONS(4782), 1,
      sym__backquoted_id,
    ACTIONS(4786), 1,
      sym_integer_literal,
    ACTIONS(6486), 1,
      anon_sym_LPAREN,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    STATE(4489), 1,
      sym__simple_type,
    STATE(4502), 1,
      sym__annotated_type,
    STATE(4578), 1,
      sym__soft_identifier,
    STATE(4700), 1,
      sym_identifier,
    STATE(6469), 1,
      sym_annotated_type,
    STATE(9404), 1,
      sym_literal_type,
    STATE(9642), 1,
      sym__non_null_literal,
    STATE(12027), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12222), 1,
      sym__infix_type_choice,
    STATE(15463), 1,
      sym_parameter_types,
    STATE(16709), 1,
      sym_stable_identifier,
    ACTIONS(4788), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4790), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4794), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3228), 2,
      sym_comment,
      sym_block_comment,
    STATE(8473), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9375), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12149), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4800), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109767] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16638), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3229), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [109888] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15242), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3230), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110009] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15134), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3231), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110130] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16640), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3232), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110251] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15313), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3233), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110372] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15779), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3234), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110493] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6490), 1,
      sym__alpha_identifier,
    ACTIONS(6492), 1,
      anon_sym_COLON,
    ACTIONS(6494), 1,
      anon_sym_LBRACE,
    ACTIONS(6496), 1,
      anon_sym__,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    ACTIONS(6502), 1,
      anon_sym_LPAREN,
    ACTIONS(6504), 1,
      sym__backquoted_id,
    ACTIONS(6506), 1,
      sym_operator_identifier,
    STATE(4654), 1,
      sym__simple_type,
    STATE(4676), 1,
      sym__annotated_type,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(4933), 1,
      sym_identifier,
    STATE(6800), 1,
      sym_annotated_type,
    STATE(9748), 1,
      sym_literal_type,
    STATE(10027), 1,
      sym__non_null_literal,
    STATE(12467), 1,
      sym_template_body,
    STATE(12525), 1,
      sym__infix_type_choice,
    STATE(12727), 1,
      sym__type,
    STATE(15468), 1,
      sym_parameter_types,
    STATE(17140), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3235), 2,
      sym_comment,
      sym_block_comment,
    STATE(6958), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9073), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12556), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110614] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15309), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3236), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110735] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11193), 1,
      sym__type,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3237), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110856] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11194), 1,
      sym__type,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3238), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [110977] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11195), 1,
      sym__type,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3239), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111098] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11204), 1,
      sym__type,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3240), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111219] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15454), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3241), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111340] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14880), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3242), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111461] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16719), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3243), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111582] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(994), 1,
      sym_integer_literal,
    ACTIONS(6334), 1,
      sym__alpha_identifier,
    ACTIONS(6336), 1,
      anon_sym_COLON,
    ACTIONS(6338), 1,
      anon_sym_LBRACE,
    ACTIONS(6340), 1,
      anon_sym__,
    ACTIONS(6342), 1,
      anon_sym_LBRACK,
    ACTIONS(6346), 1,
      anon_sym_LPAREN,
    ACTIONS(6348), 1,
      sym__backquoted_id,
    ACTIONS(6350), 1,
      sym_operator_identifier,
    STATE(4490), 1,
      sym__annotated_type,
    STATE(4515), 1,
      sym__simple_type,
    STATE(4607), 1,
      sym__soft_identifier,
    STATE(4643), 1,
      sym_identifier,
    STATE(6613), 1,
      sym_annotated_type,
    STATE(9562), 1,
      sym_literal_type,
    STATE(9629), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11676), 1,
      sym__type,
    STATE(12189), 1,
      sym__infix_type_choice,
    STATE(15604), 1,
      sym_parameter_types,
    STATE(16747), 1,
      sym_stable_identifier,
    ACTIONS(996), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(998), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1002), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3244), 2,
      sym_comment,
      sym_block_comment,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6307), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8692), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6344), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4755), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111703] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15375), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3245), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111824] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15756), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3246), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [111945] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(994), 1,
      sym_integer_literal,
    ACTIONS(6334), 1,
      sym__alpha_identifier,
    ACTIONS(6336), 1,
      anon_sym_COLON,
    ACTIONS(6338), 1,
      anon_sym_LBRACE,
    ACTIONS(6340), 1,
      anon_sym__,
    ACTIONS(6342), 1,
      anon_sym_LBRACK,
    ACTIONS(6346), 1,
      anon_sym_LPAREN,
    ACTIONS(6348), 1,
      sym__backquoted_id,
    ACTIONS(6350), 1,
      sym_operator_identifier,
    STATE(4490), 1,
      sym__annotated_type,
    STATE(4515), 1,
      sym__simple_type,
    STATE(4607), 1,
      sym__soft_identifier,
    STATE(4643), 1,
      sym_identifier,
    STATE(6613), 1,
      sym_annotated_type,
    STATE(9562), 1,
      sym_literal_type,
    STATE(9629), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11545), 1,
      sym__type,
    STATE(12189), 1,
      sym__infix_type_choice,
    STATE(15604), 1,
      sym_parameter_types,
    STATE(16747), 1,
      sym_stable_identifier,
    ACTIONS(996), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(998), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1002), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3247), 2,
      sym_comment,
      sym_block_comment,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6307), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8692), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6344), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4755), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112066] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(994), 1,
      sym_integer_literal,
    ACTIONS(6334), 1,
      sym__alpha_identifier,
    ACTIONS(6336), 1,
      anon_sym_COLON,
    ACTIONS(6338), 1,
      anon_sym_LBRACE,
    ACTIONS(6340), 1,
      anon_sym__,
    ACTIONS(6342), 1,
      anon_sym_LBRACK,
    ACTIONS(6346), 1,
      anon_sym_LPAREN,
    ACTIONS(6348), 1,
      sym__backquoted_id,
    ACTIONS(6350), 1,
      sym_operator_identifier,
    STATE(4490), 1,
      sym__annotated_type,
    STATE(4515), 1,
      sym__simple_type,
    STATE(4607), 1,
      sym__soft_identifier,
    STATE(4643), 1,
      sym_identifier,
    STATE(6613), 1,
      sym_annotated_type,
    STATE(9562), 1,
      sym_literal_type,
    STATE(9629), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11543), 1,
      sym__type,
    STATE(12189), 1,
      sym__infix_type_choice,
    STATE(15604), 1,
      sym_parameter_types,
    STATE(16747), 1,
      sym_stable_identifier,
    ACTIONS(996), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(998), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1002), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3248), 2,
      sym_comment,
      sym_block_comment,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6307), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8692), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6344), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4755), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112187] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11307), 1,
      sym__type,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3249), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112308] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(994), 1,
      sym_integer_literal,
    ACTIONS(6334), 1,
      sym__alpha_identifier,
    ACTIONS(6336), 1,
      anon_sym_COLON,
    ACTIONS(6338), 1,
      anon_sym_LBRACE,
    ACTIONS(6340), 1,
      anon_sym__,
    ACTIONS(6342), 1,
      anon_sym_LBRACK,
    ACTIONS(6346), 1,
      anon_sym_LPAREN,
    ACTIONS(6348), 1,
      sym__backquoted_id,
    ACTIONS(6350), 1,
      sym_operator_identifier,
    STATE(4490), 1,
      sym__annotated_type,
    STATE(4515), 1,
      sym__simple_type,
    STATE(4607), 1,
      sym__soft_identifier,
    STATE(4643), 1,
      sym_identifier,
    STATE(6613), 1,
      sym_annotated_type,
    STATE(9562), 1,
      sym_literal_type,
    STATE(9629), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11542), 1,
      sym__type,
    STATE(12189), 1,
      sym__infix_type_choice,
    STATE(15604), 1,
      sym_parameter_types,
    STATE(16747), 1,
      sym_stable_identifier,
    ACTIONS(996), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(998), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1002), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3250), 2,
      sym_comment,
      sym_block_comment,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6307), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8692), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6344), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4755), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112429] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14883), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3251), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112550] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16286), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3252), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112671] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15305), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3253), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112792] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15730), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3254), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [112913] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16717), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3255), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113034] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16294), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3256), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113155] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4490), 1,
      sym__alpha_identifier,
    ACTIONS(4492), 1,
      anon_sym_COLON,
    ACTIONS(4494), 1,
      anon_sym_LBRACE,
    ACTIONS(4496), 1,
      anon_sym__,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4508), 1,
      sym__backquoted_id,
    ACTIONS(4512), 1,
      sym_integer_literal,
    ACTIONS(6510), 1,
      anon_sym_LPAREN,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    STATE(4752), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym__simple_type,
    STATE(5172), 1,
      sym_identifier,
    STATE(5408), 1,
      sym__soft_identifier,
    STATE(7594), 1,
      sym_annotated_type,
    STATE(10410), 1,
      sym_literal_type,
    STATE(10431), 1,
      sym__non_null_literal,
    STATE(12180), 1,
      sym__infix_type_choice,
    STATE(13059), 1,
      sym__type,
    STATE(13281), 1,
      sym_template_body,
    STATE(15678), 1,
      sym_parameter_types,
    STATE(16783), 1,
      sym_stable_identifier,
    ACTIONS(4514), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4516), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4518), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3257), 2,
      sym_comment,
      sym_block_comment,
    STATE(9501), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10207), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13226), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4502), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5608), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113276] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15245), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3258), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113397] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15447), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3259), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113518] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4490), 1,
      sym__alpha_identifier,
    ACTIONS(4492), 1,
      anon_sym_COLON,
    ACTIONS(4494), 1,
      anon_sym_LBRACE,
    ACTIONS(4496), 1,
      anon_sym__,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4508), 1,
      sym__backquoted_id,
    ACTIONS(4512), 1,
      sym_integer_literal,
    ACTIONS(6510), 1,
      anon_sym_LPAREN,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    STATE(4752), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym__simple_type,
    STATE(5172), 1,
      sym_identifier,
    STATE(5408), 1,
      sym__soft_identifier,
    STATE(7594), 1,
      sym_annotated_type,
    STATE(10410), 1,
      sym_literal_type,
    STATE(10431), 1,
      sym__non_null_literal,
    STATE(12180), 1,
      sym__infix_type_choice,
    STATE(13086), 1,
      sym__type,
    STATE(13281), 1,
      sym_template_body,
    STATE(15678), 1,
      sym_parameter_types,
    STATE(16783), 1,
      sym_stable_identifier,
    ACTIONS(4514), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4516), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4518), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3260), 2,
      sym_comment,
      sym_block_comment,
    STATE(9501), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10207), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13226), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4502), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5608), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113639] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4490), 1,
      sym__alpha_identifier,
    ACTIONS(4492), 1,
      anon_sym_COLON,
    ACTIONS(4494), 1,
      anon_sym_LBRACE,
    ACTIONS(4496), 1,
      anon_sym__,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4508), 1,
      sym__backquoted_id,
    ACTIONS(4512), 1,
      sym_integer_literal,
    ACTIONS(6510), 1,
      anon_sym_LPAREN,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    STATE(4752), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym__simple_type,
    STATE(5172), 1,
      sym_identifier,
    STATE(5408), 1,
      sym__soft_identifier,
    STATE(7594), 1,
      sym_annotated_type,
    STATE(10410), 1,
      sym_literal_type,
    STATE(10431), 1,
      sym__non_null_literal,
    STATE(12180), 1,
      sym__infix_type_choice,
    STATE(13105), 1,
      sym__type,
    STATE(13281), 1,
      sym_template_body,
    STATE(15678), 1,
      sym_parameter_types,
    STATE(16783), 1,
      sym_stable_identifier,
    ACTIONS(4514), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4516), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4518), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3261), 2,
      sym_comment,
      sym_block_comment,
    STATE(9501), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10207), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13226), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4502), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5608), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113760] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4490), 1,
      sym__alpha_identifier,
    ACTIONS(4492), 1,
      anon_sym_COLON,
    ACTIONS(4494), 1,
      anon_sym_LBRACE,
    ACTIONS(4496), 1,
      anon_sym__,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4508), 1,
      sym__backquoted_id,
    ACTIONS(4512), 1,
      sym_integer_literal,
    ACTIONS(6510), 1,
      anon_sym_LPAREN,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    STATE(4752), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym__simple_type,
    STATE(5172), 1,
      sym_identifier,
    STATE(5408), 1,
      sym__soft_identifier,
    STATE(7594), 1,
      sym_annotated_type,
    STATE(10410), 1,
      sym_literal_type,
    STATE(10431), 1,
      sym__non_null_literal,
    STATE(12180), 1,
      sym__infix_type_choice,
    STATE(13114), 1,
      sym__type,
    STATE(13281), 1,
      sym_template_body,
    STATE(15678), 1,
      sym_parameter_types,
    STATE(16783), 1,
      sym_stable_identifier,
    ACTIONS(4514), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4516), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4518), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3262), 2,
      sym_comment,
      sym_block_comment,
    STATE(9501), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10207), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13226), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4502), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5608), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [113881] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4490), 1,
      sym__alpha_identifier,
    ACTIONS(4492), 1,
      anon_sym_COLON,
    ACTIONS(4494), 1,
      anon_sym_LBRACE,
    ACTIONS(4496), 1,
      anon_sym__,
    ACTIONS(4500), 1,
      anon_sym_LBRACK,
    ACTIONS(4508), 1,
      sym__backquoted_id,
    ACTIONS(4512), 1,
      sym_integer_literal,
    ACTIONS(6510), 1,
      anon_sym_LPAREN,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    STATE(4752), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym__simple_type,
    STATE(5172), 1,
      sym_identifier,
    STATE(5408), 1,
      sym__soft_identifier,
    STATE(7594), 1,
      sym_annotated_type,
    STATE(10410), 1,
      sym_literal_type,
    STATE(10431), 1,
      sym__non_null_literal,
    STATE(12180), 1,
      sym__infix_type_choice,
    STATE(13119), 1,
      sym__type,
    STATE(13281), 1,
      sym_template_body,
    STATE(15678), 1,
      sym_parameter_types,
    STATE(16783), 1,
      sym_stable_identifier,
    ACTIONS(4514), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4516), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4518), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3263), 2,
      sym_comment,
      sym_block_comment,
    STATE(9501), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10207), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13156), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13226), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4502), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5608), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114002] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15674), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3264), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114123] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(8492), 1,
      sym__type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3265), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114244] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15480), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3266), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114365] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15724), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3267), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114486] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym_COLON,
    ACTIONS(6518), 1,
      anon_sym_LBRACE,
    ACTIONS(6520), 1,
      anon_sym__,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    ACTIONS(6526), 1,
      anon_sym_LPAREN,
    ACTIONS(6528), 1,
      sym__backquoted_id,
    ACTIONS(6530), 1,
      sym_operator_identifier,
    STATE(4623), 1,
      sym__simple_type,
    STATE(4708), 1,
      sym__annotated_type,
    STATE(4915), 1,
      sym__soft_identifier,
    STATE(4945), 1,
      sym_identifier,
    STATE(6830), 1,
      sym_annotated_type,
    STATE(9808), 1,
      sym_literal_type,
    STATE(10039), 1,
      sym__non_null_literal,
    STATE(11848), 1,
      sym_template_body,
    STATE(12263), 1,
      sym__type,
    STATE(12579), 1,
      sym__infix_type_choice,
    STATE(15608), 1,
      sym_parameter_types,
    STATE(17128), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3268), 2,
      sym_comment,
      sym_block_comment,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7200), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9139), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5212), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114607] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15451), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3269), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114728] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15301), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3270), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114849] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4866), 1,
      sym__alpha_identifier,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4872), 1,
      anon_sym__,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4884), 1,
      sym__backquoted_id,
    ACTIONS(4888), 1,
      sym_integer_literal,
    ACTIONS(6532), 1,
      anon_sym_LPAREN,
    ACTIONS(6534), 1,
      sym_operator_identifier,
    STATE(4414), 1,
      sym__simple_type,
    STATE(4416), 1,
      sym__annotated_type,
    STATE(4471), 1,
      sym_identifier,
    STATE(4496), 1,
      sym__soft_identifier,
    STATE(5943), 1,
      sym_annotated_type,
    STATE(9046), 1,
      sym_literal_type,
    STATE(9048), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11542), 1,
      sym__type,
    STATE(12624), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16363), 1,
      sym_stable_identifier,
    ACTIONS(4890), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4892), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3271), 2,
      sym_comment,
      sym_block_comment,
    STATE(7837), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8843), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11568), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4586), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [114970] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4866), 1,
      sym__alpha_identifier,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4872), 1,
      anon_sym__,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4884), 1,
      sym__backquoted_id,
    ACTIONS(4888), 1,
      sym_integer_literal,
    ACTIONS(6532), 1,
      anon_sym_LPAREN,
    ACTIONS(6534), 1,
      sym_operator_identifier,
    STATE(4414), 1,
      sym__simple_type,
    STATE(4416), 1,
      sym__annotated_type,
    STATE(4471), 1,
      sym_identifier,
    STATE(4496), 1,
      sym__soft_identifier,
    STATE(5943), 1,
      sym_annotated_type,
    STATE(9046), 1,
      sym_literal_type,
    STATE(9048), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11543), 1,
      sym__type,
    STATE(12624), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16363), 1,
      sym_stable_identifier,
    ACTIONS(4890), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4892), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3272), 2,
      sym_comment,
      sym_block_comment,
    STATE(7837), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8843), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11568), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4586), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115091] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4866), 1,
      sym__alpha_identifier,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4872), 1,
      anon_sym__,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4884), 1,
      sym__backquoted_id,
    ACTIONS(4888), 1,
      sym_integer_literal,
    ACTIONS(6532), 1,
      anon_sym_LPAREN,
    ACTIONS(6534), 1,
      sym_operator_identifier,
    STATE(4414), 1,
      sym__simple_type,
    STATE(4416), 1,
      sym__annotated_type,
    STATE(4471), 1,
      sym_identifier,
    STATE(4496), 1,
      sym__soft_identifier,
    STATE(5943), 1,
      sym_annotated_type,
    STATE(9046), 1,
      sym_literal_type,
    STATE(9048), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11545), 1,
      sym__type,
    STATE(12624), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16363), 1,
      sym_stable_identifier,
    ACTIONS(4890), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4892), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3273), 2,
      sym_comment,
      sym_block_comment,
    STATE(7837), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8843), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11568), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4586), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115212] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4866), 1,
      sym__alpha_identifier,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4872), 1,
      anon_sym__,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4884), 1,
      sym__backquoted_id,
    ACTIONS(4888), 1,
      sym_integer_literal,
    ACTIONS(6532), 1,
      anon_sym_LPAREN,
    ACTIONS(6534), 1,
      sym_operator_identifier,
    STATE(4414), 1,
      sym__simple_type,
    STATE(4416), 1,
      sym__annotated_type,
    STATE(4471), 1,
      sym_identifier,
    STATE(4496), 1,
      sym__soft_identifier,
    STATE(5943), 1,
      sym_annotated_type,
    STATE(9046), 1,
      sym_literal_type,
    STATE(9048), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11676), 1,
      sym__type,
    STATE(12624), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16363), 1,
      sym_stable_identifier,
    ACTIONS(4890), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4892), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3274), 2,
      sym_comment,
      sym_block_comment,
    STATE(7837), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8843), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11568), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4586), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115333] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6544), 1,
      anon_sym_LBRACK,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(14687), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3275), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115454] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1538), 1,
      sym_integer_literal,
    ACTIONS(6554), 1,
      sym__alpha_identifier,
    ACTIONS(6556), 1,
      anon_sym_COLON,
    ACTIONS(6558), 1,
      anon_sym_LBRACE,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6562), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 1,
      anon_sym_LPAREN,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    STATE(5244), 1,
      sym__simple_type,
    STATE(5385), 1,
      sym__annotated_type,
    STATE(5508), 1,
      sym_identifier,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(8215), 1,
      sym_annotated_type,
    STATE(10622), 1,
      sym__non_null_literal,
    STATE(10651), 1,
      sym_literal_type,
    STATE(12192), 1,
      sym__infix_type_choice,
    STATE(13082), 1,
      sym__type,
    STATE(13289), 1,
      sym_template_body,
    STATE(15461), 1,
      sym_parameter_types,
    STATE(16819), 1,
      sym_stable_identifier,
    ACTIONS(1540), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1542), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1546), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3276), 2,
      sym_comment,
      sym_block_comment,
    STATE(8382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8477), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9785), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13177), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6312), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115575] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1538), 1,
      sym_integer_literal,
    ACTIONS(6554), 1,
      sym__alpha_identifier,
    ACTIONS(6556), 1,
      anon_sym_COLON,
    ACTIONS(6558), 1,
      anon_sym_LBRACE,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6562), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 1,
      anon_sym_LPAREN,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    STATE(5244), 1,
      sym__simple_type,
    STATE(5385), 1,
      sym__annotated_type,
    STATE(5508), 1,
      sym_identifier,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(8215), 1,
      sym_annotated_type,
    STATE(10622), 1,
      sym__non_null_literal,
    STATE(10651), 1,
      sym_literal_type,
    STATE(12192), 1,
      sym__infix_type_choice,
    STATE(13134), 1,
      sym__type,
    STATE(13289), 1,
      sym_template_body,
    STATE(15461), 1,
      sym_parameter_types,
    STATE(16819), 1,
      sym_stable_identifier,
    ACTIONS(1540), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1542), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1546), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3277), 2,
      sym_comment,
      sym_block_comment,
    STATE(8382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8477), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9785), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13177), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6312), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115696] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1538), 1,
      sym_integer_literal,
    ACTIONS(6554), 1,
      sym__alpha_identifier,
    ACTIONS(6556), 1,
      anon_sym_COLON,
    ACTIONS(6558), 1,
      anon_sym_LBRACE,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6562), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 1,
      anon_sym_LPAREN,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    STATE(5244), 1,
      sym__simple_type,
    STATE(5385), 1,
      sym__annotated_type,
    STATE(5508), 1,
      sym_identifier,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(8215), 1,
      sym_annotated_type,
    STATE(10622), 1,
      sym__non_null_literal,
    STATE(10651), 1,
      sym_literal_type,
    STATE(12192), 1,
      sym__infix_type_choice,
    STATE(13143), 1,
      sym__type,
    STATE(13289), 1,
      sym_template_body,
    STATE(15461), 1,
      sym_parameter_types,
    STATE(16819), 1,
      sym_stable_identifier,
    ACTIONS(1540), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1542), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1546), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3278), 2,
      sym_comment,
      sym_block_comment,
    STATE(8382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8477), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9785), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13177), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6312), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115817] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1538), 1,
      sym_integer_literal,
    ACTIONS(6554), 1,
      sym__alpha_identifier,
    ACTIONS(6556), 1,
      anon_sym_COLON,
    ACTIONS(6558), 1,
      anon_sym_LBRACE,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6562), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 1,
      anon_sym_LPAREN,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    STATE(5244), 1,
      sym__simple_type,
    STATE(5385), 1,
      sym__annotated_type,
    STATE(5508), 1,
      sym_identifier,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(8215), 1,
      sym_annotated_type,
    STATE(10622), 1,
      sym__non_null_literal,
    STATE(10651), 1,
      sym_literal_type,
    STATE(12192), 1,
      sym__infix_type_choice,
    STATE(13145), 1,
      sym__type,
    STATE(13289), 1,
      sym_template_body,
    STATE(15461), 1,
      sym_parameter_types,
    STATE(16819), 1,
      sym_stable_identifier,
    ACTIONS(1540), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1542), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1546), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3279), 2,
      sym_comment,
      sym_block_comment,
    STATE(8382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8477), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9785), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13177), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6312), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [115938] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1538), 1,
      sym_integer_literal,
    ACTIONS(6554), 1,
      sym__alpha_identifier,
    ACTIONS(6556), 1,
      anon_sym_COLON,
    ACTIONS(6558), 1,
      anon_sym_LBRACE,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6562), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 1,
      anon_sym_LPAREN,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    STATE(5244), 1,
      sym__simple_type,
    STATE(5385), 1,
      sym__annotated_type,
    STATE(5508), 1,
      sym_identifier,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(8215), 1,
      sym_annotated_type,
    STATE(10622), 1,
      sym__non_null_literal,
    STATE(10651), 1,
      sym_literal_type,
    STATE(12192), 1,
      sym__infix_type_choice,
    STATE(13146), 1,
      sym__type,
    STATE(13289), 1,
      sym_template_body,
    STATE(15461), 1,
      sym_parameter_types,
    STATE(16819), 1,
      sym_stable_identifier,
    ACTIONS(1540), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1542), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1546), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3280), 2,
      sym_comment,
      sym_block_comment,
    STATE(8382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8477), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9785), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13177), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6312), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116059] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15627), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3281), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116180] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4866), 1,
      sym__alpha_identifier,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4872), 1,
      anon_sym__,
    ACTIONS(4876), 1,
      anon_sym_LBRACK,
    ACTIONS(4884), 1,
      sym__backquoted_id,
    ACTIONS(4888), 1,
      sym_integer_literal,
    ACTIONS(6532), 1,
      anon_sym_LPAREN,
    ACTIONS(6534), 1,
      sym_operator_identifier,
    STATE(4414), 1,
      sym__simple_type,
    STATE(4416), 1,
      sym__annotated_type,
    STATE(4471), 1,
      sym_identifier,
    STATE(4496), 1,
      sym__soft_identifier,
    STATE(5943), 1,
      sym_annotated_type,
    STATE(9046), 1,
      sym_literal_type,
    STATE(9048), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(11656), 1,
      sym__type,
    STATE(12624), 1,
      sym__infix_type_choice,
    STATE(15460), 1,
      sym_parameter_types,
    STATE(16363), 1,
      sym_stable_identifier,
    ACTIONS(4890), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4892), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4894), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3282), 2,
      sym_comment,
      sym_block_comment,
    STATE(7837), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8843), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11568), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4586), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116301] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14964), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3283), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116422] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15293), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3284), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116543] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15371), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3285), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116664] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15446), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3286), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116785] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(14342), 1,
      sym__type,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3287), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [116906] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15289), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3288), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117027] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6484), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(14062), 1,
      sym__type,
    STATE(15651), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3289), 2,
      sym_comment,
      sym_block_comment,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117148] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16774), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3290), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117269] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16367), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3291), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117390] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15297), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3292), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117511] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4680), 1,
      sym__alpha_identifier,
    ACTIONS(4682), 1,
      anon_sym_COLON,
    ACTIONS(4684), 1,
      anon_sym_LBRACE,
    ACTIONS(4686), 1,
      anon_sym__,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    ACTIONS(4698), 1,
      sym__backquoted_id,
    ACTIONS(4702), 1,
      sym_integer_literal,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    STATE(4807), 1,
      sym__annotated_type,
    STATE(4896), 1,
      sym__simple_type,
    STATE(5213), 1,
      sym_identifier,
    STATE(5438), 1,
      sym__soft_identifier,
    STATE(7758), 1,
      sym_annotated_type,
    STATE(10331), 1,
      sym_literal_type,
    STATE(10439), 1,
      sym__non_null_literal,
    STATE(12217), 1,
      sym__infix_type_choice,
    STATE(13071), 1,
      sym__type,
    STATE(13111), 1,
      sym_template_body,
    STATE(15506), 1,
      sym_parameter_types,
    STATE(16907), 1,
      sym_stable_identifier,
    ACTIONS(4704), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4706), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4708), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3293), 2,
      sym_comment,
      sym_block_comment,
    STATE(9683), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10365), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13150), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4692), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5876), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117632] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15579), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3294), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117753] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16371), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3295), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117874] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15434), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3296), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [117995] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4680), 1,
      sym__alpha_identifier,
    ACTIONS(4682), 1,
      anon_sym_COLON,
    ACTIONS(4684), 1,
      anon_sym_LBRACE,
    ACTIONS(4686), 1,
      anon_sym__,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    ACTIONS(4698), 1,
      sym__backquoted_id,
    ACTIONS(4702), 1,
      sym_integer_literal,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    STATE(4807), 1,
      sym__annotated_type,
    STATE(4896), 1,
      sym__simple_type,
    STATE(5213), 1,
      sym_identifier,
    STATE(5438), 1,
      sym__soft_identifier,
    STATE(7758), 1,
      sym_annotated_type,
    STATE(10331), 1,
      sym_literal_type,
    STATE(10439), 1,
      sym__non_null_literal,
    STATE(12217), 1,
      sym__infix_type_choice,
    STATE(13102), 1,
      sym__type,
    STATE(13111), 1,
      sym_template_body,
    STATE(15506), 1,
      sym_parameter_types,
    STATE(16907), 1,
      sym_stable_identifier,
    ACTIONS(4704), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4706), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4708), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3297), 2,
      sym_comment,
      sym_block_comment,
    STATE(9683), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10365), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13150), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4692), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5876), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118116] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4680), 1,
      sym__alpha_identifier,
    ACTIONS(4682), 1,
      anon_sym_COLON,
    ACTIONS(4684), 1,
      anon_sym_LBRACE,
    ACTIONS(4686), 1,
      anon_sym__,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    ACTIONS(4698), 1,
      sym__backquoted_id,
    ACTIONS(4702), 1,
      sym_integer_literal,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    STATE(4807), 1,
      sym__annotated_type,
    STATE(4896), 1,
      sym__simple_type,
    STATE(5213), 1,
      sym_identifier,
    STATE(5438), 1,
      sym__soft_identifier,
    STATE(7758), 1,
      sym_annotated_type,
    STATE(10331), 1,
      sym_literal_type,
    STATE(10439), 1,
      sym__non_null_literal,
    STATE(12217), 1,
      sym__infix_type_choice,
    STATE(13104), 1,
      sym__type,
    STATE(13111), 1,
      sym_template_body,
    STATE(15506), 1,
      sym_parameter_types,
    STATE(16907), 1,
      sym_stable_identifier,
    ACTIONS(4704), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4706), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4708), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3298), 2,
      sym_comment,
      sym_block_comment,
    STATE(9683), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10365), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13150), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4692), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5876), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118237] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4680), 1,
      sym__alpha_identifier,
    ACTIONS(4682), 1,
      anon_sym_COLON,
    ACTIONS(4684), 1,
      anon_sym_LBRACE,
    ACTIONS(4686), 1,
      anon_sym__,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    ACTIONS(4698), 1,
      sym__backquoted_id,
    ACTIONS(4702), 1,
      sym_integer_literal,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    STATE(4807), 1,
      sym__annotated_type,
    STATE(4896), 1,
      sym__simple_type,
    STATE(5213), 1,
      sym_identifier,
    STATE(5438), 1,
      sym__soft_identifier,
    STATE(7758), 1,
      sym_annotated_type,
    STATE(10331), 1,
      sym_literal_type,
    STATE(10439), 1,
      sym__non_null_literal,
    STATE(12217), 1,
      sym__infix_type_choice,
    STATE(13109), 1,
      sym__type,
    STATE(13111), 1,
      sym_template_body,
    STATE(15506), 1,
      sym_parameter_types,
    STATE(16907), 1,
      sym_stable_identifier,
    ACTIONS(4704), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4706), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4708), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3299), 2,
      sym_comment,
      sym_block_comment,
    STATE(9683), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10365), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13150), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4692), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5876), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118358] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(922), 1,
      sym_integer_literal,
    ACTIONS(6576), 1,
      sym__alpha_identifier,
    ACTIONS(6578), 1,
      anon_sym_COLON,
    ACTIONS(6580), 1,
      anon_sym_LBRACE,
    ACTIONS(6582), 1,
      anon_sym__,
    ACTIONS(6584), 1,
      anon_sym_LBRACK,
    ACTIONS(6588), 1,
      anon_sym_LPAREN,
    ACTIONS(6590), 1,
      sym__backquoted_id,
    ACTIONS(6592), 1,
      sym_operator_identifier,
    STATE(4454), 1,
      sym__simple_type,
    STATE(4461), 1,
      sym__annotated_type,
    STATE(4474), 1,
      sym_identifier,
    STATE(4509), 1,
      sym__soft_identifier,
    STATE(5690), 1,
      sym_annotated_type,
    STATE(9167), 1,
      sym_literal_type,
    STATE(9243), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11535), 1,
      sym__type,
    STATE(12634), 1,
      sym__infix_type_choice,
    STATE(15607), 1,
      sym_parameter_types,
    STATE(17122), 1,
      sym_stable_identifier,
    ACTIONS(924), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(926), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(930), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3300), 2,
      sym_comment,
      sym_block_comment,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5634), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7492), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118479] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4680), 1,
      sym__alpha_identifier,
    ACTIONS(4682), 1,
      anon_sym_COLON,
    ACTIONS(4684), 1,
      anon_sym_LBRACE,
    ACTIONS(4686), 1,
      anon_sym__,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    ACTIONS(4698), 1,
      sym__backquoted_id,
    ACTIONS(4702), 1,
      sym_integer_literal,
    ACTIONS(6572), 1,
      anon_sym_LPAREN,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    STATE(4807), 1,
      sym__annotated_type,
    STATE(4896), 1,
      sym__simple_type,
    STATE(5213), 1,
      sym_identifier,
    STATE(5438), 1,
      sym__soft_identifier,
    STATE(7758), 1,
      sym_annotated_type,
    STATE(10331), 1,
      sym_literal_type,
    STATE(10439), 1,
      sym__non_null_literal,
    STATE(12217), 1,
      sym__infix_type_choice,
    STATE(13111), 1,
      sym_template_body,
    STATE(13117), 1,
      sym__type,
    STATE(15506), 1,
      sym_parameter_types,
    STATE(16907), 1,
      sym_stable_identifier,
    ACTIONS(4704), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4706), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4708), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3301), 2,
      sym_comment,
      sym_block_comment,
    STATE(9683), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10365), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13150), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4692), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5876), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118600] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11889), 1,
      sym__type,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3302), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118721] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11912), 1,
      sym__type,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3303), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118842] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11914), 1,
      sym__type,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3304), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [118963] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12002), 1,
      sym__type,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3305), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119084] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16784), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3306), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119205] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15281), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3307), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119326] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15684), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3308), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119447] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6302), 1,
      anon_sym_LBRACK,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6650), 1,
      sym__annotated_type,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(12534), 1,
      sym__infix_type_choice,
    STATE(13980), 1,
      sym__type,
    STATE(15722), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3309), 2,
      sym_comment,
      sym_block_comment,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119568] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6544), 1,
      anon_sym_LBRACK,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(12904), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3310), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119689] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6544), 1,
      anon_sym_LBRACK,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(12910), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3311), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119810] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6544), 1,
      anon_sym_LBRACK,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(12925), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3312), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [119931] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6544), 1,
      anon_sym_LBRACK,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(12926), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3313), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120052] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6544), 1,
      anon_sym_LBRACK,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(12928), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3314), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120173] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6218), 1,
      sym__alpha_identifier,
    ACTIONS(6220), 1,
      anon_sym__,
    ACTIONS(6222), 1,
      anon_sym_LBRACK,
    ACTIONS(6226), 1,
      anon_sym_LPAREN,
    ACTIONS(6228), 1,
      sym__backquoted_id,
    ACTIONS(6230), 1,
      sym_operator_identifier,
    ACTIONS(6232), 1,
      sym_integer_literal,
    STATE(7714), 1,
      sym__simple_type,
    STATE(8360), 1,
      sym__soft_identifier,
    STATE(8457), 1,
      sym_identifier,
    STATE(8704), 1,
      sym__annotated_type,
    STATE(10600), 1,
      sym_annotated_type,
    STATE(11774), 1,
      sym__non_null_literal,
    STATE(11776), 1,
      sym_literal_type,
    STATE(11833), 1,
      sym_template_body,
    STATE(12381), 1,
      sym__infix_type_choice,
    STATE(14688), 1,
      sym__type,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16447), 1,
      sym_stable_identifier,
    ACTIONS(6234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6238), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3315), 2,
      sym_comment,
      sym_block_comment,
    STATE(11093), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11605), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8869), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120294] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11860), 1,
      sym__type,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3316), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120415] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(6594), 1,
      anon_sym_LBRACK,
    STATE(6684), 1,
      sym__simple_type,
    STATE(7597), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(12510), 1,
      sym__infix_type_choice,
    STATE(13980), 1,
      sym__type,
    STATE(15492), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3317), 2,
      sym_comment,
      sym_block_comment,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120536] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15631), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3318), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120657] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16862), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3319), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120778] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15665), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3320), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [120899] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15277), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3321), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121020] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16866), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3322), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121141] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(6596), 1,
      anon_sym_LBRACK,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(12904), 1,
      sym__type,
    STATE(15550), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3323), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121262] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15149), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3324), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121383] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(6596), 1,
      anon_sym_LBRACK,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(12910), 1,
      sym__type,
    STATE(15550), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3325), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121504] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(6596), 1,
      anon_sym_LBRACK,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(12925), 1,
      sym__type,
    STATE(15550), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3326), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121625] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(6596), 1,
      anon_sym_LBRACK,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(12926), 1,
      sym__type,
    STATE(15550), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3327), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121746] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(6596), 1,
      anon_sym_LBRACK,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(12928), 1,
      sym__type,
    STATE(15550), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3328), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121867] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4382), 1,
      sym__alpha_identifier,
    ACTIONS(4384), 1,
      anon_sym_COLON,
    ACTIONS(4386), 1,
      anon_sym_LBRACE,
    ACTIONS(4388), 1,
      anon_sym__,
    ACTIONS(4392), 1,
      anon_sym_LBRACK,
    ACTIONS(4400), 1,
      sym__backquoted_id,
    ACTIONS(4404), 1,
      sym_integer_literal,
    ACTIONS(6598), 1,
      anon_sym_LPAREN,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5175), 1,
      sym__annotated_type,
    STATE(5555), 1,
      sym_identifier,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(8693), 1,
      sym_annotated_type,
    STATE(10460), 1,
      sym_literal_type,
    STATE(10648), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11448), 1,
      sym__type,
    STATE(12341), 1,
      sym__infix_type_choice,
    STATE(15012), 1,
      sym_parameter_types,
    STATE(16965), 1,
      sym_stable_identifier,
    ACTIONS(4406), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4408), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4412), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3329), 2,
      sym_comment,
      sym_block_comment,
    STATE(9760), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10452), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11372), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [121988] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6130), 1,
      anon_sym_LBRACK,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(14193), 1,
      sym__type,
    STATE(15383), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3330), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122109] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14967), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3331), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122230] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15106), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3332), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122351] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15613), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3333), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122472] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(12786), 1,
      sym__type,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3334), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122593] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1948), 1,
      sym_integer_literal,
    ACTIONS(6516), 1,
      anon_sym_COLON,
    ACTIONS(6518), 1,
      anon_sym_LBRACE,
    ACTIONS(6602), 1,
      sym__alpha_identifier,
    ACTIONS(6604), 1,
      anon_sym__,
    ACTIONS(6606), 1,
      anon_sym_LBRACK,
    ACTIONS(6610), 1,
      anon_sym_LPAREN,
    ACTIONS(6612), 1,
      sym__backquoted_id,
    ACTIONS(6614), 1,
      sym_operator_identifier,
    STATE(6907), 1,
      sym__annotated_type,
    STATE(7224), 1,
      sym__simple_type,
    STATE(7451), 1,
      sym__soft_identifier,
    STATE(7808), 1,
      sym_identifier,
    STATE(9732), 1,
      sym_annotated_type,
    STATE(11311), 1,
      sym__non_null_literal,
    STATE(11316), 1,
      sym_literal_type,
    STATE(11848), 1,
      sym_template_body,
    STATE(12263), 1,
      sym__type,
    STATE(12512), 1,
      sym__infix_type_choice,
    STATE(15553), 1,
      sym_parameter_types,
    STATE(17104), 1,
      sym_stable_identifier,
    ACTIONS(1950), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1952), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1956), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3335), 2,
      sym_comment,
      sym_block_comment,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10026), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10706), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8708), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122714] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(6616), 1,
      anon_sym_LBRACK,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(7016), 1,
      sym__annotated_type,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12297), 1,
      sym__infix_type_choice,
    STATE(14089), 1,
      sym__type,
    STATE(15653), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3336), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122835] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    ACTIONS(6444), 1,
      sym_integer_literal,
    STATE(5530), 1,
      sym__simple_type,
    STATE(6024), 1,
      sym__soft_identifier,
    STATE(6537), 1,
      sym__annotated_type,
    STATE(6622), 1,
      sym_identifier,
    STATE(9547), 1,
      sym_annotated_type,
    STATE(10752), 1,
      sym__non_null_literal,
    STATE(10754), 1,
      sym_literal_type,
    STATE(11005), 1,
      sym__type,
    STATE(11078), 1,
      sym_template_body,
    STATE(12549), 1,
      sym__infix_type_choice,
    STATE(15573), 1,
      sym_parameter_types,
    STATE(16293), 1,
      sym_stable_identifier,
    ACTIONS(6446), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6448), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6450), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3337), 2,
      sym_comment,
      sym_block_comment,
    STATE(10268), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10730), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10986), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10969), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6696), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [122956] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    ACTIONS(6444), 1,
      sym_integer_literal,
    STATE(5530), 1,
      sym__simple_type,
    STATE(6024), 1,
      sym__soft_identifier,
    STATE(6537), 1,
      sym__annotated_type,
    STATE(6622), 1,
      sym_identifier,
    STATE(9547), 1,
      sym_annotated_type,
    STATE(10752), 1,
      sym__non_null_literal,
    STATE(10754), 1,
      sym_literal_type,
    STATE(11019), 1,
      sym__type,
    STATE(11078), 1,
      sym_template_body,
    STATE(12549), 1,
      sym__infix_type_choice,
    STATE(15573), 1,
      sym_parameter_types,
    STATE(16293), 1,
      sym_stable_identifier,
    ACTIONS(6446), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6448), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6450), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3338), 2,
      sym_comment,
      sym_block_comment,
    STATE(10268), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10730), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10986), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10969), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6696), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123077] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    ACTIONS(6444), 1,
      sym_integer_literal,
    STATE(5530), 1,
      sym__simple_type,
    STATE(6024), 1,
      sym__soft_identifier,
    STATE(6537), 1,
      sym__annotated_type,
    STATE(6622), 1,
      sym_identifier,
    STATE(9547), 1,
      sym_annotated_type,
    STATE(10752), 1,
      sym__non_null_literal,
    STATE(10754), 1,
      sym_literal_type,
    STATE(11023), 1,
      sym__type,
    STATE(11078), 1,
      sym_template_body,
    STATE(12549), 1,
      sym__infix_type_choice,
    STATE(15573), 1,
      sym_parameter_types,
    STATE(16293), 1,
      sym_stable_identifier,
    ACTIONS(6446), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6448), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6450), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3339), 2,
      sym_comment,
      sym_block_comment,
    STATE(10268), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10730), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10986), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10969), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6696), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123198] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    ACTIONS(6444), 1,
      sym_integer_literal,
    STATE(5530), 1,
      sym__simple_type,
    STATE(6024), 1,
      sym__soft_identifier,
    STATE(6537), 1,
      sym__annotated_type,
    STATE(6622), 1,
      sym_identifier,
    STATE(9547), 1,
      sym_annotated_type,
    STATE(10752), 1,
      sym__non_null_literal,
    STATE(10754), 1,
      sym_literal_type,
    STATE(11027), 1,
      sym__type,
    STATE(11078), 1,
      sym_template_body,
    STATE(12549), 1,
      sym__infix_type_choice,
    STATE(15573), 1,
      sym_parameter_types,
    STATE(16293), 1,
      sym_stable_identifier,
    ACTIONS(6446), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6448), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6450), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3340), 2,
      sym_comment,
      sym_block_comment,
    STATE(10268), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10730), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10986), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10969), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6696), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123319] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      sym__alpha_identifier,
    ACTIONS(6620), 1,
      anon_sym__,
    ACTIONS(6622), 1,
      anon_sym_LBRACK,
    ACTIONS(6626), 1,
      anon_sym_LPAREN,
    ACTIONS(6628), 1,
      sym__backquoted_id,
    ACTIONS(6630), 1,
      sym_operator_identifier,
    ACTIONS(6632), 1,
      sym_integer_literal,
    STATE(6588), 1,
      sym__simple_type,
    STATE(6685), 1,
      sym__annotated_type,
    STATE(6877), 1,
      sym_identifier,
    STATE(7078), 1,
      sym__soft_identifier,
    STATE(9775), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11313), 1,
      sym_literal_type,
    STATE(11314), 1,
      sym__non_null_literal,
    STATE(12449), 1,
      sym__infix_type_choice,
    STATE(13977), 1,
      sym__type,
    STATE(15547), 1,
      sym_parameter_types,
    STATE(16266), 1,
      sym_stable_identifier,
    ACTIONS(6634), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6636), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6638), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3341), 2,
      sym_comment,
      sym_block_comment,
    STATE(10704), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11348), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7940), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123440] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      sym__alpha_identifier,
    ACTIONS(6642), 1,
      anon_sym__,
    ACTIONS(6644), 1,
      anon_sym_LBRACK,
    ACTIONS(6648), 1,
      anon_sym_LPAREN,
    ACTIONS(6650), 1,
      sym__backquoted_id,
    ACTIONS(6652), 1,
      sym_operator_identifier,
    ACTIONS(6654), 1,
      sym_integer_literal,
    STATE(5786), 1,
      sym__simple_type,
    STATE(6148), 1,
      sym__annotated_type,
    STATE(6211), 1,
      sym__soft_identifier,
    STATE(6365), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_annotated_type,
    STATE(11032), 1,
      sym_literal_type,
    STATE(11117), 1,
      sym__non_null_literal,
    STATE(11922), 1,
      sym_template_body,
    STATE(12285), 1,
      sym__infix_type_choice,
    STATE(12904), 1,
      sym__type,
    STATE(15605), 1,
      sym_parameter_types,
    STATE(16931), 1,
      sym_stable_identifier,
    ACTIONS(6656), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6658), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6660), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3342), 2,
      sym_comment,
      sym_block_comment,
    STATE(10542), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11125), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6646), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7122), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123561] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15585), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3343), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123682] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      sym__alpha_identifier,
    ACTIONS(6642), 1,
      anon_sym__,
    ACTIONS(6644), 1,
      anon_sym_LBRACK,
    ACTIONS(6648), 1,
      anon_sym_LPAREN,
    ACTIONS(6650), 1,
      sym__backquoted_id,
    ACTIONS(6652), 1,
      sym_operator_identifier,
    ACTIONS(6654), 1,
      sym_integer_literal,
    STATE(5786), 1,
      sym__simple_type,
    STATE(6148), 1,
      sym__annotated_type,
    STATE(6211), 1,
      sym__soft_identifier,
    STATE(6365), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_annotated_type,
    STATE(11032), 1,
      sym_literal_type,
    STATE(11117), 1,
      sym__non_null_literal,
    STATE(11922), 1,
      sym_template_body,
    STATE(12285), 1,
      sym__infix_type_choice,
    STATE(12910), 1,
      sym__type,
    STATE(15605), 1,
      sym_parameter_types,
    STATE(16931), 1,
      sym_stable_identifier,
    ACTIONS(6656), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6658), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6660), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3344), 2,
      sym_comment,
      sym_block_comment,
    STATE(10542), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11125), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6646), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7122), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123803] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      sym__alpha_identifier,
    ACTIONS(6642), 1,
      anon_sym__,
    ACTIONS(6644), 1,
      anon_sym_LBRACK,
    ACTIONS(6648), 1,
      anon_sym_LPAREN,
    ACTIONS(6650), 1,
      sym__backquoted_id,
    ACTIONS(6652), 1,
      sym_operator_identifier,
    ACTIONS(6654), 1,
      sym_integer_literal,
    STATE(5786), 1,
      sym__simple_type,
    STATE(6148), 1,
      sym__annotated_type,
    STATE(6211), 1,
      sym__soft_identifier,
    STATE(6365), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_annotated_type,
    STATE(11032), 1,
      sym_literal_type,
    STATE(11117), 1,
      sym__non_null_literal,
    STATE(11922), 1,
      sym_template_body,
    STATE(12285), 1,
      sym__infix_type_choice,
    STATE(12925), 1,
      sym__type,
    STATE(15605), 1,
      sym_parameter_types,
    STATE(16931), 1,
      sym_stable_identifier,
    ACTIONS(6656), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6658), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6660), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3345), 2,
      sym_comment,
      sym_block_comment,
    STATE(10542), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11125), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6646), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7122), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [123924] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      sym__alpha_identifier,
    ACTIONS(6642), 1,
      anon_sym__,
    ACTIONS(6644), 1,
      anon_sym_LBRACK,
    ACTIONS(6648), 1,
      anon_sym_LPAREN,
    ACTIONS(6650), 1,
      sym__backquoted_id,
    ACTIONS(6652), 1,
      sym_operator_identifier,
    ACTIONS(6654), 1,
      sym_integer_literal,
    STATE(5786), 1,
      sym__simple_type,
    STATE(6148), 1,
      sym__annotated_type,
    STATE(6211), 1,
      sym__soft_identifier,
    STATE(6365), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_annotated_type,
    STATE(11032), 1,
      sym_literal_type,
    STATE(11117), 1,
      sym__non_null_literal,
    STATE(11922), 1,
      sym_template_body,
    STATE(12285), 1,
      sym__infix_type_choice,
    STATE(12926), 1,
      sym__type,
    STATE(15605), 1,
      sym_parameter_types,
    STATE(16931), 1,
      sym_stable_identifier,
    ACTIONS(6656), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6658), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6660), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3346), 2,
      sym_comment,
      sym_block_comment,
    STATE(10542), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11125), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6646), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7122), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124045] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15616), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3347), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124166] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      sym__alpha_identifier,
    ACTIONS(6642), 1,
      anon_sym__,
    ACTIONS(6644), 1,
      anon_sym_LBRACK,
    ACTIONS(6648), 1,
      anon_sym_LPAREN,
    ACTIONS(6650), 1,
      sym__backquoted_id,
    ACTIONS(6652), 1,
      sym_operator_identifier,
    ACTIONS(6654), 1,
      sym_integer_literal,
    STATE(5786), 1,
      sym__simple_type,
    STATE(6148), 1,
      sym__annotated_type,
    STATE(6211), 1,
      sym__soft_identifier,
    STATE(6365), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_annotated_type,
    STATE(11032), 1,
      sym_literal_type,
    STATE(11117), 1,
      sym__non_null_literal,
    STATE(11922), 1,
      sym_template_body,
    STATE(12285), 1,
      sym__infix_type_choice,
    STATE(12928), 1,
      sym__type,
    STATE(15605), 1,
      sym_parameter_types,
    STATE(16931), 1,
      sym_stable_identifier,
    ACTIONS(6656), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6658), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6660), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3348), 2,
      sym_comment,
      sym_block_comment,
    STATE(10542), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11125), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6646), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7122), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124287] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16477), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3349), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124408] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14802), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3350), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124529] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(6662), 1,
      anon_sym_LBRACK,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(14062), 1,
      sym__type,
    STATE(15439), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3351), 2,
      sym_comment,
      sym_block_comment,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124650] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15572), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3352), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124771] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6428), 1,
      anon_sym_COLON,
    ACTIONS(6430), 1,
      anon_sym_LBRACE,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6434), 1,
      anon_sym_LBRACK,
    ACTIONS(6438), 1,
      anon_sym_LPAREN,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    ACTIONS(6444), 1,
      sym_integer_literal,
    STATE(5530), 1,
      sym__simple_type,
    STATE(6024), 1,
      sym__soft_identifier,
    STATE(6537), 1,
      sym__annotated_type,
    STATE(6622), 1,
      sym_identifier,
    STATE(9547), 1,
      sym_annotated_type,
    STATE(10752), 1,
      sym__non_null_literal,
    STATE(10754), 1,
      sym_literal_type,
    STATE(11078), 1,
      sym_template_body,
    STATE(11124), 1,
      sym__type,
    STATE(12549), 1,
      sym__infix_type_choice,
    STATE(15573), 1,
      sym_parameter_types,
    STATE(16293), 1,
      sym_stable_identifier,
    ACTIONS(6446), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6448), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6450), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3353), 2,
      sym_comment,
      sym_block_comment,
    STATE(10268), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10730), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10986), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10969), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6696), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [124892] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym_COLON,
    ACTIONS(6668), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      anon_sym__,
    ACTIONS(6672), 1,
      anon_sym_LBRACK,
    ACTIONS(6676), 1,
      anon_sym_LPAREN,
    ACTIONS(6678), 1,
      sym__backquoted_id,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    ACTIONS(6682), 1,
      sym_integer_literal,
    STATE(5601), 1,
      sym__simple_type,
    STATE(6108), 1,
      sym_identifier,
    STATE(6195), 1,
      sym__soft_identifier,
    STATE(6432), 1,
      sym__annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9686), 1,
      sym_annotated_type,
    STATE(10838), 1,
      sym__non_null_literal,
    STATE(10841), 1,
      sym_literal_type,
    STATE(10987), 1,
      sym__type,
    STATE(12333), 1,
      sym__infix_type_choice,
    STATE(15385), 1,
      sym_parameter_types,
    STATE(16790), 1,
      sym_stable_identifier,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3354), 2,
      sym_comment,
      sym_block_comment,
    STATE(10375), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11046), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6674), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7350), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125013] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(16960), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3355), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125134] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16480), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3356), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125255] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15663), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3357), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125376] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6130), 1,
      anon_sym_LBRACK,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(14342), 1,
      sym__type,
    STATE(15383), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3358), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125497] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(16968), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3359), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125618] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(6616), 1,
      anon_sym_LBRACK,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(7016), 1,
      sym__annotated_type,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12297), 1,
      sym__infix_type_choice,
    STATE(12904), 1,
      sym__type,
    STATE(15653), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3360), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125739] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14904), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3361), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125860] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(6616), 1,
      anon_sym_LBRACK,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(7016), 1,
      sym__annotated_type,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12297), 1,
      sym__infix_type_choice,
    STATE(12910), 1,
      sym__type,
    STATE(15653), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3362), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [125981] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(6616), 1,
      anon_sym_LBRACK,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(7016), 1,
      sym__annotated_type,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12297), 1,
      sym__infix_type_choice,
    STATE(12925), 1,
      sym__type,
    STATE(15653), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3363), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126102] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(6616), 1,
      anon_sym_LBRACK,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(7016), 1,
      sym__annotated_type,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12297), 1,
      sym__infix_type_choice,
    STATE(12926), 1,
      sym__type,
    STATE(15653), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3364), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126223] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(6616), 1,
      anon_sym_LBRACK,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(7016), 1,
      sym__annotated_type,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12297), 1,
      sym__infix_type_choice,
    STATE(12928), 1,
      sym__type,
    STATE(15653), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3365), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126344] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15556), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3366), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126465] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15733), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3367), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126586] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14970), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3368), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126707] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1344), 1,
      sym_integer_literal,
    ACTIONS(6578), 1,
      anon_sym_COLON,
    ACTIONS(6580), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      sym__alpha_identifier,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6694), 1,
      anon_sym_LBRACK,
    ACTIONS(6698), 1,
      anon_sym_LPAREN,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    STATE(5517), 1,
      sym__annotated_type,
    STATE(5785), 1,
      sym__simple_type,
    STATE(6230), 1,
      sym_identifier,
    STATE(6303), 1,
      sym__soft_identifier,
    STATE(9290), 1,
      sym_annotated_type,
    STATE(10789), 1,
      sym_literal_type,
    STATE(10794), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11535), 1,
      sym__type,
    STATE(12589), 1,
      sym__infix_type_choice,
    STATE(15552), 1,
      sym_parameter_types,
    STATE(17092), 1,
      sym_stable_identifier,
    ACTIONS(1346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1352), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3369), 2,
      sym_comment,
      sym_block_comment,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10326), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6693), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126828] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15273), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3370), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [126949] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      sym__alpha_identifier,
    ACTIONS(6620), 1,
      anon_sym__,
    ACTIONS(6622), 1,
      anon_sym_LBRACK,
    ACTIONS(6626), 1,
      anon_sym_LPAREN,
    ACTIONS(6628), 1,
      sym__backquoted_id,
    ACTIONS(6630), 1,
      sym_operator_identifier,
    ACTIONS(6632), 1,
      sym_integer_literal,
    STATE(6588), 1,
      sym__simple_type,
    STATE(6685), 1,
      sym__annotated_type,
    STATE(6877), 1,
      sym_identifier,
    STATE(7078), 1,
      sym__soft_identifier,
    STATE(9775), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11193), 1,
      sym__type,
    STATE(11313), 1,
      sym_literal_type,
    STATE(11314), 1,
      sym__non_null_literal,
    STATE(12449), 1,
      sym__infix_type_choice,
    STATE(15547), 1,
      sym_parameter_types,
    STATE(16266), 1,
      sym_stable_identifier,
    ACTIONS(6634), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6636), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6638), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3371), 2,
      sym_comment,
      sym_block_comment,
    STATE(10704), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11348), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7940), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127070] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      sym__alpha_identifier,
    ACTIONS(6620), 1,
      anon_sym__,
    ACTIONS(6622), 1,
      anon_sym_LBRACK,
    ACTIONS(6626), 1,
      anon_sym_LPAREN,
    ACTIONS(6628), 1,
      sym__backquoted_id,
    ACTIONS(6630), 1,
      sym_operator_identifier,
    ACTIONS(6632), 1,
      sym_integer_literal,
    STATE(6588), 1,
      sym__simple_type,
    STATE(6685), 1,
      sym__annotated_type,
    STATE(6877), 1,
      sym_identifier,
    STATE(7078), 1,
      sym__soft_identifier,
    STATE(9775), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11194), 1,
      sym__type,
    STATE(11313), 1,
      sym_literal_type,
    STATE(11314), 1,
      sym__non_null_literal,
    STATE(12449), 1,
      sym__infix_type_choice,
    STATE(15547), 1,
      sym_parameter_types,
    STATE(16266), 1,
      sym_stable_identifier,
    ACTIONS(6634), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6636), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6638), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3372), 2,
      sym_comment,
      sym_block_comment,
    STATE(10704), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11348), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7940), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127191] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      sym__alpha_identifier,
    ACTIONS(6620), 1,
      anon_sym__,
    ACTIONS(6622), 1,
      anon_sym_LBRACK,
    ACTIONS(6626), 1,
      anon_sym_LPAREN,
    ACTIONS(6628), 1,
      sym__backquoted_id,
    ACTIONS(6630), 1,
      sym_operator_identifier,
    ACTIONS(6632), 1,
      sym_integer_literal,
    STATE(6588), 1,
      sym__simple_type,
    STATE(6685), 1,
      sym__annotated_type,
    STATE(6877), 1,
      sym_identifier,
    STATE(7078), 1,
      sym__soft_identifier,
    STATE(9775), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11195), 1,
      sym__type,
    STATE(11313), 1,
      sym_literal_type,
    STATE(11314), 1,
      sym__non_null_literal,
    STATE(12449), 1,
      sym__infix_type_choice,
    STATE(15547), 1,
      sym_parameter_types,
    STATE(16266), 1,
      sym_stable_identifier,
    ACTIONS(6634), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6636), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6638), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3373), 2,
      sym_comment,
      sym_block_comment,
    STATE(10704), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11348), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7940), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127312] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      sym__alpha_identifier,
    ACTIONS(6620), 1,
      anon_sym__,
    ACTIONS(6622), 1,
      anon_sym_LBRACK,
    ACTIONS(6626), 1,
      anon_sym_LPAREN,
    ACTIONS(6628), 1,
      sym__backquoted_id,
    ACTIONS(6630), 1,
      sym_operator_identifier,
    ACTIONS(6632), 1,
      sym_integer_literal,
    STATE(6588), 1,
      sym__simple_type,
    STATE(6685), 1,
      sym__annotated_type,
    STATE(6877), 1,
      sym_identifier,
    STATE(7078), 1,
      sym__soft_identifier,
    STATE(9775), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11204), 1,
      sym__type,
    STATE(11313), 1,
      sym_literal_type,
    STATE(11314), 1,
      sym__non_null_literal,
    STATE(12449), 1,
      sym__infix_type_choice,
    STATE(15547), 1,
      sym_parameter_types,
    STATE(16266), 1,
      sym_stable_identifier,
    ACTIONS(6634), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6636), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6638), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3374), 2,
      sym_comment,
      sym_block_comment,
    STATE(10704), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11348), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7940), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127433] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15419), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3375), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127554] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15285), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3376), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127675] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15698), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3377), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127796] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      sym__alpha_identifier,
    ACTIONS(6706), 1,
      anon_sym_COLON,
    ACTIONS(6708), 1,
      anon_sym_LBRACE,
    ACTIONS(6710), 1,
      anon_sym__,
    ACTIONS(6712), 1,
      anon_sym_LBRACK,
    ACTIONS(6716), 1,
      anon_sym_LPAREN,
    ACTIONS(6718), 1,
      sym__backquoted_id,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    ACTIONS(6722), 1,
      sym_integer_literal,
    STATE(5088), 1,
      sym__simple_type,
    STATE(5696), 1,
      sym_identifier,
    STATE(5777), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8713), 1,
      sym_annotated_type,
    STATE(10494), 1,
      sym__non_null_literal,
    STATE(10546), 1,
      sym_literal_type,
    STATE(10664), 1,
      sym__type,
    STATE(10796), 1,
      sym_template_body,
    STATE(12304), 1,
      sym__infix_type_choice,
    STATE(15322), 1,
      sym_parameter_types,
    STATE(16943), 1,
      sym_stable_identifier,
    ACTIONS(6724), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6726), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6728), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3378), 2,
      sym_comment,
      sym_block_comment,
    STATE(9955), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10463), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10748), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10751), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [127917] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      sym__alpha_identifier,
    ACTIONS(6706), 1,
      anon_sym_COLON,
    ACTIONS(6708), 1,
      anon_sym_LBRACE,
    ACTIONS(6710), 1,
      anon_sym__,
    ACTIONS(6712), 1,
      anon_sym_LBRACK,
    ACTIONS(6716), 1,
      anon_sym_LPAREN,
    ACTIONS(6718), 1,
      sym__backquoted_id,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    ACTIONS(6722), 1,
      sym_integer_literal,
    STATE(5088), 1,
      sym__simple_type,
    STATE(5696), 1,
      sym_identifier,
    STATE(5777), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8713), 1,
      sym_annotated_type,
    STATE(10494), 1,
      sym__non_null_literal,
    STATE(10546), 1,
      sym_literal_type,
    STATE(10796), 1,
      sym_template_body,
    STATE(10833), 1,
      sym__type,
    STATE(12304), 1,
      sym__infix_type_choice,
    STATE(15322), 1,
      sym_parameter_types,
    STATE(16943), 1,
      sym_stable_identifier,
    ACTIONS(6724), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6726), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6728), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3379), 2,
      sym_comment,
      sym_block_comment,
    STATE(9955), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10463), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10748), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10751), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128038] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      sym__alpha_identifier,
    ACTIONS(6706), 1,
      anon_sym_COLON,
    ACTIONS(6708), 1,
      anon_sym_LBRACE,
    ACTIONS(6710), 1,
      anon_sym__,
    ACTIONS(6712), 1,
      anon_sym_LBRACK,
    ACTIONS(6716), 1,
      anon_sym_LPAREN,
    ACTIONS(6718), 1,
      sym__backquoted_id,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    ACTIONS(6722), 1,
      sym_integer_literal,
    STATE(5088), 1,
      sym__simple_type,
    STATE(5696), 1,
      sym_identifier,
    STATE(5777), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8713), 1,
      sym_annotated_type,
    STATE(10494), 1,
      sym__non_null_literal,
    STATE(10546), 1,
      sym_literal_type,
    STATE(10796), 1,
      sym_template_body,
    STATE(10836), 1,
      sym__type,
    STATE(12304), 1,
      sym__infix_type_choice,
    STATE(15322), 1,
      sym_parameter_types,
    STATE(16943), 1,
      sym_stable_identifier,
    ACTIONS(6724), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6726), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6728), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3380), 2,
      sym_comment,
      sym_block_comment,
    STATE(9955), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10463), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10748), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10751), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128159] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      sym__alpha_identifier,
    ACTIONS(6706), 1,
      anon_sym_COLON,
    ACTIONS(6708), 1,
      anon_sym_LBRACE,
    ACTIONS(6710), 1,
      anon_sym__,
    ACTIONS(6712), 1,
      anon_sym_LBRACK,
    ACTIONS(6716), 1,
      anon_sym_LPAREN,
    ACTIONS(6718), 1,
      sym__backquoted_id,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    ACTIONS(6722), 1,
      sym_integer_literal,
    STATE(5088), 1,
      sym__simple_type,
    STATE(5696), 1,
      sym_identifier,
    STATE(5777), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8713), 1,
      sym_annotated_type,
    STATE(10494), 1,
      sym__non_null_literal,
    STATE(10546), 1,
      sym_literal_type,
    STATE(10796), 1,
      sym_template_body,
    STATE(10837), 1,
      sym__type,
    STATE(12304), 1,
      sym__infix_type_choice,
    STATE(15322), 1,
      sym_parameter_types,
    STATE(16943), 1,
      sym_stable_identifier,
    ACTIONS(6724), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6726), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6728), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3381), 2,
      sym_comment,
      sym_block_comment,
    STATE(9955), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10463), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10748), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10751), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128280] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6618), 1,
      sym__alpha_identifier,
    ACTIONS(6620), 1,
      anon_sym__,
    ACTIONS(6622), 1,
      anon_sym_LBRACK,
    ACTIONS(6626), 1,
      anon_sym_LPAREN,
    ACTIONS(6628), 1,
      sym__backquoted_id,
    ACTIONS(6630), 1,
      sym_operator_identifier,
    ACTIONS(6632), 1,
      sym_integer_literal,
    STATE(6588), 1,
      sym__simple_type,
    STATE(6685), 1,
      sym__annotated_type,
    STATE(6877), 1,
      sym_identifier,
    STATE(7078), 1,
      sym__soft_identifier,
    STATE(9775), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11307), 1,
      sym__type,
    STATE(11313), 1,
      sym_literal_type,
    STATE(11314), 1,
      sym__non_null_literal,
    STATE(12449), 1,
      sym__infix_type_choice,
    STATE(15547), 1,
      sym_parameter_types,
    STATE(16266), 1,
      sym_stable_identifier,
    ACTIONS(6634), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6636), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6638), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3382), 2,
      sym_comment,
      sym_block_comment,
    STATE(10704), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11348), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7940), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128401] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15515), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3383), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128522] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      sym__alpha_identifier,
    ACTIONS(6706), 1,
      anon_sym_COLON,
    ACTIONS(6708), 1,
      anon_sym_LBRACE,
    ACTIONS(6710), 1,
      anon_sym__,
    ACTIONS(6712), 1,
      anon_sym_LBRACK,
    ACTIONS(6716), 1,
      anon_sym_LPAREN,
    ACTIONS(6718), 1,
      sym__backquoted_id,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    ACTIONS(6722), 1,
      sym_integer_literal,
    STATE(5088), 1,
      sym__simple_type,
    STATE(5696), 1,
      sym_identifier,
    STATE(5777), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8713), 1,
      sym_annotated_type,
    STATE(10494), 1,
      sym__non_null_literal,
    STATE(10546), 1,
      sym_literal_type,
    STATE(10796), 1,
      sym_template_body,
    STATE(10840), 1,
      sym__type,
    STATE(12304), 1,
      sym__infix_type_choice,
    STATE(15322), 1,
      sym_parameter_types,
    STATE(16943), 1,
      sym_stable_identifier,
    ACTIONS(6724), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6726), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6728), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3384), 2,
      sym_comment,
      sym_block_comment,
    STATE(9955), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10463), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10748), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10751), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128643] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17057), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3385), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128764] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15778), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3386), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [128885] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14898), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3387), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129006] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17059), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3388), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129127] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15267), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3389), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129248] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15741), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3390), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129369] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15491), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3391), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129490] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4530), 1,
      anon_sym_LBRACK,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(4542), 1,
      sym_integer_literal,
    ACTIONS(6730), 1,
      anon_sym_LPAREN,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    STATE(6192), 1,
      sym__annotated_type,
    STATE(6553), 1,
      sym__simple_type,
    STATE(6775), 1,
      sym_identifier,
    STATE(7346), 1,
      sym__soft_identifier,
    STATE(9541), 1,
      sym_annotated_type,
    STATE(10968), 1,
      sym__non_null_literal,
    STATE(10972), 1,
      sym_literal_type,
    STATE(11848), 1,
      sym_template_body,
    STATE(12155), 1,
      sym__type,
    STATE(12373), 1,
      sym__infix_type_choice,
    STATE(14747), 1,
      sym_parameter_types,
    STATE(16998), 1,
      sym_stable_identifier,
    ACTIONS(4544), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4546), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4548), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3392), 2,
      sym_comment,
      sym_block_comment,
    STATE(10615), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11084), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8015), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129611] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15504), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3393), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129732] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4382), 1,
      sym__alpha_identifier,
    ACTIONS(4384), 1,
      anon_sym_COLON,
    ACTIONS(4386), 1,
      anon_sym_LBRACE,
    ACTIONS(4388), 1,
      anon_sym__,
    ACTIONS(4392), 1,
      anon_sym_LBRACK,
    ACTIONS(4400), 1,
      sym__backquoted_id,
    ACTIONS(4404), 1,
      sym_integer_literal,
    ACTIONS(6598), 1,
      anon_sym_LPAREN,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5175), 1,
      sym__annotated_type,
    STATE(5555), 1,
      sym_identifier,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(8693), 1,
      sym_annotated_type,
    STATE(10460), 1,
      sym_literal_type,
    STATE(10648), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11401), 1,
      sym__type,
    STATE(12341), 1,
      sym__infix_type_choice,
    STATE(15012), 1,
      sym_parameter_types,
    STATE(16965), 1,
      sym_stable_identifier,
    ACTIONS(4406), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4408), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4412), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3394), 2,
      sym_comment,
      sym_block_comment,
    STATE(9760), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10452), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11372), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129853] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15641), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3395), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [129974] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15800), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3396), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130095] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4382), 1,
      sym__alpha_identifier,
    ACTIONS(4384), 1,
      anon_sym_COLON,
    ACTIONS(4386), 1,
      anon_sym_LBRACE,
    ACTIONS(4388), 1,
      anon_sym__,
    ACTIONS(4392), 1,
      anon_sym_LBRACK,
    ACTIONS(4400), 1,
      sym__backquoted_id,
    ACTIONS(4404), 1,
      sym_integer_literal,
    ACTIONS(6598), 1,
      anon_sym_LPAREN,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5175), 1,
      sym__annotated_type,
    STATE(5555), 1,
      sym_identifier,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(8693), 1,
      sym_annotated_type,
    STATE(10460), 1,
      sym_literal_type,
    STATE(10648), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11396), 1,
      sym__type,
    STATE(12341), 1,
      sym__infix_type_choice,
    STATE(15012), 1,
      sym_parameter_types,
    STATE(16965), 1,
      sym_stable_identifier,
    ACTIONS(4406), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4408), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4412), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3397), 2,
      sym_comment,
      sym_block_comment,
    STATE(9760), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10452), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11372), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130216] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4382), 1,
      sym__alpha_identifier,
    ACTIONS(4384), 1,
      anon_sym_COLON,
    ACTIONS(4386), 1,
      anon_sym_LBRACE,
    ACTIONS(4388), 1,
      anon_sym__,
    ACTIONS(4392), 1,
      anon_sym_LBRACK,
    ACTIONS(4400), 1,
      sym__backquoted_id,
    ACTIONS(4404), 1,
      sym_integer_literal,
    ACTIONS(6598), 1,
      anon_sym_LPAREN,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5175), 1,
      sym__annotated_type,
    STATE(5555), 1,
      sym_identifier,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(8693), 1,
      sym_annotated_type,
    STATE(10460), 1,
      sym_literal_type,
    STATE(10648), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11394), 1,
      sym__type,
    STATE(12341), 1,
      sym__infix_type_choice,
    STATE(15012), 1,
      sym_parameter_types,
    STATE(16965), 1,
      sym_stable_identifier,
    ACTIONS(4406), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4408), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4412), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3398), 2,
      sym_comment,
      sym_block_comment,
    STATE(9760), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10452), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11372), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130337] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1308), 1,
      sym_integer_literal,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5275), 1,
      sym__annotated_type,
    STATE(5700), 1,
      sym__soft_identifier,
    STATE(5884), 1,
      sym_identifier,
    STATE(8116), 1,
      sym_annotated_type,
    STATE(10451), 1,
      sym_literal_type,
    STATE(10479), 1,
      sym__non_null_literal,
    STATE(12568), 1,
      sym__infix_type_choice,
    STATE(13111), 1,
      sym_template_body,
    STATE(13627), 1,
      sym__type,
    STATE(15465), 1,
      sym_parameter_types,
    STATE(17074), 1,
      sym_stable_identifier,
    ACTIONS(1310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1316), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3399), 2,
      sym_comment,
      sym_block_comment,
    STATE(8127), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8354), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6500), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130458] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4382), 1,
      sym__alpha_identifier,
    ACTIONS(4384), 1,
      anon_sym_COLON,
    ACTIONS(4386), 1,
      anon_sym_LBRACE,
    ACTIONS(4388), 1,
      anon_sym__,
    ACTIONS(4392), 1,
      anon_sym_LBRACK,
    ACTIONS(4400), 1,
      sym__backquoted_id,
    ACTIONS(4404), 1,
      sym_integer_literal,
    ACTIONS(6598), 1,
      anon_sym_LPAREN,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5175), 1,
      sym__annotated_type,
    STATE(5555), 1,
      sym_identifier,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(8693), 1,
      sym_annotated_type,
    STATE(10460), 1,
      sym_literal_type,
    STATE(10648), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(12341), 1,
      sym__infix_type_choice,
    STATE(15012), 1,
      sym_parameter_types,
    STATE(16965), 1,
      sym_stable_identifier,
    ACTIONS(4406), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4408), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4412), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3400), 2,
      sym_comment,
      sym_block_comment,
    STATE(9760), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10452), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11372), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130579] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4896), 1,
      sym__alpha_identifier,
    ACTIONS(4898), 1,
      anon_sym__,
    ACTIONS(4902), 1,
      anon_sym_LBRACK,
    ACTIONS(4908), 1,
      sym__backquoted_id,
    ACTIONS(4912), 1,
      sym_integer_literal,
    ACTIONS(6752), 1,
      anon_sym_LPAREN,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    STATE(5448), 1,
      sym__simple_type,
    STATE(5665), 1,
      sym__annotated_type,
    STATE(6026), 1,
      sym__soft_identifier,
    STATE(6127), 1,
      sym_identifier,
    STATE(8791), 1,
      sym_annotated_type,
    STATE(10942), 1,
      sym__non_null_literal,
    STATE(10949), 1,
      sym_literal_type,
    STATE(11484), 1,
      sym_template_body,
    STATE(11542), 1,
      sym__type,
    STATE(12394), 1,
      sym__infix_type_choice,
    STATE(15320), 1,
      sym_parameter_types,
    STATE(16208), 1,
      sym_stable_identifier,
    ACTIONS(4914), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4916), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4918), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3401), 2,
      sym_comment,
      sym_block_comment,
    STATE(10328), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10790), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11568), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7174), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130700] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4896), 1,
      sym__alpha_identifier,
    ACTIONS(4898), 1,
      anon_sym__,
    ACTIONS(4902), 1,
      anon_sym_LBRACK,
    ACTIONS(4908), 1,
      sym__backquoted_id,
    ACTIONS(4912), 1,
      sym_integer_literal,
    ACTIONS(6752), 1,
      anon_sym_LPAREN,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    STATE(5448), 1,
      sym__simple_type,
    STATE(5665), 1,
      sym__annotated_type,
    STATE(6026), 1,
      sym__soft_identifier,
    STATE(6127), 1,
      sym_identifier,
    STATE(8791), 1,
      sym_annotated_type,
    STATE(10942), 1,
      sym__non_null_literal,
    STATE(10949), 1,
      sym_literal_type,
    STATE(11484), 1,
      sym_template_body,
    STATE(11543), 1,
      sym__type,
    STATE(12394), 1,
      sym__infix_type_choice,
    STATE(15320), 1,
      sym_parameter_types,
    STATE(16208), 1,
      sym_stable_identifier,
    ACTIONS(4914), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4916), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4918), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3402), 2,
      sym_comment,
      sym_block_comment,
    STATE(10328), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10790), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11568), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7174), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130821] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4896), 1,
      sym__alpha_identifier,
    ACTIONS(4898), 1,
      anon_sym__,
    ACTIONS(4902), 1,
      anon_sym_LBRACK,
    ACTIONS(4908), 1,
      sym__backquoted_id,
    ACTIONS(4912), 1,
      sym_integer_literal,
    ACTIONS(6752), 1,
      anon_sym_LPAREN,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    STATE(5448), 1,
      sym__simple_type,
    STATE(5665), 1,
      sym__annotated_type,
    STATE(6026), 1,
      sym__soft_identifier,
    STATE(6127), 1,
      sym_identifier,
    STATE(8791), 1,
      sym_annotated_type,
    STATE(10942), 1,
      sym__non_null_literal,
    STATE(10949), 1,
      sym_literal_type,
    STATE(11484), 1,
      sym_template_body,
    STATE(11545), 1,
      sym__type,
    STATE(12394), 1,
      sym__infix_type_choice,
    STATE(15320), 1,
      sym_parameter_types,
    STATE(16208), 1,
      sym_stable_identifier,
    ACTIONS(4914), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4916), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4918), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3403), 2,
      sym_comment,
      sym_block_comment,
    STATE(10328), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10790), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11568), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7174), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [130942] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4896), 1,
      sym__alpha_identifier,
    ACTIONS(4898), 1,
      anon_sym__,
    ACTIONS(4902), 1,
      anon_sym_LBRACK,
    ACTIONS(4908), 1,
      sym__backquoted_id,
    ACTIONS(4912), 1,
      sym_integer_literal,
    ACTIONS(6752), 1,
      anon_sym_LPAREN,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    STATE(5448), 1,
      sym__simple_type,
    STATE(5665), 1,
      sym__annotated_type,
    STATE(6026), 1,
      sym__soft_identifier,
    STATE(6127), 1,
      sym_identifier,
    STATE(8791), 1,
      sym_annotated_type,
    STATE(10942), 1,
      sym__non_null_literal,
    STATE(10949), 1,
      sym_literal_type,
    STATE(11484), 1,
      sym_template_body,
    STATE(11676), 1,
      sym__type,
    STATE(12394), 1,
      sym__infix_type_choice,
    STATE(15320), 1,
      sym_parameter_types,
    STATE(16208), 1,
      sym_stable_identifier,
    ACTIONS(4914), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4916), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4918), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3404), 2,
      sym_comment,
      sym_block_comment,
    STATE(10328), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10790), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11568), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7174), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131063] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(13763), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3405), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131184] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15737), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3406), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131305] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15260), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3407), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131426] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2022), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6764), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    STATE(7038), 1,
      sym__simple_type,
    STATE(7220), 1,
      sym__annotated_type,
    STATE(7410), 1,
      sym__soft_identifier,
    STATE(7449), 1,
      sym_identifier,
    STATE(10004), 1,
      sym_annotated_type,
    STATE(11231), 1,
      sym__non_null_literal,
    STATE(11272), 1,
      sym_literal_type,
    STATE(12083), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12350), 1,
      sym__infix_type_choice,
    STATE(15551), 1,
      sym_parameter_types,
    STATE(16976), 1,
      sym_stable_identifier,
    ACTIONS(2024), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2026), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2030), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3408), 2,
      sym_comment,
      sym_block_comment,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9852), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10724), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8188), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131547] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6130), 1,
      anon_sym_LBRACK,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(11307), 1,
      sym__type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(15383), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3409), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131668] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2022), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6764), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    STATE(7038), 1,
      sym__simple_type,
    STATE(7220), 1,
      sym__annotated_type,
    STATE(7410), 1,
      sym__soft_identifier,
    STATE(7449), 1,
      sym_identifier,
    STATE(10004), 1,
      sym_annotated_type,
    STATE(11231), 1,
      sym__non_null_literal,
    STATE(11272), 1,
      sym_literal_type,
    STATE(12052), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12350), 1,
      sym__infix_type_choice,
    STATE(15551), 1,
      sym_parameter_types,
    STATE(16976), 1,
      sym_stable_identifier,
    ACTIONS(2024), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2026), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2030), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3410), 2,
      sym_comment,
      sym_block_comment,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9852), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10724), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8188), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131789] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16562), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3411), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [131910] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2022), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6764), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    STATE(7038), 1,
      sym__simple_type,
    STATE(7220), 1,
      sym__annotated_type,
    STATE(7410), 1,
      sym__soft_identifier,
    STATE(7449), 1,
      sym_identifier,
    STATE(10004), 1,
      sym_annotated_type,
    STATE(11231), 1,
      sym__non_null_literal,
    STATE(11272), 1,
      sym_literal_type,
    STATE(12042), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12350), 1,
      sym__infix_type_choice,
    STATE(15551), 1,
      sym_parameter_types,
    STATE(16976), 1,
      sym_stable_identifier,
    ACTIONS(2024), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2026), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2030), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3412), 2,
      sym_comment,
      sym_block_comment,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9852), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10724), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8188), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132031] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4896), 1,
      sym__alpha_identifier,
    ACTIONS(4898), 1,
      anon_sym__,
    ACTIONS(4902), 1,
      anon_sym_LBRACK,
    ACTIONS(4908), 1,
      sym__backquoted_id,
    ACTIONS(4912), 1,
      sym_integer_literal,
    ACTIONS(6752), 1,
      anon_sym_LPAREN,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    STATE(5448), 1,
      sym__simple_type,
    STATE(5665), 1,
      sym__annotated_type,
    STATE(6026), 1,
      sym__soft_identifier,
    STATE(6127), 1,
      sym_identifier,
    STATE(8791), 1,
      sym_annotated_type,
    STATE(10942), 1,
      sym__non_null_literal,
    STATE(10949), 1,
      sym_literal_type,
    STATE(11484), 1,
      sym_template_body,
    STATE(11656), 1,
      sym__type,
    STATE(12394), 1,
      sym__infix_type_choice,
    STATE(15320), 1,
      sym_parameter_types,
    STATE(16208), 1,
      sym_stable_identifier,
    ACTIONS(4914), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4916), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4918), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3413), 2,
      sym_comment,
      sym_block_comment,
    STATE(10328), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10790), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11568), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7174), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132152] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15387), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3414), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132273] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2022), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6764), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    STATE(7038), 1,
      sym__simple_type,
    STATE(7220), 1,
      sym__annotated_type,
    STATE(7410), 1,
      sym__soft_identifier,
    STATE(7449), 1,
      sym_identifier,
    STATE(10004), 1,
      sym_annotated_type,
    STATE(11231), 1,
      sym__non_null_literal,
    STATE(11272), 1,
      sym_literal_type,
    STATE(12032), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12350), 1,
      sym__infix_type_choice,
    STATE(15551), 1,
      sym_parameter_types,
    STATE(16976), 1,
      sym_stable_identifier,
    ACTIONS(2024), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2026), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2030), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3415), 2,
      sym_comment,
      sym_block_comment,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9852), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10724), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8188), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132394] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2022), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6764), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    STATE(7038), 1,
      sym__simple_type,
    STATE(7220), 1,
      sym__annotated_type,
    STATE(7410), 1,
      sym__soft_identifier,
    STATE(7449), 1,
      sym_identifier,
    STATE(10004), 1,
      sym_annotated_type,
    STATE(11231), 1,
      sym__non_null_literal,
    STATE(11272), 1,
      sym_literal_type,
    STATE(12027), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12350), 1,
      sym__infix_type_choice,
    STATE(15551), 1,
      sym_parameter_types,
    STATE(16976), 1,
      sym_stable_identifier,
    ACTIONS(2024), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2026), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2030), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3416), 2,
      sym_comment,
      sym_block_comment,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9852), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10724), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8188), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132515] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15453), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3417), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132636] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16577), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3418), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132757] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17125), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3419), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132878] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17130), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3420), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [132999] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15839), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3421), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133120] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15435), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3422), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133241] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15427), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3423), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133362] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14996), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3424), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133483] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6774), 1,
      sym__alpha_identifier,
    ACTIONS(6776), 1,
      anon_sym_COLON,
    ACTIONS(6778), 1,
      anon_sym_LBRACE,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6782), 1,
      anon_sym_LBRACK,
    ACTIONS(6786), 1,
      anon_sym_LPAREN,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    STATE(5118), 1,
      sym__annotated_type,
    STATE(5420), 1,
      sym__simple_type,
    STATE(5717), 1,
      sym__soft_identifier,
    STATE(5955), 1,
      sym_identifier,
    STATE(8309), 1,
      sym_annotated_type,
    STATE(10478), 1,
      sym__non_null_literal,
    STATE(10578), 1,
      sym_literal_type,
    STATE(12502), 1,
      sym__infix_type_choice,
    STATE(13059), 1,
      sym__type,
    STATE(13281), 1,
      sym_template_body,
    STATE(15464), 1,
      sym_parameter_types,
    STATE(17038), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3425), 2,
      sym_comment,
      sym_block_comment,
    STATE(8145), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8628), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9874), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13226), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6309), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133604] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4530), 1,
      anon_sym_LBRACK,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(4542), 1,
      sym_integer_literal,
    ACTIONS(6730), 1,
      anon_sym_LPAREN,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    STATE(6192), 1,
      sym__annotated_type,
    STATE(6553), 1,
      sym__simple_type,
    STATE(6775), 1,
      sym_identifier,
    STATE(7346), 1,
      sym__soft_identifier,
    STATE(9541), 1,
      sym_annotated_type,
    STATE(10968), 1,
      sym__non_null_literal,
    STATE(10972), 1,
      sym_literal_type,
    STATE(11848), 1,
      sym_template_body,
    STATE(11928), 1,
      sym__type,
    STATE(12373), 1,
      sym__infix_type_choice,
    STATE(14747), 1,
      sym_parameter_types,
    STATE(16998), 1,
      sym_stable_identifier,
    ACTIONS(4544), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4546), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4548), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3426), 2,
      sym_comment,
      sym_block_comment,
    STATE(10615), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11084), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8015), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133725] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4530), 1,
      anon_sym_LBRACK,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(4542), 1,
      sym_integer_literal,
    ACTIONS(6730), 1,
      anon_sym_LPAREN,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    STATE(6192), 1,
      sym__annotated_type,
    STATE(6553), 1,
      sym__simple_type,
    STATE(6775), 1,
      sym_identifier,
    STATE(7346), 1,
      sym__soft_identifier,
    STATE(9541), 1,
      sym_annotated_type,
    STATE(10968), 1,
      sym__non_null_literal,
    STATE(10972), 1,
      sym_literal_type,
    STATE(11848), 1,
      sym_template_body,
    STATE(11859), 1,
      sym__type,
    STATE(12373), 1,
      sym__infix_type_choice,
    STATE(14747), 1,
      sym_parameter_types,
    STATE(16998), 1,
      sym_stable_identifier,
    ACTIONS(4544), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4546), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4548), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3427), 2,
      sym_comment,
      sym_block_comment,
    STATE(10615), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11084), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8015), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133846] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4530), 1,
      anon_sym_LBRACK,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(4542), 1,
      sym_integer_literal,
    ACTIONS(6730), 1,
      anon_sym_LPAREN,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    STATE(6192), 1,
      sym__annotated_type,
    STATE(6553), 1,
      sym__simple_type,
    STATE(6775), 1,
      sym_identifier,
    STATE(7346), 1,
      sym__soft_identifier,
    STATE(9541), 1,
      sym_annotated_type,
    STATE(10968), 1,
      sym__non_null_literal,
    STATE(10972), 1,
      sym_literal_type,
    STATE(11848), 1,
      sym_template_body,
    STATE(11852), 1,
      sym__type,
    STATE(12373), 1,
      sym__infix_type_choice,
    STATE(14747), 1,
      sym_parameter_types,
    STATE(16998), 1,
      sym_stable_identifier,
    ACTIONS(4544), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4546), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4548), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3428), 2,
      sym_comment,
      sym_block_comment,
    STATE(10615), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11084), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8015), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [133967] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4530), 1,
      anon_sym_LBRACK,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(4542), 1,
      sym_integer_literal,
    ACTIONS(6730), 1,
      anon_sym_LPAREN,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    STATE(6192), 1,
      sym__annotated_type,
    STATE(6553), 1,
      sym__simple_type,
    STATE(6775), 1,
      sym_identifier,
    STATE(7346), 1,
      sym__soft_identifier,
    STATE(9541), 1,
      sym_annotated_type,
    STATE(10968), 1,
      sym__non_null_literal,
    STATE(10972), 1,
      sym_literal_type,
    STATE(11840), 1,
      sym__type,
    STATE(11848), 1,
      sym_template_body,
    STATE(12373), 1,
      sym__infix_type_choice,
    STATE(14747), 1,
      sym_parameter_types,
    STATE(16998), 1,
      sym_stable_identifier,
    ACTIONS(4544), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4546), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4548), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3429), 2,
      sym_comment,
      sym_block_comment,
    STATE(10615), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11084), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8015), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134088] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15253), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3430), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134209] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15393), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3431), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134330] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6774), 1,
      sym__alpha_identifier,
    ACTIONS(6776), 1,
      anon_sym_COLON,
    ACTIONS(6778), 1,
      anon_sym_LBRACE,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6782), 1,
      anon_sym_LBRACK,
    ACTIONS(6786), 1,
      anon_sym_LPAREN,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    STATE(5118), 1,
      sym__annotated_type,
    STATE(5420), 1,
      sym__simple_type,
    STATE(5717), 1,
      sym__soft_identifier,
    STATE(5955), 1,
      sym_identifier,
    STATE(8309), 1,
      sym_annotated_type,
    STATE(10478), 1,
      sym__non_null_literal,
    STATE(10578), 1,
      sym_literal_type,
    STATE(12502), 1,
      sym__infix_type_choice,
    STATE(13281), 1,
      sym_template_body,
    STATE(13383), 1,
      sym__type,
    STATE(15464), 1,
      sym_parameter_types,
    STATE(17038), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3432), 2,
      sym_comment,
      sym_block_comment,
    STATE(8145), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8628), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9874), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13226), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6309), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134451] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17111), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3433), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134572] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11889), 1,
      sym__type,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3434), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134693] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11912), 1,
      sym__type,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3435), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134814] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11914), 1,
      sym__type,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3436), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [134935] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12002), 1,
      sym__type,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3437), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135056] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4384), 1,
      anon_sym_COLON,
    ACTIONS(4386), 1,
      anon_sym_LBRACE,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4718), 1,
      anon_sym__,
    ACTIONS(4722), 1,
      anon_sym_LBRACK,
    ACTIONS(4728), 1,
      sym__backquoted_id,
    ACTIONS(4732), 1,
      sym_integer_literal,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    STATE(4298), 1,
      sym__simple_type,
    STATE(4335), 1,
      sym__annotated_type,
    STATE(4384), 1,
      sym__soft_identifier,
    STATE(4392), 1,
      sym_identifier,
    STATE(5143), 1,
      sym_annotated_type,
    STATE(8285), 1,
      sym_literal_type,
    STATE(8606), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11448), 1,
      sym__type,
    STATE(12390), 1,
      sym__infix_type_choice,
    STATE(15466), 1,
      sym_parameter_types,
    STATE(17009), 1,
      sym_stable_identifier,
    ACTIONS(4734), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4736), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4740), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3438), 2,
      sym_comment,
      sym_block_comment,
    STATE(7083), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8444), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11372), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4528), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135177] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4384), 1,
      anon_sym_COLON,
    ACTIONS(4386), 1,
      anon_sym_LBRACE,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4718), 1,
      anon_sym__,
    ACTIONS(4722), 1,
      anon_sym_LBRACK,
    ACTIONS(4728), 1,
      sym__backquoted_id,
    ACTIONS(4732), 1,
      sym_integer_literal,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    STATE(4298), 1,
      sym__simple_type,
    STATE(4335), 1,
      sym__annotated_type,
    STATE(4384), 1,
      sym__soft_identifier,
    STATE(4392), 1,
      sym_identifier,
    STATE(5143), 1,
      sym_annotated_type,
    STATE(8285), 1,
      sym_literal_type,
    STATE(8606), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11401), 1,
      sym__type,
    STATE(12390), 1,
      sym__infix_type_choice,
    STATE(15466), 1,
      sym_parameter_types,
    STATE(17009), 1,
      sym_stable_identifier,
    ACTIONS(4734), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4736), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4740), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3439), 2,
      sym_comment,
      sym_block_comment,
    STATE(7083), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8444), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11372), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4528), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135298] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4384), 1,
      anon_sym_COLON,
    ACTIONS(4386), 1,
      anon_sym_LBRACE,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4718), 1,
      anon_sym__,
    ACTIONS(4722), 1,
      anon_sym_LBRACK,
    ACTIONS(4728), 1,
      sym__backquoted_id,
    ACTIONS(4732), 1,
      sym_integer_literal,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    STATE(4298), 1,
      sym__simple_type,
    STATE(4335), 1,
      sym__annotated_type,
    STATE(4384), 1,
      sym__soft_identifier,
    STATE(4392), 1,
      sym_identifier,
    STATE(5143), 1,
      sym_annotated_type,
    STATE(8285), 1,
      sym_literal_type,
    STATE(8606), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11396), 1,
      sym__type,
    STATE(12390), 1,
      sym__infix_type_choice,
    STATE(15466), 1,
      sym_parameter_types,
    STATE(17009), 1,
      sym_stable_identifier,
    ACTIONS(4734), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4736), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4740), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3440), 2,
      sym_comment,
      sym_block_comment,
    STATE(7083), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8444), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11372), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4528), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135419] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4384), 1,
      anon_sym_COLON,
    ACTIONS(4386), 1,
      anon_sym_LBRACE,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4718), 1,
      anon_sym__,
    ACTIONS(4722), 1,
      anon_sym_LBRACK,
    ACTIONS(4728), 1,
      sym__backquoted_id,
    ACTIONS(4732), 1,
      sym_integer_literal,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    STATE(4298), 1,
      sym__simple_type,
    STATE(4335), 1,
      sym__annotated_type,
    STATE(4384), 1,
      sym__soft_identifier,
    STATE(4392), 1,
      sym_identifier,
    STATE(5143), 1,
      sym_annotated_type,
    STATE(8285), 1,
      sym_literal_type,
    STATE(8606), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11394), 1,
      sym__type,
    STATE(12390), 1,
      sym__infix_type_choice,
    STATE(15466), 1,
      sym_parameter_types,
    STATE(17009), 1,
      sym_stable_identifier,
    ACTIONS(4734), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4736), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4740), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3441), 2,
      sym_comment,
      sym_block_comment,
    STATE(7083), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8444), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11372), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4528), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135540] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [135609] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4384), 1,
      anon_sym_COLON,
    ACTIONS(4386), 1,
      anon_sym_LBRACE,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4718), 1,
      anon_sym__,
    ACTIONS(4722), 1,
      anon_sym_LBRACK,
    ACTIONS(4728), 1,
      sym__backquoted_id,
    ACTIONS(4732), 1,
      sym_integer_literal,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    STATE(4298), 1,
      sym__simple_type,
    STATE(4335), 1,
      sym__annotated_type,
    STATE(4384), 1,
      sym__soft_identifier,
    STATE(4392), 1,
      sym_identifier,
    STATE(5143), 1,
      sym_annotated_type,
    STATE(8285), 1,
      sym_literal_type,
    STATE(8606), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(12390), 1,
      sym__infix_type_choice,
    STATE(15466), 1,
      sym_parameter_types,
    STATE(17009), 1,
      sym_stable_identifier,
    ACTIONS(4734), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4736), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4740), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3443), 2,
      sym_comment,
      sym_block_comment,
    STATE(7083), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8444), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11372), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4528), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135730] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17197), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3444), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135851] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15381), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3445), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [135972] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15002), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3446), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136093] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4148), 1,
      anon_sym_LBRACK,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4160), 1,
      sym_integer_literal,
    ACTIONS(4966), 1,
      anon_sym_LPAREN,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5206), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(10596), 1,
      sym_literal_type,
    STATE(10599), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(11860), 1,
      sym__type,
    STATE(12352), 1,
      sym__infix_type_choice,
    STATE(15252), 1,
      sym_parameter_types,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(4162), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4164), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4168), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3447), 2,
      sym_comment,
      sym_block_comment,
    STATE(9755), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10461), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136214] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15246), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3448), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136335] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1066), 1,
      sym_integer_literal,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6800), 1,
      anon_sym_LBRACK,
    ACTIONS(6804), 1,
      anon_sym_LPAREN,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    STATE(4620), 1,
      sym__simple_type,
    STATE(4638), 1,
      sym__annotated_type,
    STATE(4816), 1,
      sym__soft_identifier,
    STATE(4955), 1,
      sym_identifier,
    STATE(7201), 1,
      sym_annotated_type,
    STATE(9810), 1,
      sym__non_null_literal,
    STATE(9835), 1,
      sym_literal_type,
    STATE(12083), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12433), 1,
      sym__infix_type_choice,
    STATE(15606), 1,
      sym_parameter_types,
    STATE(17020), 1,
      sym_stable_identifier,
    ACTIONS(1068), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1070), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1074), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3449), 2,
      sym_comment,
      sym_block_comment,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6914), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8946), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5061), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136456] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15127), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3450), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136577] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1066), 1,
      sym_integer_literal,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6800), 1,
      anon_sym_LBRACK,
    ACTIONS(6804), 1,
      anon_sym_LPAREN,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    STATE(4620), 1,
      sym__simple_type,
    STATE(4638), 1,
      sym__annotated_type,
    STATE(4816), 1,
      sym__soft_identifier,
    STATE(4955), 1,
      sym_identifier,
    STATE(7201), 1,
      sym_annotated_type,
    STATE(9810), 1,
      sym__non_null_literal,
    STATE(9835), 1,
      sym_literal_type,
    STATE(12052), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12433), 1,
      sym__infix_type_choice,
    STATE(15606), 1,
      sym_parameter_types,
    STATE(17020), 1,
      sym_stable_identifier,
    ACTIONS(1068), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1070), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1074), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3451), 2,
      sym_comment,
      sym_block_comment,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6914), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8946), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5061), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136698] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1066), 1,
      sym_integer_literal,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6800), 1,
      anon_sym_LBRACK,
    ACTIONS(6804), 1,
      anon_sym_LPAREN,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    STATE(4620), 1,
      sym__simple_type,
    STATE(4638), 1,
      sym__annotated_type,
    STATE(4816), 1,
      sym__soft_identifier,
    STATE(4955), 1,
      sym_identifier,
    STATE(7201), 1,
      sym_annotated_type,
    STATE(9810), 1,
      sym__non_null_literal,
    STATE(9835), 1,
      sym_literal_type,
    STATE(12042), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12433), 1,
      sym__infix_type_choice,
    STATE(15606), 1,
      sym_parameter_types,
    STATE(17020), 1,
      sym_stable_identifier,
    ACTIONS(1068), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1070), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1074), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3452), 2,
      sym_comment,
      sym_block_comment,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6914), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8946), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5061), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136819] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1066), 1,
      sym_integer_literal,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6800), 1,
      anon_sym_LBRACK,
    ACTIONS(6804), 1,
      anon_sym_LPAREN,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    STATE(4620), 1,
      sym__simple_type,
    STATE(4638), 1,
      sym__annotated_type,
    STATE(4816), 1,
      sym__soft_identifier,
    STATE(4955), 1,
      sym_identifier,
    STATE(7201), 1,
      sym_annotated_type,
    STATE(9810), 1,
      sym__non_null_literal,
    STATE(9835), 1,
      sym_literal_type,
    STATE(12032), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12433), 1,
      sym__infix_type_choice,
    STATE(15606), 1,
      sym_parameter_types,
    STATE(17020), 1,
      sym_stable_identifier,
    ACTIONS(1068), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1070), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1074), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3453), 2,
      sym_comment,
      sym_block_comment,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6914), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8946), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5061), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [136940] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14901), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3454), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137061] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1066), 1,
      sym_integer_literal,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6800), 1,
      anon_sym_LBRACK,
    ACTIONS(6804), 1,
      anon_sym_LPAREN,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    STATE(4620), 1,
      sym__simple_type,
    STATE(4638), 1,
      sym__annotated_type,
    STATE(4816), 1,
      sym__soft_identifier,
    STATE(4955), 1,
      sym_identifier,
    STATE(7201), 1,
      sym_annotated_type,
    STATE(9810), 1,
      sym__non_null_literal,
    STATE(9835), 1,
      sym_literal_type,
    STATE(12027), 1,
      sym__type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12433), 1,
      sym__infix_type_choice,
    STATE(15606), 1,
      sym_parameter_types,
    STATE(17020), 1,
      sym_stable_identifier,
    ACTIONS(1068), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1070), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1074), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3455), 2,
      sym_comment,
      sym_block_comment,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6914), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8946), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5061), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137182] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15007), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3456), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137303] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym_COLON,
    ACTIONS(6668), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      anon_sym__,
    ACTIONS(6672), 1,
      anon_sym_LBRACK,
    ACTIONS(6676), 1,
      anon_sym_LPAREN,
    ACTIONS(6678), 1,
      sym__backquoted_id,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    ACTIONS(6682), 1,
      sym_integer_literal,
    STATE(5601), 1,
      sym__simple_type,
    STATE(6108), 1,
      sym_identifier,
    STATE(6195), 1,
      sym__soft_identifier,
    STATE(6432), 1,
      sym__annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9686), 1,
      sym_annotated_type,
    STATE(10838), 1,
      sym__non_null_literal,
    STATE(10841), 1,
      sym_literal_type,
    STATE(10967), 1,
      sym__type,
    STATE(12333), 1,
      sym__infix_type_choice,
    STATE(15385), 1,
      sym_parameter_types,
    STATE(16790), 1,
      sym_stable_identifier,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3457), 2,
      sym_comment,
      sym_block_comment,
    STATE(10375), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11046), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6674), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7350), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137424] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17268), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3458), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137545] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15806), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3459), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137666] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4612), 1,
      sym__alpha_identifier,
    ACTIONS(4614), 1,
      anon_sym__,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4624), 1,
      sym__backquoted_id,
    ACTIONS(4628), 1,
      sym_integer_literal,
    ACTIONS(6810), 1,
      anon_sym_LPAREN,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    STATE(4511), 1,
      sym__simple_type,
    STATE(4558), 1,
      sym__annotated_type,
    STATE(4585), 1,
      sym_identifier,
    STATE(4612), 1,
      sym__soft_identifier,
    STATE(6063), 1,
      sym_annotated_type,
    STATE(9703), 1,
      sym_literal_type,
    STATE(9718), 1,
      sym__non_null_literal,
    STATE(11848), 1,
      sym_template_body,
    STATE(12155), 1,
      sym__type,
    STATE(12470), 1,
      sym__infix_type_choice,
    STATE(15467), 1,
      sym_parameter_types,
    STATE(17026), 1,
      sym_stable_identifier,
    ACTIONS(4630), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4632), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4636), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3460), 2,
      sym_comment,
      sym_block_comment,
    STATE(8479), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9729), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5007), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137787] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15757), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3461), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [137908] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16622), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3462), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138029] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15795), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3463), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138150] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15758), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3464), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138271] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4612), 1,
      sym__alpha_identifier,
    ACTIONS(4614), 1,
      anon_sym__,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4624), 1,
      sym__backquoted_id,
    ACTIONS(4628), 1,
      sym_integer_literal,
    ACTIONS(6810), 1,
      anon_sym_LPAREN,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    STATE(4511), 1,
      sym__simple_type,
    STATE(4558), 1,
      sym__annotated_type,
    STATE(4585), 1,
      sym_identifier,
    STATE(4612), 1,
      sym__soft_identifier,
    STATE(6063), 1,
      sym_annotated_type,
    STATE(9703), 1,
      sym_literal_type,
    STATE(9718), 1,
      sym__non_null_literal,
    STATE(11848), 1,
      sym_template_body,
    STATE(11928), 1,
      sym__type,
    STATE(12470), 1,
      sym__infix_type_choice,
    STATE(15467), 1,
      sym_parameter_types,
    STATE(17026), 1,
      sym_stable_identifier,
    ACTIONS(4630), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4632), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4636), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3465), 2,
      sym_comment,
      sym_block_comment,
    STATE(8479), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9729), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5007), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138392] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4612), 1,
      sym__alpha_identifier,
    ACTIONS(4614), 1,
      anon_sym__,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4624), 1,
      sym__backquoted_id,
    ACTIONS(4628), 1,
      sym_integer_literal,
    ACTIONS(6810), 1,
      anon_sym_LPAREN,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    STATE(4511), 1,
      sym__simple_type,
    STATE(4558), 1,
      sym__annotated_type,
    STATE(4585), 1,
      sym_identifier,
    STATE(4612), 1,
      sym__soft_identifier,
    STATE(6063), 1,
      sym_annotated_type,
    STATE(9703), 1,
      sym_literal_type,
    STATE(9718), 1,
      sym__non_null_literal,
    STATE(11848), 1,
      sym_template_body,
    STATE(11859), 1,
      sym__type,
    STATE(12470), 1,
      sym__infix_type_choice,
    STATE(15467), 1,
      sym_parameter_types,
    STATE(17026), 1,
      sym_stable_identifier,
    ACTIONS(4630), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4632), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4636), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3466), 2,
      sym_comment,
      sym_block_comment,
    STATE(8479), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9729), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5007), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138513] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4612), 1,
      sym__alpha_identifier,
    ACTIONS(4614), 1,
      anon_sym__,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4624), 1,
      sym__backquoted_id,
    ACTIONS(4628), 1,
      sym_integer_literal,
    ACTIONS(6810), 1,
      anon_sym_LPAREN,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    STATE(4511), 1,
      sym__simple_type,
    STATE(4558), 1,
      sym__annotated_type,
    STATE(4585), 1,
      sym_identifier,
    STATE(4612), 1,
      sym__soft_identifier,
    STATE(6063), 1,
      sym_annotated_type,
    STATE(9703), 1,
      sym_literal_type,
    STATE(9718), 1,
      sym__non_null_literal,
    STATE(11848), 1,
      sym_template_body,
    STATE(11852), 1,
      sym__type,
    STATE(12470), 1,
      sym__infix_type_choice,
    STATE(15467), 1,
      sym_parameter_types,
    STATE(17026), 1,
      sym_stable_identifier,
    ACTIONS(4630), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4632), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4636), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3467), 2,
      sym_comment,
      sym_block_comment,
    STATE(8479), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9729), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5007), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138634] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1066), 1,
      sym_integer_literal,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6800), 1,
      anon_sym_LBRACK,
    ACTIONS(6804), 1,
      anon_sym_LPAREN,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    STATE(4620), 1,
      sym__simple_type,
    STATE(4638), 1,
      sym__annotated_type,
    STATE(4816), 1,
      sym__soft_identifier,
    STATE(4955), 1,
      sym_identifier,
    STATE(7201), 1,
      sym_annotated_type,
    STATE(9810), 1,
      sym__non_null_literal,
    STATE(9835), 1,
      sym_literal_type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12433), 1,
      sym__infix_type_choice,
    STATE(12613), 1,
      sym__type,
    STATE(15606), 1,
      sym_parameter_types,
    STATE(17020), 1,
      sym_stable_identifier,
    ACTIONS(1068), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1070), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1074), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3468), 2,
      sym_comment,
      sym_block_comment,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6914), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8946), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5061), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138755] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACE,
    ACTIONS(4612), 1,
      sym__alpha_identifier,
    ACTIONS(4614), 1,
      anon_sym__,
    ACTIONS(4618), 1,
      anon_sym_LBRACK,
    ACTIONS(4624), 1,
      sym__backquoted_id,
    ACTIONS(4628), 1,
      sym_integer_literal,
    ACTIONS(6810), 1,
      anon_sym_LPAREN,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    STATE(4511), 1,
      sym__simple_type,
    STATE(4558), 1,
      sym__annotated_type,
    STATE(4585), 1,
      sym_identifier,
    STATE(4612), 1,
      sym__soft_identifier,
    STATE(6063), 1,
      sym_annotated_type,
    STATE(9703), 1,
      sym_literal_type,
    STATE(9718), 1,
      sym__non_null_literal,
    STATE(11840), 1,
      sym__type,
    STATE(11848), 1,
      sym_template_body,
    STATE(12470), 1,
      sym__infix_type_choice,
    STATE(15467), 1,
      sym_parameter_types,
    STATE(17026), 1,
      sym_stable_identifier,
    ACTIONS(4630), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4632), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4636), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3469), 2,
      sym_comment,
      sym_block_comment,
    STATE(8479), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9729), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12033), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5007), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138876] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(4840), 1,
      sym__alpha_identifier,
    ACTIONS(4842), 1,
      anon_sym__,
    ACTIONS(4846), 1,
      anon_sym_LBRACK,
    ACTIONS(4852), 1,
      sym__backquoted_id,
    ACTIONS(4856), 1,
      sym_integer_literal,
    ACTIONS(6814), 1,
      anon_sym_LPAREN,
    ACTIONS(6816), 1,
      sym_operator_identifier,
    STATE(4568), 1,
      sym__annotated_type,
    STATE(4743), 1,
      sym__simple_type,
    STATE(4941), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(6832), 1,
      sym_annotated_type,
    STATE(9752), 1,
      sym_literal_type,
    STATE(9754), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11193), 1,
      sym__type,
    STATE(12317), 1,
      sym__infix_type_choice,
    STATE(15455), 1,
      sym_parameter_types,
    STATE(16496), 1,
      sym_stable_identifier,
    ACTIONS(4858), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4860), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4862), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3470), 2,
      sym_comment,
      sym_block_comment,
    STATE(9028), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9923), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5272), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [138997] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17270), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3471), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139118] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(4840), 1,
      sym__alpha_identifier,
    ACTIONS(4842), 1,
      anon_sym__,
    ACTIONS(4846), 1,
      anon_sym_LBRACK,
    ACTIONS(4852), 1,
      sym__backquoted_id,
    ACTIONS(4856), 1,
      sym_integer_literal,
    ACTIONS(6814), 1,
      anon_sym_LPAREN,
    ACTIONS(6816), 1,
      sym_operator_identifier,
    STATE(4568), 1,
      sym__annotated_type,
    STATE(4743), 1,
      sym__simple_type,
    STATE(4941), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(6832), 1,
      sym_annotated_type,
    STATE(9752), 1,
      sym_literal_type,
    STATE(9754), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11194), 1,
      sym__type,
    STATE(12317), 1,
      sym__infix_type_choice,
    STATE(15455), 1,
      sym_parameter_types,
    STATE(16496), 1,
      sym_stable_identifier,
    ACTIONS(4858), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4860), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4862), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3472), 2,
      sym_comment,
      sym_block_comment,
    STATE(9028), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9923), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5272), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139239] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(4840), 1,
      sym__alpha_identifier,
    ACTIONS(4842), 1,
      anon_sym__,
    ACTIONS(4846), 1,
      anon_sym_LBRACK,
    ACTIONS(4852), 1,
      sym__backquoted_id,
    ACTIONS(4856), 1,
      sym_integer_literal,
    ACTIONS(6814), 1,
      anon_sym_LPAREN,
    ACTIONS(6816), 1,
      sym_operator_identifier,
    STATE(4568), 1,
      sym__annotated_type,
    STATE(4743), 1,
      sym__simple_type,
    STATE(4941), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(6832), 1,
      sym_annotated_type,
    STATE(9752), 1,
      sym_literal_type,
    STATE(9754), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11195), 1,
      sym__type,
    STATE(12317), 1,
      sym__infix_type_choice,
    STATE(15455), 1,
      sym_parameter_types,
    STATE(16496), 1,
      sym_stable_identifier,
    ACTIONS(4858), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4860), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4862), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3473), 2,
      sym_comment,
      sym_block_comment,
    STATE(9028), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9923), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5272), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139360] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(4840), 1,
      sym__alpha_identifier,
    ACTIONS(4842), 1,
      anon_sym__,
    ACTIONS(4846), 1,
      anon_sym_LBRACK,
    ACTIONS(4852), 1,
      sym__backquoted_id,
    ACTIONS(4856), 1,
      sym_integer_literal,
    ACTIONS(6814), 1,
      anon_sym_LPAREN,
    ACTIONS(6816), 1,
      sym_operator_identifier,
    STATE(4568), 1,
      sym__annotated_type,
    STATE(4743), 1,
      sym__simple_type,
    STATE(4941), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(6832), 1,
      sym_annotated_type,
    STATE(9752), 1,
      sym_literal_type,
    STATE(9754), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11204), 1,
      sym__type,
    STATE(12317), 1,
      sym__infix_type_choice,
    STATE(15455), 1,
      sym_parameter_types,
    STATE(16496), 1,
      sym_stable_identifier,
    ACTIONS(4858), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4860), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4862), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3474), 2,
      sym_comment,
      sym_block_comment,
    STATE(9028), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9923), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5272), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139481] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15485), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3475), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139602] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14766), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3476), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139723] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15318), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3477), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139844] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15237), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3478), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [139965] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15090), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3479), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140086] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14916), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3480), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140207] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6820), 1,
      anon_sym_COLON,
    ACTIONS(6822), 1,
      anon_sym_LBRACE,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_LPAREN,
    ACTIONS(6832), 1,
      sym__backquoted_id,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    ACTIONS(6836), 1,
      sym_integer_literal,
    STATE(8417), 1,
      sym__simple_type,
    STATE(8731), 1,
      sym__soft_identifier,
    STATE(8988), 1,
      sym__annotated_type,
    STATE(9115), 1,
      sym_identifier,
    STATE(10699), 1,
      sym_annotated_type,
    STATE(12185), 1,
      sym__infix_type_choice,
    STATE(12244), 1,
      sym__non_null_literal,
    STATE(12629), 1,
      sym_literal_type,
    STATE(15745), 1,
      sym_parameter_types,
    STATE(16095), 1,
      sym__type,
    STATE(16124), 1,
      sym_template_body,
    STATE(17200), 1,
      sym_stable_identifier,
    ACTIONS(6838), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6840), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6842), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3481), 2,
      sym_comment,
      sym_block_comment,
    STATE(11603), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11671), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12348), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16146), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9366), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140328] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 10,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [140397] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(4840), 1,
      sym__alpha_identifier,
    ACTIONS(4842), 1,
      anon_sym__,
    ACTIONS(4846), 1,
      anon_sym_LBRACK,
    ACTIONS(4852), 1,
      sym__backquoted_id,
    ACTIONS(4856), 1,
      sym_integer_literal,
    ACTIONS(6814), 1,
      anon_sym_LPAREN,
    ACTIONS(6816), 1,
      sym_operator_identifier,
    STATE(4568), 1,
      sym__annotated_type,
    STATE(4743), 1,
      sym__simple_type,
    STATE(4941), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(6832), 1,
      sym_annotated_type,
    STATE(9752), 1,
      sym_literal_type,
    STATE(9754), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(11307), 1,
      sym__type,
    STATE(12317), 1,
      sym__infix_type_choice,
    STATE(15455), 1,
      sym_parameter_types,
    STATE(16496), 1,
      sym_stable_identifier,
    ACTIONS(4858), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4860), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4862), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3483), 2,
      sym_comment,
      sym_block_comment,
    STATE(9028), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9923), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5272), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140518] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(8494), 1,
      sym__type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3484), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140639] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4282), 1,
      sym__alpha_identifier,
    ACTIONS(4284), 1,
      anon_sym_COLON,
    ACTIONS(4286), 1,
      anon_sym_LBRACE,
    ACTIONS(4288), 1,
      anon_sym__,
    ACTIONS(4292), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      sym__backquoted_id,
    ACTIONS(4304), 1,
      sym_integer_literal,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4466), 1,
      sym__simple_type,
    STATE(4533), 1,
      sym__annotated_type,
    STATE(4610), 1,
      sym_identifier,
    STATE(4713), 1,
      sym__soft_identifier,
    STATE(6021), 1,
      sym_annotated_type,
    STATE(9418), 1,
      sym__non_null_literal,
    STATE(9688), 1,
      sym_literal_type,
    STATE(12467), 1,
      sym_template_body,
    STATE(12489), 1,
      sym__infix_type_choice,
    STATE(12602), 1,
      sym__type,
    STATE(14885), 1,
      sym_parameter_types,
    STATE(17032), 1,
      sym_stable_identifier,
    ACTIONS(4306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3485), 2,
      sym_comment,
      sym_block_comment,
    STATE(8642), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9355), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12269), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12556), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4294), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4988), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140760] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4282), 1,
      sym__alpha_identifier,
    ACTIONS(4284), 1,
      anon_sym_COLON,
    ACTIONS(4286), 1,
      anon_sym_LBRACE,
    ACTIONS(4288), 1,
      anon_sym__,
    ACTIONS(4292), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      sym__backquoted_id,
    ACTIONS(4304), 1,
      sym_integer_literal,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4466), 1,
      sym__simple_type,
    STATE(4533), 1,
      sym__annotated_type,
    STATE(4610), 1,
      sym_identifier,
    STATE(4713), 1,
      sym__soft_identifier,
    STATE(6021), 1,
      sym_annotated_type,
    STATE(9418), 1,
      sym__non_null_literal,
    STATE(9688), 1,
      sym_literal_type,
    STATE(12467), 1,
      sym_template_body,
    STATE(12489), 1,
      sym__infix_type_choice,
    STATE(12560), 1,
      sym__type,
    STATE(14885), 1,
      sym_parameter_types,
    STATE(17032), 1,
      sym_stable_identifier,
    ACTIONS(4306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3486), 2,
      sym_comment,
      sym_block_comment,
    STATE(8642), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9355), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12269), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12556), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4294), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4988), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [140881] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4282), 1,
      sym__alpha_identifier,
    ACTIONS(4284), 1,
      anon_sym_COLON,
    ACTIONS(4286), 1,
      anon_sym_LBRACE,
    ACTIONS(4288), 1,
      anon_sym__,
    ACTIONS(4292), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      sym__backquoted_id,
    ACTIONS(4304), 1,
      sym_integer_literal,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4466), 1,
      sym__simple_type,
    STATE(4533), 1,
      sym__annotated_type,
    STATE(4610), 1,
      sym_identifier,
    STATE(4713), 1,
      sym__soft_identifier,
    STATE(6021), 1,
      sym_annotated_type,
    STATE(9418), 1,
      sym__non_null_literal,
    STATE(9688), 1,
      sym_literal_type,
    STATE(12467), 1,
      sym_template_body,
    STATE(12489), 1,
      sym__infix_type_choice,
    STATE(12619), 1,
      sym__type,
    STATE(14885), 1,
      sym_parameter_types,
    STATE(17032), 1,
      sym_stable_identifier,
    ACTIONS(4306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3487), 2,
      sym_comment,
      sym_block_comment,
    STATE(8642), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9355), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12269), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12556), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4294), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4988), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141002] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4282), 1,
      sym__alpha_identifier,
    ACTIONS(4284), 1,
      anon_sym_COLON,
    ACTIONS(4286), 1,
      anon_sym_LBRACE,
    ACTIONS(4288), 1,
      anon_sym__,
    ACTIONS(4292), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      sym__backquoted_id,
    ACTIONS(4304), 1,
      sym_integer_literal,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4466), 1,
      sym__simple_type,
    STATE(4533), 1,
      sym__annotated_type,
    STATE(4610), 1,
      sym_identifier,
    STATE(4713), 1,
      sym__soft_identifier,
    STATE(6021), 1,
      sym_annotated_type,
    STATE(9418), 1,
      sym__non_null_literal,
    STATE(9688), 1,
      sym_literal_type,
    STATE(12467), 1,
      sym_template_body,
    STATE(12489), 1,
      sym__infix_type_choice,
    STATE(12520), 1,
      sym__type,
    STATE(14885), 1,
      sym_parameter_types,
    STATE(17032), 1,
      sym_stable_identifier,
    ACTIONS(4306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3488), 2,
      sym_comment,
      sym_block_comment,
    STATE(8642), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9355), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12269), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12556), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4294), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4988), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141123] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17308), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3489), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141244] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4282), 1,
      sym__alpha_identifier,
    ACTIONS(4284), 1,
      anon_sym_COLON,
    ACTIONS(4286), 1,
      anon_sym_LBRACE,
    ACTIONS(4288), 1,
      anon_sym__,
    ACTIONS(4292), 1,
      anon_sym_LBRACK,
    ACTIONS(4300), 1,
      sym__backquoted_id,
    ACTIONS(4304), 1,
      sym_integer_literal,
    ACTIONS(6844), 1,
      anon_sym_LPAREN,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    STATE(4466), 1,
      sym__simple_type,
    STATE(4533), 1,
      sym__annotated_type,
    STATE(4610), 1,
      sym_identifier,
    STATE(4713), 1,
      sym__soft_identifier,
    STATE(6021), 1,
      sym_annotated_type,
    STATE(9418), 1,
      sym__non_null_literal,
    STATE(9688), 1,
      sym_literal_type,
    STATE(12349), 1,
      sym__type,
    STATE(12467), 1,
      sym_template_body,
    STATE(12489), 1,
      sym__infix_type_choice,
    STATE(14885), 1,
      sym_parameter_types,
    STATE(17032), 1,
      sym_stable_identifier,
    ACTIONS(4306), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4308), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4312), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3490), 2,
      sym_comment,
      sym_block_comment,
    STATE(8642), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9355), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12269), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12556), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4294), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4988), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141365] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(11958), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3491), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141486] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6774), 1,
      sym__alpha_identifier,
    ACTIONS(6776), 1,
      anon_sym_COLON,
    ACTIONS(6778), 1,
      anon_sym_LBRACE,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6782), 1,
      anon_sym_LBRACK,
    ACTIONS(6786), 1,
      anon_sym_LPAREN,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    STATE(5118), 1,
      sym__annotated_type,
    STATE(5420), 1,
      sym__simple_type,
    STATE(5717), 1,
      sym__soft_identifier,
    STATE(5955), 1,
      sym_identifier,
    STATE(8309), 1,
      sym_annotated_type,
    STATE(10478), 1,
      sym__non_null_literal,
    STATE(10578), 1,
      sym_literal_type,
    STATE(12502), 1,
      sym__infix_type_choice,
    STATE(13086), 1,
      sym__type,
    STATE(13281), 1,
      sym_template_body,
    STATE(15464), 1,
      sym_parameter_types,
    STATE(17038), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3492), 2,
      sym_comment,
      sym_block_comment,
    STATE(8145), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8628), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9874), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13226), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6309), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141607] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3310), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      anon_sym_LBRACE,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9744), 1,
      sym__annotated_type,
    STATE(12458), 1,
      sym__infix_type_choice,
    STATE(12646), 1,
      sym_literal_type,
    STATE(12752), 1,
      sym__non_null_literal,
    STATE(15687), 1,
      sym_parameter_types,
    STATE(16418), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17873), 1,
      sym_template_body,
    ACTIONS(3312), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3314), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3318), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3493), 2,
      sym_comment,
      sym_block_comment,
    STATE(10679), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12430), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(17874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17549), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141728] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14919), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3494), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141849] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6774), 1,
      sym__alpha_identifier,
    ACTIONS(6776), 1,
      anon_sym_COLON,
    ACTIONS(6778), 1,
      anon_sym_LBRACE,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6782), 1,
      anon_sym_LBRACK,
    ACTIONS(6786), 1,
      anon_sym_LPAREN,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    STATE(5118), 1,
      sym__annotated_type,
    STATE(5420), 1,
      sym__simple_type,
    STATE(5717), 1,
      sym__soft_identifier,
    STATE(5955), 1,
      sym_identifier,
    STATE(8309), 1,
      sym_annotated_type,
    STATE(10478), 1,
      sym__non_null_literal,
    STATE(10578), 1,
      sym_literal_type,
    STATE(12502), 1,
      sym__infix_type_choice,
    STATE(13105), 1,
      sym__type,
    STATE(13281), 1,
      sym_template_body,
    STATE(15464), 1,
      sym_parameter_types,
    STATE(17038), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3495), 2,
      sym_comment,
      sym_block_comment,
    STATE(8145), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8628), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9874), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13226), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6309), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [141970] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(11957), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3496), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142091] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6774), 1,
      sym__alpha_identifier,
    ACTIONS(6776), 1,
      anon_sym_COLON,
    ACTIONS(6778), 1,
      anon_sym_LBRACE,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6782), 1,
      anon_sym_LBRACK,
    ACTIONS(6786), 1,
      anon_sym_LPAREN,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    STATE(5118), 1,
      sym__annotated_type,
    STATE(5420), 1,
      sym__simple_type,
    STATE(5717), 1,
      sym__soft_identifier,
    STATE(5955), 1,
      sym_identifier,
    STATE(8309), 1,
      sym_annotated_type,
    STATE(10478), 1,
      sym__non_null_literal,
    STATE(10578), 1,
      sym_literal_type,
    STATE(12502), 1,
      sym__infix_type_choice,
    STATE(13114), 1,
      sym__type,
    STATE(13281), 1,
      sym_template_body,
    STATE(15464), 1,
      sym_parameter_types,
    STATE(17038), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3497), 2,
      sym_comment,
      sym_block_comment,
    STATE(8145), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8628), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9874), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13226), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6309), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142212] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      sym_integer_literal,
    ACTIONS(6774), 1,
      sym__alpha_identifier,
    ACTIONS(6776), 1,
      anon_sym_COLON,
    ACTIONS(6778), 1,
      anon_sym_LBRACE,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6782), 1,
      anon_sym_LBRACK,
    ACTIONS(6786), 1,
      anon_sym_LPAREN,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    STATE(5118), 1,
      sym__annotated_type,
    STATE(5420), 1,
      sym__simple_type,
    STATE(5717), 1,
      sym__soft_identifier,
    STATE(5955), 1,
      sym_identifier,
    STATE(8309), 1,
      sym_annotated_type,
    STATE(10478), 1,
      sym__non_null_literal,
    STATE(10578), 1,
      sym_literal_type,
    STATE(12502), 1,
      sym__infix_type_choice,
    STATE(13119), 1,
      sym__type,
    STATE(13281), 1,
      sym_template_body,
    STATE(15464), 1,
      sym_parameter_types,
    STATE(17038), 1,
      sym_stable_identifier,
    ACTIONS(1472), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1474), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1478), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3498), 2,
      sym_comment,
      sym_block_comment,
    STATE(8145), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8628), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9874), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13226), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6309), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142333] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15747), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3499), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142454] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15448), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3500), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142575] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16711), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3501), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142696] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14899), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3502), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142817] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15226), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3503), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [142938] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2022), 1,
      sym_integer_literal,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6764), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      anon_sym_LPAREN,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    STATE(7038), 1,
      sym__simple_type,
    STATE(7220), 1,
      sym__annotated_type,
    STATE(7410), 1,
      sym__soft_identifier,
    STATE(7449), 1,
      sym_identifier,
    STATE(10004), 1,
      sym_annotated_type,
    STATE(11231), 1,
      sym__non_null_literal,
    STATE(11272), 1,
      sym_literal_type,
    STATE(12124), 1,
      sym_template_body,
    STATE(12350), 1,
      sym__infix_type_choice,
    STATE(12613), 1,
      sym__type,
    STATE(15551), 1,
      sym_parameter_types,
    STATE(16976), 1,
      sym_stable_identifier,
    ACTIONS(2024), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(2026), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(2030), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3504), 2,
      sym_comment,
      sym_block_comment,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9852), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10724), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12173), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8188), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143059] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15261), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3505), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143180] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15734), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3506), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143301] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6848), 1,
      anon_sym_COLON,
    ACTIONS(6850), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      anon_sym_LBRACK,
    ACTIONS(6854), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(8296), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11237), 1,
      sym_literal_type,
    STATE(11241), 1,
      sym__non_null_literal,
    STATE(11582), 1,
      sym_template_body,
    STATE(11602), 1,
      sym__type,
    STATE(12277), 1,
      sym__infix_type_choice,
    STATE(15165), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3507), 2,
      sym_comment,
      sym_block_comment,
    STATE(11053), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11666), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11699), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143422] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6848), 1,
      anon_sym_COLON,
    ACTIONS(6850), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      anon_sym_LBRACK,
    ACTIONS(6854), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(8296), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11237), 1,
      sym_literal_type,
    STATE(11241), 1,
      sym__non_null_literal,
    STATE(11582), 1,
      sym_template_body,
    STATE(11600), 1,
      sym__type,
    STATE(12277), 1,
      sym__infix_type_choice,
    STATE(15165), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3508), 2,
      sym_comment,
      sym_block_comment,
    STATE(11053), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11666), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11699), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143543] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15773), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3509), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143664] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6848), 1,
      anon_sym_COLON,
    ACTIONS(6850), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      anon_sym_LBRACK,
    ACTIONS(6854), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(8296), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11237), 1,
      sym_literal_type,
    STATE(11241), 1,
      sym__non_null_literal,
    STATE(11573), 1,
      sym__type,
    STATE(11582), 1,
      sym_template_body,
    STATE(12277), 1,
      sym__infix_type_choice,
    STATE(15165), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3510), 2,
      sym_comment,
      sym_block_comment,
    STATE(11053), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11666), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11699), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143785] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17324), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3511), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [143906] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15215), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3512), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144027] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6848), 1,
      anon_sym_COLON,
    ACTIONS(6850), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      anon_sym_LBRACK,
    ACTIONS(6854), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(8296), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11237), 1,
      sym_literal_type,
    STATE(11241), 1,
      sym__non_null_literal,
    STATE(11552), 1,
      sym__type,
    STATE(11582), 1,
      sym_template_body,
    STATE(12277), 1,
      sym__infix_type_choice,
    STATE(15165), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3513), 2,
      sym_comment,
      sym_block_comment,
    STATE(11053), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11666), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11699), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144148] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4454), 1,
      sym__alpha_identifier,
    ACTIONS(4456), 1,
      anon_sym_COLON,
    ACTIONS(4458), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      anon_sym__,
    ACTIONS(4464), 1,
      anon_sym_LBRACK,
    ACTIONS(4472), 1,
      sym__backquoted_id,
    ACTIONS(4476), 1,
      sym_integer_literal,
    ACTIONS(6862), 1,
      anon_sym_LPAREN,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    STATE(5157), 1,
      sym__annotated_type,
    STATE(5346), 1,
      sym__simple_type,
    STATE(5710), 1,
      sym__soft_identifier,
    STATE(5746), 1,
      sym_identifier,
    STATE(8257), 1,
      sym_annotated_type,
    STATE(10526), 1,
      sym_literal_type,
    STATE(10527), 1,
      sym__non_null_literal,
    STATE(12535), 1,
      sym__infix_type_choice,
    STATE(13526), 1,
      sym_template_body,
    STATE(13534), 1,
      sym__type,
    STATE(15145), 1,
      sym_parameter_types,
    STATE(17050), 1,
      sym_stable_identifier,
    ACTIONS(4478), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4480), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4482), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3514), 2,
      sym_comment,
      sym_block_comment,
    STATE(9969), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10498), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13607), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13512), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6376), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144269] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4454), 1,
      sym__alpha_identifier,
    ACTIONS(4456), 1,
      anon_sym_COLON,
    ACTIONS(4458), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      anon_sym__,
    ACTIONS(4464), 1,
      anon_sym_LBRACK,
    ACTIONS(4472), 1,
      sym__backquoted_id,
    ACTIONS(4476), 1,
      sym_integer_literal,
    ACTIONS(6862), 1,
      anon_sym_LPAREN,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    STATE(5157), 1,
      sym__annotated_type,
    STATE(5346), 1,
      sym__simple_type,
    STATE(5710), 1,
      sym__soft_identifier,
    STATE(5746), 1,
      sym_identifier,
    STATE(8257), 1,
      sym_annotated_type,
    STATE(10526), 1,
      sym_literal_type,
    STATE(10527), 1,
      sym__non_null_literal,
    STATE(12535), 1,
      sym__infix_type_choice,
    STATE(13526), 1,
      sym_template_body,
    STATE(13571), 1,
      sym__type,
    STATE(15145), 1,
      sym_parameter_types,
    STATE(17050), 1,
      sym_stable_identifier,
    ACTIONS(4478), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4480), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4482), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3515), 2,
      sym_comment,
      sym_block_comment,
    STATE(9969), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10498), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13607), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13512), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6376), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144390] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4454), 1,
      sym__alpha_identifier,
    ACTIONS(4456), 1,
      anon_sym_COLON,
    ACTIONS(4458), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      anon_sym__,
    ACTIONS(4464), 1,
      anon_sym_LBRACK,
    ACTIONS(4472), 1,
      sym__backquoted_id,
    ACTIONS(4476), 1,
      sym_integer_literal,
    ACTIONS(6862), 1,
      anon_sym_LPAREN,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    STATE(5157), 1,
      sym__annotated_type,
    STATE(5346), 1,
      sym__simple_type,
    STATE(5710), 1,
      sym__soft_identifier,
    STATE(5746), 1,
      sym_identifier,
    STATE(8257), 1,
      sym_annotated_type,
    STATE(10526), 1,
      sym_literal_type,
    STATE(10527), 1,
      sym__non_null_literal,
    STATE(12535), 1,
      sym__infix_type_choice,
    STATE(13526), 1,
      sym_template_body,
    STATE(13573), 1,
      sym__type,
    STATE(15145), 1,
      sym_parameter_types,
    STATE(17050), 1,
      sym_stable_identifier,
    ACTIONS(4478), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4480), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4482), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3516), 2,
      sym_comment,
      sym_block_comment,
    STATE(9969), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10498), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13607), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13512), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6376), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144511] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4454), 1,
      sym__alpha_identifier,
    ACTIONS(4456), 1,
      anon_sym_COLON,
    ACTIONS(4458), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      anon_sym__,
    ACTIONS(4464), 1,
      anon_sym_LBRACK,
    ACTIONS(4472), 1,
      sym__backquoted_id,
    ACTIONS(4476), 1,
      sym_integer_literal,
    ACTIONS(6862), 1,
      anon_sym_LPAREN,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    STATE(5157), 1,
      sym__annotated_type,
    STATE(5346), 1,
      sym__simple_type,
    STATE(5710), 1,
      sym__soft_identifier,
    STATE(5746), 1,
      sym_identifier,
    STATE(8257), 1,
      sym_annotated_type,
    STATE(10526), 1,
      sym_literal_type,
    STATE(10527), 1,
      sym__non_null_literal,
    STATE(12535), 1,
      sym__infix_type_choice,
    STATE(13457), 1,
      sym__type,
    STATE(13526), 1,
      sym_template_body,
    STATE(15145), 1,
      sym_parameter_types,
    STATE(17050), 1,
      sym_stable_identifier,
    ACTIONS(4478), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4480), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4482), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3517), 2,
      sym_comment,
      sym_block_comment,
    STATE(9969), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10498), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13607), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13512), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6376), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144632] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15835), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3518), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144753] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(14346), 1,
      sym__type,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3519), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144874] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(922), 1,
      sym_integer_literal,
    ACTIONS(6576), 1,
      sym__alpha_identifier,
    ACTIONS(6578), 1,
      anon_sym_COLON,
    ACTIONS(6580), 1,
      anon_sym_LBRACE,
    ACTIONS(6582), 1,
      anon_sym__,
    ACTIONS(6584), 1,
      anon_sym_LBRACK,
    ACTIONS(6588), 1,
      anon_sym_LPAREN,
    ACTIONS(6590), 1,
      sym__backquoted_id,
    ACTIONS(6592), 1,
      sym_operator_identifier,
    STATE(4454), 1,
      sym__simple_type,
    STATE(4461), 1,
      sym__annotated_type,
    STATE(4474), 1,
      sym_identifier,
    STATE(4509), 1,
      sym__soft_identifier,
    STATE(5690), 1,
      sym_annotated_type,
    STATE(9167), 1,
      sym_literal_type,
    STATE(9243), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11448), 1,
      sym__type,
    STATE(12634), 1,
      sym__infix_type_choice,
    STATE(15607), 1,
      sym_parameter_types,
    STATE(17122), 1,
      sym_stable_identifier,
    ACTIONS(924), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(926), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(930), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3520), 2,
      sym_comment,
      sym_block_comment,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5634), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7492), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [144995] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(14343), 1,
      sym__type,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3521), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145116] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17327), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3522), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145237] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4454), 1,
      sym__alpha_identifier,
    ACTIONS(4456), 1,
      anon_sym_COLON,
    ACTIONS(4458), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      anon_sym__,
    ACTIONS(4464), 1,
      anon_sym_LBRACK,
    ACTIONS(4472), 1,
      sym__backquoted_id,
    ACTIONS(4476), 1,
      sym_integer_literal,
    ACTIONS(6862), 1,
      anon_sym_LPAREN,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    STATE(5157), 1,
      sym__annotated_type,
    STATE(5346), 1,
      sym__simple_type,
    STATE(5710), 1,
      sym__soft_identifier,
    STATE(5746), 1,
      sym_identifier,
    STATE(8257), 1,
      sym_annotated_type,
    STATE(10526), 1,
      sym_literal_type,
    STATE(10527), 1,
      sym__non_null_literal,
    STATE(12535), 1,
      sym__infix_type_choice,
    STATE(13344), 1,
      sym__type,
    STATE(13526), 1,
      sym_template_body,
    STATE(15145), 1,
      sym_parameter_types,
    STATE(17050), 1,
      sym_stable_identifier,
    ACTIONS(4478), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4480), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4482), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3523), 2,
      sym_comment,
      sym_block_comment,
    STATE(9969), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10498), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13607), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13512), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6376), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145358] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6848), 1,
      anon_sym_COLON,
    ACTIONS(6850), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      anon_sym_LBRACK,
    ACTIONS(6854), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(8296), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11237), 1,
      sym_literal_type,
    STATE(11241), 1,
      sym__non_null_literal,
    STATE(11488), 1,
      sym__type,
    STATE(11582), 1,
      sym_template_body,
    STATE(12277), 1,
      sym__infix_type_choice,
    STATE(15165), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3524), 2,
      sym_comment,
      sym_block_comment,
    STATE(11053), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11666), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11699), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145479] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(14325), 1,
      sym__type,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3525), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145600] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4424), 1,
      sym__alpha_identifier,
    ACTIONS(4426), 1,
      anon_sym_COLON,
    ACTIONS(4428), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym__,
    ACTIONS(4434), 1,
      anon_sym_LBRACK,
    ACTIONS(4442), 1,
      sym__backquoted_id,
    ACTIONS(4446), 1,
      sym_integer_literal,
    ACTIONS(6866), 1,
      anon_sym_LPAREN,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    STATE(5208), 1,
      sym__annotated_type,
    STATE(5311), 1,
      sym__simple_type,
    STATE(5702), 1,
      sym__soft_identifier,
    STATE(5802), 1,
      sym_identifier,
    STATE(8189), 1,
      sym_annotated_type,
    STATE(10489), 1,
      sym_literal_type,
    STATE(10532), 1,
      sym__non_null_literal,
    STATE(12554), 1,
      sym__infix_type_choice,
    STATE(13399), 1,
      sym_template_body,
    STATE(13630), 1,
      sym__type,
    STATE(15373), 1,
      sym_parameter_types,
    STATE(17062), 1,
      sym_stable_identifier,
    ACTIONS(4448), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4450), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4452), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3526), 2,
      sym_comment,
      sym_block_comment,
    STATE(9928), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13444), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6421), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145721] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14934), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3527), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145842] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4424), 1,
      sym__alpha_identifier,
    ACTIONS(4426), 1,
      anon_sym_COLON,
    ACTIONS(4428), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym__,
    ACTIONS(4434), 1,
      anon_sym_LBRACK,
    ACTIONS(4442), 1,
      sym__backquoted_id,
    ACTIONS(4446), 1,
      sym_integer_literal,
    ACTIONS(6866), 1,
      anon_sym_LPAREN,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    STATE(5208), 1,
      sym__annotated_type,
    STATE(5311), 1,
      sym__simple_type,
    STATE(5702), 1,
      sym__soft_identifier,
    STATE(5802), 1,
      sym_identifier,
    STATE(8189), 1,
      sym_annotated_type,
    STATE(10489), 1,
      sym_literal_type,
    STATE(10532), 1,
      sym__non_null_literal,
    STATE(12554), 1,
      sym__infix_type_choice,
    STATE(13399), 1,
      sym_template_body,
    STATE(13594), 1,
      sym__type,
    STATE(15373), 1,
      sym_parameter_types,
    STATE(17062), 1,
      sym_stable_identifier,
    ACTIONS(4448), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4450), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4452), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3528), 2,
      sym_comment,
      sym_block_comment,
    STATE(9928), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13444), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6421), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [145963] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4424), 1,
      sym__alpha_identifier,
    ACTIONS(4426), 1,
      anon_sym_COLON,
    ACTIONS(4428), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym__,
    ACTIONS(4434), 1,
      anon_sym_LBRACK,
    ACTIONS(4442), 1,
      sym__backquoted_id,
    ACTIONS(4446), 1,
      sym_integer_literal,
    ACTIONS(6866), 1,
      anon_sym_LPAREN,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    STATE(5208), 1,
      sym__annotated_type,
    STATE(5311), 1,
      sym__simple_type,
    STATE(5702), 1,
      sym__soft_identifier,
    STATE(5802), 1,
      sym_identifier,
    STATE(8189), 1,
      sym_annotated_type,
    STATE(10489), 1,
      sym_literal_type,
    STATE(10532), 1,
      sym__non_null_literal,
    STATE(12554), 1,
      sym__infix_type_choice,
    STATE(13399), 1,
      sym_template_body,
    STATE(13590), 1,
      sym__type,
    STATE(15373), 1,
      sym_parameter_types,
    STATE(17062), 1,
      sym_stable_identifier,
    ACTIONS(4448), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4450), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4452), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3529), 2,
      sym_comment,
      sym_block_comment,
    STATE(9928), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13444), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6421), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146084] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4424), 1,
      sym__alpha_identifier,
    ACTIONS(4426), 1,
      anon_sym_COLON,
    ACTIONS(4428), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym__,
    ACTIONS(4434), 1,
      anon_sym_LBRACK,
    ACTIONS(4442), 1,
      sym__backquoted_id,
    ACTIONS(4446), 1,
      sym_integer_literal,
    ACTIONS(6866), 1,
      anon_sym_LPAREN,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    STATE(5208), 1,
      sym__annotated_type,
    STATE(5311), 1,
      sym__simple_type,
    STATE(5702), 1,
      sym__soft_identifier,
    STATE(5802), 1,
      sym_identifier,
    STATE(8189), 1,
      sym_annotated_type,
    STATE(10489), 1,
      sym_literal_type,
    STATE(10532), 1,
      sym__non_null_literal,
    STATE(12554), 1,
      sym__infix_type_choice,
    STATE(13399), 1,
      sym_template_body,
    STATE(13586), 1,
      sym__type,
    STATE(15373), 1,
      sym_parameter_types,
    STATE(17062), 1,
      sym_stable_identifier,
    ACTIONS(4448), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4450), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4452), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3530), 2,
      sym_comment,
      sym_block_comment,
    STATE(9928), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13444), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6421), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146205] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(14323), 1,
      sym__type,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3531), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146326] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15701), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3532), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146447] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(14320), 1,
      sym__type,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3533), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146568] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15250), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3534), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146689] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15626), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3535), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146810] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16782), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3536), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [146931] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15811), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3537), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147052] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15694), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3538), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147173] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6302), 1,
      anon_sym_LBRACK,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6650), 1,
      sym__annotated_type,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(12534), 1,
      sym__infix_type_choice,
    STATE(13972), 1,
      sym__type,
    STATE(15722), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3539), 2,
      sym_comment,
      sym_block_comment,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147294] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4424), 1,
      sym__alpha_identifier,
    ACTIONS(4426), 1,
      anon_sym_COLON,
    ACTIONS(4428), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym__,
    ACTIONS(4434), 1,
      anon_sym_LBRACK,
    ACTIONS(4442), 1,
      sym__backquoted_id,
    ACTIONS(4446), 1,
      sym_integer_literal,
    ACTIONS(6866), 1,
      anon_sym_LPAREN,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    STATE(5208), 1,
      sym__annotated_type,
    STATE(5311), 1,
      sym__simple_type,
    STATE(5702), 1,
      sym__soft_identifier,
    STATE(5802), 1,
      sym_identifier,
    STATE(8189), 1,
      sym_annotated_type,
    STATE(10489), 1,
      sym_literal_type,
    STATE(10532), 1,
      sym__non_null_literal,
    STATE(12554), 1,
      sym__infix_type_choice,
    STATE(13399), 1,
      sym_template_body,
    STATE(13439), 1,
      sym__type,
    STATE(15373), 1,
      sym_parameter_types,
    STATE(17062), 1,
      sym_stable_identifier,
    ACTIONS(4448), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4450), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4452), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3540), 2,
      sym_comment,
      sym_block_comment,
    STATE(9928), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13412), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13444), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6421), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147415] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1308), 1,
      sym_integer_literal,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5275), 1,
      sym__annotated_type,
    STATE(5700), 1,
      sym__soft_identifier,
    STATE(5884), 1,
      sym_identifier,
    STATE(8116), 1,
      sym_annotated_type,
    STATE(10451), 1,
      sym_literal_type,
    STATE(10479), 1,
      sym__non_null_literal,
    STATE(12568), 1,
      sym__infix_type_choice,
    STATE(13102), 1,
      sym__type,
    STATE(13111), 1,
      sym_template_body,
    STATE(15465), 1,
      sym_parameter_types,
    STATE(17074), 1,
      sym_stable_identifier,
    ACTIONS(1310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1316), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3541), 2,
      sym_comment,
      sym_block_comment,
    STATE(8127), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8354), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6500), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147536] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6544), 1,
      anon_sym_LBRACK,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(13951), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3542), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147657] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1308), 1,
      sym_integer_literal,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5275), 1,
      sym__annotated_type,
    STATE(5700), 1,
      sym__soft_identifier,
    STATE(5884), 1,
      sym_identifier,
    STATE(8116), 1,
      sym_annotated_type,
    STATE(10451), 1,
      sym_literal_type,
    STATE(10479), 1,
      sym__non_null_literal,
    STATE(12568), 1,
      sym__infix_type_choice,
    STATE(13104), 1,
      sym__type,
    STATE(13111), 1,
      sym_template_body,
    STATE(15465), 1,
      sym_parameter_types,
    STATE(17074), 1,
      sym_stable_identifier,
    ACTIONS(1310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1316), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3543), 2,
      sym_comment,
      sym_block_comment,
    STATE(8127), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8354), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6500), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147778] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14811), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3544), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [147899] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15735), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3545), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148020] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15030), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3546), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148141] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4246), 1,
      sym__alpha_identifier,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(4252), 1,
      anon_sym__,
    ACTIONS(4256), 1,
      anon_sym_LBRACK,
    ACTIONS(4264), 1,
      sym__backquoted_id,
    ACTIONS(4268), 1,
      sym_integer_literal,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    STATE(6990), 1,
      sym__annotated_type,
    STATE(6992), 1,
      sym__simple_type,
    STATE(7377), 1,
      sym_identifier,
    STATE(8053), 1,
      sym__soft_identifier,
    STATE(10102), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11193), 1,
      sym__type,
    STATE(11226), 1,
      sym_literal_type,
    STATE(11248), 1,
      sym__non_null_literal,
    STATE(12230), 1,
      sym__infix_type_choice,
    STATE(14984), 1,
      sym_parameter_types,
    STATE(16632), 1,
      sym_stable_identifier,
    ACTIONS(4270), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4272), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4276), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3547), 2,
      sym_comment,
      sym_block_comment,
    STATE(10926), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11143), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8511), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148262] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1308), 1,
      sym_integer_literal,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5275), 1,
      sym__annotated_type,
    STATE(5700), 1,
      sym__soft_identifier,
    STATE(5884), 1,
      sym_identifier,
    STATE(8116), 1,
      sym_annotated_type,
    STATE(10451), 1,
      sym_literal_type,
    STATE(10479), 1,
      sym__non_null_literal,
    STATE(12568), 1,
      sym__infix_type_choice,
    STATE(13109), 1,
      sym__type,
    STATE(13111), 1,
      sym_template_body,
    STATE(15465), 1,
      sym_parameter_types,
    STATE(17074), 1,
      sym_stable_identifier,
    ACTIONS(1310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1316), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3548), 2,
      sym_comment,
      sym_block_comment,
    STATE(8127), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8354), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6500), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148383] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4246), 1,
      sym__alpha_identifier,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(4252), 1,
      anon_sym__,
    ACTIONS(4256), 1,
      anon_sym_LBRACK,
    ACTIONS(4264), 1,
      sym__backquoted_id,
    ACTIONS(4268), 1,
      sym_integer_literal,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    STATE(6990), 1,
      sym__annotated_type,
    STATE(6992), 1,
      sym__simple_type,
    STATE(7377), 1,
      sym_identifier,
    STATE(8053), 1,
      sym__soft_identifier,
    STATE(10102), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11194), 1,
      sym__type,
    STATE(11226), 1,
      sym_literal_type,
    STATE(11248), 1,
      sym__non_null_literal,
    STATE(12230), 1,
      sym__infix_type_choice,
    STATE(14984), 1,
      sym_parameter_types,
    STATE(16632), 1,
      sym_stable_identifier,
    ACTIONS(4270), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4272), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4276), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3549), 2,
      sym_comment,
      sym_block_comment,
    STATE(10926), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11143), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8511), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148504] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4246), 1,
      sym__alpha_identifier,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(4252), 1,
      anon_sym__,
    ACTIONS(4256), 1,
      anon_sym_LBRACK,
    ACTIONS(4264), 1,
      sym__backquoted_id,
    ACTIONS(4268), 1,
      sym_integer_literal,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    STATE(6990), 1,
      sym__annotated_type,
    STATE(6992), 1,
      sym__simple_type,
    STATE(7377), 1,
      sym_identifier,
    STATE(8053), 1,
      sym__soft_identifier,
    STATE(10102), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11195), 1,
      sym__type,
    STATE(11226), 1,
      sym_literal_type,
    STATE(11248), 1,
      sym__non_null_literal,
    STATE(12230), 1,
      sym__infix_type_choice,
    STATE(14984), 1,
      sym_parameter_types,
    STATE(16632), 1,
      sym_stable_identifier,
    ACTIONS(4270), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4272), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4276), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3550), 2,
      sym_comment,
      sym_block_comment,
    STATE(10926), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11143), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8511), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148625] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15659), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3551), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148746] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4246), 1,
      sym__alpha_identifier,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(4252), 1,
      anon_sym__,
    ACTIONS(4256), 1,
      anon_sym_LBRACK,
    ACTIONS(4264), 1,
      sym__backquoted_id,
    ACTIONS(4268), 1,
      sym_integer_literal,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    STATE(6990), 1,
      sym__annotated_type,
    STATE(6992), 1,
      sym__simple_type,
    STATE(7377), 1,
      sym_identifier,
    STATE(8053), 1,
      sym__soft_identifier,
    STATE(10102), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11204), 1,
      sym__type,
    STATE(11226), 1,
      sym_literal_type,
    STATE(11248), 1,
      sym__non_null_literal,
    STATE(12230), 1,
      sym__infix_type_choice,
    STATE(14984), 1,
      sym_parameter_types,
    STATE(16632), 1,
      sym_stable_identifier,
    ACTIONS(4270), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4272), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4276), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3552), 2,
      sym_comment,
      sym_block_comment,
    STATE(10926), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11143), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8511), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148867] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1308), 1,
      sym_integer_literal,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5275), 1,
      sym__annotated_type,
    STATE(5700), 1,
      sym__soft_identifier,
    STATE(5884), 1,
      sym_identifier,
    STATE(8116), 1,
      sym_annotated_type,
    STATE(10451), 1,
      sym_literal_type,
    STATE(10479), 1,
      sym__non_null_literal,
    STATE(12568), 1,
      sym__infix_type_choice,
    STATE(13111), 1,
      sym_template_body,
    STATE(13117), 1,
      sym__type,
    STATE(15465), 1,
      sym_parameter_types,
    STATE(17074), 1,
      sym_stable_identifier,
    ACTIONS(1310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1316), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3553), 2,
      sym_comment,
      sym_block_comment,
    STATE(8127), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8354), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6500), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [148988] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17390), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3554), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149109] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(12103), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3555), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149230] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17392), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3556), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149351] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(12107), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3557), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149472] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15840), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3558), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149593] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1308), 1,
      sym_integer_literal,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6742), 1,
      anon_sym_LBRACK,
    ACTIONS(6746), 1,
      anon_sym_LPAREN,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5275), 1,
      sym__annotated_type,
    STATE(5700), 1,
      sym__soft_identifier,
    STATE(5884), 1,
      sym_identifier,
    STATE(8116), 1,
      sym_annotated_type,
    STATE(10451), 1,
      sym_literal_type,
    STATE(10479), 1,
      sym__non_null_literal,
    STATE(12568), 1,
      sym__infix_type_choice,
    STATE(13071), 1,
      sym__type,
    STATE(13111), 1,
      sym_template_body,
    STATE(15465), 1,
      sym_parameter_types,
    STATE(17074), 1,
      sym_stable_identifier,
    ACTIONS(1310), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1312), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1316), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3559), 2,
      sym_comment,
      sym_block_comment,
    STATE(8127), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8354), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10036), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6500), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149714] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15649), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3560), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149835] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15339), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3561), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [149956] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15037), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3562), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150077] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1344), 1,
      sym_integer_literal,
    ACTIONS(6578), 1,
      anon_sym_COLON,
    ACTIONS(6580), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      sym__alpha_identifier,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6694), 1,
      anon_sym_LBRACK,
    ACTIONS(6698), 1,
      anon_sym_LPAREN,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    STATE(5517), 1,
      sym__annotated_type,
    STATE(5785), 1,
      sym__simple_type,
    STATE(6230), 1,
      sym_identifier,
    STATE(6303), 1,
      sym__soft_identifier,
    STATE(9290), 1,
      sym_annotated_type,
    STATE(10789), 1,
      sym_literal_type,
    STATE(10794), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11401), 1,
      sym__type,
    STATE(12589), 1,
      sym__infix_type_choice,
    STATE(15552), 1,
      sym_parameter_types,
    STATE(17092), 1,
      sym_stable_identifier,
    ACTIONS(1346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1352), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3563), 2,
      sym_comment,
      sym_block_comment,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10326), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6693), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150198] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1344), 1,
      sym_integer_literal,
    ACTIONS(6578), 1,
      anon_sym_COLON,
    ACTIONS(6580), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      sym__alpha_identifier,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6694), 1,
      anon_sym_LBRACK,
    ACTIONS(6698), 1,
      anon_sym_LPAREN,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    STATE(5517), 1,
      sym__annotated_type,
    STATE(5785), 1,
      sym__simple_type,
    STATE(6230), 1,
      sym_identifier,
    STATE(6303), 1,
      sym__soft_identifier,
    STATE(9290), 1,
      sym_annotated_type,
    STATE(10789), 1,
      sym_literal_type,
    STATE(10794), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11396), 1,
      sym__type,
    STATE(12589), 1,
      sym__infix_type_choice,
    STATE(15552), 1,
      sym_parameter_types,
    STATE(17092), 1,
      sym_stable_identifier,
    ACTIONS(1346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1352), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3564), 2,
      sym_comment,
      sym_block_comment,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10326), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6693), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150319] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1344), 1,
      sym_integer_literal,
    ACTIONS(6578), 1,
      anon_sym_COLON,
    ACTIONS(6580), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      sym__alpha_identifier,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6694), 1,
      anon_sym_LBRACK,
    ACTIONS(6698), 1,
      anon_sym_LPAREN,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    STATE(5517), 1,
      sym__annotated_type,
    STATE(5785), 1,
      sym__simple_type,
    STATE(6230), 1,
      sym_identifier,
    STATE(6303), 1,
      sym__soft_identifier,
    STATE(9290), 1,
      sym_annotated_type,
    STATE(10789), 1,
      sym_literal_type,
    STATE(10794), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11394), 1,
      sym__type,
    STATE(12589), 1,
      sym__infix_type_choice,
    STATE(15552), 1,
      sym_parameter_types,
    STATE(17092), 1,
      sym_stable_identifier,
    ACTIONS(1346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1352), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3565), 2,
      sym_comment,
      sym_block_comment,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10326), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6693), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150440] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1344), 1,
      sym_integer_literal,
    ACTIONS(6578), 1,
      anon_sym_COLON,
    ACTIONS(6580), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      sym__alpha_identifier,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6694), 1,
      anon_sym_LBRACK,
    ACTIONS(6698), 1,
      anon_sym_LPAREN,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    STATE(5517), 1,
      sym__annotated_type,
    STATE(5785), 1,
      sym__simple_type,
    STATE(6230), 1,
      sym_identifier,
    STATE(6303), 1,
      sym__soft_identifier,
    STATE(9290), 1,
      sym_annotated_type,
    STATE(10789), 1,
      sym_literal_type,
    STATE(10794), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(12589), 1,
      sym__infix_type_choice,
    STATE(15552), 1,
      sym_parameter_types,
    STATE(17092), 1,
      sym_stable_identifier,
    ACTIONS(1346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1352), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3566), 2,
      sym_comment,
      sym_block_comment,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10326), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6693), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150561] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4246), 1,
      sym__alpha_identifier,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(4252), 1,
      anon_sym__,
    ACTIONS(4256), 1,
      anon_sym_LBRACK,
    ACTIONS(4264), 1,
      sym__backquoted_id,
    ACTIONS(4268), 1,
      sym_integer_literal,
    ACTIONS(6870), 1,
      anon_sym_LPAREN,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    STATE(6990), 1,
      sym__annotated_type,
    STATE(6992), 1,
      sym__simple_type,
    STATE(7377), 1,
      sym_identifier,
    STATE(8053), 1,
      sym__soft_identifier,
    STATE(10102), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11226), 1,
      sym_literal_type,
    STATE(11248), 1,
      sym__non_null_literal,
    STATE(11307), 1,
      sym__type,
    STATE(12230), 1,
      sym__infix_type_choice,
    STATE(14984), 1,
      sym_parameter_types,
    STATE(16632), 1,
      sym_stable_identifier,
    ACTIONS(4270), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4272), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4276), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3567), 2,
      sym_comment,
      sym_block_comment,
    STATE(10926), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11143), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8511), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150682] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17415), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3568), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150803] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15204), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3569), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [150924] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17420), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3570), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151045] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(6594), 1,
      anon_sym_LBRACK,
    STATE(6684), 1,
      sym__simple_type,
    STATE(7597), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(12510), 1,
      sym__infix_type_choice,
    STATE(13906), 1,
      sym__type,
    STATE(15492), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3571), 2,
      sym_comment,
      sym_block_comment,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151166] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14808), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3572), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151287] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15415), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3573), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151408] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14894), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3574), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151529] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      sym__alpha_identifier,
    ACTIONS(6180), 1,
      anon_sym_COLON,
    ACTIONS(6182), 1,
      anon_sym_LBRACE,
    ACTIONS(6184), 1,
      anon_sym__,
    ACTIONS(6186), 1,
      anon_sym_LBRACK,
    ACTIONS(6190), 1,
      anon_sym_LPAREN,
    ACTIONS(6192), 1,
      sym__backquoted_id,
    ACTIONS(6194), 1,
      sym_operator_identifier,
    ACTIONS(6196), 1,
      sym_integer_literal,
    STATE(5255), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5650), 1,
      sym__soft_identifier,
    STATE(5679), 1,
      sym__annotated_type,
    STATE(8940), 1,
      sym_annotated_type,
    STATE(10544), 1,
      sym__non_null_literal,
    STATE(10545), 1,
      sym_literal_type,
    STATE(10805), 1,
      sym__type,
    STATE(10868), 1,
      sym_template_body,
    STATE(12487), 1,
      sym__infix_type_choice,
    STATE(15615), 1,
      sym_parameter_types,
    STATE(16426), 1,
      sym_stable_identifier,
    ACTIONS(6198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6202), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3575), 2,
      sym_comment,
      sym_block_comment,
    STATE(10082), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10638), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10774), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6081), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151650] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14952), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3576), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151771] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      sym__alpha_identifier,
    ACTIONS(6180), 1,
      anon_sym_COLON,
    ACTIONS(6182), 1,
      anon_sym_LBRACE,
    ACTIONS(6184), 1,
      anon_sym__,
    ACTIONS(6186), 1,
      anon_sym_LBRACK,
    ACTIONS(6190), 1,
      anon_sym_LPAREN,
    ACTIONS(6192), 1,
      sym__backquoted_id,
    ACTIONS(6194), 1,
      sym_operator_identifier,
    ACTIONS(6196), 1,
      sym_integer_literal,
    STATE(5255), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5650), 1,
      sym__soft_identifier,
    STATE(5679), 1,
      sym__annotated_type,
    STATE(8940), 1,
      sym_annotated_type,
    STATE(10544), 1,
      sym__non_null_literal,
    STATE(10545), 1,
      sym_literal_type,
    STATE(10809), 1,
      sym__type,
    STATE(10868), 1,
      sym_template_body,
    STATE(12487), 1,
      sym__infix_type_choice,
    STATE(15615), 1,
      sym_parameter_types,
    STATE(16426), 1,
      sym_stable_identifier,
    ACTIONS(6198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6202), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3577), 2,
      sym_comment,
      sym_block_comment,
    STATE(10082), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10638), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10774), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6081), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [151892] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15620), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3578), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152013] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6640), 1,
      sym__alpha_identifier,
    ACTIONS(6642), 1,
      anon_sym__,
    ACTIONS(6644), 1,
      anon_sym_LBRACK,
    ACTIONS(6648), 1,
      anon_sym_LPAREN,
    ACTIONS(6650), 1,
      sym__backquoted_id,
    ACTIONS(6652), 1,
      sym_operator_identifier,
    ACTIONS(6654), 1,
      sym_integer_literal,
    STATE(5786), 1,
      sym__simple_type,
    STATE(6148), 1,
      sym__annotated_type,
    STATE(6211), 1,
      sym__soft_identifier,
    STATE(6365), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_annotated_type,
    STATE(11032), 1,
      sym_literal_type,
    STATE(11117), 1,
      sym__non_null_literal,
    STATE(11922), 1,
      sym_template_body,
    STATE(12285), 1,
      sym__infix_type_choice,
    STATE(14131), 1,
      sym__type,
    STATE(15605), 1,
      sym_parameter_types,
    STATE(16931), 1,
      sym_stable_identifier,
    ACTIONS(6656), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6658), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6660), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3579), 2,
      sym_comment,
      sym_block_comment,
    STATE(10542), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11125), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6646), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7122), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152134] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15614), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3580), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152255] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15728), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3581), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152376] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1344), 1,
      sym_integer_literal,
    ACTIONS(6578), 1,
      anon_sym_COLON,
    ACTIONS(6580), 1,
      anon_sym_LBRACE,
    ACTIONS(6690), 1,
      sym__alpha_identifier,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6694), 1,
      anon_sym_LBRACK,
    ACTIONS(6698), 1,
      anon_sym_LPAREN,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    STATE(5517), 1,
      sym__annotated_type,
    STATE(5785), 1,
      sym__simple_type,
    STATE(6230), 1,
      sym_identifier,
    STATE(6303), 1,
      sym__soft_identifier,
    STATE(9290), 1,
      sym_annotated_type,
    STATE(10789), 1,
      sym_literal_type,
    STATE(10794), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11448), 1,
      sym__type,
    STATE(12589), 1,
      sym__infix_type_choice,
    STATE(15552), 1,
      sym_parameter_types,
    STATE(17092), 1,
      sym_stable_identifier,
    ACTIONS(1346), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1348), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1352), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3582), 2,
      sym_comment,
      sym_block_comment,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8942), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10326), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6693), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152497] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1948), 1,
      sym_integer_literal,
    ACTIONS(6516), 1,
      anon_sym_COLON,
    ACTIONS(6518), 1,
      anon_sym_LBRACE,
    ACTIONS(6602), 1,
      sym__alpha_identifier,
    ACTIONS(6604), 1,
      anon_sym__,
    ACTIONS(6606), 1,
      anon_sym_LBRACK,
    ACTIONS(6610), 1,
      anon_sym_LPAREN,
    ACTIONS(6612), 1,
      sym__backquoted_id,
    ACTIONS(6614), 1,
      sym_operator_identifier,
    STATE(6907), 1,
      sym__annotated_type,
    STATE(7224), 1,
      sym__simple_type,
    STATE(7451), 1,
      sym__soft_identifier,
    STATE(7808), 1,
      sym_identifier,
    STATE(9732), 1,
      sym_annotated_type,
    STATE(11311), 1,
      sym__non_null_literal,
    STATE(11316), 1,
      sym_literal_type,
    STATE(11848), 1,
      sym_template_body,
    STATE(11928), 1,
      sym__type,
    STATE(12512), 1,
      sym__infix_type_choice,
    STATE(15553), 1,
      sym_parameter_types,
    STATE(17104), 1,
      sym_stable_identifier,
    ACTIONS(1950), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1952), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1956), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3583), 2,
      sym_comment,
      sym_block_comment,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10026), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10706), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8708), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152618] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15580), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3584), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152739] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1948), 1,
      sym_integer_literal,
    ACTIONS(6516), 1,
      anon_sym_COLON,
    ACTIONS(6518), 1,
      anon_sym_LBRACE,
    ACTIONS(6602), 1,
      sym__alpha_identifier,
    ACTIONS(6604), 1,
      anon_sym__,
    ACTIONS(6606), 1,
      anon_sym_LBRACK,
    ACTIONS(6610), 1,
      anon_sym_LPAREN,
    ACTIONS(6612), 1,
      sym__backquoted_id,
    ACTIONS(6614), 1,
      sym_operator_identifier,
    STATE(6907), 1,
      sym__annotated_type,
    STATE(7224), 1,
      sym__simple_type,
    STATE(7451), 1,
      sym__soft_identifier,
    STATE(7808), 1,
      sym_identifier,
    STATE(9732), 1,
      sym_annotated_type,
    STATE(11311), 1,
      sym__non_null_literal,
    STATE(11316), 1,
      sym_literal_type,
    STATE(11848), 1,
      sym_template_body,
    STATE(11859), 1,
      sym__type,
    STATE(12512), 1,
      sym__infix_type_choice,
    STATE(15553), 1,
      sym_parameter_types,
    STATE(17104), 1,
      sym_stable_identifier,
    ACTIONS(1950), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1952), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1956), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3585), 2,
      sym_comment,
      sym_block_comment,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10026), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10706), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8708), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152860] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1948), 1,
      sym_integer_literal,
    ACTIONS(6516), 1,
      anon_sym_COLON,
    ACTIONS(6518), 1,
      anon_sym_LBRACE,
    ACTIONS(6602), 1,
      sym__alpha_identifier,
    ACTIONS(6604), 1,
      anon_sym__,
    ACTIONS(6606), 1,
      anon_sym_LBRACK,
    ACTIONS(6610), 1,
      anon_sym_LPAREN,
    ACTIONS(6612), 1,
      sym__backquoted_id,
    ACTIONS(6614), 1,
      sym_operator_identifier,
    STATE(6907), 1,
      sym__annotated_type,
    STATE(7224), 1,
      sym__simple_type,
    STATE(7451), 1,
      sym__soft_identifier,
    STATE(7808), 1,
      sym_identifier,
    STATE(9732), 1,
      sym_annotated_type,
    STATE(11311), 1,
      sym__non_null_literal,
    STATE(11316), 1,
      sym_literal_type,
    STATE(11848), 1,
      sym_template_body,
    STATE(11852), 1,
      sym__type,
    STATE(12512), 1,
      sym__infix_type_choice,
    STATE(15553), 1,
      sym_parameter_types,
    STATE(17104), 1,
      sym_stable_identifier,
    ACTIONS(1950), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1952), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1956), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3586), 2,
      sym_comment,
      sym_block_comment,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10026), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10706), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8708), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [152981] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1948), 1,
      sym_integer_literal,
    ACTIONS(6516), 1,
      anon_sym_COLON,
    ACTIONS(6518), 1,
      anon_sym_LBRACE,
    ACTIONS(6602), 1,
      sym__alpha_identifier,
    ACTIONS(6604), 1,
      anon_sym__,
    ACTIONS(6606), 1,
      anon_sym_LBRACK,
    ACTIONS(6610), 1,
      anon_sym_LPAREN,
    ACTIONS(6612), 1,
      sym__backquoted_id,
    ACTIONS(6614), 1,
      sym_operator_identifier,
    STATE(6907), 1,
      sym__annotated_type,
    STATE(7224), 1,
      sym__simple_type,
    STATE(7451), 1,
      sym__soft_identifier,
    STATE(7808), 1,
      sym_identifier,
    STATE(9732), 1,
      sym_annotated_type,
    STATE(11311), 1,
      sym__non_null_literal,
    STATE(11316), 1,
      sym_literal_type,
    STATE(11840), 1,
      sym__type,
    STATE(11848), 1,
      sym_template_body,
    STATE(12512), 1,
      sym__infix_type_choice,
    STATE(15553), 1,
      sym_parameter_types,
    STATE(17104), 1,
      sym_stable_identifier,
    ACTIONS(1950), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1952), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1956), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3587), 2,
      sym_comment,
      sym_block_comment,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10026), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10706), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8708), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153102] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14955), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3588), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153223] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15559), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3589), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153344] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1948), 1,
      sym_integer_literal,
    ACTIONS(6516), 1,
      anon_sym_COLON,
    ACTIONS(6518), 1,
      anon_sym_LBRACE,
    ACTIONS(6602), 1,
      sym__alpha_identifier,
    ACTIONS(6604), 1,
      anon_sym__,
    ACTIONS(6606), 1,
      anon_sym_LBRACK,
    ACTIONS(6610), 1,
      anon_sym_LPAREN,
    ACTIONS(6612), 1,
      sym__backquoted_id,
    ACTIONS(6614), 1,
      sym_operator_identifier,
    STATE(6907), 1,
      sym__annotated_type,
    STATE(7224), 1,
      sym__simple_type,
    STATE(7451), 1,
      sym__soft_identifier,
    STATE(7808), 1,
      sym_identifier,
    STATE(9732), 1,
      sym_annotated_type,
    STATE(11311), 1,
      sym__non_null_literal,
    STATE(11316), 1,
      sym_literal_type,
    STATE(11848), 1,
      sym_template_body,
    STATE(12155), 1,
      sym__type,
    STATE(12512), 1,
      sym__infix_type_choice,
    STATE(15553), 1,
      sym_parameter_types,
    STATE(17104), 1,
      sym_stable_identifier,
    ACTIONS(1950), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1952), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1956), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3590), 2,
      sym_comment,
      sym_block_comment,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10026), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10706), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8708), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153465] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(922), 1,
      sym_integer_literal,
    ACTIONS(6576), 1,
      sym__alpha_identifier,
    ACTIONS(6578), 1,
      anon_sym_COLON,
    ACTIONS(6580), 1,
      anon_sym_LBRACE,
    ACTIONS(6582), 1,
      anon_sym__,
    ACTIONS(6584), 1,
      anon_sym_LBRACK,
    ACTIONS(6588), 1,
      anon_sym_LPAREN,
    ACTIONS(6590), 1,
      sym__backquoted_id,
    ACTIONS(6592), 1,
      sym_operator_identifier,
    STATE(4454), 1,
      sym__simple_type,
    STATE(4461), 1,
      sym__annotated_type,
    STATE(4474), 1,
      sym_identifier,
    STATE(4509), 1,
      sym__soft_identifier,
    STATE(5690), 1,
      sym_annotated_type,
    STATE(9167), 1,
      sym_literal_type,
    STATE(9243), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11401), 1,
      sym__type,
    STATE(12634), 1,
      sym__infix_type_choice,
    STATE(15607), 1,
      sym_parameter_types,
    STATE(17122), 1,
      sym_stable_identifier,
    ACTIONS(924), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(926), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(930), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3591), 2,
      sym_comment,
      sym_block_comment,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5634), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7492), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153586] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(922), 1,
      sym_integer_literal,
    ACTIONS(6576), 1,
      sym__alpha_identifier,
    ACTIONS(6578), 1,
      anon_sym_COLON,
    ACTIONS(6580), 1,
      anon_sym_LBRACE,
    ACTIONS(6582), 1,
      anon_sym__,
    ACTIONS(6584), 1,
      anon_sym_LBRACK,
    ACTIONS(6588), 1,
      anon_sym_LPAREN,
    ACTIONS(6590), 1,
      sym__backquoted_id,
    ACTIONS(6592), 1,
      sym_operator_identifier,
    STATE(4454), 1,
      sym__simple_type,
    STATE(4461), 1,
      sym__annotated_type,
    STATE(4474), 1,
      sym_identifier,
    STATE(4509), 1,
      sym__soft_identifier,
    STATE(5690), 1,
      sym_annotated_type,
    STATE(9167), 1,
      sym_literal_type,
    STATE(9243), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11396), 1,
      sym__type,
    STATE(12634), 1,
      sym__infix_type_choice,
    STATE(15607), 1,
      sym_parameter_types,
    STATE(17122), 1,
      sym_stable_identifier,
    ACTIONS(924), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(926), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(930), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3592), 2,
      sym_comment,
      sym_block_comment,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5634), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7492), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153707] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6130), 1,
      anon_sym_LBRACK,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(14223), 1,
      sym__type,
    STATE(15383), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3593), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153828] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(922), 1,
      sym_integer_literal,
    ACTIONS(6576), 1,
      sym__alpha_identifier,
    ACTIONS(6578), 1,
      anon_sym_COLON,
    ACTIONS(6580), 1,
      anon_sym_LBRACE,
    ACTIONS(6582), 1,
      anon_sym__,
    ACTIONS(6584), 1,
      anon_sym_LBRACK,
    ACTIONS(6588), 1,
      anon_sym_LPAREN,
    ACTIONS(6590), 1,
      sym__backquoted_id,
    ACTIONS(6592), 1,
      sym_operator_identifier,
    STATE(4454), 1,
      sym__simple_type,
    STATE(4461), 1,
      sym__annotated_type,
    STATE(4474), 1,
      sym_identifier,
    STATE(4509), 1,
      sym__soft_identifier,
    STATE(5690), 1,
      sym_annotated_type,
    STATE(9167), 1,
      sym_literal_type,
    STATE(9243), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11394), 1,
      sym__type,
    STATE(12634), 1,
      sym__infix_type_choice,
    STATE(15607), 1,
      sym_parameter_types,
    STATE(17122), 1,
      sym_stable_identifier,
    ACTIONS(924), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(926), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(930), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3594), 2,
      sym_comment,
      sym_block_comment,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5634), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7492), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [153949] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6544), 1,
      anon_sym_LBRACK,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(14706), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3595), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154070] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3310), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6116), 1,
      anon_sym_COLON,
    ACTIONS(6118), 1,
      anon_sym_LBRACE,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9744), 1,
      sym__annotated_type,
    STATE(12458), 1,
      sym__infix_type_choice,
    STATE(12646), 1,
      sym_literal_type,
    STATE(12752), 1,
      sym__non_null_literal,
    STATE(15687), 1,
      sym_parameter_types,
    STATE(16534), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17873), 1,
      sym_template_body,
    ACTIONS(3312), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(3314), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3318), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3596), 2,
      sym_comment,
      sym_block_comment,
    STATE(10679), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12430), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(17874), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(17549), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154191] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(922), 1,
      sym_integer_literal,
    ACTIONS(6576), 1,
      sym__alpha_identifier,
    ACTIONS(6578), 1,
      anon_sym_COLON,
    ACTIONS(6580), 1,
      anon_sym_LBRACE,
    ACTIONS(6582), 1,
      anon_sym__,
    ACTIONS(6584), 1,
      anon_sym_LBRACK,
    ACTIONS(6588), 1,
      anon_sym_LPAREN,
    ACTIONS(6590), 1,
      sym__backquoted_id,
    ACTIONS(6592), 1,
      sym_operator_identifier,
    STATE(4454), 1,
      sym__simple_type,
    STATE(4461), 1,
      sym__annotated_type,
    STATE(4474), 1,
      sym_identifier,
    STATE(4509), 1,
      sym__soft_identifier,
    STATE(5690), 1,
      sym_annotated_type,
    STATE(9167), 1,
      sym_literal_type,
    STATE(9243), 1,
      sym__non_null_literal,
    STATE(11238), 1,
      sym_template_body,
    STATE(11393), 1,
      sym__type,
    STATE(12634), 1,
      sym__infix_type_choice,
    STATE(15607), 1,
      sym_parameter_types,
    STATE(17122), 1,
      sym_stable_identifier,
    ACTIONS(924), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(926), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(930), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3597), 2,
      sym_comment,
      sym_block_comment,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(5634), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7492), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11285), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154312] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15445), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3598), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154433] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15193), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3599), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154554] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15582), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3600), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154675] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17519), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3601), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154796] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15576), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3602), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [154917] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15363), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3603), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155038] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(11834), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3604), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155159] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6218), 1,
      sym__alpha_identifier,
    ACTIONS(6220), 1,
      anon_sym__,
    ACTIONS(6222), 1,
      anon_sym_LBRACK,
    ACTIONS(6226), 1,
      anon_sym_LPAREN,
    ACTIONS(6228), 1,
      sym__backquoted_id,
    ACTIONS(6230), 1,
      sym_operator_identifier,
    ACTIONS(6232), 1,
      sym_integer_literal,
    STATE(7714), 1,
      sym__simple_type,
    STATE(8360), 1,
      sym__soft_identifier,
    STATE(8457), 1,
      sym_identifier,
    STATE(8704), 1,
      sym__annotated_type,
    STATE(10600), 1,
      sym_annotated_type,
    STATE(11774), 1,
      sym__non_null_literal,
    STATE(11776), 1,
      sym_literal_type,
    STATE(11833), 1,
      sym_template_body,
    STATE(12381), 1,
      sym__infix_type_choice,
    STATE(14562), 1,
      sym__type,
    STATE(15603), 1,
      sym_parameter_types,
    STATE(16447), 1,
      sym_stable_identifier,
    ACTIONS(6234), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6236), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6238), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3605), 2,
      sym_comment,
      sym_block_comment,
    STATE(11093), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11605), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8869), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155280] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17520), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3606), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155401] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6544), 1,
      anon_sym_LBRACK,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(14707), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3607), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155522] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym_COLON,
    ACTIONS(6518), 1,
      anon_sym_LBRACE,
    ACTIONS(6520), 1,
      anon_sym__,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    ACTIONS(6526), 1,
      anon_sym_LPAREN,
    ACTIONS(6528), 1,
      sym__backquoted_id,
    ACTIONS(6530), 1,
      sym_operator_identifier,
    STATE(4623), 1,
      sym__simple_type,
    STATE(4708), 1,
      sym__annotated_type,
    STATE(4915), 1,
      sym__soft_identifier,
    STATE(4945), 1,
      sym_identifier,
    STATE(6830), 1,
      sym_annotated_type,
    STATE(9808), 1,
      sym_literal_type,
    STATE(10039), 1,
      sym__non_null_literal,
    STATE(11848), 1,
      sym_template_body,
    STATE(11928), 1,
      sym__type,
    STATE(12579), 1,
      sym__infix_type_choice,
    STATE(15608), 1,
      sym_parameter_types,
    STATE(17128), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3608), 2,
      sym_comment,
      sym_block_comment,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7200), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9139), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5212), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155643] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym_COLON,
    ACTIONS(6518), 1,
      anon_sym_LBRACE,
    ACTIONS(6520), 1,
      anon_sym__,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    ACTIONS(6526), 1,
      anon_sym_LPAREN,
    ACTIONS(6528), 1,
      sym__backquoted_id,
    ACTIONS(6530), 1,
      sym_operator_identifier,
    STATE(4623), 1,
      sym__simple_type,
    STATE(4708), 1,
      sym__annotated_type,
    STATE(4915), 1,
      sym__soft_identifier,
    STATE(4945), 1,
      sym_identifier,
    STATE(6830), 1,
      sym_annotated_type,
    STATE(9808), 1,
      sym_literal_type,
    STATE(10039), 1,
      sym__non_null_literal,
    STATE(11848), 1,
      sym_template_body,
    STATE(11859), 1,
      sym__type,
    STATE(12579), 1,
      sym__infix_type_choice,
    STATE(15608), 1,
      sym_parameter_types,
    STATE(17128), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3609), 2,
      sym_comment,
      sym_block_comment,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7200), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9139), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5212), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155764] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym_COLON,
    ACTIONS(6518), 1,
      anon_sym_LBRACE,
    ACTIONS(6520), 1,
      anon_sym__,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    ACTIONS(6526), 1,
      anon_sym_LPAREN,
    ACTIONS(6528), 1,
      sym__backquoted_id,
    ACTIONS(6530), 1,
      sym_operator_identifier,
    STATE(4623), 1,
      sym__simple_type,
    STATE(4708), 1,
      sym__annotated_type,
    STATE(4915), 1,
      sym__soft_identifier,
    STATE(4945), 1,
      sym_identifier,
    STATE(6830), 1,
      sym_annotated_type,
    STATE(9808), 1,
      sym_literal_type,
    STATE(10039), 1,
      sym__non_null_literal,
    STATE(11848), 1,
      sym_template_body,
    STATE(11852), 1,
      sym__type,
    STATE(12579), 1,
      sym__infix_type_choice,
    STATE(15608), 1,
      sym_parameter_types,
    STATE(17128), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3610), 2,
      sym_comment,
      sym_block_comment,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7200), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9139), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5212), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [155885] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6544), 1,
      anon_sym_LBRACK,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(14708), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3611), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156006] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1538), 1,
      sym_integer_literal,
    ACTIONS(6554), 1,
      sym__alpha_identifier,
    ACTIONS(6556), 1,
      anon_sym_COLON,
    ACTIONS(6558), 1,
      anon_sym_LBRACE,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6562), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 1,
      anon_sym_LPAREN,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    STATE(5244), 1,
      sym__simple_type,
    STATE(5385), 1,
      sym__annotated_type,
    STATE(5508), 1,
      sym_identifier,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(8215), 1,
      sym_annotated_type,
    STATE(10622), 1,
      sym__non_null_literal,
    STATE(10651), 1,
      sym_literal_type,
    STATE(12192), 1,
      sym__infix_type_choice,
    STATE(13289), 1,
      sym_template_body,
    STATE(13433), 1,
      sym__type,
    STATE(15461), 1,
      sym_parameter_types,
    STATE(16819), 1,
      sym_stable_identifier,
    ACTIONS(1540), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1542), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1546), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3612), 2,
      sym_comment,
      sym_block_comment,
    STATE(8382), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8477), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9785), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13177), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6312), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156127] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym_COLON,
    ACTIONS(6518), 1,
      anon_sym_LBRACE,
    ACTIONS(6520), 1,
      anon_sym__,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    ACTIONS(6526), 1,
      anon_sym_LPAREN,
    ACTIONS(6528), 1,
      sym__backquoted_id,
    ACTIONS(6530), 1,
      sym_operator_identifier,
    STATE(4623), 1,
      sym__simple_type,
    STATE(4708), 1,
      sym__annotated_type,
    STATE(4915), 1,
      sym__soft_identifier,
    STATE(4945), 1,
      sym_identifier,
    STATE(6830), 1,
      sym_annotated_type,
    STATE(9808), 1,
      sym_literal_type,
    STATE(10039), 1,
      sym__non_null_literal,
    STATE(11840), 1,
      sym__type,
    STATE(11848), 1,
      sym_template_body,
    STATE(12579), 1,
      sym__infix_type_choice,
    STATE(15608), 1,
      sym_parameter_types,
    STATE(17128), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3613), 2,
      sym_comment,
      sym_block_comment,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7200), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9139), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5212), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156248] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(6594), 1,
      anon_sym_LBRACK,
    STATE(6684), 1,
      sym__simple_type,
    STATE(7597), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(11193), 1,
      sym__type,
    STATE(12510), 1,
      sym__infix_type_choice,
    STATE(15492), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3614), 2,
      sym_comment,
      sym_block_comment,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156369] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(6594), 1,
      anon_sym_LBRACK,
    STATE(6684), 1,
      sym__simple_type,
    STATE(7597), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(11194), 1,
      sym__type,
    STATE(12510), 1,
      sym__infix_type_choice,
    STATE(15492), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3615), 2,
      sym_comment,
      sym_block_comment,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156490] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15296), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3616), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156611] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(6594), 1,
      anon_sym_LBRACK,
    STATE(6684), 1,
      sym__simple_type,
    STATE(7597), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(11195), 1,
      sym__type,
    STATE(12510), 1,
      sym__infix_type_choice,
    STATE(15492), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3617), 2,
      sym_comment,
      sym_block_comment,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156732] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(6594), 1,
      anon_sym_LBRACK,
    STATE(6684), 1,
      sym__simple_type,
    STATE(7597), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(11204), 1,
      sym__type,
    STATE(12510), 1,
      sym__infix_type_choice,
    STATE(15492), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3618), 2,
      sym_comment,
      sym_block_comment,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156853] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(6594), 1,
      anon_sym_LBRACK,
    STATE(6684), 1,
      sym__simple_type,
    STATE(7597), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(11307), 1,
      sym__type,
    STATE(12510), 1,
      sym__infix_type_choice,
    STATE(15492), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3619), 2,
      sym_comment,
      sym_block_comment,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [156974] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(11847), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3620), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157095] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15408), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3621), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157216] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(11378), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3622), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157337] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(11386), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3623), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157458] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15019), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3624), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157579] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(11402), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3625), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157700] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15182), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3626), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157821] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15555), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3627), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [157942] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1138), 1,
      sym_integer_literal,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6516), 1,
      anon_sym_COLON,
    ACTIONS(6518), 1,
      anon_sym_LBRACE,
    ACTIONS(6520), 1,
      anon_sym__,
    ACTIONS(6522), 1,
      anon_sym_LBRACK,
    ACTIONS(6526), 1,
      anon_sym_LPAREN,
    ACTIONS(6528), 1,
      sym__backquoted_id,
    ACTIONS(6530), 1,
      sym_operator_identifier,
    STATE(4623), 1,
      sym__simple_type,
    STATE(4708), 1,
      sym__annotated_type,
    STATE(4915), 1,
      sym__soft_identifier,
    STATE(4945), 1,
      sym_identifier,
    STATE(6830), 1,
      sym_annotated_type,
    STATE(9808), 1,
      sym_literal_type,
    STATE(10039), 1,
      sym__non_null_literal,
    STATE(11848), 1,
      sym_template_body,
    STATE(12155), 1,
      sym__type,
    STATE(12579), 1,
      sym__infix_type_choice,
    STATE(15608), 1,
      sym_parameter_types,
    STATE(17128), 1,
      sym_stable_identifier,
    ACTIONS(1140), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1142), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1146), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3628), 2,
      sym_comment,
      sym_block_comment,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7200), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9139), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12023), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5212), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158063] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(11421), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3629), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158184] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15543), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3630), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158305] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6490), 1,
      sym__alpha_identifier,
    ACTIONS(6492), 1,
      anon_sym_COLON,
    ACTIONS(6494), 1,
      anon_sym_LBRACE,
    ACTIONS(6496), 1,
      anon_sym__,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    ACTIONS(6502), 1,
      anon_sym_LPAREN,
    ACTIONS(6504), 1,
      sym__backquoted_id,
    ACTIONS(6506), 1,
      sym_operator_identifier,
    STATE(4654), 1,
      sym__simple_type,
    STATE(4676), 1,
      sym__annotated_type,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(4933), 1,
      sym_identifier,
    STATE(6800), 1,
      sym_annotated_type,
    STATE(9748), 1,
      sym_literal_type,
    STATE(10027), 1,
      sym__non_null_literal,
    STATE(12467), 1,
      sym_template_body,
    STATE(12525), 1,
      sym__infix_type_choice,
    STATE(12602), 1,
      sym__type,
    STATE(15468), 1,
      sym_parameter_types,
    STATE(17140), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3631), 2,
      sym_comment,
      sym_block_comment,
    STATE(6958), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9073), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12556), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158426] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6490), 1,
      sym__alpha_identifier,
    ACTIONS(6492), 1,
      anon_sym_COLON,
    ACTIONS(6494), 1,
      anon_sym_LBRACE,
    ACTIONS(6496), 1,
      anon_sym__,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    ACTIONS(6502), 1,
      anon_sym_LPAREN,
    ACTIONS(6504), 1,
      sym__backquoted_id,
    ACTIONS(6506), 1,
      sym_operator_identifier,
    STATE(4654), 1,
      sym__simple_type,
    STATE(4676), 1,
      sym__annotated_type,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(4933), 1,
      sym_identifier,
    STATE(6800), 1,
      sym_annotated_type,
    STATE(9748), 1,
      sym_literal_type,
    STATE(10027), 1,
      sym__non_null_literal,
    STATE(12467), 1,
      sym_template_body,
    STATE(12525), 1,
      sym__infix_type_choice,
    STATE(12560), 1,
      sym__type,
    STATE(15468), 1,
      sym_parameter_types,
    STATE(17140), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3632), 2,
      sym_comment,
      sym_block_comment,
    STATE(6958), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9073), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12556), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158547] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6490), 1,
      sym__alpha_identifier,
    ACTIONS(6492), 1,
      anon_sym_COLON,
    ACTIONS(6494), 1,
      anon_sym_LBRACE,
    ACTIONS(6496), 1,
      anon_sym__,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    ACTIONS(6502), 1,
      anon_sym_LPAREN,
    ACTIONS(6504), 1,
      sym__backquoted_id,
    ACTIONS(6506), 1,
      sym_operator_identifier,
    STATE(4654), 1,
      sym__simple_type,
    STATE(4676), 1,
      sym__annotated_type,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(4933), 1,
      sym_identifier,
    STATE(6800), 1,
      sym_annotated_type,
    STATE(9748), 1,
      sym_literal_type,
    STATE(10027), 1,
      sym__non_null_literal,
    STATE(12467), 1,
      sym_template_body,
    STATE(12525), 1,
      sym__infix_type_choice,
    STATE(12619), 1,
      sym__type,
    STATE(15468), 1,
      sym_parameter_types,
    STATE(17140), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3633), 2,
      sym_comment,
      sym_block_comment,
    STATE(6958), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9073), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12556), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158668] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6490), 1,
      sym__alpha_identifier,
    ACTIONS(6492), 1,
      anon_sym_COLON,
    ACTIONS(6494), 1,
      anon_sym_LBRACE,
    ACTIONS(6496), 1,
      anon_sym__,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    ACTIONS(6502), 1,
      anon_sym_LPAREN,
    ACTIONS(6504), 1,
      sym__backquoted_id,
    ACTIONS(6506), 1,
      sym_operator_identifier,
    STATE(4654), 1,
      sym__simple_type,
    STATE(4676), 1,
      sym__annotated_type,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(4933), 1,
      sym_identifier,
    STATE(6800), 1,
      sym_annotated_type,
    STATE(9748), 1,
      sym_literal_type,
    STATE(10027), 1,
      sym__non_null_literal,
    STATE(12467), 1,
      sym_template_body,
    STATE(12520), 1,
      sym__type,
    STATE(12525), 1,
      sym__infix_type_choice,
    STATE(15468), 1,
      sym_parameter_types,
    STATE(17140), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3634), 2,
      sym_comment,
      sym_block_comment,
    STATE(6958), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9073), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12556), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158789] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17579), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3635), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [158910] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17585), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3636), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159031] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15162), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3637), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159152] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1030), 1,
      sym_integer_literal,
    ACTIONS(6490), 1,
      sym__alpha_identifier,
    ACTIONS(6492), 1,
      anon_sym_COLON,
    ACTIONS(6494), 1,
      anon_sym_LBRACE,
    ACTIONS(6496), 1,
      anon_sym__,
    ACTIONS(6498), 1,
      anon_sym_LBRACK,
    ACTIONS(6502), 1,
      anon_sym_LPAREN,
    ACTIONS(6504), 1,
      sym__backquoted_id,
    ACTIONS(6506), 1,
      sym_operator_identifier,
    STATE(4654), 1,
      sym__simple_type,
    STATE(4676), 1,
      sym__annotated_type,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(4933), 1,
      sym_identifier,
    STATE(6800), 1,
      sym_annotated_type,
    STATE(9748), 1,
      sym_literal_type,
    STATE(10027), 1,
      sym__non_null_literal,
    STATE(12349), 1,
      sym__type,
    STATE(12467), 1,
      sym_template_body,
    STATE(12525), 1,
      sym__infix_type_choice,
    STATE(15468), 1,
      sym_parameter_types,
    STATE(17140), 1,
      sym_stable_identifier,
    ACTIONS(1032), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1034), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1038), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3638), 2,
      sym_comment,
      sym_block_comment,
    STATE(6958), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9073), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12556), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159273] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6544), 1,
      anon_sym_LBRACK,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(14709), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3639), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159394] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14734), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3640), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159515] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1860), 1,
      sym_integer_literal,
    ACTIONS(6466), 1,
      sym__alpha_identifier,
    ACTIONS(6468), 1,
      anon_sym_COLON,
    ACTIONS(6470), 1,
      anon_sym_LBRACE,
    ACTIONS(6472), 1,
      anon_sym__,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6480), 1,
      sym__backquoted_id,
    ACTIONS(6482), 1,
      sym_operator_identifier,
    STATE(5615), 1,
      sym__annotated_type,
    STATE(5848), 1,
      sym__simple_type,
    STATE(6334), 1,
      sym__soft_identifier,
    STATE(6648), 1,
      sym_identifier,
    STATE(9013), 1,
      sym_annotated_type,
    STATE(10736), 1,
      sym__non_null_literal,
    STATE(10824), 1,
      sym_literal_type,
    STATE(12418), 1,
      sym__infix_type_choice,
    STATE(13526), 1,
      sym_template_body,
    STATE(13534), 1,
      sym__type,
    STATE(15469), 1,
      sym_parameter_types,
    STATE(17152), 1,
      sym_stable_identifier,
    ACTIONS(1862), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1864), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3641), 2,
      sym_comment,
      sym_block_comment,
    STATE(8727), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9303), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10281), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13512), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6821), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159636] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1860), 1,
      sym_integer_literal,
    ACTIONS(6466), 1,
      sym__alpha_identifier,
    ACTIONS(6468), 1,
      anon_sym_COLON,
    ACTIONS(6470), 1,
      anon_sym_LBRACE,
    ACTIONS(6472), 1,
      anon_sym__,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6480), 1,
      sym__backquoted_id,
    ACTIONS(6482), 1,
      sym_operator_identifier,
    STATE(5615), 1,
      sym__annotated_type,
    STATE(5848), 1,
      sym__simple_type,
    STATE(6334), 1,
      sym__soft_identifier,
    STATE(6648), 1,
      sym_identifier,
    STATE(9013), 1,
      sym_annotated_type,
    STATE(10736), 1,
      sym__non_null_literal,
    STATE(10824), 1,
      sym_literal_type,
    STATE(12418), 1,
      sym__infix_type_choice,
    STATE(13526), 1,
      sym_template_body,
    STATE(13571), 1,
      sym__type,
    STATE(15469), 1,
      sym_parameter_types,
    STATE(17152), 1,
      sym_stable_identifier,
    ACTIONS(1862), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1864), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3642), 2,
      sym_comment,
      sym_block_comment,
    STATE(8727), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9303), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10281), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13512), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6821), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159757] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6544), 1,
      anon_sym_LBRACK,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(14710), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3643), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159878] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6176), 1,
      anon_sym_LBRACK,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9168), 1,
      sym__annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12405), 1,
      sym__infix_type_choice,
    STATE(15548), 1,
      sym_parameter_types,
    STATE(15794), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3644), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [159999] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15516), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3645), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160120] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1860), 1,
      sym_integer_literal,
    ACTIONS(6466), 1,
      sym__alpha_identifier,
    ACTIONS(6468), 1,
      anon_sym_COLON,
    ACTIONS(6470), 1,
      anon_sym_LBRACE,
    ACTIONS(6472), 1,
      anon_sym__,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6480), 1,
      sym__backquoted_id,
    ACTIONS(6482), 1,
      sym_operator_identifier,
    STATE(5615), 1,
      sym__annotated_type,
    STATE(5848), 1,
      sym__simple_type,
    STATE(6334), 1,
      sym__soft_identifier,
    STATE(6648), 1,
      sym_identifier,
    STATE(9013), 1,
      sym_annotated_type,
    STATE(10736), 1,
      sym__non_null_literal,
    STATE(10824), 1,
      sym_literal_type,
    STATE(12418), 1,
      sym__infix_type_choice,
    STATE(13526), 1,
      sym_template_body,
    STATE(13573), 1,
      sym__type,
    STATE(15469), 1,
      sym_parameter_types,
    STATE(17152), 1,
      sym_stable_identifier,
    ACTIONS(1862), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1864), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3646), 2,
      sym_comment,
      sym_block_comment,
    STATE(8727), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9303), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10281), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13512), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6821), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160241] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1860), 1,
      sym_integer_literal,
    ACTIONS(6466), 1,
      sym__alpha_identifier,
    ACTIONS(6468), 1,
      anon_sym_COLON,
    ACTIONS(6470), 1,
      anon_sym_LBRACE,
    ACTIONS(6472), 1,
      anon_sym__,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6480), 1,
      sym__backquoted_id,
    ACTIONS(6482), 1,
      sym_operator_identifier,
    STATE(5615), 1,
      sym__annotated_type,
    STATE(5848), 1,
      sym__simple_type,
    STATE(6334), 1,
      sym__soft_identifier,
    STATE(6648), 1,
      sym_identifier,
    STATE(9013), 1,
      sym_annotated_type,
    STATE(10736), 1,
      sym__non_null_literal,
    STATE(10824), 1,
      sym_literal_type,
    STATE(12418), 1,
      sym__infix_type_choice,
    STATE(13457), 1,
      sym__type,
    STATE(13526), 1,
      sym_template_body,
    STATE(15469), 1,
      sym_parameter_types,
    STATE(17152), 1,
      sym_stable_identifier,
    ACTIONS(1862), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1864), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3647), 2,
      sym_comment,
      sym_block_comment,
    STATE(8727), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9303), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10281), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13512), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6821), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160362] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    ACTIONS(4586), 1,
      anon_sym_LBRACE,
    ACTIONS(4742), 1,
      sym__alpha_identifier,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4748), 1,
      anon_sym_LBRACK,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(4758), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    STATE(4446), 1,
      sym__annotated_type,
    STATE(4449), 1,
      sym__simple_type,
    STATE(4468), 1,
      sym__soft_identifier,
    STATE(4519), 1,
      sym_identifier,
    STATE(5492), 1,
      sym_annotated_type,
    STATE(8723), 1,
      sym_literal_type,
    STATE(8770), 1,
      sym__non_null_literal,
    STATE(11481), 1,
      sym_template_body,
    STATE(11622), 1,
      sym__type,
    STATE(12201), 1,
      sym__infix_type_choice,
    STATE(15473), 1,
      sym_parameter_types,
    STATE(17194), 1,
      sym_stable_identifier,
    ACTIONS(4760), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4762), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4764), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3648), 2,
      sym_comment,
      sym_block_comment,
    STATE(7532), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9021), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4627), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160483] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(8499), 1,
      sym__type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3649), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160604] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      sym__alpha_identifier,
    ACTIONS(6706), 1,
      anon_sym_COLON,
    ACTIONS(6708), 1,
      anon_sym_LBRACE,
    ACTIONS(6710), 1,
      anon_sym__,
    ACTIONS(6712), 1,
      anon_sym_LBRACK,
    ACTIONS(6716), 1,
      anon_sym_LPAREN,
    ACTIONS(6718), 1,
      sym__backquoted_id,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    ACTIONS(6722), 1,
      sym_integer_literal,
    STATE(5088), 1,
      sym__simple_type,
    STATE(5696), 1,
      sym_identifier,
    STATE(5777), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8713), 1,
      sym_annotated_type,
    STATE(10494), 1,
      sym__non_null_literal,
    STATE(10546), 1,
      sym_literal_type,
    STATE(10796), 1,
      sym_template_body,
    STATE(10927), 1,
      sym__type,
    STATE(12304), 1,
      sym__infix_type_choice,
    STATE(15322), 1,
      sym_parameter_types,
    STATE(16943), 1,
      sym_stable_identifier,
    ACTIONS(6724), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6726), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6728), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3650), 2,
      sym_comment,
      sym_block_comment,
    STATE(9955), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10463), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10748), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10751), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160725] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15512), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3651), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160846] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15185), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3652), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [160967] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1860), 1,
      sym_integer_literal,
    ACTIONS(6466), 1,
      sym__alpha_identifier,
    ACTIONS(6468), 1,
      anon_sym_COLON,
    ACTIONS(6470), 1,
      anon_sym_LBRACE,
    ACTIONS(6472), 1,
      anon_sym__,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(6480), 1,
      sym__backquoted_id,
    ACTIONS(6482), 1,
      sym_operator_identifier,
    STATE(5615), 1,
      sym__annotated_type,
    STATE(5848), 1,
      sym__simple_type,
    STATE(6334), 1,
      sym__soft_identifier,
    STATE(6648), 1,
      sym_identifier,
    STATE(9013), 1,
      sym_annotated_type,
    STATE(10736), 1,
      sym__non_null_literal,
    STATE(10824), 1,
      sym_literal_type,
    STATE(12418), 1,
      sym__infix_type_choice,
    STATE(13344), 1,
      sym__type,
    STATE(13526), 1,
      sym_template_body,
    STATE(15469), 1,
      sym_parameter_types,
    STATE(17152), 1,
      sym_stable_identifier,
    ACTIONS(1862), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1864), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1868), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3653), 2,
      sym_comment,
      sym_block_comment,
    STATE(8727), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9303), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10281), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13512), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6821), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161088] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4178), 1,
      sym__alpha_identifier,
    ACTIONS(4180), 1,
      anon_sym_COLON,
    ACTIONS(4182), 1,
      anon_sym_LBRACE,
    ACTIONS(4184), 1,
      anon_sym__,
    ACTIONS(4188), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      sym__backquoted_id,
    ACTIONS(4200), 1,
      sym_integer_literal,
    ACTIONS(6878), 1,
      anon_sym_LPAREN,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    STATE(4611), 1,
      sym__annotated_type,
    STATE(4641), 1,
      sym__simple_type,
    STATE(4787), 1,
      sym_identifier,
    STATE(4931), 1,
      sym__soft_identifier,
    STATE(6774), 1,
      sym_annotated_type,
    STATE(9765), 1,
      sym__non_null_literal,
    STATE(9911), 1,
      sym_literal_type,
    STATE(12397), 1,
      sym__infix_type_choice,
    STATE(12931), 1,
      sym_template_body,
    STATE(12976), 1,
      sym__type,
    STATE(15590), 1,
      sym_parameter_types,
    STATE(17164), 1,
      sym_stable_identifier,
    ACTIONS(4202), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4204), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4208), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3654), 2,
      sym_comment,
      sym_block_comment,
    STATE(8890), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9920), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12704), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12700), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5267), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161209] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4178), 1,
      sym__alpha_identifier,
    ACTIONS(4180), 1,
      anon_sym_COLON,
    ACTIONS(4182), 1,
      anon_sym_LBRACE,
    ACTIONS(4184), 1,
      anon_sym__,
    ACTIONS(4188), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      sym__backquoted_id,
    ACTIONS(4200), 1,
      sym_integer_literal,
    ACTIONS(6878), 1,
      anon_sym_LPAREN,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    STATE(4611), 1,
      sym__annotated_type,
    STATE(4641), 1,
      sym__simple_type,
    STATE(4787), 1,
      sym_identifier,
    STATE(4931), 1,
      sym__soft_identifier,
    STATE(6774), 1,
      sym_annotated_type,
    STATE(9765), 1,
      sym__non_null_literal,
    STATE(9911), 1,
      sym_literal_type,
    STATE(12397), 1,
      sym__infix_type_choice,
    STATE(12715), 1,
      sym__type,
    STATE(12931), 1,
      sym_template_body,
    STATE(15590), 1,
      sym_parameter_types,
    STATE(17164), 1,
      sym_stable_identifier,
    ACTIONS(4202), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4204), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4208), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3655), 2,
      sym_comment,
      sym_block_comment,
    STATE(8890), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9920), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12704), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12700), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5267), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161330] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4178), 1,
      sym__alpha_identifier,
    ACTIONS(4180), 1,
      anon_sym_COLON,
    ACTIONS(4182), 1,
      anon_sym_LBRACE,
    ACTIONS(4184), 1,
      anon_sym__,
    ACTIONS(4188), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      sym__backquoted_id,
    ACTIONS(4200), 1,
      sym_integer_literal,
    ACTIONS(6878), 1,
      anon_sym_LPAREN,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    STATE(4611), 1,
      sym__annotated_type,
    STATE(4641), 1,
      sym__simple_type,
    STATE(4787), 1,
      sym_identifier,
    STATE(4931), 1,
      sym__soft_identifier,
    STATE(6774), 1,
      sym_annotated_type,
    STATE(9765), 1,
      sym__non_null_literal,
    STATE(9911), 1,
      sym_literal_type,
    STATE(12397), 1,
      sym__infix_type_choice,
    STATE(12931), 1,
      sym_template_body,
    STATE(13014), 1,
      sym__type,
    STATE(15590), 1,
      sym_parameter_types,
    STATE(17164), 1,
      sym_stable_identifier,
    ACTIONS(4202), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4204), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4208), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3656), 2,
      sym_comment,
      sym_block_comment,
    STATE(8890), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9920), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12704), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12700), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5267), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161451] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11294), 1,
      sym__type,
    STATE(11318), 1,
      sym_template_body,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3657), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161572] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4178), 1,
      sym__alpha_identifier,
    ACTIONS(4180), 1,
      anon_sym_COLON,
    ACTIONS(4182), 1,
      anon_sym_LBRACE,
    ACTIONS(4184), 1,
      anon_sym__,
    ACTIONS(4188), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      sym__backquoted_id,
    ACTIONS(4200), 1,
      sym_integer_literal,
    ACTIONS(6878), 1,
      anon_sym_LPAREN,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    STATE(4611), 1,
      sym__annotated_type,
    STATE(4641), 1,
      sym__simple_type,
    STATE(4787), 1,
      sym_identifier,
    STATE(4931), 1,
      sym__soft_identifier,
    STATE(6774), 1,
      sym_annotated_type,
    STATE(9765), 1,
      sym__non_null_literal,
    STATE(9911), 1,
      sym_literal_type,
    STATE(12397), 1,
      sym__infix_type_choice,
    STATE(12931), 1,
      sym_template_body,
    STATE(12986), 1,
      sym__type,
    STATE(15590), 1,
      sym_parameter_types,
    STATE(17164), 1,
      sym_stable_identifier,
    ACTIONS(4202), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4204), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4208), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3658), 2,
      sym_comment,
      sym_block_comment,
    STATE(8890), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9920), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12704), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12700), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5267), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161693] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      sym__alpha_identifier,
    ACTIONS(6706), 1,
      anon_sym_COLON,
    ACTIONS(6708), 1,
      anon_sym_LBRACE,
    ACTIONS(6710), 1,
      anon_sym__,
    ACTIONS(6712), 1,
      anon_sym_LBRACK,
    ACTIONS(6716), 1,
      anon_sym_LPAREN,
    ACTIONS(6718), 1,
      sym__backquoted_id,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    ACTIONS(6722), 1,
      sym_integer_literal,
    STATE(5088), 1,
      sym__simple_type,
    STATE(5696), 1,
      sym_identifier,
    STATE(5777), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8713), 1,
      sym_annotated_type,
    STATE(10494), 1,
      sym__non_null_literal,
    STATE(10546), 1,
      sym_literal_type,
    STATE(10796), 1,
      sym_template_body,
    STATE(10826), 1,
      sym__type,
    STATE(12304), 1,
      sym__infix_type_choice,
    STATE(15322), 1,
      sym_parameter_types,
    STATE(16943), 1,
      sym_stable_identifier,
    ACTIONS(6724), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6726), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6728), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3659), 2,
      sym_comment,
      sym_block_comment,
    STATE(9955), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10463), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10748), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10751), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161814] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15167), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3660), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [161935] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4178), 1,
      sym__alpha_identifier,
    ACTIONS(4180), 1,
      anon_sym_COLON,
    ACTIONS(4182), 1,
      anon_sym_LBRACE,
    ACTIONS(4184), 1,
      anon_sym__,
    ACTIONS(4188), 1,
      anon_sym_LBRACK,
    ACTIONS(4196), 1,
      sym__backquoted_id,
    ACTIONS(4200), 1,
      sym_integer_literal,
    ACTIONS(6878), 1,
      anon_sym_LPAREN,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    STATE(4611), 1,
      sym__annotated_type,
    STATE(4641), 1,
      sym__simple_type,
    STATE(4787), 1,
      sym_identifier,
    STATE(4931), 1,
      sym__soft_identifier,
    STATE(6774), 1,
      sym_annotated_type,
    STATE(9765), 1,
      sym__non_null_literal,
    STATE(9911), 1,
      sym_literal_type,
    STATE(12397), 1,
      sym__infix_type_choice,
    STATE(12931), 1,
      sym_template_body,
    STATE(12939), 1,
      sym__type,
    STATE(15590), 1,
      sym_parameter_types,
    STATE(17164), 1,
      sym_stable_identifier,
    ACTIONS(4202), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4204), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4208), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3661), 2,
      sym_comment,
      sym_block_comment,
    STATE(8890), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9920), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12704), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12700), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5267), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162056] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(6616), 1,
      anon_sym_LBRACK,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(7016), 1,
      sym__annotated_type,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12297), 1,
      sym__infix_type_choice,
    STATE(14078), 1,
      sym__type,
    STATE(15653), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3662), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162177] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      sym__alpha_identifier,
    ACTIONS(6706), 1,
      anon_sym_COLON,
    ACTIONS(6708), 1,
      anon_sym_LBRACE,
    ACTIONS(6710), 1,
      anon_sym__,
    ACTIONS(6712), 1,
      anon_sym_LBRACK,
    ACTIONS(6716), 1,
      anon_sym_LPAREN,
    ACTIONS(6718), 1,
      sym__backquoted_id,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    ACTIONS(6722), 1,
      sym_integer_literal,
    STATE(5088), 1,
      sym__simple_type,
    STATE(5696), 1,
      sym_identifier,
    STATE(5777), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8713), 1,
      sym_annotated_type,
    STATE(10494), 1,
      sym__non_null_literal,
    STATE(10546), 1,
      sym_literal_type,
    STATE(10796), 1,
      sym_template_body,
    STATE(11103), 1,
      sym__type,
    STATE(12304), 1,
      sym__infix_type_choice,
    STATE(15322), 1,
      sym_parameter_types,
    STATE(16943), 1,
      sym_stable_identifier,
    ACTIONS(6724), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6726), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6728), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3663), 2,
      sym_comment,
      sym_block_comment,
    STATE(9955), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10463), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10748), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10751), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162298] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1396), 1,
      sym_integer_literal,
    ACTIONS(6356), 1,
      sym__alpha_identifier,
    ACTIONS(6358), 1,
      anon_sym_COLON,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6362), 1,
      anon_sym__,
    ACTIONS(6364), 1,
      anon_sym_LBRACK,
    ACTIONS(6368), 1,
      anon_sym_LPAREN,
    ACTIONS(6370), 1,
      sym__backquoted_id,
    ACTIONS(6372), 1,
      sym_operator_identifier,
    STATE(5698), 1,
      sym__annotated_type,
    STATE(5724), 1,
      sym__simple_type,
    STATE(6346), 1,
      sym__soft_identifier,
    STATE(6576), 1,
      sym_identifier,
    STATE(8939), 1,
      sym_annotated_type,
    STATE(10707), 1,
      sym__non_null_literal,
    STATE(10778), 1,
      sym_literal_type,
    STATE(12346), 1,
      sym__infix_type_choice,
    STATE(13399), 1,
      sym_template_body,
    STATE(13630), 1,
      sym__type,
    STATE(15470), 1,
      sym_parameter_types,
    STATE(17170), 1,
      sym_stable_identifier,
    ACTIONS(1398), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1400), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1404), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3664), 2,
      sym_comment,
      sym_block_comment,
    STATE(8909), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9224), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10335), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13444), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6916), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162419] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1396), 1,
      sym_integer_literal,
    ACTIONS(6356), 1,
      sym__alpha_identifier,
    ACTIONS(6358), 1,
      anon_sym_COLON,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6362), 1,
      anon_sym__,
    ACTIONS(6364), 1,
      anon_sym_LBRACK,
    ACTIONS(6368), 1,
      anon_sym_LPAREN,
    ACTIONS(6370), 1,
      sym__backquoted_id,
    ACTIONS(6372), 1,
      sym_operator_identifier,
    STATE(5698), 1,
      sym__annotated_type,
    STATE(5724), 1,
      sym__simple_type,
    STATE(6346), 1,
      sym__soft_identifier,
    STATE(6576), 1,
      sym_identifier,
    STATE(8939), 1,
      sym_annotated_type,
    STATE(10707), 1,
      sym__non_null_literal,
    STATE(10778), 1,
      sym_literal_type,
    STATE(12346), 1,
      sym__infix_type_choice,
    STATE(13399), 1,
      sym_template_body,
    STATE(13594), 1,
      sym__type,
    STATE(15470), 1,
      sym_parameter_types,
    STATE(17170), 1,
      sym_stable_identifier,
    ACTIONS(1398), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1400), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1404), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3665), 2,
      sym_comment,
      sym_block_comment,
    STATE(8909), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9224), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10335), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13444), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6916), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162540] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      sym__alpha_identifier,
    ACTIONS(6706), 1,
      anon_sym_COLON,
    ACTIONS(6708), 1,
      anon_sym_LBRACE,
    ACTIONS(6710), 1,
      anon_sym__,
    ACTIONS(6712), 1,
      anon_sym_LBRACK,
    ACTIONS(6716), 1,
      anon_sym_LPAREN,
    ACTIONS(6718), 1,
      sym__backquoted_id,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    ACTIONS(6722), 1,
      sym_integer_literal,
    STATE(5088), 1,
      sym__simple_type,
    STATE(5696), 1,
      sym_identifier,
    STATE(5777), 1,
      sym__soft_identifier,
    STATE(5973), 1,
      sym__annotated_type,
    STATE(8713), 1,
      sym_annotated_type,
    STATE(10494), 1,
      sym__non_null_literal,
    STATE(10546), 1,
      sym_literal_type,
    STATE(10796), 1,
      sym_template_body,
    STATE(11099), 1,
      sym__type,
    STATE(12304), 1,
      sym__infix_type_choice,
    STATE(15322), 1,
      sym_parameter_types,
    STATE(16943), 1,
      sym_stable_identifier,
    ACTIONS(6724), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6726), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6728), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3666), 2,
      sym_comment,
      sym_block_comment,
    STATE(9955), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10463), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10748), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10751), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162661] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(6276), 1,
      sym__alpha_identifier,
    ACTIONS(6278), 1,
      anon_sym__,
    ACTIONS(6280), 1,
      anon_sym_LBRACK,
    ACTIONS(6284), 1,
      anon_sym_LPAREN,
    ACTIONS(6286), 1,
      sym__backquoted_id,
    ACTIONS(6288), 1,
      sym_operator_identifier,
    ACTIONS(6290), 1,
      sym_integer_literal,
    STATE(7073), 1,
      sym__simple_type,
    STATE(7671), 1,
      sym__soft_identifier,
    STATE(7785), 1,
      sym_identifier,
    STATE(7853), 1,
      sym__annotated_type,
    STATE(10337), 1,
      sym_annotated_type,
    STATE(11175), 1,
      sym_literal_type,
    STATE(11179), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12337), 1,
      sym__infix_type_choice,
    STATE(14296), 1,
      sym__type,
    STATE(15652), 1,
      sym_parameter_types,
    STATE(16468), 1,
      sym_stable_identifier,
    ACTIONS(6292), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6294), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6296), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3667), 2,
      sym_comment,
      sym_block_comment,
    STATE(10765), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11355), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6282), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162782] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15493), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3668), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [162903] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1396), 1,
      sym_integer_literal,
    ACTIONS(6356), 1,
      sym__alpha_identifier,
    ACTIONS(6358), 1,
      anon_sym_COLON,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6362), 1,
      anon_sym__,
    ACTIONS(6364), 1,
      anon_sym_LBRACK,
    ACTIONS(6368), 1,
      anon_sym_LPAREN,
    ACTIONS(6370), 1,
      sym__backquoted_id,
    ACTIONS(6372), 1,
      sym_operator_identifier,
    STATE(5698), 1,
      sym__annotated_type,
    STATE(5724), 1,
      sym__simple_type,
    STATE(6346), 1,
      sym__soft_identifier,
    STATE(6576), 1,
      sym_identifier,
    STATE(8939), 1,
      sym_annotated_type,
    STATE(10707), 1,
      sym__non_null_literal,
    STATE(10778), 1,
      sym_literal_type,
    STATE(12346), 1,
      sym__infix_type_choice,
    STATE(13399), 1,
      sym_template_body,
    STATE(13590), 1,
      sym__type,
    STATE(15470), 1,
      sym_parameter_types,
    STATE(17170), 1,
      sym_stable_identifier,
    ACTIONS(1398), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1400), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1404), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3669), 2,
      sym_comment,
      sym_block_comment,
    STATE(8909), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9224), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10335), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13444), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6916), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163024] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1396), 1,
      sym_integer_literal,
    ACTIONS(6356), 1,
      sym__alpha_identifier,
    ACTIONS(6358), 1,
      anon_sym_COLON,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6362), 1,
      anon_sym__,
    ACTIONS(6364), 1,
      anon_sym_LBRACK,
    ACTIONS(6368), 1,
      anon_sym_LPAREN,
    ACTIONS(6370), 1,
      sym__backquoted_id,
    ACTIONS(6372), 1,
      sym_operator_identifier,
    STATE(5698), 1,
      sym__annotated_type,
    STATE(5724), 1,
      sym__simple_type,
    STATE(6346), 1,
      sym__soft_identifier,
    STATE(6576), 1,
      sym_identifier,
    STATE(8939), 1,
      sym_annotated_type,
    STATE(10707), 1,
      sym__non_null_literal,
    STATE(10778), 1,
      sym_literal_type,
    STATE(12346), 1,
      sym__infix_type_choice,
    STATE(13399), 1,
      sym_template_body,
    STATE(13586), 1,
      sym__type,
    STATE(15470), 1,
      sym_parameter_types,
    STATE(17170), 1,
      sym_stable_identifier,
    ACTIONS(1398), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1400), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1404), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3670), 2,
      sym_comment,
      sym_block_comment,
    STATE(8909), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9224), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10335), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13444), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6916), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163145] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15488), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3671), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163266] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14738), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3672), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163387] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14755), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3673), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163508] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6302), 1,
      anon_sym_LBRACK,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6650), 1,
      sym__annotated_type,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(12534), 1,
      sym__infix_type_choice,
    STATE(13906), 1,
      sym__type,
    STATE(15722), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3674), 2,
      sym_comment,
      sym_block_comment,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163629] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1396), 1,
      sym_integer_literal,
    ACTIONS(6356), 1,
      sym__alpha_identifier,
    ACTIONS(6358), 1,
      anon_sym_COLON,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6362), 1,
      anon_sym__,
    ACTIONS(6364), 1,
      anon_sym_LBRACK,
    ACTIONS(6368), 1,
      anon_sym_LPAREN,
    ACTIONS(6370), 1,
      sym__backquoted_id,
    ACTIONS(6372), 1,
      sym_operator_identifier,
    STATE(5698), 1,
      sym__annotated_type,
    STATE(5724), 1,
      sym__simple_type,
    STATE(6346), 1,
      sym__soft_identifier,
    STATE(6576), 1,
      sym_identifier,
    STATE(8939), 1,
      sym_annotated_type,
    STATE(10707), 1,
      sym__non_null_literal,
    STATE(10778), 1,
      sym_literal_type,
    STATE(12346), 1,
      sym__infix_type_choice,
    STATE(13399), 1,
      sym_template_body,
    STATE(13439), 1,
      sym__type,
    STATE(15470), 1,
      sym_parameter_types,
    STATE(17170), 1,
      sym_stable_identifier,
    ACTIONS(1398), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1400), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1404), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3675), 2,
      sym_comment,
      sym_block_comment,
    STATE(8909), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9224), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10335), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13444), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6916), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163750] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4314), 1,
      sym__alpha_identifier,
    ACTIONS(4316), 1,
      anon_sym_COLON,
    ACTIONS(4318), 1,
      anon_sym_LBRACE,
    ACTIONS(4320), 1,
      anon_sym__,
    ACTIONS(4324), 1,
      anon_sym_LBRACK,
    ACTIONS(4332), 1,
      sym__backquoted_id,
    ACTIONS(4336), 1,
      sym_integer_literal,
    ACTIONS(6882), 1,
      anon_sym_LPAREN,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(5125), 1,
      sym__simple_type,
    STATE(5201), 1,
      sym__annotated_type,
    STATE(5658), 1,
      sym__soft_identifier,
    STATE(5978), 1,
      sym_identifier,
    STATE(8542), 1,
      sym_annotated_type,
    STATE(10559), 1,
      sym__non_null_literal,
    STATE(10644), 1,
      sym_literal_type,
    STATE(12324), 1,
      sym__infix_type_choice,
    STATE(13323), 1,
      sym__type,
    STATE(13345), 1,
      sym_template_body,
    STATE(15801), 1,
      sym_parameter_types,
    STATE(17182), 1,
      sym_stable_identifier,
    ACTIONS(4338), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4340), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4344), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3676), 2,
      sym_comment,
      sym_block_comment,
    STATE(10020), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10565), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13565), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4326), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6218), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163871] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4314), 1,
      sym__alpha_identifier,
    ACTIONS(4316), 1,
      anon_sym_COLON,
    ACTIONS(4318), 1,
      anon_sym_LBRACE,
    ACTIONS(4320), 1,
      anon_sym__,
    ACTIONS(4324), 1,
      anon_sym_LBRACK,
    ACTIONS(4332), 1,
      sym__backquoted_id,
    ACTIONS(4336), 1,
      sym_integer_literal,
    ACTIONS(6882), 1,
      anon_sym_LPAREN,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(5125), 1,
      sym__simple_type,
    STATE(5201), 1,
      sym__annotated_type,
    STATE(5658), 1,
      sym__soft_identifier,
    STATE(5978), 1,
      sym_identifier,
    STATE(8542), 1,
      sym_annotated_type,
    STATE(10559), 1,
      sym__non_null_literal,
    STATE(10644), 1,
      sym_literal_type,
    STATE(12324), 1,
      sym__infix_type_choice,
    STATE(13345), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__type,
    STATE(15801), 1,
      sym_parameter_types,
    STATE(17182), 1,
      sym_stable_identifier,
    ACTIONS(4338), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4340), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4344), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3677), 2,
      sym_comment,
      sym_block_comment,
    STATE(10020), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10565), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13565), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4326), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6218), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [163992] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4314), 1,
      sym__alpha_identifier,
    ACTIONS(4316), 1,
      anon_sym_COLON,
    ACTIONS(4318), 1,
      anon_sym_LBRACE,
    ACTIONS(4320), 1,
      anon_sym__,
    ACTIONS(4324), 1,
      anon_sym_LBRACK,
    ACTIONS(4332), 1,
      sym__backquoted_id,
    ACTIONS(4336), 1,
      sym_integer_literal,
    ACTIONS(6882), 1,
      anon_sym_LPAREN,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(5125), 1,
      sym__simple_type,
    STATE(5201), 1,
      sym__annotated_type,
    STATE(5658), 1,
      sym__soft_identifier,
    STATE(5978), 1,
      sym_identifier,
    STATE(8542), 1,
      sym_annotated_type,
    STATE(10559), 1,
      sym__non_null_literal,
    STATE(10644), 1,
      sym_literal_type,
    STATE(12324), 1,
      sym__infix_type_choice,
    STATE(13345), 1,
      sym_template_body,
    STATE(13355), 1,
      sym__type,
    STATE(15801), 1,
      sym_parameter_types,
    STATE(17182), 1,
      sym_stable_identifier,
    ACTIONS(4338), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4340), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4344), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3678), 2,
      sym_comment,
      sym_block_comment,
    STATE(10020), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10565), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13565), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4326), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6218), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164113] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14973), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3679), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164234] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(11397), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3680), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164355] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15769), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3681), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164476] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4314), 1,
      sym__alpha_identifier,
    ACTIONS(4316), 1,
      anon_sym_COLON,
    ACTIONS(4318), 1,
      anon_sym_LBRACE,
    ACTIONS(4320), 1,
      anon_sym__,
    ACTIONS(4324), 1,
      anon_sym_LBRACK,
    ACTIONS(4332), 1,
      sym__backquoted_id,
    ACTIONS(4336), 1,
      sym_integer_literal,
    ACTIONS(6882), 1,
      anon_sym_LPAREN,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(5125), 1,
      sym__simple_type,
    STATE(5201), 1,
      sym__annotated_type,
    STATE(5658), 1,
      sym__soft_identifier,
    STATE(5978), 1,
      sym_identifier,
    STATE(8542), 1,
      sym_annotated_type,
    STATE(10559), 1,
      sym__non_null_literal,
    STATE(10644), 1,
      sym_literal_type,
    STATE(12324), 1,
      sym__infix_type_choice,
    STATE(13345), 1,
      sym_template_body,
    STATE(13423), 1,
      sym__type,
    STATE(15801), 1,
      sym_parameter_types,
    STATE(17182), 1,
      sym_stable_identifier,
    ACTIONS(4338), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4340), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4344), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3682), 2,
      sym_comment,
      sym_block_comment,
    STATE(10020), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10565), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13565), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4326), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6218), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164597] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15152), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3683), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164718] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14757), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3684), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164839] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4314), 1,
      sym__alpha_identifier,
    ACTIONS(4316), 1,
      anon_sym_COLON,
    ACTIONS(4318), 1,
      anon_sym_LBRACE,
    ACTIONS(4320), 1,
      anon_sym__,
    ACTIONS(4324), 1,
      anon_sym_LBRACK,
    ACTIONS(4332), 1,
      sym__backquoted_id,
    ACTIONS(4336), 1,
      sym_integer_literal,
    ACTIONS(6882), 1,
      anon_sym_LPAREN,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    STATE(5125), 1,
      sym__simple_type,
    STATE(5201), 1,
      sym__annotated_type,
    STATE(5658), 1,
      sym__soft_identifier,
    STATE(5978), 1,
      sym_identifier,
    STATE(8542), 1,
      sym_annotated_type,
    STATE(10559), 1,
      sym__non_null_literal,
    STATE(10644), 1,
      sym_literal_type,
    STATE(12324), 1,
      sym__infix_type_choice,
    STATE(13345), 1,
      sym_template_body,
    STATE(13496), 1,
      sym__type,
    STATE(15801), 1,
      sym_parameter_types,
    STATE(17182), 1,
      sym_stable_identifier,
    ACTIONS(4338), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4340), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4344), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3685), 2,
      sym_comment,
      sym_block_comment,
    STATE(10020), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10565), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13565), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4326), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6218), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [164960] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14733), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3686), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165081] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14772), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3687), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165202] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4582), 1,
      sym__alpha_identifier,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    ACTIONS(4586), 1,
      anon_sym_LBRACE,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4592), 1,
      anon_sym_LBRACK,
    ACTIONS(4600), 1,
      sym__backquoted_id,
    ACTIONS(4604), 1,
      sym_integer_literal,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    STATE(5668), 1,
      sym__simple_type,
    STATE(5784), 1,
      sym__annotated_type,
    STATE(6011), 1,
      sym_identifier,
    STATE(6355), 1,
      sym__soft_identifier,
    STATE(8874), 1,
      sym_annotated_type,
    STATE(10865), 1,
      sym__non_null_literal,
    STATE(10940), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11533), 1,
      sym__type,
    STATE(12274), 1,
      sym__infix_type_choice,
    STATE(15805), 1,
      sym_parameter_types,
    STATE(17188), 1,
      sym_stable_identifier,
    ACTIONS(4606), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4608), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4610), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3688), 2,
      sym_comment,
      sym_block_comment,
    STATE(10360), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10907), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6952), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165323] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4582), 1,
      sym__alpha_identifier,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    ACTIONS(4586), 1,
      anon_sym_LBRACE,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4592), 1,
      anon_sym_LBRACK,
    ACTIONS(4600), 1,
      sym__backquoted_id,
    ACTIONS(4604), 1,
      sym_integer_literal,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    STATE(5668), 1,
      sym__simple_type,
    STATE(5784), 1,
      sym__annotated_type,
    STATE(6011), 1,
      sym_identifier,
    STATE(6355), 1,
      sym__soft_identifier,
    STATE(8874), 1,
      sym_annotated_type,
    STATE(10865), 1,
      sym__non_null_literal,
    STATE(10940), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11571), 1,
      sym__type,
    STATE(12274), 1,
      sym__infix_type_choice,
    STATE(15805), 1,
      sym_parameter_types,
    STATE(17188), 1,
      sym_stable_identifier,
    ACTIONS(4606), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4608), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4610), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3689), 2,
      sym_comment,
      sym_block_comment,
    STATE(10360), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10907), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6952), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165444] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6848), 1,
      anon_sym_COLON,
    ACTIONS(6850), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      anon_sym_LBRACK,
    ACTIONS(6854), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(8296), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11237), 1,
      sym_literal_type,
    STATE(11241), 1,
      sym__non_null_literal,
    STATE(11582), 1,
      sym_template_body,
    STATE(11779), 1,
      sym__type,
    STATE(12277), 1,
      sym__infix_type_choice,
    STATE(15165), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3690), 2,
      sym_comment,
      sym_block_comment,
    STATE(11053), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11666), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11699), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165565] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15436), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3691), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165686] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4582), 1,
      sym__alpha_identifier,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    ACTIONS(4586), 1,
      anon_sym_LBRACE,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4592), 1,
      anon_sym_LBRACK,
    ACTIONS(4600), 1,
      sym__backquoted_id,
    ACTIONS(4604), 1,
      sym_integer_literal,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    STATE(5668), 1,
      sym__simple_type,
    STATE(5784), 1,
      sym__annotated_type,
    STATE(6011), 1,
      sym_identifier,
    STATE(6355), 1,
      sym__soft_identifier,
    STATE(8874), 1,
      sym_annotated_type,
    STATE(10865), 1,
      sym__non_null_literal,
    STATE(10940), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11622), 1,
      sym__type,
    STATE(12274), 1,
      sym__infix_type_choice,
    STATE(15805), 1,
      sym_parameter_types,
    STATE(17188), 1,
      sym_stable_identifier,
    ACTIONS(4606), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4608), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4610), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3692), 2,
      sym_comment,
      sym_block_comment,
    STATE(10360), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10907), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6952), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165807] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4582), 1,
      sym__alpha_identifier,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    ACTIONS(4586), 1,
      anon_sym_LBRACE,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4592), 1,
      anon_sym_LBRACK,
    ACTIONS(4600), 1,
      sym__backquoted_id,
    ACTIONS(4604), 1,
      sym_integer_literal,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    STATE(5668), 1,
      sym__simple_type,
    STATE(5784), 1,
      sym__annotated_type,
    STATE(6011), 1,
      sym_identifier,
    STATE(6355), 1,
      sym__soft_identifier,
    STATE(8874), 1,
      sym_annotated_type,
    STATE(10865), 1,
      sym__non_null_literal,
    STATE(10940), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11619), 1,
      sym__type,
    STATE(12274), 1,
      sym__infix_type_choice,
    STATE(15805), 1,
      sym_parameter_types,
    STATE(17188), 1,
      sym_stable_identifier,
    ACTIONS(4606), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4608), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4610), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3693), 2,
      sym_comment,
      sym_block_comment,
    STATE(10360), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10907), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6952), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [165928] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17070), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3694), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166049] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17719), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3695), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166170] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14988), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3696), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166291] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15068), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3697), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166412] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15416), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3698), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166533] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15405), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3699), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166654] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4582), 1,
      sym__alpha_identifier,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    ACTIONS(4586), 1,
      anon_sym_LBRACE,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4592), 1,
      anon_sym_LBRACK,
    ACTIONS(4600), 1,
      sym__backquoted_id,
    ACTIONS(4604), 1,
      sym_integer_literal,
    ACTIONS(6886), 1,
      anon_sym_LPAREN,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    STATE(5668), 1,
      sym__simple_type,
    STATE(5784), 1,
      sym__annotated_type,
    STATE(6011), 1,
      sym_identifier,
    STATE(6355), 1,
      sym__soft_identifier,
    STATE(8874), 1,
      sym_annotated_type,
    STATE(10865), 1,
      sym__non_null_literal,
    STATE(10940), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11647), 1,
      sym__type,
    STATE(12274), 1,
      sym__infix_type_choice,
    STATE(15805), 1,
      sym_parameter_types,
    STATE(17188), 1,
      sym_stable_identifier,
    ACTIONS(4606), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4608), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4610), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3700), 2,
      sym_comment,
      sym_block_comment,
    STATE(10360), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10907), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6952), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166775] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(12008), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3701), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [166896] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    ACTIONS(4586), 1,
      anon_sym_LBRACE,
    ACTIONS(4742), 1,
      sym__alpha_identifier,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4748), 1,
      anon_sym_LBRACK,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(4758), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    STATE(4446), 1,
      sym__annotated_type,
    STATE(4449), 1,
      sym__simple_type,
    STATE(4468), 1,
      sym__soft_identifier,
    STATE(4519), 1,
      sym_identifier,
    STATE(5492), 1,
      sym_annotated_type,
    STATE(8723), 1,
      sym_literal_type,
    STATE(8770), 1,
      sym__non_null_literal,
    STATE(11481), 1,
      sym_template_body,
    STATE(11533), 1,
      sym__type,
    STATE(12201), 1,
      sym__infix_type_choice,
    STATE(15473), 1,
      sym_parameter_types,
    STATE(17194), 1,
      sym_stable_identifier,
    ACTIONS(4760), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4762), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4764), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3702), 2,
      sym_comment,
      sym_block_comment,
    STATE(7532), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9021), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4627), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167017] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    ACTIONS(4586), 1,
      anon_sym_LBRACE,
    ACTIONS(4742), 1,
      sym__alpha_identifier,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4748), 1,
      anon_sym_LBRACK,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(4758), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    STATE(4446), 1,
      sym__annotated_type,
    STATE(4449), 1,
      sym__simple_type,
    STATE(4468), 1,
      sym__soft_identifier,
    STATE(4519), 1,
      sym_identifier,
    STATE(5492), 1,
      sym_annotated_type,
    STATE(8723), 1,
      sym_literal_type,
    STATE(8770), 1,
      sym__non_null_literal,
    STATE(11481), 1,
      sym_template_body,
    STATE(11571), 1,
      sym__type,
    STATE(12201), 1,
      sym__infix_type_choice,
    STATE(15473), 1,
      sym_parameter_types,
    STATE(17194), 1,
      sym_stable_identifier,
    ACTIONS(4760), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4762), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4764), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3703), 2,
      sym_comment,
      sym_block_comment,
    STATE(7532), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9021), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4627), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167138] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(14193), 1,
      sym__type,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3704), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167259] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    ACTIONS(4586), 1,
      anon_sym_LBRACE,
    ACTIONS(4742), 1,
      sym__alpha_identifier,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4748), 1,
      anon_sym_LBRACK,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(4758), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    STATE(4446), 1,
      sym__annotated_type,
    STATE(4449), 1,
      sym__simple_type,
    STATE(4468), 1,
      sym__soft_identifier,
    STATE(4519), 1,
      sym_identifier,
    STATE(5492), 1,
      sym_annotated_type,
    STATE(8723), 1,
      sym_literal_type,
    STATE(8770), 1,
      sym__non_null_literal,
    STATE(11481), 1,
      sym_template_body,
    STATE(11619), 1,
      sym__type,
    STATE(12201), 1,
      sym__infix_type_choice,
    STATE(15473), 1,
      sym_parameter_types,
    STATE(17194), 1,
      sym_stable_identifier,
    ACTIONS(4760), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4762), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4764), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3705), 2,
      sym_comment,
      sym_block_comment,
    STATE(7532), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9021), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4627), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167380] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15074), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3706), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167501] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15150), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3707), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167622] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14775), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3708), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167743] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17721), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3709), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167864] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    ACTIONS(4586), 1,
      anon_sym_LBRACE,
    ACTIONS(4742), 1,
      sym__alpha_identifier,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4748), 1,
      anon_sym_LBRACK,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(4758), 1,
      sym_integer_literal,
    ACTIONS(6874), 1,
      anon_sym_LPAREN,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    STATE(4446), 1,
      sym__annotated_type,
    STATE(4449), 1,
      sym__simple_type,
    STATE(4468), 1,
      sym__soft_identifier,
    STATE(4519), 1,
      sym_identifier,
    STATE(5492), 1,
      sym_annotated_type,
    STATE(8723), 1,
      sym_literal_type,
    STATE(8770), 1,
      sym__non_null_literal,
    STATE(11481), 1,
      sym_template_body,
    STATE(11647), 1,
      sym__type,
    STATE(12201), 1,
      sym__infix_type_choice,
    STATE(15473), 1,
      sym_parameter_types,
    STATE(17194), 1,
      sym_stable_identifier,
    ACTIONS(4760), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4762), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4764), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3710), 2,
      sym_comment,
      sym_block_comment,
    STATE(7532), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9021), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11618), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4627), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [167985] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(12015), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3711), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168106] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6820), 1,
      anon_sym_COLON,
    ACTIONS(6822), 1,
      anon_sym_LBRACE,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_LPAREN,
    ACTIONS(6832), 1,
      sym__backquoted_id,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    ACTIONS(6836), 1,
      sym_integer_literal,
    STATE(8417), 1,
      sym__simple_type,
    STATE(8731), 1,
      sym__soft_identifier,
    STATE(8988), 1,
      sym__annotated_type,
    STATE(9115), 1,
      sym_identifier,
    STATE(10699), 1,
      sym_annotated_type,
    STATE(12185), 1,
      sym__infix_type_choice,
    STATE(12244), 1,
      sym__non_null_literal,
    STATE(12629), 1,
      sym_literal_type,
    STATE(15745), 1,
      sym_parameter_types,
    STATE(16110), 1,
      sym__type,
    STATE(16124), 1,
      sym_template_body,
    STATE(17200), 1,
      sym_stable_identifier,
    ACTIONS(6838), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6840), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6842), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3712), 2,
      sym_comment,
      sym_block_comment,
    STATE(11603), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11671), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12348), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16146), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9366), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168227] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15384), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3713), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168348] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6820), 1,
      anon_sym_COLON,
    ACTIONS(6822), 1,
      anon_sym_LBRACE,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_LPAREN,
    ACTIONS(6832), 1,
      sym__backquoted_id,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    ACTIONS(6836), 1,
      sym_integer_literal,
    STATE(8417), 1,
      sym__simple_type,
    STATE(8731), 1,
      sym__soft_identifier,
    STATE(8988), 1,
      sym__annotated_type,
    STATE(9115), 1,
      sym_identifier,
    STATE(10699), 1,
      sym_annotated_type,
    STATE(12185), 1,
      sym__infix_type_choice,
    STATE(12244), 1,
      sym__non_null_literal,
    STATE(12629), 1,
      sym_literal_type,
    STATE(15745), 1,
      sym_parameter_types,
    STATE(16103), 1,
      sym__type,
    STATE(16124), 1,
      sym_template_body,
    STATE(17200), 1,
      sym_stable_identifier,
    ACTIONS(6838), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6840), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6842), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3714), 2,
      sym_comment,
      sym_block_comment,
    STATE(11603), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11671), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12348), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16146), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9366), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168469] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15380), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3715), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168590] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14788), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3716), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168711] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(994), 1,
      sym_integer_literal,
    ACTIONS(6334), 1,
      sym__alpha_identifier,
    ACTIONS(6336), 1,
      anon_sym_COLON,
    ACTIONS(6338), 1,
      anon_sym_LBRACE,
    ACTIONS(6340), 1,
      anon_sym__,
    ACTIONS(6342), 1,
      anon_sym_LBRACK,
    ACTIONS(6346), 1,
      anon_sym_LPAREN,
    ACTIONS(6348), 1,
      sym__backquoted_id,
    ACTIONS(6350), 1,
      sym_operator_identifier,
    STATE(4490), 1,
      sym__annotated_type,
    STATE(4515), 1,
      sym__simple_type,
    STATE(4607), 1,
      sym__soft_identifier,
    STATE(4643), 1,
      sym_identifier,
    STATE(6613), 1,
      sym_annotated_type,
    STATE(9562), 1,
      sym_literal_type,
    STATE(9629), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(12053), 1,
      sym__type,
    STATE(12189), 1,
      sym__infix_type_choice,
    STATE(15604), 1,
      sym_parameter_types,
    STATE(16747), 1,
      sym_stable_identifier,
    ACTIONS(996), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(998), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1002), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3717), 2,
      sym_comment,
      sym_block_comment,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6307), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8692), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6344), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4755), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168832] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6820), 1,
      anon_sym_COLON,
    ACTIONS(6822), 1,
      anon_sym_LBRACE,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_LPAREN,
    ACTIONS(6832), 1,
      sym__backquoted_id,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    ACTIONS(6836), 1,
      sym_integer_literal,
    STATE(8417), 1,
      sym__simple_type,
    STATE(8731), 1,
      sym__soft_identifier,
    STATE(8988), 1,
      sym__annotated_type,
    STATE(9115), 1,
      sym_identifier,
    STATE(10699), 1,
      sym_annotated_type,
    STATE(12185), 1,
      sym__infix_type_choice,
    STATE(12244), 1,
      sym__non_null_literal,
    STATE(12629), 1,
      sym_literal_type,
    STATE(15745), 1,
      sym_parameter_types,
    STATE(16124), 1,
      sym_template_body,
    STATE(16125), 1,
      sym__type,
    STATE(17200), 1,
      sym_stable_identifier,
    ACTIONS(6838), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6840), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6842), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3718), 2,
      sym_comment,
      sym_block_comment,
    STATE(11603), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11671), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12348), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16146), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9366), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [168953] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6820), 1,
      anon_sym_COLON,
    ACTIONS(6822), 1,
      anon_sym_LBRACE,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6826), 1,
      anon_sym_LBRACK,
    ACTIONS(6830), 1,
      anon_sym_LPAREN,
    ACTIONS(6832), 1,
      sym__backquoted_id,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    ACTIONS(6836), 1,
      sym_integer_literal,
    STATE(8417), 1,
      sym__simple_type,
    STATE(8731), 1,
      sym__soft_identifier,
    STATE(8988), 1,
      sym__annotated_type,
    STATE(9115), 1,
      sym_identifier,
    STATE(10699), 1,
      sym_annotated_type,
    STATE(12185), 1,
      sym__infix_type_choice,
    STATE(12244), 1,
      sym__non_null_literal,
    STATE(12629), 1,
      sym_literal_type,
    STATE(15745), 1,
      sym_parameter_types,
    STATE(16098), 1,
      sym__type,
    STATE(16124), 1,
      sym_template_body,
    STATE(17200), 1,
      sym_stable_identifier,
    ACTIONS(6838), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6840), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6842), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3719), 2,
      sym_comment,
      sym_block_comment,
    STATE(11603), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11671), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12348), 2,
      sym_boolean_literal,
      sym_string,
    STATE(16146), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9366), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169074] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(16955), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3720), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169195] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14790), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3721), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169316] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14796), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3722), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169437] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4804), 1,
      sym__alpha_identifier,
    ACTIONS(4806), 1,
      anon_sym_COLON,
    ACTIONS(4808), 1,
      anon_sym_LBRACE,
    ACTIONS(4810), 1,
      anon_sym__,
    ACTIONS(4814), 1,
      anon_sym_LBRACK,
    ACTIONS(4822), 1,
      sym__backquoted_id,
    ACTIONS(4826), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      anon_sym_LPAREN,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    STATE(4706), 1,
      sym__simple_type,
    STATE(4742), 1,
      sym__annotated_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4953), 1,
      sym__soft_identifier,
    STATE(6651), 1,
      sym_annotated_type,
    STATE(9789), 1,
      sym__non_null_literal,
    STATE(10068), 1,
      sym_literal_type,
    STATE(12234), 1,
      sym__infix_type_choice,
    STATE(12836), 1,
      sym__type,
    STATE(13023), 1,
      sym_template_body,
    STATE(15700), 1,
      sym_parameter_types,
    STATE(17206), 1,
      sym_stable_identifier,
    ACTIONS(4828), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4830), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4834), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3723), 2,
      sym_comment,
      sym_block_comment,
    STATE(8747), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9941), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12993), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12914), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5328), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169558] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14991), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3724), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169679] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14786), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3725), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169800] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4140), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(6114), 1,
      anon_sym_LBRACK,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(11833), 1,
      sym_template_body,
    STATE(12598), 1,
      sym__infix_type_choice,
    STATE(13763), 1,
      sym__type,
    STATE(15459), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3726), 2,
      sym_comment,
      sym_block_comment,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11906), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12164), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [169921] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15360), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3727), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170042] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4804), 1,
      sym__alpha_identifier,
    ACTIONS(4806), 1,
      anon_sym_COLON,
    ACTIONS(4808), 1,
      anon_sym_LBRACE,
    ACTIONS(4810), 1,
      anon_sym__,
    ACTIONS(4814), 1,
      anon_sym_LBRACK,
    ACTIONS(4822), 1,
      sym__backquoted_id,
    ACTIONS(4826), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      anon_sym_LPAREN,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    STATE(4706), 1,
      sym__simple_type,
    STATE(4742), 1,
      sym__annotated_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4953), 1,
      sym__soft_identifier,
    STATE(6651), 1,
      sym_annotated_type,
    STATE(9789), 1,
      sym__non_null_literal,
    STATE(10068), 1,
      sym_literal_type,
    STATE(12234), 1,
      sym__infix_type_choice,
    STATE(12968), 1,
      sym__type,
    STATE(13023), 1,
      sym_template_body,
    STATE(15700), 1,
      sym_parameter_types,
    STATE(17206), 1,
      sym_stable_identifier,
    ACTIONS(4828), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4830), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4834), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3728), 2,
      sym_comment,
      sym_block_comment,
    STATE(8747), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9941), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12993), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12914), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5328), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170163] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4804), 1,
      sym__alpha_identifier,
    ACTIONS(4806), 1,
      anon_sym_COLON,
    ACTIONS(4808), 1,
      anon_sym_LBRACE,
    ACTIONS(4810), 1,
      anon_sym__,
    ACTIONS(4814), 1,
      anon_sym_LBRACK,
    ACTIONS(4822), 1,
      sym__backquoted_id,
    ACTIONS(4826), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      anon_sym_LPAREN,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    STATE(4706), 1,
      sym__simple_type,
    STATE(4742), 1,
      sym__annotated_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4953), 1,
      sym__soft_identifier,
    STATE(6651), 1,
      sym_annotated_type,
    STATE(9789), 1,
      sym__non_null_literal,
    STATE(10068), 1,
      sym_literal_type,
    STATE(12234), 1,
      sym__infix_type_choice,
    STATE(12988), 1,
      sym__type,
    STATE(13023), 1,
      sym_template_body,
    STATE(15700), 1,
      sym_parameter_types,
    STATE(17206), 1,
      sym_stable_identifier,
    ACTIONS(4828), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4830), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4834), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3729), 2,
      sym_comment,
      sym_block_comment,
    STATE(8747), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9941), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12993), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12914), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5328), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170284] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(6596), 1,
      anon_sym_LBRACK,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(14228), 1,
      sym__type,
    STATE(15550), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3730), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170405] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15355), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3731), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170526] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17830), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3732), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170647] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(6662), 1,
      anon_sym_LBRACK,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(11193), 1,
      sym__type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(15439), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3733), 2,
      sym_comment,
      sym_block_comment,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170768] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(6662), 1,
      anon_sym_LBRACK,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(11194), 1,
      sym__type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(15439), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3734), 2,
      sym_comment,
      sym_block_comment,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [170889] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6130), 1,
      anon_sym_LBRACK,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(11193), 1,
      sym__type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(15383), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3735), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171010] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(6662), 1,
      anon_sym_LBRACK,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(11195), 1,
      sym__type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(15439), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3736), 2,
      sym_comment,
      sym_block_comment,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171131] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4804), 1,
      sym__alpha_identifier,
    ACTIONS(4806), 1,
      anon_sym_COLON,
    ACTIONS(4808), 1,
      anon_sym_LBRACE,
    ACTIONS(4810), 1,
      anon_sym__,
    ACTIONS(4814), 1,
      anon_sym_LBRACK,
    ACTIONS(4822), 1,
      sym__backquoted_id,
    ACTIONS(4826), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      anon_sym_LPAREN,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    STATE(4706), 1,
      sym__simple_type,
    STATE(4742), 1,
      sym__annotated_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4953), 1,
      sym__soft_identifier,
    STATE(6651), 1,
      sym_annotated_type,
    STATE(9789), 1,
      sym__non_null_literal,
    STATE(10068), 1,
      sym_literal_type,
    STATE(12234), 1,
      sym__infix_type_choice,
    STATE(12994), 1,
      sym__type,
    STATE(13023), 1,
      sym_template_body,
    STATE(15700), 1,
      sym_parameter_types,
    STATE(17206), 1,
      sym_stable_identifier,
    ACTIONS(4828), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4830), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4834), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3737), 2,
      sym_comment,
      sym_block_comment,
    STATE(8747), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9941), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12993), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12914), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5328), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171252] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(6662), 1,
      anon_sym_LBRACK,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(11204), 1,
      sym__type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(15439), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3738), 2,
      sym_comment,
      sym_block_comment,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171373] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4804), 1,
      sym__alpha_identifier,
    ACTIONS(4806), 1,
      anon_sym_COLON,
    ACTIONS(4808), 1,
      anon_sym_LBRACE,
    ACTIONS(4810), 1,
      anon_sym__,
    ACTIONS(4814), 1,
      anon_sym_LBRACK,
    ACTIONS(4822), 1,
      sym__backquoted_id,
    ACTIONS(4826), 1,
      sym_integer_literal,
    ACTIONS(6890), 1,
      anon_sym_LPAREN,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    STATE(4706), 1,
      sym__simple_type,
    STATE(4742), 1,
      sym__annotated_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4953), 1,
      sym__soft_identifier,
    STATE(6651), 1,
      sym_annotated_type,
    STATE(9789), 1,
      sym__non_null_literal,
    STATE(10068), 1,
      sym_literal_type,
    STATE(12234), 1,
      sym__infix_type_choice,
    STATE(13012), 1,
      sym__type,
    STATE(13023), 1,
      sym_template_body,
    STATE(15700), 1,
      sym_parameter_types,
    STATE(17206), 1,
      sym_stable_identifier,
    ACTIONS(4828), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4830), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4834), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3739), 2,
      sym_comment,
      sym_block_comment,
    STATE(8747), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(9941), 2,
      sym_boolean_literal,
      sym_string,
    STATE(12993), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12914), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5328), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171494] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6544), 1,
      anon_sym_LBRACK,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(14725), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3740), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171615] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(6662), 1,
      anon_sym_LBRACK,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(11307), 1,
      sym__type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(15439), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3741), 2,
      sym_comment,
      sym_block_comment,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171736] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6130), 1,
      anon_sym_LBRACK,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(11204), 1,
      sym__type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(15383), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3742), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171857] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(161), 1,
      sym_integer_literal,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6306), 1,
      anon_sym_LPAREN,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(6508), 1,
      anon_sym_LBRACK,
    STATE(4599), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(9564), 1,
      sym_literal_type,
    STATE(9568), 1,
      sym__non_null_literal,
    STATE(10721), 1,
      sym_template_body,
    STATE(12609), 1,
      sym__infix_type_choice,
    STATE(14223), 1,
      sym__type,
    STATE(15602), 1,
      sym_parameter_types,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(163), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(165), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(175), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3743), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7602), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8132), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [171978] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1102), 1,
      sym_integer_literal,
    ACTIONS(6258), 1,
      sym__alpha_identifier,
    ACTIONS(6260), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym__,
    ACTIONS(6266), 1,
      anon_sym_LBRACK,
    ACTIONS(6270), 1,
      anon_sym_LPAREN,
    ACTIONS(6272), 1,
      sym__backquoted_id,
    ACTIONS(6274), 1,
      sym_operator_identifier,
    STATE(4937), 1,
      sym__simple_type,
    STATE(4967), 1,
      sym__annotated_type,
    STATE(5114), 1,
      sym__soft_identifier,
    STATE(5304), 1,
      sym_identifier,
    STATE(7478), 1,
      sym_annotated_type,
    STATE(10178), 1,
      sym_literal_type,
    STATE(10215), 1,
      sym__non_null_literal,
    STATE(12289), 1,
      sym__infix_type_choice,
    STATE(12931), 1,
      sym_template_body,
    STATE(12939), 1,
      sym__type,
    STATE(15471), 1,
      sym_parameter_types,
    STATE(17218), 1,
      sym_stable_identifier,
    ACTIONS(1104), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1106), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1110), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3744), 2,
      sym_comment,
      sym_block_comment,
    STATE(7578), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9446), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12700), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5908), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172099] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym_COLON,
    ACTIONS(6668), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      anon_sym__,
    ACTIONS(6672), 1,
      anon_sym_LBRACK,
    ACTIONS(6676), 1,
      anon_sym_LPAREN,
    ACTIONS(6678), 1,
      sym__backquoted_id,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    ACTIONS(6682), 1,
      sym_integer_literal,
    STATE(5601), 1,
      sym__simple_type,
    STATE(6108), 1,
      sym_identifier,
    STATE(6195), 1,
      sym__soft_identifier,
    STATE(6432), 1,
      sym__annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(8487), 1,
      sym__type,
    STATE(9686), 1,
      sym_annotated_type,
    STATE(10838), 1,
      sym__non_null_literal,
    STATE(10841), 1,
      sym_literal_type,
    STATE(12333), 1,
      sym__infix_type_choice,
    STATE(15385), 1,
      sym_parameter_types,
    STATE(16790), 1,
      sym_stable_identifier,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3745), 2,
      sym_comment,
      sym_block_comment,
    STATE(10375), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11046), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6674), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7350), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172220] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15328), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3746), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172341] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1102), 1,
      sym_integer_literal,
    ACTIONS(6258), 1,
      sym__alpha_identifier,
    ACTIONS(6260), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym__,
    ACTIONS(6266), 1,
      anon_sym_LBRACK,
    ACTIONS(6270), 1,
      anon_sym_LPAREN,
    ACTIONS(6272), 1,
      sym__backquoted_id,
    ACTIONS(6274), 1,
      sym_operator_identifier,
    STATE(4937), 1,
      sym__simple_type,
    STATE(4967), 1,
      sym__annotated_type,
    STATE(5114), 1,
      sym__soft_identifier,
    STATE(5304), 1,
      sym_identifier,
    STATE(7478), 1,
      sym_annotated_type,
    STATE(10178), 1,
      sym_literal_type,
    STATE(10215), 1,
      sym__non_null_literal,
    STATE(12289), 1,
      sym__infix_type_choice,
    STATE(12931), 1,
      sym_template_body,
    STATE(12976), 1,
      sym__type,
    STATE(15471), 1,
      sym_parameter_types,
    STATE(17218), 1,
      sym_stable_identifier,
    ACTIONS(1104), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1106), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1110), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3747), 2,
      sym_comment,
      sym_block_comment,
    STATE(7578), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9446), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12700), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5908), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172462] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym_COLON,
    ACTIONS(6668), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      anon_sym__,
    ACTIONS(6672), 1,
      anon_sym_LBRACK,
    ACTIONS(6676), 1,
      anon_sym_LPAREN,
    ACTIONS(6678), 1,
      sym__backquoted_id,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    ACTIONS(6682), 1,
      sym_integer_literal,
    STATE(5601), 1,
      sym__simple_type,
    STATE(6108), 1,
      sym_identifier,
    STATE(6195), 1,
      sym__soft_identifier,
    STATE(6432), 1,
      sym__annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(8491), 1,
      sym__type,
    STATE(9686), 1,
      sym_annotated_type,
    STATE(10838), 1,
      sym__non_null_literal,
    STATE(10841), 1,
      sym_literal_type,
    STATE(12333), 1,
      sym__infix_type_choice,
    STATE(15385), 1,
      sym_parameter_types,
    STATE(16790), 1,
      sym_stable_identifier,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3748), 2,
      sym_comment,
      sym_block_comment,
    STATE(10375), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11046), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6674), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7350), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172583] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1102), 1,
      sym_integer_literal,
    ACTIONS(6258), 1,
      sym__alpha_identifier,
    ACTIONS(6260), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym__,
    ACTIONS(6266), 1,
      anon_sym_LBRACK,
    ACTIONS(6270), 1,
      anon_sym_LPAREN,
    ACTIONS(6272), 1,
      sym__backquoted_id,
    ACTIONS(6274), 1,
      sym_operator_identifier,
    STATE(4937), 1,
      sym__simple_type,
    STATE(4967), 1,
      sym__annotated_type,
    STATE(5114), 1,
      sym__soft_identifier,
    STATE(5304), 1,
      sym_identifier,
    STATE(7478), 1,
      sym_annotated_type,
    STATE(10178), 1,
      sym_literal_type,
    STATE(10215), 1,
      sym__non_null_literal,
    STATE(12289), 1,
      sym__infix_type_choice,
    STATE(12715), 1,
      sym__type,
    STATE(12931), 1,
      sym_template_body,
    STATE(15471), 1,
      sym_parameter_types,
    STATE(17218), 1,
      sym_stable_identifier,
    ACTIONS(1104), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1106), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1110), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3749), 2,
      sym_comment,
      sym_block_comment,
    STATE(7578), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9446), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12700), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5908), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172704] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym_COLON,
    ACTIONS(6668), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      anon_sym__,
    ACTIONS(6672), 1,
      anon_sym_LBRACK,
    ACTIONS(6676), 1,
      anon_sym_LPAREN,
    ACTIONS(6678), 1,
      sym__backquoted_id,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    ACTIONS(6682), 1,
      sym_integer_literal,
    STATE(5601), 1,
      sym__simple_type,
    STATE(6108), 1,
      sym_identifier,
    STATE(6195), 1,
      sym__soft_identifier,
    STATE(6432), 1,
      sym__annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(8492), 1,
      sym__type,
    STATE(9686), 1,
      sym_annotated_type,
    STATE(10838), 1,
      sym__non_null_literal,
    STATE(10841), 1,
      sym_literal_type,
    STATE(12333), 1,
      sym__infix_type_choice,
    STATE(15385), 1,
      sym_parameter_types,
    STATE(16790), 1,
      sym_stable_identifier,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3750), 2,
      sym_comment,
      sym_block_comment,
    STATE(10375), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11046), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6674), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7350), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172825] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(4212), 1,
      anon_sym_COLON,
    ACTIONS(4214), 1,
      anon_sym_LBRACE,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(6616), 1,
      anon_sym_LBRACK,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(7016), 1,
      sym__annotated_type,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12297), 1,
      sym__infix_type_choice,
    STATE(14046), 1,
      sym__type,
    STATE(15653), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3751), 2,
      sym_comment,
      sym_block_comment,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12658), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [172946] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1102), 1,
      sym_integer_literal,
    ACTIONS(6258), 1,
      sym__alpha_identifier,
    ACTIONS(6260), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym__,
    ACTIONS(6266), 1,
      anon_sym_LBRACK,
    ACTIONS(6270), 1,
      anon_sym_LPAREN,
    ACTIONS(6272), 1,
      sym__backquoted_id,
    ACTIONS(6274), 1,
      sym_operator_identifier,
    STATE(4937), 1,
      sym__simple_type,
    STATE(4967), 1,
      sym__annotated_type,
    STATE(5114), 1,
      sym__soft_identifier,
    STATE(5304), 1,
      sym_identifier,
    STATE(7478), 1,
      sym_annotated_type,
    STATE(10178), 1,
      sym_literal_type,
    STATE(10215), 1,
      sym__non_null_literal,
    STATE(12289), 1,
      sym__infix_type_choice,
    STATE(12931), 1,
      sym_template_body,
    STATE(13014), 1,
      sym__type,
    STATE(15471), 1,
      sym_parameter_types,
    STATE(17218), 1,
      sym_stable_identifier,
    ACTIONS(1104), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1106), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1110), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3752), 2,
      sym_comment,
      sym_block_comment,
    STATE(7578), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9446), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12700), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5908), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173067] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15316), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3753), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173188] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1102), 1,
      sym_integer_literal,
    ACTIONS(6258), 1,
      sym__alpha_identifier,
    ACTIONS(6260), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym__,
    ACTIONS(6266), 1,
      anon_sym_LBRACK,
    ACTIONS(6270), 1,
      anon_sym_LPAREN,
    ACTIONS(6272), 1,
      sym__backquoted_id,
    ACTIONS(6274), 1,
      sym_operator_identifier,
    STATE(4937), 1,
      sym__simple_type,
    STATE(4967), 1,
      sym__annotated_type,
    STATE(5114), 1,
      sym__soft_identifier,
    STATE(5304), 1,
      sym_identifier,
    STATE(7478), 1,
      sym_annotated_type,
    STATE(10178), 1,
      sym_literal_type,
    STATE(10215), 1,
      sym__non_null_literal,
    STATE(12289), 1,
      sym__infix_type_choice,
    STATE(12931), 1,
      sym_template_body,
    STATE(12986), 1,
      sym__type,
    STATE(15471), 1,
      sym_parameter_types,
    STATE(17218), 1,
      sym_stable_identifier,
    ACTIONS(1104), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1106), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1110), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3754), 2,
      sym_comment,
      sym_block_comment,
    STATE(7578), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9446), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12700), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5908), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173309] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym_COLON,
    ACTIONS(6668), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      anon_sym__,
    ACTIONS(6672), 1,
      anon_sym_LBRACK,
    ACTIONS(6676), 1,
      anon_sym_LPAREN,
    ACTIONS(6678), 1,
      sym__backquoted_id,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    ACTIONS(6682), 1,
      sym_integer_literal,
    STATE(5601), 1,
      sym__simple_type,
    STATE(6108), 1,
      sym_identifier,
    STATE(6195), 1,
      sym__soft_identifier,
    STATE(6432), 1,
      sym__annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(8494), 1,
      sym__type,
    STATE(9686), 1,
      sym_annotated_type,
    STATE(10838), 1,
      sym__non_null_literal,
    STATE(10841), 1,
      sym_literal_type,
    STATE(12333), 1,
      sym__infix_type_choice,
    STATE(15385), 1,
      sym_parameter_types,
    STATE(16790), 1,
      sym_stable_identifier,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3755), 2,
      sym_comment,
      sym_block_comment,
    STATE(10375), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11046), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6674), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7350), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173430] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15135), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3756), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173551] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15168), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3757), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173672] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1734), 1,
      sym_integer_literal,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6166), 1,
      anon_sym_LBRACK,
    ACTIONS(6170), 1,
      anon_sym_LPAREN,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    STATE(5489), 1,
      sym__simple_type,
    STATE(5962), 1,
      sym__annotated_type,
    STATE(6141), 1,
      sym_identifier,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(8850), 1,
      sym_annotated_type,
    STATE(10715), 1,
      sym_literal_type,
    STATE(10858), 1,
      sym__non_null_literal,
    STATE(12334), 1,
      sym__infix_type_choice,
    STATE(13345), 1,
      sym_template_body,
    STATE(13496), 1,
      sym__type,
    STATE(15472), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(1736), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1738), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1742), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3758), 2,
      sym_comment,
      sym_block_comment,
    STATE(9096), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10173), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173793] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(17832), 1,
      sym__type,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3759), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [173914] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1734), 1,
      sym_integer_literal,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6166), 1,
      anon_sym_LBRACK,
    ACTIONS(6170), 1,
      anon_sym_LPAREN,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    STATE(5489), 1,
      sym__simple_type,
    STATE(5962), 1,
      sym__annotated_type,
    STATE(6141), 1,
      sym_identifier,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(8850), 1,
      sym_annotated_type,
    STATE(10715), 1,
      sym_literal_type,
    STATE(10858), 1,
      sym__non_null_literal,
    STATE(12334), 1,
      sym__infix_type_choice,
    STATE(13323), 1,
      sym__type,
    STATE(13345), 1,
      sym_template_body,
    STATE(15472), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(1736), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1738), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1742), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3760), 2,
      sym_comment,
      sym_block_comment,
    STATE(9096), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10173), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174035] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1734), 1,
      sym_integer_literal,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6166), 1,
      anon_sym_LBRACK,
    ACTIONS(6170), 1,
      anon_sym_LPAREN,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    STATE(5489), 1,
      sym__simple_type,
    STATE(5962), 1,
      sym__annotated_type,
    STATE(6141), 1,
      sym_identifier,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(8850), 1,
      sym_annotated_type,
    STATE(10715), 1,
      sym_literal_type,
    STATE(10858), 1,
      sym__non_null_literal,
    STATE(12334), 1,
      sym__infix_type_choice,
    STATE(13345), 1,
      sym_template_body,
    STATE(13348), 1,
      sym__type,
    STATE(15472), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(1736), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1738), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1742), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3761), 2,
      sym_comment,
      sym_block_comment,
    STATE(9096), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10173), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174156] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14793), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3762), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174277] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1734), 1,
      sym_integer_literal,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6166), 1,
      anon_sym_LBRACK,
    ACTIONS(6170), 1,
      anon_sym_LPAREN,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    STATE(5489), 1,
      sym__simple_type,
    STATE(5962), 1,
      sym__annotated_type,
    STATE(6141), 1,
      sym_identifier,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(8850), 1,
      sym_annotated_type,
    STATE(10715), 1,
      sym_literal_type,
    STATE(10858), 1,
      sym__non_null_literal,
    STATE(12334), 1,
      sym__infix_type_choice,
    STATE(13345), 1,
      sym_template_body,
    STATE(13355), 1,
      sym__type,
    STATE(15472), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(1736), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1738), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1742), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3763), 2,
      sym_comment,
      sym_block_comment,
    STATE(9096), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10173), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174398] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [174467] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1734), 1,
      sym_integer_literal,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6166), 1,
      anon_sym_LBRACK,
    ACTIONS(6170), 1,
      anon_sym_LPAREN,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    STATE(5489), 1,
      sym__simple_type,
    STATE(5962), 1,
      sym__annotated_type,
    STATE(6141), 1,
      sym_identifier,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(8850), 1,
      sym_annotated_type,
    STATE(10715), 1,
      sym_literal_type,
    STATE(10858), 1,
      sym__non_null_literal,
    STATE(12334), 1,
      sym__infix_type_choice,
    STATE(13345), 1,
      sym_template_body,
    STATE(13423), 1,
      sym__type,
    STATE(15472), 1,
      sym_parameter_types,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(1736), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1738), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1742), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3765), 2,
      sym_comment,
      sym_block_comment,
    STATE(9096), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10173), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13521), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174588] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15104), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3766), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174709] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1626), 1,
      sym_integer_literal,
    ACTIONS(6140), 1,
      sym__alpha_identifier,
    ACTIONS(6142), 1,
      anon_sym_COLON,
    ACTIONS(6144), 1,
      anon_sym_LBRACE,
    ACTIONS(6146), 1,
      anon_sym__,
    ACTIONS(6148), 1,
      anon_sym_LBRACK,
    ACTIONS(6152), 1,
      anon_sym_LPAREN,
    ACTIONS(6154), 1,
      sym__backquoted_id,
    ACTIONS(6156), 1,
      sym_operator_identifier,
    STATE(5987), 1,
      sym__annotated_type,
    STATE(6643), 1,
      sym__simple_type,
    STATE(7004), 1,
      sym_identifier,
    STATE(7223), 1,
      sym__soft_identifier,
    STATE(9532), 1,
      sym_annotated_type,
    STATE(10959), 1,
      sym__non_null_literal,
    STATE(10973), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11647), 1,
      sym__type,
    STATE(12369), 1,
      sym__infix_type_choice,
    STATE(15554), 1,
      sym_parameter_types,
    STATE(17242), 1,
      sym_stable_identifier,
    ACTIONS(1628), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1630), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1634), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3767), 2,
      sym_comment,
      sym_block_comment,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9434), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10535), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7827), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174830] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1626), 1,
      sym_integer_literal,
    ACTIONS(6140), 1,
      sym__alpha_identifier,
    ACTIONS(6142), 1,
      anon_sym_COLON,
    ACTIONS(6144), 1,
      anon_sym_LBRACE,
    ACTIONS(6146), 1,
      anon_sym__,
    ACTIONS(6148), 1,
      anon_sym_LBRACK,
    ACTIONS(6152), 1,
      anon_sym_LPAREN,
    ACTIONS(6154), 1,
      sym__backquoted_id,
    ACTIONS(6156), 1,
      sym_operator_identifier,
    STATE(5987), 1,
      sym__annotated_type,
    STATE(6643), 1,
      sym__simple_type,
    STATE(7004), 1,
      sym_identifier,
    STATE(7223), 1,
      sym__soft_identifier,
    STATE(9532), 1,
      sym_annotated_type,
    STATE(10959), 1,
      sym__non_null_literal,
    STATE(10973), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11533), 1,
      sym__type,
    STATE(12369), 1,
      sym__infix_type_choice,
    STATE(15554), 1,
      sym_parameter_types,
    STATE(17242), 1,
      sym_stable_identifier,
    ACTIONS(1628), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1630), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1634), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3768), 2,
      sym_comment,
      sym_block_comment,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9434), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10535), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7827), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [174951] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1626), 1,
      sym_integer_literal,
    ACTIONS(6140), 1,
      sym__alpha_identifier,
    ACTIONS(6142), 1,
      anon_sym_COLON,
    ACTIONS(6144), 1,
      anon_sym_LBRACE,
    ACTIONS(6146), 1,
      anon_sym__,
    ACTIONS(6148), 1,
      anon_sym_LBRACK,
    ACTIONS(6152), 1,
      anon_sym_LPAREN,
    ACTIONS(6154), 1,
      sym__backquoted_id,
    ACTIONS(6156), 1,
      sym_operator_identifier,
    STATE(5987), 1,
      sym__annotated_type,
    STATE(6643), 1,
      sym__simple_type,
    STATE(7004), 1,
      sym_identifier,
    STATE(7223), 1,
      sym__soft_identifier,
    STATE(9532), 1,
      sym_annotated_type,
    STATE(10959), 1,
      sym__non_null_literal,
    STATE(10973), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11571), 1,
      sym__type,
    STATE(12369), 1,
      sym__infix_type_choice,
    STATE(15554), 1,
      sym_parameter_types,
    STATE(17242), 1,
      sym_stable_identifier,
    ACTIONS(1628), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1630), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1634), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3769), 2,
      sym_comment,
      sym_block_comment,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9434), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10535), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7827), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175072] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15280), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3770), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175193] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14982), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3771), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175314] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1626), 1,
      sym_integer_literal,
    ACTIONS(6140), 1,
      sym__alpha_identifier,
    ACTIONS(6142), 1,
      anon_sym_COLON,
    ACTIONS(6144), 1,
      anon_sym_LBRACE,
    ACTIONS(6146), 1,
      anon_sym__,
    ACTIONS(6148), 1,
      anon_sym_LBRACK,
    ACTIONS(6152), 1,
      anon_sym_LPAREN,
    ACTIONS(6154), 1,
      sym__backquoted_id,
    ACTIONS(6156), 1,
      sym_operator_identifier,
    STATE(5987), 1,
      sym__annotated_type,
    STATE(6643), 1,
      sym__simple_type,
    STATE(7004), 1,
      sym_identifier,
    STATE(7223), 1,
      sym__soft_identifier,
    STATE(9532), 1,
      sym_annotated_type,
    STATE(10959), 1,
      sym__non_null_literal,
    STATE(10973), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11622), 1,
      sym__type,
    STATE(12369), 1,
      sym__infix_type_choice,
    STATE(15554), 1,
      sym_parameter_types,
    STATE(17242), 1,
      sym_stable_identifier,
    ACTIONS(1628), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1630), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1634), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3772), 2,
      sym_comment,
      sym_block_comment,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9434), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10535), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7827), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175435] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14824), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3773), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175556] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1626), 1,
      sym_integer_literal,
    ACTIONS(6140), 1,
      sym__alpha_identifier,
    ACTIONS(6142), 1,
      anon_sym_COLON,
    ACTIONS(6144), 1,
      anon_sym_LBRACE,
    ACTIONS(6146), 1,
      anon_sym__,
    ACTIONS(6148), 1,
      anon_sym_LBRACK,
    ACTIONS(6152), 1,
      anon_sym_LPAREN,
    ACTIONS(6154), 1,
      sym__backquoted_id,
    ACTIONS(6156), 1,
      sym_operator_identifier,
    STATE(5987), 1,
      sym__annotated_type,
    STATE(6643), 1,
      sym__simple_type,
    STATE(7004), 1,
      sym_identifier,
    STATE(7223), 1,
      sym__soft_identifier,
    STATE(9532), 1,
      sym_annotated_type,
    STATE(10959), 1,
      sym__non_null_literal,
    STATE(10973), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11619), 1,
      sym__type,
    STATE(12369), 1,
      sym__infix_type_choice,
    STATE(15554), 1,
      sym_parameter_types,
    STATE(17242), 1,
      sym_stable_identifier,
    ACTIONS(1628), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1630), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1634), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3774), 2,
      sym_comment,
      sym_block_comment,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9434), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10535), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7827), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175677] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15006), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3775), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175798] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4550), 1,
      sym__alpha_identifier,
    ACTIONS(4552), 1,
      anon_sym_COLON,
    ACTIONS(4554), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym__,
    ACTIONS(4560), 1,
      anon_sym_LBRACK,
    ACTIONS(4568), 1,
      sym__backquoted_id,
    ACTIONS(4572), 1,
      sym_integer_literal,
    ACTIONS(6894), 1,
      anon_sym_LPAREN,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    STATE(4883), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym__annotated_type,
    STATE(5032), 1,
      sym__soft_identifier,
    STATE(5419), 1,
      sym_identifier,
    STATE(7699), 1,
      sym_annotated_type,
    STATE(10241), 1,
      sym__non_null_literal,
    STATE(10320), 1,
      sym_literal_type,
    STATE(12443), 1,
      sym__infix_type_choice,
    STATE(13081), 1,
      sym_template_body,
    STATE(13095), 1,
      sym__type,
    STATE(15657), 1,
      sym_parameter_types,
    STATE(17272), 1,
      sym_stable_identifier,
    ACTIONS(4574), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4576), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3776), 2,
      sym_comment,
      sym_block_comment,
    STATE(9674), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10264), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13298), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13194), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5875), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [175919] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15272), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3777), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176040] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(958), 1,
      sym_integer_literal,
    ACTIONS(6142), 1,
      anon_sym_COLON,
    ACTIONS(6144), 1,
      anon_sym_LBRACE,
    ACTIONS(6204), 1,
      sym__alpha_identifier,
    ACTIONS(6206), 1,
      anon_sym__,
    ACTIONS(6208), 1,
      anon_sym_LBRACK,
    ACTIONS(6212), 1,
      anon_sym_LPAREN,
    ACTIONS(6214), 1,
      sym__backquoted_id,
    ACTIONS(6216), 1,
      sym_operator_identifier,
    STATE(4500), 1,
      sym__simple_type,
    STATE(4516), 1,
      sym__annotated_type,
    STATE(4575), 1,
      sym_identifier,
    STATE(4614), 1,
      sym__soft_identifier,
    STATE(6499), 1,
      sym_annotated_type,
    STATE(9405), 1,
      sym__non_null_literal,
    STATE(9714), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11647), 1,
      sym__type,
    STATE(12406), 1,
      sym__infix_type_choice,
    STATE(15609), 1,
      sym_parameter_types,
    STATE(17254), 1,
      sym_stable_identifier,
    ACTIONS(960), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(962), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3778), 2,
      sym_comment,
      sym_block_comment,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6132), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8428), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6210), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176161] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(958), 1,
      sym_integer_literal,
    ACTIONS(6142), 1,
      anon_sym_COLON,
    ACTIONS(6144), 1,
      anon_sym_LBRACE,
    ACTIONS(6204), 1,
      sym__alpha_identifier,
    ACTIONS(6206), 1,
      anon_sym__,
    ACTIONS(6208), 1,
      anon_sym_LBRACK,
    ACTIONS(6212), 1,
      anon_sym_LPAREN,
    ACTIONS(6214), 1,
      sym__backquoted_id,
    ACTIONS(6216), 1,
      sym_operator_identifier,
    STATE(4500), 1,
      sym__simple_type,
    STATE(4516), 1,
      sym__annotated_type,
    STATE(4575), 1,
      sym_identifier,
    STATE(4614), 1,
      sym__soft_identifier,
    STATE(6499), 1,
      sym_annotated_type,
    STATE(9405), 1,
      sym__non_null_literal,
    STATE(9714), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11533), 1,
      sym__type,
    STATE(12406), 1,
      sym__infix_type_choice,
    STATE(15609), 1,
      sym_parameter_types,
    STATE(17254), 1,
      sym_stable_identifier,
    ACTIONS(960), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(962), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3779), 2,
      sym_comment,
      sym_block_comment,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6132), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8428), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6210), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176282] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14832), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3780), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176403] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(958), 1,
      sym_integer_literal,
    ACTIONS(6142), 1,
      anon_sym_COLON,
    ACTIONS(6144), 1,
      anon_sym_LBRACE,
    ACTIONS(6204), 1,
      sym__alpha_identifier,
    ACTIONS(6206), 1,
      anon_sym__,
    ACTIONS(6208), 1,
      anon_sym_LBRACK,
    ACTIONS(6212), 1,
      anon_sym_LPAREN,
    ACTIONS(6214), 1,
      sym__backquoted_id,
    ACTIONS(6216), 1,
      sym_operator_identifier,
    STATE(4500), 1,
      sym__simple_type,
    STATE(4516), 1,
      sym__annotated_type,
    STATE(4575), 1,
      sym_identifier,
    STATE(4614), 1,
      sym__soft_identifier,
    STATE(6499), 1,
      sym_annotated_type,
    STATE(9405), 1,
      sym__non_null_literal,
    STATE(9714), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11571), 1,
      sym__type,
    STATE(12406), 1,
      sym__infix_type_choice,
    STATE(15609), 1,
      sym_parameter_types,
    STATE(17254), 1,
      sym_stable_identifier,
    ACTIONS(960), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(962), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3781), 2,
      sym_comment,
      sym_block_comment,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6132), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8428), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6210), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176524] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(958), 1,
      sym_integer_literal,
    ACTIONS(6142), 1,
      anon_sym_COLON,
    ACTIONS(6144), 1,
      anon_sym_LBRACE,
    ACTIONS(6204), 1,
      sym__alpha_identifier,
    ACTIONS(6206), 1,
      anon_sym__,
    ACTIONS(6208), 1,
      anon_sym_LBRACK,
    ACTIONS(6212), 1,
      anon_sym_LPAREN,
    ACTIONS(6214), 1,
      sym__backquoted_id,
    ACTIONS(6216), 1,
      sym_operator_identifier,
    STATE(4500), 1,
      sym__simple_type,
    STATE(4516), 1,
      sym__annotated_type,
    STATE(4575), 1,
      sym_identifier,
    STATE(4614), 1,
      sym__soft_identifier,
    STATE(6499), 1,
      sym_annotated_type,
    STATE(9405), 1,
      sym__non_null_literal,
    STATE(9714), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11622), 1,
      sym__type,
    STATE(12406), 1,
      sym__infix_type_choice,
    STATE(15609), 1,
      sym_parameter_types,
    STATE(17254), 1,
      sym_stable_identifier,
    ACTIONS(960), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(962), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3782), 2,
      sym_comment,
      sym_block_comment,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6132), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8428), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6210), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176645] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(958), 1,
      sym_integer_literal,
    ACTIONS(6142), 1,
      anon_sym_COLON,
    ACTIONS(6144), 1,
      anon_sym_LBRACE,
    ACTIONS(6204), 1,
      sym__alpha_identifier,
    ACTIONS(6206), 1,
      anon_sym__,
    ACTIONS(6208), 1,
      anon_sym_LBRACK,
    ACTIONS(6212), 1,
      anon_sym_LPAREN,
    ACTIONS(6214), 1,
      sym__backquoted_id,
    ACTIONS(6216), 1,
      sym_operator_identifier,
    STATE(4500), 1,
      sym__simple_type,
    STATE(4516), 1,
      sym__annotated_type,
    STATE(4575), 1,
      sym_identifier,
    STATE(4614), 1,
      sym__soft_identifier,
    STATE(6499), 1,
      sym_annotated_type,
    STATE(9405), 1,
      sym__non_null_literal,
    STATE(9714), 1,
      sym_literal_type,
    STATE(11481), 1,
      sym_template_body,
    STATE(11619), 1,
      sym__type,
    STATE(12406), 1,
      sym__infix_type_choice,
    STATE(15609), 1,
      sym_parameter_types,
    STATE(17254), 1,
      sym_stable_identifier,
    ACTIONS(960), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(962), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(966), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3783), 2,
      sym_comment,
      sym_block_comment,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6132), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8428), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11693), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6210), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176766] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15117), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3784), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [176887] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1272), 1,
      sym_integer_literal,
    ACTIONS(6240), 1,
      sym__alpha_identifier,
    ACTIONS(6242), 1,
      anon_sym_COLON,
    ACTIONS(6244), 1,
      anon_sym_LBRACE,
    ACTIONS(6246), 1,
      anon_sym__,
    ACTIONS(6248), 1,
      anon_sym_LBRACK,
    ACTIONS(6252), 1,
      anon_sym_LPAREN,
    ACTIONS(6254), 1,
      sym__backquoted_id,
    ACTIONS(6256), 1,
      sym_operator_identifier,
    STATE(4888), 1,
      sym__simple_type,
    STATE(4993), 1,
      sym__annotated_type,
    STATE(5046), 1,
      sym__soft_identifier,
    STATE(5345), 1,
      sym_identifier,
    STATE(7619), 1,
      sym_annotated_type,
    STATE(10256), 1,
      sym__non_null_literal,
    STATE(10422), 1,
      sym_literal_type,
    STATE(12424), 1,
      sym__infix_type_choice,
    STATE(12836), 1,
      sym__type,
    STATE(13023), 1,
      sym_template_body,
    STATE(15474), 1,
      sym_parameter_types,
    STATE(17260), 1,
      sym_stable_identifier,
    ACTIONS(1274), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1276), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1280), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3785), 2,
      sym_comment,
      sym_block_comment,
    STATE(7718), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8009), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9716), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12914), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5941), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177008] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6666), 1,
      anon_sym_COLON,
    ACTIONS(6668), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      anon_sym__,
    ACTIONS(6672), 1,
      anon_sym_LBRACK,
    ACTIONS(6676), 1,
      anon_sym_LPAREN,
    ACTIONS(6678), 1,
      sym__backquoted_id,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    ACTIONS(6682), 1,
      sym_integer_literal,
    STATE(5601), 1,
      sym__simple_type,
    STATE(6108), 1,
      sym_identifier,
    STATE(6195), 1,
      sym__soft_identifier,
    STATE(6432), 1,
      sym__annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(8499), 1,
      sym__type,
    STATE(9686), 1,
      sym_annotated_type,
    STATE(10838), 1,
      sym__non_null_literal,
    STATE(10841), 1,
      sym_literal_type,
    STATE(12333), 1,
      sym__infix_type_choice,
    STATE(15385), 1,
      sym_parameter_types,
    STATE(16790), 1,
      sym_stable_identifier,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3786), 2,
      sym_comment,
      sym_block_comment,
    STATE(10375), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11046), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6674), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7350), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177129] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1272), 1,
      sym_integer_literal,
    ACTIONS(6240), 1,
      sym__alpha_identifier,
    ACTIONS(6242), 1,
      anon_sym_COLON,
    ACTIONS(6244), 1,
      anon_sym_LBRACE,
    ACTIONS(6246), 1,
      anon_sym__,
    ACTIONS(6248), 1,
      anon_sym_LBRACK,
    ACTIONS(6252), 1,
      anon_sym_LPAREN,
    ACTIONS(6254), 1,
      sym__backquoted_id,
    ACTIONS(6256), 1,
      sym_operator_identifier,
    STATE(4888), 1,
      sym__simple_type,
    STATE(4993), 1,
      sym__annotated_type,
    STATE(5046), 1,
      sym__soft_identifier,
    STATE(5345), 1,
      sym_identifier,
    STATE(7619), 1,
      sym_annotated_type,
    STATE(10256), 1,
      sym__non_null_literal,
    STATE(10422), 1,
      sym_literal_type,
    STATE(12424), 1,
      sym__infix_type_choice,
    STATE(12968), 1,
      sym__type,
    STATE(13023), 1,
      sym_template_body,
    STATE(15474), 1,
      sym_parameter_types,
    STATE(17260), 1,
      sym_stable_identifier,
    ACTIONS(1274), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1276), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1280), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3787), 2,
      sym_comment,
      sym_block_comment,
    STATE(7718), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8009), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9716), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12914), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5941), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177250] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1272), 1,
      sym_integer_literal,
    ACTIONS(6240), 1,
      sym__alpha_identifier,
    ACTIONS(6242), 1,
      anon_sym_COLON,
    ACTIONS(6244), 1,
      anon_sym_LBRACE,
    ACTIONS(6246), 1,
      anon_sym__,
    ACTIONS(6248), 1,
      anon_sym_LBRACK,
    ACTIONS(6252), 1,
      anon_sym_LPAREN,
    ACTIONS(6254), 1,
      sym__backquoted_id,
    ACTIONS(6256), 1,
      sym_operator_identifier,
    STATE(4888), 1,
      sym__simple_type,
    STATE(4993), 1,
      sym__annotated_type,
    STATE(5046), 1,
      sym__soft_identifier,
    STATE(5345), 1,
      sym_identifier,
    STATE(7619), 1,
      sym_annotated_type,
    STATE(10256), 1,
      sym__non_null_literal,
    STATE(10422), 1,
      sym_literal_type,
    STATE(12424), 1,
      sym__infix_type_choice,
    STATE(12988), 1,
      sym__type,
    STATE(13023), 1,
      sym_template_body,
    STATE(15474), 1,
      sym_parameter_types,
    STATE(17260), 1,
      sym_stable_identifier,
    ACTIONS(1274), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1276), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1280), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3788), 2,
      sym_comment,
      sym_block_comment,
    STATE(7718), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8009), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9716), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12914), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5941), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177371] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15009), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3789), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177492] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15235), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3790), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177613] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15224), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3791), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177734] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15110), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3792), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177855] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1272), 1,
      sym_integer_literal,
    ACTIONS(6240), 1,
      sym__alpha_identifier,
    ACTIONS(6242), 1,
      anon_sym_COLON,
    ACTIONS(6244), 1,
      anon_sym_LBRACE,
    ACTIONS(6246), 1,
      anon_sym__,
    ACTIONS(6248), 1,
      anon_sym_LBRACK,
    ACTIONS(6252), 1,
      anon_sym_LPAREN,
    ACTIONS(6254), 1,
      sym__backquoted_id,
    ACTIONS(6256), 1,
      sym_operator_identifier,
    STATE(4888), 1,
      sym__simple_type,
    STATE(4993), 1,
      sym__annotated_type,
    STATE(5046), 1,
      sym__soft_identifier,
    STATE(5345), 1,
      sym_identifier,
    STATE(7619), 1,
      sym_annotated_type,
    STATE(10256), 1,
      sym__non_null_literal,
    STATE(10422), 1,
      sym_literal_type,
    STATE(12424), 1,
      sym__infix_type_choice,
    STATE(12994), 1,
      sym__type,
    STATE(13023), 1,
      sym_template_body,
    STATE(15474), 1,
      sym_parameter_types,
    STATE(17260), 1,
      sym_stable_identifier,
    ACTIONS(1274), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1276), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1280), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3793), 2,
      sym_comment,
      sym_block_comment,
    STATE(7718), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8009), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9716), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12914), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5941), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [177976] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1272), 1,
      sym_integer_literal,
    ACTIONS(6240), 1,
      sym__alpha_identifier,
    ACTIONS(6242), 1,
      anon_sym_COLON,
    ACTIONS(6244), 1,
      anon_sym_LBRACE,
    ACTIONS(6246), 1,
      anon_sym__,
    ACTIONS(6248), 1,
      anon_sym_LBRACK,
    ACTIONS(6252), 1,
      anon_sym_LPAREN,
    ACTIONS(6254), 1,
      sym__backquoted_id,
    ACTIONS(6256), 1,
      sym_operator_identifier,
    STATE(4888), 1,
      sym__simple_type,
    STATE(4993), 1,
      sym__annotated_type,
    STATE(5046), 1,
      sym__soft_identifier,
    STATE(5345), 1,
      sym_identifier,
    STATE(7619), 1,
      sym_annotated_type,
    STATE(10256), 1,
      sym__non_null_literal,
    STATE(10422), 1,
      sym_literal_type,
    STATE(12424), 1,
      sym__infix_type_choice,
    STATE(13012), 1,
      sym__type,
    STATE(13023), 1,
      sym_template_body,
    STATE(15474), 1,
      sym_parameter_types,
    STATE(17260), 1,
      sym_stable_identifier,
    ACTIONS(1274), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1276), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1280), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3794), 2,
      sym_comment,
      sym_block_comment,
    STATE(7718), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8009), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9716), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12914), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5941), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178097] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15114), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3795), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178218] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(541), 1,
      sym_integer_literal,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6544), 1,
      anon_sym_LBRACK,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    STATE(5742), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(10462), 1,
      sym__non_null_literal,
    STATE(10490), 1,
      sym_literal_type,
    STATE(11922), 1,
      sym_template_body,
    STATE(12260), 1,
      sym__infix_type_choice,
    STATE(14731), 1,
      sym__type,
    STATE(15462), 1,
      sym_parameter_types,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(543), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(555), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3796), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9490), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9827), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(12805), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178339] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4550), 1,
      sym__alpha_identifier,
    ACTIONS(4552), 1,
      anon_sym_COLON,
    ACTIONS(4554), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym__,
    ACTIONS(4560), 1,
      anon_sym_LBRACK,
    ACTIONS(4568), 1,
      sym__backquoted_id,
    ACTIONS(4572), 1,
      sym_integer_literal,
    ACTIONS(6894), 1,
      anon_sym_LPAREN,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    STATE(4883), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym__annotated_type,
    STATE(5032), 1,
      sym__soft_identifier,
    STATE(5419), 1,
      sym_identifier,
    STATE(7699), 1,
      sym_annotated_type,
    STATE(10241), 1,
      sym__non_null_literal,
    STATE(10320), 1,
      sym_literal_type,
    STATE(12443), 1,
      sym__infix_type_choice,
    STATE(13081), 1,
      sym_template_body,
    STATE(13092), 1,
      sym__type,
    STATE(15657), 1,
      sym_parameter_types,
    STATE(17272), 1,
      sym_stable_identifier,
    ACTIONS(4574), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4576), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3797), 2,
      sym_comment,
      sym_block_comment,
    STATE(9674), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10264), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13298), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13194), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5875), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178460] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4550), 1,
      sym__alpha_identifier,
    ACTIONS(4552), 1,
      anon_sym_COLON,
    ACTIONS(4554), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym__,
    ACTIONS(4560), 1,
      anon_sym_LBRACK,
    ACTIONS(4568), 1,
      sym__backquoted_id,
    ACTIONS(4572), 1,
      sym_integer_literal,
    ACTIONS(6894), 1,
      anon_sym_LPAREN,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    STATE(4883), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym__annotated_type,
    STATE(5032), 1,
      sym__soft_identifier,
    STATE(5419), 1,
      sym_identifier,
    STATE(7699), 1,
      sym_annotated_type,
    STATE(10241), 1,
      sym__non_null_literal,
    STATE(10320), 1,
      sym_literal_type,
    STATE(12443), 1,
      sym__infix_type_choice,
    STATE(13050), 1,
      sym__type,
    STATE(13081), 1,
      sym_template_body,
    STATE(15657), 1,
      sym_parameter_types,
    STATE(17272), 1,
      sym_stable_identifier,
    ACTIONS(4574), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4576), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3798), 2,
      sym_comment,
      sym_block_comment,
    STATE(9674), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10264), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13298), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13194), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5875), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178581] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      sym__alpha_identifier,
    ACTIONS(6180), 1,
      anon_sym_COLON,
    ACTIONS(6182), 1,
      anon_sym_LBRACE,
    ACTIONS(6184), 1,
      anon_sym__,
    ACTIONS(6186), 1,
      anon_sym_LBRACK,
    ACTIONS(6190), 1,
      anon_sym_LPAREN,
    ACTIONS(6192), 1,
      sym__backquoted_id,
    ACTIONS(6194), 1,
      sym_operator_identifier,
    ACTIONS(6196), 1,
      sym_integer_literal,
    STATE(5255), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5650), 1,
      sym__soft_identifier,
    STATE(5679), 1,
      sym__annotated_type,
    STATE(8940), 1,
      sym_annotated_type,
    STATE(10544), 1,
      sym__non_null_literal,
    STATE(10545), 1,
      sym_literal_type,
    STATE(10868), 1,
      sym_template_body,
    STATE(10951), 1,
      sym__type,
    STATE(12487), 1,
      sym__infix_type_choice,
    STATE(15615), 1,
      sym_parameter_types,
    STATE(16426), 1,
      sym_stable_identifier,
    ACTIONS(6198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6202), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3799), 2,
      sym_comment,
      sym_block_comment,
    STATE(10082), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10638), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10774), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6081), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178702] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      sym__alpha_identifier,
    ACTIONS(6180), 1,
      anon_sym_COLON,
    ACTIONS(6182), 1,
      anon_sym_LBRACE,
    ACTIONS(6184), 1,
      anon_sym__,
    ACTIONS(6186), 1,
      anon_sym_LBRACK,
    ACTIONS(6190), 1,
      anon_sym_LPAREN,
    ACTIONS(6192), 1,
      sym__backquoted_id,
    ACTIONS(6194), 1,
      sym_operator_identifier,
    ACTIONS(6196), 1,
      sym_integer_literal,
    STATE(5255), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5650), 1,
      sym__soft_identifier,
    STATE(5679), 1,
      sym__annotated_type,
    STATE(8940), 1,
      sym_annotated_type,
    STATE(10544), 1,
      sym__non_null_literal,
    STATE(10545), 1,
      sym_literal_type,
    STATE(10868), 1,
      sym_template_body,
    STATE(10964), 1,
      sym__type,
    STATE(12487), 1,
      sym__infix_type_choice,
    STATE(15615), 1,
      sym_parameter_types,
    STATE(16426), 1,
      sym_stable_identifier,
    ACTIONS(6198), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6202), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3800), 2,
      sym_comment,
      sym_block_comment,
    STATE(10082), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10638), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10774), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10882), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6081), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178823] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6376), 1,
      anon_sym__,
    ACTIONS(6378), 1,
      anon_sym_LBRACK,
    ACTIONS(6382), 1,
      anon_sym_LPAREN,
    ACTIONS(6384), 1,
      sym__backquoted_id,
    ACTIONS(6386), 1,
      sym_operator_identifier,
    ACTIONS(6388), 1,
      sym_integer_literal,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6339), 1,
      sym__soft_identifier,
    STATE(6395), 1,
      sym__annotated_type,
    STATE(6512), 1,
      sym_identifier,
    STATE(9615), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11022), 1,
      sym__non_null_literal,
    STATE(11123), 1,
      sym_literal_type,
    STATE(12580), 1,
      sym__infix_type_choice,
    STATE(13977), 1,
      sym__type,
    STATE(15688), 1,
      sym_parameter_types,
    STATE(16405), 1,
      sym_stable_identifier,
    ACTIONS(6390), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6392), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6394), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3801), 2,
      sym_comment,
      sym_block_comment,
    STATE(10511), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11111), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6978), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [178944] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15189), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3802), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179065] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4550), 1,
      sym__alpha_identifier,
    ACTIONS(4552), 1,
      anon_sym_COLON,
    ACTIONS(4554), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym__,
    ACTIONS(4560), 1,
      anon_sym_LBRACK,
    ACTIONS(4568), 1,
      sym__backquoted_id,
    ACTIONS(4572), 1,
      sym_integer_literal,
    ACTIONS(6894), 1,
      anon_sym_LPAREN,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    STATE(4883), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym__annotated_type,
    STATE(5032), 1,
      sym__soft_identifier,
    STATE(5419), 1,
      sym_identifier,
    STATE(7699), 1,
      sym_annotated_type,
    STATE(10241), 1,
      sym__non_null_literal,
    STATE(10320), 1,
      sym_literal_type,
    STATE(12443), 1,
      sym__infix_type_choice,
    STATE(13031), 1,
      sym__type,
    STATE(13081), 1,
      sym_template_body,
    STATE(15657), 1,
      sym_parameter_types,
    STATE(17272), 1,
      sym_stable_identifier,
    ACTIONS(4574), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4576), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3803), 2,
      sym_comment,
      sym_block_comment,
    STATE(9674), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10264), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13298), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13194), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5875), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179186] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4550), 1,
      sym__alpha_identifier,
    ACTIONS(4552), 1,
      anon_sym_COLON,
    ACTIONS(4554), 1,
      anon_sym_LBRACE,
    ACTIONS(4556), 1,
      anon_sym__,
    ACTIONS(4560), 1,
      anon_sym_LBRACK,
    ACTIONS(4568), 1,
      sym__backquoted_id,
    ACTIONS(4572), 1,
      sym_integer_literal,
    ACTIONS(6894), 1,
      anon_sym_LPAREN,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    STATE(4883), 1,
      sym__simple_type,
    STATE(5002), 1,
      sym__annotated_type,
    STATE(5032), 1,
      sym__soft_identifier,
    STATE(5419), 1,
      sym_identifier,
    STATE(7699), 1,
      sym_annotated_type,
    STATE(10241), 1,
      sym__non_null_literal,
    STATE(10320), 1,
      sym_literal_type,
    STATE(12443), 1,
      sym__infix_type_choice,
    STATE(13077), 1,
      sym__type,
    STATE(13081), 1,
      sym_template_body,
    STATE(15657), 1,
      sym_parameter_types,
    STATE(17272), 1,
      sym_stable_identifier,
    ACTIONS(4574), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4576), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(4580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3804), 2,
      sym_comment,
      sym_block_comment,
    STATE(9674), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(10264), 2,
      sym_boolean_literal,
      sym_string,
    STATE(13298), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13194), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5875), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179307] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15178), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3805), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179428] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15027), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3806), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179549] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1216), 1,
      sym_integer_literal,
    ACTIONS(6312), 1,
      sym__alpha_identifier,
    ACTIONS(6314), 1,
      anon_sym_COLON,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    STATE(5070), 1,
      sym__annotated_type,
    STATE(5251), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(5874), 1,
      sym_identifier,
    STATE(8314), 1,
      sym_annotated_type,
    STATE(10562), 1,
      sym_literal_type,
    STATE(10637), 1,
      sym__non_null_literal,
    STATE(12338), 1,
      sym__infix_type_choice,
    STATE(13081), 1,
      sym_template_body,
    STATE(13092), 1,
      sym__type,
    STATE(15475), 1,
      sym_parameter_types,
    STATE(17278), 1,
      sym_stable_identifier,
    ACTIONS(1218), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1220), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1224), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3807), 2,
      sym_comment,
      sym_block_comment,
    STATE(8202), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8537), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13194), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6129), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179670] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1216), 1,
      sym_integer_literal,
    ACTIONS(6312), 1,
      sym__alpha_identifier,
    ACTIONS(6314), 1,
      anon_sym_COLON,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    STATE(5070), 1,
      sym__annotated_type,
    STATE(5251), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(5874), 1,
      sym_identifier,
    STATE(8314), 1,
      sym_annotated_type,
    STATE(10562), 1,
      sym_literal_type,
    STATE(10637), 1,
      sym__non_null_literal,
    STATE(12338), 1,
      sym__infix_type_choice,
    STATE(13050), 1,
      sym__type,
    STATE(13081), 1,
      sym_template_body,
    STATE(15475), 1,
      sym_parameter_types,
    STATE(17278), 1,
      sym_stable_identifier,
    ACTIONS(1218), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1220), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1224), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3808), 2,
      sym_comment,
      sym_block_comment,
    STATE(8202), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8537), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13194), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6129), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179791] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1216), 1,
      sym_integer_literal,
    ACTIONS(6312), 1,
      sym__alpha_identifier,
    ACTIONS(6314), 1,
      anon_sym_COLON,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    STATE(5070), 1,
      sym__annotated_type,
    STATE(5251), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(5874), 1,
      sym_identifier,
    STATE(8314), 1,
      sym_annotated_type,
    STATE(10562), 1,
      sym_literal_type,
    STATE(10637), 1,
      sym__non_null_literal,
    STATE(12338), 1,
      sym__infix_type_choice,
    STATE(13031), 1,
      sym__type,
    STATE(13081), 1,
      sym_template_body,
    STATE(15475), 1,
      sym_parameter_types,
    STATE(17278), 1,
      sym_stable_identifier,
    ACTIONS(1218), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1220), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1224), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3809), 2,
      sym_comment,
      sym_block_comment,
    STATE(8202), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8537), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13194), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6129), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [179912] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1216), 1,
      sym_integer_literal,
    ACTIONS(6312), 1,
      sym__alpha_identifier,
    ACTIONS(6314), 1,
      anon_sym_COLON,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    STATE(5070), 1,
      sym__annotated_type,
    STATE(5251), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(5874), 1,
      sym_identifier,
    STATE(8314), 1,
      sym_annotated_type,
    STATE(10562), 1,
      sym_literal_type,
    STATE(10637), 1,
      sym__non_null_literal,
    STATE(12338), 1,
      sym__infix_type_choice,
    STATE(13077), 1,
      sym__type,
    STATE(13081), 1,
      sym_template_body,
    STATE(15475), 1,
      sym_parameter_types,
    STATE(17278), 1,
      sym_stable_identifier,
    ACTIONS(1218), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1220), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1224), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3810), 2,
      sym_comment,
      sym_block_comment,
    STATE(8202), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8537), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13194), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6129), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180033] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(4248), 1,
      anon_sym_COLON,
    ACTIONS(4250), 1,
      anon_sym_LBRACE,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(6594), 1,
      anon_sym_LBRACK,
    STATE(6684), 1,
      sym__simple_type,
    STATE(7597), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(12510), 1,
      sym__infix_type_choice,
    STATE(13972), 1,
      sym__type,
    STATE(15492), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3811), 2,
      sym_comment,
      sym_block_comment,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11392), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180154] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1216), 1,
      sym_integer_literal,
    ACTIONS(6312), 1,
      sym__alpha_identifier,
    ACTIONS(6314), 1,
      anon_sym_COLON,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6320), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_LPAREN,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    STATE(5070), 1,
      sym__annotated_type,
    STATE(5251), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(5874), 1,
      sym_identifier,
    STATE(8314), 1,
      sym_annotated_type,
    STATE(10562), 1,
      sym_literal_type,
    STATE(10637), 1,
      sym__non_null_literal,
    STATE(12338), 1,
      sym__infix_type_choice,
    STATE(13081), 1,
      sym_template_body,
    STATE(13095), 1,
      sym__type,
    STATE(15475), 1,
      sym_parameter_types,
    STATE(17278), 1,
      sym_stable_identifier,
    ACTIONS(1218), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1220), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1224), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3812), 2,
      sym_comment,
      sym_block_comment,
    STATE(8202), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8537), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9812), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(13194), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6129), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180275] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15099), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3813), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180396] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6848), 1,
      anon_sym_COLON,
    ACTIONS(6850), 1,
      anon_sym_LBRACE,
    ACTIONS(6852), 1,
      anon_sym_LBRACK,
    ACTIONS(6854), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(8296), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11237), 1,
      sym_literal_type,
    STATE(11241), 1,
      sym__non_null_literal,
    STATE(11474), 1,
      sym__type,
    STATE(11582), 1,
      sym_template_body,
    STATE(12277), 1,
      sym__infix_type_choice,
    STATE(15165), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3814), 2,
      sym_comment,
      sym_block_comment,
    STATE(11053), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11666), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11699), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180517] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15096), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3815), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180638] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14859), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3816), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180759] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15024), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3817), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [180880] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6130), 1,
      anon_sym_LBRACK,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(14320), 1,
      sym__type,
    STATE(15383), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3818), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181001] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1678), 1,
      sym_integer_literal,
    ACTIONS(6336), 1,
      anon_sym_COLON,
    ACTIONS(6338), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      sym__alpha_identifier,
    ACTIONS(6454), 1,
      anon_sym__,
    ACTIONS(6456), 1,
      anon_sym_LBRACK,
    ACTIONS(6460), 1,
      anon_sym_LPAREN,
    ACTIONS(6462), 1,
      sym__backquoted_id,
    ACTIONS(6464), 1,
      sym_operator_identifier,
    STATE(5994), 1,
      sym__annotated_type,
    STATE(5997), 1,
      sym__simple_type,
    STATE(6938), 1,
      sym__soft_identifier,
    STATE(7212), 1,
      sym_identifier,
    STATE(9566), 1,
      sym_annotated_type,
    STATE(10994), 1,
      sym_literal_type,
    STATE(11038), 1,
      sym__non_null_literal,
    STATE(11484), 1,
      sym_template_body,
    STATE(12053), 1,
      sym__type,
    STATE(12238), 1,
      sym__infix_type_choice,
    STATE(15549), 1,
      sym_parameter_types,
    STATE(16631), 1,
      sym_stable_identifier,
    ACTIONS(1680), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(1682), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1686), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3819), 2,
      sym_comment,
      sym_block_comment,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9467), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10456), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11773), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6458), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7526), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181122] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15081), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3820), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181243] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15078), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3821), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181364] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6130), 1,
      anon_sym_LBRACK,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(11195), 1,
      sym__type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(15383), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3822), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181485] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6130), 1,
      anon_sym_LBRACK,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(14323), 1,
      sym__type,
    STATE(15383), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3823), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181606] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6130), 1,
      anon_sym_LBRACK,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(14325), 1,
      sym__type,
    STATE(15383), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3824), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181727] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15146), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3825), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181848] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6130), 1,
      anon_sym_LBRACK,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(11194), 1,
      sym__type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(15383), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3826), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [181969] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6130), 1,
      anon_sym_LBRACK,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(14343), 1,
      sym__type,
    STATE(15383), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3827), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182090] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15132), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3828), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182211] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15138), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3829), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182332] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14864), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3830), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182453] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6398), 1,
      anon_sym_COLON,
    ACTIONS(6400), 1,
      anon_sym_LBRACE,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6404), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_LPAREN,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(6414), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(6902), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(11113), 1,
      sym__non_null_literal,
    STATE(11114), 1,
      sym_literal_type,
    STATE(11318), 1,
      sym_template_body,
    STATE(11370), 1,
      sym__type,
    STATE(12204), 1,
      sym__infix_type_choice,
    STATE(14769), 1,
      sym_parameter_types,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3831), 2,
      sym_comment,
      sym_block_comment,
    STATE(10653), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11326), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182574] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15063), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3832), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182695] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(87), 1,
      sym_integer_literal,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6130), 1,
      anon_sym_LBRACK,
    ACTIONS(6134), 1,
      anon_sym_LPAREN,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    STATE(6684), 1,
      sym__simple_type,
    STATE(6966), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(10981), 1,
      sym__non_null_literal,
    STATE(10983), 1,
      sym_literal_type,
    STATE(12422), 1,
      sym__infix_type_choice,
    STATE(14346), 1,
      sym__type,
    STATE(15383), 1,
      sym_parameter_types,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(89), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(91), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(103), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3833), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(10306), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10447), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(11359), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182816] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15060), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3834), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [182937] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(15527), 1,
      sym__type,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3835), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183058] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15045), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3836), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183179] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(15042), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3837), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183300] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [183369] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14762), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3839), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183490] = 33,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(864), 1,
      sym_integer_literal,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    STATE(4764), 1,
      sym__annotated_type,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8462), 1,
      sym_template_body,
    STATE(9809), 1,
      sym_literal_type,
    STATE(9817), 1,
      sym__non_null_literal,
    STATE(12398), 1,
      sym__infix_type_choice,
    STATE(14937), 1,
      sym__type,
    STATE(15420), 1,
      sym_parameter_types,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(878), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3840), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8255), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8954), 2,
      sym_compound_type,
      sym_infix_type,
    STATE(8612), 4,
      sym__structural_type,
      sym_match_type,
      sym_function_type,
      sym_type_lambda,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [183611] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [183679] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [183747] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [183815] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [183883] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [183951] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__interpolated_multiline_string_start,
    ACTIONS(4134), 7,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_DQUOTE,
    ACTIONS(4130), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [184018] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6900), 1,
      anon_sym_LBRACE,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6912), 1,
      anon_sym_LPAREN,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15932), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3847), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184133] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6924), 1,
      anon_sym_LBRACE,
    ACTIONS(6926), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16024), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3848), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184248] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6928), 1,
      anon_sym_LBRACE,
    ACTIONS(6930), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16107), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3849), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184363] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6932), 1,
      anon_sym_LBRACE,
    ACTIONS(6934), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16029), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3850), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184478] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6936), 1,
      anon_sym_LBRACE,
    ACTIONS(6938), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16014), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3851), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184593] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6940), 1,
      anon_sym_LBRACE,
    ACTIONS(6942), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16120), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3852), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184708] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6944), 1,
      anon_sym_LBRACE,
    ACTIONS(6946), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16068), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3853), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184823] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6948), 1,
      anon_sym_LBRACE,
    ACTIONS(6950), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15998), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3854), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [184938] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6952), 1,
      anon_sym_LBRACE,
    ACTIONS(6954), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15989), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3855), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185053] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6956), 1,
      anon_sym_LBRACE,
    ACTIONS(6958), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16131), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3856), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185168] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6960), 1,
      anon_sym_LBRACE,
    ACTIONS(6962), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15978), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3857), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185283] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6964), 1,
      anon_sym_LBRACE,
    ACTIONS(6966), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15988), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3858), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185398] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6968), 1,
      anon_sym_LBRACE,
    ACTIONS(6970), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15952), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3859), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185513] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6972), 1,
      anon_sym_LBRACE,
    ACTIONS(6974), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15947), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3860), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185628] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6976), 1,
      anon_sym_LBRACE,
    ACTIONS(6978), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16119), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3861), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185743] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6980), 1,
      anon_sym_LBRACE,
    ACTIONS(6982), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15937), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3862), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185858] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6984), 1,
      anon_sym_LBRACE,
    ACTIONS(6986), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16090), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3863), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [185973] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6988), 1,
      anon_sym_LBRACE,
    ACTIONS(6990), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15926), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3864), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186088] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6992), 1,
      anon_sym_LBRACE,
    ACTIONS(6994), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16077), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3865), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186203] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(6996), 1,
      anon_sym_LBRACE,
    ACTIONS(6998), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16056), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3866), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186318] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7000), 1,
      anon_sym_LBRACE,
    ACTIONS(7002), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15914), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3867), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186433] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7004), 1,
      anon_sym_LBRACE,
    ACTIONS(7006), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15933), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3868), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186548] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7008), 1,
      anon_sym_LBRACE,
    ACTIONS(7010), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15904), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3869), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186663] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7012), 1,
      anon_sym_LBRACE,
    ACTIONS(7014), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16037), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3870), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186778] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7016), 1,
      anon_sym_LBRACE,
    ACTIONS(7018), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15896), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3871), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [186893] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7020), 1,
      anon_sym_LBRACE,
    ACTIONS(7022), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16060), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3872), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187008] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7024), 1,
      anon_sym_LBRACE,
    ACTIONS(7026), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16074), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3873), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187123] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7028), 1,
      anon_sym_LBRACE,
    ACTIONS(7030), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16138), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3874), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187238] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7032), 1,
      anon_sym_LBRACE,
    ACTIONS(7034), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16081), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3875), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187353] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7036), 1,
      anon_sym_LBRACE,
    ACTIONS(7038), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16003), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3876), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187468] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    ACTIONS(7042), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15858), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3877), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187583] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7044), 1,
      anon_sym_LBRACE,
    ACTIONS(7046), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15995), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3878), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187698] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7048), 1,
      anon_sym_LBRACE,
    ACTIONS(7050), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15975), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3879), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187813] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7052), 1,
      anon_sym_LBRACE,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15962), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3880), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [187928] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7056), 1,
      anon_sym_LBRACE,
    ACTIONS(7058), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15869), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3881), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188043] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7060), 1,
      anon_sym_LBRACE,
    ACTIONS(7062), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16032), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3882), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188158] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7064), 1,
      anon_sym_LBRACE,
    ACTIONS(7066), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15941), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3883), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188273] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7068), 1,
      anon_sym_LBRACE,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15923), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3884), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188388] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7072), 1,
      anon_sym_LBRACE,
    ACTIONS(7074), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16086), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3885), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188503] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7076), 1,
      anon_sym_LBRACE,
    ACTIONS(7078), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15877), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3886), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 36,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [188681] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7080), 1,
      anon_sym_LBRACE,
    ACTIONS(7082), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15901), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3888), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188796] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7084), 1,
      anon_sym_LBRACE,
    ACTIONS(7086), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16019), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3889), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [188911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 36,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [188974] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7092), 1,
      anon_sym_LBRACE,
    ACTIONS(7094), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16101), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3891), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189089] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7096), 1,
      anon_sym_LBRACE,
    ACTIONS(7098), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15890), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3892), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189204] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7100), 1,
      anon_sym_LBRACE,
    ACTIONS(7102), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16113), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3893), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189319] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7104), 1,
      anon_sym_LBRACE,
    ACTIONS(7106), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16094), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3894), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189434] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7108), 1,
      anon_sym_LBRACE,
    ACTIONS(7110), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15872), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3895), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189549] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7112), 1,
      anon_sym_LBRACE,
    ACTIONS(7114), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15959), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3896), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189664] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7116), 1,
      anon_sym_LBRACE,
    ACTIONS(7118), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15854), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3897), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189779] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7120), 1,
      anon_sym_LBRACE,
    ACTIONS(7122), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15884), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3898), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [189894] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(15939), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3899), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190009] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7128), 1,
      anon_sym_LBRACE,
    ACTIONS(7130), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16116), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3900), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190124] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7132), 1,
      anon_sym_LBRACE,
    ACTIONS(7134), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16072), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3901), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190239] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7136), 1,
      anon_sym_LBRACE,
    ACTIONS(7138), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16126), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3902), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190354] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7140), 1,
      anon_sym_LBRACE,
    ACTIONS(7142), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16004), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3903), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190469] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7144), 1,
      anon_sym_LBRACE,
    ACTIONS(7146), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14240), 1,
      sym_enumerator,
    STATE(16043), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3904), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190584] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17066), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3905), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190696] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16156), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3906), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190808] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16979), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3907), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [190920] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17000), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3908), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191032] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16882), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3909), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191144] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17001), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3910), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191256] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16874), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3911), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191368] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16944), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3912), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [191542] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17839), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3914), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191654] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16789), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3915), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [191828] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16301), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3917), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [191940] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17051), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3918), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192052] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16698), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3919), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192164] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16726), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3920), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192276] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16946), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3921), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192388] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16649), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3922), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192500] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17052), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3923), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192612] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17840), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3924), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192724] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16648), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3925), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192836] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17083), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3926), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [192948] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14068), 1,
      sym_enumerator,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7160), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(3927), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193058] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17084), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3928), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193170] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16568), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3929), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193282] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17143), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3930), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193394] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17144), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3931), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193506] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16563), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3932), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193618] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17173), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3933), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193730] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17175), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3934), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193842] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16472), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3935), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [193954] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16430), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3936), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194066] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17209), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3937), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194178] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16147), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3938), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194290] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17240), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3939), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194402] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16402), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3940), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194514] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16396), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3941), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [194688] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17244), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3943), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194800] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16879), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3944), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [194912] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17555), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3945), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195024] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17121), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3946), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195136] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17298), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3947), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(3948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [195310] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16302), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3949), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195422] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16353), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3950), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195534] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17285), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3951), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195646] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14068), 1,
      sym_enumerator,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7162), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(3952), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195756] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17307), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3953), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195868] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17311), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3954), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [195980] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16223), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3955), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196092] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16222), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3956), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196204] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16841), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3957), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196316] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17356), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3958), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196428] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17342), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3959), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196540] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16159), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3960), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196652] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17067), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3961), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196764] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17422), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3962), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196876] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16838), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3963), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [196988] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16542), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3964), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197100] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17424), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3965), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197212] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17455), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3966), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197324] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17459), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3967), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197436] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17133), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3968), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197548] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17493), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3969), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197660] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17494), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3970), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197772] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16206), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3971), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197884] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17106), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3972), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [197996] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16209), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3973), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198108] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16773), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3974), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198220] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17136), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3975), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198332] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16772), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3976), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198444] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17523), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3977), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198556] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17524), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3978), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198668] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16706), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3979), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198780] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17640), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3980), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [198892] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14068), 1,
      sym_enumerator,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7164), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(3981), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199002] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17276), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3982), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199114] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16701), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3983), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199226] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17201), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3984), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199338] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17594), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3985), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199450] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17202), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3986), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199562] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16618), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3987), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199674] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16279), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3988), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199786] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17595), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3989), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [199898] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17580), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3990), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200010] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17275), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3991), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200122] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16283), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3992), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200234] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17592), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3993), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200346] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16351), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3994), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200458] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16788), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3995), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200570] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16617), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3996), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200682] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17582), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3997), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200794] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16980), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3998), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [200906] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16875), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(3999), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201018] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14068), 1,
      sym_enumerator,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    ACTIONS(7166), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(4000), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201128] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17258), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4001), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201240] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17331), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4002), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201352] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17333), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4003), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201464] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17615), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4004), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201576] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17274), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4005), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201688] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17855), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4006), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201800] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16892), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4007), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [201912] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17850), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4008), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202024] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16450), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4009), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202136] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16872), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4010), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202248] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17820), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4011), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202360] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17818), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4012), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202472] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16342), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4013), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202584] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17643), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4014), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202696] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17644), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4015), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202808] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17736), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4016), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [202920] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17678), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4017), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203032] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17735), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4018), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203144] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17427), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4019), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203256] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17425), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4020), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203368] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17708), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4021), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203480] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(16541), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4022), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203592] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17618), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4023), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203704] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6922), 1,
      sym__indent,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7152), 1,
      sym_operator_identifier,
    ACTIONS(7154), 1,
      sym_null_literal,
    STATE(6557), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(9792), 1,
      sym_wildcard,
    STATE(9799), 1,
      sym_stable_identifier,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14251), 1,
      sym_enumerator,
    STATE(17679), 1,
      sym_enumerators,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4024), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10302), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [203816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 35,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [203877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [203938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [203999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204060] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 35,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [204182] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_case,
    ACTIONS(7170), 1,
      anon_sym_if,
    ACTIONS(7172), 1,
      sym_operator_identifier,
    ACTIONS(7174), 1,
      sym_null_literal,
    ACTIONS(7176), 1,
      sym__outdent,
    STATE(8268), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10767), 1,
      sym_stable_identifier,
    STATE(10772), 1,
      sym_wildcard,
    STATE(14116), 1,
      aux_sym_enumerator_repeat1,
    STATE(14627), 1,
      sym_guard,
    STATE(15676), 1,
      sym_enumerator,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4031), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 35,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [204413] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_case,
    ACTIONS(7170), 1,
      anon_sym_if,
    ACTIONS(7172), 1,
      sym_operator_identifier,
    ACTIONS(7174), 1,
      sym_null_literal,
    ACTIONS(7178), 1,
      sym__outdent,
    STATE(8268), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10767), 1,
      sym_stable_identifier,
    STATE(10772), 1,
      sym_wildcard,
    STATE(14116), 1,
      aux_sym_enumerator_repeat1,
    STATE(14627), 1,
      sym_guard,
    STATE(15676), 1,
      sym_enumerator,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4034), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [204702] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7148), 1,
      anon_sym_case,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7156), 1,
      sym_operator_identifier,
    ACTIONS(7158), 1,
      sym_null_literal,
    STATE(8301), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10889), 1,
      sym_stable_identifier,
    STATE(10890), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14068), 1,
      sym_enumerator,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4038), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10985), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [204868] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_case,
    ACTIONS(7170), 1,
      anon_sym_if,
    ACTIONS(7172), 1,
      sym_operator_identifier,
    ACTIONS(7174), 1,
      sym_null_literal,
    STATE(8268), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10767), 1,
      sym_stable_identifier,
    STATE(10772), 1,
      sym_wildcard,
    STATE(14116), 1,
      aux_sym_enumerator_repeat1,
    STATE(14486), 1,
      sym_enumerator,
    STATE(14627), 1,
      sym_guard,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4040), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [204974] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 12,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
      anon_sym_yield,
  [205154] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6902), 1,
      anon_sym_case,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6910), 1,
      anon_sym_if,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(6918), 1,
      sym_operator_identifier,
    ACTIONS(6920), 1,
      sym_null_literal,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    STATE(8626), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10674), 1,
      sym_stable_identifier,
    STATE(10680), 1,
      sym_wildcard,
    STATE(13361), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(14068), 1,
      sym_enumerator,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4044), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11118), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 34,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205440] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7168), 1,
      anon_sym_case,
    ACTIONS(7170), 1,
      anon_sym_if,
    ACTIONS(7172), 1,
      sym_operator_identifier,
    ACTIONS(7174), 1,
      sym_null_literal,
    STATE(8268), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10767), 1,
      sym_stable_identifier,
    STATE(10772), 1,
      sym_wildcard,
    STATE(14116), 1,
      aux_sym_enumerator_repeat1,
    STATE(14627), 1,
      sym_guard,
    STATE(15676), 1,
      sym_enumerator,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4048), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11044), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [205546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 44,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_object,
      anon_sym_given,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_do,
  [205603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 34,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [205957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 33,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 44,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_object,
      anon_sym_given,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_do,
  [206250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 32,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206426] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7182), 1,
      anon_sym_object,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7188), 1,
      anon_sym_class,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(241), 1,
      sym__case_pattern,
    STATE(7639), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10538), 1,
      sym_stable_identifier,
    STATE(10552), 1,
      sym_wildcard,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4064), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10883), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [206526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 32,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206642] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2516), 1,
      anon_sym_LBRACK,
    STATE(4067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7205), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 5,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_then,
    ACTIONS(7210), 5,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7202), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
    ACTIONS(7208), 21,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_implicit,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 33,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [206940] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7212), 1,
      anon_sym_object,
    ACTIONS(7214), 1,
      anon_sym_class,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(267), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4072), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 34,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 31,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 10,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      sym__simple_multiline_string,
      sym__simple_string,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 31,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [207384] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      anon_sym_RPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7240), 1,
      sym_operator_identifier,
    ACTIONS(7242), 1,
      sym_null_literal,
    STATE(7684), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10473), 1,
      sym_wildcard,
    STATE(10475), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4079), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10919), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207478] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2293), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4080), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207572] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2324), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4081), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207666] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2341), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4082), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207760] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2115), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4083), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207854] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2125), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4084), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [207948] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2303), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4085), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208042] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7244), 1,
      anon_sym_RPAREN,
    ACTIONS(7246), 1,
      sym_operator_identifier,
    ACTIONS(7248), 1,
      sym_null_literal,
    STATE(8497), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10722), 1,
      sym_wildcard,
    STATE(10723), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4086), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11071), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208136] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7250), 1,
      sym_operator_identifier,
    ACTIONS(7252), 1,
      sym_null_literal,
    STATE(7866), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(11069), 1,
      sym_wildcard,
    STATE(11072), 1,
      sym_stable_identifier,
    STATE(16063), 1,
      sym_identifiers,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4087), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11278), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208230] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2134), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4088), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208324] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2345), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4089), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208418] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2158), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4090), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208512] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7198), 1,
      sym_operator_identifier,
    ACTIONS(7200), 1,
      sym_null_literal,
    STATE(241), 1,
      sym__case_pattern,
    STATE(7639), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10538), 1,
      sym_stable_identifier,
    STATE(10552), 1,
      sym_wildcard,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4091), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10883), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208606] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2317), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4092), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208700] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7254), 1,
      anon_sym_RPAREN,
    ACTIONS(7256), 1,
      sym_operator_identifier,
    ACTIONS(7258), 1,
      sym_null_literal,
    STATE(7547), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10499), 1,
      sym_stable_identifier,
    STATE(10503), 1,
      sym_wildcard,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4093), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10823), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208794] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7260), 1,
      sym_operator_identifier,
    ACTIONS(7262), 1,
      sym_null_literal,
    STATE(7864), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(11073), 1,
      sym_wildcard,
    STATE(11077), 1,
      sym_stable_identifier,
    STATE(16088), 1,
      sym_identifiers,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4094), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11281), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208888] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(267), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4095), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [208982] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2104), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4096), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209076] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2257), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4097), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209170] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2160), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4098), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209264] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2214), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4099), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209358] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7264), 1,
      sym_operator_identifier,
    ACTIONS(7266), 1,
      sym_null_literal,
    STATE(8059), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10988), 1,
      sym_wildcard,
    STATE(11131), 1,
      sym_stable_identifier,
    STATE(16035), 1,
      sym_identifiers,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4100), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11147), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209452] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7246), 1,
      sym_operator_identifier,
    ACTIONS(7248), 1,
      sym_null_literal,
    ACTIONS(7268), 1,
      anon_sym_RPAREN,
    STATE(8497), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10722), 1,
      sym_wildcard,
    STATE(10723), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4101), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11071), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209546] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2239), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4102), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209640] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2106), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4103), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209734] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2255), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4104), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209828] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2200), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4105), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [209922] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2084), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4106), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210016] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7270), 1,
      anon_sym_RPAREN,
    ACTIONS(7272), 1,
      sym_operator_identifier,
    ACTIONS(7274), 1,
      sym_null_literal,
    STATE(7884), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10504), 1,
      sym_wildcard,
    STATE(10507), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4107), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10813), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210110] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2077), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4108), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210204] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2175), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4109), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210298] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2057), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4110), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210392] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2276), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4111), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210486] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7276), 1,
      sym_operator_identifier,
    ACTIONS(7278), 1,
      sym_null_literal,
    STATE(7479), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(11058), 1,
      sym_wildcard,
    STATE(11060), 1,
      sym_stable_identifier,
    STATE(16012), 1,
      sym_identifiers,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4112), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11271), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7220), 33,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [210636] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2219), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4114), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210730] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2102), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4115), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210824] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7246), 1,
      sym_operator_identifier,
    ACTIONS(7248), 1,
      sym_null_literal,
    ACTIONS(7280), 1,
      anon_sym_RPAREN,
    STATE(8497), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10722), 1,
      sym_wildcard,
    STATE(10723), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4116), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11071), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [210918] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7282), 1,
      sym_operator_identifier,
    ACTIONS(7284), 1,
      sym_null_literal,
    STATE(7477), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(11063), 1,
      sym_wildcard,
    STATE(11065), 1,
      sym_stable_identifier,
    STATE(16013), 1,
      sym_identifiers,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4117), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11264), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211012] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2167), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4118), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211106] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2038), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4119), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211200] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7246), 1,
      sym_operator_identifier,
    ACTIONS(7248), 1,
      sym_null_literal,
    ACTIONS(7286), 1,
      anon_sym_RPAREN,
    STATE(8497), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10722), 1,
      sym_wildcard,
    STATE(10723), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4120), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11071), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211294] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2071), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4121), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211388] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7246), 1,
      sym_operator_identifier,
    ACTIONS(7248), 1,
      sym_null_literal,
    ACTIONS(7288), 1,
      anon_sym_RPAREN,
    STATE(8497), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10722), 1,
      sym_wildcard,
    STATE(10723), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4122), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11071), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211482] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2194), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4123), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211576] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7246), 1,
      sym_operator_identifier,
    ACTIONS(7248), 1,
      sym_null_literal,
    ACTIONS(7290), 1,
      anon_sym_RPAREN,
    STATE(8497), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10722), 1,
      sym_wildcard,
    STATE(10723), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4124), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11071), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211670] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2138), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4125), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211764] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2103), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4126), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211858] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2264), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4127), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [211952] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2081), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4128), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212046] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7292), 1,
      sym_operator_identifier,
    ACTIONS(7294), 1,
      sym_null_literal,
    STATE(8047), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10990), 1,
      sym_stable_identifier,
    STATE(10993), 1,
      sym_wildcard,
    STATE(16054), 1,
      sym_identifiers,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4129), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11441), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212140] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2059), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4130), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212234] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7296), 1,
      sym_operator_identifier,
    ACTIONS(7298), 1,
      sym_null_literal,
    STATE(8052), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10996), 1,
      sym_stable_identifier,
    STATE(10999), 1,
      sym_wildcard,
    STATE(16050), 1,
      sym_identifiers,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4131), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11438), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212328] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7300), 1,
      sym_operator_identifier,
    ACTIONS(7302), 1,
      sym_null_literal,
    STATE(7632), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(11014), 1,
      sym_wildcard,
    STATE(11015), 1,
      sym_stable_identifier,
    STATE(16136), 1,
      sym_identifiers,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4132), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11252), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212422] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7304), 1,
      sym_operator_identifier,
    ACTIONS(7306), 1,
      sym_null_literal,
    STATE(8057), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(11127), 1,
      sym_wildcard,
    STATE(11128), 1,
      sym_stable_identifier,
    STATE(16034), 1,
      sym_identifiers,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4133), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11149), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212516] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7308), 1,
      sym_operator_identifier,
    ACTIONS(7310), 1,
      sym_null_literal,
    STATE(7633), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(11007), 1,
      sym_wildcard,
    STATE(11013), 1,
      sym_stable_identifier,
    STATE(16135), 1,
      sym_identifiers,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4134), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11255), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212610] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2092), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4135), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212704] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7216), 1,
      sym_operator_identifier,
    ACTIONS(7218), 1,
      sym_null_literal,
    STATE(2040), 1,
      sym__case_pattern,
    STATE(7482), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10576), 1,
      sym_wildcard,
    STATE(10577), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4136), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10776), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [212798] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7314), 1,
      anon_sym_COLON,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(7324), 1,
      anon_sym_LPAREN,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(7328), 1,
      sym_operator_identifier,
    ACTIONS(7330), 1,
      sym__automatic_semicolon,
    STATE(4348), 1,
      sym__given_constructor,
    STATE(10620), 1,
      sym_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11208), 1,
      sym__annotated_type,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14099), 1,
      sym_type_parameters,
    STATE(14110), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14210), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4137), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [212905] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7314), 1,
      anon_sym_COLON,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(7324), 1,
      anon_sym_LPAREN,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(7328), 1,
      sym_operator_identifier,
    ACTIONS(7330), 1,
      sym__automatic_semicolon,
    STATE(4300), 1,
      sym__given_constructor,
    STATE(10620), 1,
      sym_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11731), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14099), 1,
      sym_type_parameters,
    STATE(14110), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14263), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4138), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [213012] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      anon_sym_COLON,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(7330), 1,
      sym__automatic_semicolon,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7338), 1,
      anon_sym_LPAREN,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(7342), 1,
      sym_operator_identifier,
    STATE(4295), 1,
      sym__given_constructor,
    STATE(10744), 1,
      sym_identifier,
    STATE(11052), 1,
      sym__simple_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11562), 1,
      sym__annotated_type,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14099), 1,
      sym_type_parameters,
    STATE(14110), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14695), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(17247), 1,
      sym__constructor_application,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17376), 1,
      sym_template_body,
    STATE(4139), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [213119] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7344), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [213176] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7346), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [213233] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7346), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [213290] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7314), 1,
      anon_sym_COLON,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(7324), 1,
      anon_sym_LPAREN,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(7328), 1,
      sym_operator_identifier,
    ACTIONS(7330), 1,
      sym__automatic_semicolon,
    STATE(4330), 1,
      sym__given_constructor,
    STATE(10620), 1,
      sym_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11697), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14099), 1,
      sym_type_parameters,
    STATE(14110), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14263), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4143), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [213397] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7344), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [213454] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7348), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [213511] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      anon_sym_COLON,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(7330), 1,
      sym__automatic_semicolon,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7338), 1,
      anon_sym_LPAREN,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(7342), 1,
      sym_operator_identifier,
    STATE(4283), 1,
      sym__given_constructor,
    STATE(10744), 1,
      sym_identifier,
    STATE(11052), 1,
      sym__simple_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11572), 1,
      sym__annotated_type,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14099), 1,
      sym_type_parameters,
    STATE(14110), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14624), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(17247), 1,
      sym__constructor_application,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17376), 1,
      sym_template_body,
    STATE(4146), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [213618] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7350), 1,
      sym_operator_identifier,
    ACTIONS(7352), 1,
      sym_null_literal,
    STATE(7651), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10513), 1,
      sym_wildcard,
    STATE(10514), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4147), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10941), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213709] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7314), 1,
      anon_sym_COLON,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(7324), 1,
      anon_sym_LPAREN,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(7328), 1,
      sym_operator_identifier,
    ACTIONS(7330), 1,
      sym__automatic_semicolon,
    STATE(4358), 1,
      sym__given_constructor,
    STATE(10620), 1,
      sym_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11540), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14099), 1,
      sym_type_parameters,
    STATE(14110), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14210), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4148), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [213816] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7246), 1,
      sym_operator_identifier,
    ACTIONS(7248), 1,
      sym_null_literal,
    STATE(8497), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10722), 1,
      sym_wildcard,
    STATE(10723), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4149), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11071), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213907] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7354), 1,
      sym_operator_identifier,
    ACTIONS(7356), 1,
      sym_null_literal,
    STATE(8316), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10904), 1,
      sym_stable_identifier,
    STATE(10914), 1,
      sym_wildcard,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4150), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10976), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [213998] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      anon_sym_COLON,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(7330), 1,
      sym__automatic_semicolon,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7338), 1,
      anon_sym_LPAREN,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(7342), 1,
      sym_operator_identifier,
    STATE(4289), 1,
      sym__given_constructor,
    STATE(10744), 1,
      sym_identifier,
    STATE(11052), 1,
      sym__simple_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11485), 1,
      sym__annotated_type,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14099), 1,
      sym_type_parameters,
    STATE(14110), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14660), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(17247), 1,
      sym__constructor_application,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17376), 1,
      sym_template_body,
    STATE(4151), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [214105] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      anon_sym_COLON,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(7330), 1,
      sym__automatic_semicolon,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7338), 1,
      anon_sym_LPAREN,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(7342), 1,
      sym_operator_identifier,
    STATE(4370), 1,
      sym__given_constructor,
    STATE(10744), 1,
      sym_identifier,
    STATE(11052), 1,
      sym__simple_type,
    STATE(11263), 1,
      sym__annotated_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14099), 1,
      sym_type_parameters,
    STATE(14110), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14695), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(17247), 1,
      sym__constructor_application,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17376), 1,
      sym_template_body,
    STATE(4152), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [214212] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      anon_sym_COLON,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(7330), 1,
      sym__automatic_semicolon,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7338), 1,
      anon_sym_LPAREN,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(7342), 1,
      sym_operator_identifier,
    STATE(4373), 1,
      sym__given_constructor,
    STATE(10744), 1,
      sym_identifier,
    STATE(11052), 1,
      sym__simple_type,
    STATE(11260), 1,
      sym__annotated_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14099), 1,
      sym_type_parameters,
    STATE(14110), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14660), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(17247), 1,
      sym__constructor_application,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17376), 1,
      sym_template_body,
    STATE(4153), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [214319] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7358), 1,
      sym_operator_identifier,
    ACTIONS(7360), 1,
      sym_null_literal,
    STATE(8281), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10800), 1,
      sym_wildcard,
    STATE(10828), 1,
      sym_stable_identifier,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4154), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11030), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214410] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7314), 1,
      anon_sym_COLON,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(7324), 1,
      anon_sym_LPAREN,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(7328), 1,
      sym_operator_identifier,
    ACTIONS(7330), 1,
      sym__automatic_semicolon,
    STATE(4378), 1,
      sym__given_constructor,
    STATE(10620), 1,
      sym_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11462), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14099), 1,
      sym_type_parameters,
    STATE(14110), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14397), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4155), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [214517] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7362), 1,
      sym_operator_identifier,
    ACTIONS(7364), 1,
      sym_null_literal,
    STATE(8601), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10869), 1,
      sym_stable_identifier,
    STATE(10875), 1,
      sym_wildcard,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4156), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10995), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7348), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [214665] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7314), 1,
      anon_sym_COLON,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(7330), 1,
      sym__automatic_semicolon,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7338), 1,
      anon_sym_LPAREN,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(7342), 1,
      sym_operator_identifier,
    STATE(4374), 1,
      sym__given_constructor,
    STATE(10744), 1,
      sym_identifier,
    STATE(11052), 1,
      sym__simple_type,
    STATE(11256), 1,
      sym__annotated_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14099), 1,
      sym_type_parameters,
    STATE(14110), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14624), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(17247), 1,
      sym__constructor_application,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17376), 1,
      sym_template_body,
    STATE(4158), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [214772] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7366), 1,
      sym_operator_identifier,
    ACTIONS(7368), 1,
      sym_null_literal,
    STATE(7501), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10516), 1,
      sym_wildcard,
    STATE(10524), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4159), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10948), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [214863] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7314), 1,
      anon_sym_COLON,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(7324), 1,
      anon_sym_LPAREN,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(7328), 1,
      sym_operator_identifier,
    ACTIONS(7330), 1,
      sym__automatic_semicolon,
    STATE(4353), 1,
      sym__given_constructor,
    STATE(10620), 1,
      sym_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11298), 1,
      sym__annotated_type,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14099), 1,
      sym_type_parameters,
    STATE(14110), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14263), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4160), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [214970] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7314), 1,
      anon_sym_COLON,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(7324), 1,
      anon_sym_LPAREN,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(7328), 1,
      sym_operator_identifier,
    ACTIONS(7330), 1,
      sym__automatic_semicolon,
    STATE(4371), 1,
      sym__given_constructor,
    STATE(10620), 1,
      sym_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11539), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14099), 1,
      sym_type_parameters,
    STATE(14110), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14210), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4161), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [215077] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7348), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [215134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7344), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [215191] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 9,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7346), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [215248] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7370), 1,
      sym_operator_identifier,
    ACTIONS(7372), 1,
      sym_null_literal,
    STATE(6736), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10398), 1,
      sym_wildcard,
    STATE(10406), 1,
      sym_stable_identifier,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4165), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10472), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215339] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7374), 1,
      sym_operator_identifier,
    ACTIONS(7376), 1,
      sym_null_literal,
    STATE(6728), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10388), 1,
      sym_wildcard,
    STATE(10394), 1,
      sym_stable_identifier,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4166), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10484), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215430] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6682), 1,
      sym_integer_literal,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6904), 1,
      anon_sym__,
    ACTIONS(6906), 1,
      anon_sym_given,
    ACTIONS(6914), 1,
      anon_sym_SQUOTE,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(7150), 1,
      anon_sym_LPAREN,
    ACTIONS(7378), 1,
      sym_operator_identifier,
    ACTIONS(7380), 1,
      sym_null_literal,
    STATE(6730), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10376), 1,
      sym_wildcard,
    STATE(10378), 1,
      sym_stable_identifier,
    ACTIONS(6684), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6686), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6688), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4167), 2,
      sym_comment,
      sym_block_comment,
    STATE(10819), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17326), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10491), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215521] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7314), 1,
      anon_sym_COLON,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(7324), 1,
      anon_sym_LPAREN,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(7328), 1,
      sym_operator_identifier,
    ACTIONS(7330), 1,
      sym__automatic_semicolon,
    STATE(4286), 1,
      sym__given_constructor,
    STATE(10620), 1,
      sym_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11698), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14099), 1,
      sym_type_parameters,
    STATE(14110), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14397), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4168), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [215628] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7382), 1,
      sym_operator_identifier,
    ACTIONS(7384), 1,
      sym_null_literal,
    STATE(8167), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10829), 1,
      sym_wildcard,
    STATE(10849), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4169), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11004), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [215774] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7386), 1,
      sym_operator_identifier,
    ACTIONS(7388), 1,
      sym_null_literal,
    STATE(7365), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10474), 1,
      sym_stable_identifier,
    STATE(10477), 1,
      sym_wildcard,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4171), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10918), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215865] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7390), 1,
      sym_operator_identifier,
    ACTIONS(7392), 1,
      sym_null_literal,
    STATE(7711), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10481), 1,
      sym_stable_identifier,
    STATE(10482), 1,
      sym_wildcard,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4172), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10923), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [215956] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7394), 1,
      sym_operator_identifier,
    ACTIONS(7396), 1,
      sym_null_literal,
    STATE(8173), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10871), 1,
      sym_wildcard,
    STATE(10872), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4173), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10980), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216047] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7398), 1,
      sym_operator_identifier,
    ACTIONS(7400), 1,
      sym_null_literal,
    STATE(7712), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10486), 1,
      sym_stable_identifier,
    STATE(10488), 1,
      sym_wildcard,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4174), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10924), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216138] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6854), 1,
      sym_integer_literal,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7184), 1,
      anon_sym__,
    ACTIONS(7186), 1,
      anon_sym_given,
    ACTIONS(7192), 1,
      anon_sym_LPAREN,
    ACTIONS(7194), 1,
      anon_sym_SQUOTE,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(7402), 1,
      sym_operator_identifier,
    ACTIONS(7404), 1,
      sym_null_literal,
    STATE(8174), 1,
      sym_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(10814), 1,
      sym_wildcard,
    STATE(10909), 1,
      sym_stable_identifier,
    ACTIONS(6856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4175), 2,
      sym_comment,
      sym_block_comment,
    STATE(11171), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17079), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10961), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216229] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7314), 1,
      anon_sym_COLON,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(7324), 1,
      anon_sym_LPAREN,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(7328), 1,
      sym_operator_identifier,
    ACTIONS(7330), 1,
      sym__automatic_semicolon,
    STATE(4345), 1,
      sym__given_constructor,
    STATE(10620), 1,
      sym_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11170), 1,
      sym__annotated_type,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14099), 1,
      sym_type_parameters,
    STATE(14110), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14397), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4176), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 32,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [216391] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6414), 1,
      sym_integer_literal,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7226), 1,
      anon_sym__,
    ACTIONS(7228), 1,
      anon_sym_given,
    ACTIONS(7232), 1,
      anon_sym_LPAREN,
    ACTIONS(7236), 1,
      anon_sym_SQUOTE,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(7406), 1,
      sym_operator_identifier,
    ACTIONS(7408), 1,
      sym_null_literal,
    STATE(7877), 1,
      sym_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10540), 1,
      sym_wildcard,
    STATE(10543), 1,
      sym_stable_identifier,
    ACTIONS(6416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(6418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(6420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4178), 2,
      sym_comment,
      sym_block_comment,
    STATE(11050), 2,
      sym_boolean_literal,
      sym_string,
    STATE(17235), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(10771), 11,
      sym_case_class_pattern,
      sym_infix_pattern,
      sym_capture_pattern,
      sym_repeat_pattern,
      sym_typed_pattern,
      sym_given_pattern,
      sym_alternative_pattern,
      sym_tuple_pattern,
      sym_quote_expression,
      sym__non_null_literal,
      sym_interpolated_string_expression,
  [216482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 39,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_EQ_GT,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [216534] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6334), 1,
      sym__alpha_identifier,
    ACTIONS(6340), 1,
      anon_sym__,
    ACTIONS(6348), 1,
      sym__backquoted_id,
    ACTIONS(6350), 1,
      sym_operator_identifier,
    ACTIONS(7412), 1,
      anon_sym_LPAREN,
    ACTIONS(7414), 1,
      sym_integer_literal,
    STATE(4515), 1,
      sym__simple_type,
    STATE(4534), 1,
      sym__annotated_type,
    STATE(4607), 1,
      sym__soft_identifier,
    STATE(4643), 1,
      sym_identifier,
    STATE(6613), 1,
      sym_annotated_type,
    STATE(6708), 1,
      sym__infix_type_choice,
    STATE(8080), 1,
      sym__non_null_literal,
    STATE(16747), 1,
      sym_stable_identifier,
    ACTIONS(7416), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7418), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7420), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4180), 2,
      sym_comment,
      sym_block_comment,
    STATE(8405), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8594), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6344), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4755), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216625] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4742), 1,
      sym__alpha_identifier,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      anon_sym_LPAREN,
    ACTIONS(7424), 1,
      sym_integer_literal,
    STATE(4409), 1,
      sym__annotated_type,
    STATE(4449), 1,
      sym__simple_type,
    STATE(4468), 1,
      sym__soft_identifier,
    STATE(4519), 1,
      sym_identifier,
    STATE(5492), 1,
      sym_annotated_type,
    STATE(6425), 1,
      sym__infix_type_choice,
    STATE(7615), 1,
      sym__non_null_literal,
    STATE(17194), 1,
      sym_stable_identifier,
    ACTIONS(7426), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7428), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7430), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4181), 2,
      sym_comment,
      sym_block_comment,
    STATE(7583), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7708), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4627), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216716] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4804), 1,
      sym__alpha_identifier,
    ACTIONS(4810), 1,
      anon_sym__,
    ACTIONS(4822), 1,
      sym__backquoted_id,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    ACTIONS(7432), 1,
      anon_sym_LPAREN,
    ACTIONS(7434), 1,
      sym_integer_literal,
    STATE(4702), 1,
      sym__annotated_type,
    STATE(4706), 1,
      sym__simple_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4953), 1,
      sym__soft_identifier,
    STATE(6651), 1,
      sym_annotated_type,
    STATE(7474), 1,
      sym__infix_type_choice,
    STATE(8950), 1,
      sym__non_null_literal,
    STATE(17206), 1,
      sym_stable_identifier,
    ACTIONS(7436), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7438), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7440), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4182), 2,
      sym_comment,
      sym_block_comment,
    STATE(8930), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8722), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5328), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216807] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4178), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym__,
    ACTIONS(4196), 1,
      sym__backquoted_id,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    ACTIONS(7442), 1,
      anon_sym_LPAREN,
    ACTIONS(7444), 1,
      sym_integer_literal,
    STATE(4641), 1,
      sym__simple_type,
    STATE(4656), 1,
      sym__annotated_type,
    STATE(4787), 1,
      sym_identifier,
    STATE(4931), 1,
      sym__soft_identifier,
    STATE(6774), 1,
      sym_annotated_type,
    STATE(7854), 1,
      sym__infix_type_choice,
    STATE(9144), 1,
      sym__non_null_literal,
    STATE(17164), 1,
      sym_stable_identifier,
    ACTIONS(7446), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7448), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7450), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4183), 2,
      sym_comment,
      sym_block_comment,
    STATE(9130), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9007), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5267), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216898] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(7452), 1,
      anon_sym_LPAREN,
    ACTIONS(7454), 1,
      sym_integer_literal,
    STATE(4651), 1,
      sym__annotated_type,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(7907), 1,
      sym__infix_type_choice,
    STATE(8088), 1,
      sym__non_null_literal,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(7456), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7458), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7460), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4184), 2,
      sym_comment,
      sym_block_comment,
    STATE(8323), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8208), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [216989] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      sym__alpha_identifier,
    ACTIONS(6472), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      sym__backquoted_id,
    ACTIONS(6482), 1,
      sym_operator_identifier,
    ACTIONS(7462), 1,
      anon_sym_LPAREN,
    ACTIONS(7464), 1,
      sym_integer_literal,
    STATE(5584), 1,
      sym__annotated_type,
    STATE(5848), 1,
      sym__simple_type,
    STATE(6334), 1,
      sym__soft_identifier,
    STATE(6648), 1,
      sym_identifier,
    STATE(9013), 1,
      sym_annotated_type,
    STATE(9681), 1,
      sym__infix_type_choice,
    STATE(10186), 1,
      sym__non_null_literal,
    STATE(17152), 1,
      sym_stable_identifier,
    ACTIONS(7466), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7468), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7470), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4185), 2,
      sym_comment,
      sym_block_comment,
    STATE(10190), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10347), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6821), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217080] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym__alpha_identifier,
    ACTIONS(6496), 1,
      anon_sym__,
    ACTIONS(6504), 1,
      sym__backquoted_id,
    ACTIONS(6506), 1,
      sym_operator_identifier,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    ACTIONS(7474), 1,
      sym_integer_literal,
    STATE(4654), 1,
      sym__simple_type,
    STATE(4728), 1,
      sym__annotated_type,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(4933), 1,
      sym_identifier,
    STATE(6800), 1,
      sym_annotated_type,
    STATE(7551), 1,
      sym__infix_type_choice,
    STATE(9196), 1,
      sym__non_null_literal,
    STATE(17140), 1,
      sym_stable_identifier,
    ACTIONS(7476), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7478), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7480), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4186), 2,
      sym_comment,
      sym_block_comment,
    STATE(9181), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9157), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217171] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6520), 1,
      anon_sym__,
    ACTIONS(6528), 1,
      sym__backquoted_id,
    ACTIONS(6530), 1,
      sym_operator_identifier,
    ACTIONS(7482), 1,
      anon_sym_LPAREN,
    ACTIONS(7484), 1,
      sym_integer_literal,
    STATE(4623), 1,
      sym__simple_type,
    STATE(4733), 1,
      sym__annotated_type,
    STATE(4915), 1,
      sym__soft_identifier,
    STATE(4945), 1,
      sym_identifier,
    STATE(6830), 1,
      sym_annotated_type,
    STATE(7379), 1,
      sym__infix_type_choice,
    STATE(9250), 1,
      sym__non_null_literal,
    STATE(17128), 1,
      sym_stable_identifier,
    ACTIONS(7486), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7488), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7490), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4187), 2,
      sym_comment,
      sym_block_comment,
    STATE(9209), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9178), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5212), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217262] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4770), 1,
      sym__alpha_identifier,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4782), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(7492), 1,
      anon_sym_LPAREN,
    ACTIONS(7494), 1,
      sym_integer_literal,
    STATE(4489), 1,
      sym__simple_type,
    STATE(4494), 1,
      sym__annotated_type,
    STATE(4578), 1,
      sym__soft_identifier,
    STATE(4700), 1,
      sym_identifier,
    STATE(6469), 1,
      sym_annotated_type,
    STATE(6948), 1,
      sym__infix_type_choice,
    STATE(8143), 1,
      sym__non_null_literal,
    STATE(16709), 1,
      sym_stable_identifier,
    ACTIONS(7496), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7498), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7500), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4188), 2,
      sym_comment,
      sym_block_comment,
    STATE(8361), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8097), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4800), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217353] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(7502), 1,
      anon_sym_LPAREN,
    ACTIONS(7504), 1,
      sym_integer_literal,
    STATE(4765), 1,
      sym__simple_type,
    STATE(4868), 1,
      sym__annotated_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(9138), 1,
      sym__non_null_literal,
    STATE(11608), 1,
      sym__infix_type_choice,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(7506), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7508), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7510), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4189), 2,
      sym_comment,
      sym_block_comment,
    STATE(9036), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9153), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217444] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6602), 1,
      sym__alpha_identifier,
    ACTIONS(6604), 1,
      anon_sym__,
    ACTIONS(6612), 1,
      sym__backquoted_id,
    ACTIONS(6614), 1,
      sym_operator_identifier,
    ACTIONS(7512), 1,
      anon_sym_LPAREN,
    ACTIONS(7514), 1,
      sym_integer_literal,
    STATE(6802), 1,
      sym__annotated_type,
    STATE(7224), 1,
      sym__simple_type,
    STATE(7451), 1,
      sym__soft_identifier,
    STATE(7808), 1,
      sym_identifier,
    STATE(9732), 1,
      sym_annotated_type,
    STATE(10408), 1,
      sym__infix_type_choice,
    STATE(10899), 1,
      sym__non_null_literal,
    STATE(17104), 1,
      sym_stable_identifier,
    ACTIONS(7516), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7518), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7520), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4190), 2,
      sym_comment,
      sym_block_comment,
    STATE(10827), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10863), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8708), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217535] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6690), 1,
      sym__alpha_identifier,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    ACTIONS(7522), 1,
      anon_sym_LPAREN,
    ACTIONS(7524), 1,
      sym_integer_literal,
    STATE(5481), 1,
      sym__annotated_type,
    STATE(5785), 1,
      sym__simple_type,
    STATE(6230), 1,
      sym_identifier,
    STATE(6303), 1,
      sym__soft_identifier,
    STATE(9290), 1,
      sym_annotated_type,
    STATE(9353), 1,
      sym__infix_type_choice,
    STATE(10412), 1,
      sym__non_null_literal,
    STATE(17092), 1,
      sym_stable_identifier,
    ACTIONS(7526), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7528), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7530), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4191), 2,
      sym_comment,
      sym_block_comment,
    STATE(10402), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10419), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6693), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217626] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4424), 1,
      sym__alpha_identifier,
    ACTIONS(4430), 1,
      anon_sym__,
    ACTIONS(4442), 1,
      sym__backquoted_id,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    ACTIONS(7532), 1,
      anon_sym_LPAREN,
    ACTIONS(7534), 1,
      sym_integer_literal,
    STATE(5133), 1,
      sym__annotated_type,
    STATE(5311), 1,
      sym__simple_type,
    STATE(5702), 1,
      sym__soft_identifier,
    STATE(5802), 1,
      sym_identifier,
    STATE(8189), 1,
      sym_annotated_type,
    STATE(9212), 1,
      sym__infix_type_choice,
    STATE(9903), 1,
      sym__non_null_literal,
    STATE(17062), 1,
      sym_stable_identifier,
    ACTIONS(7536), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7538), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7540), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4192), 2,
      sym_comment,
      sym_block_comment,
    STATE(10086), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9907), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6421), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217717] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4454), 1,
      sym__alpha_identifier,
    ACTIONS(4460), 1,
      anon_sym__,
    ACTIONS(4472), 1,
      sym__backquoted_id,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    ACTIONS(7542), 1,
      anon_sym_LPAREN,
    ACTIONS(7544), 1,
      sym_integer_literal,
    STATE(5103), 1,
      sym__annotated_type,
    STATE(5346), 1,
      sym__simple_type,
    STATE(5710), 1,
      sym__soft_identifier,
    STATE(5746), 1,
      sym_identifier,
    STATE(8257), 1,
      sym_annotated_type,
    STATE(9166), 1,
      sym__infix_type_choice,
    STATE(9783), 1,
      sym__non_null_literal,
    STATE(17050), 1,
      sym_stable_identifier,
    ACTIONS(7546), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7548), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7550), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4193), 2,
      sym_comment,
      sym_block_comment,
    STATE(10114), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9879), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6376), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217808] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6774), 1,
      sym__alpha_identifier,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    ACTIONS(7552), 1,
      anon_sym_LPAREN,
    ACTIONS(7554), 1,
      sym_integer_literal,
    STATE(5073), 1,
      sym__annotated_type,
    STATE(5420), 1,
      sym__simple_type,
    STATE(5717), 1,
      sym__soft_identifier,
    STATE(5955), 1,
      sym_identifier,
    STATE(8309), 1,
      sym_annotated_type,
    STATE(9063), 1,
      sym__infix_type_choice,
    STATE(9745), 1,
      sym__non_null_literal,
    STATE(17038), 1,
      sym_stable_identifier,
    ACTIONS(7556), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7558), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7560), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4194), 2,
      sym_comment,
      sym_block_comment,
    STATE(10062), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9739), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6309), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217899] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4282), 1,
      sym__alpha_identifier,
    ACTIONS(4288), 1,
      anon_sym__,
    ACTIONS(4300), 1,
      sym__backquoted_id,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    ACTIONS(7562), 1,
      anon_sym_LPAREN,
    ACTIONS(7564), 1,
      sym_integer_literal,
    STATE(4466), 1,
      sym__simple_type,
    STATE(4520), 1,
      sym__annotated_type,
    STATE(4610), 1,
      sym_identifier,
    STATE(4713), 1,
      sym__soft_identifier,
    STATE(6021), 1,
      sym_annotated_type,
    STATE(7188), 1,
      sym__infix_type_choice,
    STATE(8375), 1,
      sym__non_null_literal,
    STATE(17032), 1,
      sym_stable_identifier,
    ACTIONS(7566), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7568), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7570), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4195), 2,
      sym_comment,
      sym_block_comment,
    STATE(8123), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8421), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4294), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4988), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [217990] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4612), 1,
      sym__alpha_identifier,
    ACTIONS(4614), 1,
      anon_sym__,
    ACTIONS(4624), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(7574), 1,
      sym_integer_literal,
    STATE(4506), 1,
      sym__annotated_type,
    STATE(4511), 1,
      sym__simple_type,
    STATE(4585), 1,
      sym_identifier,
    STATE(4612), 1,
      sym__soft_identifier,
    STATE(6063), 1,
      sym_annotated_type,
    STATE(7116), 1,
      sym__infix_type_choice,
    STATE(8554), 1,
      sym__non_null_literal,
    STATE(17026), 1,
      sym_stable_identifier,
    ACTIONS(7576), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7578), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7580), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4196), 2,
      sym_comment,
      sym_block_comment,
    STATE(8213), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8340), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5007), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218081] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    ACTIONS(7582), 1,
      anon_sym_LPAREN,
    ACTIONS(7584), 1,
      sym_integer_literal,
    STATE(5180), 1,
      sym__annotated_type,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5700), 1,
      sym__soft_identifier,
    STATE(5884), 1,
      sym_identifier,
    STATE(8116), 1,
      sym_annotated_type,
    STATE(9283), 1,
      sym__infix_type_choice,
    STATE(10014), 1,
      sym__non_null_literal,
    STATE(17074), 1,
      sym_stable_identifier,
    ACTIONS(7586), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7588), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7590), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4197), 2,
      sym_comment,
      sym_block_comment,
    STATE(10042), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10048), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6500), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218172] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4718), 1,
      anon_sym__,
    ACTIONS(4728), 1,
      sym__backquoted_id,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(7594), 1,
      sym_integer_literal,
    STATE(4292), 1,
      sym__annotated_type,
    STATE(4298), 1,
      sym__simple_type,
    STATE(4384), 1,
      sym__soft_identifier,
    STATE(4392), 1,
      sym_identifier,
    STATE(5143), 1,
      sym_annotated_type,
    STATE(5858), 1,
      sym__infix_type_choice,
    STATE(6694), 1,
      sym__non_null_literal,
    STATE(17009), 1,
      sym_stable_identifier,
    ACTIONS(7596), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7598), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7600), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4198), 2,
      sym_comment,
      sym_block_comment,
    STATE(6816), 2,
      sym_boolean_literal,
      sym_string,
    STATE(6999), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4528), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218263] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(7502), 1,
      anon_sym_LPAREN,
    ACTIONS(7504), 1,
      sym_integer_literal,
    STATE(4765), 1,
      sym__simple_type,
    STATE(4868), 1,
      sym__annotated_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8502), 1,
      sym__infix_type_choice,
    STATE(9138), 1,
      sym__non_null_literal,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(7506), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7508), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7510), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4199), 2,
      sym_comment,
      sym_block_comment,
    STATE(9036), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9153), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218354] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    ACTIONS(7604), 1,
      sym_integer_literal,
    STATE(6084), 1,
      sym__annotated_type,
    STATE(6553), 1,
      sym__simple_type,
    STATE(6775), 1,
      sym_identifier,
    STATE(7346), 1,
      sym__soft_identifier,
    STATE(9541), 1,
      sym_annotated_type,
    STATE(9937), 1,
      sym__infix_type_choice,
    STATE(10583), 1,
      sym__non_null_literal,
    STATE(16998), 1,
      sym_stable_identifier,
    ACTIONS(7606), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7608), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7610), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4200), 2,
      sym_comment,
      sym_block_comment,
    STATE(10624), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10508), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8015), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218445] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      sym__alpha_identifier,
    ACTIONS(6184), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      sym__backquoted_id,
    ACTIONS(6194), 1,
      sym_operator_identifier,
    ACTIONS(7612), 1,
      anon_sym_LPAREN,
    ACTIONS(7614), 1,
      sym_integer_literal,
    STATE(5255), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5650), 1,
      sym__soft_identifier,
    STATE(5820), 1,
      sym__annotated_type,
    STATE(8767), 1,
      sym__infix_type_choice,
    STATE(8940), 1,
      sym_annotated_type,
    STATE(10022), 1,
      sym__non_null_literal,
    STATE(16426), 1,
      sym_stable_identifier,
    ACTIONS(7616), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7618), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7620), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4201), 2,
      sym_comment,
      sym_block_comment,
    STATE(9898), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10054), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6081), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218536] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6356), 1,
      sym__alpha_identifier,
    ACTIONS(6362), 1,
      anon_sym__,
    ACTIONS(6370), 1,
      sym__backquoted_id,
    ACTIONS(6372), 1,
      sym_operator_identifier,
    ACTIONS(7622), 1,
      anon_sym_LPAREN,
    ACTIONS(7624), 1,
      sym_integer_literal,
    STATE(5644), 1,
      sym__annotated_type,
    STATE(5724), 1,
      sym__simple_type,
    STATE(6346), 1,
      sym__soft_identifier,
    STATE(6576), 1,
      sym_identifier,
    STATE(8939), 1,
      sym_annotated_type,
    STATE(9577), 1,
      sym__infix_type_choice,
    STATE(10301), 1,
      sym__non_null_literal,
    STATE(17170), 1,
      sym_stable_identifier,
    ACTIONS(7626), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7628), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7630), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4202), 2,
      sym_comment,
      sym_block_comment,
    STATE(10370), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10192), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6916), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218627] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6670), 1,
      anon_sym__,
    ACTIONS(6678), 1,
      sym__backquoted_id,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    ACTIONS(7632), 1,
      anon_sym_LPAREN,
    ACTIONS(7634), 1,
      sym_integer_literal,
    STATE(5601), 1,
      sym__simple_type,
    STATE(6108), 1,
      sym_identifier,
    STATE(6195), 1,
      sym__soft_identifier,
    STATE(6364), 1,
      sym__annotated_type,
    STATE(9475), 1,
      sym__infix_type_choice,
    STATE(9686), 1,
      sym_annotated_type,
    STATE(10273), 1,
      sym__non_null_literal,
    STATE(16790), 1,
      sym_stable_identifier,
    ACTIONS(7636), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7638), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7640), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4203), 2,
      sym_comment,
      sym_block_comment,
    STATE(10226), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10316), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6674), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7350), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218718] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4314), 1,
      sym__alpha_identifier,
    ACTIONS(4320), 1,
      anon_sym__,
    ACTIONS(4332), 1,
      sym__backquoted_id,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    ACTIONS(7642), 1,
      anon_sym_LPAREN,
    ACTIONS(7644), 1,
      sym_integer_literal,
    STATE(5125), 1,
      sym__simple_type,
    STATE(5258), 1,
      sym__annotated_type,
    STATE(5658), 1,
      sym__soft_identifier,
    STATE(5978), 1,
      sym_identifier,
    STATE(8542), 1,
      sym_annotated_type,
    STATE(8862), 1,
      sym__infix_type_choice,
    STATE(9762), 1,
      sym__non_null_literal,
    STATE(17182), 1,
      sym_stable_identifier,
    ACTIONS(7646), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7648), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7650), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4204), 2,
      sym_comment,
      sym_block_comment,
    STATE(9736), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9930), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4326), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6218), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218809] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(7502), 1,
      anon_sym_LPAREN,
    ACTIONS(7504), 1,
      sym_integer_literal,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(8810), 1,
      sym__annotated_type,
    STATE(9138), 1,
      sym__non_null_literal,
    STATE(10880), 1,
      sym__infix_type_choice,
    STATE(16889), 1,
      sym_stable_identifier,
    ACTIONS(7506), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7508), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7510), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4205), 2,
      sym_comment,
      sym_block_comment,
    STATE(9036), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9153), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218900] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    ACTIONS(7652), 1,
      anon_sym_LPAREN,
    ACTIONS(7654), 1,
      sym_integer_literal,
    STATE(7038), 1,
      sym__simple_type,
    STATE(7110), 1,
      sym__annotated_type,
    STATE(7410), 1,
      sym__soft_identifier,
    STATE(7449), 1,
      sym_identifier,
    STATE(10004), 1,
      sym_annotated_type,
    STATE(10195), 1,
      sym__infix_type_choice,
    STATE(10821), 1,
      sym__non_null_literal,
    STATE(16976), 1,
      sym_stable_identifier,
    ACTIONS(7656), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7658), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7660), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4206), 2,
      sym_comment,
      sym_block_comment,
    STATE(10691), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10720), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8188), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [218991] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(7662), 1,
      anon_sym_LPAREN,
    ACTIONS(7664), 1,
      sym_integer_literal,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6203), 1,
      sym__annotated_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(9558), 1,
      sym__infix_type_choice,
    STATE(10418), 1,
      sym__non_null_literal,
    STATE(16594), 1,
      sym_stable_identifier,
    ACTIONS(7666), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7668), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7670), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4207), 2,
      sym_comment,
      sym_block_comment,
    STATE(10327), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10217), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219082] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4866), 1,
      sym__alpha_identifier,
    ACTIONS(4872), 1,
      anon_sym__,
    ACTIONS(4884), 1,
      sym__backquoted_id,
    ACTIONS(6534), 1,
      sym_operator_identifier,
    ACTIONS(7672), 1,
      anon_sym_LPAREN,
    ACTIONS(7674), 1,
      sym_integer_literal,
    STATE(4414), 1,
      sym__simple_type,
    STATE(4434), 1,
      sym__annotated_type,
    STATE(4471), 1,
      sym_identifier,
    STATE(4496), 1,
      sym__soft_identifier,
    STATE(5943), 1,
      sym_annotated_type,
    STATE(6568), 1,
      sym__infix_type_choice,
    STATE(7936), 1,
      sym__non_null_literal,
    STATE(16363), 1,
      sym_stable_identifier,
    ACTIONS(7676), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7678), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7680), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4208), 2,
      sym_comment,
      sym_block_comment,
    STATE(7731), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7706), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4586), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219173] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4382), 1,
      sym__alpha_identifier,
    ACTIONS(4388), 1,
      anon_sym__,
    ACTIONS(4400), 1,
      sym__backquoted_id,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    ACTIONS(7682), 1,
      anon_sym_LPAREN,
    ACTIONS(7684), 1,
      sym_integer_literal,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5232), 1,
      sym__annotated_type,
    STATE(5555), 1,
      sym_identifier,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(8693), 1,
      sym_annotated_type,
    STATE(9298), 1,
      sym__infix_type_choice,
    STATE(10012), 1,
      sym__non_null_literal,
    STATE(16965), 1,
      sym_stable_identifier,
    ACTIONS(7686), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7688), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7690), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4209), 2,
      sym_comment,
      sym_block_comment,
    STATE(9915), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10034), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219264] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(7692), 1,
      anon_sym_LPAREN,
    ACTIONS(7694), 1,
      sym_integer_literal,
    STATE(6684), 1,
      sym__simple_type,
    STATE(7476), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10284), 1,
      sym__infix_type_choice,
    STATE(10454), 1,
      sym__non_null_literal,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(7696), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7698), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7700), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4210), 2,
      sym_comment,
      sym_block_comment,
    STATE(10633), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10493), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219355] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      sym__alpha_identifier,
    ACTIONS(6710), 1,
      anon_sym__,
    ACTIONS(6718), 1,
      sym__backquoted_id,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    ACTIONS(7702), 1,
      anon_sym_LPAREN,
    ACTIONS(7704), 1,
      sym_integer_literal,
    STATE(5088), 1,
      sym__simple_type,
    STATE(5696), 1,
      sym_identifier,
    STATE(5777), 1,
      sym__soft_identifier,
    STATE(5856), 1,
      sym__annotated_type,
    STATE(8713), 1,
      sym_annotated_type,
    STATE(9151), 1,
      sym__infix_type_choice,
    STATE(9896), 1,
      sym__non_null_literal,
    STATE(16943), 1,
      sym_stable_identifier,
    ACTIONS(7706), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7708), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7710), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4211), 2,
      sym_comment,
      sym_block_comment,
    STATE(10002), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9830), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219446] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4490), 1,
      sym__alpha_identifier,
    ACTIONS(4496), 1,
      anon_sym__,
    ACTIONS(4508), 1,
      sym__backquoted_id,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    ACTIONS(7712), 1,
      anon_sym_LPAREN,
    ACTIONS(7714), 1,
      sym_integer_literal,
    STATE(4785), 1,
      sym__annotated_type,
    STATE(4845), 1,
      sym__simple_type,
    STATE(5172), 1,
      sym_identifier,
    STATE(5408), 1,
      sym__soft_identifier,
    STATE(7594), 1,
      sym_annotated_type,
    STATE(8335), 1,
      sym__infix_type_choice,
    STATE(9531), 1,
      sym__non_null_literal,
    STATE(16783), 1,
      sym_stable_identifier,
    ACTIONS(7716), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7718), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7720), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4212), 2,
      sym_comment,
      sym_block_comment,
    STATE(9656), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9358), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4502), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5608), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219537] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4582), 1,
      sym__alpha_identifier,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4600), 1,
      sym__backquoted_id,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    ACTIONS(7722), 1,
      anon_sym_LPAREN,
    ACTIONS(7724), 1,
      sym_integer_literal,
    STATE(5668), 1,
      sym__simple_type,
    STATE(5714), 1,
      sym__annotated_type,
    STATE(6011), 1,
      sym_identifier,
    STATE(6355), 1,
      sym__soft_identifier,
    STATE(8874), 1,
      sym_annotated_type,
    STATE(9442), 1,
      sym__infix_type_choice,
    STATE(10434), 1,
      sym__non_null_literal,
    STATE(17188), 1,
      sym_stable_identifier,
    ACTIONS(7726), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7728), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7730), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4213), 2,
      sym_comment,
      sym_block_comment,
    STATE(10307), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10134), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6952), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219628] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    ACTIONS(7732), 1,
      anon_sym_LPAREN,
    ACTIONS(7734), 1,
      sym_integer_literal,
    STATE(4620), 1,
      sym__simple_type,
    STATE(4690), 1,
      sym__annotated_type,
    STATE(4816), 1,
      sym__soft_identifier,
    STATE(4955), 1,
      sym_identifier,
    STATE(7201), 1,
      sym_annotated_type,
    STATE(7904), 1,
      sym__infix_type_choice,
    STATE(8858), 1,
      sym__non_null_literal,
    STATE(17020), 1,
      sym_stable_identifier,
    ACTIONS(7736), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7738), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7740), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4214), 2,
      sym_comment,
      sym_block_comment,
    STATE(9109), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8821), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5061), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219719] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7744), 1,
      sym_integer_literal,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(6949), 1,
      sym__annotated_type,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(9807), 1,
      sym__non_null_literal,
    STATE(9936), 1,
      sym__infix_type_choice,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(7746), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7748), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7750), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4215), 2,
      sym_comment,
      sym_block_comment,
    STATE(9999), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10120), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219810] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6640), 1,
      sym__alpha_identifier,
    ACTIONS(6642), 1,
      anon_sym__,
    ACTIONS(6650), 1,
      sym__backquoted_id,
    ACTIONS(6652), 1,
      sym_operator_identifier,
    ACTIONS(7752), 1,
      anon_sym_LPAREN,
    ACTIONS(7754), 1,
      sym_integer_literal,
    STATE(5786), 1,
      sym__simple_type,
    STATE(6211), 1,
      sym__soft_identifier,
    STATE(6296), 1,
      sym__annotated_type,
    STATE(6365), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_annotated_type,
    STATE(9873), 1,
      sym__infix_type_choice,
    STATE(10629), 1,
      sym__non_null_literal,
    STATE(16931), 1,
      sym_stable_identifier,
    ACTIONS(7756), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7758), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7760), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4216), 2,
      sym_comment,
      sym_block_comment,
    STATE(10634), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10659), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6646), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7122), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219901] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6276), 1,
      sym__alpha_identifier,
    ACTIONS(6278), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      sym__backquoted_id,
    ACTIONS(6288), 1,
      sym_operator_identifier,
    ACTIONS(7762), 1,
      anon_sym_LPAREN,
    ACTIONS(7764), 1,
      sym_integer_literal,
    STATE(7073), 1,
      sym__simple_type,
    STATE(7540), 1,
      sym__annotated_type,
    STATE(7671), 1,
      sym__soft_identifier,
    STATE(7785), 1,
      sym_identifier,
    STATE(10337), 1,
      sym_annotated_type,
    STATE(10420), 1,
      sym__infix_type_choice,
    STATE(10702), 1,
      sym__non_null_literal,
    STATE(16468), 1,
      sym_stable_identifier,
    ACTIONS(7766), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7768), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7770), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4217), 2,
      sym_comment,
      sym_block_comment,
    STATE(10847), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10867), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6282), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [219992] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6832), 1,
      sym__backquoted_id,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    ACTIONS(7772), 1,
      anon_sym_LPAREN,
    ACTIONS(7774), 1,
      sym_integer_literal,
    STATE(8417), 1,
      sym__simple_type,
    STATE(8731), 1,
      sym__soft_identifier,
    STATE(8855), 1,
      sym__annotated_type,
    STATE(9115), 1,
      sym_identifier,
    STATE(10699), 1,
      sym_annotated_type,
    STATE(11061), 1,
      sym__infix_type_choice,
    STATE(11461), 1,
      sym__non_null_literal,
    STATE(17200), 1,
      sym_stable_identifier,
    ACTIONS(7776), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7778), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7780), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4218), 2,
      sym_comment,
      sym_block_comment,
    STATE(11492), 2,
      sym_boolean_literal,
      sym_string,
    STATE(11746), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9366), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220083] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6312), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(7782), 1,
      anon_sym_LPAREN,
    ACTIONS(7784), 1,
      sym_integer_literal,
    STATE(5097), 1,
      sym__annotated_type,
    STATE(5251), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(5874), 1,
      sym_identifier,
    STATE(8314), 1,
      sym_annotated_type,
    STATE(9112), 1,
      sym__infix_type_choice,
    STATE(9986), 1,
      sym__non_null_literal,
    STATE(17278), 1,
      sym_stable_identifier,
    ACTIONS(7786), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7788), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7790), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4219), 2,
      sym_comment,
      sym_block_comment,
    STATE(9983), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9773), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6129), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220174] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6618), 1,
      sym__alpha_identifier,
    ACTIONS(6620), 1,
      anon_sym__,
    ACTIONS(6628), 1,
      sym__backquoted_id,
    ACTIONS(6630), 1,
      sym_operator_identifier,
    ACTIONS(7792), 1,
      anon_sym_LPAREN,
    ACTIONS(7794), 1,
      sym_integer_literal,
    STATE(6588), 1,
      sym__simple_type,
    STATE(6840), 1,
      sym__annotated_type,
    STATE(6877), 1,
      sym_identifier,
    STATE(7078), 1,
      sym__soft_identifier,
    STATE(9775), 1,
      sym_annotated_type,
    STATE(10342), 1,
      sym__infix_type_choice,
    STATE(10792), 1,
      sym__non_null_literal,
    STATE(16266), 1,
      sym_stable_identifier,
    ACTIONS(7796), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7798), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7800), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4220), 2,
      sym_comment,
      sym_block_comment,
    STATE(10675), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10749), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7940), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220265] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    ACTIONS(7744), 1,
      sym_integer_literal,
    STATE(5624), 1,
      sym__annotated_type,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(9335), 1,
      sym__infix_type_choice,
    STATE(9807), 1,
      sym__non_null_literal,
    STATE(16919), 1,
      sym_stable_identifier,
    ACTIONS(7746), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7748), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7750), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4221), 2,
      sym_comment,
      sym_block_comment,
    STATE(9999), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10120), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220356] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4680), 1,
      sym__alpha_identifier,
    ACTIONS(4686), 1,
      anon_sym__,
    ACTIONS(4698), 1,
      sym__backquoted_id,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    ACTIONS(7802), 1,
      anon_sym_LPAREN,
    ACTIONS(7804), 1,
      sym_integer_literal,
    STATE(4758), 1,
      sym__annotated_type,
    STATE(4896), 1,
      sym__simple_type,
    STATE(5213), 1,
      sym_identifier,
    STATE(5438), 1,
      sym__soft_identifier,
    STATE(7758), 1,
      sym_annotated_type,
    STATE(8100), 1,
      sym__infix_type_choice,
    STATE(9697), 1,
      sym__non_null_literal,
    STATE(16907), 1,
      sym_stable_identifier,
    ACTIONS(7806), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7808), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7810), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4222), 2,
      sym_comment,
      sym_block_comment,
    STATE(9383), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9371), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4692), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5876), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220447] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(7692), 1,
      anon_sym_LPAREN,
    ACTIONS(7694), 1,
      sym_integer_literal,
    STATE(6684), 1,
      sym__simple_type,
    STATE(7190), 1,
      sym__annotated_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(10377), 1,
      sym__infix_type_choice,
    STATE(10454), 1,
      sym__non_null_literal,
    STATE(16238), 1,
      sym_stable_identifier,
    ACTIONS(7696), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7698), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7700), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4223), 2,
      sym_comment,
      sym_block_comment,
    STATE(10633), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10493), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220538] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      sym__alpha_identifier,
    ACTIONS(4898), 1,
      anon_sym__,
    ACTIONS(4908), 1,
      sym__backquoted_id,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    ACTIONS(7812), 1,
      anon_sym_LPAREN,
    ACTIONS(7814), 1,
      sym_integer_literal,
    STATE(5448), 1,
      sym__simple_type,
    STATE(5709), 1,
      sym__annotated_type,
    STATE(6026), 1,
      sym__soft_identifier,
    STATE(6127), 1,
      sym_identifier,
    STATE(8791), 1,
      sym_annotated_type,
    STATE(9546), 1,
      sym__infix_type_choice,
    STATE(10386), 1,
      sym__non_null_literal,
    STATE(16208), 1,
      sym_stable_identifier,
    ACTIONS(7816), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7818), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7820), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4224), 2,
      sym_comment,
      sym_block_comment,
    STATE(10143), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10267), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7174), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220629] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6554), 1,
      sym__alpha_identifier,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    ACTIONS(7822), 1,
      anon_sym_LPAREN,
    ACTIONS(7824), 1,
      sym_integer_literal,
    STATE(5244), 1,
      sym__simple_type,
    STATE(5440), 1,
      sym__annotated_type,
    STATE(5508), 1,
      sym_identifier,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(8215), 1,
      sym_annotated_type,
    STATE(9009), 1,
      sym__infix_type_choice,
    STATE(9793), 1,
      sym__non_null_literal,
    STATE(16819), 1,
      sym_stable_identifier,
    ACTIONS(7826), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7828), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7830), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4225), 2,
      sym_comment,
      sym_block_comment,
    STATE(9836), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9757), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6312), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220720] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    ACTIONS(7832), 1,
      anon_sym_LPAREN,
    ACTIONS(7834), 1,
      sym_integer_literal,
    STATE(5530), 1,
      sym__simple_type,
    STATE(6024), 1,
      sym__soft_identifier,
    STATE(6569), 1,
      sym__annotated_type,
    STATE(6622), 1,
      sym_identifier,
    STATE(9547), 1,
      sym_annotated_type,
    STATE(9584), 1,
      sym__infix_type_choice,
    STATE(10213), 1,
      sym__non_null_literal,
    STATE(16293), 1,
      sym_stable_identifier,
    ACTIONS(7836), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7838), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7840), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4226), 2,
      sym_comment,
      sym_block_comment,
    STATE(10293), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10139), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6696), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220811] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(7452), 1,
      anon_sym_LPAREN,
    ACTIONS(7454), 1,
      sym_integer_literal,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(7356), 1,
      sym__annotated_type,
    STATE(8088), 1,
      sym__non_null_literal,
    STATE(9929), 1,
      sym__infix_type_choice,
    STATE(16384), 1,
      sym_stable_identifier,
    ACTIONS(7456), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7458), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7460), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4227), 2,
      sym_comment,
      sym_block_comment,
    STATE(8323), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8208), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220902] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6576), 1,
      sym__alpha_identifier,
    ACTIONS(6582), 1,
      anon_sym__,
    ACTIONS(6590), 1,
      sym__backquoted_id,
    ACTIONS(6592), 1,
      sym_operator_identifier,
    ACTIONS(7842), 1,
      anon_sym_LPAREN,
    ACTIONS(7844), 1,
      sym_integer_literal,
    STATE(4406), 1,
      sym__annotated_type,
    STATE(4454), 1,
      sym__simple_type,
    STATE(4474), 1,
      sym_identifier,
    STATE(4509), 1,
      sym__soft_identifier,
    STATE(5690), 1,
      sym_annotated_type,
    STATE(6590), 1,
      sym__infix_type_choice,
    STATE(7981), 1,
      sym__non_null_literal,
    STATE(17122), 1,
      sym_stable_identifier,
    ACTIONS(7846), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7848), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7850), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4228), 2,
      sym_comment,
      sym_block_comment,
    STATE(7906), 2,
      sym_boolean_literal,
      sym_string,
    STATE(7600), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [220993] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4346), 1,
      sym__alpha_identifier,
    ACTIONS(4352), 1,
      anon_sym__,
    ACTIONS(4364), 1,
      sym__backquoted_id,
    ACTIONS(6332), 1,
      sym_operator_identifier,
    ACTIONS(7852), 1,
      anon_sym_LPAREN,
    ACTIONS(7854), 1,
      sym_integer_literal,
    STATE(4851), 1,
      sym__annotated_type,
    STATE(4887), 1,
      sym__simple_type,
    STATE(5109), 1,
      sym_identifier,
    STATE(5171), 1,
      sym__soft_identifier,
    STATE(7499), 1,
      sym_annotated_type,
    STATE(8638), 1,
      sym__infix_type_choice,
    STATE(9569), 1,
      sym__non_null_literal,
    STATE(16510), 1,
      sym_stable_identifier,
    ACTIONS(7856), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7858), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7860), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4229), 2,
      sym_comment,
      sym_block_comment,
    STATE(9517), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9450), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5792), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221084] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6258), 1,
      sym__alpha_identifier,
    ACTIONS(6264), 1,
      anon_sym__,
    ACTIONS(6272), 1,
      sym__backquoted_id,
    ACTIONS(6274), 1,
      sym_operator_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(7864), 1,
      sym_integer_literal,
    STATE(4937), 1,
      sym__simple_type,
    STATE(4951), 1,
      sym__annotated_type,
    STATE(5114), 1,
      sym__soft_identifier,
    STATE(5304), 1,
      sym_identifier,
    STATE(7478), 1,
      sym_annotated_type,
    STATE(8691), 1,
      sym__infix_type_choice,
    STATE(9548), 1,
      sym__non_null_literal,
    STATE(17218), 1,
      sym_stable_identifier,
    ACTIONS(7866), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7868), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7870), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4230), 2,
      sym_comment,
      sym_block_comment,
    STATE(9554), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9346), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5908), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221175] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6218), 1,
      sym__alpha_identifier,
    ACTIONS(6220), 1,
      anon_sym__,
    ACTIONS(6228), 1,
      sym__backquoted_id,
    ACTIONS(6230), 1,
      sym_operator_identifier,
    ACTIONS(7872), 1,
      anon_sym_LPAREN,
    ACTIONS(7874), 1,
      sym_integer_literal,
    STATE(7714), 1,
      sym__simple_type,
    STATE(8090), 1,
      sym__annotated_type,
    STATE(8360), 1,
      sym__soft_identifier,
    STATE(8457), 1,
      sym_identifier,
    STATE(10483), 1,
      sym__infix_type_choice,
    STATE(10600), 1,
      sym_annotated_type,
    STATE(10957), 1,
      sym__non_null_literal,
    STATE(16447), 1,
      sym_stable_identifier,
    ACTIONS(7876), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7878), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7880), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4231), 2,
      sym_comment,
      sym_block_comment,
    STATE(11037), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10962), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8869), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221266] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6452), 1,
      sym__alpha_identifier,
    ACTIONS(6454), 1,
      anon_sym__,
    ACTIONS(6462), 1,
      sym__backquoted_id,
    ACTIONS(6464), 1,
      sym_operator_identifier,
    ACTIONS(7882), 1,
      anon_sym_LPAREN,
    ACTIONS(7884), 1,
      sym_integer_literal,
    STATE(5997), 1,
      sym__simple_type,
    STATE(6449), 1,
      sym__annotated_type,
    STATE(6938), 1,
      sym__soft_identifier,
    STATE(7212), 1,
      sym_identifier,
    STATE(9566), 1,
      sym_annotated_type,
    STATE(10084), 1,
      sym__infix_type_choice,
    STATE(10603), 1,
      sym__non_null_literal,
    STATE(16631), 1,
      sym_stable_identifier,
    ACTIONS(7886), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7888), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7890), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4232), 2,
      sym_comment,
      sym_block_comment,
    STATE(10646), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10555), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6458), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7526), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221357] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4246), 1,
      sym__alpha_identifier,
    ACTIONS(4252), 1,
      anon_sym__,
    ACTIONS(4264), 1,
      sym__backquoted_id,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    ACTIONS(7892), 1,
      anon_sym_LPAREN,
    ACTIONS(7894), 1,
      sym_integer_literal,
    STATE(6992), 1,
      sym__simple_type,
    STATE(7027), 1,
      sym__annotated_type,
    STATE(7377), 1,
      sym_identifier,
    STATE(8053), 1,
      sym__soft_identifier,
    STATE(10102), 1,
      sym_annotated_type,
    STATE(10414), 1,
      sym__infix_type_choice,
    STATE(10686), 1,
      sym__non_null_literal,
    STATE(16632), 1,
      sym_stable_identifier,
    ACTIONS(7896), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7898), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7900), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4233), 2,
      sym_comment,
      sym_block_comment,
    STATE(10933), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10682), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8511), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221448] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    ACTIONS(7902), 1,
      anon_sym_LPAREN,
    ACTIONS(7904), 1,
      sym_integer_literal,
    STATE(5489), 1,
      sym__simple_type,
    STATE(5893), 1,
      sym__annotated_type,
    STATE(6141), 1,
      sym_identifier,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(8850), 1,
      sym_annotated_type,
    STATE(9402), 1,
      sym__infix_type_choice,
    STATE(10184), 1,
      sym__non_null_literal,
    STATE(17230), 1,
      sym_stable_identifier,
    ACTIONS(7906), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7908), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7910), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4234), 2,
      sym_comment,
      sym_block_comment,
    STATE(10130), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10216), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221539] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6376), 1,
      anon_sym__,
    ACTIONS(6384), 1,
      sym__backquoted_id,
    ACTIONS(6386), 1,
      sym_operator_identifier,
    ACTIONS(7912), 1,
      anon_sym_LPAREN,
    ACTIONS(7914), 1,
      sym_integer_literal,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6339), 1,
      sym__soft_identifier,
    STATE(6428), 1,
      sym__annotated_type,
    STATE(6512), 1,
      sym_identifier,
    STATE(9615), 1,
      sym_annotated_type,
    STATE(9908), 1,
      sym__infix_type_choice,
    STATE(10533), 1,
      sym__non_null_literal,
    STATE(16405), 1,
      sym_stable_identifier,
    ACTIONS(7916), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7918), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7920), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4235), 2,
      sym_comment,
      sym_block_comment,
    STATE(10594), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10595), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6978), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221630] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4642), 1,
      sym__alpha_identifier,
    ACTIONS(4648), 1,
      anon_sym__,
    ACTIONS(4660), 1,
      sym__backquoted_id,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    ACTIONS(7922), 1,
      anon_sym_LPAREN,
    ACTIONS(7924), 1,
      sym_integer_literal,
    STATE(6591), 1,
      sym__simple_type,
    STATE(6615), 1,
      sym__annotated_type,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(6879), 1,
      sym_identifier,
    STATE(9695), 1,
      sym_annotated_type,
    STATE(9846), 1,
      sym__infix_type_choice,
    STATE(10561), 1,
      sym__non_null_literal,
    STATE(16591), 1,
      sym_stable_identifier,
    ACTIONS(7926), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7928), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7930), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4236), 2,
      sym_comment,
      sym_block_comment,
    STATE(10655), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10586), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221721] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6140), 1,
      sym__alpha_identifier,
    ACTIONS(6146), 1,
      anon_sym__,
    ACTIONS(6154), 1,
      sym__backquoted_id,
    ACTIONS(6156), 1,
      sym_operator_identifier,
    ACTIONS(7932), 1,
      anon_sym_LPAREN,
    ACTIONS(7934), 1,
      sym_integer_literal,
    STATE(6029), 1,
      sym__annotated_type,
    STATE(6643), 1,
      sym__simple_type,
    STATE(7004), 1,
      sym_identifier,
    STATE(7223), 1,
      sym__soft_identifier,
    STATE(9532), 1,
      sym_annotated_type,
    STATE(9934), 1,
      sym__infix_type_choice,
    STATE(10487), 1,
      sym__non_null_literal,
    STATE(17242), 1,
      sym_stable_identifier,
    ACTIONS(7936), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7938), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7940), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4237), 2,
      sym_comment,
      sym_block_comment,
    STATE(10539), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10485), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7827), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221812] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4840), 1,
      sym__alpha_identifier,
    ACTIONS(4842), 1,
      anon_sym__,
    ACTIONS(4852), 1,
      sym__backquoted_id,
    ACTIONS(6816), 1,
      sym_operator_identifier,
    ACTIONS(7942), 1,
      anon_sym_LPAREN,
    ACTIONS(7944), 1,
      sym_integer_literal,
    STATE(4698), 1,
      sym__annotated_type,
    STATE(4743), 1,
      sym__simple_type,
    STATE(4941), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(6832), 1,
      sym_annotated_type,
    STATE(7697), 1,
      sym__infix_type_choice,
    STATE(9247), 1,
      sym__non_null_literal,
    STATE(16496), 1,
      sym_stable_identifier,
    ACTIONS(7946), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7948), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7950), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4238), 2,
      sym_comment,
      sym_block_comment,
    STATE(9267), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8949), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5272), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221903] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6204), 1,
      sym__alpha_identifier,
    ACTIONS(6206), 1,
      anon_sym__,
    ACTIONS(6214), 1,
      sym__backquoted_id,
    ACTIONS(6216), 1,
      sym_operator_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN,
    ACTIONS(7954), 1,
      sym_integer_literal,
    STATE(4500), 1,
      sym__simple_type,
    STATE(4503), 1,
      sym__annotated_type,
    STATE(4575), 1,
      sym_identifier,
    STATE(4614), 1,
      sym__soft_identifier,
    STATE(6499), 1,
      sym_annotated_type,
    STATE(7238), 1,
      sym__infix_type_choice,
    STATE(8616), 1,
      sym__non_null_literal,
    STATE(17254), 1,
      sym_stable_identifier,
    ACTIONS(7956), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7958), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7960), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4239), 2,
      sym_comment,
      sym_block_comment,
    STATE(8607), 2,
      sym_boolean_literal,
      sym_string,
    STATE(8530), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6210), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [221994] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__alpha_identifier,
    ACTIONS(4216), 1,
      anon_sym__,
    ACTIONS(4228), 1,
      sym__backquoted_id,
    ACTIONS(6354), 1,
      sym_operator_identifier,
    ACTIONS(7962), 1,
      anon_sym_LPAREN,
    ACTIONS(7964), 1,
      sym_integer_literal,
    STATE(5553), 1,
      sym__annotated_type,
    STATE(5570), 1,
      sym__simple_type,
    STATE(6162), 1,
      sym_identifier,
    STATE(6542), 1,
      sym__soft_identifier,
    STATE(8840), 1,
      sym_annotated_type,
    STATE(9328), 1,
      sym__infix_type_choice,
    STATE(10424), 1,
      sym__non_null_literal,
    STATE(16551), 1,
      sym_stable_identifier,
    ACTIONS(7966), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7968), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7970), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4240), 2,
      sym_comment,
      sym_block_comment,
    STATE(10177), 2,
      sym_boolean_literal,
      sym_string,
    STATE(10384), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4222), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7279), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222085] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(7972), 1,
      anon_sym_LPAREN,
    ACTIONS(7974), 1,
      sym_integer_literal,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5190), 1,
      sym__annotated_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(9095), 1,
      sym__infix_type_choice,
    STATE(9950), 1,
      sym__non_null_literal,
    STATE(16305), 1,
      sym_stable_identifier,
    ACTIONS(7976), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7978), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7980), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4241), 2,
      sym_comment,
      sym_block_comment,
    STATE(9939), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9761), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222176] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6240), 1,
      sym__alpha_identifier,
    ACTIONS(6246), 1,
      anon_sym__,
    ACTIONS(6254), 1,
      sym__backquoted_id,
    ACTIONS(6256), 1,
      sym_operator_identifier,
    ACTIONS(7982), 1,
      anon_sym_LPAREN,
    ACTIONS(7984), 1,
      sym_integer_literal,
    STATE(4888), 1,
      sym__simple_type,
    STATE(4980), 1,
      sym__annotated_type,
    STATE(5046), 1,
      sym__soft_identifier,
    STATE(5345), 1,
      sym_identifier,
    STATE(7619), 1,
      sym_annotated_type,
    STATE(8459), 1,
      sym__infix_type_choice,
    STATE(9479), 1,
      sym__non_null_literal,
    STATE(17260), 1,
      sym_stable_identifier,
    ACTIONS(7986), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7988), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7990), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4242), 2,
      sym_comment,
      sym_block_comment,
    STATE(9484), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9693), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(6250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5941), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222267] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4550), 1,
      sym__alpha_identifier,
    ACTIONS(4556), 1,
      anon_sym__,
    ACTIONS(4568), 1,
      sym__backquoted_id,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    ACTIONS(7992), 1,
      anon_sym_LPAREN,
    ACTIONS(7994), 1,
      sym_integer_literal,
    STATE(4883), 1,
      sym__simple_type,
    STATE(4985), 1,
      sym__annotated_type,
    STATE(5032), 1,
      sym__soft_identifier,
    STATE(5419), 1,
      sym_identifier,
    STATE(7699), 1,
      sym_annotated_type,
    STATE(8407), 1,
      sym__infix_type_choice,
    STATE(9459), 1,
      sym__non_null_literal,
    STATE(17272), 1,
      sym_stable_identifier,
    ACTIONS(7996), 2,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7998), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(8000), 2,
      sym__simple_multiline_string,
      sym__simple_string,
    STATE(4243), 2,
      sym_comment,
      sym_block_comment,
    STATE(9464), 2,
      sym_boolean_literal,
      sym_string,
    STATE(9529), 3,
      sym_compound_type,
      sym_infix_type,
      sym_literal_type,
    ACTIONS(4562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5875), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [222358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8004), 8,
      sym__indent,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(8002), 29,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_try,
      anon_sym_new,
      anon_sym_opaque,
      anon_sym_implicit,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_macro,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_do,
  [222410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 35,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [222461] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8012), 1,
      anon_sym_LBRACK,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(4365), 1,
      aux_sym_extension_definition_repeat1,
    STATE(4366), 1,
      sym_type_parameters,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8447), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(13938), 1,
      sym__function_declaration,
    STATE(17859), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4246), 2,
      sym_comment,
      sym_block_comment,
    STATE(14629), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222553] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8012), 1,
      anon_sym_LBRACK,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8034), 1,
      anon_sym_LBRACE,
    ACTIONS(8036), 1,
      anon_sym_def,
    ACTIONS(8038), 1,
      sym__indent,
    STATE(4355), 1,
      aux_sym_extension_definition_repeat1,
    STATE(4356), 1,
      sym_type_parameters,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8677), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(13944), 1,
      sym__function_declaration,
    STATE(17349), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4247), 2,
      sym_comment,
      sym_block_comment,
    STATE(14237), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 35,
      anon_sym_enum,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [222693] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8012), 1,
      anon_sym_LBRACK,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(4332), 1,
      sym_type_parameters,
    STATE(4334), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8447), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(14134), 1,
      sym__function_declaration,
    STATE(17859), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4249), 2,
      sym_comment,
      sym_block_comment,
    STATE(14629), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222785] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(8046), 1,
      sym_operator_identifier,
    STATE(4485), 1,
      sym__soft_identifier,
    STATE(6674), 1,
      sym_identifier,
    STATE(4250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 6,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(8042), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [222849] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8012), 1,
      anon_sym_LBRACK,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8034), 1,
      anon_sym_LBRACE,
    ACTIONS(8036), 1,
      anon_sym_def,
    ACTIONS(8038), 1,
      sym__indent,
    STATE(4282), 1,
      sym_type_parameters,
    STATE(4369), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8677), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(14024), 1,
      sym__function_declaration,
    STATE(17349), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4251), 2,
      sym_comment,
      sym_block_comment,
    STATE(14237), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [222941] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(8050), 1,
      sym_operator_identifier,
    STATE(5547), 1,
      sym__soft_identifier,
    STATE(9491), 1,
      sym_identifier,
    STATE(4252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(661), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4132), 6,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(8048), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [223005] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8012), 1,
      anon_sym_LBRACK,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8034), 1,
      anon_sym_LBRACE,
    ACTIONS(8038), 1,
      sym__indent,
    ACTIONS(8052), 1,
      anon_sym_def,
    STATE(4319), 1,
      sym_type_parameters,
    STATE(4339), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8644), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(14079), 1,
      sym__function_declaration,
    STATE(17306), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4253), 2,
      sym_comment,
      sym_block_comment,
    STATE(14237), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223097] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8060), 1,
      anon_sym_implicit,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8070), 1,
      anon_sym_using,
    ACTIONS(8072), 1,
      anon_sym_RPAREN,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15825), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [223188] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8078), 1,
      anon_sym_implicit,
    ACTIONS(8080), 1,
      anon_sym_using,
    ACTIONS(8082), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15213), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [223279] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8084), 1,
      anon_sym_implicit,
    ACTIONS(8086), 1,
      anon_sym_using,
    ACTIONS(8088), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15568), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [223370] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8090), 1,
      anon_sym_enum,
    ACTIONS(8092), 1,
      anon_sym_case,
    ACTIONS(8094), 1,
      anon_sym_object,
    ACTIONS(8096), 1,
      anon_sym_given,
    ACTIONS(8098), 1,
      anon_sym_class,
    ACTIONS(8100), 1,
      anon_sym_trait,
    ACTIONS(8102), 1,
      anon_sym_val,
    ACTIONS(8104), 1,
      anon_sym_var,
    ACTIONS(8106), 1,
      anon_sym_type,
    ACTIONS(8108), 1,
      anon_sym_def,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(6566), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(12935), 1,
      sym_modifiers,
    STATE(17854), 1,
      sym_opaque_modifier,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4257), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223463] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      anon_sym_val,
    ACTIONS(8104), 1,
      anon_sym_var,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(8112), 1,
      anon_sym_enum,
    ACTIONS(8114), 1,
      anon_sym_case,
    ACTIONS(8116), 1,
      anon_sym_object,
    ACTIONS(8118), 1,
      anon_sym_given,
    ACTIONS(8120), 1,
      anon_sym_class,
    ACTIONS(8122), 1,
      anon_sym_trait,
    ACTIONS(8124), 1,
      anon_sym_type,
    ACTIONS(8126), 1,
      anon_sym_def,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(6566), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(12948), 1,
      sym_modifiers,
    STATE(17255), 1,
      sym_opaque_modifier,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4258), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223556] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8132), 1,
      anon_sym_LBRACK,
    ACTIONS(8134), 1,
      anon_sym_LPAREN,
    ACTIONS(8136), 1,
      anon_sym_POUND,
    STATE(4455), 1,
      aux_sym_annotation_repeat1,
    STATE(4525), 1,
      sym_type_arguments,
    STATE(4736), 1,
      sym_arguments,
    STATE(4259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [223617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8138), 1,
      anon_sym_DOT,
    STATE(4260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [223666] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      anon_sym_val,
    ACTIONS(8104), 1,
      anon_sym_var,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(8112), 1,
      anon_sym_enum,
    ACTIONS(8114), 1,
      anon_sym_case,
    ACTIONS(8116), 1,
      anon_sym_object,
    ACTIONS(8120), 1,
      anon_sym_class,
    ACTIONS(8122), 1,
      anon_sym_trait,
    ACTIONS(8140), 1,
      anon_sym_given,
    ACTIONS(8142), 1,
      anon_sym_type,
    ACTIONS(8144), 1,
      anon_sym_def,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(6566), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(12864), 1,
      sym_modifiers,
    STATE(17108), 1,
      sym_opaque_modifier,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4261), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223759] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8090), 1,
      anon_sym_enum,
    ACTIONS(8094), 1,
      anon_sym_object,
    ACTIONS(8098), 1,
      anon_sym_class,
    ACTIONS(8100), 1,
      anon_sym_trait,
    ACTIONS(8102), 1,
      anon_sym_val,
    ACTIONS(8104), 1,
      anon_sym_var,
    ACTIONS(8106), 1,
      anon_sym_type,
    ACTIONS(8108), 1,
      anon_sym_def,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(8146), 1,
      anon_sym_case,
    ACTIONS(8148), 1,
      anon_sym_given,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(6566), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(12832), 1,
      sym_modifiers,
    STATE(17854), 1,
      sym_opaque_modifier,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4262), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [223852] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8154), 1,
      anon_sym_with,
    STATE(4281), 1,
      aux_sym_compound_type_repeat1,
    STATE(5666), 1,
      sym__refinement,
    STATE(5669), 1,
      sym_template_body,
    STATE(5964), 1,
      sym_arguments,
    STATE(4263), 2,
      sym_comment,
      sym_block_comment,
    STATE(5727), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [223913] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8090), 1,
      anon_sym_enum,
    ACTIONS(8094), 1,
      anon_sym_object,
    ACTIONS(8096), 1,
      anon_sym_given,
    ACTIONS(8098), 1,
      anon_sym_class,
    ACTIONS(8100), 1,
      anon_sym_trait,
    ACTIONS(8102), 1,
      anon_sym_val,
    ACTIONS(8104), 1,
      anon_sym_var,
    ACTIONS(8106), 1,
      anon_sym_type,
    ACTIONS(8108), 1,
      anon_sym_def,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(8146), 1,
      anon_sym_case,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(6566), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(12935), 1,
      sym_modifiers,
    STATE(17854), 1,
      sym_opaque_modifier,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4264), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224006] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      anon_sym_val,
    ACTIONS(8104), 1,
      anon_sym_var,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(8112), 1,
      anon_sym_enum,
    ACTIONS(8114), 1,
      anon_sym_case,
    ACTIONS(8116), 1,
      anon_sym_object,
    ACTIONS(8120), 1,
      anon_sym_class,
    ACTIONS(8122), 1,
      anon_sym_trait,
    ACTIONS(8142), 1,
      anon_sym_type,
    ACTIONS(8144), 1,
      anon_sym_def,
    ACTIONS(8156), 1,
      anon_sym_given,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(6566), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(12871), 1,
      sym_modifiers,
    STATE(17108), 1,
      sym_opaque_modifier,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4265), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224099] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8158), 1,
      anon_sym_implicit,
    ACTIONS(8160), 1,
      anon_sym_using,
    ACTIONS(8162), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15830), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [224190] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(8046), 1,
      sym_operator_identifier,
    STATE(4485), 1,
      sym__soft_identifier,
    STATE(6674), 1,
      sym_identifier,
    STATE(4267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4132), 5,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_EQ,
      anon_sym_QMARK_EQ_GT,
      anon_sym_DQUOTE,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__interpolated_multiline_string_start,
    ACTIONS(8042), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [224253] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8164), 1,
      anon_sym_implicit,
    ACTIONS(8166), 1,
      anon_sym_using,
    ACTIONS(8168), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(14863), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [224344] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8170), 1,
      anon_sym_implicit,
    ACTIONS(8172), 1,
      anon_sym_using,
    ACTIONS(8174), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15195), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [224435] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8176), 1,
      anon_sym_implicit,
    ACTIONS(8178), 1,
      anon_sym_using,
    ACTIONS(8180), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15086), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [224526] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8182), 1,
      anon_sym_implicit,
    ACTIONS(8184), 1,
      anon_sym_using,
    ACTIONS(8186), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(14867), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [224617] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8102), 1,
      anon_sym_val,
    ACTIONS(8104), 1,
      anon_sym_var,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(8112), 1,
      anon_sym_enum,
    ACTIONS(8116), 1,
      anon_sym_object,
    ACTIONS(8120), 1,
      anon_sym_class,
    ACTIONS(8122), 1,
      anon_sym_trait,
    ACTIONS(8140), 1,
      anon_sym_given,
    ACTIONS(8142), 1,
      anon_sym_type,
    ACTIONS(8144), 1,
      anon_sym_def,
    ACTIONS(8188), 1,
      anon_sym_case,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(6566), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(12864), 1,
      sym_modifiers,
    STATE(17108), 1,
      sym_opaque_modifier,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4272), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [224710] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8190), 1,
      anon_sym_implicit,
    ACTIONS(8192), 1,
      anon_sym_using,
    ACTIONS(8194), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(14795), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [224801] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8200), 1,
      anon_sym_LBRACK,
    ACTIONS(8202), 1,
      anon_sym_AT,
    ACTIONS(8204), 1,
      anon_sym_LPAREN,
    ACTIONS(8206), 1,
      anon_sym_POUND,
    STATE(4555), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4649), 1,
      sym_type_arguments,
    STATE(4946), 1,
      sym_annotation,
    STATE(5964), 1,
      sym_arguments,
    STATE(4274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [224866] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8208), 1,
      anon_sym_implicit,
    ACTIONS(8210), 1,
      anon_sym_using,
    ACTIONS(8212), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15038), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(61), 5,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_lazy,
      anon_sym_override,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
  [224957] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8214), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4276), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225043] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8216), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15122), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4277), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225129] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8218), 1,
      sym__alpha_identifier,
    ACTIONS(8220), 1,
      anon_sym_COLON,
    ACTIONS(8222), 1,
      anon_sym_LBRACE,
    ACTIONS(8224), 1,
      anon_sym__,
    ACTIONS(8228), 1,
      anon_sym_LPAREN,
    ACTIONS(8230), 1,
      sym__backquoted_id,
    ACTIONS(8232), 1,
      sym_operator_identifier,
    STATE(10537), 1,
      sym__simple_type,
    STATE(10731), 1,
      sym__annotated_type,
    STATE(11280), 1,
      sym__soft_identifier,
    STATE(11312), 1,
      sym_identifier,
    STATE(11961), 1,
      sym__constructor_application,
    STATE(12241), 1,
      sym_compound_type,
    STATE(12691), 1,
      sym_template_body,
    STATE(12958), 1,
      sym__structural_type,
    STATE(13003), 1,
      sym_annotated_type,
    STATE(13265), 1,
      sym__constructor_applications,
    STATE(16436), 1,
      sym_stable_identifier,
    STATE(4278), 2,
      sym_comment,
      sym_block_comment,
    STATE(12873), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11464), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225215] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8200), 1,
      anon_sym_LBRACK,
    ACTIONS(8202), 1,
      anon_sym_AT,
    ACTIONS(8206), 1,
      anon_sym_POUND,
    STATE(4555), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4649), 1,
      sym_type_arguments,
    STATE(4946), 1,
      sym_annotation,
    STATE(4279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [225275] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8234), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15437), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4280), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225361] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8154), 1,
      anon_sym_with,
    STATE(5008), 1,
      aux_sym_compound_type_repeat1,
    STATE(5657), 1,
      sym__refinement,
    STATE(5669), 1,
      sym_template_body,
    STATE(4281), 2,
      sym_comment,
      sym_block_comment,
    STATE(5727), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [225419] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8034), 1,
      anon_sym_LBRACE,
    ACTIONS(8036), 1,
      anon_sym_def,
    ACTIONS(8038), 1,
      sym__indent,
    STATE(4288), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8677), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(14024), 1,
      sym__function_declaration,
    STATE(17349), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4282), 2,
      sym_comment,
      sym_block_comment,
    STATE(14214), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225505] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8242), 1,
      anon_sym_LPAREN,
    ACTIONS(8244), 1,
      sym_operator_identifier,
    STATE(11052), 1,
      sym__simple_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11517), 1,
      sym__annotated_type,
    STATE(11720), 1,
      sym_identifier,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(14646), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(17247), 1,
      sym__constructor_application,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17376), 1,
      sym_template_body,
    STATE(4283), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225591] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8246), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4284), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [225723] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      sym_operator_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11357), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11633), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(14272), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4286), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [225809] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8234), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15437), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4287), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225895] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8034), 1,
      anon_sym_LBRACE,
    ACTIONS(8036), 1,
      anon_sym_def,
    ACTIONS(8038), 1,
      sym__indent,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8677), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9782), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(14024), 1,
      sym__function_declaration,
    STATE(17349), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4288), 2,
      sym_comment,
      sym_block_comment,
    STATE(14339), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [225981] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8242), 1,
      anon_sym_LPAREN,
    ACTIONS(8244), 1,
      sym_operator_identifier,
    STATE(11052), 1,
      sym__simple_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11526), 1,
      sym__annotated_type,
    STATE(11720), 1,
      sym_identifier,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(14694), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(17247), 1,
      sym__constructor_application,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17376), 1,
      sym_template_body,
    STATE(4289), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226067] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8252), 1,
      anon_sym_LBRACK,
    ACTIONS(8254), 1,
      anon_sym_AT,
    ACTIONS(8256), 1,
      anon_sym_LPAREN,
    ACTIONS(8258), 1,
      anon_sym_POUND,
    STATE(4686), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4910), 1,
      sym_type_arguments,
    STATE(5130), 1,
      sym_annotation,
    STATE(6238), 1,
      sym_arguments,
    STATE(4290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [226131] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8186), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(14867), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4291), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226217] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8262), 1,
      anon_sym_COLON,
    ACTIONS(8264), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_with,
    STATE(4294), 1,
      aux_sym_compound_type_repeat1,
    STATE(7194), 1,
      sym__refinement,
    STATE(7195), 1,
      sym_template_body,
    STATE(4292), 2,
      sym_comment,
      sym_block_comment,
    STATE(6882), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [226279] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8186), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(14867), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4293), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226365] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8262), 1,
      anon_sym_COLON,
    ACTIONS(8264), 1,
      anon_sym_LBRACE,
    ACTIONS(8268), 1,
      anon_sym_with,
    STATE(4939), 1,
      aux_sym_compound_type_repeat1,
    STATE(7183), 1,
      sym__refinement,
    STATE(7195), 1,
      sym_template_body,
    STATE(4294), 2,
      sym_comment,
      sym_block_comment,
    STATE(6882), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [226427] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8242), 1,
      anon_sym_LPAREN,
    ACTIONS(8244), 1,
      sym_operator_identifier,
    STATE(11052), 1,
      sym__simple_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11663), 1,
      sym__annotated_type,
    STATE(11720), 1,
      sym_identifier,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(14716), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(17247), 1,
      sym__constructor_application,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17376), 1,
      sym_template_body,
    STATE(4295), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226513] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8270), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(14942), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4296), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226599] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8270), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(14942), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4297), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [226685] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8132), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_POUND,
    ACTIONS(8272), 1,
      anon_sym_AT,
    STATE(4484), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4525), 1,
      sym_type_arguments,
    STATE(4970), 1,
      sym_annotation,
    STATE(4298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [226745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [226791] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      sym_operator_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11357), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11471), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(14183), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4300), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [226877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [226923] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8216), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4302), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [227055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [227101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [227147] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(8242), 1,
      anon_sym_LPAREN,
    ACTIONS(8244), 1,
      sym_operator_identifier,
    ACTIONS(8284), 1,
      anon_sym_COLON,
    ACTIONS(8286), 1,
      anon_sym_LBRACE,
    STATE(11315), 1,
      sym__simple_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11549), 1,
      sym__annotated_type,
    STATE(11720), 1,
      sym_identifier,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(13699), 1,
      sym__constructor_application,
    STATE(13924), 1,
      sym_compound_type,
    STATE(14027), 1,
      sym__constructor_applications,
    STATE(14081), 1,
      sym__structural_type,
    STATE(14088), 1,
      sym_template_body,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(4306), 2,
      sym_comment,
      sym_block_comment,
    STATE(14010), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227233] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8288), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(14924), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4307), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227319] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8288), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(14924), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4308), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [227451] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8292), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4310), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [227583] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      sym_operator_identifier,
    ACTIONS(8296), 1,
      anon_sym_COLON,
    ACTIONS(8298), 1,
      anon_sym_LBRACE,
    STATE(11233), 1,
      sym__simple_type,
    STATE(11357), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11735), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(13678), 1,
      sym__constructor_application,
    STATE(13905), 1,
      sym_compound_type,
    STATE(14022), 1,
      sym__structural_type,
    STATE(14050), 1,
      sym__constructor_applications,
    STATE(14066), 1,
      sym_template_body,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(4312), 2,
      sym_comment,
      sym_block_comment,
    STATE(14038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [227669] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8300), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4313), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227755] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8302), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4314), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227841] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8304), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4315), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [227927] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8306), 1,
      anon_sym_LBRACK,
    ACTIONS(8308), 1,
      anon_sym_LPAREN,
    ACTIONS(8310), 1,
      anon_sym_POUND,
    STATE(4542), 1,
      aux_sym_annotation_repeat1,
    STATE(4662), 1,
      sym_type_arguments,
    STATE(4873), 1,
      sym_arguments,
    STATE(4316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [227987] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8312), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4317), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228073] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8314), 1,
      anon_sym_with,
    STATE(4441), 1,
      aux_sym_compound_type_repeat1,
    STATE(6232), 1,
      sym_arguments,
    STATE(6584), 1,
      sym__refinement,
    STATE(6587), 1,
      sym_template_body,
    STATE(4318), 2,
      sym_comment,
      sym_block_comment,
    STATE(6317), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228133] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8034), 1,
      anon_sym_LBRACE,
    ACTIONS(8038), 1,
      sym__indent,
    ACTIONS(8052), 1,
      anon_sym_def,
    STATE(4357), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8644), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(14079), 1,
      sym__function_declaration,
    STATE(17306), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4319), 2,
      sym_comment,
      sym_block_comment,
    STATE(14214), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228219] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8316), 1,
      anon_sym_LBRACK,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    ACTIONS(8320), 1,
      anon_sym_POUND,
    STATE(4465), 1,
      aux_sym_annotation_repeat1,
    STATE(4681), 1,
      sym_type_arguments,
    STATE(4817), 1,
      sym_arguments,
    STATE(4320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228279] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(8242), 1,
      anon_sym_LPAREN,
    ACTIONS(8244), 1,
      sym_operator_identifier,
    ACTIONS(8284), 1,
      anon_sym_COLON,
    ACTIONS(8286), 1,
      anon_sym_LBRACE,
    STATE(11315), 1,
      sym__simple_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11549), 1,
      sym__annotated_type,
    STATE(11720), 1,
      sym_identifier,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(13647), 1,
      sym__constructor_application,
    STATE(13924), 1,
      sym_compound_type,
    STATE(14027), 1,
      sym__constructor_applications,
    STATE(14081), 1,
      sym__structural_type,
    STATE(14088), 1,
      sym_template_body,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(4321), 2,
      sym_comment,
      sym_block_comment,
    STATE(14010), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228365] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8322), 1,
      anon_sym_LBRACK,
    ACTIONS(8324), 1,
      anon_sym_AT,
    ACTIONS(8326), 1,
      anon_sym_LPAREN,
    ACTIONS(8328), 1,
      anon_sym_POUND,
    STATE(4724), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4805), 1,
      sym_type_arguments,
    STATE(5283), 1,
      sym_annotation,
    STATE(6232), 1,
      sym_arguments,
    STATE(4322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228429] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8330), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4323), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228515] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8332), 1,
      anon_sym_LBRACK,
    ACTIONS(8334), 1,
      anon_sym_LPAREN,
    ACTIONS(8336), 1,
      anon_sym_POUND,
    STATE(4495), 1,
      aux_sym_annotation_repeat1,
    STATE(4579), 1,
      sym_type_arguments,
    STATE(4925), 1,
      sym_arguments,
    STATE(4324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228575] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8200), 1,
      anon_sym_LBRACK,
    ACTIONS(8206), 1,
      anon_sym_POUND,
    ACTIONS(8338), 1,
      anon_sym_LPAREN,
    STATE(4554), 1,
      aux_sym_annotation_repeat1,
    STATE(4649), 1,
      sym_type_arguments,
    STATE(4914), 1,
      sym_arguments,
    STATE(4325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [228635] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8340), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4326), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [228767] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [228813] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8346), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4329), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [228899] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      sym_operator_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11357), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11620), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(14183), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4330), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [228985] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8348), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4331), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229071] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(4347), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8447), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(14134), 1,
      sym__function_declaration,
    STATE(17859), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4332), 2,
      sym_comment,
      sym_block_comment,
    STATE(14653), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229157] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8350), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4333), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229243] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8447), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9782), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(14134), 1,
      sym__function_declaration,
    STATE(17859), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4334), 2,
      sym_comment,
      sym_block_comment,
    STATE(14655), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229329] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8262), 1,
      anon_sym_COLON,
    ACTIONS(8264), 1,
      anon_sym_LBRACE,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8268), 1,
      anon_sym_with,
    STATE(4294), 1,
      aux_sym_compound_type_repeat1,
    STATE(7194), 1,
      sym__refinement,
    STATE(7195), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4335), 2,
      sym_comment,
      sym_block_comment,
    STATE(6882), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 8,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [229397] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8358), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4336), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229483] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8360), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4337), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229569] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8362), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15225), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4338), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229655] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8034), 1,
      anon_sym_LBRACE,
    ACTIONS(8038), 1,
      sym__indent,
    ACTIONS(8052), 1,
      anon_sym_def,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8644), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9782), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(14079), 1,
      sym__function_declaration,
    STATE(17306), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4339), 2,
      sym_comment,
      sym_block_comment,
    STATE(14186), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229741] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8362), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15225), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4340), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [229827] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8364), 1,
      anon_sym_with,
    STATE(4427), 1,
      aux_sym_compound_type_repeat1,
    STATE(6238), 1,
      sym_arguments,
    STATE(6342), 1,
      sym_template_body,
    STATE(6347), 1,
      sym__refinement,
    STATE(4341), 2,
      sym_comment,
      sym_block_comment,
    STATE(6257), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [229887] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8366), 1,
      sym__alpha_identifier,
    ACTIONS(8368), 1,
      anon_sym_COLON,
    ACTIONS(8370), 1,
      anon_sym_LBRACE,
    ACTIONS(8372), 1,
      anon_sym__,
    ACTIONS(8376), 1,
      anon_sym_LPAREN,
    ACTIONS(8378), 1,
      sym__backquoted_id,
    ACTIONS(8380), 1,
      sym_operator_identifier,
    STATE(10697), 1,
      sym__simple_type,
    STATE(11087), 1,
      sym__annotated_type,
    STATE(11589), 1,
      sym__soft_identifier,
    STATE(11719), 1,
      sym_identifier,
    STATE(12315), 1,
      sym__constructor_application,
    STATE(12981), 1,
      sym_compound_type,
    STATE(13112), 1,
      sym__structural_type,
    STATE(13147), 1,
      sym_annotated_type,
    STATE(13307), 1,
      sym_template_body,
    STATE(13398), 1,
      sym__constructor_applications,
    STATE(16855), 1,
      sym_stable_identifier,
    STATE(4342), 2,
      sym_comment,
      sym_block_comment,
    STATE(13028), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12119), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [229973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 33,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_do,
  [230019] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8362), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4344), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230105] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      sym_operator_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11146), 1,
      sym__annotated_type,
    STATE(11357), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(14272), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4345), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230191] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(8388), 1,
      sym__interpolated_multiline_string_start,
    STATE(5620), 1,
      sym_interpolated_string,
    STATE(15336), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [230249] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8447), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9782), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(14134), 1,
      sym__function_declaration,
    STATE(17859), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4347), 2,
      sym_comment,
      sym_block_comment,
    STATE(14686), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230335] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      sym_operator_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11177), 1,
      sym__annotated_type,
    STATE(11357), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(14380), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4348), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230421] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8246), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15039), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4349), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230507] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8082), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15213), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4350), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230593] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8082), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15213), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4351), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230679] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8034), 1,
      anon_sym_LBRACE,
    ACTIONS(8036), 1,
      anon_sym_def,
    ACTIONS(8038), 1,
      sym__indent,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8677), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9782), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(13944), 1,
      sym__function_declaration,
    STATE(17349), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4352), 2,
      sym_comment,
      sym_block_comment,
    STATE(14339), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [230765] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      sym_operator_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11261), 1,
      sym__annotated_type,
    STATE(11357), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(14183), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4353), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230851] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      sym_operator_identifier,
    ACTIONS(8296), 1,
      anon_sym_COLON,
    ACTIONS(8298), 1,
      anon_sym_LBRACE,
    STATE(11233), 1,
      sym__simple_type,
    STATE(11357), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11735), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(13696), 1,
      sym__constructor_application,
    STATE(13905), 1,
      sym_compound_type,
    STATE(14022), 1,
      sym__structural_type,
    STATE(14050), 1,
      sym__constructor_applications,
    STATE(14066), 1,
      sym_template_body,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(4354), 2,
      sym_comment,
      sym_block_comment,
    STATE(14038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [230937] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8034), 1,
      anon_sym_LBRACE,
    ACTIONS(8036), 1,
      anon_sym_def,
    ACTIONS(8038), 1,
      sym__indent,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8677), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9782), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(13944), 1,
      sym__function_declaration,
    STATE(17349), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4355), 2,
      sym_comment,
      sym_block_comment,
    STATE(14186), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231023] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8034), 1,
      anon_sym_LBRACE,
    ACTIONS(8036), 1,
      anon_sym_def,
    ACTIONS(8038), 1,
      sym__indent,
    STATE(4352), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8677), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(13944), 1,
      sym__function_declaration,
    STATE(17349), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4356), 2,
      sym_comment,
      sym_block_comment,
    STATE(14214), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231109] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8034), 1,
      anon_sym_LBRACE,
    ACTIONS(8038), 1,
      sym__indent,
    ACTIONS(8052), 1,
      anon_sym_def,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8644), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9782), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(14079), 1,
      sym__function_declaration,
    STATE(17306), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4357), 2,
      sym_comment,
      sym_block_comment,
    STATE(14339), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231195] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      sym_operator_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11357), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11478), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(14380), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4358), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231281] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8390), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4359), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231367] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8392), 1,
      sym__alpha_identifier,
    ACTIONS(8394), 1,
      anon_sym_COLON,
    ACTIONS(8396), 1,
      anon_sym_LBRACE,
    ACTIONS(8398), 1,
      anon_sym__,
    ACTIONS(8402), 1,
      anon_sym_LPAREN,
    ACTIONS(8404), 1,
      sym__backquoted_id,
    ACTIONS(8406), 1,
      sym_operator_identifier,
    STATE(11924), 1,
      sym__simple_type,
    STATE(12374), 1,
      sym__annotated_type,
    STATE(13157), 1,
      sym__soft_identifier,
    STATE(13201), 1,
      sym_identifier,
    STATE(13729), 1,
      sym__constructor_application,
    STATE(13865), 1,
      sym_compound_type,
    STATE(14101), 1,
      sym__structural_type,
    STATE(14115), 1,
      sym_template_body,
    STATE(14118), 1,
      sym_annotated_type,
    STATE(14246), 1,
      sym__constructor_applications,
    STATE(16588), 1,
      sym_stable_identifier,
    STATE(4360), 2,
      sym_comment,
      sym_block_comment,
    STATE(14026), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8400), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13461), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [231453] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8180), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15086), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4361), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231539] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8408), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4362), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231625] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8447), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9782), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(13938), 1,
      sym__function_declaration,
    STATE(17859), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4363), 2,
      sym_comment,
      sym_block_comment,
    STATE(14686), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231711] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8410), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4364), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231797] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8447), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9782), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(13938), 1,
      sym__function_declaration,
    STATE(17859), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4365), 2,
      sym_comment,
      sym_block_comment,
    STATE(14655), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231883] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8010), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8016), 1,
      anon_sym_def,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8032), 1,
      sym__indent,
    STATE(4363), 1,
      aux_sym_extension_definition_repeat1,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8447), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(13938), 1,
      sym__function_declaration,
    STATE(17859), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4366), 2,
      sym_comment,
      sym_block_comment,
    STATE(14653), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [231969] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8412), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4367), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232055] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8216), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15122), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4368), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232141] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8030), 1,
      anon_sym_LPAREN,
    ACTIONS(8034), 1,
      anon_sym_LBRACE,
    ACTIONS(8036), 1,
      anon_sym_def,
    ACTIONS(8038), 1,
      sym__indent,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(8677), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9782), 1,
      aux_sym_extension_definition_repeat1,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(14024), 1,
      sym__function_declaration,
    STATE(17349), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4369), 2,
      sym_comment,
      sym_block_comment,
    STATE(14186), 3,
      sym__extension_template_body,
      sym_function_definition,
      sym_function_declaration,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232227] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8242), 1,
      anon_sym_LPAREN,
    ACTIONS(8244), 1,
      sym_operator_identifier,
    STATE(11052), 1,
      sym__simple_type,
    STATE(11266), 1,
      sym__annotated_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11720), 1,
      sym_identifier,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(14716), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(17247), 1,
      sym__constructor_application,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17376), 1,
      sym_template_body,
    STATE(4370), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [232313] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      sym_operator_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11357), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11728), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(14380), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4371), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [232399] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8162), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15830), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4372), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232485] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8242), 1,
      anon_sym_LPAREN,
    ACTIONS(8244), 1,
      sym_operator_identifier,
    STATE(11052), 1,
      sym__simple_type,
    STATE(11262), 1,
      sym__annotated_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11720), 1,
      sym_identifier,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(14694), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(17247), 1,
      sym__constructor_application,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17376), 1,
      sym_template_body,
    STATE(4373), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [232571] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8242), 1,
      anon_sym_LPAREN,
    ACTIONS(8244), 1,
      sym_operator_identifier,
    STATE(11052), 1,
      sym__simple_type,
    STATE(11257), 1,
      sym__annotated_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11720), 1,
      sym_identifier,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(14646), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(17247), 1,
      sym__constructor_application,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17376), 1,
      sym_template_body,
    STATE(4374), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [232657] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8162), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15830), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4375), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232743] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8180), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15086), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4376), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232829] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8414), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4377), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [232915] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(8240), 1,
      anon_sym_COLON,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      sym_operator_identifier,
    STATE(10665), 1,
      sym__simple_type,
    STATE(11357), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11475), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(14272), 1,
      sym__structural_instance,
    STATE(15240), 1,
      sym_compound_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(17345), 1,
      sym__structural_type,
    STATE(17367), 1,
      sym__constructor_application,
    STATE(17376), 1,
      sym_template_body,
    STATE(4378), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233001] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8288), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4379), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [233087] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    ACTIONS(8246), 1,
      anon_sym_RPAREN,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15039), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4380), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [233173] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8366), 1,
      sym__alpha_identifier,
    ACTIONS(8368), 1,
      anon_sym_COLON,
    ACTIONS(8370), 1,
      anon_sym_LBRACE,
    ACTIONS(8372), 1,
      anon_sym__,
    ACTIONS(8376), 1,
      anon_sym_LPAREN,
    ACTIONS(8378), 1,
      sym__backquoted_id,
    ACTIONS(8380), 1,
      sym_operator_identifier,
    STATE(10697), 1,
      sym__simple_type,
    STATE(11087), 1,
      sym__annotated_type,
    STATE(11589), 1,
      sym__soft_identifier,
    STATE(11719), 1,
      sym_identifier,
    STATE(12981), 1,
      sym_compound_type,
    STATE(13112), 1,
      sym__structural_type,
    STATE(13147), 1,
      sym_annotated_type,
    STATE(13307), 1,
      sym_template_body,
    STATE(13422), 1,
      sym__constructor_application,
    STATE(16855), 1,
      sym_stable_identifier,
    STATE(4381), 2,
      sym_comment,
      sym_block_comment,
    STATE(13028), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12119), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233256] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8366), 1,
      sym__alpha_identifier,
    ACTIONS(8372), 1,
      anon_sym__,
    ACTIONS(8376), 1,
      anon_sym_LPAREN,
    ACTIONS(8378), 1,
      sym__backquoted_id,
    ACTIONS(8380), 1,
      sym_operator_identifier,
    ACTIONS(8416), 1,
      anon_sym_COLON,
    ACTIONS(8418), 1,
      anon_sym_LBRACE,
    STATE(10666), 1,
      sym__simple_type,
    STATE(11110), 1,
      sym__annotated_type,
    STATE(11589), 1,
      sym__soft_identifier,
    STATE(11719), 1,
      sym_identifier,
    STATE(13147), 1,
      sym_annotated_type,
    STATE(13305), 1,
      sym_compound_type,
    STATE(13335), 1,
      sym__structural_type,
    STATE(13421), 1,
      sym__constructor_application,
    STATE(13539), 1,
      sym_template_body,
    STATE(16855), 1,
      sym_stable_identifier,
    STATE(4382), 2,
      sym_comment,
      sym_block_comment,
    STATE(13463), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12119), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233339] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(8204), 1,
      anon_sym_LPAREN,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8428), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(8436), 1,
      sym_operator_identifier,
    STATE(1795), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4383), 2,
      sym_comment,
      sym_block_comment,
    STATE(5628), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8426), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [233410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233457] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8438), 1,
      anon_sym_COLON,
    ACTIONS(8440), 1,
      anon_sym_LBRACE,
    ACTIONS(8442), 1,
      anon_sym_with,
    STATE(5168), 1,
      aux_sym_compound_type_repeat1,
    STATE(7417), 1,
      sym_template_body,
    STATE(7461), 1,
      sym__refinement,
    STATE(4385), 2,
      sym_comment,
      sym_block_comment,
    STATE(8075), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233518] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8444), 1,
      anon_sym_LBRACK,
    ACTIONS(8446), 1,
      anon_sym_LPAREN,
    ACTIONS(8448), 1,
      anon_sym_POUND,
    STATE(4628), 1,
      aux_sym_annotation_repeat1,
    STATE(4779), 1,
      sym_type_arguments,
    STATE(5395), 1,
      sym_arguments,
    STATE(4386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [233624] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6314), 1,
      anon_sym_COLON,
    ACTIONS(6316), 1,
      anon_sym_LBRACE,
    ACTIONS(8450), 1,
      sym__alpha_identifier,
    ACTIONS(8452), 1,
      anon_sym__,
    ACTIONS(8456), 1,
      anon_sym_LPAREN,
    ACTIONS(8458), 1,
      sym__backquoted_id,
    ACTIONS(8460), 1,
      sym_operator_identifier,
    STATE(4588), 1,
      sym__simple_type,
    STATE(4646), 1,
      sym__annotated_type,
    STATE(6013), 1,
      sym__constructor_application,
    STATE(6228), 1,
      sym_identifier,
    STATE(6368), 1,
      sym__soft_identifier,
    STATE(7415), 1,
      sym_annotated_type,
    STATE(7838), 1,
      sym_compound_type,
    STATE(8264), 1,
      sym__structural_type,
    STATE(8345), 1,
      sym_template_body,
    STATE(17212), 1,
      sym_stable_identifier,
    STATE(4388), 2,
      sym_comment,
      sym_block_comment,
    STATE(8202), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6097), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233707] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6336), 1,
      anon_sym_COLON,
    ACTIONS(6338), 1,
      anon_sym_LBRACE,
    ACTIONS(8462), 1,
      sym__alpha_identifier,
    ACTIONS(8464), 1,
      anon_sym__,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      sym__backquoted_id,
    ACTIONS(8472), 1,
      sym_operator_identifier,
    STATE(5105), 1,
      sym__annotated_type,
    STATE(5122), 1,
      sym__simple_type,
    STATE(7433), 1,
      sym_identifier,
    STATE(7465), 1,
      sym__soft_identifier,
    STATE(8040), 1,
      sym__constructor_application,
    STATE(8831), 1,
      sym_compound_type,
    STATE(9143), 1,
      sym_annotated_type,
    STATE(9390), 1,
      sym_template_body,
    STATE(9488), 1,
      sym__structural_type,
    STATE(16732), 1,
      sym_stable_identifier,
    STATE(4389), 2,
      sym_comment,
      sym_block_comment,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7466), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233790] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6242), 1,
      anon_sym_COLON,
    ACTIONS(6244), 1,
      anon_sym_LBRACE,
    ACTIONS(8474), 1,
      sym__alpha_identifier,
    ACTIONS(8476), 1,
      anon_sym__,
    ACTIONS(8480), 1,
      anon_sym_LPAREN,
    ACTIONS(8482), 1,
      sym__backquoted_id,
    ACTIONS(8484), 1,
      sym_operator_identifier,
    STATE(4497), 1,
      sym__annotated_type,
    STATE(4513), 1,
      sym__simple_type,
    STATE(5534), 1,
      sym_identifier,
    STATE(5673), 1,
      sym__constructor_application,
    STATE(5677), 1,
      sym__soft_identifier,
    STATE(6815), 1,
      sym_annotated_type,
    STATE(6973), 1,
      sym_compound_type,
    STATE(7517), 1,
      sym_template_body,
    STATE(8064), 1,
      sym__structural_type,
    STATE(17134), 1,
      sym_stable_identifier,
    STATE(4390), 2,
      sym_comment,
      sym_block_comment,
    STATE(7718), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8478), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5554), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [233873] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8494), 1,
      anon_sym_inline,
    ACTIONS(8497), 1,
      anon_sym_infix,
    ACTIONS(8500), 1,
      anon_sym_open,
    ACTIONS(8503), 1,
      anon_sym_transparent,
    ACTIONS(8506), 1,
      sym__backquoted_id,
    ACTIONS(8491), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(4391), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_modifiers_repeat1,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8488), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(8486), 13,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      sym__alpha_identifier,
      sym_operator_identifier,
  [233934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8510), 1,
      anon_sym_DOT,
    STATE(4392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [233983] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8512), 1,
      sym__alpha_identifier,
    ACTIONS(8514), 1,
      anon_sym_COLON,
    ACTIONS(8516), 1,
      anon_sym_LBRACE,
    ACTIONS(8518), 1,
      anon_sym__,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      sym__backquoted_id,
    ACTIONS(8526), 1,
      sym_operator_identifier,
    STATE(4290), 1,
      sym__simple_type,
    STATE(4341), 1,
      sym__annotated_type,
    STATE(4746), 1,
      sym_identifier,
    STATE(4880), 1,
      sym__soft_identifier,
    STATE(4938), 1,
      sym__constructor_application,
    STATE(5729), 1,
      sym_compound_type,
    STATE(5731), 1,
      sym_annotated_type,
    STATE(6258), 1,
      sym__structural_type,
    STATE(6621), 1,
      sym_template_body,
    STATE(17116), 1,
      sym_stable_identifier,
    STATE(4393), 2,
      sym_comment,
      sym_block_comment,
    STATE(6257), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4911), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234066] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      sym_operator_identifier,
    STATE(9231), 1,
      sym_compound_type,
    STATE(9495), 1,
      sym__structural_type,
    STATE(10721), 1,
      sym_template_body,
    STATE(11291), 1,
      sym__simple_type,
    STATE(11357), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11614), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(14231), 1,
      sym__constructor_application,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(4394), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234149] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      sym_operator_identifier,
    ACTIONS(8296), 1,
      anon_sym_COLON,
    ACTIONS(8298), 1,
      anon_sym_LBRACE,
    STATE(11233), 1,
      sym__simple_type,
    STATE(11357), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11735), 1,
      sym__annotated_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(13905), 1,
      sym_compound_type,
    STATE(14022), 1,
      sym__structural_type,
    STATE(14066), 1,
      sym_template_body,
    STATE(14128), 1,
      sym__constructor_application,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(4395), 2,
      sym_comment,
      sym_block_comment,
    STATE(14038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234232] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8528), 1,
      sym__alpha_identifier,
    ACTIONS(8530), 1,
      anon_sym_COLON,
    ACTIONS(8532), 1,
      anon_sym_LBRACE,
    ACTIONS(8534), 1,
      anon_sym__,
    ACTIONS(8538), 1,
      anon_sym_LPAREN,
    ACTIONS(8540), 1,
      sym__backquoted_id,
    ACTIONS(8542), 1,
      sym_operator_identifier,
    STATE(4480), 1,
      sym__annotated_type,
    STATE(4539), 1,
      sym__simple_type,
    STATE(5587), 1,
      sym__constructor_application,
    STATE(5705), 1,
      sym_identifier,
    STATE(5788), 1,
      sym__soft_identifier,
    STATE(6887), 1,
      sym_annotated_type,
    STATE(6893), 1,
      sym_compound_type,
    STATE(7621), 1,
      sym_template_body,
    STATE(7885), 1,
      sym__structural_type,
    STATE(16988), 1,
      sym_stable_identifier,
    STATE(4396), 2,
      sym_comment,
      sym_block_comment,
    STATE(7872), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8536), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5821), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234315] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8392), 1,
      sym__alpha_identifier,
    ACTIONS(8398), 1,
      anon_sym__,
    ACTIONS(8402), 1,
      anon_sym_LPAREN,
    ACTIONS(8404), 1,
      sym__backquoted_id,
    ACTIONS(8406), 1,
      sym_operator_identifier,
    ACTIONS(8544), 1,
      anon_sym_COLON,
    ACTIONS(8546), 1,
      anon_sym_LBRACE,
    STATE(11926), 1,
      sym__simple_type,
    STATE(12537), 1,
      sym__annotated_type,
    STATE(13157), 1,
      sym__soft_identifier,
    STATE(13201), 1,
      sym_identifier,
    STATE(14049), 1,
      sym_compound_type,
    STATE(14118), 1,
      sym_annotated_type,
    STATE(14241), 1,
      sym__constructor_application,
    STATE(14298), 1,
      sym_template_body,
    STATE(14358), 1,
      sym__structural_type,
    STATE(16588), 1,
      sym_stable_identifier,
    STATE(4397), 2,
      sym_comment,
      sym_block_comment,
    STATE(14360), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8400), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13461), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234398] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(8076), 1,
      sym_operator_identifier,
    STATE(4531), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12142), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14506), 1,
      sym_identifier,
    STATE(15983), 1,
      sym_class_parameter,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(8058), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4398), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [234481] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8252), 1,
      anon_sym_LBRACK,
    ACTIONS(8254), 1,
      anon_sym_AT,
    ACTIONS(8258), 1,
      anon_sym_POUND,
    STATE(4686), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4910), 1,
      sym_type_arguments,
    STATE(5130), 1,
      sym_annotation,
    STATE(4399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234540] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8252), 1,
      anon_sym_LBRACK,
    ACTIONS(8258), 1,
      anon_sym_POUND,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    STATE(4577), 1,
      aux_sym_annotation_repeat1,
    STATE(4910), 1,
      sym_type_arguments,
    STATE(5252), 1,
      sym_arguments,
    STATE(4400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234599] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4938), 1,
      anon_sym_COLON,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
    ACTIONS(8550), 1,
      sym__alpha_identifier,
    ACTIONS(8552), 1,
      anon_sym__,
    ACTIONS(8556), 1,
      anon_sym_LPAREN,
    ACTIONS(8558), 1,
      sym__backquoted_id,
    ACTIONS(8560), 1,
      sym_operator_identifier,
    STATE(5092), 1,
      sym__annotated_type,
    STATE(5110), 1,
      sym__simple_type,
    STATE(7438), 1,
      sym__soft_identifier,
    STATE(7846), 1,
      sym_identifier,
    STATE(7908), 1,
      sym__constructor_application,
    STATE(8790), 1,
      sym_compound_type,
    STATE(8829), 1,
      sym_annotated_type,
    STATE(9397), 1,
      sym__structural_type,
    STATE(9652), 1,
      sym_template_body,
    STATE(16830), 1,
      sym_stable_identifier,
    STATE(4401), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7612), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234682] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8562), 1,
      anon_sym_COLON,
    ACTIONS(8564), 1,
      anon_sym_LBRACE,
    ACTIONS(8566), 1,
      anon_sym_with,
    STATE(5098), 1,
      aux_sym_compound_type_repeat1,
    STATE(7730), 1,
      sym_template_body,
    STATE(8000), 1,
      sym__refinement,
    STATE(4402), 2,
      sym_comment,
      sym_block_comment,
    STATE(7975), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [234743] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8568), 1,
      anon_sym_LBRACK,
    ACTIONS(8570), 1,
      anon_sym_AT,
    ACTIONS(8572), 1,
      anon_sym_LPAREN,
    ACTIONS(8574), 1,
      anon_sym_POUND,
    STATE(4890), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5340), 1,
      sym_type_arguments,
    STATE(5540), 1,
      sym_annotation,
    STATE(6763), 1,
      sym_arguments,
    STATE(4403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [234806] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6142), 1,
      anon_sym_COLON,
    ACTIONS(6144), 1,
      anon_sym_LBRACE,
    ACTIONS(8576), 1,
      sym__alpha_identifier,
    ACTIONS(8578), 1,
      anon_sym__,
    ACTIONS(8582), 1,
      anon_sym_LPAREN,
    ACTIONS(8584), 1,
      sym__backquoted_id,
    ACTIONS(8586), 1,
      sym_operator_identifier,
    STATE(5403), 1,
      sym__simple_type,
    STATE(5434), 1,
      sym__annotated_type,
    STATE(7425), 1,
      sym__soft_identifier,
    STATE(7849), 1,
      sym__constructor_application,
    STATE(8024), 1,
      sym_identifier,
    STATE(9222), 1,
      sym_compound_type,
    STATE(9314), 1,
      sym_annotated_type,
    STATE(9512), 1,
      sym__structural_type,
    STATE(9692), 1,
      sym_template_body,
    STATE(17086), 1,
      sym_stable_identifier,
    STATE(4404), 2,
      sym_comment,
      sym_block_comment,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8580), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234889] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8588), 1,
      sym__alpha_identifier,
    ACTIONS(8590), 1,
      anon_sym_COLON,
    ACTIONS(8592), 1,
      anon_sym_LBRACE,
    ACTIONS(8594), 1,
      anon_sym__,
    ACTIONS(8598), 1,
      anon_sym_LPAREN,
    ACTIONS(8600), 1,
      sym__backquoted_id,
    ACTIONS(8602), 1,
      sym_operator_identifier,
    STATE(4318), 1,
      sym__annotated_type,
    STATE(4322), 1,
      sym__simple_type,
    STATE(4763), 1,
      sym_identifier,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(4965), 1,
      sym__constructor_application,
    STATE(5473), 1,
      sym_annotated_type,
    STATE(5781), 1,
      sym_compound_type,
    STATE(6018), 1,
      sym_template_body,
    STATE(6205), 1,
      sym__structural_type,
    STATE(16537), 1,
      sym_stable_identifier,
    STATE(4405), 2,
      sym_comment,
      sym_block_comment,
    STATE(6317), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8596), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4996), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [234972] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8604), 1,
      anon_sym_COLON,
    ACTIONS(8606), 1,
      anon_sym_LBRACE,
    ACTIONS(8608), 1,
      anon_sym_with,
    STATE(4457), 1,
      aux_sym_compound_type_repeat1,
    STATE(7762), 1,
      sym__refinement,
    STATE(7765), 1,
      sym_template_body,
    STATE(4406), 2,
      sym_comment,
      sym_block_comment,
    STATE(7513), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235033] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8610), 1,
      anon_sym_with,
    STATE(4475), 1,
      aux_sym_compound_type_repeat1,
    STATE(6701), 1,
      sym_template_body,
    STATE(6702), 1,
      sym__refinement,
    STATE(6763), 1,
      sym_arguments,
    STATE(4407), 2,
      sym_comment,
      sym_block_comment,
    STATE(7351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [235092] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(8242), 1,
      anon_sym_LPAREN,
    ACTIONS(8244), 1,
      sym_operator_identifier,
    STATE(8500), 1,
      sym_compound_type,
    STATE(9225), 1,
      sym__structural_type,
    STATE(11320), 1,
      sym__simple_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11635), 1,
      sym__annotated_type,
    STATE(11720), 1,
      sym_identifier,
    STATE(11922), 1,
      sym_template_body,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(14179), 1,
      sym__constructor_application,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(4408), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235175] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8438), 1,
      anon_sym_COLON,
    ACTIONS(8440), 1,
      anon_sym_LBRACE,
    ACTIONS(8442), 1,
      anon_sym_with,
    STATE(4385), 1,
      aux_sym_compound_type_repeat1,
    STATE(7417), 1,
      sym_template_body,
    STATE(7436), 1,
      sym__refinement,
    STATE(4409), 2,
      sym_comment,
      sym_block_comment,
    STATE(8075), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235236] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235285] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(8242), 1,
      anon_sym_LPAREN,
    ACTIONS(8244), 1,
      sym_operator_identifier,
    ACTIONS(8284), 1,
      anon_sym_COLON,
    ACTIONS(8286), 1,
      anon_sym_LBRACE,
    STATE(11315), 1,
      sym__simple_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11549), 1,
      sym__annotated_type,
    STATE(11720), 1,
      sym_identifier,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(13924), 1,
      sym_compound_type,
    STATE(14081), 1,
      sym__structural_type,
    STATE(14088), 1,
      sym_template_body,
    STATE(14152), 1,
      sym__constructor_application,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(4411), 2,
      sym_comment,
      sym_block_comment,
    STATE(14010), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235368] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8612), 1,
      anon_sym_LBRACK,
    ACTIONS(8614), 1,
      anon_sym_AT,
    ACTIONS(8616), 1,
      anon_sym_LPAREN,
    ACTIONS(8618), 1,
      anon_sym_POUND,
    STATE(4968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5388), 1,
      sym_type_arguments,
    STATE(5484), 1,
      sym_annotation,
    STATE(7332), 1,
      sym_arguments,
    STATE(4412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235431] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6556), 1,
      anon_sym_COLON,
    ACTIONS(6558), 1,
      anon_sym_LBRACE,
    ACTIONS(8620), 1,
      sym__alpha_identifier,
    ACTIONS(8622), 1,
      anon_sym__,
    ACTIONS(8626), 1,
      anon_sym_LPAREN,
    ACTIONS(8628), 1,
      sym__backquoted_id,
    ACTIONS(8630), 1,
      sym_operator_identifier,
    STATE(4593), 1,
      sym__annotated_type,
    STATE(4629), 1,
      sym__simple_type,
    STATE(6111), 1,
      sym__constructor_application,
    STATE(6468), 1,
      sym_identifier,
    STATE(6596), 1,
      sym__soft_identifier,
    STATE(7556), 1,
      sym_annotated_type,
    STATE(7727), 1,
      sym_compound_type,
    STATE(8343), 1,
      sym__structural_type,
    STATE(8468), 1,
      sym_template_body,
    STATE(16224), 1,
      sym_stable_identifier,
    STATE(4413), 2,
      sym_comment,
      sym_block_comment,
    STATE(8477), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6224), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235514] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8332), 1,
      anon_sym_LBRACK,
    ACTIONS(8336), 1,
      anon_sym_POUND,
    ACTIONS(8632), 1,
      anon_sym_AT,
    STATE(4579), 1,
      sym_type_arguments,
    STATE(4692), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5424), 1,
      sym_annotation,
    STATE(4414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [235620] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8562), 1,
      anon_sym_COLON,
    ACTIONS(8564), 1,
      anon_sym_LBRACE,
    ACTIONS(8566), 1,
      anon_sym_with,
    STATE(4402), 1,
      aux_sym_compound_type_repeat1,
    STATE(7730), 1,
      sym_template_body,
    STATE(7782), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4416), 2,
      sym_comment,
      sym_block_comment,
    STATE(7975), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [235687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 32,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [235732] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6260), 1,
      anon_sym_COLON,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(8636), 1,
      sym__alpha_identifier,
    ACTIONS(8638), 1,
      anon_sym__,
    ACTIONS(8642), 1,
      anon_sym_LPAREN,
    ACTIONS(8644), 1,
      sym__backquoted_id,
    ACTIONS(8646), 1,
      sym_operator_identifier,
    STATE(4483), 1,
      sym__annotated_type,
    STATE(4499), 1,
      sym__simple_type,
    STATE(5708), 1,
      sym__soft_identifier,
    STATE(5751), 1,
      sym__constructor_application,
    STATE(5945), 1,
      sym_identifier,
    STATE(6749), 1,
      sym_compound_type,
    STATE(7048), 1,
      sym_annotated_type,
    STATE(7409), 1,
      sym_template_body,
    STATE(7576), 1,
      sym__structural_type,
    STATE(17056), 1,
      sym_stable_identifier,
    STATE(4418), 2,
      sym_comment,
      sym_block_comment,
    STATE(7631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5629), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235815] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8648), 1,
      sym__alpha_identifier,
    ACTIONS(8650), 1,
      anon_sym_COLON,
    ACTIONS(8652), 1,
      anon_sym_LBRACE,
    ACTIONS(8654), 1,
      anon_sym__,
    ACTIONS(8658), 1,
      anon_sym_LPAREN,
    ACTIONS(8660), 1,
      sym__backquoted_id,
    ACTIONS(8662), 1,
      sym_operator_identifier,
    STATE(7570), 1,
      sym__simple_type,
    STATE(7916), 1,
      sym__annotated_type,
    STATE(9956), 1,
      sym__constructor_application,
    STATE(9961), 1,
      sym_identifier,
    STATE(10115), 1,
      sym__soft_identifier,
    STATE(10534), 1,
      sym_annotated_type,
    STATE(10604), 1,
      sym_compound_type,
    STATE(10692), 1,
      sym__structural_type,
    STATE(10856), 1,
      sym_template_body,
    STATE(16671), 1,
      sym_stable_identifier,
    STATE(4419), 2,
      sym_comment,
      sym_block_comment,
    STATE(10946), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9819), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [235898] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8664), 1,
      anon_sym_LBRACK,
    ACTIONS(8666), 1,
      anon_sym_LPAREN,
    ACTIONS(8668), 1,
      anon_sym_POUND,
    STATE(4609), 1,
      aux_sym_annotation_repeat1,
    STATE(4794), 1,
      sym_type_arguments,
    STATE(5161), 1,
      sym_arguments,
    STATE(4420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [235957] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8670), 1,
      anon_sym_LBRACK,
    ACTIONS(8672), 1,
      anon_sym_LPAREN,
    ACTIONS(8674), 1,
      anon_sym_POUND,
    STATE(4715), 1,
      aux_sym_annotation_repeat1,
    STATE(5005), 1,
      sym_type_arguments,
    STATE(5148), 1,
      sym_arguments,
    STATE(4421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236016] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(8204), 1,
      anon_sym_LPAREN,
    ACTIONS(8428), 1,
      anon_sym_DOT,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4422), 2,
      sym_comment,
      sym_block_comment,
    STATE(5628), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236077] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6468), 1,
      anon_sym_COLON,
    ACTIONS(6470), 1,
      anon_sym_LBRACE,
    ACTIONS(8680), 1,
      sym__alpha_identifier,
    ACTIONS(8682), 1,
      anon_sym__,
    ACTIONS(8686), 1,
      anon_sym_LPAREN,
    ACTIONS(8688), 1,
      sym__backquoted_id,
    ACTIONS(8690), 1,
      sym_operator_identifier,
    STATE(4801), 1,
      sym__simple_type,
    STATE(4811), 1,
      sym__annotated_type,
    STATE(6759), 1,
      sym_identifier,
    STATE(6767), 1,
      sym__constructor_application,
    STATE(7245), 1,
      sym__soft_identifier,
    STATE(8292), 1,
      sym_annotated_type,
    STATE(8667), 1,
      sym_compound_type,
    STATE(8968), 1,
      sym_template_body,
    STATE(9199), 1,
      sym__structural_type,
    STATE(16801), 1,
      sym_stable_identifier,
    STATE(4423), 2,
      sym_comment,
      sym_block_comment,
    STATE(9303), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7242), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236160] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8692), 1,
      anon_sym_LBRACK,
    ACTIONS(8694), 1,
      anon_sym_AT,
    ACTIONS(8696), 1,
      anon_sym_LPAREN,
    ACTIONS(8698), 1,
      anon_sym_POUND,
    STATE(4999), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5383), 1,
      sym_type_arguments,
    STATE(5577), 1,
      sym_annotation,
    STATE(6860), 1,
      sym_arguments,
    STATE(4424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236223] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6538), 1,
      anon_sym_COLON,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(8700), 1,
      sym__alpha_identifier,
    ACTIONS(8702), 1,
      anon_sym__,
    ACTIONS(8706), 1,
      anon_sym_LPAREN,
    ACTIONS(8708), 1,
      sym__backquoted_id,
    ACTIONS(8710), 1,
      sym_operator_identifier,
    STATE(5301), 1,
      sym__annotated_type,
    STATE(5362), 1,
      sym__simple_type,
    STATE(7460), 1,
      sym__constructor_application,
    STATE(7690), 1,
      sym__soft_identifier,
    STATE(7932), 1,
      sym_identifier,
    STATE(8500), 1,
      sym_compound_type,
    STATE(8926), 1,
      sym_annotated_type,
    STATE(9225), 1,
      sym__structural_type,
    STATE(9626), 1,
      sym_template_body,
    STATE(17012), 1,
      sym_stable_identifier,
    STATE(4425), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7874), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236306] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8712), 1,
      anon_sym_with,
    STATE(4550), 1,
      aux_sym_compound_type_repeat1,
    STATE(7021), 1,
      sym__refinement,
    STATE(7028), 1,
      sym_template_body,
    STATE(7332), 1,
      sym_arguments,
    STATE(4426), 2,
      sym_comment,
      sym_block_comment,
    STATE(6968), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236365] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8364), 1,
      anon_sym_with,
    STATE(5111), 1,
      aux_sym_compound_type_repeat1,
    STATE(6342), 1,
      sym_template_body,
    STATE(6353), 1,
      sym__refinement,
    STATE(4427), 2,
      sym_comment,
      sym_block_comment,
    STATE(6257), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236422] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6358), 1,
      anon_sym_COLON,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(8714), 1,
      sym__alpha_identifier,
    ACTIONS(8716), 1,
      anon_sym__,
    ACTIONS(8720), 1,
      anon_sym_LPAREN,
    ACTIONS(8722), 1,
      sym__backquoted_id,
    ACTIONS(8724), 1,
      sym_operator_identifier,
    STATE(5018), 1,
      sym__annotated_type,
    STATE(5023), 1,
      sym__simple_type,
    STATE(7034), 1,
      sym__constructor_application,
    STATE(7106), 1,
      sym_identifier,
    STATE(7298), 1,
      sym__soft_identifier,
    STATE(8190), 1,
      sym_annotated_type,
    STATE(8359), 1,
      sym_compound_type,
    STATE(8904), 1,
      sym__structural_type,
    STATE(9239), 1,
      sym_template_body,
    STATE(16891), 1,
      sym_stable_identifier,
    STATE(4428), 2,
      sym_comment,
      sym_block_comment,
    STATE(9224), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7227), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236505] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8218), 1,
      sym__alpha_identifier,
    ACTIONS(8220), 1,
      anon_sym_COLON,
    ACTIONS(8222), 1,
      anon_sym_LBRACE,
    ACTIONS(8224), 1,
      anon_sym__,
    ACTIONS(8228), 1,
      anon_sym_LPAREN,
    ACTIONS(8230), 1,
      sym__backquoted_id,
    ACTIONS(8232), 1,
      sym_operator_identifier,
    STATE(10537), 1,
      sym__simple_type,
    STATE(10731), 1,
      sym__annotated_type,
    STATE(11280), 1,
      sym__soft_identifier,
    STATE(11312), 1,
      sym_identifier,
    STATE(12241), 1,
      sym_compound_type,
    STATE(12691), 1,
      sym_template_body,
    STATE(12958), 1,
      sym__structural_type,
    STATE(13003), 1,
      sym_annotated_type,
    STATE(13276), 1,
      sym__constructor_application,
    STATE(16436), 1,
      sym_stable_identifier,
    STATE(4429), 2,
      sym_comment,
      sym_block_comment,
    STATE(12873), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11464), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236588] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8726), 1,
      sym__alpha_identifier,
    ACTIONS(8728), 1,
      anon_sym_COLON,
    ACTIONS(8730), 1,
      anon_sym_LBRACE,
    ACTIONS(8732), 1,
      anon_sym__,
    ACTIONS(8736), 1,
      anon_sym_LPAREN,
    ACTIONS(8738), 1,
      sym__backquoted_id,
    ACTIONS(8740), 1,
      sym_operator_identifier,
    STATE(4263), 1,
      sym__annotated_type,
    STATE(4274), 1,
      sym__simple_type,
    STATE(4564), 1,
      sym__soft_identifier,
    STATE(4592), 1,
      sym_identifier,
    STATE(4657), 1,
      sym__constructor_application,
    STATE(5039), 1,
      sym_annotated_type,
    STATE(5077), 1,
      sym_compound_type,
    STATE(5610), 1,
      sym_template_body,
    STATE(5898), 1,
      sym__structural_type,
    STATE(16690), 1,
      sym_stable_identifier,
    STATE(4430), 2,
      sym_comment,
      sym_block_comment,
    STATE(5727), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8734), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4639), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236671] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8218), 1,
      sym__alpha_identifier,
    ACTIONS(8224), 1,
      anon_sym__,
    ACTIONS(8228), 1,
      anon_sym_LPAREN,
    ACTIONS(8230), 1,
      sym__backquoted_id,
    ACTIONS(8232), 1,
      sym_operator_identifier,
    ACTIONS(8742), 1,
      anon_sym_COLON,
    ACTIONS(8744), 1,
      anon_sym_LBRACE,
    STATE(10593), 1,
      sym__simple_type,
    STATE(10787), 1,
      sym__annotated_type,
    STATE(11280), 1,
      sym__soft_identifier,
    STATE(11312), 1,
      sym_identifier,
    STATE(12842), 1,
      sym_compound_type,
    STATE(13003), 1,
      sym_annotated_type,
    STATE(13033), 1,
      sym__structural_type,
    STATE(13051), 1,
      sym_template_body,
    STATE(13275), 1,
      sym__constructor_application,
    STATE(16436), 1,
      sym_stable_identifier,
    STATE(4431), 2,
      sym_comment,
      sym_block_comment,
    STATE(13074), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11464), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236754] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8322), 1,
      anon_sym_LBRACK,
    ACTIONS(8324), 1,
      anon_sym_AT,
    ACTIONS(8328), 1,
      anon_sym_POUND,
    STATE(4724), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4805), 1,
      sym_type_arguments,
    STATE(5283), 1,
      sym_annotation,
    STATE(4432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236813] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6758), 1,
      anon_sym_COLON,
    ACTIONS(6760), 1,
      anon_sym_LBRACE,
    ACTIONS(8746), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym__,
    ACTIONS(8752), 1,
      anon_sym_LPAREN,
    ACTIONS(8754), 1,
      sym__backquoted_id,
    ACTIONS(8756), 1,
      sym_operator_identifier,
    STATE(5480), 1,
      sym__annotated_type,
    STATE(5511), 1,
      sym__simple_type,
    STATE(8589), 1,
      sym__soft_identifier,
    STATE(8629), 1,
      sym__constructor_application,
    STATE(8670), 1,
      sym_identifier,
    STATE(9451), 1,
      sym_annotated_type,
    STATE(9607), 1,
      sym_compound_type,
    STATE(9840), 1,
      sym__structural_type,
    STATE(9958), 1,
      sym_template_body,
    STATE(16178), 1,
      sym_stable_identifier,
    STATE(4433), 2,
      sym_comment,
      sym_block_comment,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8657), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [236896] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8562), 1,
      anon_sym_COLON,
    ACTIONS(8564), 1,
      anon_sym_LBRACE,
    ACTIONS(8566), 1,
      anon_sym_with,
    STATE(4402), 1,
      aux_sym_compound_type_repeat1,
    STATE(7730), 1,
      sym_template_body,
    STATE(7782), 1,
      sym__refinement,
    STATE(4434), 2,
      sym_comment,
      sym_block_comment,
    STATE(7975), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [236957] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    ACTIONS(8762), 1,
      anon_sym_LBRACE,
    ACTIONS(8764), 1,
      anon_sym__,
    ACTIONS(8768), 1,
      anon_sym_LPAREN,
    ACTIONS(8770), 1,
      sym__backquoted_id,
    ACTIONS(8772), 1,
      sym_operator_identifier,
    STATE(4424), 1,
      sym__simple_type,
    STATE(4453), 1,
      sym__annotated_type,
    STATE(5033), 1,
      sym__soft_identifier,
    STATE(5192), 1,
      sym_identifier,
    STATE(5295), 1,
      sym__constructor_application,
    STATE(6352), 1,
      sym_annotated_type,
    STATE(6556), 1,
      sym_compound_type,
    STATE(6835), 1,
      sym__structural_type,
    STATE(7086), 1,
      sym_template_body,
    STATE(16340), 1,
      sym_stable_identifier,
    STATE(4435), 2,
      sym_comment,
      sym_block_comment,
    STATE(7243), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5394), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237040] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6776), 1,
      anon_sym_COLON,
    ACTIONS(6778), 1,
      anon_sym_LBRACE,
    ACTIONS(8774), 1,
      sym__alpha_identifier,
    ACTIONS(8776), 1,
      anon_sym__,
    ACTIONS(8780), 1,
      anon_sym_LPAREN,
    ACTIONS(8782), 1,
      sym__backquoted_id,
    ACTIONS(8784), 1,
      sym_operator_identifier,
    STATE(4621), 1,
      sym__simple_type,
    STATE(4730), 1,
      sym__annotated_type,
    STATE(6256), 1,
      sym_identifier,
    STATE(6494), 1,
      sym__soft_identifier,
    STATE(6601), 1,
      sym__constructor_application,
    STATE(7914), 1,
      sym_annotated_type,
    STATE(7954), 1,
      sym_compound_type,
    STATE(8157), 1,
      sym__structural_type,
    STATE(8535), 1,
      sym_template_body,
    STATE(16489), 1,
      sym_stable_identifier,
    STATE(4436), 2,
      sym_comment,
      sym_block_comment,
    STATE(8145), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6110), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237123] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(8786), 1,
      sym__interpolated_multiline_string_start,
    STATE(6338), 1,
      sym_interpolated_string,
    STATE(15432), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237180] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8322), 1,
      anon_sym_LBRACK,
    ACTIONS(8328), 1,
      anon_sym_POUND,
    ACTIONS(8788), 1,
      anon_sym_LPAREN,
    STATE(4591), 1,
      aux_sym_annotation_repeat1,
    STATE(4805), 1,
      sym_type_arguments,
    STATE(5241), 1,
      sym_arguments,
    STATE(4438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 25,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [237286] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6492), 1,
      anon_sym_COLON,
    ACTIONS(6494), 1,
      anon_sym_LBRACE,
    ACTIONS(8794), 1,
      sym__alpha_identifier,
    ACTIONS(8796), 1,
      anon_sym__,
    ACTIONS(8800), 1,
      anon_sym_LPAREN,
    ACTIONS(8802), 1,
      sym__backquoted_id,
    ACTIONS(8804), 1,
      sym_operator_identifier,
    STATE(4403), 1,
      sym__simple_type,
    STATE(4407), 1,
      sym__annotated_type,
    STATE(5198), 1,
      sym_identifier,
    STATE(5269), 1,
      sym__constructor_application,
    STATE(5384), 1,
      sym__soft_identifier,
    STATE(6522), 1,
      sym_compound_type,
    STATE(6627), 1,
      sym_annotated_type,
    STATE(6885), 1,
      sym__structural_type,
    STATE(6906), 1,
      sym_template_body,
    STATE(16765), 1,
      sym_stable_identifier,
    STATE(4440), 2,
      sym_comment,
      sym_block_comment,
    STATE(7351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8798), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5342), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237369] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8314), 1,
      anon_sym_with,
    STATE(5406), 1,
      aux_sym_compound_type_repeat1,
    STATE(6574), 1,
      sym__refinement,
    STATE(6587), 1,
      sym_template_body,
    STATE(4441), 2,
      sym_comment,
      sym_block_comment,
    STATE(6317), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237426] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(8204), 1,
      anon_sym_LPAREN,
    ACTIONS(8428), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4442), 2,
      sym_comment,
      sym_block_comment,
    STATE(5628), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237485] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6736), 1,
      anon_sym_COLON,
    ACTIONS(6738), 1,
      anon_sym_LBRACE,
    ACTIONS(8810), 1,
      sym__alpha_identifier,
    ACTIONS(8812), 1,
      anon_sym__,
    ACTIONS(8816), 1,
      anon_sym_LPAREN,
    ACTIONS(8818), 1,
      sym__backquoted_id,
    ACTIONS(8820), 1,
      sym_operator_identifier,
    STATE(4624), 1,
      sym__simple_type,
    STATE(4679), 1,
      sym__annotated_type,
    STATE(6078), 1,
      sym_identifier,
    STATE(6602), 1,
      sym__constructor_application,
    STATE(6626), 1,
      sym__soft_identifier,
    STATE(7926), 1,
      sym_compound_type,
    STATE(7974), 1,
      sym_annotated_type,
    STATE(8196), 1,
      sym__structural_type,
    STATE(8557), 1,
      sym_template_body,
    STATE(16531), 1,
      sym_stable_identifier,
    STATE(4443), 2,
      sym_comment,
      sym_block_comment,
    STATE(8354), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8814), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6254), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237568] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8822), 1,
      anon_sym_LBRACK,
    ACTIONS(8824), 1,
      anon_sym_LPAREN,
    ACTIONS(8826), 1,
      anon_sym_POUND,
    STATE(4619), 1,
      aux_sym_annotation_repeat1,
    STATE(4983), 1,
      sym_type_arguments,
    STATE(5151), 1,
      sym_arguments,
    STATE(4444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [237627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 25,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [237674] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8438), 1,
      anon_sym_COLON,
    ACTIONS(8440), 1,
      anon_sym_LBRACE,
    ACTIONS(8442), 1,
      anon_sym_with,
    STATE(4385), 1,
      aux_sym_compound_type_repeat1,
    STATE(7417), 1,
      sym_template_body,
    STATE(7436), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4446), 2,
      sym_comment,
      sym_block_comment,
    STATE(8075), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [237741] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8832), 1,
      sym__alpha_identifier,
    ACTIONS(8834), 1,
      anon_sym_COLON,
    ACTIONS(8836), 1,
      anon_sym_LBRACE,
    ACTIONS(8838), 1,
      anon_sym__,
    ACTIONS(8842), 1,
      anon_sym_LPAREN,
    ACTIONS(8844), 1,
      sym__backquoted_id,
    ACTIONS(8846), 1,
      sym_operator_identifier,
    STATE(4412), 1,
      sym__simple_type,
    STATE(4426), 1,
      sym__annotated_type,
    STATE(5091), 1,
      sym_identifier,
    STATE(5352), 1,
      sym__soft_identifier,
    STATE(5404), 1,
      sym__constructor_application,
    STATE(6221), 1,
      sym_compound_type,
    STATE(6541), 1,
      sym_annotated_type,
    STATE(7225), 1,
      sym_template_body,
    STATE(7322), 1,
      sym__structural_type,
    STATE(16728), 1,
      sym_stable_identifier,
    STATE(4447), 2,
      sym_comment,
      sym_block_comment,
    STATE(6968), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5387), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [237824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 25,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [237871] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8316), 1,
      anon_sym_LBRACK,
    ACTIONS(8320), 1,
      anon_sym_POUND,
    ACTIONS(8852), 1,
      anon_sym_AT,
    STATE(4681), 1,
      sym_type_arguments,
    STATE(4727), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5179), 1,
      sym_annotation,
    STATE(4449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237930] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(8854), 1,
      sym__interpolated_multiline_string_start,
    STATE(6251), 1,
      sym_interpolated_string,
    STATE(15808), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [237987] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8392), 1,
      sym__alpha_identifier,
    ACTIONS(8394), 1,
      anon_sym_COLON,
    ACTIONS(8396), 1,
      anon_sym_LBRACE,
    ACTIONS(8398), 1,
      anon_sym__,
    ACTIONS(8402), 1,
      anon_sym_LPAREN,
    ACTIONS(8404), 1,
      sym__backquoted_id,
    ACTIONS(8406), 1,
      sym_operator_identifier,
    STATE(11924), 1,
      sym__simple_type,
    STATE(12374), 1,
      sym__annotated_type,
    STATE(13157), 1,
      sym__soft_identifier,
    STATE(13201), 1,
      sym_identifier,
    STATE(13865), 1,
      sym_compound_type,
    STATE(14101), 1,
      sym__structural_type,
    STATE(14115), 1,
      sym_template_body,
    STATE(14118), 1,
      sym_annotated_type,
    STATE(14238), 1,
      sym__constructor_application,
    STATE(16588), 1,
      sym_stable_identifier,
    STATE(4451), 2,
      sym_comment,
      sym_block_comment,
    STATE(14026), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8400), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13461), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [238070] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6160), 1,
      anon_sym_COLON,
    ACTIONS(6162), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      sym__alpha_identifier,
    ACTIONS(8858), 1,
      anon_sym__,
    ACTIONS(8862), 1,
      anon_sym_LPAREN,
    ACTIONS(8864), 1,
      sym__backquoted_id,
    ACTIONS(8866), 1,
      sym_operator_identifier,
    STATE(4757), 1,
      sym__annotated_type,
    STATE(4846), 1,
      sym__simple_type,
    STATE(7033), 1,
      sym_identifier,
    STATE(7108), 1,
      sym__constructor_application,
    STATE(7334), 1,
      sym__soft_identifier,
    STATE(8148), 1,
      sym_annotated_type,
    STATE(8624), 1,
      sym_compound_type,
    STATE(8795), 1,
      sym_template_body,
    STATE(8947), 1,
      sym__structural_type,
    STATE(17068), 1,
      sym_stable_identifier,
    STATE(4452), 2,
      sym_comment,
      sym_block_comment,
    STATE(9119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6773), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [238153] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8868), 1,
      anon_sym_with,
    STATE(4469), 1,
      aux_sym_compound_type_repeat1,
    STATE(6829), 1,
      sym__refinement,
    STATE(6831), 1,
      sym_template_body,
    STATE(6860), 1,
      sym_arguments,
    STATE(4453), 2,
      sym_comment,
      sym_block_comment,
    STATE(7243), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238212] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8306), 1,
      anon_sym_LBRACK,
    ACTIONS(8310), 1,
      anon_sym_POUND,
    ACTIONS(8870), 1,
      anon_sym_AT,
    STATE(4662), 1,
      sym_type_arguments,
    STATE(4711), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5132), 1,
      sym_annotation,
    STATE(4454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238271] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8134), 1,
      anon_sym_LPAREN,
    STATE(4459), 1,
      aux_sym_annotation_repeat1,
    STATE(4736), 1,
      sym_arguments,
    STATE(4455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238324] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8876), 1,
      anon_sym_LBRACK,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      anon_sym_POUND,
    STATE(4737), 1,
      aux_sym_annotation_repeat1,
    STATE(4751), 1,
      sym_type_arguments,
    STATE(5142), 1,
      sym_arguments,
    STATE(4456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238383] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8604), 1,
      anon_sym_COLON,
    ACTIONS(8606), 1,
      anon_sym_LBRACE,
    ACTIONS(8608), 1,
      anon_sym_with,
    STATE(5128), 1,
      aux_sym_compound_type_repeat1,
    STATE(7745), 1,
      sym__refinement,
    STATE(7765), 1,
      sym_template_body,
    STATE(4457), 2,
      sym_comment,
      sym_block_comment,
    STATE(7513), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238444] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6578), 1,
      anon_sym_COLON,
    ACTIONS(6580), 1,
      anon_sym_LBRACE,
    ACTIONS(8882), 1,
      sym__alpha_identifier,
    ACTIONS(8884), 1,
      anon_sym__,
    ACTIONS(8888), 1,
      anon_sym_LPAREN,
    ACTIONS(8890), 1,
      sym__backquoted_id,
    ACTIONS(8892), 1,
      sym_operator_identifier,
    STATE(4756), 1,
      sym__simple_type,
    STATE(4867), 1,
      sym__annotated_type,
    STATE(6748), 1,
      sym__soft_identifier,
    STATE(6841), 1,
      sym__constructor_application,
    STATE(7079), 1,
      sym_identifier,
    STATE(8267), 1,
      sym_compound_type,
    STATE(8370), 1,
      sym_annotated_type,
    STATE(8743), 1,
      sym__structural_type,
    STATE(9071), 1,
      sym_template_body,
    STATE(16571), 1,
      sym_stable_identifier,
    STATE(4458), 2,
      sym_comment,
      sym_block_comment,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8886), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7191), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [238527] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8898), 1,
      anon_sym_LPAREN,
    STATE(4736), 1,
      sym_arguments,
    STATE(4459), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238578] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6124), 1,
      anon_sym_COLON,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(8901), 1,
      sym__alpha_identifier,
    ACTIONS(8903), 1,
      anon_sym__,
    ACTIONS(8907), 1,
      anon_sym_LPAREN,
    ACTIONS(8909), 1,
      sym__backquoted_id,
    ACTIONS(8911), 1,
      sym_operator_identifier,
    STATE(6458), 1,
      sym__simple_type,
    STATE(6618), 1,
      sym__annotated_type,
    STATE(8916), 1,
      sym_identifier,
    STATE(8920), 1,
      sym__constructor_application,
    STATE(9231), 1,
      sym_compound_type,
    STATE(9324), 1,
      sym__soft_identifier,
    STATE(9495), 1,
      sym__structural_type,
    STATE(9948), 1,
      sym_annotated_type,
    STATE(10138), 1,
      sym_template_body,
    STATE(17246), 1,
      sym_stable_identifier,
    STATE(4460), 2,
      sym_comment,
      sym_block_comment,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8905), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9233), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [238661] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8604), 1,
      anon_sym_COLON,
    ACTIONS(8606), 1,
      anon_sym_LBRACE,
    ACTIONS(8608), 1,
      anon_sym_with,
    STATE(4457), 1,
      aux_sym_compound_type_repeat1,
    STATE(7762), 1,
      sym__refinement,
    STATE(7765), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4461), 2,
      sym_comment,
      sym_block_comment,
    STATE(7513), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [238728] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6516), 1,
      anon_sym_COLON,
    ACTIONS(6518), 1,
      anon_sym_LBRACE,
    ACTIONS(8913), 1,
      sym__alpha_identifier,
    ACTIONS(8915), 1,
      anon_sym__,
    ACTIONS(8919), 1,
      anon_sym_LPAREN,
    ACTIONS(8921), 1,
      sym__backquoted_id,
    ACTIONS(8923), 1,
      sym_operator_identifier,
    STATE(5613), 1,
      sym__annotated_type,
    STATE(5692), 1,
      sym__simple_type,
    STATE(8156), 1,
      sym__constructor_application,
    STATE(8252), 1,
      sym__soft_identifier,
    STATE(8373), 1,
      sym_identifier,
    STATE(9636), 1,
      sym_compound_type,
    STATE(9699), 1,
      sym_annotated_type,
    STATE(9813), 1,
      sym__structural_type,
    STATE(9838), 1,
      sym_template_body,
    STATE(16611), 1,
      sym_stable_identifier,
    STATE(4462), 2,
      sym_comment,
      sym_block_comment,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8917), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8256), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [238811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238858] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8612), 1,
      anon_sym_LBRACK,
    ACTIONS(8618), 1,
      anon_sym_POUND,
    ACTIONS(8925), 1,
      anon_sym_LPAREN,
    STATE(4936), 1,
      aux_sym_annotation_repeat1,
    STATE(5388), 1,
      sym_type_arguments,
    STATE(5810), 1,
      sym_arguments,
    STATE(4464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238916] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8318), 1,
      anon_sym_LPAREN,
    STATE(4540), 1,
      aux_sym_annotation_repeat1,
    STATE(4817), 1,
      sym_arguments,
    STATE(4465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [238968] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8822), 1,
      anon_sym_LBRACK,
    ACTIONS(8826), 1,
      anon_sym_POUND,
    ACTIONS(8927), 1,
      anon_sym_AT,
    STATE(4974), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4983), 1,
      sym_type_arguments,
    STATE(5949), 1,
      sym_annotation,
    STATE(4466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [239026] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8933), 1,
      anon_sym_AT,
    STATE(4970), 1,
      sym_annotation,
    STATE(4467), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239122] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8868), 1,
      anon_sym_with,
    STATE(5486), 1,
      aux_sym_compound_type_repeat1,
    STATE(6762), 1,
      sym__refinement,
    STATE(6831), 1,
      sym_template_body,
    STATE(4469), 2,
      sym_comment,
      sym_block_comment,
    STATE(7243), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239178] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(8326), 1,
      anon_sym_LPAREN,
    ACTIONS(8936), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4470), 2,
      sym_comment,
      sym_block_comment,
    STATE(6000), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239236] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8938), 1,
      anon_sym_DOT,
    STATE(4471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239284] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8940), 1,
      anon_sym_LBRACK,
    ACTIONS(8942), 1,
      anon_sym_LPAREN,
    ACTIONS(8944), 1,
      anon_sym_POUND,
    STATE(4949), 1,
      aux_sym_annotation_repeat1,
    STATE(5064), 1,
      sym_type_arguments,
    STATE(5602), 1,
      sym_arguments,
    STATE(4472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239342] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(8326), 1,
      anon_sym_LPAREN,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(8936), 1,
      anon_sym_DOT,
    ACTIONS(8946), 1,
      sym_operator_identifier,
    STATE(1775), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4473), 2,
      sym_comment,
      sym_block_comment,
    STATE(6000), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8426), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [239412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8948), 1,
      anon_sym_DOT,
    STATE(4474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239460] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8610), 1,
      anon_sym_with,
    STATE(5493), 1,
      aux_sym_compound_type_repeat1,
    STATE(6701), 1,
      sym_template_body,
    STATE(6720), 1,
      sym__refinement,
    STATE(4475), 2,
      sym_comment,
      sym_block_comment,
    STATE(7351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [239516] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8568), 1,
      anon_sym_LBRACK,
    ACTIONS(8574), 1,
      anon_sym_POUND,
    ACTIONS(8950), 1,
      anon_sym_LPAREN,
    STATE(4962), 1,
      aux_sym_annotation_repeat1,
    STATE(5340), 1,
      sym_type_arguments,
    STATE(5881), 1,
      sym_arguments,
    STATE(4476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [239574] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(8326), 1,
      anon_sym_LPAREN,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8936), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4477), 2,
      sym_comment,
      sym_block_comment,
    STATE(6000), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [239680] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8952), 1,
      anon_sym_LBRACK,
    ACTIONS(8954), 1,
      anon_sym_LPAREN,
    ACTIONS(8956), 1,
      anon_sym_POUND,
    STATE(4843), 1,
      aux_sym_annotation_repeat1,
    STATE(5236), 1,
      sym_type_arguments,
    STATE(5779), 1,
      sym_arguments,
    STATE(4479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [239738] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8958), 1,
      anon_sym_with,
    STATE(4608), 1,
      aux_sym_compound_type_repeat1,
    STATE(7893), 1,
      sym_template_body,
    STATE(7897), 1,
      sym__refinement,
    STATE(7900), 1,
      sym_arguments,
    STATE(4480), 2,
      sym_comment,
      sym_block_comment,
    STATE(7872), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [239842] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8960), 1,
      anon_sym_LPAREN,
    STATE(4925), 1,
      sym_arguments,
    STATE(4482), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [239892] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8963), 1,
      anon_sym_with,
    STATE(4645), 1,
      aux_sym_compound_type_repeat1,
    STATE(7369), 1,
      sym_arguments,
    STATE(7934), 1,
      sym_template_body,
    STATE(7935), 1,
      sym__refinement,
    STATE(4483), 2,
      sym_comment,
      sym_block_comment,
    STATE(7631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [239950] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8272), 1,
      anon_sym_AT,
    STATE(4467), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4970), 1,
      sym_annotation,
    STATE(4484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [240048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240094] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8969), 1,
      anon_sym_LBRACK,
    ACTIONS(8971), 1,
      anon_sym_LPAREN,
    ACTIONS(8973), 1,
      anon_sym_POUND,
    STATE(4956), 1,
      aux_sym_annotation_repeat1,
    STATE(5306), 1,
      sym_type_arguments,
    STATE(5832), 1,
      sym_arguments,
    STATE(4487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240152] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8975), 1,
      anon_sym_COLON,
    ACTIONS(8977), 1,
      anon_sym_LBRACE,
    ACTIONS(8979), 1,
      anon_sym_with,
    STATE(5573), 1,
      aux_sym_compound_type_repeat1,
    STATE(8282), 1,
      sym__refinement,
    STATE(8303), 1,
      sym_template_body,
    STATE(4488), 2,
      sym_comment,
      sym_block_comment,
    STATE(8223), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240212] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8664), 1,
      anon_sym_LBRACK,
    ACTIONS(8668), 1,
      anon_sym_POUND,
    ACTIONS(8981), 1,
      anon_sym_AT,
    STATE(4794), 1,
      sym_type_arguments,
    STATE(4997), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5466), 1,
      sym_annotation,
    STATE(4489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240270] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8983), 1,
      anon_sym_COLON,
    ACTIONS(8985), 1,
      anon_sym_LBRACE,
    ACTIONS(8987), 1,
      anon_sym_with,
    STATE(4518), 1,
      aux_sym_compound_type_repeat1,
    STATE(8275), 1,
      sym_template_body,
    STATE(8277), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4490), 2,
      sym_comment,
      sym_block_comment,
    STATE(8650), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [240336] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8989), 1,
      anon_sym_LBRACK,
    ACTIONS(8991), 1,
      anon_sym_LPAREN,
    ACTIONS(8993), 1,
      anon_sym_POUND,
    STATE(4976), 1,
      aux_sym_annotation_repeat1,
    STATE(5246), 1,
      sym_type_arguments,
    STATE(5694), 1,
      sym_arguments,
    STATE(4491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240394] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8995), 1,
      anon_sym_LBRACK,
    ACTIONS(8997), 1,
      anon_sym_LPAREN,
    ACTIONS(8999), 1,
      anon_sym_POUND,
    STATE(4826), 1,
      aux_sym_annotation_repeat1,
    STATE(5271), 1,
      sym_type_arguments,
    STATE(5805), 1,
      sym_arguments,
    STATE(4492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [240452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240498] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9003), 1,
      anon_sym_COLON,
    ACTIONS(9005), 1,
      anon_sym_LBRACE,
    ACTIONS(9007), 1,
      anon_sym_with,
    STATE(4527), 1,
      aux_sym_compound_type_repeat1,
    STATE(8399), 1,
      sym__refinement,
    STATE(8400), 1,
      sym_template_body,
    STATE(4494), 2,
      sym_comment,
      sym_block_comment,
    STATE(8541), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240558] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8334), 1,
      anon_sym_LPAREN,
    STATE(4482), 1,
      aux_sym_annotation_repeat1,
    STATE(4925), 1,
      sym_arguments,
    STATE(4495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240656] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9009), 1,
      anon_sym_with,
    STATE(4729), 1,
      aux_sym_compound_type_repeat1,
    STATE(7654), 1,
      sym__refinement,
    STATE(7655), 1,
      sym_template_body,
    STATE(8043), 1,
      sym_arguments,
    STATE(4497), 2,
      sym_comment,
      sym_block_comment,
    STATE(7718), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [240714] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(8256), 1,
      anon_sym_LPAREN,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9011), 1,
      anon_sym_DOT,
    ACTIONS(9013), 1,
      sym_operator_identifier,
    STATE(1770), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4498), 2,
      sym_comment,
      sym_block_comment,
    STATE(6607), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8426), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [240784] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9015), 1,
      anon_sym_LBRACK,
    ACTIONS(9017), 1,
      anon_sym_AT,
    ACTIONS(9019), 1,
      anon_sym_LPAREN,
    ACTIONS(9021), 1,
      anon_sym_POUND,
    STATE(5100), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5622), 1,
      sym_type_arguments,
    STATE(6119), 1,
      sym_annotation,
    STATE(7369), 1,
      sym_arguments,
    STATE(4499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [240846] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8444), 1,
      anon_sym_LBRACK,
    ACTIONS(8448), 1,
      anon_sym_POUND,
    ACTIONS(9023), 1,
      anon_sym_AT,
    STATE(4779), 1,
      sym_type_arguments,
    STATE(4886), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5648), 1,
      sym_annotation,
    STATE(4500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240904] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9025), 1,
      sym__interpolated_multiline_string_start,
    STATE(7056), 1,
      sym_interpolated_string,
    STATE(15048), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [240960] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9003), 1,
      anon_sym_COLON,
    ACTIONS(9005), 1,
      anon_sym_LBRACE,
    ACTIONS(9007), 1,
      anon_sym_with,
    STATE(4527), 1,
      aux_sym_compound_type_repeat1,
    STATE(8399), 1,
      sym__refinement,
    STATE(8400), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4502), 2,
      sym_comment,
      sym_block_comment,
    STATE(8541), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [241026] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8975), 1,
      anon_sym_COLON,
    ACTIONS(8977), 1,
      anon_sym_LBRACE,
    ACTIONS(8979), 1,
      anon_sym_with,
    STATE(4488), 1,
      aux_sym_compound_type_repeat1,
    STATE(8298), 1,
      sym__refinement,
    STATE(8303), 1,
      sym_template_body,
    STATE(4503), 2,
      sym_comment,
      sym_block_comment,
    STATE(8223), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241086] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9027), 1,
      sym__interpolated_multiline_string_start,
    STATE(7357), 1,
      sym_interpolated_string,
    STATE(14754), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [241142] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8612), 1,
      anon_sym_LBRACK,
    ACTIONS(8614), 1,
      anon_sym_AT,
    ACTIONS(8618), 1,
      anon_sym_POUND,
    STATE(4968), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5388), 1,
      sym_type_arguments,
    STATE(5484), 1,
      sym_annotation,
    STATE(4505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241200] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9029), 1,
      anon_sym_COLON,
    ACTIONS(9031), 1,
      anon_sym_LBRACE,
    ACTIONS(9033), 1,
      anon_sym_with,
    STATE(4536), 1,
      aux_sym_compound_type_repeat1,
    STATE(8341), 1,
      sym__refinement,
    STATE(8342), 1,
      sym_template_body,
    STATE(4506), 2,
      sym_comment,
      sym_block_comment,
    STATE(8321), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241260] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9035), 1,
      anon_sym_AT,
    STATE(4946), 1,
      sym_annotation,
    STATE(4507), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241310] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(8256), 1,
      anon_sym_LPAREN,
    ACTIONS(9011), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4508), 2,
      sym_comment,
      sym_block_comment,
    STATE(6607), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241414] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8692), 1,
      anon_sym_LBRACK,
    ACTIONS(8698), 1,
      anon_sym_POUND,
    ACTIONS(9038), 1,
      anon_sym_LPAREN,
    STATE(4903), 1,
      aux_sym_annotation_repeat1,
    STATE(5383), 1,
      sym_type_arguments,
    STATE(5976), 1,
      sym_arguments,
    STATE(4510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241472] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8670), 1,
      anon_sym_LBRACK,
    ACTIONS(8674), 1,
      anon_sym_POUND,
    ACTIONS(9040), 1,
      anon_sym_AT,
    STATE(4969), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5005), 1,
      sym_type_arguments,
    STATE(5961), 1,
      sym_annotation,
    STATE(4511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241576] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9042), 1,
      anon_sym_LBRACK,
    ACTIONS(9044), 1,
      anon_sym_AT,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_POUND,
    STATE(5131), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5562), 1,
      sym_type_arguments,
    STATE(6460), 1,
      sym_annotation,
    STATE(8043), 1,
      sym_arguments,
    STATE(4513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [241638] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(8256), 1,
      anon_sym_LPAREN,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9011), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4514), 2,
      sym_comment,
      sym_block_comment,
    STATE(6607), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241698] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8876), 1,
      anon_sym_LBRACK,
    ACTIONS(8880), 1,
      anon_sym_POUND,
    ACTIONS(9050), 1,
      anon_sym_AT,
    STATE(4751), 1,
      sym_type_arguments,
    STATE(4929), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5504), 1,
      sym_annotation,
    STATE(4515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241756] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8975), 1,
      anon_sym_COLON,
    ACTIONS(8977), 1,
      anon_sym_LBRACE,
    ACTIONS(8979), 1,
      anon_sym_with,
    STATE(4488), 1,
      aux_sym_compound_type_repeat1,
    STATE(8298), 1,
      sym__refinement,
    STATE(8303), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4516), 2,
      sym_comment,
      sym_block_comment,
    STATE(8223), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [241822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241868] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8983), 1,
      anon_sym_COLON,
    ACTIONS(8985), 1,
      anon_sym_LBRACE,
    ACTIONS(8987), 1,
      anon_sym_with,
    STATE(5550), 1,
      aux_sym_compound_type_repeat1,
    STATE(8275), 1,
      sym_template_body,
    STATE(8425), 1,
      sym__refinement,
    STATE(4518), 2,
      sym_comment,
      sym_block_comment,
    STATE(8650), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241928] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9054), 1,
      anon_sym_DOT,
    STATE(4519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [241976] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9056), 1,
      anon_sym_COLON,
    ACTIONS(9058), 1,
      anon_sym_LBRACE,
    ACTIONS(9060), 1,
      anon_sym_with,
    STATE(4556), 1,
      aux_sym_compound_type_repeat1,
    STATE(8291), 1,
      sym__refinement,
    STATE(8293), 1,
      sym_template_body,
    STATE(4520), 2,
      sym_comment,
      sym_block_comment,
    STATE(8409), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [242036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242082] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9064), 1,
      anon_sym_LBRACK,
    ACTIONS(9066), 1,
      anon_sym_LPAREN,
    ACTIONS(9068), 1,
      anon_sym_POUND,
    STATE(4865), 1,
      aux_sym_annotation_repeat1,
    STATE(5215), 1,
      sym_type_arguments,
    STATE(5728), 1,
      sym_arguments,
    STATE(4522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [242232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242324] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9003), 1,
      anon_sym_COLON,
    ACTIONS(9005), 1,
      anon_sym_LBRACE,
    ACTIONS(9007), 1,
      anon_sym_with,
    STATE(5656), 1,
      aux_sym_compound_type_repeat1,
    STATE(8364), 1,
      sym__refinement,
    STATE(8400), 1,
      sym_template_body,
    STATE(4527), 2,
      sym_comment,
      sym_block_comment,
    STATE(8541), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242430] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8568), 1,
      anon_sym_LBRACK,
    ACTIONS(8570), 1,
      anon_sym_AT,
    ACTIONS(8574), 1,
      anon_sym_POUND,
    STATE(4890), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5340), 1,
      sym_type_arguments,
    STATE(5540), 1,
      sym_annotation,
    STATE(4529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [242488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242536] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(8064), 1,
      anon_sym_infix,
    ACTIONS(8066), 1,
      anon_sym_open,
    ACTIONS(8068), 1,
      anon_sym_transparent,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(9078), 1,
      sym_operator_identifier,
    STATE(6765), 1,
      aux_sym_modifiers_repeat1,
    STATE(9117), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(11995), 1,
      sym_modifiers,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14558), 1,
      sym_identifier,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(8056), 2,
      anon_sym_end,
      anon_sym_opaque,
    ACTIONS(9076), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(4531), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [242616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242664] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9056), 1,
      anon_sym_COLON,
    ACTIONS(9058), 1,
      anon_sym_LBRACE,
    ACTIONS(9060), 1,
      anon_sym_with,
    STATE(4556), 1,
      aux_sym_compound_type_repeat1,
    STATE(8291), 1,
      sym__refinement,
    STATE(8293), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4533), 2,
      sym_comment,
      sym_block_comment,
    STATE(8409), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 7,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [242730] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8983), 1,
      anon_sym_COLON,
    ACTIONS(8985), 1,
      anon_sym_LBRACE,
    ACTIONS(8987), 1,
      anon_sym_with,
    STATE(4518), 1,
      aux_sym_compound_type_repeat1,
    STATE(8275), 1,
      sym_template_body,
    STATE(8277), 1,
      sym__refinement,
    STATE(4534), 2,
      sym_comment,
      sym_block_comment,
    STATE(8650), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242836] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9029), 1,
      anon_sym_COLON,
    ACTIONS(9031), 1,
      anon_sym_LBRACE,
    ACTIONS(9033), 1,
      anon_sym_with,
    STATE(5887), 1,
      aux_sym_compound_type_repeat1,
    STATE(8332), 1,
      sym__refinement,
    STATE(8342), 1,
      sym_template_body,
    STATE(4536), 2,
      sym_comment,
      sym_block_comment,
    STATE(8321), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242942] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9084), 1,
      sym__interpolated_multiline_string_start,
    STATE(6854), 1,
      sym_interpolated_string,
    STATE(15683), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [242998] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9086), 1,
      anon_sym_LBRACK,
    ACTIONS(9088), 1,
      anon_sym_AT,
    ACTIONS(9090), 1,
      anon_sym_LPAREN,
    ACTIONS(9092), 1,
      anon_sym_POUND,
    STATE(5094), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5861), 1,
      sym_type_arguments,
    STATE(6133), 1,
      sym_annotation,
    STATE(7900), 1,
      sym_arguments,
    STATE(4539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243060] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9094), 1,
      anon_sym_LPAREN,
    STATE(4817), 1,
      sym_arguments,
    STATE(4540), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243110] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9097), 1,
      anon_sym_LPAREN,
    STATE(4873), 1,
      sym_arguments,
    STATE(4541), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243160] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8308), 1,
      anon_sym_LPAREN,
    STATE(4541), 1,
      aux_sym_annotation_repeat1,
    STATE(4873), 1,
      sym_arguments,
    STATE(4542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243212] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8692), 1,
      anon_sym_LBRACK,
    ACTIONS(8694), 1,
      anon_sym_AT,
    ACTIONS(8698), 1,
      anon_sym_POUND,
    STATE(4999), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5383), 1,
      sym_type_arguments,
    STATE(5577), 1,
      sym_annotation,
    STATE(4543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [243316] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243408] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9104), 1,
      anon_sym_LPAREN,
    STATE(4914), 1,
      sym_arguments,
    STATE(4547), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243504] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8510), 1,
      anon_sym_DOT,
    ACTIONS(9109), 1,
      anon_sym_EQ_GT,
    STATE(4549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243554] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8712), 1,
      anon_sym_with,
    STATE(5599), 1,
      aux_sym_compound_type_repeat1,
    STATE(6941), 1,
      sym__refinement,
    STATE(7028), 1,
      sym_template_body,
    STATE(4550), 2,
      sym_comment,
      sym_block_comment,
    STATE(6968), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243610] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9111), 1,
      anon_sym_LBRACK,
    ACTIONS(9113), 1,
      anon_sym_LPAREN,
    ACTIONS(9115), 1,
      anon_sym_POUND,
    STATE(4802), 1,
      aux_sym_annotation_repeat1,
    STATE(5332), 1,
      sym_type_arguments,
    STATE(5953), 1,
      sym_arguments,
    STATE(4551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [243668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243714] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243762] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8338), 1,
      anon_sym_LPAREN,
    STATE(4547), 1,
      aux_sym_annotation_repeat1,
    STATE(4914), 1,
      sym_arguments,
    STATE(4554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243814] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8202), 1,
      anon_sym_AT,
    STATE(4507), 1,
      aux_sym_enum_definition_repeat1,
    STATE(4946), 1,
      sym_annotation,
    STATE(4555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [243866] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9056), 1,
      anon_sym_COLON,
    ACTIONS(9058), 1,
      anon_sym_LBRACE,
    ACTIONS(9060), 1,
      anon_sym_with,
    STATE(5940), 1,
      aux_sym_compound_type_repeat1,
    STATE(8274), 1,
      sym__refinement,
    STATE(8293), 1,
      sym_template_body,
    STATE(4556), 2,
      sym_comment,
      sym_block_comment,
    STATE(8409), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [243926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [243972] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9029), 1,
      anon_sym_COLON,
    ACTIONS(9031), 1,
      anon_sym_LBRACE,
    ACTIONS(9033), 1,
      anon_sym_with,
    STATE(4536), 1,
      aux_sym_compound_type_repeat1,
    STATE(8341), 1,
      sym__refinement,
    STATE(8342), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4558), 2,
      sym_comment,
      sym_block_comment,
    STATE(8321), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [244038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [244084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244130] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244177] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 23,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244359] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9119), 1,
      sym__interpolated_multiline_string_start,
    STATE(7637), 1,
      sym_interpolated_string,
    STATE(14758), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244459] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9121), 1,
      anon_sym_COLON,
    ACTIONS(9123), 1,
      anon_sym_LBRACE,
    ACTIONS(9125), 1,
      anon_sym_with,
    STATE(4696), 1,
      aux_sym_compound_type_repeat1,
    STATE(9041), 1,
      sym__refinement,
    STATE(9043), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4568), 2,
      sym_comment,
      sym_block_comment,
    STATE(8921), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [244524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244659] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9127), 1,
      sym__interpolated_multiline_string_start,
    STATE(7511), 1,
      sym_interpolated_string,
    STATE(15754), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [244714] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(8388), 1,
      sym__interpolated_multiline_string_start,
    STATE(5620), 1,
      sym_interpolated_string,
    STATE(15336), 1,
      sym__interpolated_string_start,
    ACTIONS(9129), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244814] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 1,
      anon_sym_DOT,
    STATE(4575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244906] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    STATE(4710), 1,
      aux_sym_annotation_repeat1,
    STATE(5252), 1,
      sym_arguments,
    STATE(4577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [244957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245047] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9133), 1,
      anon_sym_COLON,
    ACTIONS(9135), 1,
      anon_sym_LBRACE,
    ACTIONS(9137), 1,
      anon_sym_with,
    STATE(6637), 1,
      aux_sym_compound_type_repeat1,
    STATE(8859), 1,
      sym_template_body,
    STATE(8873), 1,
      sym__refinement,
    STATE(4580), 2,
      sym_comment,
      sym_block_comment,
    STATE(9300), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [245106] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9109), 1,
      anon_sym_EQ_GT,
    STATE(4581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245288] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9139), 1,
      anon_sym_DOT,
    STATE(4585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245425] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9141), 1,
      anon_sym_LBRACK,
    ACTIONS(9143), 1,
      anon_sym_AT,
    ACTIONS(9145), 1,
      anon_sym_LPAREN,
    ACTIONS(9147), 1,
      anon_sym_POUND,
    STATE(5470), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6086), 1,
      sym_type_arguments,
    STATE(6722), 1,
      sym_annotation,
    STATE(8287), 1,
      sym_arguments,
    STATE(4588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [245486] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8616), 1,
      anon_sym_LPAREN,
    ACTIONS(9149), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4589), 2,
      sym_comment,
      sym_block_comment,
    STATE(7187), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245590] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8788), 1,
      anon_sym_LPAREN,
    STATE(4667), 1,
      aux_sym_annotation_repeat1,
    STATE(5241), 1,
      sym_arguments,
    STATE(4591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245641] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9151), 1,
      anon_sym_DOT,
    STATE(4592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245688] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9153), 1,
      anon_sym_with,
    STATE(4964), 1,
      aux_sym_compound_type_repeat1,
    STATE(8083), 1,
      sym_arguments,
    STATE(8432), 1,
      sym_template_body,
    STATE(8435), 1,
      sym__refinement,
    STATE(4593), 2,
      sym_comment,
      sym_block_comment,
    STATE(8477), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8150), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [245745] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8572), 1,
      anon_sym_LPAREN,
    ACTIONS(9155), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4594), 2,
      sym_comment,
      sym_block_comment,
    STATE(6873), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [245802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245847] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9157), 1,
      sym__interpolated_multiline_string_start,
    STATE(7546), 1,
      sym_interpolated_string,
    STATE(15366), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [245902] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9086), 1,
      anon_sym_LBRACK,
    ACTIONS(9092), 1,
      anon_sym_POUND,
    ACTIONS(9159), 1,
      anon_sym_LPAREN,
    STATE(5305), 1,
      aux_sym_annotation_repeat1,
    STATE(5861), 1,
      sym_type_arguments,
    STATE(6354), 1,
      sym_arguments,
    STATE(4597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [245959] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9086), 1,
      anon_sym_LBRACK,
    ACTIONS(9088), 1,
      anon_sym_AT,
    ACTIONS(9092), 1,
      anon_sym_POUND,
    STATE(5094), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5861), 1,
      sym_type_arguments,
    STATE(6133), 1,
      sym_annotation,
    STATE(4598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246016] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9161), 1,
      anon_sym_COLON,
    ACTIONS(9163), 1,
      anon_sym_LBRACE,
    ACTIONS(9165), 1,
      anon_sym_with,
    STATE(4640), 1,
      aux_sym_compound_type_repeat1,
    STATE(8702), 1,
      sym__refinement,
    STATE(8703), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4599), 2,
      sym_comment,
      sym_block_comment,
    STATE(8247), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246081] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9167), 1,
      anon_sym_AT,
    STATE(5283), 1,
      sym_annotation,
    STATE(4600), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246130] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9170), 1,
      anon_sym_LBRACK,
    ACTIONS(9172), 1,
      anon_sym_LPAREN,
    ACTIONS(9174), 1,
      anon_sym_POUND,
    STATE(5367), 1,
      aux_sym_annotation_repeat1,
    STATE(5912), 1,
      sym_type_arguments,
    STATE(5985), 1,
      sym_arguments,
    STATE(4601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246187] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9176), 1,
      anon_sym_COLON,
    ACTIONS(9178), 1,
      anon_sym_LBRACE,
    ACTIONS(9180), 1,
      anon_sym_with,
    STATE(6107), 1,
      aux_sym_compound_type_repeat1,
    STATE(9080), 1,
      sym_template_body,
    STATE(9091), 1,
      sym__refinement,
    STATE(4602), 2,
      sym_comment,
      sym_block_comment,
    STATE(9098), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [246291] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9042), 1,
      anon_sym_LBRACK,
    ACTIONS(9048), 1,
      anon_sym_POUND,
    ACTIONS(9182), 1,
      anon_sym_LPAREN,
    STATE(5285), 1,
      aux_sym_annotation_repeat1,
    STATE(5562), 1,
      sym_type_arguments,
    STATE(6235), 1,
      sym_arguments,
    STATE(4604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [246348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246393] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9184), 1,
      anon_sym_LBRACK,
    ACTIONS(9186), 1,
      anon_sym_LPAREN,
    ACTIONS(9188), 1,
      anon_sym_POUND,
    STATE(5044), 1,
      aux_sym_annotation_repeat1,
    STATE(5878), 1,
      sym_type_arguments,
    STATE(6175), 1,
      sym_arguments,
    STATE(4606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246495] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8958), 1,
      anon_sym_with,
    STATE(6259), 1,
      aux_sym_compound_type_repeat1,
    STATE(7893), 1,
      sym_template_body,
    STATE(8072), 1,
      sym__refinement,
    STATE(4608), 2,
      sym_comment,
      sym_block_comment,
    STATE(7872), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246550] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8666), 1,
      anon_sym_LPAREN,
    STATE(4615), 1,
      aux_sym_annotation_repeat1,
    STATE(5161), 1,
      sym_arguments,
    STATE(4609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246601] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9190), 1,
      anon_sym_DOT,
    STATE(4610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [246648] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9192), 1,
      anon_sym_COLON,
    ACTIONS(9194), 1,
      anon_sym_LBRACE,
    ACTIONS(9196), 1,
      anon_sym_with,
    STATE(4675), 1,
      aux_sym_compound_type_repeat1,
    STATE(8864), 1,
      sym__refinement,
    STATE(8865), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4611), 2,
      sym_comment,
      sym_block_comment,
    STATE(9191), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [246713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [246803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246848] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9198), 1,
      anon_sym_LPAREN,
    STATE(5161), 1,
      sym_arguments,
    STATE(4615), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [246897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [246942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [246987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247032] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8824), 1,
      anon_sym_LPAREN,
    STATE(4648), 1,
      aux_sym_annotation_repeat1,
    STATE(5151), 1,
      sym_arguments,
    STATE(4619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247083] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8940), 1,
      anon_sym_LBRACK,
    ACTIONS(8944), 1,
      anon_sym_POUND,
    ACTIONS(9201), 1,
      anon_sym_AT,
    STATE(5064), 1,
      sym_type_arguments,
    STATE(5134), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5998), 1,
      sym_annotation,
    STATE(4620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247140] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9203), 1,
      anon_sym_LBRACK,
    ACTIONS(9205), 1,
      anon_sym_AT,
    ACTIONS(9207), 1,
      anon_sym_LPAREN,
    ACTIONS(9209), 1,
      anon_sym_POUND,
    STATE(5752), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6128), 1,
      sym_type_arguments,
    STATE(7054), 1,
      sym_annotation,
    STATE(8130), 1,
      sym_arguments,
    STATE(4621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247246] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9064), 1,
      anon_sym_LBRACK,
    ACTIONS(9068), 1,
      anon_sym_POUND,
    ACTIONS(9211), 1,
      anon_sym_AT,
    STATE(5129), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5215), 1,
      sym_type_arguments,
    STATE(6416), 1,
      sym_annotation,
    STATE(4623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247303] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9213), 1,
      anon_sym_LBRACK,
    ACTIONS(9215), 1,
      anon_sym_AT,
    ACTIONS(9217), 1,
      anon_sym_LPAREN,
    ACTIONS(9219), 1,
      anon_sym_POUND,
    STATE(5906), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6272), 1,
      sym_type_arguments,
    STATE(7209), 1,
      sym_annotation,
    STATE(8222), 1,
      sym_arguments,
    STATE(4624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [247364] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8572), 1,
      anon_sym_LPAREN,
    ACTIONS(9155), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4625), 2,
      sym_comment,
      sym_block_comment,
    STATE(6873), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247423] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9054), 1,
      anon_sym_DOT,
    ACTIONS(9221), 1,
      anon_sym_EQ_GT,
    STATE(4626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247517] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8446), 1,
      anon_sym_LPAREN,
    STATE(4633), 1,
      aux_sym_annotation_repeat1,
    STATE(5395), 1,
      sym_arguments,
    STATE(4628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247568] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9223), 1,
      anon_sym_LBRACK,
    ACTIONS(9225), 1,
      anon_sym_AT,
    ACTIONS(9227), 1,
      anon_sym_LPAREN,
    ACTIONS(9229), 1,
      anon_sym_POUND,
    STATE(5959), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6298), 1,
      sym_type_arguments,
    STATE(7003), 1,
      sym_annotation,
    STATE(8083), 1,
      sym_arguments,
    STATE(4629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247629] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(8696), 1,
      anon_sym_LPAREN,
    ACTIONS(9231), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4630), 2,
      sym_comment,
      sym_block_comment,
    STATE(6919), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247686] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(9237), 1,
      anon_sym_POUND,
    STATE(5309), 1,
      aux_sym_annotation_repeat1,
    STATE(5969), 1,
      sym_type_arguments,
    STATE(6514), 1,
      sym_arguments,
    STATE(4631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [247743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247788] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9239), 1,
      anon_sym_LPAREN,
    STATE(5395), 1,
      sym_arguments,
    STATE(4633), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247837] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(8388), 1,
      sym__interpolated_multiline_string_start,
    STATE(5620), 1,
      sym_interpolated_string,
    STATE(15336), 1,
      sym__interpolated_string_start,
    ACTIONS(9242), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [247892] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8696), 1,
      anon_sym_LPAREN,
    ACTIONS(9231), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4635), 2,
      sym_comment,
      sym_block_comment,
    STATE(6919), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [247996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248041] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9176), 1,
      anon_sym_COLON,
    ACTIONS(9178), 1,
      anon_sym_LBRACE,
    ACTIONS(9180), 1,
      anon_sym_with,
    STATE(4602), 1,
      aux_sym_compound_type_repeat1,
    STATE(9080), 1,
      sym_template_body,
    STATE(9084), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4638), 2,
      sym_comment,
      sym_block_comment,
    STATE(9098), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [248106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248151] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9161), 1,
      anon_sym_COLON,
    ACTIONS(9163), 1,
      anon_sym_LBRACE,
    ACTIONS(9165), 1,
      anon_sym_with,
    STATE(6176), 1,
      aux_sym_compound_type_repeat1,
    STATE(8581), 1,
      sym__refinement,
    STATE(8703), 1,
      sym_template_body,
    STATE(4640), 2,
      sym_comment,
      sym_block_comment,
    STATE(8247), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248210] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8995), 1,
      anon_sym_LBRACK,
    ACTIONS(8999), 1,
      anon_sym_POUND,
    ACTIONS(9244), 1,
      anon_sym_AT,
    STATE(5147), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5271), 1,
      sym_type_arguments,
    STATE(6549), 1,
      sym_annotation,
    STATE(4641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [248267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9246), 1,
      anon_sym_DOT,
    STATE(4643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248404] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8963), 1,
      anon_sym_with,
    STATE(6020), 1,
      aux_sym_compound_type_repeat1,
    STATE(7934), 1,
      sym_template_body,
    STATE(7948), 1,
      sym__refinement,
    STATE(4645), 2,
      sym_comment,
      sym_block_comment,
    STATE(7631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [248459] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9248), 1,
      anon_sym_with,
    STATE(4874), 1,
      aux_sym_compound_type_repeat1,
    STATE(8287), 1,
      sym_arguments,
    STATE(8551), 1,
      sym__refinement,
    STATE(8552), 1,
      sym_template_body,
    STATE(4646), 2,
      sym_comment,
      sym_block_comment,
    STATE(8202), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [248516] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9042), 1,
      anon_sym_LBRACK,
    ACTIONS(9044), 1,
      anon_sym_AT,
    ACTIONS(9048), 1,
      anon_sym_POUND,
    STATE(5131), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5562), 1,
      sym_type_arguments,
    STATE(6460), 1,
      sym_annotation,
    STATE(4647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248573] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9250), 1,
      anon_sym_LPAREN,
    STATE(5151), 1,
      sym_arguments,
    STATE(4648), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248712] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9161), 1,
      anon_sym_COLON,
    ACTIONS(9163), 1,
      anon_sym_LBRACE,
    ACTIONS(9165), 1,
      anon_sym_with,
    STATE(4640), 1,
      aux_sym_compound_type_repeat1,
    STATE(8702), 1,
      sym__refinement,
    STATE(8703), 1,
      sym_template_body,
    STATE(4651), 2,
      sym_comment,
      sym_block_comment,
    STATE(8247), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248771] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9253), 1,
      anon_sym_LBRACK,
    ACTIONS(9255), 1,
      anon_sym_LPAREN,
    ACTIONS(9257), 1,
      anon_sym_POUND,
    STATE(5399), 1,
      aux_sym_annotation_repeat1,
    STATE(5934), 1,
      sym_type_arguments,
    STATE(6109), 1,
      sym_arguments,
    STATE(4652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248828] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(8572), 1,
      anon_sym_LPAREN,
    ACTIONS(9155), 1,
      anon_sym_DOT,
    ACTIONS(9259), 1,
      sym_operator_identifier,
    STATE(1659), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4653), 2,
      sym_comment,
      sym_block_comment,
    STATE(6873), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8426), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [248897] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8952), 1,
      anon_sym_LBRACK,
    ACTIONS(8956), 1,
      anon_sym_POUND,
    ACTIONS(9261), 1,
      anon_sym_AT,
    STATE(5136), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5236), 1,
      sym_type_arguments,
    STATE(6497), 1,
      sym_annotation,
    STATE(4654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [248954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [248999] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9192), 1,
      anon_sym_COLON,
    ACTIONS(9194), 1,
      anon_sym_LBRACE,
    ACTIONS(9196), 1,
      anon_sym_with,
    STATE(4675), 1,
      aux_sym_compound_type_repeat1,
    STATE(8864), 1,
      sym__refinement,
    STATE(8865), 1,
      sym_template_body,
    STATE(4656), 2,
      sym_comment,
      sym_block_comment,
    STATE(9191), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [249058] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9265), 1,
      anon_sym_COLON,
    ACTIONS(9268), 1,
      anon_sym_LBRACE,
    STATE(5638), 1,
      sym_template_body,
    STATE(4657), 2,
      sym_comment,
      sym_block_comment,
    STATE(5727), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 17,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249336] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9273), 1,
      anon_sym_LBRACK,
    ACTIONS(9275), 1,
      anon_sym_LPAREN,
    ACTIONS(9277), 1,
      anon_sym_POUND,
    STATE(4309), 1,
      sym_type_arguments,
    STATE(4417), 1,
      sym_arguments,
    STATE(5512), 1,
      aux_sym_annotation_repeat1,
    STATE(4663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [249391] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249528] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9279), 1,
      anon_sym_LPAREN,
    STATE(5241), 1,
      sym_arguments,
    STATE(4667), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249577] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(8616), 1,
      anon_sym_LPAREN,
    ACTIONS(9149), 1,
      anon_sym_DOT,
    ACTIONS(9282), 1,
      sym_operator_identifier,
    STATE(1761), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4668), 2,
      sym_comment,
      sym_block_comment,
    STATE(7187), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8426), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [249646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [249826] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(8696), 1,
      anon_sym_LPAREN,
    ACTIONS(9231), 1,
      anon_sym_DOT,
    ACTIONS(9284), 1,
      sym_operator_identifier,
    STATE(1699), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4673), 2,
      sym_comment,
      sym_block_comment,
    STATE(6919), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8426), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [249895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [249940] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9192), 1,
      anon_sym_COLON,
    ACTIONS(9194), 1,
      anon_sym_LBRACE,
    ACTIONS(9196), 1,
      anon_sym_with,
    STATE(6487), 1,
      aux_sym_compound_type_repeat1,
    STATE(8830), 1,
      sym__refinement,
    STATE(8865), 1,
      sym_template_body,
    STATE(4675), 2,
      sym_comment,
      sym_block_comment,
    STATE(9191), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [249999] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9286), 1,
      anon_sym_COLON,
    ACTIONS(9288), 1,
      anon_sym_LBRACE,
    ACTIONS(9290), 1,
      anon_sym_with,
    STATE(4704), 1,
      aux_sym_compound_type_repeat1,
    STATE(8970), 1,
      sym__refinement,
    STATE(8972), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4676), 2,
      sym_comment,
      sym_block_comment,
    STATE(9069), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250154] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9292), 1,
      anon_sym_with,
    STATE(4897), 1,
      aux_sym_compound_type_repeat1,
    STATE(8163), 1,
      sym__refinement,
    STATE(8165), 1,
      sym_template_body,
    STATE(8222), 1,
      sym_arguments,
    STATE(4679), 2,
      sym_comment,
      sym_block_comment,
    STATE(8354), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250211] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9294), 1,
      anon_sym_AT,
    STATE(5179), 1,
      sym_annotation,
    STATE(4680), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250485] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8254), 1,
      anon_sym_AT,
    STATE(4723), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5130), 1,
      sym_annotation,
    STATE(4686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250581] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9297), 1,
      anon_sym_LBRACK,
    ACTIONS(9299), 1,
      anon_sym_LPAREN,
    ACTIONS(9301), 1,
      anon_sym_POUND,
    STATE(5410), 1,
      aux_sym_annotation_repeat1,
    STATE(5870), 1,
      sym_type_arguments,
    STATE(6143), 1,
      sym_arguments,
    STATE(4688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [250638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250683] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9176), 1,
      anon_sym_COLON,
    ACTIONS(9178), 1,
      anon_sym_LBRACE,
    ACTIONS(9180), 1,
      anon_sym_with,
    STATE(4602), 1,
      aux_sym_compound_type_repeat1,
    STATE(9080), 1,
      sym_template_body,
    STATE(9084), 1,
      sym__refinement,
    STATE(4690), 2,
      sym_comment,
      sym_block_comment,
    STATE(9098), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [250787] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8632), 1,
      anon_sym_AT,
    STATE(4735), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5424), 1,
      sym_annotation,
    STATE(4692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250883] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9303), 1,
      anon_sym_LBRACK,
    ACTIONS(9305), 1,
      anon_sym_LPAREN,
    ACTIONS(9307), 1,
      anon_sym_POUND,
    STATE(5173), 1,
      aux_sym_annotation_repeat1,
    STATE(5783), 1,
      sym_type_arguments,
    STATE(6638), 1,
      sym_arguments,
    STATE(4694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [250940] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8616), 1,
      anon_sym_LPAREN,
    ACTIONS(9149), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4695), 2,
      sym_comment,
      sym_block_comment,
    STATE(7187), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [250997] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9121), 1,
      anon_sym_COLON,
    ACTIONS(9123), 1,
      anon_sym_LBRACE,
    ACTIONS(9125), 1,
      anon_sym_with,
    STATE(6520), 1,
      aux_sym_compound_type_repeat1,
    STATE(8998), 1,
      sym__refinement,
    STATE(9043), 1,
      sym_template_body,
    STATE(4696), 2,
      sym_comment,
      sym_block_comment,
    STATE(8921), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251101] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9121), 1,
      anon_sym_COLON,
    ACTIONS(9123), 1,
      anon_sym_LBRACE,
    ACTIONS(9125), 1,
      anon_sym_with,
    STATE(4696), 1,
      aux_sym_compound_type_repeat1,
    STATE(9041), 1,
      sym__refinement,
    STATE(9043), 1,
      sym_template_body,
    STATE(4698), 2,
      sym_comment,
      sym_block_comment,
    STATE(8921), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251207] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9309), 1,
      anon_sym_DOT,
    STATE(4700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251254] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9015), 1,
      anon_sym_LBRACK,
    ACTIONS(9021), 1,
      anon_sym_POUND,
    ACTIONS(9311), 1,
      anon_sym_LPAREN,
    STATE(5166), 1,
      aux_sym_annotation_repeat1,
    STATE(5622), 1,
      sym_type_arguments,
    STATE(6592), 1,
      sym_arguments,
    STATE(4701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [251311] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9133), 1,
      anon_sym_COLON,
    ACTIONS(9135), 1,
      anon_sym_LBRACE,
    ACTIONS(9137), 1,
      anon_sym_with,
    STATE(4580), 1,
      aux_sym_compound_type_repeat1,
    STATE(8859), 1,
      sym_template_body,
    STATE(8860), 1,
      sym__refinement,
    STATE(4702), 2,
      sym_comment,
      sym_block_comment,
    STATE(9300), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251415] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9286), 1,
      anon_sym_COLON,
    ACTIONS(9288), 1,
      anon_sym_LBRACE,
    ACTIONS(9290), 1,
      anon_sym_with,
    STATE(6406), 1,
      aux_sym_compound_type_repeat1,
    STATE(8960), 1,
      sym__refinement,
    STATE(8972), 1,
      sym_template_body,
    STATE(4704), 2,
      sym_comment,
      sym_block_comment,
    STATE(9069), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251519] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9111), 1,
      anon_sym_LBRACK,
    ACTIONS(9115), 1,
      anon_sym_POUND,
    ACTIONS(9313), 1,
      anon_sym_AT,
    STATE(5176), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5332), 1,
      sym_type_arguments,
    STATE(6558), 1,
      sym_annotation,
    STATE(4706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251621] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9315), 1,
      anon_sym_COLON,
    ACTIONS(9317), 1,
      anon_sym_LBRACE,
    ACTIONS(9319), 1,
      anon_sym_with,
    STATE(4714), 1,
      aux_sym_compound_type_repeat1,
    STATE(9034), 1,
      sym__refinement,
    STATE(9039), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4708), 2,
      sym_comment,
      sym_block_comment,
    STATE(8937), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [251686] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8969), 1,
      anon_sym_LBRACK,
    ACTIONS(8973), 1,
      anon_sym_POUND,
    ACTIONS(9321), 1,
      anon_sym_AT,
    STATE(5306), 1,
      sym_type_arguments,
    STATE(5333), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6485), 1,
      sym_annotation,
    STATE(4709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251743] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9323), 1,
      anon_sym_LPAREN,
    STATE(5252), 1,
      sym_arguments,
    STATE(4710), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251792] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8870), 1,
      anon_sym_AT,
    STATE(4731), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5132), 1,
      sym_annotation,
    STATE(4711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [251933] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9315), 1,
      anon_sym_COLON,
    ACTIONS(9317), 1,
      anon_sym_LBRACE,
    ACTIONS(9319), 1,
      anon_sym_with,
    STATE(6360), 1,
      aux_sym_compound_type_repeat1,
    STATE(9026), 1,
      sym__refinement,
    STATE(9039), 1,
      sym_template_body,
    STATE(4714), 2,
      sym_comment,
      sym_block_comment,
    STATE(8937), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [251992] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8672), 1,
      anon_sym_LPAREN,
    STATE(4722), 1,
      aux_sym_annotation_repeat1,
    STATE(5148), 1,
      sym_arguments,
    STATE(4715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [252088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252133] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252315] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9326), 1,
      anon_sym_LPAREN,
    STATE(5148), 1,
      sym_arguments,
    STATE(4722), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252364] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9329), 1,
      anon_sym_AT,
    STATE(5130), 1,
      sym_annotation,
    STATE(4723), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252413] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8324), 1,
      anon_sym_AT,
    STATE(4600), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5283), 1,
      sym_annotation,
    STATE(4724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252509] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [252556] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8852), 1,
      anon_sym_AT,
    STATE(4680), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5179), 1,
      sym_annotation,
    STATE(4727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252607] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9286), 1,
      anon_sym_COLON,
    ACTIONS(9288), 1,
      anon_sym_LBRACE,
    ACTIONS(9290), 1,
      anon_sym_with,
    STATE(4704), 1,
      aux_sym_compound_type_repeat1,
    STATE(8970), 1,
      sym__refinement,
    STATE(8972), 1,
      sym_template_body,
    STATE(4728), 2,
      sym_comment,
      sym_block_comment,
    STATE(9069), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [252666] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9009), 1,
      anon_sym_with,
    STATE(6392), 1,
      aux_sym_compound_type_repeat1,
    STATE(7635), 1,
      sym__refinement,
    STATE(7655), 1,
      sym_template_body,
    STATE(4729), 2,
      sym_comment,
      sym_block_comment,
    STATE(7718), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [252721] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9332), 1,
      anon_sym_with,
    STATE(4864), 1,
      aux_sym_compound_type_repeat1,
    STATE(8130), 1,
      sym_arguments,
    STATE(8437), 1,
      sym__refinement,
    STATE(8440), 1,
      sym_template_body,
    STATE(4730), 2,
      sym_comment,
      sym_block_comment,
    STATE(8145), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [252778] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9334), 1,
      anon_sym_AT,
    STATE(5132), 1,
      sym_annotation,
    STATE(4731), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252872] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9315), 1,
      anon_sym_COLON,
    ACTIONS(9317), 1,
      anon_sym_LBRACE,
    ACTIONS(9319), 1,
      anon_sym_with,
    STATE(4714), 1,
      aux_sym_compound_type_repeat1,
    STATE(9034), 1,
      sym__refinement,
    STATE(9039), 1,
      sym_template_body,
    STATE(4733), 2,
      sym_comment,
      sym_block_comment,
    STATE(8937), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [252931] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9015), 1,
      anon_sym_LBRACK,
    ACTIONS(9017), 1,
      anon_sym_AT,
    ACTIONS(9021), 1,
      anon_sym_POUND,
    STATE(5100), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5622), 1,
      sym_type_arguments,
    STATE(6119), 1,
      sym_annotation,
    STATE(4734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [252988] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9337), 1,
      anon_sym_AT,
    STATE(5424), 1,
      sym_annotation,
    STATE(4735), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253082] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8878), 1,
      anon_sym_LPAREN,
    STATE(4738), 1,
      aux_sym_annotation_repeat1,
    STATE(5142), 1,
      sym_arguments,
    STATE(4737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253133] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    STATE(5142), 1,
      sym_arguments,
    STATE(4738), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253227] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8938), 1,
      anon_sym_DOT,
    ACTIONS(9345), 1,
      anon_sym_EQ_GT,
    STATE(4740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [253321] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9133), 1,
      anon_sym_COLON,
    ACTIONS(9135), 1,
      anon_sym_LBRACE,
    ACTIONS(9137), 1,
      anon_sym_with,
    STATE(4580), 1,
      aux_sym_compound_type_repeat1,
    STATE(8859), 1,
      sym_template_body,
    STATE(8860), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4742), 2,
      sym_comment,
      sym_block_comment,
    STATE(9300), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [253386] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8989), 1,
      anon_sym_LBRACK,
    ACTIONS(8993), 1,
      anon_sym_POUND,
    ACTIONS(9347), 1,
      anon_sym_AT,
    STATE(5246), 1,
      sym_type_arguments,
    STATE(5409), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6419), 1,
      sym_annotation,
    STATE(4743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [253488] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9349), 1,
      anon_sym_LBRACK,
    ACTIONS(9351), 1,
      anon_sym_LPAREN,
    ACTIONS(9353), 1,
      anon_sym_POUND,
    STATE(5116), 1,
      aux_sym_annotation_repeat1,
    STATE(5633), 1,
      sym_type_arguments,
    STATE(6009), 1,
      sym_arguments,
    STATE(4745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [253545] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9355), 1,
      anon_sym_DOT,
    STATE(4746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253723] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9357), 1,
      sym__interpolated_multiline_string_start,
    STATE(8198), 1,
      sym_interpolated_string,
    STATE(15489), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [253777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253821] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9359), 1,
      anon_sym_COLON,
    ACTIONS(9361), 1,
      anon_sym_LBRACE,
    ACTIONS(9363), 1,
      anon_sym_with,
    STATE(4769), 1,
      aux_sym_compound_type_repeat1,
    STATE(9647), 1,
      sym_template_body,
    STATE(9648), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4752), 2,
      sym_comment,
      sym_block_comment,
    STATE(9431), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [253885] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9365), 1,
      anon_sym_LBRACK,
    ACTIONS(9367), 1,
      anon_sym_LPAREN,
    ACTIONS(9369), 1,
      anon_sym_POUND,
    STATE(5811), 1,
      aux_sym_annotation_repeat1,
    STATE(6139), 1,
      sym_type_arguments,
    STATE(7250), 1,
      sym_arguments,
    STATE(4753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [253941] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9371), 1,
      anon_sym_AT,
    STATE(5577), 1,
      sym_annotation,
    STATE(4754), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [253989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254033] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9376), 1,
      anon_sym_AT,
    ACTIONS(9378), 1,
      anon_sym_LPAREN,
    ACTIONS(9380), 1,
      anon_sym_POUND,
    STATE(6057), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7063), 1,
      sym_type_arguments,
    STATE(7391), 1,
      sym_annotation,
    STATE(8744), 1,
      sym_arguments,
    STATE(4756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254093] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9382), 1,
      anon_sym_with,
    STATE(5107), 1,
      aux_sym_compound_type_repeat1,
    STATE(8982), 1,
      sym_arguments,
    STATE(9281), 1,
      sym_template_body,
    STATE(9282), 1,
      sym__refinement,
    STATE(4757), 2,
      sym_comment,
      sym_block_comment,
    STATE(9119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254149] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9384), 1,
      anon_sym_COLON,
    ACTIONS(9386), 1,
      anon_sym_LBRACE,
    ACTIONS(9388), 1,
      anon_sym_with,
    STATE(4885), 1,
      aux_sym_compound_type_repeat1,
    STATE(9417), 1,
      sym__refinement,
    STATE(9419), 1,
      sym_template_body,
    STATE(4758), 2,
      sym_comment,
      sym_block_comment,
    STATE(9650), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254207] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9390), 1,
      sym__interpolated_multiline_string_start,
    STATE(8217), 1,
      sym_interpolated_string,
    STATE(15777), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254349] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9392), 1,
      anon_sym_DOT,
    STATE(4762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254395] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9394), 1,
      anon_sym_DOT,
    STATE(4763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254441] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9396), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      anon_sym_LBRACE,
    ACTIONS(9400), 1,
      anon_sym_with,
    STATE(4986), 1,
      aux_sym_compound_type_repeat1,
    STATE(8725), 1,
      sym__refinement,
    STATE(8726), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4764), 2,
      sym_comment,
      sym_block_comment,
    STATE(8983), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8354), 4,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8352), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [254505] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9233), 1,
      anon_sym_LBRACK,
    ACTIONS(9237), 1,
      anon_sym_POUND,
    ACTIONS(9402), 1,
      anon_sym_AT,
    STATE(5863), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5969), 1,
      sym_type_arguments,
    STATE(7305), 1,
      sym_annotation,
    STATE(4765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254693] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9359), 1,
      anon_sym_COLON,
    ACTIONS(9361), 1,
      anon_sym_LBRACE,
    ACTIONS(9363), 1,
      anon_sym_with,
    STATE(6654), 1,
      aux_sym_compound_type_repeat1,
    STATE(9647), 1,
      sym_template_body,
    STATE(9672), 1,
      sym__refinement,
    STATE(4769), 2,
      sym_comment,
      sym_block_comment,
    STATE(9431), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254751] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9203), 1,
      anon_sym_LBRACK,
    ACTIONS(9205), 1,
      anon_sym_AT,
    ACTIONS(9209), 1,
      anon_sym_POUND,
    STATE(5752), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6128), 1,
      sym_type_arguments,
    STATE(7054), 1,
      sym_annotation,
    STATE(4770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [254807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [254983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255423] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9359), 1,
      anon_sym_COLON,
    ACTIONS(9361), 1,
      anon_sym_LBRACE,
    ACTIONS(9363), 1,
      anon_sym_with,
    STATE(4769), 1,
      aux_sym_compound_type_repeat1,
    STATE(9647), 1,
      sym_template_body,
    STATE(9648), 1,
      sym__refinement,
    STATE(4785), 2,
      sym_comment,
      sym_block_comment,
    STATE(9431), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [255481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255525] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9404), 1,
      anon_sym_DOT,
    STATE(4787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [255571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255703] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [255881] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9406), 1,
      anon_sym_AT,
    STATE(5540), 1,
      sym_annotation,
    STATE(4795), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [255929] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9190), 1,
      anon_sym_DOT,
    ACTIONS(9409), 1,
      anon_sym_EQ_GT,
    STATE(4796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [255977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256021] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9141), 1,
      anon_sym_LBRACK,
    ACTIONS(9147), 1,
      anon_sym_POUND,
    ACTIONS(9411), 1,
      anon_sym_LPAREN,
    STATE(5957), 1,
      aux_sym_annotation_repeat1,
    STATE(6086), 1,
      sym_type_arguments,
    STATE(7066), 1,
      sym_arguments,
    STATE(4798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256077] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9413), 1,
      anon_sym_LPAREN,
    STATE(5953), 1,
      sym_arguments,
    STATE(4799), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256169] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9418), 1,
      anon_sym_AT,
    ACTIONS(9420), 1,
      anon_sym_LPAREN,
    ACTIONS(9422), 1,
      anon_sym_POUND,
    STATE(6545), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7260), 1,
      sym_type_arguments,
    STATE(7931), 1,
      sym_annotation,
    STATE(9234), 1,
      sym_arguments,
    STATE(4801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256229] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9113), 1,
      anon_sym_LPAREN,
    STATE(4799), 1,
      aux_sym_annotation_repeat1,
    STATE(5953), 1,
      sym_arguments,
    STATE(4802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256411] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256457] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9384), 1,
      anon_sym_COLON,
    ACTIONS(9386), 1,
      anon_sym_LBRACE,
    ACTIONS(9388), 1,
      anon_sym_with,
    STATE(4885), 1,
      aux_sym_compound_type_repeat1,
    STATE(9417), 1,
      sym__refinement,
    STATE(9419), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4807), 2,
      sym_comment,
      sym_block_comment,
    STATE(9650), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256521] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256655] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9424), 1,
      anon_sym_with,
    STATE(5439), 1,
      aux_sym_compound_type_repeat1,
    STATE(9067), 1,
      sym__refinement,
    STATE(9068), 1,
      sym_template_body,
    STATE(9234), 1,
      sym_arguments,
    STATE(4811), 2,
      sym_comment,
      sym_block_comment,
    STATE(9303), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8150), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256711] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9223), 1,
      anon_sym_LBRACK,
    ACTIONS(9229), 1,
      anon_sym_POUND,
    ACTIONS(9426), 1,
      anon_sym_LPAREN,
    STATE(5495), 1,
      aux_sym_annotation_repeat1,
    STATE(6298), 1,
      sym_type_arguments,
    STATE(6813), 1,
      sym_arguments,
    STATE(4812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [256767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256855] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(9019), 1,
      anon_sym_LPAREN,
    ACTIONS(9428), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4815), 2,
      sym_comment,
      sym_block_comment,
    STATE(7382), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [256911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [256999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257043] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(8388), 1,
      sym__interpolated_multiline_string_start,
    STATE(5620), 1,
      sym_interpolated_string,
    STATE(15336), 1,
      sym__interpolated_string_start,
    ACTIONS(9430), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257097] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9432), 1,
      anon_sym_LBRACK,
    ACTIONS(9434), 1,
      anon_sym_LPAREN,
    ACTIONS(9436), 1,
      anon_sym_POUND,
    STATE(5850), 1,
      aux_sym_annotation_repeat1,
    STATE(6212), 1,
      sym_type_arguments,
    STATE(6993), 1,
      sym_arguments,
    STATE(4820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257153] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9438), 1,
      anon_sym_COLON,
    ACTIONS(9440), 1,
      anon_sym_LBRACE,
    ACTIONS(9442), 1,
      anon_sym_with,
    STATE(6801), 1,
      aux_sym_compound_type_repeat1,
    STATE(9582), 1,
      sym__refinement,
    STATE(9606), 1,
      sym_template_body,
    STATE(4821), 2,
      sym_comment,
      sym_block_comment,
    STATE(9598), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257255] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9444), 1,
      anon_sym_LPAREN,
    STATE(5805), 1,
      sym_arguments,
    STATE(4823), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257391] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8997), 1,
      anon_sym_LPAREN,
    STATE(4823), 1,
      aux_sym_annotation_repeat1,
    STATE(5805), 1,
      sym_arguments,
    STATE(4826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257441] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9447), 1,
      anon_sym_COLON,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    ACTIONS(9451), 1,
      anon_sym_with,
    STATE(6784), 1,
      aux_sym_compound_type_repeat1,
    STATE(9657), 1,
      sym__refinement,
    STATE(9679), 1,
      sym_template_body,
    STATE(4827), 2,
      sym_comment,
      sym_block_comment,
    STATE(9565), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257587] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9453), 1,
      anon_sym_COLON,
    ACTIONS(9455), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      anon_sym_with,
    STATE(4882), 1,
      aux_sym_compound_type_repeat1,
    STATE(9496), 1,
      sym_template_body,
    STATE(9551), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4830), 2,
      sym_comment,
      sym_block_comment,
    STATE(9385), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [257651] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9459), 1,
      anon_sym_AT,
    STATE(5504), 1,
      sym_annotation,
    STATE(4831), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257831] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9462), 1,
      anon_sym_LPAREN,
    STATE(5779), 1,
      sym_arguments,
    STATE(4835), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [257879] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9309), 1,
      anon_sym_DOT,
    ACTIONS(9465), 1,
      anon_sym_EQ_GT,
    STATE(4836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [257971] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258017] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9467), 1,
      sym__interpolated_multiline_string_start,
    STATE(8615), 1,
      sym_interpolated_string,
    STATE(15705), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258115] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9469), 1,
      anon_sym_DOT,
    STATE(4841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258205] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8954), 1,
      anon_sym_LPAREN,
    STATE(4835), 1,
      aux_sym_annotation_repeat1,
    STATE(5779), 1,
      sym_arguments,
    STATE(4843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258255] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(8204), 1,
      anon_sym_LPAREN,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8428), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      sym__alpha_identifier,
    ACTIONS(9479), 1,
      anon_sym_EQ,
    ACTIONS(9481), 1,
      sym__backquoted_id,
    ACTIONS(9483), 1,
      sym_operator_identifier,
    STATE(529), 1,
      sym_identifier,
    STATE(3890), 1,
      sym__soft_identifier,
    STATE(4844), 2,
      sym_comment,
      sym_block_comment,
    STATE(5628), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9477), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9475), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [258323] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9349), 1,
      anon_sym_LBRACK,
    ACTIONS(9353), 1,
      anon_sym_POUND,
    ACTIONS(9485), 1,
      anon_sym_AT,
    STATE(5491), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5633), 1,
      sym_type_arguments,
    STATE(6962), 1,
      sym_annotation,
    STATE(4845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258379] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9487), 1,
      anon_sym_LBRACK,
    ACTIONS(9489), 1,
      anon_sym_AT,
    ACTIONS(9491), 1,
      anon_sym_LPAREN,
    ACTIONS(9493), 1,
      anon_sym_POUND,
    STATE(6090), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6766), 1,
      sym_type_arguments,
    STATE(8035), 1,
      sym_annotation,
    STATE(8982), 1,
      sym_arguments,
    STATE(4846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258615] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9453), 1,
      anon_sym_COLON,
    ACTIONS(9455), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      anon_sym_with,
    STATE(4882), 1,
      aux_sym_compound_type_repeat1,
    STATE(9496), 1,
      sym_template_body,
    STATE(9551), 1,
      sym__refinement,
    STATE(4851), 2,
      sym_comment,
      sym_block_comment,
    STATE(9385), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [258673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258805] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(8786), 1,
      sym__interpolated_multiline_string_start,
    STATE(6338), 1,
      sym_interpolated_string,
    STATE(15432), 1,
      sym__interpolated_string_start,
    ACTIONS(9495), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [258859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258947] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9221), 1,
      anon_sym_EQ_GT,
    STATE(4858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [258993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259037] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9497), 1,
      anon_sym_LPAREN,
    STATE(5728), 1,
      sym_arguments,
    STATE(4860), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259129] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9223), 1,
      anon_sym_LBRACK,
    ACTIONS(9225), 1,
      anon_sym_AT,
    ACTIONS(9229), 1,
      anon_sym_POUND,
    STATE(5959), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6298), 1,
      sym_type_arguments,
    STATE(7003), 1,
      sym_annotation,
    STATE(4862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259185] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9500), 1,
      anon_sym_AT,
    STATE(5484), 1,
      sym_annotation,
    STATE(4863), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259233] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9332), 1,
      anon_sym_with,
    STATE(6790), 1,
      aux_sym_compound_type_repeat1,
    STATE(8397), 1,
      sym__refinement,
    STATE(8440), 1,
      sym_template_body,
    STATE(4864), 2,
      sym_comment,
      sym_block_comment,
    STATE(8145), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259287] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9066), 1,
      anon_sym_LPAREN,
    STATE(4860), 1,
      aux_sym_annotation_repeat1,
    STATE(5728), 1,
      sym_arguments,
    STATE(4865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259337] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9503), 1,
      anon_sym_COLON,
    ACTIONS(9505), 1,
      anon_sym_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_with,
    STATE(6697), 1,
      aux_sym_compound_type_repeat1,
    STATE(9605), 1,
      sym_template_body,
    STATE(9635), 1,
      sym__refinement,
    STATE(4866), 2,
      sym_comment,
      sym_block_comment,
    STATE(9433), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259395] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9509), 1,
      anon_sym_with,
    STATE(5141), 1,
      aux_sym_compound_type_repeat1,
    STATE(8744), 1,
      sym_arguments,
    STATE(8777), 1,
      sym_template_body,
    STATE(8781), 1,
      sym__refinement,
    STATE(4867), 2,
      sym_comment,
      sym_block_comment,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259451] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9396), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      anon_sym_LBRACE,
    ACTIONS(9400), 1,
      anon_sym_with,
    STATE(4986), 1,
      aux_sym_compound_type_repeat1,
    STATE(8725), 1,
      sym__refinement,
    STATE(8726), 1,
      sym_template_body,
    STATE(4868), 2,
      sym_comment,
      sym_block_comment,
    STATE(8983), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259509] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [259555] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9213), 1,
      anon_sym_LBRACK,
    ACTIONS(9215), 1,
      anon_sym_AT,
    ACTIONS(9219), 1,
      anon_sym_POUND,
    STATE(5906), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6272), 1,
      sym_type_arguments,
    STATE(7209), 1,
      sym_annotation,
    STATE(4870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259743] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9248), 1,
      anon_sym_with,
    STATE(6690), 1,
      aux_sym_compound_type_repeat1,
    STATE(8531), 1,
      sym__refinement,
    STATE(8552), 1,
      sym_template_body,
    STATE(4874), 2,
      sym_comment,
      sym_block_comment,
    STATE(8202), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259797] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9019), 1,
      anon_sym_LPAREN,
    ACTIONS(9428), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4875), 2,
      sym_comment,
      sym_block_comment,
    STATE(7382), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [259855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [259899] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9511), 1,
      anon_sym_AT,
    STATE(5648), 1,
      sym_annotation,
    STATE(4877), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [259991] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260081] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9141), 1,
      anon_sym_LBRACK,
    ACTIONS(9143), 1,
      anon_sym_AT,
    ACTIONS(9147), 1,
      anon_sym_POUND,
    STATE(5470), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6086), 1,
      sym_type_arguments,
    STATE(6722), 1,
      sym_annotation,
    STATE(4881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260137] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9453), 1,
      anon_sym_COLON,
    ACTIONS(9455), 1,
      anon_sym_LBRACE,
    ACTIONS(9457), 1,
      anon_sym_with,
    STATE(6881), 1,
      aux_sym_compound_type_repeat1,
    STATE(9496), 1,
      sym_template_body,
    STATE(9599), 1,
      sym__refinement,
    STATE(4882), 2,
      sym_comment,
      sym_block_comment,
    STATE(9385), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8236), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260195] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9297), 1,
      anon_sym_LBRACK,
    ACTIONS(9301), 1,
      anon_sym_POUND,
    ACTIONS(9514), 1,
      anon_sym_AT,
    STATE(5623), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5870), 1,
      sym_type_arguments,
    STATE(6899), 1,
      sym_annotation,
    STATE(4883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260251] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260297] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9384), 1,
      anon_sym_COLON,
    ACTIONS(9386), 1,
      anon_sym_LBRACE,
    ACTIONS(9388), 1,
      anon_sym_with,
    STATE(7001), 1,
      aux_sym_compound_type_repeat1,
    STATE(9392), 1,
      sym__refinement,
    STATE(9419), 1,
      sym_template_body,
    STATE(4885), 2,
      sym_comment,
      sym_block_comment,
    STATE(9650), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260355] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9023), 1,
      anon_sym_AT,
    STATE(4877), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5648), 1,
      sym_annotation,
    STATE(4886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260405] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9303), 1,
      anon_sym_LBRACK,
    ACTIONS(9307), 1,
      anon_sym_POUND,
    ACTIONS(9516), 1,
      anon_sym_AT,
    STATE(5783), 1,
      sym_type_arguments,
    STATE(5829), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7141), 1,
      sym_annotation,
    STATE(4887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260461] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9253), 1,
      anon_sym_LBRACK,
    ACTIONS(9257), 1,
      anon_sym_POUND,
    ACTIONS(9518), 1,
      anon_sym_AT,
    STATE(5589), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5934), 1,
      sym_type_arguments,
    STATE(6864), 1,
      sym_annotation,
    STATE(4888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [260561] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8570), 1,
      anon_sym_AT,
    STATE(4795), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5540), 1,
      sym_annotation,
    STATE(4890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [260611] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260701] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(8854), 1,
      sym__interpolated_multiline_string_start,
    STATE(6251), 1,
      sym_interpolated_string,
    STATE(15808), 1,
      sym__interpolated_string_start,
    ACTIONS(9520), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260755] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9157), 1,
      sym__interpolated_multiline_string_start,
    STATE(7546), 1,
      sym_interpolated_string,
    STATE(15366), 1,
      sym__interpolated_string_start,
    ACTIONS(9522), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [260853] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9184), 1,
      anon_sym_LBRACK,
    ACTIONS(9188), 1,
      anon_sym_POUND,
    ACTIONS(9524), 1,
      anon_sym_AT,
    STATE(5596), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5878), 1,
      sym_type_arguments,
    STATE(7307), 1,
      sym_annotation,
    STATE(4896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260909] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9292), 1,
      anon_sym_with,
    STATE(6944), 1,
      aux_sym_compound_type_repeat1,
    STATE(8134), 1,
      sym__refinement,
    STATE(8165), 1,
      sym_template_body,
    STATE(4897), 2,
      sym_comment,
      sym_block_comment,
    STATE(8354), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [260963] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9526), 1,
      anon_sym_AT,
    STATE(5466), 1,
      sym_annotation,
    STATE(4898), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261011] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9529), 1,
      anon_sym_LBRACK,
    ACTIONS(9531), 1,
      anon_sym_LPAREN,
    ACTIONS(9533), 1,
      anon_sym_POUND,
    STATE(5510), 1,
      aux_sym_annotation_repeat1,
    STATE(6509), 1,
      sym_type_arguments,
    STATE(6711), 1,
      sym_arguments,
    STATE(4899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261199] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9038), 1,
      anon_sym_LPAREN,
    STATE(4909), 1,
      aux_sym_annotation_repeat1,
    STATE(5976), 1,
      sym_arguments,
    STATE(4903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261293] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9213), 1,
      anon_sym_LBRACK,
    ACTIONS(9219), 1,
      anon_sym_POUND,
    ACTIONS(9535), 1,
      anon_sym_LPAREN,
    STATE(5472), 1,
      aux_sym_annotation_repeat1,
    STATE(6272), 1,
      sym_type_arguments,
    STATE(6710), 1,
      sym_arguments,
    STATE(4905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261349] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261439] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(8204), 1,
      anon_sym_LPAREN,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8428), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      sym__alpha_identifier,
    ACTIONS(9481), 1,
      sym__backquoted_id,
    ACTIONS(9483), 1,
      sym_operator_identifier,
    ACTIONS(9537), 1,
      anon_sym_EQ,
    STATE(529), 1,
      sym_identifier,
    STATE(3890), 1,
      sym__soft_identifier,
    STATE(4908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(5628), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9475), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9477), 7,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [261507] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9539), 1,
      anon_sym_LPAREN,
    STATE(5976), 1,
      sym_arguments,
    STATE(4909), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261687] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9542), 1,
      anon_sym_LBRACK,
    ACTIONS(9544), 1,
      anon_sym_LPAREN,
    ACTIONS(9546), 1,
      anon_sym_POUND,
    STATE(5689), 1,
      aux_sym_annotation_repeat1,
    STATE(6326), 1,
      sym_type_arguments,
    STATE(7316), 1,
      sym_arguments,
    STATE(4913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261831] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(8786), 1,
      sym__interpolated_multiline_string_start,
    STATE(6338), 1,
      sym_interpolated_string,
    STATE(15432), 1,
      sym__interpolated_string_start,
    ACTIONS(9548), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [261885] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9157), 1,
      sym__interpolated_multiline_string_start,
    STATE(7546), 1,
      sym_interpolated_string,
    STATE(15366), 1,
      sym__interpolated_string_start,
    ACTIONS(9550), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [261939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [261983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262071] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9552), 1,
      anon_sym_LBRACK,
    ACTIONS(9554), 1,
      anon_sym_LPAREN,
    ACTIONS(9556), 1,
      anon_sym_POUND,
    STATE(5453), 1,
      aux_sym_annotation_repeat1,
    STATE(6429), 1,
      sym_type_arguments,
    STATE(6660), 1,
      sym_arguments,
    STATE(4921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262127] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9558), 1,
      sym__interpolated_multiline_string_start,
    STATE(8139), 1,
      sym_interpolated_string,
    STATE(15723), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262181] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(8854), 1,
      sym__interpolated_multiline_string_start,
    STATE(6251), 1,
      sym_interpolated_string,
    STATE(15808), 1,
      sym__interpolated_string_start,
    ACTIONS(9560), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262411] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262457] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9050), 1,
      anon_sym_AT,
    STATE(4831), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5504), 1,
      sym_annotation,
    STATE(4929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262595] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9568), 1,
      anon_sym_LBRACK,
    ACTIONS(9570), 1,
      anon_sym_LPAREN,
    ACTIONS(9572), 1,
      anon_sym_POUND,
    STATE(5509), 1,
      aux_sym_annotation_repeat1,
    STATE(6382), 1,
      sym_type_arguments,
    STATE(6705), 1,
      sym_arguments,
    STATE(4932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262651] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9574), 1,
      anon_sym_DOT,
    STATE(4933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [262697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262785] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8925), 1,
      anon_sym_LPAREN,
    STATE(4944), 1,
      aux_sym_annotation_repeat1,
    STATE(5810), 1,
      sym_arguments,
    STATE(4936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262835] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9170), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 1,
      anon_sym_POUND,
    ACTIONS(9576), 1,
      anon_sym_AT,
    STATE(5499), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5912), 1,
      sym_type_arguments,
    STATE(6751), 1,
      sym_annotation,
    STATE(4937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [262891] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9578), 1,
      anon_sym_COLON,
    ACTIONS(9581), 1,
      anon_sym_LBRACE,
    STATE(6552), 1,
      sym_template_body,
    STATE(4938), 2,
      sym_comment,
      sym_block_comment,
    STATE(6257), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 16,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262943] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9588), 1,
      anon_sym_with,
    STATE(4939), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [262989] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(9090), 1,
      anon_sym_LPAREN,
    ACTIONS(9591), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4940), 2,
      sym_comment,
      sym_block_comment,
    STATE(7634), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263045] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9593), 1,
      anon_sym_DOT,
    STATE(4941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263091] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9595), 1,
      anon_sym_LBRACK,
    ACTIONS(9597), 1,
      anon_sym_LPAREN,
    ACTIONS(9599), 1,
      anon_sym_POUND,
    STATE(5529), 1,
      aux_sym_annotation_repeat1,
    STATE(6319), 1,
      sym_type_arguments,
    STATE(6729), 1,
      sym_arguments,
    STATE(4942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263147] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9601), 1,
      anon_sym_DOT,
    ACTIONS(9603), 1,
      sym_operator_identifier,
    STATE(1794), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4943), 2,
      sym_comment,
      sym_block_comment,
    STATE(7413), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8426), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [263215] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9605), 1,
      anon_sym_LPAREN,
    STATE(5810), 1,
      sym_arguments,
    STATE(4944), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263263] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9608), 1,
      anon_sym_DOT,
    STATE(4945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [263397] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9614), 1,
      anon_sym_LPAREN,
    STATE(5602), 1,
      sym_arguments,
    STATE(4948), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263445] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8942), 1,
      anon_sym_LPAREN,
    STATE(4948), 1,
      aux_sym_annotation_repeat1,
    STATE(5602), 1,
      sym_arguments,
    STATE(4949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263495] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9345), 1,
      anon_sym_EQ_GT,
    STATE(4950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263541] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9503), 1,
      anon_sym_COLON,
    ACTIONS(9505), 1,
      anon_sym_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_with,
    STATE(4866), 1,
      aux_sym_compound_type_repeat1,
    STATE(9605), 1,
      sym_template_body,
    STATE(9608), 1,
      sym__refinement,
    STATE(4951), 2,
      sym_comment,
      sym_block_comment,
    STATE(9433), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [263599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [263687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263731] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9617), 1,
      anon_sym_DOT,
    STATE(4955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263777] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8971), 1,
      anon_sym_LPAREN,
    STATE(4959), 1,
      aux_sym_annotation_repeat1,
    STATE(5832), 1,
      sym_arguments,
    STATE(4956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [263915] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9619), 1,
      anon_sym_LPAREN,
    STATE(5832), 1,
      sym_arguments,
    STATE(4959), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [263963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264007] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(4961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264053] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8950), 1,
      anon_sym_LPAREN,
    STATE(4966), 1,
      aux_sym_annotation_repeat1,
    STATE(5881), 1,
      sym_arguments,
    STATE(4962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264103] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9622), 1,
      anon_sym_LBRACK,
    ACTIONS(9624), 1,
      anon_sym_LPAREN,
    ACTIONS(9626), 1,
      anon_sym_POUND,
    STATE(5684), 1,
      aux_sym_annotation_repeat1,
    STATE(6034), 1,
      sym_type_arguments,
    STATE(6863), 1,
      sym_arguments,
    STATE(4963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [264159] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9153), 1,
      anon_sym_with,
    STATE(7248), 1,
      aux_sym_compound_type_repeat1,
    STATE(8432), 1,
      sym_template_body,
    STATE(8519), 1,
      sym__refinement,
    STATE(4964), 2,
      sym_comment,
      sym_block_comment,
    STATE(8477), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264213] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9628), 1,
      anon_sym_COLON,
    ACTIONS(9631), 1,
      anon_sym_LBRACE,
    STATE(5999), 1,
      sym_template_body,
    STATE(4965), 2,
      sym_comment,
      sym_block_comment,
    STATE(6317), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 16,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264265] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9634), 1,
      anon_sym_LPAREN,
    STATE(5881), 1,
      sym_arguments,
    STATE(4966), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264313] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9503), 1,
      anon_sym_COLON,
    ACTIONS(9505), 1,
      anon_sym_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_with,
    STATE(4866), 1,
      aux_sym_compound_type_repeat1,
    STATE(9605), 1,
      sym_template_body,
    STATE(9608), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4967), 2,
      sym_comment,
      sym_block_comment,
    STATE(9433), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [264377] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8614), 1,
      anon_sym_AT,
    STATE(4863), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5484), 1,
      sym_annotation,
    STATE(4968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264427] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9040), 1,
      anon_sym_AT,
    STATE(4982), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5961), 1,
      sym_annotation,
    STATE(4969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 22,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264565] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9090), 1,
      anon_sym_LPAREN,
    ACTIONS(9591), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4972), 2,
      sym_comment,
      sym_block_comment,
    STATE(7634), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264667] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8927), 1,
      anon_sym_AT,
    STATE(4992), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5949), 1,
      sym_annotation,
    STATE(4974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264761] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8991), 1,
      anon_sym_LPAREN,
    STATE(5015), 1,
      aux_sym_annotation_repeat1,
    STATE(5694), 1,
      sym_arguments,
    STATE(4976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [264811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [264943] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9447), 1,
      anon_sym_COLON,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    ACTIONS(9451), 1,
      anon_sym_with,
    STATE(4827), 1,
      aux_sym_compound_type_repeat1,
    STATE(9677), 1,
      sym__refinement,
    STATE(9679), 1,
      sym_template_body,
    STATE(4980), 2,
      sym_comment,
      sym_block_comment,
    STATE(9565), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265001] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9601), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4981), 2,
      sym_comment,
      sym_block_comment,
    STATE(7413), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265059] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9637), 1,
      anon_sym_AT,
    STATE(5961), 1,
      sym_annotation,
    STATE(4982), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265195] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9438), 1,
      anon_sym_COLON,
    ACTIONS(9440), 1,
      anon_sym_LBRACE,
    ACTIONS(9442), 1,
      anon_sym_with,
    STATE(4821), 1,
      aux_sym_compound_type_repeat1,
    STATE(9601), 1,
      sym__refinement,
    STATE(9606), 1,
      sym_template_body,
    STATE(4985), 2,
      sym_comment,
      sym_block_comment,
    STATE(9598), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265253] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9396), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      anon_sym_LBRACE,
    ACTIONS(9400), 1,
      anon_sym_with,
    STATE(7013), 1,
      aux_sym_compound_type_repeat1,
    STATE(8726), 1,
      sym_template_body,
    STATE(8760), 1,
      sym__refinement,
    STATE(4986), 2,
      sym_comment,
      sym_block_comment,
    STATE(8983), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8236), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265311] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9640), 1,
      anon_sym_LBRACK,
    ACTIONS(9642), 1,
      anon_sym_LPAREN,
    ACTIONS(9644), 1,
      anon_sym_POUND,
    STATE(5981), 1,
      sym_type_arguments,
    STATE(6283), 1,
      aux_sym_annotation_repeat1,
    STATE(7899), 1,
      sym_arguments,
    STATE(4987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265499] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9646), 1,
      anon_sym_LBRACK,
    ACTIONS(9648), 1,
      anon_sym_LPAREN,
    ACTIONS(9650), 1,
      anon_sym_POUND,
    STATE(5939), 1,
      aux_sym_annotation_repeat1,
    STATE(6300), 1,
      sym_type_arguments,
    STATE(7040), 1,
      sym_arguments,
    STATE(4991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265555] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9652), 1,
      anon_sym_AT,
    STATE(5949), 1,
      sym_annotation,
    STATE(4992), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [265603] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9447), 1,
      anon_sym_COLON,
    ACTIONS(9449), 1,
      anon_sym_LBRACE,
    ACTIONS(9451), 1,
      anon_sym_with,
    STATE(4827), 1,
      aux_sym_compound_type_repeat1,
    STATE(9677), 1,
      sym__refinement,
    STATE(9679), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(4993), 2,
      sym_comment,
      sym_block_comment,
    STATE(9565), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [265667] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9019), 1,
      anon_sym_LPAREN,
    ACTIONS(9428), 1,
      anon_sym_DOT,
    ACTIONS(9655), 1,
      sym_operator_identifier,
    STATE(1723), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(4994), 2,
      sym_comment,
      sym_block_comment,
    STATE(7382), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [265735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265823] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8981), 1,
      anon_sym_AT,
    STATE(4898), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5466), 1,
      sym_annotation,
    STATE(4997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265917] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8694), 1,
      anon_sym_AT,
    STATE(4754), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5577), 1,
      sym_annotation,
    STATE(4999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [265967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266011] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9657), 1,
      anon_sym_LBRACK,
    ACTIONS(9659), 1,
      anon_sym_LPAREN,
    ACTIONS(9661), 1,
      anon_sym_POUND,
    STATE(6065), 1,
      sym_type_arguments,
    STATE(6279), 1,
      aux_sym_annotation_repeat1,
    STATE(7381), 1,
      sym_arguments,
    STATE(5001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266067] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9438), 1,
      anon_sym_COLON,
    ACTIONS(9440), 1,
      anon_sym_LBRACE,
    ACTIONS(9442), 1,
      anon_sym_with,
    STATE(4821), 1,
      aux_sym_compound_type_repeat1,
    STATE(9601), 1,
      sym__refinement,
    STATE(9606), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5002), 2,
      sym_comment,
      sym_block_comment,
    STATE(9598), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266175] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9203), 1,
      anon_sym_LBRACK,
    ACTIONS(9209), 1,
      anon_sym_POUND,
    ACTIONS(9663), 1,
      anon_sym_LPAREN,
    STATE(5558), 1,
      aux_sym_annotation_repeat1,
    STATE(6128), 1,
      sym_type_arguments,
    STATE(6984), 1,
      sym_arguments,
    STATE(5004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266363] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9665), 1,
      anon_sym_with,
    STATE(5008), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [266541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266673] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9668), 1,
      anon_sym_LPAREN,
    STATE(5694), 1,
      sym_arguments,
    STATE(5015), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266809] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9671), 1,
      anon_sym_with,
    STATE(5259), 1,
      aux_sym_compound_type_repeat1,
    STATE(8823), 1,
      sym__refinement,
    STATE(8824), 1,
      sym_template_body,
    STATE(8835), 1,
      sym_arguments,
    STATE(5018), 2,
      sym_comment,
      sym_block_comment,
    STATE(9224), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [266865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [266909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [266953] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9601), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5021), 2,
      sym_comment,
      sym_block_comment,
    STATE(7413), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267053] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9673), 1,
      anon_sym_LBRACK,
    ACTIONS(9675), 1,
      anon_sym_AT,
    ACTIONS(9677), 1,
      anon_sym_LPAREN,
    ACTIONS(9679), 1,
      anon_sym_POUND,
    STATE(6477), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7221), 1,
      sym_type_arguments,
    STATE(7561), 1,
      sym_annotation,
    STATE(8835), 1,
      sym_arguments,
    STATE(5023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267157] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9027), 1,
      sym__interpolated_multiline_string_start,
    STATE(7357), 1,
      sym_interpolated_string,
    STATE(14754), 1,
      sym__interpolated_string_start,
    ACTIONS(9681), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267255] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9139), 1,
      anon_sym_DOT,
    ACTIONS(9683), 1,
      anon_sym_EQ_GT,
    STATE(5027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [267347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267565] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9685), 1,
      anon_sym_AT,
    STATE(6119), 1,
      sym_annotation,
    STATE(5034), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267612] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9688), 1,
      anon_sym_COLON,
    ACTIONS(9690), 1,
      anon_sym_LBRACE,
    ACTIONS(9692), 1,
      anon_sym_with,
    STATE(7763), 1,
      aux_sym_compound_type_repeat1,
    STATE(9864), 1,
      sym_template_body,
    STATE(9883), 1,
      sym__refinement,
    STATE(5035), 2,
      sym_comment,
      sym_block_comment,
    STATE(9796), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [267755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [267927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [267970] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9694), 1,
      anon_sym_COLON,
    ACTIONS(9696), 1,
      anon_sym_LBRACE,
    ACTIONS(9698), 1,
      anon_sym_with,
    STATE(7811), 1,
      aux_sym_compound_type_repeat1,
    STATE(9931), 1,
      sym_template_body,
    STATE(9949), 1,
      sym__refinement,
    STATE(5043), 2,
      sym_comment,
      sym_block_comment,
    STATE(9847), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268027] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9186), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      aux_sym_annotation_repeat1,
    STATE(6175), 1,
      sym_arguments,
    STATE(5044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268205] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9683), 1,
      anon_sym_EQ_GT,
    STATE(5048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268250] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9704), 1,
      anon_sym_LPAREN,
    STATE(6175), 1,
      sym_arguments,
    STATE(5049), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268297] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8572), 1,
      anon_sym_LPAREN,
    ACTIONS(9155), 1,
      anon_sym_DOT,
    ACTIONS(9707), 1,
      sym__alpha_identifier,
    ACTIONS(9711), 1,
      anon_sym_EQ,
    ACTIONS(9713), 1,
      sym__backquoted_id,
    ACTIONS(9715), 1,
      sym_operator_identifier,
    STATE(532), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    STATE(5050), 2,
      sym_comment,
      sym_block_comment,
    STATE(6873), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9477), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9709), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [268364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268665] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      anon_sym_end,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(9723), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15961), 1,
      sym_identifier,
    STATE(5058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [268718] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9622), 1,
      anon_sym_LBRACK,
    ACTIONS(9626), 1,
      anon_sym_POUND,
    ACTIONS(9725), 1,
      anon_sym_AT,
    STATE(6034), 1,
      sym_type_arguments,
    STATE(6242), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7577), 1,
      sym_annotation,
    STATE(5059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268773] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [268861] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9727), 1,
      anon_sym_LBRACK,
    ACTIONS(9729), 1,
      anon_sym_LPAREN,
    ACTIONS(9731), 1,
      anon_sym_POUND,
    STATE(6217), 1,
      aux_sym_annotation_repeat1,
    STATE(7157), 1,
      sym_type_arguments,
    STATE(8014), 1,
      sym_arguments,
    STATE(5062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [268916] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9418), 1,
      anon_sym_AT,
    ACTIONS(9422), 1,
      anon_sym_POUND,
    STATE(6545), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7260), 1,
      sym_type_arguments,
    STATE(7931), 1,
      sym_annotation,
    STATE(5063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [268971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269057] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      anon_sym_end,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(9733), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16137), 1,
      sym_identifier,
    STATE(5066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [269110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269153] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9127), 1,
      sym__interpolated_multiline_string_start,
    STATE(7511), 1,
      sym_interpolated_string,
    STATE(15754), 1,
      sym__interpolated_string_start,
    ACTIONS(9735), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269249] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9737), 1,
      anon_sym_COLON,
    ACTIONS(9739), 1,
      anon_sym_LBRACE,
    ACTIONS(9741), 1,
      anon_sym_with,
    STATE(5331), 1,
      aux_sym_compound_type_repeat1,
    STATE(9904), 1,
      sym_template_body,
    STATE(9905), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5070), 2,
      sym_comment,
      sym_block_comment,
    STATE(9824), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269312] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1194), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9145), 1,
      anon_sym_LPAREN,
    ACTIONS(9743), 1,
      anon_sym_DOT,
    ACTIONS(9745), 1,
      sym_operator_identifier,
    STATE(1749), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5071), 2,
      sym_comment,
      sym_block_comment,
    STATE(8300), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [269379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269422] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9688), 1,
      anon_sym_COLON,
    ACTIONS(9690), 1,
      anon_sym_LBRACE,
    ACTIONS(9692), 1,
      anon_sym_with,
    STATE(5035), 1,
      aux_sym_compound_type_repeat1,
    STATE(9864), 1,
      sym_template_body,
    STATE(9865), 1,
      sym__refinement,
    STATE(5073), 2,
      sym_comment,
      sym_block_comment,
    STATE(9796), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269479] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9673), 1,
      anon_sym_LBRACK,
    ACTIONS(9679), 1,
      anon_sym_POUND,
    ACTIONS(9747), 1,
      anon_sym_LPAREN,
    STATE(6091), 1,
      aux_sym_annotation_repeat1,
    STATE(7221), 1,
      sym_type_arguments,
    STATE(7984), 1,
      sym_arguments,
    STATE(5074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269577] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      anon_sym_end,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(9749), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15889), 1,
      sym_identifier,
    STATE(5076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [269630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5964), 1,
      sym_arguments,
    STATE(5077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [269761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [269804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269847] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9755), 1,
      sym__interpolated_multiline_string_start,
    STATE(9203), 1,
      sym_interpolated_string,
    STATE(15575), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [269900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [269986] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      anon_sym_end,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(9761), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15860), 1,
      sym_identifier,
    STATE(5085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [270039] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9763), 1,
      anon_sym_LBRACK,
    ACTIONS(9765), 1,
      anon_sym_LPAREN,
    ACTIONS(9767), 1,
      anon_sym_POUND,
    STATE(6923), 1,
      aux_sym_annotation_repeat1,
    STATE(7115), 1,
      sym_type_arguments,
    STATE(8160), 1,
      sym_arguments,
    STATE(5086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270137] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9640), 1,
      anon_sym_LBRACK,
    ACTIONS(9644), 1,
      anon_sym_POUND,
    ACTIONS(9769), 1,
      anon_sym_AT,
    STATE(5981), 1,
      sym_type_arguments,
    STATE(7329), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8580), 1,
      sym_annotation,
    STATE(5088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270192] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9673), 1,
      anon_sym_LBRACK,
    ACTIONS(9675), 1,
      anon_sym_AT,
    ACTIONS(9679), 1,
      anon_sym_POUND,
    STATE(6477), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7221), 1,
      sym_type_arguments,
    STATE(7561), 1,
      sym_annotation,
    STATE(5089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270247] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9771), 1,
      anon_sym_COLON,
    ACTIONS(9773), 1,
      anon_sym_LBRACE,
    ACTIONS(9775), 1,
      anon_sym_with,
    STATE(7903), 1,
      aux_sym_compound_type_repeat1,
    STATE(9996), 1,
      sym_template_body,
    STATE(10009), 1,
      sym__refinement,
    STATE(5090), 2,
      sym_comment,
      sym_block_comment,
    STATE(9985), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270304] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9777), 1,
      anon_sym_DOT,
    STATE(5091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270349] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9779), 1,
      anon_sym_with,
    STATE(5970), 1,
      aux_sym_compound_type_repeat1,
    STATE(9337), 1,
      sym_arguments,
    STATE(9507), 1,
      sym_template_body,
    STATE(9514), 1,
      sym__refinement,
    STATE(5092), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8150), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270447] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9088), 1,
      anon_sym_AT,
    STATE(5174), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6133), 1,
      sym_annotation,
    STATE(5094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270539] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(8854), 1,
      sym__interpolated_multiline_string_start,
    STATE(6251), 1,
      sym_interpolated_string,
    STATE(15808), 1,
      sym__interpolated_string_start,
    ACTIONS(9781), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270592] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9737), 1,
      anon_sym_COLON,
    ACTIONS(9739), 1,
      anon_sym_LBRACE,
    ACTIONS(9741), 1,
      anon_sym_with,
    STATE(5331), 1,
      aux_sym_compound_type_repeat1,
    STATE(9904), 1,
      sym_template_body,
    STATE(9905), 1,
      sym__refinement,
    STATE(5097), 2,
      sym_comment,
      sym_block_comment,
    STATE(9824), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270649] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9783), 1,
      anon_sym_with,
    STATE(5098), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270737] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9017), 1,
      anon_sym_AT,
    STATE(5034), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6119), 1,
      sym_annotation,
    STATE(5100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [270786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270872] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9694), 1,
      anon_sym_COLON,
    ACTIONS(9696), 1,
      anon_sym_LBRACE,
    ACTIONS(9698), 1,
      anon_sym_with,
    STATE(5043), 1,
      aux_sym_compound_type_repeat1,
    STATE(9931), 1,
      sym_template_body,
    STATE(9932), 1,
      sym__refinement,
    STATE(5103), 2,
      sym_comment,
      sym_block_comment,
    STATE(9847), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [270929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [270972] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9790), 1,
      anon_sym_with,
    STATE(5753), 1,
      aux_sym_compound_type_repeat1,
    STATE(9518), 1,
      sym_arguments,
    STATE(9579), 1,
      sym__refinement,
    STATE(9586), 1,
      sym_template_body,
    STATE(5105), 2,
      sym_comment,
      sym_block_comment,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271027] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271072] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9382), 1,
      anon_sym_with,
    STATE(7949), 1,
      aux_sym_compound_type_repeat1,
    STATE(9281), 1,
      sym_template_body,
    STATE(9292), 1,
      sym__refinement,
    STATE(5107), 2,
      sym_comment,
      sym_block_comment,
    STATE(9119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271125] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9392), 1,
      anon_sym_DOT,
    ACTIONS(9792), 1,
      anon_sym_EQ_GT,
    STATE(5108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271172] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9794), 1,
      anon_sym_DOT,
    STATE(5109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271217] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9796), 1,
      anon_sym_LBRACK,
    ACTIONS(9798), 1,
      anon_sym_AT,
    ACTIONS(9800), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_POUND,
    STATE(7095), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7575), 1,
      sym_type_arguments,
    STATE(8653), 1,
      sym_annotation,
    STATE(9337), 1,
      sym_arguments,
    STATE(5110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271276] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9804), 1,
      anon_sym_with,
    STATE(5111), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271321] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9807), 1,
      anon_sym_AT,
    STATE(5998), 1,
      sym_annotation,
    STATE(5112), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271368] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    ACTIONS(9422), 1,
      anon_sym_POUND,
    ACTIONS(9810), 1,
      anon_sym_LPAREN,
    STATE(5986), 1,
      aux_sym_annotation_repeat1,
    STATE(7260), 1,
      sym_type_arguments,
    STATE(7801), 1,
      sym_arguments,
    STATE(5113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271466] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9812), 1,
      anon_sym_LPAREN,
    STATE(6009), 1,
      sym_arguments,
    STATE(5115), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271513] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9351), 1,
      anon_sym_LPAREN,
    STATE(5115), 1,
      aux_sym_annotation_repeat1,
    STATE(6009), 1,
      sym_arguments,
    STATE(5116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [271605] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9688), 1,
      anon_sym_COLON,
    ACTIONS(9690), 1,
      anon_sym_LBRACE,
    ACTIONS(9692), 1,
      anon_sym_with,
    STATE(5035), 1,
      aux_sym_compound_type_repeat1,
    STATE(9864), 1,
      sym_template_body,
    STATE(9865), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5118), 2,
      sym_comment,
      sym_block_comment,
    STATE(9796), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271668] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9593), 1,
      anon_sym_DOT,
    ACTIONS(9815), 1,
      anon_sym_EQ_GT,
    STATE(5119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271715] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9817), 1,
      anon_sym_LBRACK,
    ACTIONS(9819), 1,
      anon_sym_LPAREN,
    ACTIONS(9821), 1,
      anon_sym_POUND,
    STATE(6983), 1,
      sym_type_arguments,
    STATE(7317), 1,
      aux_sym_annotation_repeat1,
    STATE(8659), 1,
      sym_arguments,
    STATE(5120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271770] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(8786), 1,
      sym__interpolated_multiline_string_start,
    STATE(6338), 1,
      sym_interpolated_string,
    STATE(15432), 1,
      sym__interpolated_string_start,
    ACTIONS(9823), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271823] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9825), 1,
      anon_sym_LBRACK,
    ACTIONS(9827), 1,
      anon_sym_AT,
    ACTIONS(9829), 1,
      anon_sym_LPAREN,
    ACTIONS(9831), 1,
      anon_sym_POUND,
    STATE(7345), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7525), 1,
      sym_type_arguments,
    STATE(8449), 1,
      sym_annotation,
    STATE(9518), 1,
      sym_arguments,
    STATE(5122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271882] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [271927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [271970] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9432), 1,
      anon_sym_LBRACK,
    ACTIONS(9436), 1,
      anon_sym_POUND,
    ACTIONS(9833), 1,
      anon_sym_AT,
    STATE(6212), 1,
      sym_type_arguments,
    STATE(6536), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7414), 1,
      sym_annotation,
    STATE(5125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272025] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9835), 1,
      anon_sym_COLON,
    ACTIONS(9837), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_with,
    STATE(7994), 1,
      aux_sym_compound_type_repeat1,
    STATE(10105), 1,
      sym_template_body,
    STATE(10118), 1,
      sym__refinement,
    STATE(5126), 2,
      sym_comment,
      sym_block_comment,
    STATE(10121), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272082] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9404), 1,
      anon_sym_DOT,
    ACTIONS(9841), 1,
      anon_sym_EQ_GT,
    STATE(5127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272129] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9843), 1,
      anon_sym_with,
    STATE(5128), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272174] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9211), 1,
      anon_sym_AT,
    STATE(5140), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6416), 1,
      sym_annotation,
    STATE(5129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272266] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9044), 1,
      anon_sym_AT,
    STATE(5146), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6460), 1,
      sym_annotation,
    STATE(5131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272358] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9771), 1,
      anon_sym_COLON,
    ACTIONS(9773), 1,
      anon_sym_LBRACE,
    ACTIONS(9775), 1,
      anon_sym_with,
    STATE(5090), 1,
      aux_sym_compound_type_repeat1,
    STATE(9996), 1,
      sym_template_body,
    STATE(9998), 1,
      sym__refinement,
    STATE(5133), 2,
      sym_comment,
      sym_block_comment,
    STATE(9985), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272415] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9201), 1,
      anon_sym_AT,
    STATE(5112), 1,
      aux_sym_enum_definition_repeat1,
    STATE(5998), 1,
      sym_annotation,
    STATE(5134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272507] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9261), 1,
      anon_sym_AT,
    STATE(5150), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6497), 1,
      sym_annotation,
    STATE(5136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [272556] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9850), 1,
      anon_sym_COLON,
    ACTIONS(9852), 1,
      anon_sym_LBRACE,
    ACTIONS(9854), 1,
      anon_sym_with,
    STATE(7483), 1,
      aux_sym_compound_type_repeat1,
    STATE(10046), 1,
      sym__refinement,
    STATE(10067), 1,
      sym_template_body,
    STATE(5137), 2,
      sym_comment,
      sym_block_comment,
    STATE(10029), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272701] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9856), 1,
      anon_sym_AT,
    STATE(6416), 1,
      sym_annotation,
    STATE(5140), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272748] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9509), 1,
      anon_sym_with,
    STATE(7923), 1,
      aux_sym_compound_type_repeat1,
    STATE(8777), 1,
      sym_template_body,
    STATE(8805), 1,
      sym__refinement,
    STATE(5141), 2,
      sym_comment,
      sym_block_comment,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [272801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [272930] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9090), 1,
      anon_sym_LPAREN,
    ACTIONS(9591), 1,
      anon_sym_DOT,
    ACTIONS(9859), 1,
      sym_operator_identifier,
    STATE(1681), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5145), 2,
      sym_comment,
      sym_block_comment,
    STATE(7634), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8426), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [272997] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9861), 1,
      anon_sym_AT,
    STATE(6460), 1,
      sym_annotation,
    STATE(5146), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273044] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9244), 1,
      anon_sym_AT,
    STATE(5159), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6549), 1,
      sym_annotation,
    STATE(5147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273179] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9864), 1,
      anon_sym_AT,
    STATE(6497), 1,
      sym_annotation,
    STATE(5150), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273269] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273314] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9867), 1,
      anon_sym_AT,
    STATE(6419), 1,
      sym_annotation,
    STATE(5153), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273490] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9694), 1,
      anon_sym_COLON,
    ACTIONS(9696), 1,
      anon_sym_LBRACE,
    ACTIONS(9698), 1,
      anon_sym_with,
    STATE(5043), 1,
      aux_sym_compound_type_repeat1,
    STATE(9931), 1,
      sym_template_body,
    STATE(9932), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5157), 2,
      sym_comment,
      sym_block_comment,
    STATE(9847), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273553] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9390), 1,
      sym__interpolated_multiline_string_start,
    STATE(8217), 1,
      sym_interpolated_string,
    STATE(15777), 1,
      sym__interpolated_string_start,
    ACTIONS(9870), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273606] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9872), 1,
      anon_sym_AT,
    STATE(6549), 1,
      sym_annotation,
    STATE(5159), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 22,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [273696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273782] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9487), 1,
      anon_sym_LBRACK,
    ACTIONS(9489), 1,
      anon_sym_AT,
    ACTIONS(9493), 1,
      anon_sym_POUND,
    STATE(6090), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6766), 1,
      sym_type_arguments,
    STATE(8035), 1,
      sym_annotation,
    STATE(5163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273837] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(8326), 1,
      anon_sym_LPAREN,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8936), 1,
      anon_sym_DOT,
    ACTIONS(9875), 1,
      sym__alpha_identifier,
    ACTIONS(9879), 1,
      anon_sym_EQ,
    ACTIONS(9881), 1,
      sym__backquoted_id,
    ACTIONS(9883), 1,
      sym_operator_identifier,
    STATE(531), 1,
      sym_identifier,
    STATE(3916), 1,
      sym__soft_identifier,
    STATE(5164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6000), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9477), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9877), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [273904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [273947] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9311), 1,
      anon_sym_LPAREN,
    STATE(5170), 1,
      aux_sym_annotation_repeat1,
    STATE(6592), 1,
      sym_arguments,
    STATE(5166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [273996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274039] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9889), 1,
      anon_sym_with,
    STATE(5168), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274084] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1516), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9227), 1,
      anon_sym_LPAREN,
    ACTIONS(9892), 1,
      anon_sym_DOT,
    ACTIONS(9894), 1,
      sym_operator_identifier,
    STATE(1669), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(8489), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8426), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [274151] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9896), 1,
      anon_sym_LPAREN,
    STATE(6592), 1,
      sym_arguments,
    STATE(5170), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274241] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9899), 1,
      anon_sym_DOT,
    STATE(5172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274286] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9305), 1,
      anon_sym_LPAREN,
    STATE(5178), 1,
      aux_sym_annotation_repeat1,
    STATE(6638), 1,
      sym_arguments,
    STATE(5173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8872), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274335] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9901), 1,
      anon_sym_AT,
    STATE(6133), 1,
      sym_annotation,
    STATE(5174), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274382] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9850), 1,
      anon_sym_COLON,
    ACTIONS(9852), 1,
      anon_sym_LBRACE,
    ACTIONS(9854), 1,
      anon_sym_with,
    STATE(5137), 1,
      aux_sym_compound_type_repeat1,
    STATE(10065), 1,
      sym__refinement,
    STATE(10067), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5175), 2,
      sym_comment,
      sym_block_comment,
    STATE(10029), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274445] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9313), 1,
      anon_sym_AT,
    STATE(5210), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6558), 1,
      sym_annotation,
    STATE(5176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274494] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274539] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9904), 1,
      anon_sym_LPAREN,
    STATE(6638), 1,
      sym_arguments,
    STATE(5178), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8894), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274629] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9835), 1,
      anon_sym_COLON,
    ACTIONS(9837), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_with,
    STATE(5126), 1,
      aux_sym_compound_type_repeat1,
    STATE(10105), 1,
      sym_template_body,
    STATE(10106), 1,
      sym__refinement,
    STATE(5180), 2,
      sym_comment,
      sym_block_comment,
    STATE(10121), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274686] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9542), 1,
      anon_sym_LBRACK,
    ACTIONS(9546), 1,
      anon_sym_POUND,
    ACTIONS(9907), 1,
      anon_sym_AT,
    STATE(6326), 1,
      sym_type_arguments,
    STATE(6478), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7992), 1,
      sym_annotation,
    STATE(5181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274741] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9487), 1,
      anon_sym_LBRACK,
    ACTIONS(9493), 1,
      anon_sym_POUND,
    ACTIONS(9909), 1,
      anon_sym_LPAREN,
    STATE(6617), 1,
      aux_sym_annotation_repeat1,
    STATE(6766), 1,
      sym_type_arguments,
    STATE(7443), 1,
      sym_arguments,
    STATE(5182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [274796] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1516), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9227), 1,
      anon_sym_LPAREN,
    ACTIONS(9892), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5183), 2,
      sym_comment,
      sym_block_comment,
    STATE(8489), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8676), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [274853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274896] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9084), 1,
      sym__interpolated_multiline_string_start,
    STATE(6854), 1,
      sym_interpolated_string,
    STATE(15683), 1,
      sym__interpolated_string_start,
    ACTIONS(9911), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274949] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [274992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275035] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1194), 1,
      anon_sym_LBRACE,
    ACTIONS(9145), 1,
      anon_sym_LPAREN,
    ACTIONS(9743), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5188), 2,
      sym_comment,
      sym_block_comment,
    STATE(8300), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275133] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9913), 1,
      anon_sym_COLON,
    ACTIONS(9915), 1,
      anon_sym_LBRACE,
    ACTIONS(9917), 1,
      anon_sym_with,
    STATE(5247), 1,
      aux_sym_compound_type_repeat1,
    STATE(9960), 1,
      sym_template_body,
    STATE(9962), 1,
      sym__refinement,
    STATE(5190), 2,
      sym_comment,
      sym_block_comment,
    STATE(9881), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275233] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9919), 1,
      anon_sym_DOT,
    STATE(5192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275278] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1516), 1,
      anon_sym_LBRACE,
    ACTIONS(9227), 1,
      anon_sym_LPAREN,
    ACTIONS(9892), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5193), 2,
      sym_comment,
      sym_block_comment,
    STATE(8489), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8806), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275376] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9390), 1,
      sym__interpolated_multiline_string_start,
    STATE(8217), 1,
      sym_interpolated_string,
    STATE(15777), 1,
      sym__interpolated_string_start,
    ACTIONS(9921), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275472] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9376), 1,
      anon_sym_AT,
    ACTIONS(9380), 1,
      anon_sym_POUND,
    STATE(6057), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7063), 1,
      sym_type_arguments,
    STATE(7391), 1,
      sym_annotation,
    STATE(5197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275527] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9923), 1,
      anon_sym_DOT,
    STATE(5198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275658] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9925), 1,
      anon_sym_COLON,
    ACTIONS(9927), 1,
      anon_sym_LBRACE,
    ACTIONS(9929), 1,
      anon_sym_with,
    STATE(5211), 1,
      aux_sym_compound_type_repeat1,
    STATE(10081), 1,
      sym_template_body,
    STATE(10085), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5201), 2,
      sym_comment,
      sym_block_comment,
    STATE(9994), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275721] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9019), 1,
      anon_sym_LPAREN,
    ACTIONS(9428), 1,
      anon_sym_DOT,
    ACTIONS(9931), 1,
      sym__alpha_identifier,
    ACTIONS(9935), 1,
      anon_sym_EQ,
    ACTIONS(9937), 1,
      sym__backquoted_id,
    ACTIONS(9939), 1,
      sym_operator_identifier,
    STATE(534), 1,
      sym_identifier,
    STATE(4028), 1,
      sym__soft_identifier,
    STATE(5202), 2,
      sym_comment,
      sym_block_comment,
    STATE(7382), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9933), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [275788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275831] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9025), 1,
      sym__interpolated_multiline_string_start,
    STATE(7056), 1,
      sym_interpolated_string,
    STATE(15048), 1,
      sym__interpolated_string_start,
    ACTIONS(9941), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [275884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [275927] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9913), 1,
      anon_sym_COLON,
    ACTIONS(9915), 1,
      anon_sym_LBRACE,
    ACTIONS(9917), 1,
      anon_sym_with,
    STATE(5247), 1,
      aux_sym_compound_type_repeat1,
    STATE(9960), 1,
      sym_template_body,
    STATE(9962), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5206), 2,
      sym_comment,
      sym_block_comment,
    STATE(9881), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [275990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276033] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9771), 1,
      anon_sym_COLON,
    ACTIONS(9773), 1,
      anon_sym_LBRACE,
    ACTIONS(9775), 1,
      anon_sym_with,
    STATE(5090), 1,
      aux_sym_compound_type_repeat1,
    STATE(9996), 1,
      sym_template_body,
    STATE(9998), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5208), 2,
      sym_comment,
      sym_block_comment,
    STATE(9985), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276096] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(8256), 1,
      anon_sym_LPAREN,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9011), 1,
      anon_sym_DOT,
    ACTIONS(9943), 1,
      sym__alpha_identifier,
    ACTIONS(9947), 1,
      anon_sym_EQ,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(9951), 1,
      sym_operator_identifier,
    STATE(530), 1,
      sym_identifier,
    STATE(3948), 1,
      sym__soft_identifier,
    STATE(5209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6607), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9477), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9945), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [276163] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9953), 1,
      anon_sym_AT,
    STATE(6558), 1,
      sym_annotation,
    STATE(5210), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276210] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9925), 1,
      anon_sym_COLON,
    ACTIONS(9927), 1,
      anon_sym_LBRACE,
    ACTIONS(9929), 1,
      anon_sym_with,
    STATE(7520), 1,
      aux_sym_compound_type_repeat1,
    STATE(10081), 1,
      sym_template_body,
    STATE(10108), 1,
      sym__refinement,
    STATE(5211), 2,
      sym_comment,
      sym_block_comment,
    STATE(9994), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276310] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9956), 1,
      anon_sym_DOT,
    STATE(5213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276484] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9958), 1,
      sym__interpolated_multiline_string_start,
    STATE(9066), 1,
      sym_interpolated_string,
    STATE(15120), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276580] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9467), 1,
      sym__interpolated_multiline_string_start,
    STATE(8615), 1,
      sym_interpolated_string,
    STATE(15705), 1,
      sym__interpolated_string_start,
    ACTIONS(9960), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [276633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276891] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [276936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [276979] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9529), 1,
      anon_sym_LBRACK,
    ACTIONS(9533), 1,
      anon_sym_POUND,
    ACTIONS(9962), 1,
      anon_sym_AT,
    STATE(6123), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6509), 1,
      sym_type_arguments,
    STATE(7978), 1,
      sym_annotation,
    STATE(5228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277077] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9964), 1,
      anon_sym_LBRACK,
    ACTIONS(9966), 1,
      anon_sym_LPAREN,
    ACTIONS(9968), 1,
      anon_sym_POUND,
    STATE(6444), 1,
      aux_sym_annotation_repeat1,
    STATE(6689), 1,
      sym_type_arguments,
    STATE(7629), 1,
      sym_arguments,
    STATE(5230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [277175] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9850), 1,
      anon_sym_COLON,
    ACTIONS(9852), 1,
      anon_sym_LBRACE,
    ACTIONS(9854), 1,
      anon_sym_with,
    STATE(5137), 1,
      aux_sym_compound_type_repeat1,
    STATE(10065), 1,
      sym__refinement,
    STATE(10067), 1,
      sym_template_body,
    STATE(5232), 2,
      sym_comment,
      sym_block_comment,
    STATE(10029), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277275] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1194), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9145), 1,
      anon_sym_LPAREN,
    ACTIONS(9743), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5234), 2,
      sym_comment,
      sym_block_comment,
    STATE(8300), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277719] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9646), 1,
      anon_sym_LBRACK,
    ACTIONS(9650), 1,
      anon_sym_POUND,
    ACTIONS(9970), 1,
      anon_sym_AT,
    STATE(6300), 1,
      sym_type_arguments,
    STATE(6511), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7769), 1,
      sym_annotation,
    STATE(5244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [277860] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9913), 1,
      anon_sym_COLON,
    ACTIONS(9915), 1,
      anon_sym_LBRACE,
    ACTIONS(9917), 1,
      anon_sym_with,
    STATE(7841), 1,
      aux_sym_compound_type_repeat1,
    STATE(9960), 1,
      sym_template_body,
    STATE(9979), 1,
      sym__refinement,
    STATE(5247), 2,
      sym_comment,
      sym_block_comment,
    STATE(9881), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [277917] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9972), 1,
      anon_sym_LBRACK,
    ACTIONS(9974), 1,
      anon_sym_LPAREN,
    ACTIONS(9976), 1,
      anon_sym_POUND,
    STATE(6661), 1,
      sym_type_arguments,
    STATE(7029), 1,
      aux_sym_annotation_repeat1,
    STATE(8175), 1,
      sym_arguments,
    STATE(5248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [277972] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9978), 1,
      anon_sym_DOT,
    STATE(5249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278060] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9365), 1,
      anon_sym_LBRACK,
    ACTIONS(9369), 1,
      anon_sym_POUND,
    ACTIONS(9980), 1,
      anon_sym_AT,
    STATE(6139), 1,
      sym_type_arguments,
    STATE(6350), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7944), 1,
      sym_annotation,
    STATE(5251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278158] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9982), 1,
      sym__interpolated_multiline_string_start,
    STATE(8807), 1,
      sym_interpolated_string,
    STATE(14839), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278254] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9657), 1,
      anon_sym_LBRACK,
    ACTIONS(9661), 1,
      anon_sym_POUND,
    ACTIONS(9984), 1,
      anon_sym_AT,
    STATE(6065), 1,
      sym_type_arguments,
    STATE(6714), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8199), 1,
      sym_annotation,
    STATE(5255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278352] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278395] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9925), 1,
      anon_sym_COLON,
    ACTIONS(9927), 1,
      anon_sym_LBRACE,
    ACTIONS(9929), 1,
      anon_sym_with,
    STATE(5211), 1,
      aux_sym_compound_type_repeat1,
    STATE(10081), 1,
      sym_template_body,
    STATE(10085), 1,
      sym__refinement,
    STATE(5258), 2,
      sym_comment,
      sym_block_comment,
    STATE(9994), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278452] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9671), 1,
      anon_sym_with,
    STATE(7958), 1,
      aux_sym_compound_type_repeat1,
    STATE(8811), 1,
      sym__refinement,
    STATE(8824), 1,
      sym_template_body,
    STATE(5259), 2,
      sym_comment,
      sym_block_comment,
    STATE(9224), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278505] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9988), 1,
      anon_sym_LPAREN,
    ACTIONS(9990), 1,
      anon_sym_POUND,
    STATE(6917), 1,
      sym_type_arguments,
    STATE(7051), 1,
      aux_sym_annotation_repeat1,
    STATE(8224), 1,
      sym_arguments,
    STATE(5260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278603] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9467), 1,
      sym__interpolated_multiline_string_start,
    STATE(8615), 1,
      sym_interpolated_string,
    STATE(15705), 1,
      sym__interpolated_string_start,
    ACTIONS(9992), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278699] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [278830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [278916] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9994), 1,
      anon_sym_COLON,
    ACTIONS(9997), 1,
      anon_sym_LBRACE,
    STATE(6791), 1,
      sym_template_body,
    STATE(5269), 2,
      sym_comment,
      sym_block_comment,
    STATE(7351), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 16,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [278967] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279141] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10000), 1,
      anon_sym_LPAREN,
    STATE(6354), 1,
      sym_arguments,
    STATE(5274), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279188] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9835), 1,
      anon_sym_COLON,
    ACTIONS(9837), 1,
      anon_sym_LBRACE,
    ACTIONS(9839), 1,
      anon_sym_with,
    STATE(5126), 1,
      aux_sym_compound_type_repeat1,
    STATE(10105), 1,
      sym_template_body,
    STATE(10106), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5275), 2,
      sym_comment,
      sym_block_comment,
    STATE(10121), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
      anon_sym_yield,
  [279337] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(8326), 1,
      anon_sym_LPAREN,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8936), 1,
      anon_sym_DOT,
    ACTIONS(9875), 1,
      sym__alpha_identifier,
    ACTIONS(9881), 1,
      sym__backquoted_id,
    ACTIONS(9883), 1,
      sym_operator_identifier,
    ACTIONS(10003), 1,
      anon_sym_EQ,
    STATE(531), 1,
      sym_identifier,
    STATE(3916), 1,
      sym__soft_identifier,
    STATE(5278), 2,
      sym_comment,
      sym_block_comment,
    STATE(6000), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9477), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9877), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [279404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279490] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9090), 1,
      anon_sym_LPAREN,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(9591), 1,
      anon_sym_DOT,
    ACTIONS(10005), 1,
      sym__alpha_identifier,
    ACTIONS(10011), 1,
      sym__backquoted_id,
    ACTIONS(10013), 1,
      sym_operator_identifier,
    STATE(554), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(5281), 2,
      sym_comment,
      sym_block_comment,
    STATE(7634), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8422), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10007), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10009), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [279559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279688] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9182), 1,
      anon_sym_LPAREN,
    STATE(5289), 1,
      aux_sym_annotation_repeat1,
    STATE(6235), 1,
      sym_arguments,
    STATE(5285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279780] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10017), 1,
      sym__interpolated_multiline_string_start,
    STATE(8745), 1,
      sym_interpolated_string,
    STATE(15833), 1,
      sym__interpolated_string_start,
    ACTIONS(10015), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [279833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279876] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    STATE(6235), 1,
      sym_arguments,
    STATE(5289), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [279923] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [279968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280054] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(892), 1,
      anon_sym_LBRACE,
    ACTIONS(8204), 1,
      anon_sym_LPAREN,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8428), 1,
      anon_sym_DOT,
    ACTIONS(9471), 1,
      sym__alpha_identifier,
    ACTIONS(9481), 1,
      sym__backquoted_id,
    ACTIONS(9483), 1,
      sym_operator_identifier,
    ACTIONS(10022), 1,
      anon_sym_EQ,
    STATE(529), 1,
      sym_identifier,
    STATE(3890), 1,
      sym__soft_identifier,
    STATE(5293), 2,
      sym_comment,
      sym_block_comment,
    STATE(5628), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9475), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [280121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280164] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10024), 1,
      anon_sym_COLON,
    ACTIONS(10027), 1,
      anon_sym_LBRACE,
    STATE(6912), 1,
      sym_template_body,
    STATE(5295), 2,
      sym_comment,
      sym_block_comment,
    STATE(7243), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5636), 1,
      sym__end_marker,
    STATE(5297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280432] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10034), 1,
      anon_sym_with,
    STATE(5946), 1,
      aux_sym_compound_type_repeat1,
    STATE(9100), 1,
      sym_template_body,
    STATE(9101), 1,
      sym__refinement,
    STATE(9200), 1,
      sym_arguments,
    STATE(5301), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280530] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9084), 1,
      sym__interpolated_multiline_string_start,
    STATE(6854), 1,
      sym_interpolated_string,
    STATE(15683), 1,
      sym__interpolated_string_start,
    ACTIONS(10036), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280583] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10038), 1,
      anon_sym_DOT,
    STATE(5304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280628] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9159), 1,
      anon_sym_LPAREN,
    STATE(5274), 1,
      aux_sym_annotation_repeat1,
    STATE(6354), 1,
      sym_arguments,
    STATE(5305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [280763] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9025), 1,
      sym__interpolated_multiline_string_start,
    STATE(7056), 1,
      sym_interpolated_string,
    STATE(15048), 1,
      sym__interpolated_string_start,
    ACTIONS(10040), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280816] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    STATE(5321), 1,
      aux_sym_annotation_repeat1,
    STATE(6514), 1,
      sym_arguments,
    STATE(5309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [280865] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(8256), 1,
      anon_sym_LPAREN,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9011), 1,
      anon_sym_DOT,
    ACTIONS(9943), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(9951), 1,
      sym_operator_identifier,
    ACTIONS(10042), 1,
      anon_sym_EQ,
    STATE(530), 1,
      sym_identifier,
    STATE(3948), 1,
      sym__soft_identifier,
    STATE(5310), 2,
      sym_comment,
      sym_block_comment,
    STATE(6607), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9477), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9945), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [280932] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9552), 1,
      anon_sym_LBRACK,
    ACTIONS(9556), 1,
      anon_sym_POUND,
    ACTIONS(10044), 1,
      anon_sym_AT,
    STATE(6061), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6429), 1,
      sym_type_arguments,
    STATE(8055), 1,
      sym_annotation,
    STATE(5311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [280987] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10046), 1,
      anon_sym_LBRACK,
    ACTIONS(10048), 1,
      anon_sym_LPAREN,
    ACTIONS(10050), 1,
      anon_sym_POUND,
    STATE(6540), 1,
      aux_sym_annotation_repeat1,
    STATE(7259), 1,
      sym_type_arguments,
    STATE(7828), 1,
      sym_arguments,
    STATE(5312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281042] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9465), 1,
      anon_sym_EQ_GT,
    STATE(5313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281173] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10052), 1,
      anon_sym_LBRACK,
    ACTIONS(10054), 1,
      anon_sym_LPAREN,
    ACTIONS(10056), 1,
      anon_sym_POUND,
    STATE(6181), 1,
      aux_sym_annotation_repeat1,
    STATE(6826), 1,
      sym_type_arguments,
    STATE(8051), 1,
      sym_arguments,
    STATE(5316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281400] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10062), 1,
      anon_sym_LPAREN,
    STATE(6514), 1,
      sym_arguments,
    STATE(5321), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281576] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10069), 1,
      anon_sym_LBRACK,
    ACTIONS(10071), 1,
      anon_sym_LPAREN,
    ACTIONS(10073), 1,
      anon_sym_POUND,
    STATE(6137), 1,
      aux_sym_annotation_repeat1,
    STATE(6924), 1,
      sym_type_arguments,
    STATE(8041), 1,
      sym_arguments,
    STATE(5325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281760] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281846] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9737), 1,
      anon_sym_COLON,
    ACTIONS(9739), 1,
      anon_sym_LBRACE,
    ACTIONS(9741), 1,
      anon_sym_with,
    STATE(7809), 1,
      aux_sym_compound_type_repeat1,
    STATE(9904), 1,
      sym_template_body,
    STATE(9926), 1,
      sym__refinement,
    STATE(5331), 2,
      sym_comment,
      sym_block_comment,
    STATE(9824), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [281903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [281946] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9321), 1,
      anon_sym_AT,
    STATE(5386), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6485), 1,
      sym_annotation,
    STATE(5333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [281995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [282210] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10075), 1,
      anon_sym_LBRACK,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    ACTIONS(10079), 1,
      anon_sym_POUND,
    STATE(6085), 1,
      aux_sym_annotation_repeat1,
    STATE(6956), 1,
      sym_type_arguments,
    STATE(7979), 1,
      sym_arguments,
    STATE(5339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282308] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10081), 1,
      anon_sym_COLON,
    ACTIONS(10083), 1,
      anon_sym_LBRACE,
    ACTIONS(10085), 1,
      anon_sym_with,
    STATE(7688), 1,
      aux_sym_compound_type_repeat1,
    STATE(9818), 1,
      sym_template_body,
    STATE(9842), 1,
      sym__refinement,
    STATE(5341), 2,
      sym_comment,
      sym_block_comment,
    STATE(9800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282451] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1448), 1,
      anon_sym_LBRACE,
    ACTIONS(9207), 1,
      anon_sym_LPAREN,
    ACTIONS(10087), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5344), 2,
      sym_comment,
      sym_block_comment,
    STATE(8596), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282506] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10089), 1,
      anon_sym_DOT,
    STATE(5345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282551] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9568), 1,
      anon_sym_LBRACK,
    ACTIONS(9572), 1,
      anon_sym_POUND,
    ACTIONS(10091), 1,
      anon_sym_AT,
    STATE(6019), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6382), 1,
      sym_type_arguments,
    STATE(7966), 1,
      sym_annotation,
    STATE(5346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282649] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1448), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9207), 1,
      anon_sym_LPAREN,
    ACTIONS(10087), 1,
      anon_sym_DOT,
    ACTIONS(10097), 1,
      sym_operator_identifier,
    STATE(1689), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5348), 2,
      sym_comment,
      sym_block_comment,
    STATE(8596), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8426), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [282716] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9374), 1,
      anon_sym_LBRACK,
    ACTIONS(9380), 1,
      anon_sym_POUND,
    ACTIONS(10099), 1,
      anon_sym_LPAREN,
    STATE(6506), 1,
      aux_sym_annotation_repeat1,
    STATE(7063), 1,
      sym_type_arguments,
    STATE(7947), 1,
      sym_arguments,
    STATE(5349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282814] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10101), 1,
      anon_sym_LBRACK,
    ACTIONS(10103), 1,
      anon_sym_LPAREN,
    ACTIONS(10105), 1,
      anon_sym_POUND,
    STATE(6324), 1,
      aux_sym_annotation_repeat1,
    STATE(7358), 1,
      sym_type_arguments,
    STATE(7832), 1,
      sym_arguments,
    STATE(5351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [282869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [282912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9409), 1,
      anon_sym_EQ_GT,
    STATE(5353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [282957] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1448), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9207), 1,
      anon_sym_LPAREN,
    ACTIONS(10087), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5354), 2,
      sym_comment,
      sym_block_comment,
    STATE(8596), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283014] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9019), 1,
      anon_sym_LPAREN,
    ACTIONS(9428), 1,
      anon_sym_DOT,
    ACTIONS(9931), 1,
      sym__alpha_identifier,
    ACTIONS(9937), 1,
      sym__backquoted_id,
    ACTIONS(9939), 1,
      sym_operator_identifier,
    ACTIONS(10107), 1,
      anon_sym_EQ,
    STATE(534), 1,
      sym_identifier,
    STATE(4028), 1,
      sym__soft_identifier,
    STATE(5355), 2,
      sym_comment,
      sym_block_comment,
    STATE(7382), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9933), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [283081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283255] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283343] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10113), 1,
      anon_sym_LBRACK,
    ACTIONS(10115), 1,
      anon_sym_AT,
    ACTIONS(10117), 1,
      anon_sym_LPAREN,
    ACTIONS(10119), 1,
      anon_sym_POUND,
    STATE(6855), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7791), 1,
      sym_type_arguments,
    STATE(8365), 1,
      sym_annotation,
    STATE(9200), 1,
      sym_arguments,
    STATE(5362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283402] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1286), 1,
      anon_sym_LBRACE,
    ACTIONS(9217), 1,
      anon_sym_LPAREN,
    ACTIONS(10121), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5363), 2,
      sym_comment,
      sym_block_comment,
    STATE(8525), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [283543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283586] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9172), 1,
      anon_sym_LPAREN,
    STATE(5368), 1,
      aux_sym_annotation_repeat1,
    STATE(5985), 1,
      sym_arguments,
    STATE(5367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283635] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10123), 1,
      anon_sym_LPAREN,
    STATE(5985), 1,
      sym_arguments,
    STATE(5368), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [283811] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10126), 1,
      anon_sym_LBRACK,
    ACTIONS(10128), 1,
      anon_sym_LPAREN,
    ACTIONS(10130), 1,
      anon_sym_POUND,
    STATE(6771), 1,
      aux_sym_annotation_repeat1,
    STATE(7340), 1,
      sym_type_arguments,
    STATE(8458), 1,
      sym_arguments,
    STATE(5372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [283866] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10132), 1,
      anon_sym_LBRACK,
    ACTIONS(10134), 1,
      anon_sym_LPAREN,
    ACTIONS(10136), 1,
      anon_sym_POUND,
    STATE(6012), 1,
      aux_sym_annotation_repeat1,
    STATE(7052), 1,
      sym_type_arguments,
    STATE(7746), 1,
      sym_arguments,
    STATE(5373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [283921] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1286), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9217), 1,
      anon_sym_LPAREN,
    ACTIONS(10121), 1,
      anon_sym_DOT,
    ACTIONS(10138), 1,
      sym_operator_identifier,
    STATE(1767), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5374), 2,
      sym_comment,
      sym_block_comment,
    STATE(8525), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [283988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284246] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1286), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9217), 1,
      anon_sym_LPAREN,
    ACTIONS(10121), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5381), 2,
      sym_comment,
      sym_block_comment,
    STATE(8525), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284432] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10081), 1,
      anon_sym_COLON,
    ACTIONS(10083), 1,
      anon_sym_LBRACE,
    ACTIONS(10085), 1,
      anon_sym_with,
    STATE(5341), 1,
      aux_sym_compound_type_repeat1,
    STATE(9818), 1,
      sym_template_body,
    STATE(9821), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5385), 2,
      sym_comment,
      sym_block_comment,
    STATE(9800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 5,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [284495] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10140), 1,
      anon_sym_AT,
    STATE(6485), 1,
      sym_annotation,
    STATE(5386), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284542] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [284800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [284972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285058] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9255), 1,
      anon_sym_LPAREN,
    STATE(5401), 1,
      aux_sym_annotation_repeat1,
    STATE(6109), 1,
      sym_arguments,
    STATE(5399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285150] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10147), 1,
      anon_sym_LPAREN,
    STATE(6109), 1,
      sym_arguments,
    STATE(5401), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285240] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10150), 1,
      anon_sym_LBRACK,
    ACTIONS(10152), 1,
      anon_sym_AT,
    ACTIONS(10154), 1,
      anon_sym_LPAREN,
    ACTIONS(10156), 1,
      anon_sym_POUND,
    STATE(6972), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7497), 1,
      sym_type_arguments,
    STATE(8187), 1,
      sym_annotation,
    STATE(9425), 1,
      sym_arguments,
    STATE(5403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285299] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10158), 1,
      anon_sym_COLON,
    ACTIONS(10161), 1,
      anon_sym_LBRACE,
    STATE(7102), 1,
      sym_template_body,
    STATE(5404), 2,
      sym_comment,
      sym_block_comment,
    STATE(6968), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285350] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285393] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10164), 1,
      anon_sym_with,
    STATE(5406), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285524] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9347), 1,
      anon_sym_AT,
    STATE(5153), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6419), 1,
      sym_annotation,
    STATE(5409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285573] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9299), 1,
      anon_sym_LPAREN,
    STATE(5413), 1,
      aux_sym_annotation_repeat1,
    STATE(6143), 1,
      sym_arguments,
    STATE(5410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285665] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [285710] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10167), 1,
      anon_sym_LPAREN,
    STATE(6143), 1,
      sym_arguments,
    STATE(5413), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [285757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285843] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [285972] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_DOT,
    STATE(5419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286017] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9595), 1,
      anon_sym_LBRACK,
    ACTIONS(9599), 1,
      anon_sym_POUND,
    ACTIONS(10172), 1,
      anon_sym_AT,
    STATE(5980), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6319), 1,
      sym_type_arguments,
    STATE(7921), 1,
      sym_annotation,
    STATE(5420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [286244] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10017), 1,
      sym__interpolated_multiline_string_start,
    STATE(8745), 1,
      sym_interpolated_string,
    STATE(15833), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286297] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286385] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    STATE(4391), 1,
      aux_sym_modifiers_repeat1,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(5428), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(10174), 10,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
  [286442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [286485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [286657] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10176), 1,
      anon_sym_with,
    STATE(5664), 1,
      aux_sym_compound_type_repeat1,
    STATE(9425), 1,
      sym_arguments,
    STATE(9427), 1,
      sym_template_body,
    STATE(9428), 1,
      sym__refinement,
    STATE(5434), 2,
      sym_comment,
      sym_block_comment,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286798] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10180), 1,
      anon_sym_LBRACK,
    ACTIONS(10182), 1,
      sym__backquoted_id,
    STATE(6585), 1,
      sym_access_qualifier,
    STATE(5437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10178), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [286888] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9424), 1,
      anon_sym_with,
    STATE(7512), 1,
      aux_sym_compound_type_repeat1,
    STATE(9019), 1,
      sym__refinement,
    STATE(9068), 1,
      sym_template_body,
    STATE(5439), 2,
      sym_comment,
      sym_block_comment,
    STATE(9303), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8236), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286941] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10081), 1,
      anon_sym_COLON,
    ACTIONS(10083), 1,
      anon_sym_LBRACE,
    ACTIONS(10085), 1,
      anon_sym_with,
    STATE(5341), 1,
      aux_sym_compound_type_repeat1,
    STATE(9818), 1,
      sym_template_body,
    STATE(9821), 1,
      sym__refinement,
    STATE(5440), 2,
      sym_comment,
      sym_block_comment,
    STATE(9800), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [286998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287041] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9719), 1,
      anon_sym_end,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(10184), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16023), 1,
      sym_identifier,
    STATE(5442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 22,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [287094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287266] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1374), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9677), 1,
      anon_sym_LPAREN,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5447), 2,
      sym_comment,
      sym_block_comment,
    STATE(9198), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287322] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10101), 1,
      anon_sym_LBRACK,
    ACTIONS(10105), 1,
      anon_sym_POUND,
    ACTIONS(10188), 1,
      anon_sym_AT,
    STATE(7327), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7358), 1,
      sym_type_arguments,
    STATE(8688), 1,
      sym_annotation,
    STATE(5448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287376] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9899), 1,
      anon_sym_DOT,
    ACTIONS(10190), 1,
      anon_sym_EQ_GT,
    STATE(5449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287464] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287548] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9554), 1,
      anon_sym_LPAREN,
    STATE(5458), 1,
      aux_sym_annotation_repeat1,
    STATE(6660), 1,
      sym_arguments,
    STATE(5453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287638] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287722] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10192), 1,
      anon_sym_COLON,
    ACTIONS(10194), 1,
      anon_sym_LBRACE,
    ACTIONS(10196), 1,
      anon_sym_with,
    STATE(8434), 1,
      aux_sym_compound_type_repeat1,
    STATE(10194), 1,
      sym_template_body,
    STATE(10322), 1,
      sym__refinement,
    STATE(5457), 2,
      sym_comment,
      sym_block_comment,
    STATE(10159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8236), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [287778] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10198), 1,
      anon_sym_LPAREN,
    STATE(6660), 1,
      sym_arguments,
    STATE(5458), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [287824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [287950] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10150), 1,
      anon_sym_LBRACK,
    ACTIONS(10152), 1,
      anon_sym_AT,
    ACTIONS(10156), 1,
      anon_sym_POUND,
    STATE(6972), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7497), 1,
      sym_type_arguments,
    STATE(8187), 1,
      sym_annotation,
    STATE(5462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288004] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [288088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288298] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9143), 1,
      anon_sym_AT,
    STATE(5527), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6722), 1,
      sym_annotation,
    STATE(5470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288388] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9535), 1,
      anon_sym_LPAREN,
    STATE(5474), 1,
      aux_sym_annotation_repeat1,
    STATE(6710), 1,
      sym_arguments,
    STATE(5472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288478] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10201), 1,
      anon_sym_LPAREN,
    STATE(6710), 1,
      sym_arguments,
    STATE(5474), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [288566] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9796), 1,
      anon_sym_LBRACK,
    ACTIONS(9802), 1,
      anon_sym_POUND,
    ACTIONS(10204), 1,
      anon_sym_LPAREN,
    STATE(6667), 1,
      aux_sym_annotation_repeat1,
    STATE(7575), 1,
      sym_type_arguments,
    STATE(8674), 1,
      sym_arguments,
    STATE(5476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288748] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10206), 1,
      anon_sym_with,
    STATE(6362), 1,
      aux_sym_compound_type_repeat1,
    STATE(9756), 1,
      sym__refinement,
    STATE(9758), 1,
      sym_template_body,
    STATE(9815), 1,
      sym_arguments,
    STATE(5480), 2,
      sym_comment,
      sym_block_comment,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288802] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10208), 1,
      anon_sym_COLON,
    ACTIONS(10210), 1,
      anon_sym_LBRACE,
    ACTIONS(10212), 1,
      anon_sym_with,
    STATE(5641), 1,
      aux_sym_compound_type_repeat1,
    STATE(10271), 1,
      sym__refinement,
    STATE(10272), 1,
      sym_template_body,
    STATE(5481), 2,
      sym_comment,
      sym_block_comment,
    STATE(10167), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [288858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288900] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10214), 1,
      anon_sym_LPAREN,
    STATE(6813), 1,
      sym_arguments,
    STATE(5483), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [288946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [288988] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10217), 1,
      anon_sym_COLON,
    ACTIONS(10219), 1,
      anon_sym_LBRACE,
    ACTIONS(10221), 1,
      anon_sym_with,
    STATE(5919), 1,
      aux_sym_compound_type_repeat1,
    STATE(10210), 1,
      sym_template_body,
    STATE(10224), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5485), 2,
      sym_comment,
      sym_block_comment,
    STATE(10413), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289050] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10223), 1,
      anon_sym_with,
    STATE(5486), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289138] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9084), 1,
      sym__interpolated_multiline_string_start,
    STATE(6854), 1,
      sym_interpolated_string,
    STATE(15683), 1,
      sym__interpolated_string_start,
    ACTIONS(10226), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289190] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10132), 1,
      anon_sym_LBRACK,
    ACTIONS(10136), 1,
      anon_sym_POUND,
    ACTIONS(10228), 1,
      anon_sym_AT,
    STATE(6709), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7052), 1,
      sym_type_arguments,
    STATE(8460), 1,
      sym_annotation,
    STATE(5489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289244] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9956), 1,
      anon_sym_DOT,
    ACTIONS(10230), 1,
      anon_sym_EQ_GT,
    STATE(5490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289290] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9485), 1,
      anon_sym_AT,
    STATE(5561), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6962), 1,
      sym_annotation,
    STATE(5491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10232), 1,
      anon_sym_with,
    STATE(5493), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289466] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9426), 1,
      anon_sym_LPAREN,
    STATE(5483), 1,
      aux_sym_annotation_repeat1,
    STATE(6813), 1,
      sym_arguments,
    STATE(5495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [289514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289556] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10235), 1,
      anon_sym_COLON,
    ACTIONS(10237), 1,
      anon_sym_LBRACE,
    ACTIONS(10239), 1,
      anon_sym_with,
    STATE(8522), 1,
      aux_sym_compound_type_repeat1,
    STATE(10132), 1,
      sym_template_body,
    STATE(10238), 1,
      sym__refinement,
    STATE(5497), 2,
      sym_comment,
      sym_block_comment,
    STATE(10285), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289654] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9576), 1,
      anon_sym_AT,
    STATE(5560), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6751), 1,
      sym_annotation,
    STATE(5499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289702] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10241), 1,
      anon_sym_DOT,
    STATE(5500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289830] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1286), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9217), 1,
      anon_sym_LPAREN,
    ACTIONS(10121), 1,
      anon_sym_DOT,
    ACTIONS(10243), 1,
      sym__alpha_identifier,
    ACTIONS(10247), 1,
      anon_sym_EQ,
    ACTIONS(10249), 1,
      sym__backquoted_id,
    ACTIONS(10251), 1,
      sym_operator_identifier,
    STATE(541), 1,
      sym_identifier,
    STATE(4035), 1,
      sym__soft_identifier,
    STATE(5503), 2,
      sym_comment,
      sym_block_comment,
    STATE(8525), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10245), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [289896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [289938] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9558), 1,
      sym__interpolated_multiline_string_start,
    STATE(8139), 1,
      sym_interpolated_string,
    STATE(15723), 1,
      sym__interpolated_string_start,
    ACTIONS(10253), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
  [289990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290032] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10255), 1,
      anon_sym_LPAREN,
    STATE(6705), 1,
      sym_arguments,
    STATE(5507), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8894), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10258), 1,
      anon_sym_DOT,
    STATE(5508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290122] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9570), 1,
      anon_sym_LPAREN,
    STATE(5507), 1,
      aux_sym_annotation_repeat1,
    STATE(6705), 1,
      sym_arguments,
    STATE(5509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8872), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290170] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9531), 1,
      anon_sym_LPAREN,
    STATE(5518), 1,
      aux_sym_annotation_repeat1,
    STATE(6711), 1,
      sym_arguments,
    STATE(5510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290218] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10260), 1,
      anon_sym_LBRACK,
    ACTIONS(10262), 1,
      anon_sym_AT,
    ACTIONS(10264), 1,
      anon_sym_LPAREN,
    ACTIONS(10266), 1,
      anon_sym_POUND,
    STATE(7741), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8299), 1,
      sym_type_arguments,
    STATE(8985), 1,
      sym_annotation,
    STATE(9815), 1,
      sym_arguments,
    STATE(5511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290276] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9275), 1,
      anon_sym_LPAREN,
    STATE(4417), 1,
      sym_arguments,
    STATE(5533), 1,
      aux_sym_annotation_repeat1,
    STATE(5512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [290322] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10268), 1,
      anon_sym_LBRACE,
    ACTIONS(10270), 1,
      anon_sym_with,
    STATE(8302), 1,
      aux_sym_compound_type_repeat1,
    STATE(9798), 1,
      sym_template_body,
    STATE(9966), 1,
      sym__refinement,
    STATE(5513), 2,
      sym_comment,
      sym_block_comment,
    STATE(9772), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290418] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1322), 1,
      anon_sym_LBRACE,
    ACTIONS(9378), 1,
      anon_sym_LPAREN,
    ACTIONS(10272), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5515), 2,
      sym_comment,
      sym_block_comment,
    STATE(9061), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290514] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10208), 1,
      anon_sym_COLON,
    ACTIONS(10210), 1,
      anon_sym_LBRACE,
    ACTIONS(10212), 1,
      anon_sym_with,
    STATE(5641), 1,
      aux_sym_compound_type_repeat1,
    STATE(10271), 1,
      sym__refinement,
    STATE(10272), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5517), 2,
      sym_comment,
      sym_block_comment,
    STATE(10167), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8354), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290576] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10274), 1,
      anon_sym_LPAREN,
    STATE(6711), 1,
      sym_arguments,
    STATE(5518), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290622] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9796), 1,
      anon_sym_LBRACK,
    ACTIONS(9798), 1,
      anon_sym_AT,
    ACTIONS(9802), 1,
      anon_sym_POUND,
    STATE(7095), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7575), 1,
      sym_type_arguments,
    STATE(8653), 1,
      sym_annotation,
    STATE(5519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290676] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9825), 1,
      anon_sym_LBRACK,
    ACTIONS(9831), 1,
      anon_sym_POUND,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    STATE(6862), 1,
      aux_sym_annotation_repeat1,
    STATE(7525), 1,
      sym_type_arguments,
    STATE(8250), 1,
      sym_arguments,
    STATE(5520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290730] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1322), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9378), 1,
      anon_sym_LPAREN,
    ACTIONS(10272), 1,
      anon_sym_DOT,
    ACTIONS(10279), 1,
      sym_operator_identifier,
    STATE(1704), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5521), 2,
      sym_comment,
      sym_block_comment,
    STATE(9061), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [290796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [290880] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10281), 1,
      anon_sym_LPAREN,
    STATE(6729), 1,
      sym_arguments,
    STATE(5524), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [290926] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10150), 1,
      anon_sym_LBRACK,
    ACTIONS(10156), 1,
      anon_sym_POUND,
    ACTIONS(10284), 1,
      anon_sym_LPAREN,
    STATE(6733), 1,
      aux_sym_annotation_repeat1,
    STATE(7497), 1,
      sym_type_arguments,
    STATE(8548), 1,
      sym_arguments,
    STATE(5525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [290980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291024] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10286), 1,
      anon_sym_AT,
    STATE(6722), 1,
      sym_annotation,
    STATE(5527), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291070] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10289), 1,
      sym__interpolated_multiline_string_start,
    STATE(9505), 1,
      sym_interpolated_string,
    STATE(15787), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291122] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9597), 1,
      anon_sym_LPAREN,
    STATE(5524), 1,
      aux_sym_annotation_repeat1,
    STATE(6729), 1,
      sym_arguments,
    STATE(5529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291170] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9972), 1,
      anon_sym_LBRACK,
    ACTIONS(9976), 1,
      anon_sym_POUND,
    ACTIONS(10291), 1,
      anon_sym_AT,
    STATE(6661), 1,
      sym_type_arguments,
    STATE(7792), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8879), 1,
      sym_annotation,
    STATE(5530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291224] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1322), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9378), 1,
      anon_sym_LPAREN,
    ACTIONS(10272), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5531), 2,
      sym_comment,
      sym_block_comment,
    STATE(9061), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291280] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10293), 1,
      anon_sym_COLON,
    ACTIONS(10295), 1,
      anon_sym_LBRACE,
    ACTIONS(10297), 1,
      anon_sym_with,
    STATE(8610), 1,
      aux_sym_compound_type_repeat1,
    STATE(10242), 1,
      sym_template_body,
    STATE(10427), 1,
      sym__refinement,
    STATE(5532), 2,
      sym_comment,
      sym_block_comment,
    STATE(10358), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291336] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10299), 1,
      anon_sym_LPAREN,
    STATE(4417), 1,
      sym_arguments,
    STATE(5533), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [291380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10302), 1,
      anon_sym_DOT,
    STATE(5534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9792), 1,
      anon_sym_EQ_GT,
    STATE(5539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291720] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9025), 1,
      sym__interpolated_multiline_string_start,
    STATE(7056), 1,
      sym_interpolated_string,
    STATE(15048), 1,
      sym__interpolated_string_start,
    ACTIONS(10304), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [291816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [291858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291900] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10306), 1,
      anon_sym_LPAREN,
    STATE(6984), 1,
      sym_arguments,
    STATE(5546), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [291946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [291988] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1322), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9378), 1,
      anon_sym_LPAREN,
    ACTIONS(10272), 1,
      anon_sym_DOT,
    ACTIONS(10309), 1,
      sym__alpha_identifier,
    ACTIONS(10313), 1,
      anon_sym_EQ,
    ACTIONS(10315), 1,
      sym__backquoted_id,
    ACTIONS(10317), 1,
      sym_operator_identifier,
    STATE(542), 1,
      sym_identifier,
    STATE(4047), 1,
      sym__soft_identifier,
    STATE(5548), 2,
      sym_comment,
      sym_block_comment,
    STATE(9061), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10311), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [292054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6115), 1,
      sym__end_marker,
    STATE(5549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292098] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10319), 1,
      anon_sym_with,
    STATE(5550), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292142] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1838), 1,
      anon_sym_LBRACE,
    ACTIONS(9420), 1,
      anon_sym_LPAREN,
    ACTIONS(10322), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5551), 2,
      sym_comment,
      sym_block_comment,
    STATE(9024), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8806), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292196] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9119), 1,
      sym__interpolated_multiline_string_start,
    STATE(7637), 1,
      sym_interpolated_string,
    STATE(14758), 1,
      sym__interpolated_string_start,
    ACTIONS(10324), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292248] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10217), 1,
      anon_sym_COLON,
    ACTIONS(10219), 1,
      anon_sym_LBRACE,
    ACTIONS(10221), 1,
      anon_sym_with,
    STATE(5919), 1,
      aux_sym_compound_type_repeat1,
    STATE(10210), 1,
      sym_template_body,
    STATE(10224), 1,
      sym__refinement,
    STATE(5553), 2,
      sym_comment,
      sym_block_comment,
    STATE(10413), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292346] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10326), 1,
      anon_sym_DOT,
    STATE(5555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [292432] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9119), 1,
      sym__interpolated_multiline_string_start,
    STATE(7637), 1,
      sym_interpolated_string,
    STATE(14758), 1,
      sym__interpolated_string_start,
    ACTIONS(10328), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [292484] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9663), 1,
      anon_sym_LPAREN,
    STATE(5546), 1,
      aux_sym_annotation_repeat1,
    STATE(6984), 1,
      sym_arguments,
    STATE(5558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292574] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10330), 1,
      anon_sym_AT,
    STATE(6751), 1,
      sym_annotation,
    STATE(5560), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292620] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10333), 1,
      anon_sym_AT,
    STATE(6962), 1,
      sym_annotation,
    STATE(5561), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292708] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9027), 1,
      sym__interpolated_multiline_string_start,
    STATE(7357), 1,
      sym_interpolated_string,
    STATE(14754), 1,
      sym__interpolated_string_start,
    ACTIONS(10336), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292760] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8616), 1,
      anon_sym_LPAREN,
    ACTIONS(9149), 1,
      anon_sym_DOT,
    ACTIONS(10338), 1,
      sym__alpha_identifier,
    ACTIONS(10342), 1,
      anon_sym_EQ,
    ACTIONS(10344), 1,
      sym__backquoted_id,
    ACTIONS(10346), 1,
      sym_operator_identifier,
    STATE(535), 1,
      sym_identifier,
    STATE(4030), 1,
      sym__soft_identifier,
    STATE(5564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    STATE(7187), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [292826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [292868] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8696), 1,
      anon_sym_LPAREN,
    ACTIONS(9231), 1,
      anon_sym_DOT,
    ACTIONS(10348), 1,
      sym__alpha_identifier,
    ACTIONS(10352), 1,
      anon_sym_EQ,
    ACTIONS(10354), 1,
      sym__backquoted_id,
    ACTIONS(10356), 1,
      sym_operator_identifier,
    STATE(533), 1,
      sym_identifier,
    STATE(4027), 1,
      sym__soft_identifier,
    STATE(5566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    STATE(6919), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [292934] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1712), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9491), 1,
      anon_sym_LPAREN,
    ACTIONS(10358), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5567), 2,
      sym_comment,
      sym_block_comment,
    STATE(8802), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [292990] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10360), 1,
      sym__interpolated_multiline_string_start,
    STATE(9527), 1,
      sym_interpolated_string,
    STATE(15542), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293042] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10362), 1,
      anon_sym_LBRACK,
    ACTIONS(10364), 1,
      anon_sym_LPAREN,
    ACTIONS(10366), 1,
      anon_sym_POUND,
    STATE(7060), 1,
      aux_sym_annotation_repeat1,
    STATE(7964), 1,
      sym_type_arguments,
    STATE(8239), 1,
      sym_arguments,
    STATE(5569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293096] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10046), 1,
      anon_sym_LBRACK,
    ACTIONS(10050), 1,
      anon_sym_POUND,
    ACTIONS(10368), 1,
      anon_sym_AT,
    STATE(7085), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7259), 1,
      sym_type_arguments,
    STATE(8568), 1,
      sym_annotation,
    STATE(5570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293150] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293236] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10370), 1,
      anon_sym_with,
    STATE(5573), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293322] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6567), 1,
      sym__end_marker,
    STATE(5575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293366] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1194), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9145), 1,
      anon_sym_LPAREN,
    ACTIONS(9743), 1,
      anon_sym_DOT,
    ACTIONS(10373), 1,
      sym__alpha_identifier,
    ACTIONS(10377), 1,
      anon_sym_EQ,
    ACTIONS(10379), 1,
      sym__backquoted_id,
    ACTIONS(10381), 1,
      sym_operator_identifier,
    STATE(538), 1,
      sym_identifier,
    STATE(4046), 1,
      sym__soft_identifier,
    STATE(5576), 2,
      sym_comment,
      sym_block_comment,
    STATE(8300), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10375), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [293432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293644] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1374), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9677), 1,
      anon_sym_LPAREN,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10383), 1,
      sym_operator_identifier,
    STATE(1717), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5582), 2,
      sym_comment,
      sym_block_comment,
    STATE(9198), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [293710] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9755), 1,
      sym__interpolated_multiline_string_start,
    STATE(9203), 1,
      sym_interpolated_string,
    STATE(15575), 1,
      sym__interpolated_string_start,
    ACTIONS(10385), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293762] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10192), 1,
      anon_sym_COLON,
    ACTIONS(10194), 1,
      anon_sym_LBRACE,
    ACTIONS(10196), 1,
      anon_sym_with,
    STATE(5457), 1,
      aux_sym_compound_type_repeat1,
    STATE(10194), 1,
      sym_template_body,
    STATE(10204), 1,
      sym__refinement,
    STATE(5584), 2,
      sym_comment,
      sym_block_comment,
    STATE(10159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [293818] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1194), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9145), 1,
      anon_sym_LPAREN,
    ACTIONS(9743), 1,
      anon_sym_DOT,
    ACTIONS(10373), 1,
      sym__alpha_identifier,
    ACTIONS(10379), 1,
      sym__backquoted_id,
    ACTIONS(10381), 1,
      sym_operator_identifier,
    ACTIONS(10387), 1,
      anon_sym_EQ,
    STATE(538), 1,
      sym_identifier,
    STATE(4046), 1,
      sym__soft_identifier,
    STATE(5585), 2,
      sym_comment,
      sym_block_comment,
    STATE(8300), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10375), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [293884] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9958), 1,
      sym__interpolated_multiline_string_start,
    STATE(9066), 1,
      sym_interpolated_string,
    STATE(15120), 1,
      sym__interpolated_string_start,
    ACTIONS(10389), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [293936] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10391), 1,
      anon_sym_COLON,
    ACTIONS(10394), 1,
      anon_sym_LBRACE,
    STATE(7695), 1,
      sym_template_body,
    STATE(5587), 2,
      sym_comment,
      sym_block_comment,
    STATE(7872), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [293986] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9027), 1,
      sym__interpolated_multiline_string_start,
    STATE(7357), 1,
      sym_interpolated_string,
    STATE(14754), 1,
      sym__interpolated_string_start,
    ACTIONS(10397), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294038] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9518), 1,
      anon_sym_AT,
    STATE(5686), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6864), 1,
      sym_annotation,
    STATE(5589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [294128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [294170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294212] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1712), 1,
      anon_sym_LBRACE,
    ACTIONS(9491), 1,
      anon_sym_LPAREN,
    ACTIONS(10358), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5593), 2,
      sym_comment,
      sym_block_comment,
    STATE(8802), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294266] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8616), 1,
      anon_sym_LPAREN,
    ACTIONS(9149), 1,
      anon_sym_DOT,
    ACTIONS(10338), 1,
      sym__alpha_identifier,
    ACTIONS(10344), 1,
      sym__backquoted_id,
    ACTIONS(10346), 1,
      sym_operator_identifier,
    ACTIONS(10399), 1,
      anon_sym_EQ,
    STATE(535), 1,
      sym_identifier,
    STATE(4030), 1,
      sym__soft_identifier,
    STATE(5594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7187), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9477), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [294332] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1286), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9217), 1,
      anon_sym_LPAREN,
    ACTIONS(10121), 1,
      anon_sym_DOT,
    ACTIONS(10243), 1,
      sym__alpha_identifier,
    ACTIONS(10249), 1,
      sym__backquoted_id,
    ACTIONS(10251), 1,
      sym_operator_identifier,
    ACTIONS(10401), 1,
      anon_sym_EQ,
    STATE(541), 1,
      sym_identifier,
    STATE(4035), 1,
      sym__soft_identifier,
    STATE(5595), 2,
      sym_comment,
      sym_block_comment,
    STATE(8525), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10245), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [294398] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9524), 1,
      anon_sym_AT,
    STATE(5697), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7307), 1,
      sym_annotation,
    STATE(5596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294446] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294488] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8696), 1,
      anon_sym_LPAREN,
    ACTIONS(9231), 1,
      anon_sym_DOT,
    ACTIONS(10348), 1,
      sym__alpha_identifier,
    ACTIONS(10354), 1,
      sym__backquoted_id,
    ACTIONS(10356), 1,
      sym_operator_identifier,
    ACTIONS(10407), 1,
      anon_sym_EQ,
    STATE(533), 1,
      sym_identifier,
    STATE(4027), 1,
      sym__soft_identifier,
    STATE(5598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6919), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9477), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [294554] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10409), 1,
      anon_sym_with,
    STATE(5599), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294640] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10126), 1,
      anon_sym_LBRACK,
    ACTIONS(10130), 1,
      anon_sym_POUND,
    ACTIONS(10412), 1,
      anon_sym_AT,
    STATE(7340), 1,
      sym_type_arguments,
    STATE(7574), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9325), 1,
      sym_annotation,
    STATE(5601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [294694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294778] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10414), 1,
      sym__interpolated_multiline_string_start,
    STATE(9502), 1,
      sym_interpolated_string,
    STATE(15247), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [294830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [294956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [294998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295166] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10424), 1,
      anon_sym_with,
    STATE(6271), 1,
      aux_sym_compound_type_repeat1,
    STATE(9774), 1,
      sym_arguments,
    STATE(9822), 1,
      sym__refinement,
    STATE(9831), 1,
      sym_template_body,
    STATE(5613), 2,
      sym_comment,
      sym_block_comment,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295262] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10192), 1,
      anon_sym_COLON,
    ACTIONS(10194), 1,
      anon_sym_LBRACE,
    ACTIONS(10196), 1,
      anon_sym_with,
    STATE(5457), 1,
      aux_sym_compound_type_repeat1,
    STATE(10194), 1,
      sym_template_body,
    STATE(10204), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5615), 2,
      sym_comment,
      sym_block_comment,
    STATE(10159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 4,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295324] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [295368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295410] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9815), 1,
      anon_sym_EQ_GT,
    STATE(5618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295622] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9514), 1,
      anon_sym_AT,
    STATE(5723), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6899), 1,
      sym_annotation,
    STATE(5623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295670] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10438), 1,
      anon_sym_COLON,
    ACTIONS(10440), 1,
      anon_sym_LBRACE,
    ACTIONS(10442), 1,
      anon_sym_with,
    STATE(5745), 1,
      aux_sym_compound_type_repeat1,
    STATE(10079), 1,
      sym_template_body,
    STATE(10080), 1,
      sym__refinement,
    STATE(5624), 2,
      sym_comment,
      sym_block_comment,
    STATE(9856), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [295936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [295978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296398] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10208), 1,
      anon_sym_COLON,
    ACTIONS(10210), 1,
      anon_sym_LBRACE,
    ACTIONS(10212), 1,
      anon_sym_with,
    STATE(8082), 1,
      aux_sym_compound_type_repeat1,
    STATE(10258), 1,
      sym__refinement,
    STATE(10272), 1,
      sym_template_body,
    STATE(5641), 2,
      sym_comment,
      sym_block_comment,
    STATE(10167), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296496] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296538] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10235), 1,
      anon_sym_COLON,
    ACTIONS(10237), 1,
      anon_sym_LBRACE,
    ACTIONS(10239), 1,
      anon_sym_with,
    STATE(5497), 1,
      aux_sym_compound_type_repeat1,
    STATE(10132), 1,
      sym_template_body,
    STATE(10179), 1,
      sym__refinement,
    STATE(5644), 2,
      sym_comment,
      sym_block_comment,
    STATE(10285), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296594] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10476), 1,
      anon_sym_LBRACK,
    ACTIONS(10478), 1,
      anon_sym_LPAREN,
    ACTIONS(10480), 1,
      anon_sym_POUND,
    STATE(6807), 1,
      aux_sym_annotation_repeat1,
    STATE(8026), 1,
      sym_type_arguments,
    STATE(8336), 1,
      sym_arguments,
    STATE(5645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [296816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [296858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296900] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10486), 1,
      anon_sym_LPAREN,
    STATE(7316), 1,
      sym_arguments,
    STATE(5652), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8894), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [296946] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10489), 1,
      anon_sym_LBRACK,
    ACTIONS(10491), 1,
      anon_sym_LPAREN,
    ACTIONS(10493), 1,
      anon_sym_POUND,
    STATE(7267), 1,
      aux_sym_annotation_repeat1,
    STATE(7435), 1,
      sym_type_arguments,
    STATE(8571), 1,
      sym_arguments,
    STATE(5653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10495), 1,
      anon_sym_with,
    STATE(5656), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297380] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10502), 1,
      anon_sym_COLON,
    ACTIONS(10504), 1,
      anon_sym_LBRACE,
    ACTIONS(10506), 1,
      anon_sym_with,
    STATE(8153), 1,
      aux_sym_compound_type_repeat1,
    STATE(10168), 1,
      sym_template_body,
    STATE(10270), 1,
      sym__refinement,
    STATE(5663), 2,
      sym_comment,
      sym_block_comment,
    STATE(10170), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297436] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10176), 1,
      anon_sym_with,
    STATE(8263), 1,
      aux_sym_compound_type_repeat1,
    STATE(9427), 1,
      sym_template_body,
    STATE(9460), 1,
      sym__refinement,
    STATE(5664), 2,
      sym_comment,
      sym_block_comment,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297488] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10502), 1,
      anon_sym_COLON,
    ACTIONS(10504), 1,
      anon_sym_LBRACE,
    ACTIONS(10506), 1,
      anon_sym_with,
    STATE(5663), 1,
      aux_sym_compound_type_repeat1,
    STATE(10160), 1,
      sym__refinement,
    STATE(10168), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5665), 2,
      sym_comment,
      sym_block_comment,
    STATE(10170), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8354), 3,
      anon_sym_STAR,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297636] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10075), 1,
      anon_sym_LBRACK,
    ACTIONS(10079), 1,
      anon_sym_POUND,
    ACTIONS(10512), 1,
      anon_sym_AT,
    STATE(6706), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6956), 1,
      sym_type_arguments,
    STATE(8705), 1,
      sym_annotation,
    STATE(5668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [297774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [297816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297858] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10518), 1,
      anon_sym_COLON,
    ACTIONS(10521), 1,
      anon_sym_LBRACE,
    STATE(7394), 1,
      sym_template_body,
    STATE(5673), 2,
      sym_comment,
      sym_block_comment,
    STATE(7718), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 15,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [297908] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [297950] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10524), 1,
      anon_sym_LPAREN,
    STATE(6863), 1,
      sym_arguments,
    STATE(5675), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [297996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298122] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10268), 1,
      anon_sym_LBRACE,
    ACTIONS(10270), 1,
      anon_sym_with,
    ACTIONS(10527), 1,
      anon_sym_COLON,
    STATE(5513), 1,
      aux_sym_compound_type_repeat1,
    STATE(9798), 1,
      sym_template_body,
    STATE(9806), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5679), 2,
      sym_comment,
      sym_block_comment,
    STATE(9772), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298184] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298352] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9624), 1,
      anon_sym_LPAREN,
    STATE(5675), 1,
      aux_sym_annotation_repeat1,
    STATE(6863), 1,
      sym_arguments,
    STATE(5684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298442] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10534), 1,
      anon_sym_AT,
    STATE(6864), 1,
      sym_annotation,
    STATE(5686), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298572] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9544), 1,
      anon_sym_LPAREN,
    STATE(5652), 1,
      aux_sym_annotation_repeat1,
    STATE(7316), 1,
      sym_arguments,
    STATE(5689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8872), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298704] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10541), 1,
      anon_sym_LBRACK,
    ACTIONS(10543), 1,
      anon_sym_AT,
    ACTIONS(10545), 1,
      anon_sym_LPAREN,
    ACTIONS(10547), 1,
      anon_sym_POUND,
    STATE(7446), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8290), 1,
      sym_type_arguments,
    STATE(9302), 1,
      sym_annotation,
    STATE(9774), 1,
      sym_arguments,
    STATE(5692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298762] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10549), 1,
      sym__interpolated_multiline_string_start,
    STATE(9685), 1,
      sym_interpolated_string,
    STATE(14974), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [298856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [298898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10551), 1,
      anon_sym_DOT,
    STATE(5696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298942] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10553), 1,
      anon_sym_AT,
    STATE(7307), 1,
      sym_annotation,
    STATE(5697), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [298988] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10235), 1,
      anon_sym_COLON,
    ACTIONS(10237), 1,
      anon_sym_LBRACE,
    ACTIONS(10239), 1,
      anon_sym_with,
    STATE(5497), 1,
      aux_sym_compound_type_repeat1,
    STATE(10132), 1,
      sym_template_body,
    STATE(10179), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5698), 2,
      sym_comment,
      sym_block_comment,
    STATE(10285), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10556), 1,
      anon_sym_DOT,
    STATE(5705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299472] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10502), 1,
      anon_sym_COLON,
    ACTIONS(10504), 1,
      anon_sym_LBRACE,
    ACTIONS(10506), 1,
      anon_sym_with,
    STATE(5663), 1,
      aux_sym_compound_type_repeat1,
    STATE(10160), 1,
      sym__refinement,
    STATE(10168), 1,
      sym_template_body,
    STATE(5709), 2,
      sym_comment,
      sym_block_comment,
    STATE(10170), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299612] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9990), 1,
      anon_sym_POUND,
    ACTIONS(10558), 1,
      anon_sym_AT,
    STATE(6917), 1,
      sym_type_arguments,
    STATE(7529), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9161), 1,
      sym_annotation,
    STATE(5712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299708] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10293), 1,
      anon_sym_COLON,
    ACTIONS(10295), 1,
      anon_sym_LBRACE,
    ACTIONS(10297), 1,
      anon_sym_with,
    STATE(5532), 1,
      aux_sym_compound_type_repeat1,
    STATE(10242), 1,
      sym_template_body,
    STATE(10260), 1,
      sym__refinement,
    STATE(5714), 2,
      sym_comment,
      sym_block_comment,
    STATE(10358), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299764] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1838), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9420), 1,
      anon_sym_LPAREN,
    ACTIONS(10322), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5715), 2,
      sym_comment,
      sym_block_comment,
    STATE(9024), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8676), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299820] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9825), 1,
      anon_sym_LBRACK,
    ACTIONS(9827), 1,
      anon_sym_AT,
    ACTIONS(9831), 1,
      anon_sym_POUND,
    STATE(7345), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7525), 1,
      sym_type_arguments,
    STATE(8449), 1,
      sym_annotation,
    STATE(5716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [299874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [299916] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [299960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300002] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300046] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1838), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9420), 1,
      anon_sym_LPAREN,
    ACTIONS(10322), 1,
      anon_sym_DOT,
    ACTIONS(10560), 1,
      sym_operator_identifier,
    STATE(1721), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(9024), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8426), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [300112] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300156] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10562), 1,
      anon_sym_AT,
    STATE(6899), 1,
      sym_annotation,
    STATE(5723), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300202] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10069), 1,
      anon_sym_LBRACK,
    ACTIONS(10073), 1,
      anon_sym_POUND,
    ACTIONS(10565), 1,
      anon_sym_AT,
    STATE(6746), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6924), 1,
      sym_type_arguments,
    STATE(8627), 1,
      sym_annotation,
    STATE(5724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300424] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6238), 1,
      sym_arguments,
    STATE(5729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300846] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10113), 1,
      anon_sym_LBRACK,
    ACTIONS(10119), 1,
      anon_sym_POUND,
    ACTIONS(10571), 1,
      anon_sym_LPAREN,
    STATE(6866), 1,
      aux_sym_annotation_repeat1,
    STATE(7791), 1,
      sym_type_arguments,
    STATE(8232), 1,
      sym_arguments,
    STATE(5739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [300900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [300942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [300984] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10438), 1,
      anon_sym_COLON,
    ACTIONS(10440), 1,
      anon_sym_LBRACE,
    ACTIONS(10442), 1,
      anon_sym_with,
    STATE(5745), 1,
      aux_sym_compound_type_repeat1,
    STATE(10079), 1,
      sym_template_body,
    STATE(10080), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5742), 2,
      sym_comment,
      sym_block_comment,
    STATE(9856), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301130] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10438), 1,
      anon_sym_COLON,
    ACTIONS(10440), 1,
      anon_sym_LBRACE,
    ACTIONS(10442), 1,
      anon_sym_with,
    STATE(8251), 1,
      aux_sym_compound_type_repeat1,
    STATE(10079), 1,
      sym_template_body,
    STATE(10091), 1,
      sym__refinement,
    STATE(5745), 2,
      sym_comment,
      sym_block_comment,
    STATE(9856), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301186] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10581), 1,
      anon_sym_DOT,
    STATE(5746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301230] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1712), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9491), 1,
      anon_sym_LPAREN,
    ACTIONS(10358), 1,
      anon_sym_DOT,
    ACTIONS(10583), 1,
      sym_operator_identifier,
    STATE(1657), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5747), 2,
      sym_comment,
      sym_block_comment,
    STATE(8802), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [301296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301380] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10585), 1,
      anon_sym_COLON,
    ACTIONS(10587), 1,
      anon_sym_LBRACE,
    ACTIONS(10589), 1,
      anon_sym_with,
    STATE(8585), 1,
      aux_sym_compound_type_repeat1,
    STATE(10128), 1,
      sym_template_body,
    STATE(10429), 1,
      sym__refinement,
    STATE(5750), 2,
      sym_comment,
      sym_block_comment,
    STATE(10355), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301436] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10591), 1,
      anon_sym_COLON,
    ACTIONS(10594), 1,
      anon_sym_LBRACE,
    STATE(7440), 1,
      sym_template_body,
    STATE(5751), 2,
      sym_comment,
      sym_block_comment,
    STATE(7631), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301486] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9205), 1,
      anon_sym_AT,
    STATE(5971), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7054), 1,
      sym_annotation,
    STATE(5752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301534] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9790), 1,
      anon_sym_with,
    STATE(8707), 1,
      aux_sym_compound_type_repeat1,
    STATE(9557), 1,
      sym__refinement,
    STATE(9586), 1,
      sym_template_body,
    STATE(5753), 2,
      sym_comment,
      sym_block_comment,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301670] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301754] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10597), 1,
      anon_sym_AT,
    STATE(7305), 1,
      sym_annotation,
    STATE(5758), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301800] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_DOT,
    ACTIONS(10600), 1,
      anon_sym_EQ_GT,
    STATE(5759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [301888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [301930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [301972] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9958), 1,
      sym__interpolated_multiline_string_start,
    STATE(9066), 1,
      sym_interpolated_string,
    STATE(15120), 1,
      sym__interpolated_string_start,
    ACTIONS(10602), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302318] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9601), 1,
      anon_sym_DOT,
    ACTIONS(10608), 1,
      sym__alpha_identifier,
    ACTIONS(10612), 1,
      anon_sym_EQ,
    ACTIONS(10614), 1,
      sym__backquoted_id,
    ACTIONS(10616), 1,
      sym_operator_identifier,
    STATE(540), 1,
      sym_identifier,
    STATE(4042), 1,
      sym__soft_identifier,
    STATE(5771), 2,
      sym_comment,
      sym_block_comment,
    STATE(7413), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
    ACTIONS(10610), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [302384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302762] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6232), 1,
      sym_arguments,
    STATE(5781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [302806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [302848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [302890] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10293), 1,
      anon_sym_COLON,
    ACTIONS(10295), 1,
      anon_sym_LBRACE,
    ACTIONS(10297), 1,
      anon_sym_with,
    STATE(5532), 1,
      aux_sym_compound_type_repeat1,
    STATE(10242), 1,
      sym_template_body,
    STATE(10260), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5784), 2,
      sym_comment,
      sym_block_comment,
    STATE(10358), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8354), 3,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [302952] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9964), 1,
      anon_sym_LBRACK,
    ACTIONS(9968), 1,
      anon_sym_POUND,
    ACTIONS(10618), 1,
      anon_sym_AT,
    STATE(6689), 1,
      sym_type_arguments,
    STATE(6947), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8231), 1,
      sym_annotation,
    STATE(5785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303006] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9763), 1,
      anon_sym_LBRACK,
    ACTIONS(9767), 1,
      anon_sym_POUND,
    ACTIONS(10620), 1,
      anon_sym_AT,
    STATE(7115), 1,
      sym_type_arguments,
    STATE(7522), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8796), 1,
      sym_annotation,
    STATE(5786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303060] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303144] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [303230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303398] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [303610] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10289), 1,
      sym__interpolated_multiline_string_start,
    STATE(9505), 1,
      sym_interpolated_string,
    STATE(15787), 1,
      sym__interpolated_string_start,
    ACTIONS(10626), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303704] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10628), 1,
      anon_sym_DOT,
    STATE(5802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303748] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10414), 1,
      sym__interpolated_multiline_string_start,
    STATE(9502), 1,
      sym_interpolated_string,
    STATE(15247), 1,
      sym__interpolated_string_start,
    ACTIONS(10630), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [303886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [303970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304012] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10632), 1,
      anon_sym_LPAREN,
    STATE(7250), 1,
      sym_arguments,
    STATE(5809), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304100] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9367), 1,
      anon_sym_LPAREN,
    STATE(5809), 1,
      aux_sym_annotation_repeat1,
    STATE(7250), 1,
      sym_arguments,
    STATE(5811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304148] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10635), 1,
      anon_sym_LBRACK,
    ACTIONS(10637), 1,
      anon_sym_LPAREN,
    ACTIONS(10639), 1,
      anon_sym_POUND,
    STATE(7875), 1,
      sym_type_arguments,
    STATE(8034), 1,
      aux_sym_annotation_repeat1,
    STATE(8766), 1,
      sym_arguments,
    STATE(5812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304244] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304456] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9794), 1,
      anon_sym_DOT,
    ACTIONS(10641), 1,
      anon_sym_EQ_GT,
    STATE(5819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304502] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10268), 1,
      anon_sym_LBRACE,
    ACTIONS(10270), 1,
      anon_sym_with,
    STATE(5513), 1,
      aux_sym_compound_type_repeat1,
    STATE(9798), 1,
      sym_template_body,
    STATE(9806), 1,
      sym__refinement,
    STATE(5820), 2,
      sym_comment,
      sym_block_comment,
    STATE(9772), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304598] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304724] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [304768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [304852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304894] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9516), 1,
      anon_sym_AT,
    STATE(5932), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7141), 1,
      sym_annotation,
    STATE(5829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8965), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [304984] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305112] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    STATE(5836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305664] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9727), 1,
      anon_sym_LBRACK,
    ACTIONS(9731), 1,
      anon_sym_POUND,
    ACTIONS(10645), 1,
      anon_sym_AT,
    STATE(7157), 1,
      sym_type_arguments,
    STATE(7192), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8701), 1,
      sym_annotation,
    STATE(5847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305718] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10052), 1,
      anon_sym_LBRACK,
    ACTIONS(10056), 1,
      anon_sym_POUND,
    ACTIONS(10647), 1,
      anon_sym_AT,
    STATE(6783), 1,
      aux_sym_enum_definition_repeat1,
    STATE(6826), 1,
      sym_type_arguments,
    STATE(8539), 1,
      sym_annotation,
    STATE(5848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [305772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [305814] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9434), 1,
      anon_sym_LPAREN,
    STATE(5855), 1,
      aux_sym_annotation_repeat1,
    STATE(6993), 1,
      sym_arguments,
    STATE(5850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305862] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10649), 1,
      anon_sym_LBRACE,
    ACTIONS(10651), 1,
      anon_sym_with,
    STATE(8464), 1,
      aux_sym_compound_type_repeat1,
    STATE(10111), 1,
      sym__refinement,
    STATE(10124), 1,
      sym_template_body,
    STATE(5851), 2,
      sym_comment,
      sym_block_comment,
    STATE(9953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [305958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306000] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10653), 1,
      anon_sym_AT,
    STATE(7209), 1,
      sym_annotation,
    STATE(5854), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306046] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10656), 1,
      anon_sym_LPAREN,
    STATE(6993), 1,
      sym_arguments,
    STATE(5855), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306092] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10649), 1,
      anon_sym_LBRACE,
    ACTIONS(10651), 1,
      anon_sym_with,
    STATE(5851), 1,
      aux_sym_compound_type_repeat1,
    STATE(10123), 1,
      sym__refinement,
    STATE(10124), 1,
      sym_template_body,
    STATE(5856), 2,
      sym_comment,
      sym_block_comment,
    STATE(9953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306188] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4198), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(5858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306402] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9402), 1,
      anon_sym_AT,
    STATE(5758), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7305), 1,
      sym_annotation,
    STATE(5863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [306450] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306576] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9755), 1,
      sym__interpolated_multiline_string_start,
    STATE(9203), 1,
      sym_interpolated_string,
    STATE(15575), 1,
      sym__interpolated_string_start,
    ACTIONS(10663), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306670] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [306840] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9357), 1,
      sym__interpolated_multiline_string_start,
    STATE(8198), 1,
      sym_interpolated_string,
    STATE(15489), 1,
      sym__interpolated_string_start,
    ACTIONS(10665), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10667), 1,
      anon_sym_DOT,
    STATE(5874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [306978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307020] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9841), 1,
      anon_sym_EQ_GT,
    STATE(5877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307316] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10669), 1,
      anon_sym_DOT,
    STATE(5884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [307402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307444] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10671), 1,
      anon_sym_with,
    STATE(5887), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307530] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307698] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10585), 1,
      anon_sym_COLON,
    ACTIONS(10587), 1,
      anon_sym_LBRACE,
    ACTIONS(10589), 1,
      anon_sym_with,
    STATE(5750), 1,
      aux_sym_compound_type_repeat1,
    STATE(10128), 1,
      sym_template_body,
    STATE(10350), 1,
      sym__refinement,
    STATE(5893), 2,
      sym_comment,
      sym_block_comment,
    STATE(10355), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [307838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [307880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [307964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308132] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308216] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9817), 1,
      anon_sym_LBRACK,
    ACTIONS(9821), 1,
      anon_sym_POUND,
    ACTIONS(10674), 1,
      anon_sym_AT,
    STATE(6983), 1,
      sym_type_arguments,
    STATE(7378), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9297), 1,
      sym_annotation,
    STATE(5905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308270] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9215), 1,
      anon_sym_AT,
    STATE(5854), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7209), 1,
      sym_annotation,
    STATE(5906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308318] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1374), 1,
      anon_sym_LBRACE,
    ACTIONS(9677), 1,
      anon_sym_LPAREN,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(5907), 2,
      sym_comment,
      sym_block_comment,
    STATE(9198), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308414] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308708] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(936), 1,
      anon_sym_LBRACE,
    ACTIONS(8256), 1,
      anon_sym_LPAREN,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9011), 1,
      anon_sym_DOT,
    ACTIONS(9943), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(9951), 1,
      sym_operator_identifier,
    ACTIONS(10676), 1,
      anon_sym_EQ,
    STATE(530), 1,
      sym_identifier,
    STATE(3948), 1,
      sym__soft_identifier,
    STATE(5916), 2,
      sym_comment,
      sym_block_comment,
    STATE(6607), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9945), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [308774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [308816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308858] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10217), 1,
      anon_sym_COLON,
    ACTIONS(10219), 1,
      anon_sym_LBRACE,
    ACTIONS(10221), 1,
      anon_sym_with,
    STATE(8104), 1,
      aux_sym_compound_type_repeat1,
    STATE(10210), 1,
      sym_template_body,
    STATE(10423), 1,
      sym__refinement,
    STATE(5919), 2,
      sym_comment,
      sym_block_comment,
    STATE(10413), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [308956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [308998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309166] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10113), 1,
      anon_sym_LBRACK,
    ACTIONS(10115), 1,
      anon_sym_AT,
    ACTIONS(10119), 1,
      anon_sym_POUND,
    STATE(6855), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7791), 1,
      sym_type_arguments,
    STATE(8365), 1,
      sym_annotation,
    STATE(5926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309346] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10678), 1,
      anon_sym_LPAREN,
    STATE(7040), 1,
      sym_arguments,
    STATE(5930), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8894), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309434] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10681), 1,
      anon_sym_AT,
    STATE(7141), 1,
      sym_annotation,
    STATE(5932), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8929), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309648] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10684), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_LPAREN,
    ACTIONS(10688), 1,
      anon_sym_POUND,
    STATE(7156), 1,
      aux_sym_annotation_repeat1,
    STATE(7821), 1,
      sym_type_arguments,
    STATE(8379), 1,
      sym_arguments,
    STATE(5937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [309702] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(972), 1,
      anon_sym_LBRACE,
    ACTIONS(8326), 1,
      anon_sym_LPAREN,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8936), 1,
      anon_sym_DOT,
    ACTIONS(9875), 1,
      sym__alpha_identifier,
    ACTIONS(9881), 1,
      sym__backquoted_id,
    ACTIONS(9883), 1,
      sym_operator_identifier,
    ACTIONS(10690), 1,
      anon_sym_EQ,
    STATE(531), 1,
      sym_identifier,
    STATE(3916), 1,
      sym__soft_identifier,
    STATE(5938), 2,
      sym_comment,
      sym_block_comment,
    STATE(6000), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9877), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [309768] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9648), 1,
      anon_sym_LPAREN,
    STATE(5930), 1,
      aux_sym_annotation_repeat1,
    STATE(7040), 1,
      sym_arguments,
    STATE(5939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8872), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10692), 1,
      anon_sym_with,
    STATE(5940), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309860] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [309902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [309986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310028] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10695), 1,
      anon_sym_DOT,
    STATE(5945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310072] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10034), 1,
      anon_sym_with,
    STATE(8209), 1,
      aux_sym_compound_type_repeat1,
    STATE(9100), 1,
      sym_template_body,
    STATE(9280), 1,
      sym__refinement,
    STATE(5946), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [310166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310334] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10697), 1,
      anon_sym_AT,
    STATE(7003), 1,
      sym_annotation,
    STATE(5952), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310464] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10700), 1,
      anon_sym_DOT,
    STATE(5955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310550] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9411), 1,
      anon_sym_LPAREN,
    STATE(5958), 1,
      aux_sym_annotation_repeat1,
    STATE(7066), 1,
      sym_arguments,
    STATE(5957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310598] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10702), 1,
      anon_sym_LPAREN,
    STATE(7066), 1,
      sym_arguments,
    STATE(5958), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310644] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9225), 1,
      anon_sym_AT,
    STATE(5952), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7003), 1,
      sym_annotation,
    STATE(5959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [310692] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310776] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10585), 1,
      anon_sym_COLON,
    ACTIONS(10587), 1,
      anon_sym_LBRACE,
    ACTIONS(10589), 1,
      anon_sym_with,
    STATE(5750), 1,
      aux_sym_compound_type_repeat1,
    STATE(10128), 1,
      sym_template_body,
    STATE(10350), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5962), 2,
      sym_comment,
      sym_block_comment,
    STATE(10355), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [310838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [310964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311132] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9779), 1,
      anon_sym_with,
    STATE(8353), 1,
      aux_sym_compound_type_repeat1,
    STATE(9507), 1,
      sym_template_body,
    STATE(9540), 1,
      sym__refinement,
    STATE(5970), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8236), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311184] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10709), 1,
      anon_sym_AT,
    STATE(7054), 1,
      sym_annotation,
    STATE(5971), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311272] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10649), 1,
      anon_sym_LBRACE,
    ACTIONS(10651), 1,
      anon_sym_with,
    ACTIONS(10712), 1,
      anon_sym_COLON,
    STATE(5851), 1,
      aux_sym_compound_type_repeat1,
    STATE(10123), 1,
      sym__refinement,
    STATE(10124), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5973), 2,
      sym_comment,
      sym_block_comment,
    STATE(9953), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311460] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311502] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10715), 1,
      anon_sym_DOT,
    STATE(5978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311546] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311588] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10172), 1,
      anon_sym_AT,
    STATE(6055), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7921), 1,
      sym_annotation,
    STATE(5980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [311799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311840] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9810), 1,
      anon_sym_LPAREN,
    STATE(6006), 1,
      aux_sym_annotation_repeat1,
    STATE(7801), 1,
      sym_arguments,
    STATE(5986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8872), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [311887] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10717), 1,
      anon_sym_COLON,
    ACTIONS(10719), 1,
      anon_sym_LBRACE,
    ACTIONS(10721), 1,
      anon_sym_with,
    STATE(6227), 1,
      aux_sym_compound_type_repeat1,
    STATE(10448), 1,
      sym__refinement,
    STATE(10551), 1,
      sym_template_body,
    ACTIONS(8354), 2,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5987), 2,
      sym_comment,
      sym_block_comment,
    STATE(10557), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [311989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312030] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(5990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312196] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10723), 1,
      anon_sym_COLON,
    ACTIONS(10725), 1,
      anon_sym_LBRACE,
    ACTIONS(10727), 1,
      anon_sym_with,
    STATE(6343), 1,
      aux_sym_compound_type_repeat1,
    STATE(10517), 1,
      sym_template_body,
    STATE(10519), 1,
      sym__refinement,
    ACTIONS(8354), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(5994), 2,
      sym_comment,
      sym_block_comment,
    STATE(10650), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312339] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10489), 1,
      anon_sym_LBRACK,
    ACTIONS(10493), 1,
      anon_sym_POUND,
    ACTIONS(10729), 1,
      anon_sym_AT,
    STATE(7371), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7435), 1,
      sym_type_arguments,
    STATE(9288), 1,
      sym_annotation,
    STATE(5997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312515] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6904), 1,
      sym__end_marker,
    STATE(6001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312722] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10731), 1,
      anon_sym_LPAREN,
    STATE(7801), 1,
      sym_arguments,
    STATE(6006), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8894), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [312849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [312890] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10734), 1,
      anon_sym_COLON,
    ACTIONS(10736), 1,
      anon_sym_LBRACE,
    ACTIONS(10738), 1,
      anon_sym_with,
    STATE(8773), 1,
      aux_sym_compound_type_repeat1,
    STATE(10570), 1,
      sym__refinement,
    STATE(10630), 1,
      sym_template_body,
    STATE(6010), 2,
      sym_comment,
      sym_block_comment,
    STATE(10510), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312945] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10740), 1,
      anon_sym_DOT,
    STATE(6011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [312988] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10134), 1,
      anon_sym_LPAREN,
    STATE(6022), 1,
      aux_sym_annotation_repeat1,
    STATE(7746), 1,
      sym_arguments,
    STATE(6012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313035] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10742), 1,
      anon_sym_COLON,
    ACTIONS(10745), 1,
      anon_sym_LBRACE,
    STATE(8221), 1,
      sym_template_body,
    STATE(6013), 2,
      sym_comment,
      sym_block_comment,
    STATE(8202), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313084] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313289] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10091), 1,
      anon_sym_AT,
    STATE(6083), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7966), 1,
      sym_annotation,
    STATE(6019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8965), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313336] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10748), 1,
      anon_sym_with,
    STATE(6020), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [313420] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10751), 1,
      anon_sym_LPAREN,
    STATE(7746), 1,
      sym_arguments,
    STATE(6022), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313465] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313713] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_COLON,
    ACTIONS(10719), 1,
      anon_sym_LBRACE,
    ACTIONS(10721), 1,
      anon_sym_with,
    STATE(6227), 1,
      aux_sym_compound_type_repeat1,
    STATE(10448), 1,
      sym__refinement,
    STATE(10551), 1,
      sym_template_body,
    STATE(6029), 2,
      sym_comment,
      sym_block_comment,
    STATE(10557), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [313932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [313973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [314344] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9982), 1,
      sym__interpolated_multiline_string_start,
    STATE(8807), 1,
      sym_interpolated_string,
    STATE(14839), 1,
      sym__interpolated_string_start,
    ACTIONS(10754), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [314764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314805] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10756), 1,
      anon_sym_AT,
    STATE(7921), 1,
      sym_annotation,
    STATE(6055), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314891] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9376), 1,
      anon_sym_AT,
    STATE(6262), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7391), 1,
      sym_annotation,
    STATE(6057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [314938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [314979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315061] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10044), 1,
      anon_sym_AT,
    STATE(6169), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8055), 1,
      sym_annotation,
    STATE(6061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315397] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315604] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10759), 1,
      anon_sym_LPAREN,
    STATE(7979), 1,
      sym_arguments,
    STATE(6074), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10762), 1,
      anon_sym_DOT,
    STATE(6078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [315856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [315979] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10764), 1,
      anon_sym_AT,
    STATE(7966), 1,
      sym_annotation,
    STATE(6083), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8929), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316024] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10734), 1,
      anon_sym_COLON,
    ACTIONS(10736), 1,
      anon_sym_LBRACE,
    ACTIONS(10738), 1,
      anon_sym_with,
    STATE(6010), 1,
      aux_sym_compound_type_repeat1,
    STATE(10492), 1,
      sym__refinement,
    STATE(10630), 1,
      sym_template_body,
    STATE(6084), 2,
      sym_comment,
      sym_block_comment,
    STATE(10510), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316079] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10077), 1,
      anon_sym_LPAREN,
    STATE(6074), 1,
      aux_sym_annotation_repeat1,
    STATE(7979), 1,
      sym_arguments,
    STATE(6085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316208] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1516), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9227), 1,
      anon_sym_LPAREN,
    ACTIONS(9892), 1,
      anon_sym_DOT,
    ACTIONS(10767), 1,
      sym__alpha_identifier,
    ACTIONS(10771), 1,
      anon_sym_EQ,
    ACTIONS(10773), 1,
      sym__backquoted_id,
    ACTIONS(10775), 1,
      sym_operator_identifier,
    STATE(550), 1,
      sym_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(6088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(8489), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9477), 4,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10769), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [316273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316314] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9489), 1,
      anon_sym_AT,
    STATE(6200), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8035), 1,
      sym_annotation,
    STATE(6090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316361] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9747), 1,
      anon_sym_LPAREN,
    STATE(6112), 1,
      aux_sym_annotation_repeat1,
    STATE(7984), 1,
      sym_arguments,
    STATE(6091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316408] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1656), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9829), 1,
      anon_sym_LPAREN,
    ACTIONS(10777), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6092), 2,
      sym_comment,
      sym_block_comment,
    STATE(9364), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [316750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [316873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [316914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [316955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [316996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317037] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10779), 1,
      anon_sym_with,
    STATE(6107), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10782), 1,
      anon_sym_DOT,
    STATE(6108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [317123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317205] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10784), 1,
      anon_sym_COLON,
    ACTIONS(10787), 1,
      anon_sym_LBRACE,
    STATE(8508), 1,
      sym_template_body,
    STATE(6111), 2,
      sym_comment,
      sym_block_comment,
    STATE(8477), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9263), 15,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317254] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10790), 1,
      anon_sym_LPAREN,
    STATE(7984), 1,
      sym_arguments,
    STATE(6112), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317586] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317629] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6946), 1,
      sym__end_marker,
    STATE(6121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [317672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317713] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9962), 1,
      anon_sym_AT,
    STATE(6234), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7978), 1,
      sym_annotation,
    STATE(6123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317760] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10793), 1,
      anon_sym_LPAREN,
    STATE(8041), 1,
      sym_arguments,
    STATE(6124), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317805] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10796), 1,
      anon_sym_AT,
    STATE(7577), 1,
      sym_annotation,
    STATE(6125), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317850] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1656), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9829), 1,
      anon_sym_LPAREN,
    ACTIONS(10777), 1,
      anon_sym_DOT,
    ACTIONS(10799), 1,
      sym_operator_identifier,
    STATE(1799), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8426), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    STATE(9364), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [317915] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10801), 1,
      anon_sym_DOT,
    STATE(6127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [317958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [317999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318204] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8130), 1,
      sym__backquoted_id,
    ACTIONS(9800), 1,
      anon_sym_LPAREN,
    ACTIONS(10803), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_POUND,
    STATE(8129), 1,
      aux_sym_annotation_repeat1,
    STATE(8308), 1,
      sym_type_arguments,
    STATE(9333), 1,
      sym_arguments,
    STATE(6134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8128), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318257] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10807), 1,
      anon_sym_LBRACE,
    ACTIONS(10809), 1,
      anon_sym_with,
    STATE(9065), 1,
      aux_sym_compound_type_repeat1,
    STATE(10163), 1,
      sym__refinement,
    STATE(10280), 1,
      sym_template_body,
    STATE(6135), 2,
      sym_comment,
      sym_block_comment,
    STATE(10261), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [318310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318351] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10071), 1,
      anon_sym_LPAREN,
    STATE(6124), 1,
      aux_sym_annotation_repeat1,
    STATE(8041), 1,
      sym_arguments,
    STATE(6137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [318439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318521] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10811), 1,
      anon_sym_DOT,
    STATE(6141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318646] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1656), 1,
      anon_sym_LBRACE,
    ACTIONS(9829), 1,
      anon_sym_LPAREN,
    ACTIONS(10777), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6144), 2,
      sym_comment,
      sym_block_comment,
    STATE(9364), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318822] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10813), 1,
      anon_sym_COLON,
    ACTIONS(10815), 1,
      anon_sym_LBRACE,
    ACTIONS(10817), 1,
      anon_sym_with,
    STATE(6188), 1,
      aux_sym_compound_type_repeat1,
    STATE(10639), 1,
      sym_template_body,
    STATE(10640), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6148), 2,
      sym_comment,
      sym_block_comment,
    STATE(10614), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [318924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [318965] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10641), 1,
      anon_sym_EQ_GT,
    STATE(6151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319295] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319418] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10819), 1,
      anon_sym_DOT,
    STATE(6162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319502] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10821), 1,
      sym__interpolated_multiline_string_start,
    STATE(9820), 1,
      sym_interpolated_string,
    STATE(15612), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [319676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319717] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10823), 1,
      anon_sym_AT,
    STATE(8055), 1,
      sym_annotation,
    STATE(6169), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [319803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319844] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10541), 1,
      anon_sym_LBRACK,
    ACTIONS(10543), 1,
      anon_sym_AT,
    ACTIONS(10547), 1,
      anon_sym_POUND,
    STATE(7446), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8290), 1,
      sym_type_arguments,
    STATE(9302), 1,
      sym_annotation,
    STATE(6172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [319979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320020] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10826), 1,
      anon_sym_with,
    STATE(6176), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [320063] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1656), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9829), 1,
      anon_sym_LPAREN,
    ACTIONS(10777), 1,
      anon_sym_DOT,
    ACTIONS(10829), 1,
      sym__alpha_identifier,
    ACTIONS(10833), 1,
      anon_sym_EQ,
    ACTIONS(10835), 1,
      sym__backquoted_id,
    ACTIONS(10837), 1,
      sym_operator_identifier,
    STATE(557), 1,
      sym_identifier,
    STATE(4051), 1,
      sym__soft_identifier,
    STATE(6177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    STATE(9364), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10831), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [320128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320169] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10839), 1,
      anon_sym_LPAREN,
    STATE(8051), 1,
      sym_arguments,
    STATE(6179), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320214] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320257] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10054), 1,
      anon_sym_LPAREN,
    STATE(6179), 1,
      aux_sym_annotation_repeat1,
    STATE(8051), 1,
      sym_arguments,
    STATE(6181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320345] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320470] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320552] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10813), 1,
      anon_sym_COLON,
    ACTIONS(10815), 1,
      anon_sym_LBRACE,
    ACTIONS(10817), 1,
      anon_sym_with,
    STATE(8772), 1,
      aux_sym_compound_type_repeat1,
    STATE(10639), 1,
      sym_template_body,
    STATE(10652), 1,
      sym__refinement,
    STATE(6188), 2,
      sym_comment,
      sym_block_comment,
    STATE(10614), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [320648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320730] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10734), 1,
      anon_sym_COLON,
    ACTIONS(10736), 1,
      anon_sym_LBRACE,
    ACTIONS(10738), 1,
      anon_sym_with,
    STATE(6010), 1,
      aux_sym_compound_type_repeat1,
    STATE(10492), 1,
      sym__refinement,
    STATE(10630), 1,
      sym_template_body,
    ACTIONS(8354), 2,
      anon_sym_STAR,
      anon_sym_finally,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6192), 2,
      sym_comment,
      sym_block_comment,
    STATE(10510), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [320873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [320914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [320996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [321037] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10842), 1,
      anon_sym_COLON,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    ACTIONS(10846), 1,
      anon_sym_with,
    STATE(8931), 1,
      aux_sym_compound_type_repeat1,
    STATE(10449), 1,
      sym_template_body,
    STATE(10469), 1,
      sym__refinement,
    STATE(6199), 2,
      sym_comment,
      sym_block_comment,
    STATE(10558), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321092] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10848), 1,
      anon_sym_AT,
    STATE(8035), 1,
      sym_annotation,
    STATE(6200), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321219] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10851), 1,
      anon_sym_LBRACE,
    ACTIONS(10853), 1,
      anon_sym_with,
    STATE(6349), 1,
      aux_sym_compound_type_repeat1,
    STATE(10332), 1,
      sym_template_body,
    STATE(10374), 1,
      sym__refinement,
    STATE(6203), 2,
      sym_comment,
      sym_block_comment,
    STATE(10183), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [321354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321436] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10600), 1,
      anon_sym_EQ_GT,
    STATE(6208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321479] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_LPAREN,
    ACTIONS(10855), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6209), 2,
      sym_comment,
      sym_block_comment,
    STATE(9600), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321819] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9729), 1,
      anon_sym_LPAREN,
    STATE(6220), 1,
      aux_sym_annotation_repeat1,
    STATE(8014), 1,
      sym_arguments,
    STATE(6217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [321948] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10857), 1,
      anon_sym_LPAREN,
    STATE(8014), 1,
      sym_arguments,
    STATE(6220), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [321993] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7332), 1,
      sym_arguments,
    STATE(6221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322077] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322243] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10717), 1,
      anon_sym_COLON,
    ACTIONS(10719), 1,
      anon_sym_LBRACE,
    ACTIONS(10721), 1,
      anon_sym_with,
    STATE(8918), 1,
      aux_sym_compound_type_repeat1,
    STATE(10551), 1,
      sym_template_body,
    STATE(10590), 1,
      sym__refinement,
    STATE(6227), 2,
      sym_comment,
      sym_block_comment,
    STATE(10557), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10860), 1,
      anon_sym_DOT,
    STATE(6228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322341] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10862), 1,
      anon_sym_DOT,
    STATE(6230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322425] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322550] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10864), 1,
      anon_sym_AT,
    STATE(7978), 1,
      sym_annotation,
    STATE(6234), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [322759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322843] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10867), 1,
      anon_sym_AT,
    STATE(7944), 1,
      sym_annotation,
    STATE(6241), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322888] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9725), 1,
      anon_sym_AT,
    STATE(6125), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7577), 1,
      sym_annotation,
    STATE(6242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [322935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [322976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323099] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(10117), 1,
      anon_sym_LPAREN,
    ACTIONS(10855), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6247), 2,
      sym_comment,
      sym_block_comment,
    STATE(9600), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323154] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323359] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10870), 1,
      anon_sym_LBRACK,
    ACTIONS(10872), 1,
      anon_sym_LPAREN,
    ACTIONS(10874), 1,
      anon_sym_POUND,
    STATE(7969), 1,
      aux_sym_annotation_repeat1,
    STATE(8227), 1,
      sym_type_arguments,
    STATE(8917), 1,
      sym_arguments,
    STATE(6253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323494] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10876), 1,
      anon_sym_DOT,
    STATE(6256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323619] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10878), 1,
      anon_sym_with,
    STATE(6259), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [323744] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10881), 1,
      anon_sym_AT,
    STATE(7391), 1,
      sym_annotation,
    STATE(6262), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323830] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9800), 1,
      anon_sym_LPAREN,
    ACTIONS(10884), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6264), 2,
      sym_comment,
      sym_block_comment,
    STATE(9669), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8676), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [323926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [323967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324131] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10424), 1,
      anon_sym_with,
    STATE(8973), 1,
      aux_sym_compound_type_repeat1,
    STATE(9743), 1,
      sym__refinement,
    STATE(9831), 1,
      sym_template_body,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8238), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324305] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10628), 1,
      anon_sym_DOT,
    ACTIONS(10886), 1,
      anon_sym_EQ_GT,
    STATE(6275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324350] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10842), 1,
      anon_sym_COLON,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    ACTIONS(10846), 1,
      anon_sym_with,
    STATE(6199), 1,
      aux_sym_compound_type_repeat1,
    STATE(10449), 1,
      sym_template_body,
    STATE(10536), 1,
      sym__refinement,
    ACTIONS(8354), 2,
      anon_sym_STAR,
      anon_sym_else,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6276), 2,
      sym_comment,
      sym_block_comment,
    STATE(10558), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324411] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324493] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9659), 1,
      anon_sym_LPAREN,
    STATE(6294), 1,
      aux_sym_annotation_repeat1,
    STATE(7381), 1,
      sym_arguments,
    STATE(6279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324663] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9642), 1,
      anon_sym_LPAREN,
    STATE(6291), 1,
      aux_sym_annotation_repeat1,
    STATE(7899), 1,
      sym_arguments,
    STATE(6283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [324751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [324792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324874] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9800), 1,
      anon_sym_LPAREN,
    ACTIONS(10884), 1,
      anon_sym_DOT,
    ACTIONS(10888), 1,
      sym_operator_identifier,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(9669), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8426), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [324939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [324980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325021] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10890), 1,
      anon_sym_LPAREN,
    STATE(7899), 1,
      sym_arguments,
    STATE(6291), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325148] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10893), 1,
      anon_sym_LPAREN,
    STATE(7381), 1,
      sym_arguments,
    STATE(6294), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325193] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(9800), 1,
      anon_sym_LPAREN,
    ACTIONS(10884), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6295), 2,
      sym_comment,
      sym_block_comment,
    STATE(9669), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8806), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325246] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10813), 1,
      anon_sym_COLON,
    ACTIONS(10815), 1,
      anon_sym_LBRACE,
    ACTIONS(10817), 1,
      anon_sym_with,
    STATE(6188), 1,
      aux_sym_compound_type_repeat1,
    STATE(10639), 1,
      sym_template_body,
    STATE(10640), 1,
      sym__refinement,
    STATE(6296), 2,
      sym_comment,
      sym_block_comment,
    STATE(10614), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325301] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10896), 1,
      anon_sym_COLON,
    ACTIONS(10898), 1,
      anon_sym_LBRACE,
    ACTIONS(10900), 1,
      anon_sym_with,
    STATE(8812), 1,
      aux_sym_compound_type_repeat1,
    STATE(10506), 1,
      sym_template_body,
    STATE(10647), 1,
      sym__refinement,
    STATE(6297), 2,
      sym_comment,
      sym_block_comment,
    STATE(10598), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325520] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325766] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10902), 1,
      anon_sym_LPAREN,
    STATE(7832), 1,
      sym_arguments,
    STATE(6308), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [325893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [325934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [325975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326057] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10821), 1,
      sym__interpolated_multiline_string_start,
    STATE(9820), 1,
      sym_interpolated_string,
    STATE(15612), 1,
      sym__interpolated_string_start,
    ACTIONS(10905), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326190] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10907), 1,
      anon_sym_AT,
    STATE(7992), 1,
      sym_annotation,
    STATE(6318), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8929), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326276] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326319] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10715), 1,
      anon_sym_DOT,
    ACTIONS(10910), 1,
      anon_sym_EQ_GT,
    STATE(6321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326446] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10103), 1,
      anon_sym_LPAREN,
    STATE(6308), 1,
      aux_sym_annotation_repeat1,
    STATE(7832), 1,
      sym_arguments,
    STATE(6324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [326739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [326903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [326985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327149] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10912), 1,
      anon_sym_LBRACK,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(10916), 1,
      anon_sym_POUND,
    STATE(7796), 1,
      aux_sym_annotation_repeat1,
    STATE(8180), 1,
      sym_type_arguments,
    STATE(9089), 1,
      sym_arguments,
    STATE(6341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327243] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10723), 1,
      anon_sym_COLON,
    ACTIONS(10725), 1,
      anon_sym_LBRACE,
    ACTIONS(10727), 1,
      anon_sym_with,
    STATE(9049), 1,
      aux_sym_compound_type_repeat1,
    STATE(10517), 1,
      sym_template_body,
    STATE(10572), 1,
      sym__refinement,
    STATE(6343), 2,
      sym_comment,
      sym_block_comment,
    STATE(10650), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327462] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10190), 1,
      anon_sym_EQ_GT,
    STATE(6348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327505] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10851), 1,
      anon_sym_LBRACE,
    ACTIONS(10853), 1,
      anon_sym_with,
    STATE(9289), 1,
      aux_sym_compound_type_repeat1,
    STATE(10332), 1,
      sym_template_body,
    STATE(10348), 1,
      sym__refinement,
    STATE(6349), 2,
      sym_comment,
      sym_block_comment,
    STATE(10183), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8236), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327558] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9980), 1,
      anon_sym_AT,
    STATE(6241), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7944), 1,
      sym_annotation,
    STATE(6350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327810] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10918), 1,
      anon_sym_AT,
    STATE(7561), 1,
      sym_annotation,
    STATE(6356), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [327855] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [327939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [327980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10921), 1,
      anon_sym_with,
    STATE(6360), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328064] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10206), 1,
      anon_sym_with,
    STATE(8901), 1,
      aux_sym_compound_type_repeat1,
    STATE(9758), 1,
      sym_template_body,
    STATE(9897), 1,
      sym__refinement,
    STATE(6362), 2,
      sym_comment,
      sym_block_comment,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328156] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10807), 1,
      anon_sym_LBRACE,
    ACTIONS(10809), 1,
      anon_sym_with,
    STATE(6135), 1,
      aux_sym_compound_type_repeat1,
    STATE(10278), 1,
      sym__refinement,
    STATE(10280), 1,
      sym_template_body,
    STATE(6364), 2,
      sym_comment,
      sym_block_comment,
    STATE(10261), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [328209] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10924), 1,
      anon_sym_DOT,
    STATE(6365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [328621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328703] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10154), 1,
      anon_sym_LPAREN,
    ACTIONS(10926), 1,
      sym__alpha_identifier,
    ACTIONS(10928), 1,
      anon_sym_DOT,
    ACTIONS(10932), 1,
      anon_sym_EQ,
    ACTIONS(10934), 1,
      sym__backquoted_id,
    ACTIONS(10936), 1,
      sym_operator_identifier,
    STATE(555), 1,
      sym_identifier,
    STATE(4061), 1,
      sym__soft_identifier,
    STATE(6377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    STATE(9726), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10930), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [328768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328891] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [328938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [328979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329184] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329350] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10938), 1,
      anon_sym_with,
    STATE(6392), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329475] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10896), 1,
      anon_sym_COLON,
    ACTIONS(10898), 1,
      anon_sym_LBRACE,
    ACTIONS(10900), 1,
      anon_sym_with,
    STATE(6297), 1,
      aux_sym_compound_type_repeat1,
    STATE(10506), 1,
      sym_template_body,
    STATE(10512), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6395), 2,
      sym_comment,
      sym_block_comment,
    STATE(10598), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [329741] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10941), 1,
      anon_sym_LBRACK,
    ACTIONS(10943), 1,
      anon_sym_LPAREN,
    ACTIONS(10945), 1,
      anon_sym_POUND,
    STATE(8380), 1,
      aux_sym_annotation_repeat1,
    STATE(8383), 1,
      sym_type_arguments,
    STATE(9342), 1,
      sym_arguments,
    STATE(6401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8128), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [329876] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10947), 1,
      anon_sym_LBRACK,
    ACTIONS(10949), 1,
      anon_sym_LPAREN,
    ACTIONS(10951), 1,
      anon_sym_POUND,
    STATE(7709), 1,
      aux_sym_annotation_repeat1,
    STATE(8697), 1,
      sym_type_arguments,
    STATE(9040), 1,
      sym_arguments,
    STATE(6404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [329970] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10953), 1,
      anon_sym_with,
    STATE(6406), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330013] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330054] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10956), 1,
      anon_sym_LBRACK,
    ACTIONS(10958), 1,
      anon_sym_LPAREN,
    ACTIONS(10960), 1,
      anon_sym_POUND,
    STATE(7620), 1,
      aux_sym_annotation_repeat1,
    STATE(8652), 1,
      sym_type_arguments,
    STATE(8739), 1,
      sym_arguments,
    STATE(6408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330107] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10260), 1,
      anon_sym_LBRACK,
    ACTIONS(10262), 1,
      anon_sym_AT,
    ACTIONS(10266), 1,
      anon_sym_POUND,
    STATE(7741), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8299), 1,
      sym_type_arguments,
    STATE(8985), 1,
      sym_annotation,
    STATE(6409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330324] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10962), 1,
      anon_sym_DOT,
    STATE(6414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [330613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330654] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330697] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10964), 1,
      anon_sym_LPAREN,
    STATE(7629), 1,
      sym_arguments,
    STATE(6423), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330783] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4181), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(6425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [330828] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10360), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10967), 1,
      anon_sym_COLON,
    ACTIONS(10970), 1,
      anon_sym_EQ_GT,
    ACTIONS(10972), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(9527), 1,
      sym_interpolated_string,
    STATE(15542), 1,
      sym__interpolated_string_start,
    STATE(17544), 1,
      sym__self_type_ascription,
    STATE(6426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330926] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10896), 1,
      anon_sym_COLON,
    ACTIONS(10898), 1,
      anon_sym_LBRACE,
    ACTIONS(10900), 1,
      anon_sym_with,
    STATE(6297), 1,
      aux_sym_compound_type_repeat1,
    STATE(10506), 1,
      sym_template_body,
    STATE(10512), 1,
      sym__refinement,
    STATE(6428), 2,
      sym_comment,
      sym_block_comment,
    STATE(10598), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [330981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331022] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1374), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9677), 1,
      anon_sym_LPAREN,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10974), 1,
      sym__alpha_identifier,
    ACTIONS(10978), 1,
      anon_sym_EQ,
    ACTIONS(10980), 1,
      sym__backquoted_id,
    ACTIONS(10982), 1,
      sym_operator_identifier,
    STATE(544), 1,
      sym_identifier,
    STATE(4058), 1,
      sym__soft_identifier,
    STATE(6430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    STATE(9198), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10976), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [331087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331128] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10807), 1,
      anon_sym_LBRACE,
    ACTIONS(10809), 1,
      anon_sym_with,
    ACTIONS(10984), 1,
      anon_sym_COLON,
    STATE(6135), 1,
      aux_sym_compound_type_repeat1,
    STATE(10278), 1,
      sym__refinement,
    STATE(10280), 1,
      sym_template_body,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6432), 2,
      sym_comment,
      sym_block_comment,
    STATE(10261), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8354), 4,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331189] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10360), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10967), 1,
      anon_sym_COLON,
    ACTIONS(10972), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(10987), 1,
      anon_sym_EQ_GT,
    STATE(9527), 1,
      sym_interpolated_string,
    STATE(15542), 1,
      sym__interpolated_string_start,
    STATE(17667), 1,
      sym__self_type_ascription,
    STATE(6433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331246] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10360), 1,
      sym__interpolated_multiline_string_start,
    STATE(9527), 1,
      sym_interpolated_string,
    STATE(15542), 1,
      sym__interpolated_string_start,
    ACTIONS(10989), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331502] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8572), 1,
      anon_sym_LPAREN,
    ACTIONS(9155), 1,
      anon_sym_DOT,
    ACTIONS(9707), 1,
      sym__alpha_identifier,
    ACTIONS(9713), 1,
      sym__backquoted_id,
    ACTIONS(9715), 1,
      sym_operator_identifier,
    ACTIONS(10991), 1,
      anon_sym_EQ,
    STATE(532), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    ACTIONS(9473), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6440), 2,
      sym_comment,
      sym_block_comment,
    STATE(6873), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9477), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9709), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [331567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331608] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10993), 1,
      anon_sym_AT,
    STATE(7769), 1,
      sym_annotation,
    STATE(6442), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8929), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [331653] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9129), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [331696] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9966), 1,
      anon_sym_LPAREN,
    STATE(6423), 1,
      aux_sym_annotation_repeat1,
    STATE(7629), 1,
      sym_arguments,
    STATE(6444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331743] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10541), 1,
      anon_sym_LBRACK,
    ACTIONS(10547), 1,
      anon_sym_POUND,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    STATE(7726), 1,
      aux_sym_annotation_repeat1,
    STATE(8290), 1,
      sym_type_arguments,
    STATE(8789), 1,
      sym_arguments,
    STATE(6445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331796] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1374), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9677), 1,
      anon_sym_LPAREN,
    ACTIONS(10186), 1,
      anon_sym_DOT,
    ACTIONS(10974), 1,
      sym__alpha_identifier,
    ACTIONS(10980), 1,
      sym__backquoted_id,
    ACTIONS(10982), 1,
      sym_operator_identifier,
    ACTIONS(10998), 1,
      anon_sym_EQ,
    STATE(544), 1,
      sym_identifier,
    STATE(4058), 1,
      sym__soft_identifier,
    STATE(6446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    STATE(9198), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10976), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [331861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [331902] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10154), 1,
      anon_sym_LPAREN,
    ACTIONS(10928), 1,
      anon_sym_DOT,
    ACTIONS(11000), 1,
      sym_operator_identifier,
    STATE(1737), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8426), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    STATE(9726), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [331967] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10723), 1,
      anon_sym_COLON,
    ACTIONS(10725), 1,
      anon_sym_LBRACE,
    ACTIONS(10727), 1,
      anon_sym_with,
    STATE(6343), 1,
      aux_sym_compound_type_repeat1,
    STATE(10517), 1,
      sym_template_body,
    STATE(10519), 1,
      sym__refinement,
    STATE(6449), 2,
      sym_comment,
      sym_block_comment,
    STATE(10650), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332022] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1712), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9491), 1,
      anon_sym_LPAREN,
    ACTIONS(10358), 1,
      anon_sym_DOT,
    ACTIONS(11002), 1,
      sym__alpha_identifier,
    ACTIONS(11006), 1,
      anon_sym_EQ,
    ACTIONS(11008), 1,
      sym__backquoted_id,
    ACTIONS(11010), 1,
      sym_operator_identifier,
    STATE(559), 1,
      sym_identifier,
    STATE(4052), 1,
      sym__soft_identifier,
    STATE(6450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    STATE(8802), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11004), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [332087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332128] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332253] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11012), 1,
      anon_sym_DOT,
    STATE(6455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332337] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10581), 1,
      anon_sym_DOT,
    ACTIONS(11014), 1,
      anon_sym_EQ_GT,
    STATE(6457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332382] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11016), 1,
      anon_sym_LBRACK,
    ACTIONS(11018), 1,
      anon_sym_AT,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_POUND,
    STATE(8424), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9261), 1,
      sym_type_arguments,
    STATE(9447), 1,
      sym_arguments,
    STATE(9474), 1,
      sym_annotation,
    STATE(6458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332726] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9127), 1,
      sym__interpolated_multiline_string_start,
    STATE(7511), 1,
      sym_interpolated_string,
    STATE(15754), 1,
      sym__interpolated_string_start,
    ACTIONS(11024), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11026), 1,
      anon_sym_DOT,
    STATE(6468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [332861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [332902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [332984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333066] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333189] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9675), 1,
      anon_sym_AT,
    STATE(6356), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7561), 1,
      sym_annotation,
    STATE(6477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333236] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9907), 1,
      anon_sym_AT,
    STATE(6318), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7992), 1,
      sym_annotation,
    STATE(6478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8965), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333283] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11028), 1,
      anon_sym_AT,
    STATE(7931), 1,
      sym_annotation,
    STATE(6479), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8929), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333369] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(8436), 1,
      sym_operator_identifier,
    STATE(1795), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8426), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [333426] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9090), 1,
      anon_sym_LPAREN,
    ACTIONS(9591), 1,
      anon_sym_DOT,
    ACTIONS(10005), 1,
      sym__alpha_identifier,
    ACTIONS(10011), 1,
      sym__backquoted_id,
    ACTIONS(10013), 1,
      sym_operator_identifier,
    ACTIONS(11031), 1,
      anon_sym_EQ,
    STATE(554), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(6482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7634), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9477), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10009), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [333491] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9119), 1,
      sym__interpolated_multiline_string_start,
    STATE(7637), 1,
      sym_interpolated_string,
    STATE(14758), 1,
      sym__interpolated_string_start,
    ACTIONS(11033), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333542] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11035), 1,
      sym__interpolated_multiline_string_start,
    STATE(9747), 1,
      sym_interpolated_string,
    STATE(15714), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [333634] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10360), 1,
      sym__interpolated_multiline_string_start,
    STATE(9527), 1,
      sym_interpolated_string,
    STATE(15542), 1,
      sym__interpolated_string_start,
    ACTIONS(11037), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333685] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11039), 1,
      anon_sym_with,
    STATE(6487), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [333810] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8572), 1,
      anon_sym_LPAREN,
    ACTIONS(9155), 1,
      anon_sym_DOT,
    ACTIONS(9707), 1,
      sym__alpha_identifier,
    ACTIONS(9713), 1,
      sym__backquoted_id,
    ACTIONS(9715), 1,
      sym_operator_identifier,
    ACTIONS(11042), 1,
      anon_sym_EQ,
    STATE(532), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    ACTIONS(9473), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6490), 2,
      sym_comment,
      sym_block_comment,
    STATE(6873), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9477), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9709), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [333875] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9242), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [333959] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9127), 1,
      sym__interpolated_multiline_string_start,
    STATE(7511), 1,
      sym_interpolated_string,
    STATE(15754), 1,
      sym__interpolated_string_start,
    ACTIONS(11044), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334010] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334092] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9090), 1,
      anon_sym_LPAREN,
    ACTIONS(9591), 1,
      anon_sym_DOT,
    ACTIONS(10005), 1,
      sym__alpha_identifier,
    ACTIONS(10011), 1,
      sym__backquoted_id,
    ACTIONS(10013), 1,
      sym_operator_identifier,
    ACTIONS(11046), 1,
      anon_sym_EQ,
    STATE(554), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(6496), 2,
      sym_comment,
      sym_block_comment,
    STATE(7634), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10009), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [334157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334321] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334446] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11048), 1,
      anon_sym_LPAREN,
    STATE(7947), 1,
      sym_arguments,
    STATE(6504), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334532] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10099), 1,
      anon_sym_LPAREN,
    STATE(6504), 1,
      aux_sym_annotation_repeat1,
    STATE(7947), 1,
      sym_arguments,
    STATE(6506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334743] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9970), 1,
      anon_sym_AT,
    STATE(6442), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7769), 1,
      sym_annotation,
    STATE(6511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8965), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334790] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11051), 1,
      anon_sym_DOT,
    STATE(6512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [334874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [334915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [334997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335120] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11053), 1,
      anon_sym_with,
    STATE(6520), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335204] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6763), 1,
      sym_arguments,
    STATE(6522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335288] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335331] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(10154), 1,
      anon_sym_LPAREN,
    ACTIONS(10928), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6525), 2,
      sym_comment,
      sym_block_comment,
    STATE(9726), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [335425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11058), 1,
      sym__backquoted_id,
    STATE(6530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11056), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [335630] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10326), 1,
      anon_sym_DOT,
    ACTIONS(11060), 1,
      anon_sym_EQ_GT,
    STATE(6532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335675] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11035), 1,
      sym__interpolated_multiline_string_start,
    STATE(9747), 1,
      sym_interpolated_string,
    STATE(15714), 1,
      sym__interpolated_string_start,
    ACTIONS(11062), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335726] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11064), 1,
      anon_sym_LPAREN,
    STATE(7828), 1,
      sym_arguments,
    STATE(6534), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [335812] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9833), 1,
      anon_sym_AT,
    STATE(6634), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7414), 1,
      sym_annotation,
    STATE(6536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335859] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(11067), 1,
      anon_sym_COLON,
    ACTIONS(11070), 1,
      anon_sym_LBRACE,
    ACTIONS(11072), 1,
      anon_sym_with,
    STATE(6561), 1,
      aux_sym_compound_type_repeat1,
    STATE(10357), 1,
      sym_template_body,
    STATE(10373), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6537), 2,
      sym_comment,
      sym_block_comment,
    STATE(10232), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8354), 3,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335920] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [335963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336004] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10048), 1,
      anon_sym_LPAREN,
    STATE(6534), 1,
      aux_sym_annotation_repeat1,
    STATE(7828), 1,
      sym_arguments,
    STATE(6540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336215] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9418), 1,
      anon_sym_AT,
    STATE(6479), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7931), 1,
      sym_annotation,
    STATE(6545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8965), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [336262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 20,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336549] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10476), 1,
      anon_sym_LBRACK,
    ACTIONS(10480), 1,
      anon_sym_POUND,
    ACTIONS(11074), 1,
      anon_sym_AT,
    STATE(7533), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8026), 1,
      sym_type_arguments,
    STATE(9057), 1,
      sym_annotation,
    STATE(6553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336602] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1116), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8616), 1,
      anon_sym_LPAREN,
    ACTIONS(9149), 1,
      anon_sym_DOT,
    ACTIONS(10338), 1,
      sym__alpha_identifier,
    ACTIONS(10344), 1,
      sym__backquoted_id,
    ACTIONS(10346), 1,
      sym_operator_identifier,
    ACTIONS(11076), 1,
      anon_sym_EQ,
    STATE(535), 1,
      sym_identifier,
    STATE(4030), 1,
      sym__soft_identifier,
    STATE(6554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    STATE(7187), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [336667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6860), 1,
      sym_arguments,
    STATE(6556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336751] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    ACTIONS(11102), 1,
      sym__interpolated_multiline_string_start,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11054), 1,
      sym_interpolated_string,
    STATE(15155), 1,
      sym__interpolated_string_start,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(11092), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(6557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [336828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [336869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [336910] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9119), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(10967), 1,
      anon_sym_COLON,
    ACTIONS(11104), 1,
      anon_sym_EQ_GT,
    ACTIONS(11106), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(7637), 1,
      sym_interpolated_string,
    STATE(14758), 1,
      sym__interpolated_string_start,
    STATE(16880), 1,
      sym__self_type_ascription,
    STATE(6560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [336967] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11070), 1,
      anon_sym_LBRACE,
    ACTIONS(11072), 1,
      anon_sym_with,
    STATE(8886), 1,
      aux_sym_compound_type_repeat1,
    STATE(10329), 1,
      sym__refinement,
    STATE(10357), 1,
      sym_template_body,
    STATE(6561), 2,
      sym_comment,
      sym_block_comment,
    STATE(10232), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337102] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10260), 1,
      anon_sym_LBRACK,
    ACTIONS(10266), 1,
      anon_sym_POUND,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    STATE(7607), 1,
      aux_sym_annotation_repeat1,
    STATE(8299), 1,
      sym_type_arguments,
    STATE(8999), 1,
      sym_arguments,
    STATE(6564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_do,
  [337196] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11110), 1,
      anon_sym_AT,
    STATE(7380), 1,
      sym_annotation,
    STATE(6566), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 23,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [337239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337280] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4208), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(6568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337325] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11070), 1,
      anon_sym_LBRACE,
    ACTIONS(11072), 1,
      anon_sym_with,
    STATE(6561), 1,
      aux_sym_compound_type_repeat1,
    STATE(10357), 1,
      sym_template_body,
    STATE(10373), 1,
      sym__refinement,
    STATE(6569), 2,
      sym_comment,
      sym_block_comment,
    STATE(10232), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337419] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(10154), 1,
      anon_sym_LPAREN,
    ACTIONS(10928), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6571), 2,
      sym_comment,
      sym_block_comment,
    STATE(9726), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337515] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [337640] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11113), 1,
      anon_sym_DOT,
    STATE(6576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [337724] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10230), 1,
      anon_sym_EQ_GT,
    STATE(6578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [337849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337890] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8696), 1,
      anon_sym_LPAREN,
    ACTIONS(9231), 1,
      anon_sym_DOT,
    ACTIONS(10348), 1,
      sym__alpha_identifier,
    ACTIONS(10354), 1,
      sym__backquoted_id,
    ACTIONS(10356), 1,
      sym_operator_identifier,
    ACTIONS(11115), 1,
      anon_sym_EQ,
    STATE(533), 1,
      sym_identifier,
    STATE(4027), 1,
      sym__soft_identifier,
    STATE(6582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    STATE(6919), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [337955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [337996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11119), 1,
      sym__backquoted_id,
    STATE(6585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11117), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338078] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11121), 1,
      anon_sym_LPAREN,
    STATE(7443), 1,
      sym_arguments,
    STATE(6586), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338164] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10635), 1,
      anon_sym_LBRACK,
    ACTIONS(10639), 1,
      anon_sym_POUND,
    ACTIONS(11124), 1,
      anon_sym_AT,
    STATE(7875), 1,
      sym_type_arguments,
    STATE(8311), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9455), 1,
      sym_annotation,
    STATE(6588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338258] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4228), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(6590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338303] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10362), 1,
      anon_sym_LBRACK,
    ACTIONS(10366), 1,
      anon_sym_POUND,
    ACTIONS(11126), 1,
      anon_sym_AT,
    STATE(7582), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7964), 1,
      sym_type_arguments,
    STATE(9241), 1,
      sym_annotation,
    STATE(6591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338438] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338481] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6980), 1,
      sym__end_marker,
    STATE(6595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11128), 1,
      sym__backquoted_id,
    STATE(6597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7348), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338729] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11130), 1,
      anon_sym_COLON,
    ACTIONS(11133), 1,
      anon_sym_LBRACE,
    STATE(8669), 1,
      sym_template_body,
    STATE(6601), 2,
      sym_comment,
      sym_block_comment,
    STATE(8145), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [338778] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11136), 1,
      anon_sym_COLON,
    ACTIONS(11139), 1,
      anon_sym_LBRACE,
    STATE(8463), 1,
      sym_template_body,
    STATE(6602), 2,
      sym_comment,
      sym_block_comment,
    STATE(8354), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11142), 1,
      sym__backquoted_id,
    STATE(6603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7344), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11144), 1,
      sym__backquoted_id,
    STATE(6604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7346), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4134), 1,
      sym__backquoted_id,
    STATE(6605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4130), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [338950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [338991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339319] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10842), 1,
      anon_sym_COLON,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    ACTIONS(10846), 1,
      anon_sym_with,
    STATE(6199), 1,
      aux_sym_compound_type_repeat1,
    STATE(10449), 1,
      sym_template_body,
    STATE(10536), 1,
      sym__refinement,
    STATE(6615), 2,
      sym_comment,
      sym_block_comment,
    STATE(10558), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339374] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1448), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9207), 1,
      anon_sym_LPAREN,
    ACTIONS(10087), 1,
      anon_sym_DOT,
    ACTIONS(11146), 1,
      sym__alpha_identifier,
    ACTIONS(11150), 1,
      anon_sym_EQ,
    ACTIONS(11152), 1,
      sym__backquoted_id,
    ACTIONS(11154), 1,
      sym_operator_identifier,
    STATE(547), 1,
      sym_identifier,
    STATE(4059), 1,
      sym__soft_identifier,
    STATE(6616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
    STATE(8596), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(11148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [339439] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9909), 1,
      anon_sym_LPAREN,
    STATE(6586), 1,
      aux_sym_annotation_repeat1,
    STATE(7443), 1,
      sym_arguments,
    STATE(6617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339486] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11156), 1,
      anon_sym_with,
    STATE(6782), 1,
      aux_sym_compound_type_repeat1,
    STATE(9447), 1,
      sym_arguments,
    STATE(9448), 1,
      sym__refinement,
    STATE(9449), 1,
      sym_template_body,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339621] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11158), 1,
      anon_sym_DOT,
    STATE(6622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [339828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [339869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339910] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [339953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 19,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [339994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340035] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340160] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11160), 1,
      anon_sym_AT,
    STATE(7414), 1,
      sym_annotation,
    STATE(6634), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340287] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11163), 1,
      anon_sym_with,
    STATE(6637), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340535] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10684), 1,
      anon_sym_LBRACK,
    ACTIONS(10688), 1,
      anon_sym_POUND,
    ACTIONS(11166), 1,
      anon_sym_AT,
    STATE(7548), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7821), 1,
      sym_type_arguments,
    STATE(9023), 1,
      sym_annotation,
    STATE(6643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11168), 1,
      sym__backquoted_id,
    STATE(6644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(834), 25,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340629] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1712), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9491), 1,
      anon_sym_LPAREN,
    ACTIONS(10358), 1,
      anon_sym_DOT,
    ACTIONS(11002), 1,
      sym__alpha_identifier,
    ACTIONS(11008), 1,
      sym__backquoted_id,
    ACTIONS(11010), 1,
      sym_operator_identifier,
    ACTIONS(11170), 1,
      anon_sym_EQ,
    STATE(559), 1,
      sym_identifier,
    STATE(4052), 1,
      sym__soft_identifier,
    STATE(6645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    STATE(8802), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11004), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [340694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [340776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11172), 1,
      anon_sym_DOT,
    STATE(6648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340819] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9520), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [340861] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9161), 1,
      anon_sym_COLON,
    ACTIONS(9165), 1,
      anon_sym_with,
    ACTIONS(11174), 1,
      anon_sym_LBRACE,
    STATE(6659), 1,
      aux_sym_compound_type_repeat1,
    STATE(8702), 1,
      sym__refinement,
    STATE(8703), 1,
      sym_template_body,
    ACTIONS(8354), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6650), 2,
      sym_comment,
      sym_block_comment,
    STATE(8247), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [340921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [340961] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341003] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341043] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11177), 1,
      anon_sym_with,
    STATE(6654), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341245] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9161), 1,
      anon_sym_COLON,
    ACTIONS(9165), 1,
      anon_sym_with,
    STATE(6176), 1,
      aux_sym_compound_type_repeat1,
    STATE(8581), 1,
      sym__refinement,
    STATE(8703), 1,
      sym_template_body,
    STATE(6659), 2,
      sym_comment,
      sym_block_comment,
    STATE(8247), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341497] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11182), 1,
      sym__interpolated_multiline_string_start,
    STATE(10229), 1,
      sym_interpolated_string,
    STATE(15352), 1,
      sym__interpolated_string_start,
    ACTIONS(11180), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341587] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10204), 1,
      anon_sym_LPAREN,
    STATE(6677), 1,
      aux_sym_annotation_repeat1,
    STATE(8674), 1,
      sym_arguments,
    STATE(6667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8872), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [341873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [341913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [341993] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11184), 1,
      anon_sym_LPAREN,
    STATE(8674), 1,
      sym_arguments,
    STATE(6677), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8894), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342077] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [342119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342279] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10870), 1,
      anon_sym_LBRACK,
    ACTIONS(10874), 1,
      anon_sym_POUND,
    ACTIONS(11187), 1,
      anon_sym_AT,
    STATE(8203), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8227), 1,
      sym_type_arguments,
    STATE(9381), 1,
      sym_annotation,
    STATE(6684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342331] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(11189), 1,
      anon_sym_COLON,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11193), 1,
      anon_sym_with,
    STATE(7331), 1,
      aux_sym_compound_type_repeat1,
    STATE(10698), 1,
      sym_template_body,
    STATE(10700), 1,
      sym__refinement,
    ACTIONS(8354), 2,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6685), 2,
      sym_comment,
      sym_block_comment,
    STATE(10732), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [342511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342551] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11195), 1,
      anon_sym_with,
    STATE(6690), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342593] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11198), 1,
      anon_sym_AT,
    STATE(8627), 1,
      sym_annotation,
    STATE(6691), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [342797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342837] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11205), 1,
      anon_sym_with,
    STATE(6697), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342919] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [342961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343081] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11208), 1,
      anon_sym_AT,
    STATE(8449), 1,
      sym_annotation,
    STATE(6703), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343205] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10512), 1,
      anon_sym_AT,
    STATE(7077), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8705), 1,
      sym_annotation,
    STATE(6706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343291] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4180), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(6708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343335] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10228), 1,
      anon_sym_AT,
    STATE(6777), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8460), 1,
      sym_annotation,
    STATE(6709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [343501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343541] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9984), 1,
      anon_sym_AT,
    STATE(6910), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8199), 1,
      sym_annotation,
    STATE(6714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343667] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [343829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [343949] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11213), 1,
      anon_sym_RBRACK,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15883), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(6724), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [344019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344059] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344141] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    ACTIONS(11102), 1,
      sym__interpolated_multiline_string_start,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11054), 1,
      sym_interpolated_string,
    STATE(15155), 1,
      sym__interpolated_string_start,
    ACTIONS(11223), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11225), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [344211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344251] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11102), 1,
      sym__interpolated_multiline_string_start,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11054), 1,
      sym_interpolated_string,
    STATE(15155), 1,
      sym__interpolated_string_start,
    STATE(6730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11229), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11227), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [344309] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11231), 1,
      anon_sym_AT,
    STATE(8539), 1,
      sym_annotation,
    STATE(6731), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344393] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10284), 1,
      anon_sym_LPAREN,
    STATE(6742), 1,
      aux_sym_annotation_repeat1,
    STATE(8548), 1,
      sym_arguments,
    STATE(6733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344439] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344521] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11102), 1,
      sym__interpolated_multiline_string_start,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11054), 1,
      sym_interpolated_string,
    STATE(15155), 1,
      sym__interpolated_string_start,
    STATE(6736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11236), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11234), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [344579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344699] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11238), 1,
      anon_sym_AT,
    STATE(8688), 1,
      sym_annotation,
    STATE(6740), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344783] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11241), 1,
      anon_sym_LPAREN,
    STATE(8548), 1,
      sym_arguments,
    STATE(6742), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [344867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [344907] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(11244), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15883), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(6745), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [344977] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10565), 1,
      anon_sym_AT,
    STATE(6691), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8627), 1,
      sym_annotation,
    STATE(6746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345103] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7369), 1,
      sym_arguments,
    STATE(6749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345265] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11014), 1,
      anon_sym_EQ_GT,
    STATE(6753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345427] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11246), 1,
      anon_sym_type,
    STATE(6757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [345469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345509] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11248), 1,
      anon_sym_DOT,
    STATE(6759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [345671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345711] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9119), 1,
      sym__interpolated_multiline_string_start,
    STATE(7637), 1,
      sym_interpolated_string,
    STATE(14758), 1,
      sym__interpolated_string_start,
    ACTIONS(11106), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345761] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10174), 1,
      sym__backquoted_id,
    STATE(4391), 1,
      aux_sym_modifiers_repeat1,
    ACTIONS(65), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(6765), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(61), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
    ACTIONS(11250), 10,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345849] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11252), 1,
      anon_sym_COLON,
    ACTIONS(11255), 1,
      anon_sym_LBRACE,
    STATE(9137), 1,
      sym_template_body,
    STATE(6767), 2,
      sym_comment,
      sym_block_comment,
    STATE(9303), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9263), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [345897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [345977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346017] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10128), 1,
      anon_sym_LPAREN,
    STATE(6787), 1,
      aux_sym_annotation_repeat1,
    STATE(8458), 1,
      sym_arguments,
    STATE(6771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [346063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [346103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346183] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11258), 1,
      anon_sym_DOT,
    STATE(6775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346265] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11260), 1,
      anon_sym_AT,
    STATE(8460), 1,
      sym_annotation,
    STATE(6777), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346349] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7496), 1,
      sym__end_marker,
    STATE(6779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346471] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11156), 1,
      anon_sym_with,
    STATE(9350), 1,
      aux_sym_compound_type_repeat1,
    STATE(9351), 1,
      sym__refinement,
    STATE(9449), 1,
      sym_template_body,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8238), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346521] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10647), 1,
      anon_sym_AT,
    STATE(6731), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8539), 1,
      sym_annotation,
    STATE(6783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346567] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11263), 1,
      anon_sym_with,
    STATE(6784), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346689] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11266), 1,
      anon_sym_LPAREN,
    STATE(8458), 1,
      sym_arguments,
    STATE(6787), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [346733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346813] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11269), 1,
      anon_sym_with,
    STATE(6790), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [346935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [346975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347175] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11272), 1,
      anon_sym_COLON,
    ACTIONS(11274), 1,
      anon_sym_LBRACE,
    ACTIONS(11276), 1,
      anon_sym_with,
    STATE(9461), 1,
      aux_sym_compound_type_repeat1,
    STATE(10719), 1,
      sym__refinement,
    STATE(10733), 1,
      sym_template_body,
    STATE(6799), 2,
      sym_comment,
      sym_block_comment,
    STATE(10900), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [347269] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11278), 1,
      anon_sym_with,
    STATE(6801), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347311] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11272), 1,
      anon_sym_COLON,
    ACTIONS(11274), 1,
      anon_sym_LBRACE,
    ACTIONS(11276), 1,
      anon_sym_with,
    STATE(6799), 1,
      aux_sym_compound_type_repeat1,
    STATE(10727), 1,
      sym__refinement,
    STATE(10733), 1,
      sym_template_body,
    STATE(6802), 2,
      sym_comment,
      sym_block_comment,
    STATE(10900), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347405] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11281), 1,
      anon_sym_LPAREN,
    STATE(8336), 1,
      sym_arguments,
    STATE(6804), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [347489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347529] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10478), 1,
      anon_sym_LPAREN,
    STATE(6804), 1,
      aux_sym_annotation_repeat1,
    STATE(8336), 1,
      sym_arguments,
    STATE(6807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347695] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [347777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [347817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [347897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [347977] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348059] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11284), 1,
      anon_sym_LPAREN,
    STATE(8232), 1,
      sym_arguments,
    STATE(6820), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348223] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [348783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [348823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348863] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11189), 1,
      anon_sym_COLON,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11193), 1,
      anon_sym_with,
    STATE(7331), 1,
      aux_sym_compound_type_repeat1,
    STATE(10698), 1,
      sym_template_body,
    STATE(10700), 1,
      sym__refinement,
    STATE(6840), 2,
      sym_comment,
      sym_block_comment,
    STATE(10732), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348917] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11287), 1,
      anon_sym_COLON,
    ACTIONS(11290), 1,
      anon_sym_LBRACE,
    STATE(9032), 1,
      sym_template_body,
    STATE(5165), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(6841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9271), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 13,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [348965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349365] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11246), 1,
      anon_sym_type,
    STATE(6852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [349407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349487] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10115), 1,
      anon_sym_AT,
    STATE(7072), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8365), 1,
      sym_annotation,
    STATE(6855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349653] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [349735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349775] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    STATE(6894), 1,
      aux_sym_annotation_repeat1,
    STATE(8250), 1,
      sym_arguments,
    STATE(6862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [349861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [349901] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9013), 1,
      sym_operator_identifier,
    STATE(1770), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8426), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [349957] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10571), 1,
      anon_sym_LPAREN,
    STATE(6820), 1,
      aux_sym_annotation_repeat1,
    STATE(8232), 1,
      sym_arguments,
    STATE(6866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350003] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350169] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350291] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11060), 1,
      anon_sym_EQ_GT,
    STATE(6874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350413] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11293), 1,
      anon_sym_DOT,
    STATE(6877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350455] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11295), 1,
      anon_sym_AT,
    STATE(8231), 1,
      sym_annotation,
    STATE(6878), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350499] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11298), 1,
      anon_sym_DOT,
    STATE(6879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350581] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11300), 1,
      anon_sym_with,
    STATE(6881), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9584), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [350783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [350823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [350983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351063] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7900), 1,
      sym_arguments,
    STATE(6893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351105] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    STATE(8250), 1,
      sym_arguments,
    STATE(6894), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351429] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10851), 1,
      anon_sym_LBRACE,
    ACTIONS(10853), 1,
      anon_sym_with,
    ACTIONS(11306), 1,
      anon_sym_COLON,
    STATE(6349), 1,
      aux_sym_compound_type_repeat1,
    STATE(10332), 1,
      sym_template_body,
    STATE(10374), 1,
      sym__refinement,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6902), 2,
      sym_comment,
      sym_block_comment,
    STATE(10183), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8354), 3,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351569] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11309), 1,
      anon_sym_AT,
    STATE(8187), 1,
      sym_annotation,
    STATE(6905), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351653] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_finally,
    ACTIONS(11272), 1,
      anon_sym_COLON,
    ACTIONS(11274), 1,
      anon_sym_LBRACE,
    ACTIONS(11276), 1,
      anon_sym_with,
    STATE(6799), 1,
      aux_sym_compound_type_repeat1,
    STATE(10727), 1,
      sym__refinement,
    STATE(10733), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6907), 2,
      sym_comment,
      sym_block_comment,
    STATE(10900), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351753] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10886), 1,
      anon_sym_EQ_GT,
    STATE(6909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351795] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11312), 1,
      anon_sym_AT,
    STATE(8199), 1,
      sym_annotation,
    STATE(6910), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [351839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [351919] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [351961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352001] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11315), 1,
      anon_sym_LPAREN,
    STATE(8160), 1,
      sym_arguments,
    STATE(6915), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352205] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(6920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352287] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11318), 1,
      anon_sym_COLON,
    ACTIONS(11320), 1,
      anon_sym_LBRACE,
    ACTIONS(11322), 1,
      anon_sym_with,
    STATE(9440), 1,
      aux_sym_compound_type_repeat1,
    STATE(10852), 1,
      sym__refinement,
    STATE(10888), 1,
      sym_template_body,
    STATE(6922), 2,
      sym_comment,
      sym_block_comment,
    STATE(10897), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352341] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9765), 1,
      anon_sym_LPAREN,
    STATE(6915), 1,
      aux_sym_annotation_repeat1,
    STATE(8160), 1,
      sym_arguments,
    STATE(6923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352427] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1926), 1,
      anon_sym_LBRACE,
    ACTIONS(10545), 1,
      anon_sym_LPAREN,
    ACTIONS(11324), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6925), 2,
      sym_comment,
      sym_block_comment,
    STATE(9850), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352599] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1926), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10545), 1,
      anon_sym_LPAREN,
    ACTIONS(11324), 1,
      anon_sym_DOT,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(1710), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8426), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(6929), 2,
      sym_comment,
      sym_block_comment,
    STATE(9850), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [352663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [352703] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(11328), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15883), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(6931), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [352773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [352853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [352893] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(11330), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15883), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(6935), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [352963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353003] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353083] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9471), 1,
      sym__alpha_identifier,
    ACTIONS(9481), 1,
      sym__backquoted_id,
    ACTIONS(9483), 1,
      sym_operator_identifier,
    STATE(529), 1,
      sym_identifier,
    STATE(3890), 1,
      sym__soft_identifier,
    STATE(6939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9475), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9477), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [353137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353297] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11332), 1,
      anon_sym_with,
    STATE(6944), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353419] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10618), 1,
      anon_sym_AT,
    STATE(6878), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8231), 1,
      sym_annotation,
    STATE(6947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353465] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4188), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(6948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [353509] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10438), 1,
      anon_sym_COLON,
    ACTIONS(10442), 1,
      anon_sym_with,
    STATE(7255), 1,
      aux_sym_compound_type_repeat1,
    STATE(10079), 1,
      sym_template_body,
    STATE(10080), 1,
      sym__refinement,
    STATE(6949), 2,
      sym_comment,
      sym_block_comment,
    STATE(9856), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353561] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(11335), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15883), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(6950), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [353631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353751] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1926), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(10545), 1,
      anon_sym_LPAREN,
    ACTIONS(11324), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(6954), 2,
      sym_comment,
      sym_block_comment,
    STATE(9850), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353805] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(11337), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15883), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(6955), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [353875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [353915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [353995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354235] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11016), 1,
      anon_sym_LBRACK,
    ACTIONS(11018), 1,
      anon_sym_AT,
    ACTIONS(11022), 1,
      anon_sym_POUND,
    STATE(8424), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9261), 1,
      sym_type_arguments,
    STATE(9474), 1,
      sym_annotation,
    STATE(6965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354287] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_EQ,
    ACTIONS(11339), 1,
      anon_sym_COLON,
    ACTIONS(11341), 1,
      anon_sym_LBRACE,
    ACTIONS(11343), 1,
      anon_sym_with,
    STATE(7113), 1,
      aux_sym_compound_type_repeat1,
    STATE(10548), 1,
      sym__refinement,
    STATE(10550), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6966), 2,
      sym_comment,
      sym_block_comment,
    STATE(10609), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354507] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(11345), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15883), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(6971), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [354577] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10152), 1,
      anon_sym_AT,
    STATE(6905), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8187), 1,
      sym_annotation,
    STATE(6972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354623] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8043), 1,
      sym_arguments,
    STATE(6973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354785] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(11347), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15883), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(6977), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [354855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [354895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [354935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [354975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355175] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9560), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355217] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9601), 1,
      anon_sym_DOT,
    ACTIONS(10608), 1,
      sym__alpha_identifier,
    ACTIONS(10614), 1,
      sym__backquoted_id,
    ACTIONS(10616), 1,
      sym_operator_identifier,
    ACTIONS(11349), 1,
      anon_sym_EQ,
    STATE(540), 1,
      sym_identifier,
    STATE(4042), 1,
      sym__soft_identifier,
    ACTIONS(9473), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(6987), 2,
      sym_comment,
      sym_block_comment,
    STATE(7413), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9477), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10610), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [355281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355361] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_STAR,
    ACTIONS(11318), 1,
      anon_sym_COLON,
    ACTIONS(11320), 1,
      anon_sym_LBRACE,
    ACTIONS(11322), 1,
      anon_sym_with,
    STATE(6922), 1,
      aux_sym_compound_type_repeat1,
    STATE(10884), 1,
      sym__refinement,
    STATE(10888), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(6990), 2,
      sym_comment,
      sym_block_comment,
    STATE(10897), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355461] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10956), 1,
      anon_sym_LBRACK,
    ACTIONS(10960), 1,
      anon_sym_POUND,
    ACTIONS(11351), 1,
      anon_sym_AT,
    STATE(8168), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8652), 1,
      sym_type_arguments,
    STATE(9706), 1,
      sym_annotation,
    STATE(6992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355633] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [355833] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11353), 1,
      anon_sym_with,
    STATE(7001), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [355955] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11356), 1,
      anon_sym_DOT,
    STATE(7004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [355997] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10801), 1,
      anon_sym_DOT,
    ACTIONS(11358), 1,
      anon_sym_EQ_GT,
    STATE(7005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356121] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9558), 1,
      sym__interpolated_multiline_string_start,
    STATE(8139), 1,
      sym_interpolated_string,
    STATE(15723), 1,
      sym__interpolated_string_start,
    ACTIONS(11360), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11362), 1,
      anon_sym_with,
    STATE(7013), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [356373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356413] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10740), 1,
      anon_sym_DOT,
    ACTIONS(11365), 1,
      anon_sym_EQ_GT,
    STATE(7015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356457] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(10438), 1,
      anon_sym_COLON,
    ACTIONS(10442), 1,
      anon_sym_with,
    ACTIONS(11367), 1,
      anon_sym_LBRACE,
    STATE(7255), 1,
      aux_sym_compound_type_repeat1,
    STATE(10079), 1,
      sym_template_body,
    STATE(10080), 1,
      sym__refinement,
    ACTIONS(8354), 2,
      anon_sym_case,
      anon_sym_EQ,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7016), 2,
      sym_comment,
      sym_block_comment,
    STATE(9856), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356597] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10117), 1,
      anon_sym_LPAREN,
    ACTIONS(10855), 1,
      anon_sym_DOT,
    ACTIONS(11370), 1,
      sym__alpha_identifier,
    ACTIONS(11374), 1,
      anon_sym_EQ,
    ACTIONS(11376), 1,
      sym__backquoted_id,
    ACTIONS(11378), 1,
      sym_operator_identifier,
    STATE(627), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(7019), 2,
      sym_comment,
      sym_block_comment,
    STATE(9600), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11372), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [356661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [356741] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9357), 1,
      sym__interpolated_multiline_string_start,
    STATE(8198), 1,
      sym_interpolated_string,
    STATE(15489), 1,
      sym__interpolated_string_start,
    ACTIONS(11380), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356871] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(10117), 1,
      anon_sym_LPAREN,
    ACTIONS(10855), 1,
      anon_sym_DOT,
    ACTIONS(11370), 1,
      sym__alpha_identifier,
    ACTIONS(11376), 1,
      sym__backquoted_id,
    ACTIONS(11378), 1,
      sym_operator_identifier,
    STATE(627), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(8422), 2,
      anon_sym_COLON,
      anon_sym_if,
    STATE(7025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10007), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    STATE(9600), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11372), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [356937] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9495), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [356979] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11318), 1,
      anon_sym_COLON,
    ACTIONS(11320), 1,
      anon_sym_LBRACE,
    ACTIONS(11322), 1,
      anon_sym_with,
    STATE(6922), 1,
      aux_sym_compound_type_repeat1,
    STATE(10884), 1,
      sym__refinement,
    STATE(10888), 1,
      sym_template_body,
    STATE(7027), 2,
      sym_comment,
      sym_block_comment,
    STATE(10897), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357073] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9974), 1,
      anon_sym_LPAREN,
    STATE(7035), 1,
      aux_sym_annotation_repeat1,
    STATE(8175), 1,
      sym_arguments,
    STATE(7029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357199] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357239] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11382), 1,
      anon_sym_DOT,
    STATE(7033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357281] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11384), 1,
      anon_sym_COLON,
    ACTIONS(11387), 1,
      anon_sym_LBRACE,
    STATE(8996), 1,
      sym_template_body,
    STATE(7034), 2,
      sym_comment,
      sym_block_comment,
    STATE(9224), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357329] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11390), 1,
      anon_sym_LPAREN,
    STATE(8175), 1,
      sym_arguments,
    STATE(7035), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357373] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(8436), 1,
      sym_operator_identifier,
    STATE(1795), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8426), 8,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [357427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357467] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10912), 1,
      anon_sym_LBRACK,
    ACTIONS(10916), 1,
      anon_sym_POUND,
    ACTIONS(11393), 1,
      anon_sym_AT,
    STATE(8180), 1,
      sym_type_arguments,
    STATE(8639), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9700), 1,
      sym_annotation,
    STATE(7038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [357599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357639] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(11395), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15883), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(7042), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [357709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357829] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(11397), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15883), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(7046), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [357899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [357939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [357979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358059] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9988), 1,
      anon_sym_LPAREN,
    STATE(7104), 1,
      aux_sym_annotation_repeat1,
    STATE(8224), 1,
      sym_arguments,
    STATE(7051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8872), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [358225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358425] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10364), 1,
      anon_sym_LPAREN,
    STATE(7074), 1,
      aux_sym_annotation_repeat1,
    STATE(8239), 1,
      sym_arguments,
    STATE(7060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [358831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358911] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11399), 1,
      anon_sym_AT,
    STATE(8365), 1,
      sym_annotation,
    STATE(7072), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [358955] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10941), 1,
      anon_sym_LBRACK,
    ACTIONS(10945), 1,
      anon_sym_POUND,
    ACTIONS(11402), 1,
      anon_sym_AT,
    STATE(8383), 1,
      sym_type_arguments,
    STATE(9150), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10095), 1,
      sym_annotation,
    STATE(7073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359007] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11404), 1,
      anon_sym_LPAREN,
    STATE(8239), 1,
      sym_arguments,
    STATE(7074), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359131] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11407), 1,
      anon_sym_AT,
    STATE(8705), 1,
      sym_annotation,
    STATE(7077), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359215] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11410), 1,
      anon_sym_DOT,
    STATE(7079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [359297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359337] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9522), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359379] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 8,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359425] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359467] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10368), 1,
      anon_sym_AT,
    STATE(7302), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8568), 1,
      sym_annotation,
    STATE(7085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359593] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1250), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(9601), 1,
      anon_sym_DOT,
    ACTIONS(10608), 1,
      sym__alpha_identifier,
    ACTIONS(10614), 1,
      sym__backquoted_id,
    ACTIONS(10616), 1,
      sym_operator_identifier,
    ACTIONS(11412), 1,
      anon_sym_EQ,
    STATE(540), 1,
      sym_identifier,
    STATE(4042), 1,
      sym__soft_identifier,
    ACTIONS(9473), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7088), 2,
      sym_comment,
      sym_block_comment,
    STATE(7413), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9477), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10610), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [359657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359697] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(8946), 1,
      sym_operator_identifier,
    STATE(1775), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8426), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [359753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [359873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [359913] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9798), 1,
      anon_sym_AT,
    STATE(7262), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8653), 1,
      sym_annotation,
    STATE(7095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8965), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [359959] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360281] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11414), 1,
      anon_sym_LPAREN,
    STATE(8224), 1,
      sym_arguments,
    STATE(7104), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8894), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [360365] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11417), 1,
      anon_sym_DOT,
    STATE(7106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360407] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360453] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11419), 1,
      anon_sym_COLON,
    ACTIONS(11422), 1,
      anon_sym_LBRACE,
    STATE(8837), 1,
      sym_template_body,
    STATE(7108), 2,
      sym_comment,
      sym_block_comment,
    STATE(9119), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360541] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11425), 1,
      anon_sym_COLON,
    ACTIONS(11427), 1,
      anon_sym_LBRACE,
    ACTIONS(11429), 1,
      anon_sym_with,
    STATE(7159), 1,
      aux_sym_compound_type_repeat1,
    STATE(10689), 1,
      sym_template_body,
    STATE(10937), 1,
      sym__refinement,
    STATE(7110), 2,
      sym_comment,
      sym_block_comment,
    STATE(10908), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360675] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11339), 1,
      anon_sym_COLON,
    ACTIONS(11341), 1,
      anon_sym_LBRACE,
    ACTIONS(11343), 1,
      anon_sym_with,
    STATE(9468), 1,
      aux_sym_compound_type_repeat1,
    STATE(10525), 1,
      sym__refinement,
    STATE(10550), 1,
      sym_template_body,
    STATE(7113), 2,
      sym_comment,
      sym_block_comment,
    STATE(10609), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360809] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4196), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(7116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [360853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [360973] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9558), 1,
      sym__interpolated_multiline_string_start,
    STATE(8139), 1,
      sym_interpolated_string,
    STATE(15723), 1,
      sym__interpolated_string_start,
    ACTIONS(11431), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361183] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9550), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361265] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10117), 1,
      anon_sym_LPAREN,
    ACTIONS(10855), 1,
      anon_sym_DOT,
    ACTIONS(11433), 1,
      sym_operator_identifier,
    STATE(1768), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8426), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7127), 2,
      sym_comment,
      sym_block_comment,
    STATE(9600), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [361329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361409] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10117), 1,
      anon_sym_LPAREN,
    ACTIONS(10855), 1,
      anon_sym_DOT,
    ACTIONS(11370), 1,
      sym__alpha_identifier,
    ACTIONS(11376), 1,
      sym__backquoted_id,
    ACTIONS(11435), 1,
      anon_sym_EQ,
    ACTIONS(11437), 1,
      sym_operator_identifier,
    STATE(576), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7130), 2,
      sym_comment,
      sym_block_comment,
    STATE(9600), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11372), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [361473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361513] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9357), 1,
      sym__interpolated_multiline_string_start,
    STATE(8198), 1,
      sym_interpolated_string,
    STATE(15489), 1,
      sym__interpolated_string_start,
    ACTIONS(11439), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361643] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9548), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [361685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [361765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361845] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    ACTIONS(11441), 1,
      anon_sym_EQ_GT,
    STATE(7140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9610), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [361929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [361969] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362329] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9430), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362411] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9090), 1,
      anon_sym_LPAREN,
    ACTIONS(9591), 1,
      anon_sym_DOT,
    ACTIONS(11443), 1,
      sym_operator_identifier,
    STATE(1789), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8426), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7154), 2,
      sym_comment,
      sym_block_comment,
    STATE(7634), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [362475] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9090), 1,
      anon_sym_LPAREN,
    ACTIONS(9591), 1,
      anon_sym_DOT,
    ACTIONS(10005), 1,
      sym__alpha_identifier,
    ACTIONS(10011), 1,
      sym__backquoted_id,
    ACTIONS(11445), 1,
      anon_sym_EQ,
    ACTIONS(11447), 1,
      sym_operator_identifier,
    STATE(570), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(7155), 2,
      sym_comment,
      sym_block_comment,
    STATE(7634), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10009), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [362539] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10686), 1,
      anon_sym_LPAREN,
    STATE(7162), 1,
      aux_sym_annotation_repeat1,
    STATE(8379), 1,
      sym_arguments,
    STATE(7156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362665] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11425), 1,
      anon_sym_COLON,
    ACTIONS(11427), 1,
      anon_sym_LBRACE,
    ACTIONS(11429), 1,
      anon_sym_with,
    STATE(9340), 1,
      aux_sym_compound_type_repeat1,
    STATE(10689), 1,
      sym_template_body,
    STATE(10873), 1,
      sym__refinement,
    STATE(7159), 2,
      sym_comment,
      sym_block_comment,
    STATE(10908), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362719] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362801] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11449), 1,
      anon_sym_LPAREN,
    STATE(8379), 1,
      sym_arguments,
    STATE(7162), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [362845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [362885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [362925] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1926), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10545), 1,
      anon_sym_LPAREN,
    ACTIONS(11324), 1,
      anon_sym_DOT,
    ACTIONS(11452), 1,
      sym__alpha_identifier,
    ACTIONS(11456), 1,
      anon_sym_EQ,
    ACTIONS(11458), 1,
      sym__backquoted_id,
    ACTIONS(11460), 1,
      sym_operator_identifier,
    STATE(569), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(7165), 2,
      sym_comment,
      sym_block_comment,
    STATE(9850), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [362989] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(11462), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15883), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(7166), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [363099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363259] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(11464), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15883), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(7172), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [363329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [363369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [363449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [363529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [363649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [363769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [363889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [363929] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4195), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(7188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [363973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364013] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11339), 1,
      anon_sym_COLON,
    ACTIONS(11341), 1,
      anon_sym_LBRACE,
    ACTIONS(11343), 1,
      anon_sym_with,
    STATE(7113), 1,
      aux_sym_compound_type_repeat1,
    STATE(10548), 1,
      sym__refinement,
    STATE(10550), 1,
      sym_template_body,
    STATE(7190), 2,
      sym_comment,
      sym_block_comment,
    STATE(10609), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364107] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10645), 1,
      anon_sym_AT,
    STATE(7352), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8701), 1,
      sym_annotation,
    STATE(7192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364153] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9681), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364195] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 19,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [364435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [364555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [364675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [364755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364875] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11182), 1,
      sym__interpolated_multiline_string_start,
    STATE(10229), 1,
      sym_interpolated_string,
    STATE(15352), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364925] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11466), 1,
      anon_sym_DOT,
    STATE(7212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [364967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365167] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11016), 1,
      anon_sym_LBRACK,
    ACTIONS(11022), 1,
      anon_sym_POUND,
    ACTIONS(11468), 1,
      anon_sym_LPAREN,
    STATE(8509), 1,
      aux_sym_annotation_repeat1,
    STATE(9261), 1,
      sym_type_arguments,
    STATE(9717), 1,
      sym_arguments,
    STATE(7218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8128), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365219] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9562), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365261] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_else,
    ACTIONS(11425), 1,
      anon_sym_COLON,
    ACTIONS(11427), 1,
      anon_sym_LBRACE,
    ACTIONS(11429), 1,
      anon_sym_with,
    STATE(7159), 1,
      aux_sym_compound_type_repeat1,
    STATE(10689), 1,
      sym_template_body,
    STATE(10937), 1,
      sym__refinement,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7220), 2,
      sym_comment,
      sym_block_comment,
    STATE(10908), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365361] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365441] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10947), 1,
      anon_sym_LBRACK,
    ACTIONS(10951), 1,
      anon_sym_POUND,
    ACTIONS(11470), 1,
      anon_sym_AT,
    STATE(8159), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8697), 1,
      sym_type_arguments,
    STATE(9612), 1,
      sym_annotation,
    STATE(7224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [365733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [365853] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 25,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [365891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [365971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [366011] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4239), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(7238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [366055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [366175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [366255] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(10264), 1,
      anon_sym_LPAREN,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7244), 2,
      sym_comment,
      sym_block_comment,
    STATE(9971), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [366389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366429] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11474), 1,
      anon_sym_with,
    STATE(7248), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366711] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10438), 1,
      anon_sym_COLON,
    ACTIONS(10442), 1,
      anon_sym_with,
    STATE(8251), 1,
      aux_sym_compound_type_repeat1,
    STATE(10079), 1,
      sym_template_body,
    STATE(10091), 1,
      sym__refinement,
    STATE(7255), 2,
      sym_comment,
      sym_block_comment,
    STATE(9856), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 25,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [366801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [366921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [366961] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11477), 1,
      anon_sym_AT,
    STATE(8580), 1,
      sym_annotation,
    STATE(7261), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367005] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11480), 1,
      anon_sym_AT,
    STATE(8653), 1,
      sym_annotation,
    STATE(7262), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8929), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367209] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10491), 1,
      anon_sym_LPAREN,
    STATE(7281), 1,
      aux_sym_annotation_repeat1,
    STATE(8571), 1,
      sym_arguments,
    STATE(7267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367295] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11483), 1,
      anon_sym_LBRACK,
    ACTIONS(11485), 1,
      anon_sym_LPAREN,
    ACTIONS(11487), 1,
      anon_sym_POUND,
    STATE(8852), 1,
      sym_type_arguments,
    STATE(9265), 1,
      aux_sym_annotation_repeat1,
    STATE(9995), 1,
      sym_arguments,
    STATE(7269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367467] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10264), 1,
      anon_sym_LPAREN,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    ACTIONS(11489), 1,
      sym_operator_identifier,
    STATE(1677), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8426), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(7273), 2,
      sym_comment,
      sym_block_comment,
    STATE(9971), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [367531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 25,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [367609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [367649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367809] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11491), 1,
      anon_sym_LPAREN,
    STATE(8571), 1,
      sym_arguments,
    STATE(7281), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [367933] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [367975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368055] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10910), 1,
      anon_sym_EQ_GT,
    STATE(7287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368257] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368337] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(10264), 1,
      anon_sym_LPAREN,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7294), 2,
      sym_comment,
      sym_block_comment,
    STATE(9971), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368469] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368669] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11494), 1,
      anon_sym_AT,
    STATE(8568), 1,
      sym_annotation,
    STATE(7302), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368713] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2000), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10264), 1,
      anon_sym_LPAREN,
    ACTIONS(11472), 1,
      anon_sym_DOT,
    ACTIONS(11497), 1,
      sym__alpha_identifier,
    ACTIONS(11501), 1,
      anon_sym_EQ,
    ACTIONS(11503), 1,
      sym__backquoted_id,
    ACTIONS(11505), 1,
      sym_operator_identifier,
    STATE(573), 1,
      sym_identifier,
    STATE(4069), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(7303), 2,
      sym_comment,
      sym_block_comment,
    STATE(9971), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11499), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [368777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [368817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [368857] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1838), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9420), 1,
      anon_sym_LPAREN,
    ACTIONS(10322), 1,
      anon_sym_DOT,
    ACTIONS(11507), 1,
      sym__alpha_identifier,
    ACTIONS(11511), 1,
      anon_sym_EQ,
    ACTIONS(11513), 1,
      sym__backquoted_id,
    ACTIONS(11515), 1,
      sym_operator_identifier,
    STATE(565), 1,
      sym_identifier,
    STATE(4071), 1,
      sym__soft_identifier,
    STATE(7306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9477), 3,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
    STATE(9024), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11509), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [368921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [368961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [369121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369201] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10360), 1,
      sym__interpolated_multiline_string_start,
    STATE(9527), 1,
      sym_interpolated_string,
    STATE(15542), 1,
      sym__interpolated_string_start,
    ACTIONS(10972), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 18,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [369291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [369331] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9819), 1,
      anon_sym_LPAREN,
    STATE(7321), 1,
      aux_sym_annotation_repeat1,
    STATE(8659), 1,
      sym_arguments,
    STATE(7317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [369417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [369457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369497] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11517), 1,
      anon_sym_LPAREN,
    STATE(8659), 1,
      sym_arguments,
    STATE(7321), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [369581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369621] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10117), 1,
      anon_sym_LPAREN,
    ACTIONS(10855), 1,
      anon_sym_DOT,
    ACTIONS(11520), 1,
      sym_operator_identifier,
    STATE(1787), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8426), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(7324), 2,
      sym_comment,
      sym_block_comment,
    STATE(9600), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [369685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [369725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369765] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10188), 1,
      anon_sym_AT,
    STATE(6740), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8688), 1,
      sym_annotation,
    STATE(7327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [369851] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9769), 1,
      anon_sym_AT,
    STATE(7261), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8580), 1,
      sym_annotation,
    STATE(7329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369937] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11189), 1,
      anon_sym_COLON,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11193), 1,
      anon_sym_with,
    STATE(9345), 1,
      aux_sym_compound_type_repeat1,
    STATE(10698), 1,
      sym_template_body,
    STATE(10703), 1,
      sym__refinement,
    STATE(7331), 2,
      sym_comment,
      sym_block_comment,
    STATE(10732), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [369991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [370031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [370351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370471] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7452), 1,
      sym__end_marker,
    STATE(7344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370513] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9827), 1,
      anon_sym_AT,
    STATE(6703), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8449), 1,
      sym_annotation,
    STATE(7345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [370639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370679] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10819), 1,
      anon_sym_DOT,
    ACTIONS(11522), 1,
      anon_sym_EQ_GT,
    STATE(7349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [370763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370803] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11524), 1,
      anon_sym_AT,
    STATE(8701), 1,
      sym_annotation,
    STATE(7352), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [370847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [370927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [370967] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9161), 1,
      anon_sym_COLON,
    ACTIONS(9165), 1,
      anon_sym_with,
    STATE(6659), 1,
      aux_sym_compound_type_repeat1,
    STATE(8702), 1,
      sym__refinement,
    STATE(8703), 1,
      sym_template_body,
    STATE(7356), 2,
      sym_comment,
      sym_block_comment,
    STATE(8247), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [371139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [371219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [371259] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7503), 1,
      sym__end_marker,
    STATE(7363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [371301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371340] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(7365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11236), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11234), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371397] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11246), 1,
      anon_sym_type,
    STATE(7366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [371438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371477] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8726), 1,
      sym__alpha_identifier,
    ACTIONS(8732), 1,
      anon_sym__,
    ACTIONS(8736), 1,
      anon_sym_LPAREN,
    ACTIONS(8738), 1,
      sym__backquoted_id,
    ACTIONS(8740), 1,
      sym_operator_identifier,
    STATE(4279), 1,
      sym__simple_type,
    STATE(4564), 1,
      sym__soft_identifier,
    STATE(4592), 1,
      sym_identifier,
    STATE(5039), 1,
      sym_annotated_type,
    STATE(5083), 1,
      sym__annotated_type,
    STATE(16690), 1,
      sym_stable_identifier,
    STATE(7368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8734), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4639), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [371538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371616] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10729), 1,
      anon_sym_AT,
    STATE(7870), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9288), 1,
      sym_annotation,
    STATE(7371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371661] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [371700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371739] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4770), 1,
      sym__alpha_identifier,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4782), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(7492), 1,
      anon_sym_LPAREN,
    STATE(4489), 1,
      sym__simple_type,
    STATE(4578), 1,
      sym__soft_identifier,
    STATE(4700), 1,
      sym_identifier,
    STATE(6359), 1,
      sym__annotated_type,
    STATE(6469), 1,
      sym_annotated_type,
    STATE(16709), 1,
      sym_stable_identifier,
    STATE(7374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4800), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [371800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8352), 1,
      sym__end_marker,
    STATE(7375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371880] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11533), 1,
      anon_sym_DOT,
    STATE(7377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371921] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10674), 1,
      anon_sym_AT,
    STATE(7794), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9297), 1,
      sym_annotation,
    STATE(7378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [371966] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4187), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(7379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [372009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 24,
      anon_sym_enum,
      anon_sym_case,
      anon_sym_object,
      anon_sym_given,
      anon_sym_class,
      anon_sym_trait,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_type,
      anon_sym_def,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [372046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11522), 1,
      anon_sym_EQ_GT,
    STATE(7383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372243] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372284] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11535), 1,
      sym__alpha_identifier,
    ACTIONS(11537), 1,
      anon_sym_DOT,
    ACTIONS(11541), 1,
      anon_sym_EQ,
    ACTIONS(11543), 1,
      sym__backquoted_id,
    ACTIONS(11545), 1,
      sym_operator_identifier,
    STATE(598), 1,
      sym_identifier,
    STATE(4078), 1,
      sym__soft_identifier,
    STATE(7387), 2,
      sym_comment,
      sym_block_comment,
    STATE(10225), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11539), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [372347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372386] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8648), 1,
      sym__alpha_identifier,
    ACTIONS(8654), 1,
      anon_sym__,
    ACTIONS(8658), 1,
      anon_sym_LPAREN,
    ACTIONS(8660), 1,
      sym__backquoted_id,
    ACTIONS(8662), 1,
      sym_operator_identifier,
    STATE(8429), 1,
      sym__simple_type,
    STATE(9961), 1,
      sym_identifier,
    STATE(10115), 1,
      sym__soft_identifier,
    STATE(10534), 1,
      sym_annotated_type,
    STATE(10626), 1,
      sym__annotated_type,
    STATE(16671), 1,
      sym_stable_identifier,
    STATE(7389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9819), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [372447] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372644] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9781), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372724] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8832), 1,
      sym__alpha_identifier,
    ACTIONS(8838), 1,
      anon_sym__,
    ACTIONS(8842), 1,
      anon_sym_LPAREN,
    ACTIONS(8844), 1,
      sym__backquoted_id,
    ACTIONS(8846), 1,
      sym_operator_identifier,
    STATE(4505), 1,
      sym__simple_type,
    STATE(5091), 1,
      sym_identifier,
    STATE(5352), 1,
      sym__soft_identifier,
    STATE(6431), 1,
      sym__annotated_type,
    STATE(6541), 1,
      sym_annotated_type,
    STATE(16728), 1,
      sym_stable_identifier,
    STATE(7397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5387), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [372785] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [372863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [372980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373019] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15406), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(7404), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [373086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373164] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11537), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7407), 2,
      sym_comment,
      sym_block_comment,
    STATE(10225), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8808), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8806), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373371] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6618), 1,
      sym__alpha_identifier,
    ACTIONS(6620), 1,
      anon_sym__,
    ACTIONS(6628), 1,
      sym__backquoted_id,
    ACTIONS(6630), 1,
      sym_operator_identifier,
    ACTIONS(7792), 1,
      anon_sym_LPAREN,
    STATE(6588), 1,
      sym__simple_type,
    STATE(6877), 1,
      sym_identifier,
    STATE(7078), 1,
      sym__soft_identifier,
    STATE(9775), 1,
      sym_annotated_type,
    STATE(10093), 1,
      sym__annotated_type,
    STATE(16266), 1,
      sym_stable_identifier,
    STATE(7412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7940), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [373432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [373471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [373588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [373627] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6334), 1,
      sym__alpha_identifier,
    ACTIONS(6340), 1,
      anon_sym__,
    ACTIONS(6348), 1,
      sym__backquoted_id,
    ACTIONS(6350), 1,
      sym_operator_identifier,
    ACTIONS(7412), 1,
      anon_sym_LPAREN,
    STATE(4515), 1,
      sym__simple_type,
    STATE(4607), 1,
      sym__soft_identifier,
    STATE(4643), 1,
      sym_identifier,
    STATE(6503), 1,
      sym__annotated_type,
    STATE(6613), 1,
      sym_annotated_type,
    STATE(16747), 1,
      sym_stable_identifier,
    STATE(7418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6344), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4755), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [373688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373805] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6452), 1,
      sym__alpha_identifier,
    ACTIONS(6454), 1,
      anon_sym__,
    ACTIONS(6462), 1,
      sym__backquoted_id,
    ACTIONS(6464), 1,
      sym_operator_identifier,
    ACTIONS(7882), 1,
      anon_sym_LPAREN,
    STATE(5997), 1,
      sym__simple_type,
    STATE(6938), 1,
      sym__soft_identifier,
    STATE(7212), 1,
      sym_identifier,
    STATE(9566), 1,
      sym_annotated_type,
    STATE(9719), 1,
      sym__annotated_type,
    STATE(16631), 1,
      sym_stable_identifier,
    STATE(7422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6458), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7526), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [373866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [373905] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    ACTIONS(7832), 1,
      anon_sym_LPAREN,
    STATE(5530), 1,
      sym__simple_type,
    STATE(6024), 1,
      sym__soft_identifier,
    STATE(6622), 1,
      sym_identifier,
    STATE(9547), 1,
      sym_annotated_type,
    STATE(9556), 1,
      sym__annotated_type,
    STATE(16293), 1,
      sym_stable_identifier,
    STATE(7424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6696), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [373966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374044] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374200] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8714), 1,
      sym__alpha_identifier,
    ACTIONS(8716), 1,
      anon_sym__,
    ACTIONS(8720), 1,
      anon_sym_LPAREN,
    ACTIONS(8722), 1,
      sym__backquoted_id,
    ACTIONS(8724), 1,
      sym_operator_identifier,
    STATE(5089), 1,
      sym__simple_type,
    STATE(7106), 1,
      sym_identifier,
    STATE(7298), 1,
      sym__soft_identifier,
    STATE(8155), 1,
      sym__annotated_type,
    STATE(8190), 1,
      sym_annotated_type,
    STATE(16891), 1,
      sym_stable_identifier,
    STATE(7431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7227), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [374261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374300] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11547), 1,
      anon_sym_DOT,
    STATE(7433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374341] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8794), 1,
      sym__alpha_identifier,
    ACTIONS(8796), 1,
      anon_sym__,
    ACTIONS(8800), 1,
      anon_sym_LPAREN,
    ACTIONS(8802), 1,
      sym__backquoted_id,
    ACTIONS(8804), 1,
      sym_operator_identifier,
    STATE(4529), 1,
      sym__simple_type,
    STATE(5198), 1,
      sym_identifier,
    STATE(5384), 1,
      sym__soft_identifier,
    STATE(6575), 1,
      sym__annotated_type,
    STATE(6627), 1,
      sym_annotated_type,
    STATE(16765), 1,
      sym_stable_identifier,
    STATE(7434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8798), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5342), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [374402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [374480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [374519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [374597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [374792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374831] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10543), 1,
      anon_sym_AT,
    STATE(7656), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9302), 1,
      sym_annotation,
    STATE(7446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374876] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(477), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(10117), 1,
      anon_sym_LPAREN,
    ACTIONS(10855), 1,
      anon_sym_DOT,
    ACTIONS(11370), 1,
      sym__alpha_identifier,
    ACTIONS(11376), 1,
      sym__backquoted_id,
    ACTIONS(11378), 1,
      sym_operator_identifier,
    ACTIONS(11549), 1,
      anon_sym_EQ,
    STATE(627), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    STATE(7447), 2,
      sym_comment,
      sym_block_comment,
    STATE(9600), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11372), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [374939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [374978] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11551), 1,
      anon_sym_DOT,
    STATE(7449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375175] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11553), 1,
      anon_sym_AT,
    STATE(8796), 1,
      sym_annotation,
    STATE(7454), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375218] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4490), 1,
      sym__alpha_identifier,
    ACTIONS(4496), 1,
      anon_sym__,
    ACTIONS(4508), 1,
      sym__backquoted_id,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    ACTIONS(7712), 1,
      anon_sym_LPAREN,
    STATE(4845), 1,
      sym__simple_type,
    STATE(5172), 1,
      sym_identifier,
    STATE(5408), 1,
      sym__soft_identifier,
    STATE(7372), 1,
      sym__annotated_type,
    STATE(7594), 1,
      sym_annotated_type,
    STATE(16783), 1,
      sym_stable_identifier,
    STATE(7455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4502), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5608), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375318] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8680), 1,
      sym__alpha_identifier,
    ACTIONS(8682), 1,
      anon_sym__,
    ACTIONS(8686), 1,
      anon_sym_LPAREN,
    ACTIONS(8688), 1,
      sym__backquoted_id,
    ACTIONS(8690), 1,
      sym_operator_identifier,
    STATE(5063), 1,
      sym__simple_type,
    STATE(6759), 1,
      sym_identifier,
    STATE(7245), 1,
      sym__soft_identifier,
    STATE(8292), 1,
      sym_annotated_type,
    STATE(8577), 1,
      sym__annotated_type,
    STATE(16801), 1,
      sym_stable_identifier,
    STATE(7457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7242), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [375457] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11556), 1,
      anon_sym_COLON,
    ACTIONS(11559), 1,
      anon_sym_LBRACE,
    STATE(9573), 1,
      sym_template_body,
    STATE(7460), 2,
      sym_comment,
      sym_block_comment,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 12,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [375543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [375582] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8913), 1,
      sym__alpha_identifier,
    ACTIONS(8915), 1,
      anon_sym__,
    ACTIONS(8919), 1,
      anon_sym_LPAREN,
    ACTIONS(8921), 1,
      sym__backquoted_id,
    ACTIONS(8923), 1,
      sym_operator_identifier,
    STATE(6172), 1,
      sym__simple_type,
    STATE(8252), 1,
      sym__soft_identifier,
    STATE(8373), 1,
      sym_identifier,
    STATE(9639), 1,
      sym__annotated_type,
    STATE(9699), 1,
      sym_annotated_type,
    STATE(16611), 1,
      sym_stable_identifier,
    STATE(7463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8917), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8256), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [375643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375918] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10549), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11562), 1,
      anon_sym_COLON,
    STATE(9685), 1,
      sym_interpolated_string,
    STATE(14974), 1,
      sym__interpolated_string_start,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(11565), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [375971] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(7692), 1,
      anon_sym_LPAREN,
    STATE(6684), 1,
      sym__simple_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(9777), 1,
      sym__annotated_type,
    STATE(10031), 1,
      sym_annotated_type,
    STATE(16238), 1,
      sym_stable_identifier,
    STATE(7472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [376032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376071] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4182), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(7474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376114] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8426), 1,
      anon_sym_match,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11537), 1,
      anon_sym_DOT,
    ACTIONS(11568), 1,
      sym_operator_identifier,
    STATE(1667), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7475), 2,
      sym_comment,
      sym_block_comment,
    STATE(10225), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [376177] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11339), 1,
      anon_sym_COLON,
    ACTIONS(11343), 1,
      anon_sym_with,
    STATE(7890), 1,
      aux_sym_compound_type_repeat1,
    STATE(10548), 1,
      sym__refinement,
    STATE(10550), 1,
      sym_template_body,
    STATE(7476), 2,
      sym_comment,
      sym_block_comment,
    STATE(10609), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376228] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11570), 1,
      anon_sym_COLON,
    ACTIONS(11572), 1,
      anon_sym_COMMA,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11576), 1,
      anon_sym_EQ,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(15511), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [376301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376340] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11572), 1,
      anon_sym_COMMA,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11582), 1,
      anon_sym_COLON,
    ACTIONS(11584), 1,
      anon_sym_EQ,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(15514), 1,
      aux_sym_val_declaration_repeat1,
    STATE(7479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [376413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376491] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11588), 1,
      anon_sym_DOT,
    ACTIONS(11590), 1,
      anon_sym_STAR,
    ACTIONS(11592), 1,
      anon_sym_EQ_GT,
    ACTIONS(11594), 1,
      anon_sym_if,
    ACTIONS(11596), 1,
      anon_sym_AT,
    ACTIONS(11598), 1,
      anon_sym_PIPE,
    ACTIONS(11600), 1,
      sym_operator_identifier,
    ACTIONS(11602), 1,
      sym__interpolated_multiline_string_start,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11742), 1,
      sym_interpolated_string,
    STATE(15379), 1,
      sym__interpolated_string_start,
    STATE(16920), 1,
      sym_guard,
    STATE(7482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [376564] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11604), 1,
      anon_sym_with,
    STATE(7483), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [376878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376917] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [376962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377001] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11607), 1,
      sym__alpha_identifier,
    ACTIONS(11609), 1,
      anon_sym__,
    ACTIONS(11613), 1,
      anon_sym_LPAREN,
    ACTIONS(11615), 1,
      sym__backquoted_id,
    ACTIONS(11617), 1,
      sym_operator_identifier,
    STATE(13251), 1,
      sym__simple_type,
    STATE(13669), 1,
      sym_identifier,
    STATE(13810), 1,
      sym__soft_identifier,
    STATE(14428), 1,
      sym_annotated_type,
    STATE(14530), 1,
      sym__annotated_type,
    STATE(16264), 1,
      sym_stable_identifier,
    STATE(7494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11611), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13837), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377257] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      sym__alpha_identifier,
    ACTIONS(4898), 1,
      anon_sym__,
    ACTIONS(4908), 1,
      sym__backquoted_id,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    ACTIONS(7812), 1,
      anon_sym_LPAREN,
    STATE(5448), 1,
      sym__simple_type,
    STATE(6026), 1,
      sym__soft_identifier,
    STATE(6127), 1,
      sym_identifier,
    STATE(8791), 1,
      sym_annotated_type,
    STATE(9202), 1,
      sym__annotated_type,
    STATE(16208), 1,
      sym_stable_identifier,
    STATE(7500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7174), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [377318] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11621), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(14842), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(7501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [377391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [377469] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11623), 1,
      anon_sym_LPAREN,
    STATE(8739), 1,
      sym_arguments,
    STATE(7504), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377551] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377631] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11537), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7508), 2,
      sym_comment,
      sym_block_comment,
    STATE(10225), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377801] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11626), 1,
      anon_sym_with,
    STATE(7512), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9584), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [377881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [377920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [377959] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8149), 1,
      sym__end_marker,
    STATE(7516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10030), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [378000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [378039] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11629), 1,
      anon_sym_AT,
    STATE(9241), 1,
      sym_annotation,
    STATE(7518), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378121] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11632), 1,
      anon_sym_with,
    STATE(7520), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378162] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4642), 1,
      sym__alpha_identifier,
    ACTIONS(4648), 1,
      anon_sym__,
    ACTIONS(4660), 1,
      sym__backquoted_id,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    ACTIONS(7922), 1,
      anon_sym_LPAREN,
    STATE(6591), 1,
      sym__simple_type,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(6879), 1,
      sym_identifier,
    STATE(9525), 1,
      sym__annotated_type,
    STATE(9695), 1,
      sym_annotated_type,
    STATE(16591), 1,
      sym_stable_identifier,
    STATE(7521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378223] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10620), 1,
      anon_sym_AT,
    STATE(7454), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8796), 1,
      sym_annotation,
    STATE(7522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378268] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9735), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [378348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378426] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6554), 1,
      sym__alpha_identifier,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    ACTIONS(7822), 1,
      anon_sym_LPAREN,
    STATE(5244), 1,
      sym__simple_type,
    STATE(5508), 1,
      sym_identifier,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(8215), 1,
      sym_annotated_type,
    STATE(8396), 1,
      sym__annotated_type,
    STATE(16819), 1,
      sym_stable_identifier,
    STATE(7527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6312), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378526] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10558), 1,
      anon_sym_AT,
    STATE(7564), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9161), 1,
      sym_annotation,
    STATE(7529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [378610] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8882), 1,
      sym__alpha_identifier,
    ACTIONS(8884), 1,
      anon_sym__,
    ACTIONS(8888), 1,
      anon_sym_LPAREN,
    ACTIONS(8890), 1,
      sym__backquoted_id,
    ACTIONS(8892), 1,
      sym_operator_identifier,
    STATE(5197), 1,
      sym__simple_type,
    STATE(6748), 1,
      sym__soft_identifier,
    STATE(7079), 1,
      sym_identifier,
    STATE(8183), 1,
      sym__annotated_type,
    STATE(8370), 1,
      sym_annotated_type,
    STATE(16571), 1,
      sym_stable_identifier,
    STATE(7531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8886), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7191), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378671] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378716] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11074), 1,
      anon_sym_AT,
    STATE(7689), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9057), 1,
      sym_annotation,
    STATE(7533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378800] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8366), 1,
      sym__alpha_identifier,
    ACTIONS(8372), 1,
      anon_sym__,
    ACTIONS(8376), 1,
      anon_sym_LPAREN,
    ACTIONS(8378), 1,
      sym__backquoted_id,
    ACTIONS(8380), 1,
      sym_operator_identifier,
    STATE(10974), 1,
      sym__simple_type,
    STATE(11589), 1,
      sym__soft_identifier,
    STATE(11719), 1,
      sym_identifier,
    STATE(13025), 1,
      sym__annotated_type,
    STATE(13147), 1,
      sym_annotated_type,
    STATE(16855), 1,
      sym_stable_identifier,
    STATE(7535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12119), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [378861] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [378900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [378939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [378978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [379017] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11635), 1,
      anon_sym_LBRACE,
    ACTIONS(11637), 1,
      anon_sym_with,
    STATE(7950), 1,
      aux_sym_compound_type_repeat1,
    STATE(10851), 1,
      sym_template_body,
    STATE(10870), 1,
      sym__refinement,
    STATE(7540), 2,
      sym_comment,
      sym_block_comment,
    STATE(10922), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379068] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8764), 1,
      anon_sym__,
    ACTIONS(8768), 1,
      anon_sym_LPAREN,
    ACTIONS(8770), 1,
      sym__backquoted_id,
    ACTIONS(8772), 1,
      sym_operator_identifier,
    STATE(4543), 1,
      sym__simple_type,
    STATE(5033), 1,
      sym__soft_identifier,
    STATE(5192), 1,
      sym_identifier,
    STATE(6352), 1,
      sym_annotated_type,
    STATE(6619), 1,
      sym__annotated_type,
    STATE(16340), 1,
      sym_stable_identifier,
    STATE(7541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5394), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379129] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [379168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [379246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [379285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379324] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(11641), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(15525), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(7547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [379397] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11166), 1,
      anon_sym_AT,
    STATE(7707), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9023), 1,
      sym_annotation,
    STATE(7548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [379520] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4186), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(7551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [379563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [379602] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11298), 1,
      anon_sym_DOT,
    ACTIONS(11643), 1,
      anon_sym_EQ_GT,
    STATE(7553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379645] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11645), 1,
      anon_sym_LPAREN,
    STATE(8999), 1,
      sym_arguments,
    STATE(7554), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [379766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379805] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      sym__alpha_identifier,
    ACTIONS(6710), 1,
      anon_sym__,
    ACTIONS(6718), 1,
      sym__backquoted_id,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    ACTIONS(7702), 1,
      anon_sym_LPAREN,
    STATE(5088), 1,
      sym__simple_type,
    STATE(5696), 1,
      sym_identifier,
    STATE(5777), 1,
      sym__soft_identifier,
    STATE(8713), 1,
      sym_annotated_type,
    STATE(8741), 1,
      sym__annotated_type,
    STATE(16943), 1,
      sym_stable_identifier,
    STATE(7558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379866] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8746), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym__,
    ACTIONS(8752), 1,
      anon_sym_LPAREN,
    ACTIONS(8754), 1,
      sym__backquoted_id,
    ACTIONS(8756), 1,
      sym_operator_identifier,
    STATE(6409), 1,
      sym__simple_type,
    STATE(8589), 1,
      sym__soft_identifier,
    STATE(8670), 1,
      sym_identifier,
    STATE(9451), 1,
      sym_annotated_type,
    STATE(9542), 1,
      sym__annotated_type,
    STATE(16178), 1,
      sym_stable_identifier,
    STATE(7559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8657), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [379927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [379966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380044] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380083] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11648), 1,
      anon_sym_AT,
    STATE(9161), 1,
      sym_annotation,
    STATE(7564), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380282] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [380321] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11651), 1,
      anon_sym_LBRACK,
    ACTIONS(11653), 1,
      anon_sym_AT,
    ACTIONS(11655), 1,
      anon_sym_LPAREN,
    ACTIONS(11657), 1,
      anon_sym_POUND,
    STATE(9411), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9805), 1,
      sym_type_arguments,
    STATE(10277), 1,
      sym_annotation,
    STATE(10669), 1,
      sym_arguments,
    STATE(7570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 3,
      anon_sym_LBRACE,
      anon_sym_DOT,
      sym__backquoted_id,
    ACTIONS(8196), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380376] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9992), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380417] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4680), 1,
      sym__alpha_identifier,
    ACTIONS(4686), 1,
      anon_sym__,
    ACTIONS(4698), 1,
      sym__backquoted_id,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    ACTIONS(7802), 1,
      anon_sym_LPAREN,
    STATE(4896), 1,
      sym__simple_type,
    STATE(5213), 1,
      sym_identifier,
    STATE(5438), 1,
      sym__soft_identifier,
    STATE(7758), 1,
      sym_annotated_type,
    STATE(8004), 1,
      sym__annotated_type,
    STATE(16907), 1,
      sym_stable_identifier,
    STATE(7572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4692), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5876), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380517] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10412), 1,
      anon_sym_AT,
    STATE(7927), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9325), 1,
      sym_annotation,
    STATE(7574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8965), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [380562] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [380601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [380835] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11126), 1,
      anon_sym_AT,
    STATE(7518), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9241), 1,
      sym_annotation,
    STATE(7582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [380880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [380919] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    STATE(5847), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_annotated_type,
    STATE(8814), 1,
      sym__annotated_type,
    STATE(16919), 1,
      sym_stable_identifier,
    STATE(7584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [380980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [381019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [381058] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15883), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(7587), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [381125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [381281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [381398] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__alpha_identifier,
    ACTIONS(4216), 1,
      anon_sym__,
    ACTIONS(4228), 1,
      sym__backquoted_id,
    ACTIONS(6354), 1,
      sym_operator_identifier,
    ACTIONS(7962), 1,
      anon_sym_LPAREN,
    STATE(5570), 1,
      sym__simple_type,
    STATE(6162), 1,
      sym_identifier,
    STATE(6542), 1,
      sym__soft_identifier,
    STATE(8748), 1,
      sym__annotated_type,
    STATE(8840), 1,
      sym_annotated_type,
    STATE(16551), 1,
      sym_stable_identifier,
    STATE(7595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4222), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7279), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [381459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381498] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_EQ,
    ACTIONS(11339), 1,
      anon_sym_COLON,
    ACTIONS(11343), 1,
      anon_sym_with,
    ACTIONS(11659), 1,
      anon_sym_LBRACE,
    STATE(7890), 1,
      aux_sym_compound_type_repeat1,
    STATE(10548), 1,
      sym__refinement,
    STATE(10550), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7597), 2,
      sym_comment,
      sym_block_comment,
    STATE(10609), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [381674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [381752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [381791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [381830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [381869] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9090), 1,
      anon_sym_LPAREN,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(9591), 1,
      anon_sym_DOT,
    ACTIONS(10005), 1,
      sym__alpha_identifier,
    ACTIONS(10011), 1,
      sym__backquoted_id,
    ACTIONS(10013), 1,
      sym_operator_identifier,
    ACTIONS(11662), 1,
      anon_sym_EQ,
    STATE(554), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(7606), 2,
      sym_comment,
      sym_block_comment,
    STATE(7634), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10009), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [381932] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    STATE(7554), 1,
      aux_sym_annotation_repeat1,
    STATE(8999), 1,
      sym_arguments,
    STATE(7607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [381977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382016] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6640), 1,
      sym__alpha_identifier,
    ACTIONS(6642), 1,
      anon_sym__,
    ACTIONS(6650), 1,
      sym__backquoted_id,
    ACTIONS(6652), 1,
      sym_operator_identifier,
    ACTIONS(7752), 1,
      anon_sym_LPAREN,
    STATE(5786), 1,
      sym__simple_type,
    STATE(6211), 1,
      sym__soft_identifier,
    STATE(6365), 1,
      sym_identifier,
    STATE(9341), 1,
      sym_annotated_type,
    STATE(9394), 1,
      sym__annotated_type,
    STATE(16931), 1,
      sym_stable_identifier,
    STATE(7609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6646), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7122), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382077] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8810), 1,
      sym__alpha_identifier,
    ACTIONS(8812), 1,
      anon_sym__,
    ACTIONS(8816), 1,
      anon_sym_LPAREN,
    ACTIONS(8818), 1,
      sym__backquoted_id,
    ACTIONS(8820), 1,
      sym_operator_identifier,
    STATE(4870), 1,
      sym__simple_type,
    STATE(6078), 1,
      sym_identifier,
    STATE(6626), 1,
      sym__soft_identifier,
    STATE(7974), 1,
      sym_annotated_type,
    STATE(7986), 1,
      sym__annotated_type,
    STATE(16531), 1,
      sym_stable_identifier,
    STATE(7610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8814), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6254), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9562), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382413] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8700), 1,
      sym__alpha_identifier,
    ACTIONS(8702), 1,
      anon_sym__,
    ACTIONS(8706), 1,
      anon_sym_LPAREN,
    ACTIONS(8708), 1,
      sym__backquoted_id,
    ACTIONS(8710), 1,
      sym_operator_identifier,
    STATE(5926), 1,
      sym__simple_type,
    STATE(7690), 1,
      sym__soft_identifier,
    STATE(7932), 1,
      sym_identifier,
    STATE(8926), 1,
      sym_annotated_type,
    STATE(9204), 1,
      sym__annotated_type,
    STATE(17012), 1,
      sym_stable_identifier,
    STATE(7618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7874), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [382474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382513] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10958), 1,
      anon_sym_LPAREN,
    STATE(7504), 1,
      aux_sym_annotation_repeat1,
    STATE(8739), 1,
      sym_arguments,
    STATE(7620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382636] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [382798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [382837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [382993] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11572), 1,
      anon_sym_COMMA,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11664), 1,
      anon_sym_COLON,
    ACTIONS(11666), 1,
      anon_sym_EQ,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(14777), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(7632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [383066] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11572), 1,
      anon_sym_COMMA,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11668), 1,
      anon_sym_COLON,
    ACTIONS(11670), 1,
      anon_sym_EQ,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(14782), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(7633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [383139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [383217] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383258] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383336] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11588), 1,
      anon_sym_DOT,
    ACTIONS(11590), 1,
      anon_sym_STAR,
    ACTIONS(11594), 1,
      anon_sym_if,
    ACTIONS(11596), 1,
      anon_sym_AT,
    ACTIONS(11598), 1,
      anon_sym_PIPE,
    ACTIONS(11600), 1,
      sym_operator_identifier,
    ACTIONS(11602), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11672), 1,
      anon_sym_EQ_GT,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11742), 1,
      sym_interpolated_string,
    STATE(15379), 1,
      sym__interpolated_string_start,
    STATE(17756), 1,
      sym_guard,
    STATE(7639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [383409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [383487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383526] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8528), 1,
      sym__alpha_identifier,
    ACTIONS(8534), 1,
      anon_sym__,
    ACTIONS(8538), 1,
      anon_sym_LPAREN,
    ACTIONS(8540), 1,
      sym__backquoted_id,
    ACTIONS(8542), 1,
      sym_operator_identifier,
    STATE(4598), 1,
      sym__simple_type,
    STATE(5705), 1,
      sym_identifier,
    STATE(5788), 1,
      sym__soft_identifier,
    STATE(6887), 1,
      sym_annotated_type,
    STATE(6903), 1,
      sym__annotated_type,
    STATE(16988), 1,
      sym_stable_identifier,
    STATE(7643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5821), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383704] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8901), 1,
      sym__alpha_identifier,
    ACTIONS(8903), 1,
      anon_sym__,
    ACTIONS(8907), 1,
      anon_sym_LPAREN,
    ACTIONS(8909), 1,
      sym__backquoted_id,
    ACTIONS(8911), 1,
      sym_operator_identifier,
    STATE(6965), 1,
      sym__simple_type,
    STATE(8916), 1,
      sym_identifier,
    STATE(9324), 1,
      sym__soft_identifier,
    STATE(9948), 1,
      sym_annotated_type,
    STATE(10099), 1,
      sym__annotated_type,
    STATE(17246), 1,
      sym_stable_identifier,
    STATE(7647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8905), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9233), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [383804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [383843] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4346), 1,
      sym__alpha_identifier,
    ACTIONS(4352), 1,
      anon_sym__,
    ACTIONS(4364), 1,
      sym__backquoted_id,
    ACTIONS(6332), 1,
      sym_operator_identifier,
    ACTIONS(7852), 1,
      anon_sym_LPAREN,
    STATE(4887), 1,
      sym__simple_type,
    STATE(5109), 1,
      sym_identifier,
    STATE(5171), 1,
      sym__soft_identifier,
    STATE(7499), 1,
      sym_annotated_type,
    STATE(7856), 1,
      sym__annotated_type,
    STATE(16510), 1,
      sym_stable_identifier,
    STATE(7650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5792), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [383904] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11674), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(15072), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(7651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [383977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [384094] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [384133] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11676), 1,
      anon_sym_AT,
    STATE(9302), 1,
      sym_annotation,
    STATE(7656), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384215] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8620), 1,
      sym__alpha_identifier,
    ACTIONS(8622), 1,
      anon_sym__,
    ACTIONS(8626), 1,
      anon_sym_LPAREN,
    ACTIONS(8628), 1,
      sym__backquoted_id,
    ACTIONS(8630), 1,
      sym_operator_identifier,
    STATE(4862), 1,
      sym__simple_type,
    STATE(6468), 1,
      sym_identifier,
    STATE(6596), 1,
      sym__soft_identifier,
    STATE(7556), 1,
      sym_annotated_type,
    STATE(7569), 1,
      sym__annotated_type,
    STATE(16224), 1,
      sym_stable_identifier,
    STATE(7658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6224), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [384276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384393] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9282), 1,
      sym_operator_identifier,
    STATE(1761), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8426), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [384448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384526] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4382), 1,
      sym__alpha_identifier,
    ACTIONS(4388), 1,
      anon_sym__,
    ACTIONS(4400), 1,
      sym__backquoted_id,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    ACTIONS(7682), 1,
      anon_sym_LPAREN,
    STATE(5059), 1,
      sym__simple_type,
    STATE(5555), 1,
      sym_identifier,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(8618), 1,
      sym__annotated_type,
    STATE(8693), 1,
      sym_annotated_type,
    STATE(16965), 1,
      sym_stable_identifier,
    STATE(7665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [384587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [384665] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9259), 1,
      sym_operator_identifier,
    STATE(1659), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8426), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [384720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384917] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [384956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [384995] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8774), 1,
      sym__alpha_identifier,
    ACTIONS(8776), 1,
      anon_sym__,
    ACTIONS(8780), 1,
      anon_sym_LPAREN,
    ACTIONS(8782), 1,
      sym__backquoted_id,
    ACTIONS(8784), 1,
      sym_operator_identifier,
    STATE(4770), 1,
      sym__simple_type,
    STATE(6256), 1,
      sym_identifier,
    STATE(6494), 1,
      sym__soft_identifier,
    STATE(7677), 1,
      sym__annotated_type,
    STATE(7914), 1,
      sym_annotated_type,
    STATE(16489), 1,
      sym_stable_identifier,
    STATE(7676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6110), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [385095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [385134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385212] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11679), 1,
      anon_sym_DOT,
    STATE(7681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385331] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11681), 1,
      anon_sym_COMMA,
    ACTIONS(11683), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(14896), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(7684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [385404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385443] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4282), 1,
      sym__alpha_identifier,
    ACTIONS(4288), 1,
      anon_sym__,
    ACTIONS(4300), 1,
      sym__backquoted_id,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    ACTIONS(7562), 1,
      anon_sym_LPAREN,
    STATE(4466), 1,
      sym__simple_type,
    STATE(4610), 1,
      sym_identifier,
    STATE(4713), 1,
      sym__soft_identifier,
    STATE(6021), 1,
      sym_annotated_type,
    STATE(6037), 1,
      sym__annotated_type,
    STATE(17032), 1,
      sym_stable_identifier,
    STATE(7686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4294), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4988), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385543] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11685), 1,
      anon_sym_with,
    STATE(7688), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9584), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [385584] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11688), 1,
      anon_sym_AT,
    STATE(9057), 1,
      sym_annotation,
    STATE(7689), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385666] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4866), 1,
      sym__alpha_identifier,
    ACTIONS(4872), 1,
      anon_sym__,
    ACTIONS(4884), 1,
      sym__backquoted_id,
    ACTIONS(6534), 1,
      sym_operator_identifier,
    ACTIONS(7672), 1,
      anon_sym_LPAREN,
    STATE(4414), 1,
      sym__simple_type,
    STATE(4471), 1,
      sym_identifier,
    STATE(4496), 1,
      sym__soft_identifier,
    STATE(5592), 1,
      sym__annotated_type,
    STATE(5943), 1,
      sym_annotated_type,
    STATE(16363), 1,
      sym_stable_identifier,
    STATE(7691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4586), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [385766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385805] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    ACTIONS(7652), 1,
      anon_sym_LPAREN,
    STATE(7038), 1,
      sym__simple_type,
    STATE(7410), 1,
      sym__soft_identifier,
    STATE(7449), 1,
      sym_identifier,
    STATE(10004), 1,
      sym_annotated_type,
    STATE(10112), 1,
      sym__annotated_type,
    STATE(16976), 1,
      sym_stable_identifier,
    STATE(7694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8188), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [385866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385905] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9870), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [385946] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4238), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(7697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [385989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386106] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9943), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(9951), 1,
      sym_operator_identifier,
    STATE(530), 1,
      sym_identifier,
    STATE(3948), 1,
      sym__soft_identifier,
    STATE(7701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9945), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9477), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [386159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386276] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    STATE(6553), 1,
      sym__simple_type,
    STATE(6775), 1,
      sym_identifier,
    STATE(7346), 1,
      sym__soft_identifier,
    STATE(9393), 1,
      sym__annotated_type,
    STATE(9541), 1,
      sym_annotated_type,
    STATE(16998), 1,
      sym_stable_identifier,
    STATE(7705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8015), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [386337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386376] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11691), 1,
      anon_sym_AT,
    STATE(9023), 1,
      sym_annotation,
    STATE(7707), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386419] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [386458] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10949), 1,
      anon_sym_LPAREN,
    STATE(7722), 1,
      aux_sym_annotation_repeat1,
    STATE(9040), 1,
      sym_arguments,
    STATE(7709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386542] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(15312), 1,
      sym__interpolated_string_start,
    ACTIONS(11223), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(11225), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(7711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [386611] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(7712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11229), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11227), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386668] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      sym_operator_identifier,
    STATE(11357), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11768), 1,
      sym__simple_type,
    STATE(12663), 1,
      sym_annotated_type,
    STATE(13728), 1,
      sym__annotated_type,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(7713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [386729] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11483), 1,
      anon_sym_LBRACK,
    ACTIONS(11487), 1,
      anon_sym_POUND,
    ACTIONS(11694), 1,
      anon_sym_AT,
    STATE(8852), 1,
      sym_type_arguments,
    STATE(9473), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10299), 1,
      sym_annotation,
    STATE(7714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [386858] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11696), 1,
      anon_sym_LPAREN,
    STATE(8789), 1,
      sym_arguments,
    STATE(7717), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [386940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [386979] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11441), 1,
      anon_sym_EQ_GT,
    STATE(7720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387020] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15314), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(7721), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [387087] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11699), 1,
      anon_sym_LPAREN,
    STATE(9040), 1,
      sym_arguments,
    STATE(7722), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387208] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1516), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9227), 1,
      anon_sym_LPAREN,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(9892), 1,
      anon_sym_DOT,
    ACTIONS(10767), 1,
      sym__alpha_identifier,
    ACTIONS(10773), 1,
      sym__backquoted_id,
    ACTIONS(10775), 1,
      sym_operator_identifier,
    ACTIONS(11702), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(7725), 2,
      sym_comment,
      sym_block_comment,
    STATE(8489), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9477), 4,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10769), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [387271] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    STATE(7717), 1,
      aux_sym_annotation_repeat1,
    STATE(8789), 1,
      sym_arguments,
    STATE(7726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387316] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8083), 1,
      sym_arguments,
    STATE(7727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8150), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9911), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [387632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [387710] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1448), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9207), 1,
      anon_sym_LPAREN,
    ACTIONS(10087), 1,
      anon_sym_DOT,
    ACTIONS(11146), 1,
      sym__alpha_identifier,
    ACTIONS(11152), 1,
      sym__backquoted_id,
    ACTIONS(11154), 1,
      sym_operator_identifier,
    ACTIONS(11704), 1,
      anon_sym_EQ,
    STATE(547), 1,
      sym_identifier,
    STATE(4059), 1,
      sym__soft_identifier,
    ACTIONS(9473), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
    STATE(8596), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [387773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387812] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4718), 1,
      anon_sym__,
    ACTIONS(4728), 1,
      sym__backquoted_id,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    STATE(4298), 1,
      sym__simple_type,
    STATE(4384), 1,
      sym__soft_identifier,
    STATE(4392), 1,
      sym_identifier,
    STATE(5143), 1,
      sym_annotated_type,
    STATE(5154), 1,
      sym__annotated_type,
    STATE(17009), 1,
      sym_stable_identifier,
    STATE(7739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4528), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [387873] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9921), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387914] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10262), 1,
      anon_sym_AT,
    STATE(7820), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8985), 1,
      sym_annotation,
    STATE(7741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [387959] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(7972), 1,
      anon_sym_LPAREN,
    STATE(5181), 1,
      sym__simple_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(8178), 1,
      sym_annotated_type,
    STATE(8246), 1,
      sym__annotated_type,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(7742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [388020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388254] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15248), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(7749), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [388321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388438] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11706), 1,
      anon_sym_DOT,
    STATE(7753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388479] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6276), 1,
      sym__alpha_identifier,
    ACTIONS(6278), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      sym__backquoted_id,
    ACTIONS(6288), 1,
      sym_operator_identifier,
    ACTIONS(7762), 1,
      anon_sym_LPAREN,
    STATE(7073), 1,
      sym__simple_type,
    STATE(7671), 1,
      sym__soft_identifier,
    STATE(7785), 1,
      sym_identifier,
    STATE(10336), 1,
      sym__annotated_type,
    STATE(10337), 1,
      sym_annotated_type,
    STATE(16468), 1,
      sym_stable_identifier,
    STATE(7754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6282), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [388540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9941), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11708), 1,
      anon_sym_with,
    STATE(7763), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [388895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [388934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [388973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389051] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    ACTIONS(7732), 1,
      anon_sym_LPAREN,
    STATE(4620), 1,
      sym__simple_type,
    STATE(4816), 1,
      sym__soft_identifier,
    STATE(4955), 1,
      sym_identifier,
    STATE(7201), 1,
      sym_annotated_type,
    STATE(7213), 1,
      sym__annotated_type,
    STATE(17020), 1,
      sym_stable_identifier,
    STATE(7768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5061), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [389112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9610), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [389151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389307] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389387] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [389426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389504] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15160), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(7779), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [389571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [389649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [389688] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8218), 1,
      sym__alpha_identifier,
    ACTIONS(8224), 1,
      anon_sym__,
    ACTIONS(8228), 1,
      anon_sym_LPAREN,
    ACTIONS(8230), 1,
      sym__backquoted_id,
    ACTIONS(8232), 1,
      sym_operator_identifier,
    STATE(10770), 1,
      sym__simple_type,
    STATE(11280), 1,
      sym__soft_identifier,
    STATE(11312), 1,
      sym_identifier,
    STATE(12735), 1,
      sym__annotated_type,
    STATE(13003), 1,
      sym_annotated_type,
    STATE(16436), 1,
      sym_stable_identifier,
    STATE(7783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11464), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [389749] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8422), 1,
      sym__end_marker,
    STATE(7784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389790] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11711), 1,
      anon_sym_DOT,
    STATE(7785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [389870] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4612), 1,
      sym__alpha_identifier,
    ACTIONS(4614), 1,
      anon_sym__,
    ACTIONS(4624), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    STATE(4511), 1,
      sym__simple_type,
    STATE(4585), 1,
      sym_identifier,
    STATE(4612), 1,
      sym__soft_identifier,
    STATE(6063), 1,
      sym_annotated_type,
    STATE(6079), 1,
      sym__annotated_type,
    STATE(17026), 1,
      sym_stable_identifier,
    STATE(7787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5007), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [389931] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9982), 1,
      sym__interpolated_multiline_string_start,
    STATE(8807), 1,
      sym_interpolated_string,
    STATE(14839), 1,
      sym__interpolated_string_start,
    ACTIONS(11713), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [389980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390019] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11715), 1,
      anon_sym_LPAREN,
    STATE(9089), 1,
      sym_arguments,
    STATE(7790), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390101] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10291), 1,
      anon_sym_AT,
    STATE(7924), 1,
      aux_sym_enum_definition_repeat1,
    STATE(8879), 1,
      sym_annotation,
    STATE(7792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390146] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390187] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11718), 1,
      anon_sym_AT,
    STATE(9297), 1,
      sym_annotation,
    STATE(7794), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390269] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    STATE(7790), 1,
      aux_sym_annotation_repeat1,
    STATE(9089), 1,
      sym_arguments,
    STATE(7796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390314] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(14976), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(7797), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [390381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [390498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [390537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [390576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [390615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [390732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390771] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11721), 1,
      anon_sym_DOT,
    STATE(7808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11723), 1,
      anon_sym_with,
    STATE(7809), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390853] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [390898] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11726), 1,
      anon_sym_with,
    STATE(7811), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9584), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [390939] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [390980] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(7452), 1,
      anon_sym_LPAREN,
    STATE(4709), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(6928), 1,
      sym_annotated_type,
    STATE(7164), 1,
      sym__annotated_type,
    STATE(16384), 1,
      sym_stable_identifier,
    STATE(7813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [391041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [391080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391160] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8613), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(14764), 1,
      sym__variant_type_parameter,
    STATE(15980), 1,
      sym__type_parameter,
    STATE(7817), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15981), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [391227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391305] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11729), 1,
      anon_sym_AT,
    STATE(8985), 1,
      sym_annotation,
    STATE(7820), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391387] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4840), 1,
      sym__alpha_identifier,
    ACTIONS(4842), 1,
      anon_sym__,
    ACTIONS(4852), 1,
      sym__backquoted_id,
    ACTIONS(6816), 1,
      sym_operator_identifier,
    ACTIONS(7942), 1,
      anon_sym_LPAREN,
    STATE(4743), 1,
      sym__simple_type,
    STATE(4941), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(6832), 1,
      sym_annotated_type,
    STATE(6889), 1,
      sym__annotated_type,
    STATE(16496), 1,
      sym_stable_identifier,
    STATE(7822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5272), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [391448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [391487] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391565] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391682] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(8946), 1,
      sym_operator_identifier,
    STATE(1775), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8426), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [391735] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391852] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [391897] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9284), 1,
      sym_operator_identifier,
    STATE(1699), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8426), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [391952] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9960), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [391993] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8856), 1,
      sym__alpha_identifier,
    ACTIONS(8858), 1,
      anon_sym__,
    ACTIONS(8862), 1,
      anon_sym_LPAREN,
    ACTIONS(8864), 1,
      sym__backquoted_id,
    ACTIONS(8866), 1,
      sym_operator_identifier,
    STATE(5163), 1,
      sym__simple_type,
    STATE(7033), 1,
      sym_identifier,
    STATE(7334), 1,
      sym__soft_identifier,
    STATE(8148), 1,
      sym_annotated_type,
    STATE(8164), 1,
      sym__annotated_type,
    STATE(17068), 1,
      sym_stable_identifier,
    STATE(7836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6773), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [392054] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392099] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8287), 1,
      sym_arguments,
    STATE(7838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11732), 1,
      anon_sym_with,
    STATE(7841), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9584), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392259] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8588), 1,
      sym__alpha_identifier,
    ACTIONS(8594), 1,
      anon_sym__,
    ACTIONS(8598), 1,
      anon_sym_LPAREN,
    ACTIONS(8600), 1,
      sym__backquoted_id,
    ACTIONS(8602), 1,
      sym_operator_identifier,
    STATE(4432), 1,
      sym__simple_type,
    STATE(4763), 1,
      sym_identifier,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(5473), 1,
      sym_annotated_type,
    STATE(5494), 1,
      sym__annotated_type,
    STATE(16537), 1,
      sym_stable_identifier,
    STATE(7842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8596), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4996), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [392320] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9013), 1,
      sym_operator_identifier,
    STATE(1770), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(7843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8426), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [392373] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6376), 1,
      anon_sym__,
    ACTIONS(6384), 1,
      sym__backquoted_id,
    ACTIONS(6386), 1,
      sym_operator_identifier,
    ACTIONS(7912), 1,
      anon_sym_LPAREN,
    STATE(5905), 1,
      sym__simple_type,
    STATE(6339), 1,
      sym__soft_identifier,
    STATE(6512), 1,
      sym_identifier,
    STATE(9378), 1,
      sym__annotated_type,
    STATE(9615), 1,
      sym_annotated_type,
    STATE(16405), 1,
      sym_stable_identifier,
    STATE(7844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6978), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [392434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392473] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11735), 1,
      anon_sym_DOT,
    STATE(7846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392592] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11737), 1,
      anon_sym_COLON,
    ACTIONS(11740), 1,
      anon_sym_LBRACE,
    STATE(9694), 1,
      sym_template_body,
    STATE(5891), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(7849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9271), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 12,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392756] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(11635), 1,
      anon_sym_LBRACE,
    ACTIONS(11637), 1,
      anon_sym_with,
    ACTIONS(11743), 1,
      anon_sym_COLON,
    STATE(7950), 1,
      aux_sym_compound_type_repeat1,
    STATE(10851), 1,
      sym_template_body,
    STATE(10870), 1,
      sym__refinement,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8354), 2,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7853), 2,
      sym_comment,
      sym_block_comment,
    STATE(10922), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392815] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4183), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(7854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [392858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9757), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [392936] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6774), 1,
      sym__alpha_identifier,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    ACTIONS(7552), 1,
      anon_sym_LPAREN,
    STATE(5420), 1,
      sym__simple_type,
    STATE(5717), 1,
      sym__soft_identifier,
    STATE(5955), 1,
      sym_identifier,
    STATE(8309), 1,
      sym_annotated_type,
    STATE(8333), 1,
      sym__annotated_type,
    STATE(17038), 1,
      sym_stable_identifier,
    STATE(7857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6309), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [392997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393192] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9800), 1,
      anon_sym_LPAREN,
    ACTIONS(10884), 1,
      anon_sym_DOT,
    ACTIONS(10888), 1,
      sym_operator_identifier,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_match,
      anon_sym_then,
    STATE(7863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    STATE(9669), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [393255] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11572), 1,
      anon_sym_COMMA,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11746), 1,
      anon_sym_COLON,
    ACTIONS(11748), 1,
      anon_sym_EQ,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(15010), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(7864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [393328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393367] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11572), 1,
      anon_sym_COMMA,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11750), 1,
      anon_sym_COLON,
    ACTIONS(11752), 1,
      anon_sym_EQ,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(15017), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(7866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [393440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(7867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [393481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393520] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393559] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11754), 1,
      anon_sym_AT,
    STATE(9288), 1,
      sym_annotation,
    STATE(7870), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [393680] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(7502), 1,
      anon_sym_LPAREN,
    STATE(4765), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(7968), 1,
      sym__annotated_type,
    STATE(8056), 1,
      sym_annotated_type,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(7873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [393741] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393819] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8392), 1,
      sym__alpha_identifier,
    ACTIONS(8398), 1,
      anon_sym__,
    ACTIONS(8402), 1,
      anon_sym_LPAREN,
    ACTIONS(8404), 1,
      sym__backquoted_id,
    ACTIONS(8406), 1,
      sym_operator_identifier,
    STATE(12187), 1,
      sym__simple_type,
    STATE(13157), 1,
      sym__soft_identifier,
    STATE(13201), 1,
      sym_identifier,
    STATE(14035), 1,
      sym__annotated_type,
    STATE(14118), 1,
      sym_annotated_type,
    STATE(16588), 1,
      sym_stable_identifier,
    STATE(7876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8400), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13461), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [393880] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(7877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [393953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [393992] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394033] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9875), 1,
      sym__alpha_identifier,
    ACTIONS(9881), 1,
      sym__backquoted_id,
    ACTIONS(9883), 1,
      sym_operator_identifier,
    STATE(531), 1,
      sym_identifier,
    STATE(3916), 1,
      sym__soft_identifier,
    STATE(7880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9877), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9477), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [394086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394203] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11757), 1,
      anon_sym_COMMA,
    ACTIONS(11759), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(15108), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(7884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [394276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394471] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11339), 1,
      anon_sym_COLON,
    ACTIONS(11343), 1,
      anon_sym_with,
    STATE(9468), 1,
      aux_sym_compound_type_repeat1,
    STATE(10525), 1,
      sym__refinement,
    STATE(10550), 1,
      sym_template_body,
    STATE(7890), 2,
      sym_comment,
      sym_block_comment,
    STATE(10609), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8236), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394561] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394641] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4454), 1,
      sym__alpha_identifier,
    ACTIONS(4460), 1,
      anon_sym__,
    ACTIONS(4472), 1,
      sym__backquoted_id,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    ACTIONS(7542), 1,
      anon_sym_LPAREN,
    STATE(5346), 1,
      sym__simple_type,
    STATE(5710), 1,
      sym__soft_identifier,
    STATE(5746), 1,
      sym_identifier,
    STATE(8257), 1,
      sym_annotated_type,
    STATE(8279), 1,
      sym__annotated_type,
    STATE(17050), 1,
      sym_stable_identifier,
    STATE(7894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6376), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [394702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [394741] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_LPAREN,
    ACTIONS(11765), 1,
      anon_sym_POUND,
    STATE(9373), 1,
      sym_type_arguments,
    STATE(9508), 1,
      aux_sym_annotation_repeat1,
    STATE(10248), 1,
      sym_arguments,
    STATE(7896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8128), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [394909] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [394987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [395026] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11767), 1,
      anon_sym_with,
    STATE(7903), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395067] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4214), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(7904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [395110] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9823), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [395190] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4184), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(7907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [395233] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11770), 1,
      anon_sym_COLON,
    ACTIONS(11773), 1,
      anon_sym_LBRACE,
    STATE(9713), 1,
      sym_template_body,
    STATE(7908), 2,
      sym_comment,
      sym_block_comment,
    STATE(8089), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9263), 13,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [395319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [395358] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8636), 1,
      sym__alpha_identifier,
    ACTIONS(8638), 1,
      anon_sym__,
    ACTIONS(8642), 1,
      anon_sym_LPAREN,
    ACTIONS(8644), 1,
      sym__backquoted_id,
    ACTIONS(8646), 1,
      sym_operator_identifier,
    STATE(4734), 1,
      sym__simple_type,
    STATE(5708), 1,
      sym__soft_identifier,
    STATE(5945), 1,
      sym_identifier,
    STATE(7048), 1,
      sym_annotated_type,
    STATE(7059), 1,
      sym__annotated_type,
    STATE(17056), 1,
      sym_stable_identifier,
    STATE(7911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5629), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [395419] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395575] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11776), 1,
      anon_sym_with,
    STATE(8150), 1,
      aux_sym_compound_type_repeat1,
    STATE(10669), 1,
      sym_arguments,
    STATE(10775), 1,
      sym_template_body,
    STATE(10860), 1,
      sym__refinement,
    STATE(7916), 2,
      sym_comment,
      sym_block_comment,
    STATE(10946), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8150), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395665] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4246), 1,
      sym__alpha_identifier,
    ACTIONS(4252), 1,
      anon_sym__,
    ACTIONS(4264), 1,
      sym__backquoted_id,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    ACTIONS(7892), 1,
      anon_sym_LPAREN,
    STATE(6992), 1,
      sym__simple_type,
    STATE(7377), 1,
      sym_identifier,
    STATE(8053), 1,
      sym__soft_identifier,
    STATE(9976), 1,
      sym__annotated_type,
    STATE(10102), 1,
      sym_annotated_type,
    STATE(16632), 1,
      sym_stable_identifier,
    STATE(7918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8511), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [395726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395765] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4424), 1,
      sym__alpha_identifier,
    ACTIONS(4430), 1,
      anon_sym__,
    ACTIONS(4442), 1,
      sym__backquoted_id,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    ACTIONS(7532), 1,
      anon_sym_LPAREN,
    STATE(5311), 1,
      sym__simple_type,
    STATE(5702), 1,
      sym__soft_identifier,
    STATE(5802), 1,
      sym_identifier,
    STATE(8189), 1,
      sym_annotated_type,
    STATE(8201), 1,
      sym__annotated_type,
    STATE(17062), 1,
      sym_stable_identifier,
    STATE(7920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6421), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [395826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [395904] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11778), 1,
      anon_sym_with,
    STATE(7923), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395945] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11781), 1,
      anon_sym_AT,
    STATE(8879), 1,
      sym_annotation,
    STATE(7924), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [395988] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      sym__alpha_identifier,
    ACTIONS(6184), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      sym__backquoted_id,
    ACTIONS(6194), 1,
      sym_operator_identifier,
    ACTIONS(7612), 1,
      anon_sym_LPAREN,
    STATE(5255), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5650), 1,
      sym__soft_identifier,
    STATE(8940), 1,
      sym_annotated_type,
    STATE(9246), 1,
      sym__annotated_type,
    STATE(16426), 1,
      sym_stable_identifier,
    STATE(7925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6081), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [396049] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8222), 1,
      sym_arguments,
    STATE(7926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396090] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11784), 1,
      anon_sym_AT,
    STATE(9325), 1,
      sym_annotation,
    STATE(7927), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8929), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [396133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9610), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [396289] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11787), 1,
      anon_sym_DOT,
    STATE(7932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396681] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6356), 1,
      sym__alpha_identifier,
    ACTIONS(6362), 1,
      anon_sym__,
    ACTIONS(6370), 1,
      sym__backquoted_id,
    ACTIONS(6372), 1,
      sym_operator_identifier,
    ACTIONS(7622), 1,
      anon_sym_LPAREN,
    STATE(5724), 1,
      sym__simple_type,
    STATE(6346), 1,
      sym__soft_identifier,
    STATE(6576), 1,
      sym_identifier,
    STATE(8923), 1,
      sym__annotated_type,
    STATE(8939), 1,
      sym_annotated_type,
    STATE(17170), 1,
      sym_stable_identifier,
    STATE(7942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6916), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [396742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [396781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396820] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(7662), 1,
      anon_sym_LPAREN,
    STATE(5712), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(9388), 1,
      sym__annotated_type,
    STATE(9480), 1,
      sym_annotated_type,
    STATE(16594), 1,
      sym_stable_identifier,
    STATE(7945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [396881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [396998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11789), 1,
      anon_sym_with,
    STATE(7949), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397039] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11635), 1,
      anon_sym_LBRACE,
    ACTIONS(11637), 1,
      anon_sym_with,
    STATE(9769), 1,
      aux_sym_compound_type_repeat1,
    STATE(10845), 1,
      sym__refinement,
    STATE(10851), 1,
      sym_template_body,
    STATE(7950), 2,
      sym_comment,
      sym_block_comment,
    STATE(10922), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8236), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397129] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    ACTIONS(7582), 1,
      anon_sym_LPAREN,
    STATE(5228), 1,
      sym__simple_type,
    STATE(5700), 1,
      sym__soft_identifier,
    STATE(5884), 1,
      sym_identifier,
    STATE(8116), 1,
      sym_annotated_type,
    STATE(8133), 1,
      sym__annotated_type,
    STATE(17074), 1,
      sym_stable_identifier,
    STATE(7952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6500), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [397190] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1516), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9227), 1,
      anon_sym_LPAREN,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(9892), 1,
      anon_sym_DOT,
    ACTIONS(10767), 1,
      sym__alpha_identifier,
    ACTIONS(10773), 1,
      sym__backquoted_id,
    ACTIONS(10775), 1,
      sym_operator_identifier,
    ACTIONS(11792), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(7953), 2,
      sym_comment,
      sym_block_comment,
    STATE(8489), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(9477), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10769), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [397253] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8130), 1,
      sym_arguments,
    STATE(7954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [397294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [397333] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8576), 1,
      sym__alpha_identifier,
    ACTIONS(8578), 1,
      anon_sym__,
    ACTIONS(8582), 1,
      anon_sym_LPAREN,
    ACTIONS(8584), 1,
      sym__backquoted_id,
    ACTIONS(8586), 1,
      sym_operator_identifier,
    STATE(5462), 1,
      sym__simple_type,
    STATE(7425), 1,
      sym__soft_identifier,
    STATE(8024), 1,
      sym_identifier,
    STATE(9291), 1,
      sym__annotated_type,
    STATE(9314), 1,
      sym_annotated_type,
    STATE(17086), 1,
      sym_stable_identifier,
    STATE(7956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8580), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [397394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [397433] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11794), 1,
      anon_sym_with,
    STATE(7958), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397513] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6690), 1,
      sym__alpha_identifier,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    ACTIONS(7522), 1,
      anon_sym_LPAREN,
    STATE(5785), 1,
      sym__simple_type,
    STATE(6230), 1,
      sym_identifier,
    STATE(6303), 1,
      sym__soft_identifier,
    STATE(8712), 1,
      sym__annotated_type,
    STATE(9290), 1,
      sym_annotated_type,
    STATE(17092), 1,
      sym_stable_identifier,
    STATE(7960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6693), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [397574] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6312), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(7782), 1,
      anon_sym_LPAREN,
    STATE(5251), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(5874), 1,
      sym_identifier,
    STATE(8284), 1,
      sym__annotated_type,
    STATE(8314), 1,
      sym_annotated_type,
    STATE(17278), 1,
      sym_stable_identifier,
    STATE(7961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6129), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [397635] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10036), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [397715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9610), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [397832] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1448), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9207), 1,
      anon_sym_LPAREN,
    ACTIONS(10087), 1,
      anon_sym_DOT,
    ACTIONS(11146), 1,
      sym__alpha_identifier,
    ACTIONS(11152), 1,
      sym__backquoted_id,
    ACTIONS(11154), 1,
      sym_operator_identifier,
    ACTIONS(11797), 1,
      anon_sym_EQ,
    STATE(547), 1,
      sym_identifier,
    STATE(4059), 1,
      sym__soft_identifier,
    ACTIONS(9473), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(7967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
    STATE(8596), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [397895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [397934] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10872), 1,
      anon_sym_LPAREN,
    STATE(8002), 1,
      aux_sym_annotation_repeat1,
    STATE(8917), 1,
      sym_arguments,
    STATE(7969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [397979] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4550), 1,
      sym__alpha_identifier,
    ACTIONS(4556), 1,
      anon_sym__,
    ACTIONS(4568), 1,
      sym__backquoted_id,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    ACTIONS(7992), 1,
      anon_sym_LPAREN,
    STATE(4883), 1,
      sym__simple_type,
    STATE(5032), 1,
      sym__soft_identifier,
    STATE(5419), 1,
      sym_identifier,
    STATE(7699), 1,
      sym_annotated_type,
    STATE(7719), 1,
      sym__annotated_type,
    STATE(17272), 1,
      sym_stable_identifier,
    STATE(7970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5875), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [398040] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11365), 1,
      anon_sym_EQ_GT,
    STATE(7971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398120] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6602), 1,
      sym__alpha_identifier,
    ACTIONS(6604), 1,
      anon_sym__,
    ACTIONS(6612), 1,
      sym__backquoted_id,
    ACTIONS(6614), 1,
      sym_operator_identifier,
    ACTIONS(7512), 1,
      anon_sym_LPAREN,
    STATE(7224), 1,
      sym__simple_type,
    STATE(7451), 1,
      sym__soft_identifier,
    STATE(7808), 1,
      sym_identifier,
    STATE(9732), 1,
      sym_annotated_type,
    STATE(9981), 1,
      sym__annotated_type,
    STATE(17104), 1,
      sym_stable_identifier,
    STATE(7973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8708), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [398181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [398259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398298] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(8242), 1,
      anon_sym_LPAREN,
    ACTIONS(8244), 1,
      sym_operator_identifier,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11700), 1,
      sym__simple_type,
    STATE(11720), 1,
      sym_identifier,
    STATE(13315), 1,
      sym_annotated_type,
    STATE(13705), 1,
      sym__annotated_type,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(7977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [398359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 18,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [398515] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11358), 1,
      anon_sym_EQ_GT,
    STATE(7982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398634] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8512), 1,
      sym__alpha_identifier,
    ACTIONS(8518), 1,
      anon_sym__,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      sym__backquoted_id,
    ACTIONS(8526), 1,
      sym_operator_identifier,
    STATE(4399), 1,
      sym__simple_type,
    STATE(4746), 1,
      sym_identifier,
    STATE(4880), 1,
      sym__soft_identifier,
    STATE(5707), 1,
      sym__annotated_type,
    STATE(5731), 1,
      sym_annotated_type,
    STATE(17116), 1,
      sym_stable_identifier,
    STATE(7985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4911), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [398695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398734] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8462), 1,
      sym__alpha_identifier,
    ACTIONS(8464), 1,
      anon_sym__,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      sym__backquoted_id,
    ACTIONS(8472), 1,
      sym_operator_identifier,
    STATE(5716), 1,
      sym__simple_type,
    STATE(7433), 1,
      sym_identifier,
    STATE(7465), 1,
      sym__soft_identifier,
    STATE(9143), 1,
      sym_annotated_type,
    STATE(9187), 1,
      sym__annotated_type,
    STATE(16732), 1,
      sym_stable_identifier,
    STATE(7987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7466), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [398795] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8685), 1,
      sym__end_marker,
    STATE(7988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [398877] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6576), 1,
      sym__alpha_identifier,
    ACTIONS(6582), 1,
      anon_sym__,
    ACTIONS(6590), 1,
      sym__backquoted_id,
    ACTIONS(6592), 1,
      sym_operator_identifier,
    ACTIONS(7842), 1,
      anon_sym_LPAREN,
    STATE(4454), 1,
      sym__simple_type,
    STATE(4474), 1,
      sym_identifier,
    STATE(4509), 1,
      sym__soft_identifier,
    STATE(5680), 1,
      sym__annotated_type,
    STATE(5690), 1,
      sym_annotated_type,
    STATE(17122), 1,
      sym_stable_identifier,
    STATE(7990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [398938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [398977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9610), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399016] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6240), 1,
      sym__alpha_identifier,
    ACTIONS(6246), 1,
      anon_sym__,
    ACTIONS(6254), 1,
      sym__backquoted_id,
    ACTIONS(6256), 1,
      sym_operator_identifier,
    ACTIONS(7982), 1,
      anon_sym_LPAREN,
    STATE(4888), 1,
      sym__simple_type,
    STATE(5046), 1,
      sym__soft_identifier,
    STATE(5345), 1,
      sym_identifier,
    STATE(7619), 1,
      sym_annotated_type,
    STATE(7649), 1,
      sym__annotated_type,
    STATE(17260), 1,
      sym_stable_identifier,
    STATE(7993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5941), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [399077] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11799), 1,
      anon_sym_with,
    STATE(7994), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399118] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6204), 1,
      sym__alpha_identifier,
    ACTIONS(6206), 1,
      anon_sym__,
    ACTIONS(6214), 1,
      sym__backquoted_id,
    ACTIONS(6216), 1,
      sym_operator_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN,
    STATE(4500), 1,
      sym__simple_type,
    STATE(4575), 1,
      sym_identifier,
    STATE(4614), 1,
      sym__soft_identifier,
    STATE(6474), 1,
      sym__annotated_type,
    STATE(6499), 1,
      sym_annotated_type,
    STATE(17254), 1,
      sym_stable_identifier,
    STATE(7995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6210), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [399179] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6520), 1,
      anon_sym__,
    ACTIONS(6528), 1,
      sym__backquoted_id,
    ACTIONS(6530), 1,
      sym_operator_identifier,
    ACTIONS(7482), 1,
      anon_sym_LPAREN,
    STATE(4623), 1,
      sym__simple_type,
    STATE(4915), 1,
      sym__soft_identifier,
    STATE(4945), 1,
      sym_identifier,
    STATE(6824), 1,
      sym__annotated_type,
    STATE(6830), 1,
      sym_annotated_type,
    STATE(17128), 1,
      sym_stable_identifier,
    STATE(7996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5212), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [399240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10015), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(7997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [399359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [399398] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399437] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11802), 1,
      anon_sym_LPAREN,
    STATE(8917), 1,
      sym_arguments,
    STATE(8002), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399480] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8474), 1,
      sym__alpha_identifier,
    ACTIONS(8476), 1,
      anon_sym__,
    ACTIONS(8480), 1,
      anon_sym_LPAREN,
    ACTIONS(8482), 1,
      sym__backquoted_id,
    ACTIONS(8484), 1,
      sym_operator_identifier,
    STATE(4647), 1,
      sym__simple_type,
    STATE(5534), 1,
      sym_identifier,
    STATE(5677), 1,
      sym__soft_identifier,
    STATE(6805), 1,
      sym__annotated_type,
    STATE(6815), 1,
      sym_annotated_type,
    STATE(17134), 1,
      sym_stable_identifier,
    STATE(8003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8478), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5554), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [399541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399775] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [399814] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10040), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399855] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym__alpha_identifier,
    ACTIONS(6496), 1,
      anon_sym__,
    ACTIONS(6504), 1,
      sym__backquoted_id,
    ACTIONS(6506), 1,
      sym_operator_identifier,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    STATE(4654), 1,
      sym__simple_type,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(4933), 1,
      sym_identifier,
    STATE(6792), 1,
      sym__annotated_type,
    STATE(6800), 1,
      sym_annotated_type,
    STATE(17140), 1,
      sym_stable_identifier,
    STATE(8012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [399916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [399994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400072] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6140), 1,
      sym__alpha_identifier,
    ACTIONS(6146), 1,
      anon_sym__,
    ACTIONS(6154), 1,
      sym__backquoted_id,
    ACTIONS(6156), 1,
      sym_operator_identifier,
    ACTIONS(7932), 1,
      anon_sym_LPAREN,
    STATE(6643), 1,
      sym__simple_type,
    STATE(7004), 1,
      sym_identifier,
    STATE(7223), 1,
      sym__soft_identifier,
    STATE(9532), 1,
      sym_annotated_type,
    STATE(9545), 1,
      sym__annotated_type,
    STATE(17242), 1,
      sym_stable_identifier,
    STATE(8017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7827), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [400133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400172] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    ACTIONS(7902), 1,
      anon_sym_LPAREN,
    STATE(5489), 1,
      sym__simple_type,
    STATE(6141), 1,
      sym_identifier,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(8850), 1,
      sym_annotated_type,
    STATE(8872), 1,
      sym__annotated_type,
    STATE(17230), 1,
      sym_stable_identifier,
    STATE(8019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [400233] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11805), 1,
      anon_sym_LPAREN,
    STATE(8766), 1,
      sym_arguments,
    STATE(8020), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400276] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6258), 1,
      sym__alpha_identifier,
    ACTIONS(6264), 1,
      anon_sym__,
    ACTIONS(6272), 1,
      sym__backquoted_id,
    ACTIONS(6274), 1,
      sym_operator_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    STATE(4937), 1,
      sym__simple_type,
    STATE(5114), 1,
      sym__soft_identifier,
    STATE(5304), 1,
      sym_identifier,
    STATE(7478), 1,
      sym_annotated_type,
    STATE(7491), 1,
      sym__annotated_type,
    STATE(17218), 1,
      sym_stable_identifier,
    STATE(8021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5908), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [400337] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(8022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400378] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8450), 1,
      sym__alpha_identifier,
    ACTIONS(8452), 1,
      anon_sym__,
    ACTIONS(8456), 1,
      anon_sym_LPAREN,
    ACTIONS(8458), 1,
      sym__backquoted_id,
    ACTIONS(8460), 1,
      sym_operator_identifier,
    STATE(4881), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym_identifier,
    STATE(6368), 1,
      sym__soft_identifier,
    STATE(7415), 1,
      sym_annotated_type,
    STATE(7456), 1,
      sym__annotated_type,
    STATE(17212), 1,
      sym_stable_identifier,
    STATE(8023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6097), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [400439] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11808), 1,
      anon_sym_DOT,
    STATE(8024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400480] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6218), 1,
      sym__alpha_identifier,
    ACTIONS(6220), 1,
      anon_sym__,
    ACTIONS(6228), 1,
      sym__backquoted_id,
    ACTIONS(6230), 1,
      sym_operator_identifier,
    ACTIONS(7872), 1,
      anon_sym_LPAREN,
    STATE(7714), 1,
      sym__simple_type,
    STATE(8360), 1,
      sym__soft_identifier,
    STATE(8457), 1,
      sym_identifier,
    STATE(10600), 1,
      sym_annotated_type,
    STATE(10612), 1,
      sym__annotated_type,
    STATE(16447), 1,
      sym_stable_identifier,
    STATE(8025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8869), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [400541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [400619] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      sym__alpha_identifier,
    ACTIONS(6472), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      sym__backquoted_id,
    ACTIONS(6482), 1,
      sym_operator_identifier,
    ACTIONS(7462), 1,
      anon_sym_LPAREN,
    STATE(5848), 1,
      sym__simple_type,
    STATE(6334), 1,
      sym__soft_identifier,
    STATE(6648), 1,
      sym_identifier,
    STATE(9003), 1,
      sym__annotated_type,
    STATE(9013), 1,
      sym_annotated_type,
    STATE(17152), 1,
      sym_stable_identifier,
    STATE(8028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6821), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [400680] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(9982), 1,
      sym__interpolated_multiline_string_start,
    STATE(8807), 1,
      sym_interpolated_string,
    STATE(14839), 1,
      sym__interpolated_string_start,
    ACTIONS(11810), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400807] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4178), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym__,
    ACTIONS(4196), 1,
      sym__backquoted_id,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    ACTIONS(7442), 1,
      anon_sym_LPAREN,
    STATE(4641), 1,
      sym__simple_type,
    STATE(4787), 1,
      sym_identifier,
    STATE(4931), 1,
      sym__soft_identifier,
    STATE(6760), 1,
      sym__annotated_type,
    STATE(6774), 1,
      sym_annotated_type,
    STATE(17164), 1,
      sym_stable_identifier,
    STATE(8032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5267), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [400868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400907] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10637), 1,
      anon_sym_LPAREN,
    STATE(8020), 1,
      aux_sym_annotation_repeat1,
    STATE(8766), 1,
      sym_arguments,
    STATE(8034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [400991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401030] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401147] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11812), 1,
      anon_sym_COLON,
    ACTIONS(11815), 1,
      anon_sym_LBRACE,
    STATE(9332), 1,
      sym_template_body,
    STATE(5950), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9271), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 12,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401233] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401350] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4314), 1,
      sym__alpha_identifier,
    ACTIONS(4320), 1,
      anon_sym__,
    ACTIONS(4332), 1,
      sym__backquoted_id,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    ACTIONS(7642), 1,
      anon_sym_LPAREN,
    STATE(5125), 1,
      sym__simple_type,
    STATE(5658), 1,
      sym__soft_identifier,
    STATE(5978), 1,
      sym_identifier,
    STATE(8542), 1,
      sym_annotated_type,
    STATE(8564), 1,
      sym__annotated_type,
    STATE(17182), 1,
      sym_stable_identifier,
    STATE(8045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4326), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6218), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [401411] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6670), 1,
      anon_sym__,
    ACTIONS(6678), 1,
      sym__backquoted_id,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    ACTIONS(7632), 1,
      anon_sym_LPAREN,
    STATE(5601), 1,
      sym__simple_type,
    STATE(6108), 1,
      sym_identifier,
    STATE(6195), 1,
      sym__soft_identifier,
    STATE(9686), 1,
      sym_annotated_type,
    STATE(9730), 1,
      sym__annotated_type,
    STATE(16790), 1,
      sym_stable_identifier,
    STATE(8046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6674), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7350), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [401472] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11572), 1,
      anon_sym_COMMA,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11818), 1,
      anon_sym_COLON,
    ACTIONS(11820), 1,
      anon_sym_EQ,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(14777), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(8047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [401545] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401623] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4582), 1,
      sym__alpha_identifier,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4600), 1,
      sym__backquoted_id,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    ACTIONS(7722), 1,
      anon_sym_LPAREN,
    STATE(5668), 1,
      sym__simple_type,
    STATE(6011), 1,
      sym_identifier,
    STATE(6355), 1,
      sym__soft_identifier,
    STATE(8844), 1,
      sym__annotated_type,
    STATE(8874), 1,
      sym_annotated_type,
    STATE(17188), 1,
      sym_stable_identifier,
    STATE(8050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6952), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [401684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401723] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11572), 1,
      anon_sym_COMMA,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11822), 1,
      anon_sym_COLON,
    ACTIONS(11824), 1,
      anon_sym_EQ,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(14782), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(8052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [401796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [401874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [401913] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [401952] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11572), 1,
      anon_sym_COMMA,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11826), 1,
      anon_sym_COLON,
    ACTIONS(11828), 1,
      anon_sym_EQ,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(15017), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(8057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [402025] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8550), 1,
      sym__alpha_identifier,
    ACTIONS(8552), 1,
      anon_sym__,
    ACTIONS(8556), 1,
      anon_sym_LPAREN,
    ACTIONS(8558), 1,
      sym__backquoted_id,
    ACTIONS(8560), 1,
      sym_operator_identifier,
    STATE(5519), 1,
      sym__simple_type,
    STATE(7438), 1,
      sym__soft_identifier,
    STATE(7846), 1,
      sym_identifier,
    STATE(8829), 1,
      sym_annotated_type,
    STATE(8910), 1,
      sym__annotated_type,
    STATE(16830), 1,
      sym_stable_identifier,
    STATE(8058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7612), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [402086] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11572), 1,
      anon_sym_COMMA,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11830), 1,
      anon_sym_COLON,
    ACTIONS(11832), 1,
      anon_sym_EQ,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(15010), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15312), 1,
      sym__interpolated_string_start,
    STATE(8059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [402159] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4742), 1,
      sym__alpha_identifier,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      anon_sym_LPAREN,
    STATE(4449), 1,
      sym__simple_type,
    STATE(4468), 1,
      sym__soft_identifier,
    STATE(4519), 1,
      sym_identifier,
    STATE(5477), 1,
      sym__annotated_type,
    STATE(5492), 1,
      sym_annotated_type,
    STATE(17194), 1,
      sym_stable_identifier,
    STATE(8060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4627), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [402220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402259] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4804), 1,
      sym__alpha_identifier,
    ACTIONS(4810), 1,
      anon_sym__,
    ACTIONS(4822), 1,
      sym__backquoted_id,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    ACTIONS(7432), 1,
      anon_sym_LPAREN,
    STATE(4706), 1,
      sym__simple_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4953), 1,
      sym__soft_identifier,
    STATE(6651), 1,
      sym_annotated_type,
    STATE(6663), 1,
      sym__annotated_type,
    STATE(17206), 1,
      sym_stable_identifier,
    STATE(8062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5328), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [402320] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402398] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11258), 1,
      anon_sym_DOT,
    ACTIONS(11834), 1,
      anon_sym_EQ_GT,
    STATE(8065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402441] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(8066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402638] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6832), 1,
      sym__backquoted_id,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    ACTIONS(7772), 1,
      anon_sym_LPAREN,
    STATE(8417), 1,
      sym__simple_type,
    STATE(8731), 1,
      sym__soft_identifier,
    STATE(9115), 1,
      sym_identifier,
    STATE(10699), 1,
      sym_annotated_type,
    STATE(10876), 1,
      sym__annotated_type,
    STATE(17200), 1,
      sym_stable_identifier,
    STATE(8071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9366), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [402699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 17,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402777] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(8074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 18,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [402857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [402933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [402971] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [403047] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10630), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403087] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11836), 1,
      anon_sym_with,
    STATE(8082), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10705), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [403203] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11128), 1,
      sym__backquoted_id,
    ACTIONS(4132), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7348), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [403359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9887), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403397] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11839), 1,
      anon_sym_LBRACE,
    ACTIONS(11841), 1,
      anon_sym_with,
    STATE(8271), 1,
      aux_sym_compound_type_repeat1,
    STATE(11000), 1,
      sym_template_body,
    STATE(11059), 1,
      sym__refinement,
    STATE(8090), 2,
      sym_comment,
      sym_block_comment,
    STATE(10965), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8260), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403523] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11834), 1,
      anon_sym_EQ_GT,
    STATE(8093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403639] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10626), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [403717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [403755] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403795] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4222), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(8100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403837] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11142), 1,
      sym__backquoted_id,
    ACTIONS(4132), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7344), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403879] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11144), 1,
      sym__backquoted_id,
    ACTIONS(4132), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7346), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9848), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [403959] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11843), 1,
      anon_sym_with,
    STATE(8104), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [403999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404075] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10336), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404115] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10602), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404383] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10324), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404537] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404577] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1838), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9420), 1,
      anon_sym_LPAREN,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(10322), 1,
      anon_sym_DOT,
    ACTIONS(11507), 1,
      sym__alpha_identifier,
    ACTIONS(11513), 1,
      sym__backquoted_id,
    ACTIONS(11515), 1,
      sym_operator_identifier,
    ACTIONS(11846), 1,
      anon_sym_EQ,
    STATE(565), 1,
      sym_identifier,
    STATE(4071), 1,
      sym__soft_identifier,
    STATE(8120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
    STATE(9024), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11509), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [404639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404677] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [404829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404867] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404905] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404943] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8874), 1,
      sym__backquoted_id,
    ACTIONS(9800), 1,
      anon_sym_LPAREN,
    STATE(8154), 1,
      aux_sym_annotation_repeat1,
    STATE(9333), 1,
      sym_arguments,
    STATE(8129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8872), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [404987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405063] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8352), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405183] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9707), 1,
      sym__alpha_identifier,
    ACTIONS(9713), 1,
      sym__backquoted_id,
    ACTIONS(9715), 1,
      sym_operator_identifier,
    STATE(532), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    STATE(8135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9709), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9477), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [405235] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9471), 1,
      sym__alpha_identifier,
    ACTIONS(9479), 1,
      anon_sym_EQ,
    ACTIONS(9481), 1,
      sym__backquoted_id,
    ACTIONS(9483), 1,
      sym_operator_identifier,
    STATE(529), 1,
      sym_identifier,
    STATE(3890), 1,
      sym__soft_identifier,
    STATE(8136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9477), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9475), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [405289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [405555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9788), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10067), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [405783] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11776), 1,
      anon_sym_with,
    STATE(10206), 1,
      aux_sym_compound_type_repeat1,
    STATE(10775), 1,
      sym_template_body,
    STATE(10811), 1,
      sym__refinement,
    STATE(8150), 2,
      sym_comment,
      sym_block_comment,
    STATE(10946), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8236), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405907] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11848), 1,
      anon_sym_with,
    STATE(8153), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405947] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8896), 1,
      sym__backquoted_id,
    ACTIONS(11851), 1,
      anon_sym_LPAREN,
    STATE(9333), 1,
      sym_arguments,
    STATE(8154), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8894), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [405989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406027] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11854), 1,
      anon_sym_COLON,
    ACTIONS(11857), 1,
      anon_sym_LBRACE,
    STATE(9870), 1,
      sym_template_body,
    STATE(6032), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9271), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406149] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11470), 1,
      anon_sym_AT,
    STATE(8283), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9612), 1,
      sym_annotation,
    STATE(8159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9753), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406421] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10549), 1,
      sym__interpolated_multiline_string_start,
    STATE(9685), 1,
      sym_interpolated_string,
    STATE(14974), 1,
      sym__interpolated_string_start,
    ACTIONS(11860), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406469] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11229), 1,
      sym__backquoted_id,
    ACTIONS(11588), 1,
      anon_sym_DOT,
    ACTIONS(11596), 1,
      anon_sym_AT,
    ACTIONS(11602), 1,
      sym__interpolated_multiline_string_start,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11742), 1,
      sym_interpolated_string,
    STATE(15379), 1,
      sym__interpolated_string_start,
    STATE(8167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11227), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406525] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11351), 1,
      anon_sym_AT,
    STATE(8234), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9706), 1,
      sym_annotation,
    STATE(8168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406683] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10304), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406723] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11588), 1,
      anon_sym_DOT,
    ACTIONS(11590), 1,
      anon_sym_STAR,
    ACTIONS(11596), 1,
      anon_sym_AT,
    ACTIONS(11600), 1,
      sym_operator_identifier,
    ACTIONS(11602), 1,
      sym__interpolated_multiline_string_start,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11742), 1,
      sym_interpolated_string,
    STATE(15379), 1,
      sym__interpolated_string_start,
    STATE(8173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11225), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [406789] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11236), 1,
      sym__backquoted_id,
    ACTIONS(11588), 1,
      anon_sym_DOT,
    ACTIONS(11596), 1,
      anon_sym_AT,
    ACTIONS(11602), 1,
      sym__interpolated_multiline_string_start,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11742), 1,
      sym_interpolated_string,
    STATE(15379), 1,
      sym__interpolated_string_start,
    STATE(8174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11234), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [406959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [406997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9702), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10060), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10430), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [407757] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407833] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407871] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407909] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11187), 1,
      anon_sym_AT,
    STATE(8682), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9381), 1,
      sym_annotation,
    STATE(8203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [407991] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [408143] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11862), 1,
      anon_sym_with,
    STATE(8209), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [408259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [408335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [408373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408411] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9562), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408489] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9655), 1,
      sym_operator_identifier,
    STATE(1723), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [408543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [408733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10567), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408809] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408885] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [408923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10111), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [408961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [408999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [409113] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11865), 1,
      anon_sym_AT,
    STATE(9706), 1,
      sym_annotation,
    STATE(8234), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10095), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [409307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [409421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10403), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409459] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409537] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9757), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [409653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409767] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11868), 1,
      anon_sym_with,
    STATE(8251), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10604), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [409959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [409997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410035] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410075] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9284), 1,
      sym_operator_identifier,
    STATE(1699), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8426), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [410127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410241] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11871), 1,
      anon_sym_with,
    STATE(8263), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10622), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410357] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10385), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410397] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8744), 1,
      sym_arguments,
    STATE(8267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410437] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    ACTIONS(11102), 1,
      sym__interpolated_multiline_string_start,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11054), 1,
      sym_interpolated_string,
    STATE(15155), 1,
      sym__interpolated_string_start,
    ACTIONS(11874), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [410505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410581] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11839), 1,
      anon_sym_LBRACE,
    ACTIONS(11841), 1,
      anon_sym_with,
    STATE(10131), 1,
      aux_sym_compound_type_repeat1,
    STATE(11000), 1,
      sym_template_body,
    STATE(11126), 1,
      sym__refinement,
    STATE(8271), 2,
      sym_comment,
      sym_block_comment,
    STATE(10965), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8236), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [410707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410745] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [410783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [410859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9757), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [410935] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11876), 1,
      anon_sym_AT,
    STATE(9474), 1,
      sym_annotation,
    STATE(8280), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [410977] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    ACTIONS(11102), 1,
      sym__interpolated_multiline_string_start,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11054), 1,
      sym_interpolated_string,
    STATE(15155), 1,
      sym__interpolated_string_start,
    ACTIONS(11879), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [411045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [411083] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11881), 1,
      anon_sym_AT,
    STATE(9612), 1,
      sym_annotation,
    STATE(8283), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411163] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(8285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 8,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411205] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411433] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [411509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411547] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11884), 1,
      anon_sym_AT,
    STATE(9455), 1,
      sym_annotation,
    STATE(8295), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411589] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(10851), 1,
      anon_sym_LBRACE,
    ACTIONS(10853), 1,
      anon_sym_with,
    ACTIONS(11306), 1,
      anon_sym_COLON,
    STATE(6349), 1,
      aux_sym_compound_type_repeat1,
    STATE(10332), 1,
      sym_template_body,
    STATE(10374), 1,
      sym__refinement,
    STATE(8296), 2,
      sym_comment,
      sym_block_comment,
    STATE(10183), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8354), 4,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411645] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10389), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [411723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411799] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    ACTIONS(11102), 1,
      sym__interpolated_multiline_string_start,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11054), 1,
      sym_interpolated_string,
    STATE(15155), 1,
      sym__interpolated_string_start,
    ACTIONS(11092), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [411867] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11887), 1,
      anon_sym_with,
    STATE(8302), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [411945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [411983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [412021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412097] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412211] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11124), 1,
      anon_sym_AT,
    STATE(8295), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9455), 1,
      sym_annotation,
    STATE(8311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412331] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412369] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10253), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412409] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    ACTIONS(11102), 1,
      sym__interpolated_multiline_string_start,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11054), 1,
      sym_interpolated_string,
    STATE(15155), 1,
      sym__interpolated_string_start,
    ACTIONS(11890), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [412477] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10397), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412555] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4134), 1,
      sym__backquoted_id,
    ACTIONS(4132), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(4136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4130), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [412635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [412673] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [412749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [412863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [412901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [412939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [412977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413015] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10328), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413055] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413169] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4212), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(8335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413249] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10226), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413289] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1838), 1,
      anon_sym_LBRACE,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9420), 1,
      anon_sym_LPAREN,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(10322), 1,
      anon_sym_DOT,
    ACTIONS(11507), 1,
      sym__alpha_identifier,
    ACTIONS(11513), 1,
      sym__backquoted_id,
    ACTIONS(11515), 1,
      sym_operator_identifier,
    ACTIONS(11892), 1,
      anon_sym_EQ,
    STATE(565), 1,
      sym_identifier,
    STATE(4071), 1,
      sym__soft_identifier,
    STATE(8338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
    STATE(9024), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(11509), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [413351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8150), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413693] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9471), 1,
      sym__alpha_identifier,
    ACTIONS(9481), 1,
      sym__backquoted_id,
    ACTIONS(9483), 1,
      sym_operator_identifier,
    ACTIONS(9537), 1,
      anon_sym_EQ,
    STATE(529), 1,
      sym_identifier,
    STATE(3890), 1,
      sym__soft_identifier,
    STATE(8348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9475), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(9477), 7,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [413747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413785] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11894), 1,
      anon_sym_LPAREN,
    STATE(9342), 1,
      sym_arguments,
    STATE(8350), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8894), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [413865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413903] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11897), 1,
      anon_sym_with,
    STATE(8353), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9584), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [413943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [413981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414133] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8835), 1,
      sym_arguments,
    STATE(8359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414211] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414325] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414515] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(10549), 1,
      sym__interpolated_multiline_string_start,
    STATE(9685), 1,
      sym_interpolated_string,
    STATE(14974), 1,
      sym__interpolated_string_start,
    ACTIONS(11900), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414677] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11902), 1,
      anon_sym_DOT,
    STATE(8373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [414755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [414793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414831] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414945] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10943), 1,
      anon_sym_LPAREN,
    STATE(8350), 1,
      aux_sym_annotation_repeat1,
    STATE(9342), 1,
      sym_arguments,
    STATE(8380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8872), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [414989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415141] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415217] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415293] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415523] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9757), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [415637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415675] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415713] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [415903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415941] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [415979] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4243), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(8407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416021] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [416065] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416103] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(8410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416143] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8889), 1,
      sym__end_marker,
    STATE(8411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10030), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416183] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9282), 1,
      sym_operator_identifier,
    STATE(1761), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8426), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [416235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416387] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11765), 1,
      anon_sym_POUND,
    ACTIONS(11904), 1,
      anon_sym_AT,
    STATE(9373), 1,
      sym_type_arguments,
    STATE(10089), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10641), 1,
      sym_annotation,
    STATE(8417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416475] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10665), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416667] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11018), 1,
      anon_sym_AT,
    STATE(8280), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9474), 1,
      sym_annotation,
    STATE(8424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [416749] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [416825] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416869] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11651), 1,
      anon_sym_LBRACK,
    ACTIONS(11653), 1,
      anon_sym_AT,
    ACTIONS(11657), 1,
      anon_sym_POUND,
    STATE(9411), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9805), 1,
      sym_type_arguments,
    STATE(10277), 1,
      sym_annotation,
    STATE(8429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416957] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11906), 1,
      anon_sym_AT,
    STATE(9700), 1,
      sym_annotation,
    STATE(8431), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [416999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417075] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11909), 1,
      anon_sym_with,
    STATE(8434), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417191] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417343] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [417419] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 18,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [417495] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [417533] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417571] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8108), 1,
      anon_sym_def,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(6566), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(17751), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8447), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [417631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417707] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10348), 1,
      sym__alpha_identifier,
    ACTIONS(10354), 1,
      sym__backquoted_id,
    ACTIONS(10356), 1,
      sym_operator_identifier,
    STATE(533), 1,
      sym_identifier,
    STATE(4027), 1,
      sym__soft_identifier,
    STATE(8450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9477), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [417759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417797] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417835] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [417949] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10416), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [417987] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11912), 1,
      anon_sym_DOT,
    STATE(8457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [418065] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4242), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(8459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11914), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [418221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418259] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11918), 1,
      anon_sym_with,
    STATE(8464), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418299] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10663), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10420), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418605] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418687] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418801] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9259), 1,
      sym_operator_identifier,
    STATE(1659), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8426), 7,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [418853] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10426), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [418935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [418973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10434), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419049] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419125] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11921), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [419201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10448), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11925), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [419353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11929), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [419391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11933), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [419429] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11937), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [419467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419543] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11531), 1,
      sym__interpolated_multiline_string_start,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11329), 1,
      sym_interpolated_string,
    STATE(15312), 1,
      sym__interpolated_string_start,
    ACTIONS(11941), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [419611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11943), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [419687] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9200), 1,
      sym_arguments,
    STATE(8500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10452), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419765] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4199), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(8502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10659), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10145), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [419845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [419997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10464), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420035] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11468), 1,
      anon_sym_LPAREN,
    STATE(8558), 1,
      aux_sym_annotation_repeat1,
    STATE(9717), 1,
      sym_arguments,
    STATE(8509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8872), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420193] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420231] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11643), 1,
      anon_sym_EQ_GT,
    STATE(8514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11947), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [420385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420461] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8758), 1,
      sym__end_marker,
    STATE(8520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420539] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11951), 1,
      anon_sym_with,
    STATE(8522), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10482), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [420883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [420959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [420997] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421111] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421149] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421605] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5324), 1,
      sym__end_marker,
    STATE(8550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [421759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421797] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9317), 1,
      sym__end_marker,
    STATE(8555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [421875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421913] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11954), 1,
      anon_sym_LPAREN,
    STATE(9717), 1,
      sym_arguments,
    STATE(8558), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8894), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [421993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10530), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10537), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11957), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [422107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422373] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9603), 1,
      sym_operator_identifier,
    STATE(1794), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8426), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [422427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [422503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422541] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422617] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9757), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [422845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422883] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11533), 1,
      anon_sym_DOT,
    ACTIONS(11961), 1,
      anon_sym_EQ_GT,
    STATE(8583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [422925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [422963] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11963), 1,
      anon_sym_with,
    STATE(8585), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423003] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423079] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10338), 1,
      sym__alpha_identifier,
    ACTIONS(10344), 1,
      sym__backquoted_id,
    ACTIONS(10346), 1,
      sym_operator_identifier,
    STATE(535), 1,
      sym_identifier,
    STATE(4030), 1,
      sym__soft_identifier,
    STATE(8588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9477), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [423131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [423207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423397] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10573), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423511] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423549] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [423587] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    ACTIONS(11102), 1,
      sym__interpolated_multiline_string_start,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11054), 1,
      sym_interpolated_string,
    STATE(15155), 1,
      sym__interpolated_string_start,
    ACTIONS(11966), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [423655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [423731] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [423959] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11968), 1,
      anon_sym_with,
    STATE(8610), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [423999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8354), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_LT_DASH,
  [424075] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4944), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11215), 1,
      anon_sym_PLUS,
    ACTIONS(11217), 1,
      anon_sym_DASH,
    ACTIONS(11219), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(11029), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11586), 1,
      sym_annotation,
    STATE(15910), 1,
      sym__type_parameter,
    STATE(8613), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(15911), 3,
      sym_covariant_type_parameter,
      sym_contravariant_type_parameter,
      sym_type_lambda,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [424139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424177] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [424253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424367] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424443] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424519] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8982), 1,
      sym_arguments,
    STATE(8624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424597] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    ACTIONS(11102), 1,
      sym__interpolated_multiline_string_start,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11054), 1,
      sym_interpolated_string,
    STATE(15155), 1,
      sym__interpolated_string_start,
    ACTIONS(11971), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [424665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424741] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11973), 1,
      anon_sym_COLON,
    ACTIONS(11976), 1,
      anon_sym_LBRACE,
    STATE(10015), 1,
      sym_template_body,
    STATE(6559), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9271), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [424825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [424901] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [424977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10577), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [425091] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4229), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(8638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10659), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425133] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11393), 1,
      anon_sym_AT,
    STATE(8431), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9700), 1,
      sym_annotation,
    STATE(8639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8965), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425177] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425259] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 7,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425341] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8126), 1,
      anon_sym_def,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(6566), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(17090), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8644), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [425401] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425553] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [425629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9610), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [425819] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11651), 1,
      anon_sym_LBRACK,
    ACTIONS(11657), 1,
      anon_sym_POUND,
    ACTIONS(11979), 1,
      anon_sym_LPAREN,
    STATE(9336), 1,
      aux_sym_annotation_repeat1,
    STATE(9805), 1,
      sym_type_arguments,
    STATE(10146), 1,
      sym_arguments,
    STATE(8656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 3,
      anon_sym_LBRACE,
      anon_sym_DOT,
      sym__backquoted_id,
    ACTIONS(8128), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425907] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [425983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [426021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426097] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(8663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426175] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426215] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426259] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9234), 1,
      sym_arguments,
    STATE(8667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8150), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426375] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11981), 1,
      anon_sym_DOT,
    STATE(8670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [426453] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [426529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426643] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8014), 1,
      anon_sym_AT,
    ACTIONS(8022), 1,
      anon_sym_inline,
    ACTIONS(8024), 1,
      anon_sym_infix,
    ACTIONS(8026), 1,
      anon_sym_open,
    ACTIONS(8028), 1,
      anon_sym_transparent,
    ACTIONS(8144), 1,
      anon_sym_def,
    STATE(5428), 1,
      aux_sym_modifiers_repeat1,
    STATE(6566), 1,
      aux_sym_enum_definition_repeat1,
    STATE(7380), 1,
      sym_annotation,
    STATE(17353), 1,
      sym_modifiers,
    ACTIONS(8020), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(8677), 2,
      sym_comment,
      sym_block_comment,
    STATE(6644), 5,
      sym_access_modifier,
      sym_inline_modifier,
      sym_infix_modifier,
      sym_open_modifier,
      sym_transparent_modifier,
    ACTIONS(8018), 6,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
  [426703] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(8678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426819] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [426857] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11987), 1,
      anon_sym_AT,
    STATE(9381), 1,
      sym_annotation,
    STATE(8682), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8929), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [426975] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427013] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 17,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [427165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427203] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4230), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(8691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427245] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427365] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 20,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [427593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [427669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [427707] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_LT_PERCENT,
    ACTIONS(11839), 1,
      anon_sym_LBRACE,
    ACTIONS(11841), 1,
      anon_sym_with,
    ACTIONS(11990), 1,
      anon_sym_COLON,
    STATE(8271), 1,
      aux_sym_compound_type_repeat1,
    STATE(11000), 1,
      sym_template_body,
    STATE(11059), 1,
      sym__refinement,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8704), 2,
      sym_comment,
      sym_block_comment,
    STATE(10965), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427803] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427841] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11993), 1,
      anon_sym_with,
    STATE(8707), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [427995] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8512), 1,
      sym__alpha_identifier,
    ACTIONS(8518), 1,
      anon_sym__,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(8524), 1,
      sym__backquoted_id,
    ACTIONS(8526), 1,
      sym_operator_identifier,
    STATE(4400), 1,
      sym__simple_type,
    STATE(4746), 1,
      sym_identifier,
    STATE(4880), 1,
      sym__soft_identifier,
    STATE(17116), 1,
      sym_stable_identifier,
    STATE(8711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4911), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [428050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428198] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6762), 1,
      anon_sym__,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(6772), 1,
      sym_operator_identifier,
    ACTIONS(7652), 1,
      anon_sym_LPAREN,
    STATE(6341), 1,
      sym__simple_type,
    STATE(7410), 1,
      sym__soft_identifier,
    STATE(7449), 1,
      sym_identifier,
    STATE(16976), 1,
      sym_stable_identifier,
    STATE(8716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8188), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [428253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428290] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428327] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428364] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4382), 1,
      sym__alpha_identifier,
    ACTIONS(4388), 1,
      anon_sym__,
    ACTIONS(4400), 1,
      sym__backquoted_id,
    ACTIONS(6600), 1,
      sym_operator_identifier,
    ACTIONS(7682), 1,
      anon_sym_LPAREN,
    STATE(4963), 1,
      sym__simple_type,
    STATE(5555), 1,
      sym_identifier,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(16965), 1,
      sym_stable_identifier,
    STATE(8720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6027), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [428419] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428493] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(8723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428682] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4526), 1,
      anon_sym__,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(6732), 1,
      sym_operator_identifier,
    ACTIONS(7602), 1,
      anon_sym_LPAREN,
    STATE(5645), 1,
      sym__simple_type,
    STATE(6775), 1,
      sym_identifier,
    STATE(7346), 1,
      sym__soft_identifier,
    STATE(16998), 1,
      sym_stable_identifier,
    STATE(8728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8015), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [428737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428774] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      sym__alpha_identifier,
    ACTIONS(6710), 1,
      anon_sym__,
    ACTIONS(6718), 1,
      sym__backquoted_id,
    ACTIONS(6720), 1,
      sym_operator_identifier,
    ACTIONS(7702), 1,
      anon_sym_LPAREN,
    STATE(4987), 1,
      sym__simple_type,
    STATE(5696), 1,
      sym_identifier,
    STATE(5777), 1,
      sym__soft_identifier,
    STATE(16943), 1,
      sym_stable_identifier,
    STATE(8730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5993), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [428829] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 6,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [428903] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9367), 1,
      sym__end_marker,
    STATE(8733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [428979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429016] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(11998), 1,
      anon_sym__,
    ACTIONS(12002), 1,
      anon_sym_LPAREN,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(12006), 1,
      sym_operator_identifier,
    STATE(10769), 1,
      sym__simple_type,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11321), 1,
      sym_identifier,
    STATE(17863), 1,
      sym_stable_identifier,
    STATE(8736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11659), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [429071] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429182] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4718), 1,
      anon_sym__,
    ACTIONS(4728), 1,
      sym__backquoted_id,
    ACTIONS(6794), 1,
      sym_operator_identifier,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    STATE(4259), 1,
      sym__simple_type,
    STATE(4384), 1,
      sym__soft_identifier,
    STATE(4392), 1,
      sym_identifier,
    STATE(17009), 1,
      sym_stable_identifier,
    STATE(8740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4528), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [429237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429274] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6640), 1,
      sym__alpha_identifier,
    ACTIONS(6642), 1,
      anon_sym__,
    ACTIONS(6650), 1,
      sym__backquoted_id,
    ACTIONS(6652), 1,
      sym_operator_identifier,
    ACTIONS(7752), 1,
      anon_sym_LPAREN,
    STATE(5086), 1,
      sym__simple_type,
    STATE(6211), 1,
      sym__soft_identifier,
    STATE(6365), 1,
      sym_identifier,
    STATE(16931), 1,
      sym_stable_identifier,
    STATE(8742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6646), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7122), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [429329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429403] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429477] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429520] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429557] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429742] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6542), 1,
      anon_sym__,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(6552), 1,
      sym_operator_identifier,
    ACTIONS(7742), 1,
      anon_sym_LPAREN,
    STATE(5062), 1,
      sym__simple_type,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(6414), 1,
      sym_identifier,
    STATE(16919), 1,
      sym_stable_identifier,
    STATE(8754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7168), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [429797] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6798), 1,
      anon_sym__,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(6808), 1,
      sym_operator_identifier,
    ACTIONS(7732), 1,
      anon_sym_LPAREN,
    STATE(4472), 1,
      sym__simple_type,
    STATE(4816), 1,
      sym__soft_identifier,
    STATE(4955), 1,
      sym_identifier,
    STATE(17020), 1,
      sym_stable_identifier,
    STATE(8755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5061), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [429852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429889] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10967), 1,
      anon_sym_COLON,
    ACTIONS(10970), 1,
      anon_sym_EQ_GT,
    ACTIONS(10972), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(17544), 1,
      sym__self_type_ascription,
    STATE(8757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [429971] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4680), 1,
      sym__alpha_identifier,
    ACTIONS(4686), 1,
      anon_sym__,
    ACTIONS(4698), 1,
      sym__backquoted_id,
    ACTIONS(6574), 1,
      sym_operator_identifier,
    ACTIONS(7802), 1,
      anon_sym_LPAREN,
    STATE(4606), 1,
      sym__simple_type,
    STATE(5213), 1,
      sym_identifier,
    STATE(5438), 1,
      sym__soft_identifier,
    STATE(16907), 1,
      sym_stable_identifier,
    STATE(8759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4692), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5876), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430063] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12008), 1,
      anon_sym_AT,
    STATE(10095), 1,
      sym_annotation,
    STATE(8761), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8929), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430104] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(9800), 1,
      anon_sym_LPAREN,
    ACTIONS(10884), 1,
      anon_sym_DOT,
    ACTIONS(10888), 1,
      sym_operator_identifier,
    ACTIONS(12011), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_match,
      anon_sym_do,
    STATE(8762), 2,
      sym_comment,
      sym_block_comment,
    STATE(9669), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [430165] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4612), 1,
      sym__alpha_identifier,
    ACTIONS(4614), 1,
      anon_sym__,
    ACTIONS(4624), 1,
      sym__backquoted_id,
    ACTIONS(6812), 1,
      sym_operator_identifier,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    STATE(4421), 1,
      sym__simple_type,
    STATE(4585), 1,
      sym_identifier,
    STATE(4612), 1,
      sym__soft_identifier,
    STATE(17026), 1,
      sym_stable_identifier,
    STATE(8763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5007), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430257] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12013), 1,
      anon_sym_LPAREN,
    ACTIONS(12015), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(4260), 1,
      sym_identifier,
    STATE(4663), 1,
      sym__simple_type,
    STATE(17087), 1,
      sym_stable_identifier,
    STATE(8765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4311), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430349] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4201), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(8767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430427] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12017), 1,
      sym__alpha_identifier,
    ACTIONS(12019), 1,
      anon_sym__,
    ACTIONS(12023), 1,
      anon_sym_LPAREN,
    ACTIONS(12025), 1,
      sym__backquoted_id,
    ACTIONS(12027), 1,
      sym_operator_identifier,
    STATE(11943), 1,
      sym__simple_type,
    STATE(12731), 1,
      sym__soft_identifier,
    STATE(12927), 1,
      sym_identifier,
    STATE(17176), 1,
      sym_stable_identifier,
    STATE(8769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12021), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13200), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [430519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430556] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12029), 1,
      anon_sym_with,
    STATE(8772), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430595] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12032), 1,
      anon_sym_with,
    STATE(8773), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430634] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4282), 1,
      sym__alpha_identifier,
    ACTIONS(4288), 1,
      anon_sym__,
    ACTIONS(4300), 1,
      sym__backquoted_id,
    ACTIONS(6846), 1,
      sym_operator_identifier,
    ACTIONS(7562), 1,
      anon_sym_LPAREN,
    STATE(4444), 1,
      sym__simple_type,
    STATE(4610), 1,
      sym_identifier,
    STATE(4713), 1,
      sym__soft_identifier,
    STATE(17032), 1,
      sym_stable_identifier,
    STATE(8774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4294), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4988), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430689] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9875), 1,
      sym__alpha_identifier,
    ACTIONS(9879), 1,
      anon_sym_EQ,
    ACTIONS(9881), 1,
      sym__backquoted_id,
    ACTIONS(9883), 1,
      sym_operator_identifier,
    STATE(531), 1,
      sym_identifier,
    STATE(3916), 1,
      sym__soft_identifier,
    STATE(8775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9877), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [430742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [430779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [430853] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8714), 1,
      sym__alpha_identifier,
    ACTIONS(8716), 1,
      anon_sym__,
    ACTIONS(8720), 1,
      anon_sym_LPAREN,
    ACTIONS(8722), 1,
      sym__backquoted_id,
    ACTIONS(8724), 1,
      sym_operator_identifier,
    STATE(5074), 1,
      sym__simple_type,
    STATE(7106), 1,
      sym_identifier,
    STATE(7298), 1,
      sym__soft_identifier,
    STATE(16891), 1,
      sym_stable_identifier,
    STATE(8779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7227), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430908] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6774), 1,
      sym__alpha_identifier,
    ACTIONS(6780), 1,
      anon_sym__,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(6790), 1,
      sym_operator_identifier,
    ACTIONS(7552), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym__simple_type,
    STATE(5717), 1,
      sym__soft_identifier,
    STATE(5955), 1,
      sym_identifier,
    STATE(17038), 1,
      sym_stable_identifier,
    STATE(8780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6309), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [430963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431037] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10989), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431113] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431150] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11062), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431189] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8366), 1,
      sym__alpha_identifier,
    ACTIONS(8372), 1,
      anon_sym__,
    ACTIONS(8376), 1,
      anon_sym_LPAREN,
    ACTIONS(8378), 1,
      sym__backquoted_id,
    ACTIONS(8380), 1,
      sym_operator_identifier,
    STATE(11036), 1,
      sym__simple_type,
    STATE(11589), 1,
      sym__soft_identifier,
    STATE(11719), 1,
      sym_identifier,
    STATE(16855), 1,
      sym_stable_identifier,
    STATE(8787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12119), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9337), 1,
      sym_arguments,
    STATE(8790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8150), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431394] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4454), 1,
      sym__alpha_identifier,
    ACTIONS(4460), 1,
      anon_sym__,
    ACTIONS(4472), 1,
      sym__backquoted_id,
    ACTIONS(6864), 1,
      sym_operator_identifier,
    ACTIONS(7542), 1,
      anon_sym_LPAREN,
    STATE(4932), 1,
      sym__simple_type,
    STATE(5710), 1,
      sym__soft_identifier,
    STATE(5746), 1,
      sym_identifier,
    STATE(17050), 1,
      sym_stable_identifier,
    STATE(8792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6376), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431523] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431597] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6554), 1,
      sym__alpha_identifier,
    ACTIONS(6560), 1,
      anon_sym__,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(6570), 1,
      sym_operator_identifier,
    ACTIONS(7822), 1,
      anon_sym_LPAREN,
    STATE(4991), 1,
      sym__simple_type,
    STATE(5508), 1,
      sym_identifier,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(16819), 1,
      sym_stable_identifier,
    STATE(8797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6312), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [431652] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9931), 1,
      sym__alpha_identifier,
    ACTIONS(9935), 1,
      anon_sym_EQ,
    ACTIONS(9937), 1,
      sym__backquoted_id,
    ACTIONS(9939), 1,
      sym_operator_identifier,
    STATE(534), 1,
      sym_identifier,
    STATE(4028), 1,
      sym__soft_identifier,
    STATE(8798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9933), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [431705] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9943), 1,
      sym__alpha_identifier,
    ACTIONS(9947), 1,
      anon_sym_EQ,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(9951), 1,
      sym_operator_identifier,
    STATE(530), 1,
      sym_identifier,
    STATE(3948), 1,
      sym__soft_identifier,
    STATE(8799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 6,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9945), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [431758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431795] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10403), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431869] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11024), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [431945] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [431982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10430), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432093] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8636), 1,
      sym__alpha_identifier,
    ACTIONS(8638), 1,
      anon_sym__,
    ACTIONS(8642), 1,
      anon_sym_LPAREN,
    ACTIONS(8644), 1,
      sym__backquoted_id,
    ACTIONS(8646), 1,
      sym_operator_identifier,
    STATE(4701), 1,
      sym__simple_type,
    STATE(5708), 1,
      sym__soft_identifier,
    STATE(5945), 1,
      sym_identifier,
    STATE(17056), 1,
      sym_stable_identifier,
    STATE(8809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5629), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432148] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9398), 1,
      anon_sym_LBRACE,
    ACTIONS(9400), 1,
      anon_sym_with,
    STATE(8725), 1,
      sym__refinement,
    STATE(8726), 1,
      sym_template_body,
    STATE(9248), 1,
      aux_sym_compound_type_repeat1,
    STATE(8810), 2,
      sym_comment,
      sym_block_comment,
    STATE(8983), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8266), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8260), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432234] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12035), 1,
      anon_sym_with,
    STATE(8812), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432273] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12038), 1,
      sym__alpha_identifier,
    ACTIONS(12040), 1,
      anon_sym__,
    ACTIONS(12044), 1,
      anon_sym_LPAREN,
    ACTIONS(12046), 1,
      sym__backquoted_id,
    ACTIONS(12048), 1,
      sym_operator_identifier,
    STATE(12146), 1,
      sym__simple_type,
    STATE(12724), 1,
      sym__soft_identifier,
    STATE(12945), 1,
      sym_identifier,
    STATE(17158), 1,
      sym_stable_identifier,
    STATE(8813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12042), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13121), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432365] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10608), 1,
      sym__alpha_identifier,
    ACTIONS(10614), 1,
      sym__backquoted_id,
    ACTIONS(10616), 1,
      sym_operator_identifier,
    STATE(540), 1,
      sym_identifier,
    STATE(4042), 1,
      sym__soft_identifier,
    STATE(8815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9477), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10610), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [432416] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12050), 1,
      sym__alpha_identifier,
    ACTIONS(12052), 1,
      anon_sym__,
    ACTIONS(12056), 1,
      anon_sym_LPAREN,
    ACTIONS(12058), 1,
      sym__backquoted_id,
    ACTIONS(12060), 1,
      sym_operator_identifier,
    STATE(10181), 1,
      sym__simple_type,
    STATE(10859), 1,
      sym_identifier,
    STATE(10934), 1,
      sym__soft_identifier,
    STATE(16389), 1,
      sym_stable_identifier,
    STATE(8816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12054), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11009), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432471] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12062), 1,
      sym__alpha_identifier,
    ACTIONS(12064), 1,
      anon_sym__,
    ACTIONS(12068), 1,
      anon_sym_LPAREN,
    ACTIONS(12070), 1,
      sym__backquoted_id,
    ACTIONS(12072), 1,
      sym_operator_identifier,
    STATE(11331), 1,
      sym__simple_type,
    STATE(11916), 1,
      sym__soft_identifier,
    STATE(12121), 1,
      sym_identifier,
    STATE(17224), 1,
      sym_stable_identifier,
    STATE(8817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12066), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12515), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432563] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8680), 1,
      sym__alpha_identifier,
    ACTIONS(8682), 1,
      anon_sym__,
    ACTIONS(8686), 1,
      anon_sym_LPAREN,
    ACTIONS(8688), 1,
      sym__backquoted_id,
    ACTIONS(8690), 1,
      sym_operator_identifier,
    STATE(5113), 1,
      sym__simple_type,
    STATE(6759), 1,
      sym_identifier,
    STATE(7245), 1,
      sym__soft_identifier,
    STATE(16801), 1,
      sym_stable_identifier,
    STATE(8819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7242), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432618] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3296), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(11655), 1,
      anon_sym_LPAREN,
    ACTIONS(12074), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8678), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(8820), 2,
      sym_comment,
      sym_block_comment,
    STATE(10832), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8676), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [432706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [432817] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10095), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [432854] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4424), 1,
      sym__alpha_identifier,
    ACTIONS(4430), 1,
      anon_sym__,
    ACTIONS(4442), 1,
      sym__backquoted_id,
    ACTIONS(6868), 1,
      sym_operator_identifier,
    ACTIONS(7532), 1,
      anon_sym_LPAREN,
    STATE(4921), 1,
      sym__simple_type,
    STATE(5702), 1,
      sym__soft_identifier,
    STATE(5802), 1,
      sym_identifier,
    STATE(17062), 1,
      sym_stable_identifier,
    STATE(8826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6421), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432909] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4490), 1,
      sym__alpha_identifier,
    ACTIONS(4496), 1,
      anon_sym__,
    ACTIONS(4508), 1,
      sym__backquoted_id,
    ACTIONS(6512), 1,
      sym_operator_identifier,
    ACTIONS(7712), 1,
      anon_sym_LPAREN,
    STATE(4745), 1,
      sym__simple_type,
    STATE(5172), 1,
      sym_identifier,
    STATE(5408), 1,
      sym__soft_identifier,
    STATE(16783), 1,
      sym_stable_identifier,
    STATE(8827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4502), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5608), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [432964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433001] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [433038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433075] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9518), 1,
      sym_arguments,
    STATE(8831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [433151] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10111), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [433227] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433264] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3296), 1,
      anon_sym_LBRACE,
    ACTIONS(11655), 1,
      anon_sym_LPAREN,
    ACTIONS(12074), 1,
      anon_sym_DOT,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8808), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(8836), 2,
      sym_comment,
      sym_block_comment,
    STATE(10832), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8806), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433350] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8856), 1,
      sym__alpha_identifier,
    ACTIONS(8858), 1,
      anon_sym__,
    ACTIONS(8862), 1,
      anon_sym_LPAREN,
    ACTIONS(8864), 1,
      sym__backquoted_id,
    ACTIONS(8866), 1,
      sym_operator_identifier,
    STATE(5182), 1,
      sym__simple_type,
    STATE(7033), 1,
      sym_identifier,
    STATE(7334), 1,
      sym__soft_identifier,
    STATE(17068), 1,
      sym_stable_identifier,
    STATE(8838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6773), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [433405] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12076), 1,
      sym__alpha_identifier,
    ACTIONS(12078), 1,
      anon_sym__,
    ACTIONS(12082), 1,
      anon_sym_LPAREN,
    ACTIONS(12084), 1,
      sym__backquoted_id,
    ACTIONS(12086), 1,
      sym_operator_identifier,
    STATE(10991), 1,
      sym__simple_type,
    STATE(11712), 1,
      sym_identifier,
    STATE(11769), 1,
      sym__soft_identifier,
    STATE(17146), 1,
      sym_stable_identifier,
    STATE(8839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12080), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12157), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [433460] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433497] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11033), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433536] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(8842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [433616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433653] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(832), 1,
      anon_sym_LBRACE,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(9800), 1,
      anon_sym_LPAREN,
    ACTIONS(10884), 1,
      anon_sym_DOT,
    ACTIONS(10888), 1,
      sym_operator_identifier,
    ACTIONS(12088), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_while,
      anon_sym_match,
    STATE(8845), 2,
      sym_comment,
      sym_block_comment,
    STATE(9669), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [433714] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12090), 1,
      sym__alpha_identifier,
    ACTIONS(12092), 1,
      anon_sym__,
    ACTIONS(12096), 1,
      anon_sym_LPAREN,
    ACTIONS(12098), 1,
      sym__backquoted_id,
    ACTIONS(12100), 1,
      sym_operator_identifier,
    STATE(12038), 1,
      sym__simple_type,
    STATE(12758), 1,
      sym__soft_identifier,
    STATE(12821), 1,
      sym_identifier,
    STATE(17236), 1,
      sym_stable_identifier,
    STATE(8846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12094), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13247), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [433769] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9875), 1,
      sym__alpha_identifier,
    ACTIONS(9881), 1,
      sym__backquoted_id,
    ACTIONS(9883), 1,
      sym_operator_identifier,
    ACTIONS(10003), 1,
      anon_sym_EQ,
    STATE(531), 1,
      sym_identifier,
    STATE(3916), 1,
      sym__soft_identifier,
    STATE(8847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9877), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [433822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433859] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8794), 1,
      sym__alpha_identifier,
    ACTIONS(8796), 1,
      anon_sym__,
    ACTIONS(8800), 1,
      anon_sym_LPAREN,
    ACTIONS(8802), 1,
      sym__backquoted_id,
    ACTIONS(8804), 1,
      sym_operator_identifier,
    STATE(4476), 1,
      sym__simple_type,
    STATE(5198), 1,
      sym_identifier,
    STATE(5384), 1,
      sym__soft_identifier,
    STATE(16765), 1,
      sym_stable_identifier,
    STATE(8849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8798), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5342), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [433914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [433988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434025] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11037), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434101] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6820), 1,
      anon_sym_COLON,
    ACTIONS(6822), 1,
      anon_sym_LBRACE,
    ACTIONS(12102), 1,
      anon_sym_with,
    STATE(9037), 1,
      aux_sym_compound_type_repeat1,
    STATE(11480), 1,
      sym__refinement,
    STATE(11544), 1,
      sym_template_body,
    ACTIONS(8266), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(8855), 2,
      sym_comment,
      sym_block_comment,
    STATE(11603), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8260), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [434263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434337] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434374] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4204), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(8862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434415] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434563] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6334), 1,
      sym__alpha_identifier,
    ACTIONS(6340), 1,
      anon_sym__,
    ACTIONS(6348), 1,
      sym__backquoted_id,
    ACTIONS(6350), 1,
      sym_operator_identifier,
    ACTIONS(7412), 1,
      anon_sym_LPAREN,
    STATE(4456), 1,
      sym__simple_type,
    STATE(4607), 1,
      sym__soft_identifier,
    STATE(4643), 1,
      sym_identifier,
    STATE(16747), 1,
      sym_stable_identifier,
    STATE(8867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6344), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4755), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10567), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434692] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6740), 1,
      anon_sym__,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(6750), 1,
      sym_operator_identifier,
    ACTIONS(7582), 1,
      anon_sym_LPAREN,
    STATE(4899), 1,
      sym__simple_type,
    STATE(5700), 1,
      sym__soft_identifier,
    STATE(5884), 1,
      sym_identifier,
    STATE(17074), 1,
      sym_stable_identifier,
    STATE(8870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6500), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [434858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [434895] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [434932] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8576), 1,
      sym__alpha_identifier,
    ACTIONS(8578), 1,
      anon_sym__,
    ACTIONS(8582), 1,
      anon_sym_LPAREN,
    ACTIONS(8584), 1,
      sym__backquoted_id,
    ACTIONS(8586), 1,
      sym_operator_identifier,
    STATE(5525), 1,
      sym__simple_type,
    STATE(7425), 1,
      sym__soft_identifier,
    STATE(8024), 1,
      sym_identifier,
    STATE(17086), 1,
      sym_stable_identifier,
    STATE(8876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8580), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [434987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435024] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9943), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(9951), 1,
      sym_operator_identifier,
    ACTIONS(10042), 1,
      anon_sym_EQ,
    STATE(530), 1,
      sym_identifier,
    STATE(3948), 1,
      sym__soft_identifier,
    STATE(8878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9945), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [435077] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435114] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8832), 1,
      sym__alpha_identifier,
    ACTIONS(8838), 1,
      anon_sym__,
    ACTIONS(8842), 1,
      anon_sym_LPAREN,
    ACTIONS(8844), 1,
      sym__backquoted_id,
    ACTIONS(8846), 1,
      sym_operator_identifier,
    STATE(4464), 1,
      sym__simple_type,
    STATE(5091), 1,
      sym_identifier,
    STATE(5352), 1,
      sym__soft_identifier,
    STATE(16728), 1,
      sym_stable_identifier,
    STATE(8880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5387), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [435169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435206] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11044), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435245] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435282] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435319] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12104), 1,
      sym__alpha_identifier,
    ACTIONS(12106), 1,
      anon_sym__,
    ACTIONS(12110), 1,
      anon_sym_LPAREN,
    ACTIONS(12112), 1,
      sym__backquoted_id,
    ACTIONS(12114), 1,
      sym_operator_identifier,
    STATE(6134), 1,
      sym__simple_type,
    STATE(7681), 1,
      sym_identifier,
    STATE(7807), 1,
      sym__soft_identifier,
    STATE(16345), 1,
      sym_stable_identifier,
    STATE(8885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12108), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8176), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [435374] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12116), 1,
      anon_sym_with,
    STATE(8886), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435413] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435450] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12119), 1,
      sym__alpha_identifier,
    ACTIONS(12121), 1,
      anon_sym__,
    ACTIONS(12125), 1,
      anon_sym_LPAREN,
    ACTIONS(12127), 1,
      sym__backquoted_id,
    ACTIONS(12129), 1,
      sym_operator_identifier,
    STATE(10660), 1,
      sym__simple_type,
    STATE(11018), 1,
      sym_identifier,
    STATE(11070), 1,
      sym__soft_identifier,
    STATE(17248), 1,
      sym_stable_identifier,
    STATE(8888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12123), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11258), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [435505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10067), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [435542] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435659] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10604), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [435881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10060), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [435918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435955] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12131), 1,
      anon_sym_with,
    STATE(8901), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [435994] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6690), 1,
      sym__alpha_identifier,
    ACTIONS(6692), 1,
      anon_sym__,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(6702), 1,
      sym_operator_identifier,
    ACTIONS(7522), 1,
      anon_sym_LPAREN,
    STATE(5230), 1,
      sym__simple_type,
    STATE(6230), 1,
      sym_identifier,
    STATE(6303), 1,
      sym__soft_identifier,
    STATE(17092), 1,
      sym_stable_identifier,
    STATE(8902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6693), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436049] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5659), 1,
      sym__end_marker,
    STATE(8903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436125] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4770), 1,
      sym__alpha_identifier,
    ACTIONS(4772), 1,
      anon_sym__,
    ACTIONS(4782), 1,
      sym__backquoted_id,
    ACTIONS(6488), 1,
      sym_operator_identifier,
    ACTIONS(7492), 1,
      anon_sym_LPAREN,
    STATE(4420), 1,
      sym__simple_type,
    STATE(4578), 1,
      sym__soft_identifier,
    STATE(4700), 1,
      sym_identifier,
    STATE(16709), 1,
      sym_stable_identifier,
    STATE(8905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4800), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436180] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7318), 1,
      anon_sym__,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(8250), 1,
      sym_operator_identifier,
    STATE(10915), 1,
      sym__simple_type,
    STATE(11357), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(17343), 1,
      sym_stable_identifier,
    STATE(8906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11777), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10416), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [436309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9757), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [436383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10622), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [436420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436494] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12013), 1,
      anon_sym_LPAREN,
    ACTIONS(12015), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(4260), 1,
      sym_identifier,
    STATE(12353), 1,
      sym__simple_type,
    STATE(17087), 1,
      sym_stable_identifier,
    STATE(8914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4311), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436549] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6602), 1,
      sym__alpha_identifier,
    ACTIONS(6604), 1,
      anon_sym__,
    ACTIONS(6612), 1,
      sym__backquoted_id,
    ACTIONS(6614), 1,
      sym_operator_identifier,
    ACTIONS(7512), 1,
      anon_sym_LPAREN,
    STATE(6404), 1,
      sym__simple_type,
    STATE(7451), 1,
      sym__soft_identifier,
    STATE(7808), 1,
      sym_identifier,
    STATE(17104), 1,
      sym_stable_identifier,
    STATE(8915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8708), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [436604] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12134), 1,
      anon_sym_DOT,
    STATE(8916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436680] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12136), 1,
      anon_sym_with,
    STATE(8918), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436719] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3296), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(11655), 1,
      anon_sym_LPAREN,
    ACTIONS(12074), 1,
      anon_sym_DOT,
    ACTIONS(12139), 1,
      sym__alpha_identifier,
    ACTIONS(12143), 1,
      sym__backquoted_id,
    ACTIONS(12145), 1,
      sym_operator_identifier,
    STATE(1201), 1,
      sym_identifier,
    STATE(4177), 1,
      sym__soft_identifier,
    ACTIONS(8422), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(8919), 2,
      sym_comment,
      sym_block_comment,
    STATE(10832), 3,
      sym_block,
      sym_case_block,
      sym_arguments,
    ACTIONS(12141), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [436780] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12147), 1,
      anon_sym_COLON,
    ACTIONS(12150), 1,
      anon_sym_LBRACE,
    STATE(10321), 1,
      sym_template_body,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(8920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9271), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9263), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436825] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [436862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436936] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [436973] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437010] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437047] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8901), 1,
      sym__alpha_identifier,
    ACTIONS(8903), 1,
      anon_sym__,
    ACTIONS(8907), 1,
      anon_sym_LPAREN,
    ACTIONS(8909), 1,
      sym__backquoted_id,
    ACTIONS(8911), 1,
      sym_operator_identifier,
    STATE(7218), 1,
      sym__simple_type,
    STATE(8916), 1,
      sym_identifier,
    STATE(9324), 1,
      sym__soft_identifier,
    STATE(17246), 1,
      sym_stable_identifier,
    STATE(8927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8905), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9233), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437102] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8726), 1,
      sym__alpha_identifier,
    ACTIONS(8732), 1,
      anon_sym__,
    ACTIONS(8736), 1,
      anon_sym_LPAREN,
    ACTIONS(8738), 1,
      sym__backquoted_id,
    ACTIONS(8740), 1,
      sym_operator_identifier,
    STATE(4325), 1,
      sym__simple_type,
    STATE(4564), 1,
      sym__soft_identifier,
    STATE(4592), 1,
      sym_identifier,
    STATE(16690), 1,
      sym_stable_identifier,
    STATE(8928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8734), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4639), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437231] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12153), 1,
      anon_sym_with,
    STATE(8931), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437307] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6576), 1,
      sym__alpha_identifier,
    ACTIONS(6582), 1,
      anon_sym__,
    ACTIONS(6590), 1,
      sym__backquoted_id,
    ACTIONS(6592), 1,
      sym_operator_identifier,
    ACTIONS(7842), 1,
      anon_sym_LPAREN,
    STATE(4316), 1,
      sym__simple_type,
    STATE(4474), 1,
      sym_identifier,
    STATE(4509), 1,
      sym__soft_identifier,
    STATE(17122), 1,
      sym_stable_identifier,
    STATE(8933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4670), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [437436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437621] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6520), 1,
      anon_sym__,
    ACTIONS(6528), 1,
      sym__backquoted_id,
    ACTIONS(6530), 1,
      sym_operator_identifier,
    ACTIONS(7482), 1,
      anon_sym_LPAREN,
    STATE(4522), 1,
      sym__simple_type,
    STATE(4915), 1,
      sym__soft_identifier,
    STATE(4945), 1,
      sym_identifier,
    STATE(17128), 1,
      sym_stable_identifier,
    STATE(8941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5212), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437713] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437789] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8648), 1,
      sym__alpha_identifier,
    ACTIONS(8654), 1,
      anon_sym__,
    ACTIONS(8658), 1,
      anon_sym_LPAREN,
    ACTIONS(8660), 1,
      sym__backquoted_id,
    ACTIONS(8662), 1,
      sym_operator_identifier,
    STATE(8656), 1,
      sym__simple_type,
    STATE(9961), 1,
      sym_identifier,
    STATE(10115), 1,
      sym__soft_identifier,
    STATE(16671), 1,
      sym_stable_identifier,
    STATE(8945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9819), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [437844] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [437961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [437998] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438035] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12158), 1,
      anon_sym__,
    ACTIONS(12160), 1,
      anon_sym_LPAREN,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(12164), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11062), 1,
      sym__simple_type,
    STATE(11636), 1,
      sym_identifier,
    STATE(16317), 1,
      sym_stable_identifier,
    STATE(8951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12136), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438127] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10967), 1,
      anon_sym_COLON,
    ACTIONS(11104), 1,
      anon_sym_EQ_GT,
    ACTIONS(11106), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(16880), 1,
      sym__self_type_ascription,
    STATE(8953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438172] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 5,
      anon_sym_COLON,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [438252] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8474), 1,
      sym__alpha_identifier,
    ACTIONS(8476), 1,
      anon_sym__,
    ACTIONS(8480), 1,
      anon_sym_LPAREN,
    ACTIONS(8482), 1,
      sym__backquoted_id,
    ACTIONS(8484), 1,
      sym_operator_identifier,
    STATE(4604), 1,
      sym__simple_type,
    STATE(5534), 1,
      sym_identifier,
    STATE(5677), 1,
      sym__soft_identifier,
    STATE(17134), 1,
      sym_stable_identifier,
    STATE(8956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8478), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5554), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438418] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10754), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438531] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438568] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12166), 1,
      sym__alpha_identifier,
    ACTIONS(12168), 1,
      anon_sym__,
    ACTIONS(12172), 1,
      anon_sym_LPAREN,
    ACTIONS(12174), 1,
      sym__backquoted_id,
    ACTIONS(12176), 1,
      sym_operator_identifier,
    STATE(11279), 1,
      sym__simple_type,
    STATE(11933), 1,
      sym__soft_identifier,
    STATE(12021), 1,
      sym_identifier,
    STATE(17266), 1,
      sym_stable_identifier,
    STATE(8964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12170), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12270), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438623] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6452), 1,
      sym__alpha_identifier,
    ACTIONS(6454), 1,
      anon_sym__,
    ACTIONS(6462), 1,
      sym__backquoted_id,
    ACTIONS(6464), 1,
      sym_operator_identifier,
    ACTIONS(7882), 1,
      anon_sym_LPAREN,
    STATE(5653), 1,
      sym__simple_type,
    STATE(6938), 1,
      sym__soft_identifier,
    STATE(7212), 1,
      sym_identifier,
    STATE(16631), 1,
      sym_stable_identifier,
    STATE(8965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6458), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7526), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438678] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8528), 1,
      sym__alpha_identifier,
    ACTIONS(8534), 1,
      anon_sym__,
    ACTIONS(8538), 1,
      anon_sym_LPAREN,
    ACTIONS(8540), 1,
      sym__backquoted_id,
    ACTIONS(8542), 1,
      sym_operator_identifier,
    STATE(4597), 1,
      sym__simple_type,
    STATE(5705), 1,
      sym_identifier,
    STATE(5788), 1,
      sym__soft_identifier,
    STATE(16988), 1,
      sym_stable_identifier,
    STATE(8966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5821), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [438733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [438770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10420), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [438918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [438955] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12178), 1,
      anon_sym_with,
    STATE(8973), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [438994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439142] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(11092), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(8978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [439207] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym__alpha_identifier,
    ACTIONS(6496), 1,
      anon_sym__,
    ACTIONS(6504), 1,
      sym__backquoted_id,
    ACTIONS(6506), 1,
      sym_operator_identifier,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    STATE(4479), 1,
      sym__simple_type,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(4933), 1,
      sym_identifier,
    STATE(17140), 1,
      sym_stable_identifier,
    STATE(8979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5229), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439299] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12181), 1,
      sym__alpha_identifier,
    ACTIONS(12183), 1,
      anon_sym__,
    ACTIONS(12187), 1,
      anon_sym_LPAREN,
    ACTIONS(12189), 1,
      sym__backquoted_id,
    ACTIONS(12191), 1,
      sym_operator_identifier,
    STATE(10928), 1,
      sym__simple_type,
    STATE(11155), 1,
      sym__soft_identifier,
    STATE(11168), 1,
      sym_identifier,
    STATE(17110), 1,
      sym_stable_identifier,
    STATE(8981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12185), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11632), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [439465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439502] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      sym__alpha_identifier,
    ACTIONS(6472), 1,
      anon_sym__,
    ACTIONS(6480), 1,
      sym__backquoted_id,
    ACTIONS(6482), 1,
      sym_operator_identifier,
    ACTIONS(7462), 1,
      anon_sym_LPAREN,
    STATE(5316), 1,
      sym__simple_type,
    STATE(6334), 1,
      sym__soft_identifier,
    STATE(6648), 1,
      sym_identifier,
    STATE(17152), 1,
      sym_stable_identifier,
    STATE(8986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6821), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439557] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9931), 1,
      sym__alpha_identifier,
    ACTIONS(9937), 1,
      sym__backquoted_id,
    ACTIONS(9939), 1,
      sym_operator_identifier,
    STATE(534), 1,
      sym_identifier,
    STATE(4028), 1,
      sym__soft_identifier,
    STATE(8987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9933), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [439608] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6820), 1,
      anon_sym_COLON,
    ACTIONS(6822), 1,
      anon_sym_LBRACE,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8352), 1,
      sym__outdent,
    ACTIONS(8354), 1,
      anon_sym_case,
    ACTIONS(12102), 1,
      anon_sym_with,
    STATE(9037), 1,
      aux_sym_compound_type_repeat1,
    STATE(11480), 1,
      sym__refinement,
    STATE(11544), 1,
      sym_template_body,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8988), 2,
      sym_comment,
      sym_block_comment,
    STATE(11603), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439665] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9931), 1,
      sym__alpha_identifier,
    ACTIONS(9937), 1,
      sym__backquoted_id,
    ACTIONS(9939), 1,
      sym_operator_identifier,
    ACTIONS(10107), 1,
      anon_sym_EQ,
    STATE(534), 1,
      sym_identifier,
    STATE(4028), 1,
      sym__soft_identifier,
    STATE(8989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9933), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [439718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439792] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4178), 1,
      sym__alpha_identifier,
    ACTIONS(4184), 1,
      anon_sym__,
    ACTIONS(4196), 1,
      sym__backquoted_id,
    ACTIONS(6880), 1,
      sym_operator_identifier,
    ACTIONS(7442), 1,
      anon_sym_LPAREN,
    STATE(4492), 1,
      sym__simple_type,
    STATE(4787), 1,
      sym_identifier,
    STATE(4931), 1,
      sym__soft_identifier,
    STATE(17164), 1,
      sym_stable_identifier,
    STATE(8992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5267), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439847] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4942), 1,
      anon_sym__,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(5116), 1,
      sym_operator_identifier,
    ACTIONS(7502), 1,
      anon_sym_LPAREN,
    STATE(4631), 1,
      sym__simple_type,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5249), 1,
      sym_identifier,
    STATE(16889), 1,
      sym_stable_identifier,
    STATE(8993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5951), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [439902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439939] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [439976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440013] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8913), 1,
      sym__alpha_identifier,
    ACTIONS(8915), 1,
      anon_sym__,
    ACTIONS(8919), 1,
      anon_sym_LPAREN,
    ACTIONS(8921), 1,
      sym__backquoted_id,
    ACTIONS(8923), 1,
      sym_operator_identifier,
    STATE(6445), 1,
      sym__simple_type,
    STATE(8252), 1,
      sym__soft_identifier,
    STATE(8373), 1,
      sym_identifier,
    STATE(16611), 1,
      sym_stable_identifier,
    STATE(8997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8917), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8256), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [440105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440142] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6356), 1,
      sym__alpha_identifier,
    ACTIONS(6362), 1,
      anon_sym__,
    ACTIONS(6370), 1,
      sym__backquoted_id,
    ACTIONS(6372), 1,
      sym_operator_identifier,
    ACTIONS(7622), 1,
      anon_sym_LPAREN,
    STATE(5325), 1,
      sym__simple_type,
    STATE(6346), 1,
      sym__soft_identifier,
    STATE(6576), 1,
      sym_identifier,
    STATE(17170), 1,
      sym_stable_identifier,
    STATE(9000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6916), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10426), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440308] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4314), 1,
      sym__alpha_identifier,
    ACTIONS(4320), 1,
      anon_sym__,
    ACTIONS(4332), 1,
      sym__backquoted_id,
    ACTIONS(6884), 1,
      sym_operator_identifier,
    ACTIONS(7642), 1,
      anon_sym_LPAREN,
    STATE(4820), 1,
      sym__simple_type,
    STATE(5658), 1,
      sym__soft_identifier,
    STATE(5978), 1,
      sym_identifier,
    STATE(17182), 1,
      sym_stable_identifier,
    STATE(9004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4326), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6218), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440474] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4642), 1,
      sym__alpha_identifier,
    ACTIONS(4648), 1,
      anon_sym__,
    ACTIONS(4660), 1,
      sym__backquoted_id,
    ACTIONS(6424), 1,
      sym_operator_identifier,
    ACTIONS(7922), 1,
      anon_sym_LPAREN,
    STATE(5569), 1,
      sym__simple_type,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(6879), 1,
      sym_identifier,
    STATE(16591), 1,
      sym_stable_identifier,
    STATE(9008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7840), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440529] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4225), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10434), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440607] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8550), 1,
      sym__alpha_identifier,
    ACTIONS(8552), 1,
      anon_sym__,
    ACTIONS(8556), 1,
      anon_sym_LPAREN,
    ACTIONS(8558), 1,
      sym__backquoted_id,
    ACTIONS(8560), 1,
      sym_operator_identifier,
    STATE(5476), 1,
      sym__simple_type,
    STATE(7438), 1,
      sym__soft_identifier,
    STATE(7846), 1,
      sym_identifier,
    STATE(16830), 1,
      sym_stable_identifier,
    STATE(9011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7612), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11961), 1,
      anon_sym_EQ_GT,
    STATE(9012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440701] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440738] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9894), 1,
      sym_operator_identifier,
    STATE(1669), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8426), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [440791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440828] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4582), 1,
      sym__alpha_identifier,
    ACTIONS(4588), 1,
      anon_sym__,
    ACTIONS(4600), 1,
      sym__backquoted_id,
    ACTIONS(6888), 1,
      sym_operator_identifier,
    ACTIONS(7722), 1,
      anon_sym_LPAREN,
    STATE(5339), 1,
      sym__simple_type,
    STATE(6011), 1,
      sym_identifier,
    STATE(6355), 1,
      sym__soft_identifier,
    STATE(17188), 1,
      sym_stable_identifier,
    STATE(9016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6952), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [440883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [440920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [440957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [440994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9080), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441031] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441142] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10448), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [441179] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4742), 1,
      sym__alpha_identifier,
    ACTIONS(4744), 1,
      anon_sym__,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(6876), 1,
      sym_operator_identifier,
    ACTIONS(7422), 1,
      anon_sym_LPAREN,
    STATE(4320), 1,
      sym__simple_type,
    STATE(4468), 1,
      sym__soft_identifier,
    STATE(4519), 1,
      sym_identifier,
    STATE(17194), 1,
      sym_stable_identifier,
    STATE(9025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4627), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441271] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(9027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8508), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441310] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441353] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12193), 1,
      sym__alpha_identifier,
    ACTIONS(12195), 1,
      anon_sym__,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12201), 1,
      sym__backquoted_id,
    ACTIONS(12203), 1,
      sym_operator_identifier,
    STATE(10166), 1,
      sym__simple_type,
    STATE(10672), 1,
      sym__soft_identifier,
    STATE(10738), 1,
      sym_identifier,
    STATE(17098), 1,
      sym_stable_identifier,
    STATE(9029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12197), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11096), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10452), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [441482] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [441667] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6820), 1,
      anon_sym_COLON,
    ACTIONS(6822), 1,
      anon_sym_LBRACE,
    ACTIONS(12102), 1,
      anon_sym_with,
    STATE(10560), 1,
      aux_sym_compound_type_repeat1,
    STATE(11544), 1,
      sym_template_body,
    STATE(11601), 1,
      sym__refinement,
    ACTIONS(8238), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(9037), 2,
      sym_comment,
      sym_block_comment,
    STATE(11603), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8236), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441718] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6824), 1,
      anon_sym__,
    ACTIONS(6832), 1,
      sym__backquoted_id,
    ACTIONS(6834), 1,
      sym_operator_identifier,
    ACTIONS(7772), 1,
      anon_sym_LPAREN,
    STATE(7896), 1,
      sym__simple_type,
    STATE(8731), 1,
      sym__soft_identifier,
    STATE(9115), 1,
      sym_identifier,
    STATE(17200), 1,
      sym_stable_identifier,
    STATE(9038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(9366), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [441773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [441847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10145), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [441921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [441995] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4804), 1,
      sym__alpha_identifier,
    ACTIONS(4810), 1,
      anon_sym__,
    ACTIONS(4822), 1,
      sym__backquoted_id,
    ACTIONS(6892), 1,
      sym_operator_identifier,
    ACTIONS(7432), 1,
      anon_sym_LPAREN,
    STATE(4551), 1,
      sym__simple_type,
    STATE(4762), 1,
      sym_identifier,
    STATE(4953), 1,
      sym__soft_identifier,
    STATE(17206), 1,
      sym_stable_identifier,
    STATE(9045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5328), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442050] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(9046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 7,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442091] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8882), 1,
      sym__alpha_identifier,
    ACTIONS(8884), 1,
      anon_sym__,
    ACTIONS(8888), 1,
      anon_sym_LPAREN,
    ACTIONS(8890), 1,
      sym__backquoted_id,
    ACTIONS(8892), 1,
      sym_operator_identifier,
    STATE(5349), 1,
      sym__simple_type,
    STATE(6748), 1,
      sym__soft_identifier,
    STATE(7079), 1,
      sym_identifier,
    STATE(16571), 1,
      sym_stable_identifier,
    STATE(9047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8886), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7191), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [442183] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12205), 1,
      anon_sym_with,
    STATE(9049), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442222] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8676), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442265] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442339] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8450), 1,
      sym__alpha_identifier,
    ACTIONS(8452), 1,
      anon_sym__,
    ACTIONS(8456), 1,
      anon_sym_LPAREN,
    ACTIONS(8458), 1,
      sym__backquoted_id,
    ACTIONS(8460), 1,
      sym_operator_identifier,
    STATE(4798), 1,
      sym__simple_type,
    STATE(6228), 1,
      sym_identifier,
    STATE(6368), 1,
      sym__soft_identifier,
    STATE(17212), 1,
      sym_stable_identifier,
    STATE(9053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6097), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442431] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442468] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6670), 1,
      anon_sym__,
    ACTIONS(6678), 1,
      sym__backquoted_id,
    ACTIONS(6680), 1,
      sym_operator_identifier,
    ACTIONS(7632), 1,
      anon_sym_LPAREN,
    STATE(5372), 1,
      sym__simple_type,
    STATE(6108), 1,
      sym_identifier,
    STATE(6195), 1,
      sym__soft_identifier,
    STATE(16790), 1,
      sym_stable_identifier,
    STATE(9056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6674), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7350), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442523] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442597] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12208), 1,
      sym__alpha_identifier,
    ACTIONS(12210), 1,
      anon_sym__,
    ACTIONS(12214), 1,
      anon_sym_LPAREN,
    ACTIONS(12216), 1,
      sym__backquoted_id,
    ACTIONS(12218), 1,
      sym_operator_identifier,
    STATE(11650), 1,
      sym__simple_type,
    STATE(12434), 1,
      sym_identifier,
    STATE(12473), 1,
      sym__soft_identifier,
    STATE(17284), 1,
      sym_stable_identifier,
    STATE(9059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12991), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442652] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442726] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__alpha_identifier,
    ACTIONS(4216), 1,
      anon_sym__,
    ACTIONS(4228), 1,
      sym__backquoted_id,
    ACTIONS(6354), 1,
      sym_operator_identifier,
    ACTIONS(7962), 1,
      anon_sym_LPAREN,
    STATE(5312), 1,
      sym__simple_type,
    STATE(6162), 1,
      sym_identifier,
    STATE(6542), 1,
      sym__soft_identifier,
    STATE(16551), 1,
      sym_stable_identifier,
    STATE(9062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4222), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7279), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [442781] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4194), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442859] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12220), 1,
      anon_sym_with,
    STATE(9065), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [442898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [442935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10508), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [442972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443120] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6258), 1,
      sym__alpha_identifier,
    ACTIONS(6264), 1,
      anon_sym__,
    ACTIONS(6272), 1,
      sym__backquoted_id,
    ACTIONS(6274), 1,
      sym_operator_identifier,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    STATE(4601), 1,
      sym__simple_type,
    STATE(5114), 1,
      sym__soft_identifier,
    STATE(5304), 1,
      sym_identifier,
    STATE(17218), 1,
      sym_stable_identifier,
    STATE(9072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5908), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443175] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443218] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6164), 1,
      anon_sym__,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(6174), 1,
      sym_operator_identifier,
    ACTIONS(7902), 1,
      anon_sym_LPAREN,
    STATE(5373), 1,
      sym__simple_type,
    STATE(6141), 1,
      sym_identifier,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(17230), 1,
      sym_stable_identifier,
    STATE(9074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7049), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443273] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443347] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443384] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8462), 1,
      sym__alpha_identifier,
    ACTIONS(8464), 1,
      anon_sym__,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      sym__backquoted_id,
    ACTIONS(8472), 1,
      sym_operator_identifier,
    STATE(5520), 1,
      sym__simple_type,
    STATE(7433), 1,
      sym_identifier,
    STATE(7465), 1,
      sym__soft_identifier,
    STATE(16732), 1,
      sym_stable_identifier,
    STATE(9078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7466), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443513] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12223), 1,
      sym__alpha_identifier,
    ACTIONS(12225), 1,
      anon_sym__,
    ACTIONS(12229), 1,
      anon_sym_LPAREN,
    ACTIONS(12231), 1,
      sym__backquoted_id,
    ACTIONS(12233), 1,
      sym_operator_identifier,
    STATE(11681), 1,
      sym__simple_type,
    STATE(12472), 1,
      sym_identifier,
    STATE(12499), 1,
      sym__soft_identifier,
    STATE(17080), 1,
      sym_stable_identifier,
    STATE(9081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12227), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12880), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443568] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6140), 1,
      sym__alpha_identifier,
    ACTIONS(6146), 1,
      anon_sym__,
    ACTIONS(6154), 1,
      sym__backquoted_id,
    ACTIONS(6156), 1,
      sym_operator_identifier,
    ACTIONS(7932), 1,
      anon_sym_LPAREN,
    STATE(5937), 1,
      sym__simple_type,
    STATE(7004), 1,
      sym_identifier,
    STATE(7223), 1,
      sym__soft_identifier,
    STATE(17242), 1,
      sym_stable_identifier,
    STATE(9082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7827), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443660] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [443808] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6204), 1,
      sym__alpha_identifier,
    ACTIONS(6206), 1,
      anon_sym__,
    ACTIONS(6214), 1,
      sym__backquoted_id,
    ACTIONS(6216), 1,
      sym_operator_identifier,
    ACTIONS(7952), 1,
      anon_sym_LPAREN,
    STATE(4386), 1,
      sym__simple_type,
    STATE(4575), 1,
      sym_identifier,
    STATE(4614), 1,
      sym__soft_identifier,
    STATE(17254), 1,
      sym_stable_identifier,
    STATE(9088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6210), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4784), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [443863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [443937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [443974] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4134), 1,
      sym__backquoted_id,
    STATE(9092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(4130), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
    ACTIONS(4132), 8,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
  [444015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [444052] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8810), 1,
      sym__alpha_identifier,
    ACTIONS(8812), 1,
      anon_sym__,
    ACTIONS(8816), 1,
      anon_sym_LPAREN,
    ACTIONS(8818), 1,
      sym__backquoted_id,
    ACTIONS(8820), 1,
      sym_operator_identifier,
    STATE(4905), 1,
      sym__simple_type,
    STATE(6078), 1,
      sym_identifier,
    STATE(6626), 1,
      sym__soft_identifier,
    STATE(16531), 1,
      sym_stable_identifier,
    STATE(9094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8814), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6254), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444107] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4241), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [444259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444444] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6240), 1,
      sym__alpha_identifier,
    ACTIONS(6246), 1,
      anon_sym__,
    ACTIONS(6254), 1,
      sym__backquoted_id,
    ACTIONS(6256), 1,
      sym_operator_identifier,
    ACTIONS(7982), 1,
      anon_sym_LPAREN,
    STATE(4652), 1,
      sym__simple_type,
    STATE(5046), 1,
      sym__soft_identifier,
    STATE(5345), 1,
      sym_identifier,
    STATE(17260), 1,
      sym_stable_identifier,
    STATE(9104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5941), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [444573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444610] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12235), 1,
      sym__alpha_identifier,
    ACTIONS(12237), 1,
      anon_sym__,
    ACTIONS(12241), 1,
      anon_sym_LPAREN,
    ACTIONS(12243), 1,
      sym__backquoted_id,
    ACTIONS(12245), 1,
      sym_operator_identifier,
    STATE(10580), 1,
      sym__simple_type,
    STATE(10970), 1,
      sym__soft_identifier,
    STATE(11112), 1,
      sym_identifier,
    STATE(16651), 1,
      sym_stable_identifier,
    STATE(9108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12239), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11306), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [444702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [444739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444776] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4219), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444817] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4550), 1,
      sym__alpha_identifier,
    ACTIONS(4556), 1,
      anon_sym__,
    ACTIONS(4568), 1,
      sym__backquoted_id,
    ACTIONS(6896), 1,
      sym_operator_identifier,
    ACTIONS(7992), 1,
      anon_sym_LPAREN,
    STATE(4688), 1,
      sym__simple_type,
    STATE(5032), 1,
      sym__soft_identifier,
    STATE(5419), 1,
      sym_identifier,
    STATE(17272), 1,
      sym_stable_identifier,
    STATE(9113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5875), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [444872] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9619), 1,
      sym__end_marker,
    STATE(9114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10030), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [444911] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12247), 1,
      anon_sym_DOT,
    STATE(9115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [444987] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8931), 1,
      sym__backquoted_id,
    ACTIONS(12249), 1,
      anon_sym_AT,
    STATE(9837), 1,
      sym_annotation,
    STATE(9117), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8929), 18,
      anon_sym_end,
      anon_sym_val,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445028] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4346), 1,
      sym__alpha_identifier,
    ACTIONS(4352), 1,
      anon_sym__,
    ACTIONS(4364), 1,
      sym__backquoted_id,
    ACTIONS(6332), 1,
      sym_operator_identifier,
    ACTIONS(7852), 1,
      anon_sym_LPAREN,
    STATE(4694), 1,
      sym__simple_type,
    STATE(5109), 1,
      sym_identifier,
    STATE(5171), 1,
      sym__soft_identifier,
    STATE(16510), 1,
      sym_stable_identifier,
    STATE(9118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5792), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445194] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6402), 1,
      anon_sym__,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(6412), 1,
      sym_operator_identifier,
    ACTIONS(7662), 1,
      anon_sym_LPAREN,
    STATE(5260), 1,
      sym__simple_type,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6455), 1,
      sym_identifier,
    STATE(16594), 1,
      sym_stable_identifier,
    STATE(9122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7109), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445249] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445286] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    ACTIONS(12252), 1,
      anon_sym_COLON,
    ACTIONS(12255), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445329] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445409] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445446] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6312), 1,
      sym__alpha_identifier,
    ACTIONS(6318), 1,
      anon_sym__,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(6328), 1,
      sym_operator_identifier,
    ACTIONS(7782), 1,
      anon_sym_LPAREN,
    STATE(4753), 1,
      sym__simple_type,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(5874), 1,
      sym_identifier,
    STATE(17278), 1,
      sym_stable_identifier,
    STATE(9128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6129), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445501] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445760] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4246), 1,
      sym__alpha_identifier,
    ACTIONS(4252), 1,
      anon_sym__,
    ACTIONS(4264), 1,
      sym__backquoted_id,
    ACTIONS(6872), 1,
      sym_operator_identifier,
    ACTIONS(7892), 1,
      anon_sym_LPAREN,
    STATE(6408), 1,
      sym__simple_type,
    STATE(7377), 1,
      sym_identifier,
    STATE(8053), 1,
      sym__soft_identifier,
    STATE(16632), 1,
      sym_stable_identifier,
    STATE(9136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8511), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445815] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10464), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [445889] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [445932] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12258), 1,
      sym__alpha_identifier,
    ACTIONS(12260), 1,
      anon_sym__,
    ACTIONS(12264), 1,
      anon_sym_LPAREN,
    ACTIONS(12266), 1,
      sym__backquoted_id,
    ACTIONS(12268), 1,
      sym_operator_identifier,
    STATE(11531), 1,
      sym__simple_type,
    STATE(12530), 1,
      sym__soft_identifier,
    STATE(12563), 1,
      sym_identifier,
    STATE(17044), 1,
      sym_stable_identifier,
    STATE(9140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12262), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12698), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [445987] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446172] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8392), 1,
      sym__alpha_identifier,
    ACTIONS(8398), 1,
      anon_sym__,
    ACTIONS(8402), 1,
      anon_sym_LPAREN,
    ACTIONS(8404), 1,
      sym__backquoted_id,
    ACTIONS(8406), 1,
      sym_operator_identifier,
    STATE(12637), 1,
      sym__simple_type,
    STATE(13157), 1,
      sym__soft_identifier,
    STATE(13201), 1,
      sym_identifier,
    STATE(16588), 1,
      sym_stable_identifier,
    STATE(9146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8400), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13461), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446227] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10138), 1,
      sym_operator_identifier,
    STATE(1767), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [446280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446354] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11402), 1,
      anon_sym_AT,
    STATE(8761), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10095), 1,
      sym_annotation,
    STATE(9150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8965), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446397] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4211), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446475] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446549] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8774), 1,
      sym__alpha_identifier,
    ACTIONS(8776), 1,
      anon_sym__,
    ACTIONS(8780), 1,
      anon_sym_LPAREN,
    ACTIONS(8782), 1,
      sym__backquoted_id,
    ACTIONS(8784), 1,
      sym_operator_identifier,
    STATE(5004), 1,
      sym__simple_type,
    STATE(6256), 1,
      sym_identifier,
    STATE(6494), 1,
      sym__soft_identifier,
    STATE(16489), 1,
      sym_stable_identifier,
    STATE(9155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6110), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446752] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8588), 1,
      sym__alpha_identifier,
    ACTIONS(8594), 1,
      anon_sym__,
    ACTIONS(8598), 1,
      anon_sym_LPAREN,
    ACTIONS(8600), 1,
      sym__backquoted_id,
    ACTIONS(8602), 1,
      sym_operator_identifier,
    STATE(4438), 1,
      sym__simple_type,
    STATE(4763), 1,
      sym_identifier,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(16537), 1,
      sym_stable_identifier,
    STATE(9160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8596), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4996), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [446807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [446918] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [446992] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4193), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447033] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(9167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 7,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447074] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(9398), 1,
      anon_sym_LBRACE,
    ACTIONS(9400), 1,
      anon_sym_with,
    ACTIONS(12270), 1,
      anon_sym_COLON,
    STATE(8725), 1,
      sym__refinement,
    STATE(8726), 1,
      sym_template_body,
    STATE(9248), 1,
      aux_sym_compound_type_repeat1,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(8983), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447129] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6276), 1,
      sym__alpha_identifier,
    ACTIONS(6278), 1,
      anon_sym__,
    ACTIONS(6286), 1,
      sym__backquoted_id,
    ACTIONS(6288), 1,
      sym_operator_identifier,
    ACTIONS(7762), 1,
      anon_sym_LPAREN,
    STATE(6401), 1,
      sym__simple_type,
    STATE(7671), 1,
      sym__soft_identifier,
    STATE(7785), 1,
      sym_identifier,
    STATE(16468), 1,
      sym_stable_identifier,
    STATE(9169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6282), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8371), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447184] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4840), 1,
      sym__alpha_identifier,
    ACTIONS(4842), 1,
      anon_sym__,
    ACTIONS(4852), 1,
      sym__backquoted_id,
    ACTIONS(6816), 1,
      sym_operator_identifier,
    ACTIONS(7942), 1,
      anon_sym_LPAREN,
    STATE(4491), 1,
      sym__simple_type,
    STATE(4941), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(16496), 1,
      sym_stable_identifier,
    STATE(9170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5272), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447276] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8218), 1,
      sym__alpha_identifier,
    ACTIONS(8224), 1,
      anon_sym__,
    ACTIONS(8228), 1,
      anon_sym_LPAREN,
    ACTIONS(8230), 1,
      sym__backquoted_id,
    ACTIONS(8232), 1,
      sym_operator_identifier,
    STATE(10760), 1,
      sym__simple_type,
    STATE(11280), 1,
      sym__soft_identifier,
    STATE(11312), 1,
      sym_identifier,
    STATE(16436), 1,
      sym_stable_identifier,
    STATE(9172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11464), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447331] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10482), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447405] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [447479] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6218), 1,
      sym__alpha_identifier,
    ACTIONS(6220), 1,
      anon_sym__,
    ACTIONS(6228), 1,
      sym__backquoted_id,
    ACTIONS(6230), 1,
      sym_operator_identifier,
    ACTIONS(7872), 1,
      anon_sym_LPAREN,
    STATE(7269), 1,
      sym__simple_type,
    STATE(8360), 1,
      sym__soft_identifier,
    STATE(8457), 1,
      sym_identifier,
    STATE(16447), 1,
      sym_stable_identifier,
    STATE(9177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8869), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [447571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447645] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9052), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447756] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [447799] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      sym__alpha_identifier,
    ACTIONS(6184), 1,
      anon_sym__,
    ACTIONS(6192), 1,
      sym__backquoted_id,
    ACTIONS(6194), 1,
      sym_operator_identifier,
    ACTIONS(7612), 1,
      anon_sym_LPAREN,
    STATE(5001), 1,
      sym__simple_type,
    STATE(5500), 1,
      sym_identifier,
    STATE(5650), 1,
      sym__soft_identifier,
    STATE(16426), 1,
      sym_stable_identifier,
    STATE(9185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6081), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [447854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447891] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447928] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(8386), 1,
      anon_sym_DQUOTE,
    ACTIONS(12273), 1,
      anon_sym_EQ_GT,
    ACTIONS(12276), 1,
      sym__interpolated_multiline_string_start,
    STATE(10695), 1,
      sym_interpolated_string,
    STATE(15521), 1,
      sym__interpolated_string_start,
    STATE(9188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [447977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448014] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4144), 1,
      anon_sym__,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(4976), 1,
      sym_operator_identifier,
    ACTIONS(7972), 1,
      anon_sym_LPAREN,
    STATE(4913), 1,
      sym__simple_type,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(5836), 1,
      sym_identifier,
    STATE(16305), 1,
      sym_stable_identifier,
    STATE(9190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6507), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [448069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448143] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6376), 1,
      anon_sym__,
    ACTIONS(6384), 1,
      sym__backquoted_id,
    ACTIONS(6386), 1,
      sym_operator_identifier,
    ACTIONS(7912), 1,
      anon_sym_LPAREN,
    STATE(5120), 1,
      sym__simple_type,
    STATE(6339), 1,
      sym__soft_identifier,
    STATE(6512), 1,
      sym_identifier,
    STATE(16405), 1,
      sym_stable_identifier,
    STATE(9193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6978), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [448198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 17,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448385] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8150), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [448422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448459] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6300), 1,
      anon_sym__,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(6310), 1,
      sym_operator_identifier,
    ACTIONS(7452), 1,
      anon_sym_LPAREN,
    STATE(4487), 1,
      sym__simple_type,
    STATE(4841), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(16384), 1,
      sym_stable_identifier,
    STATE(9201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5320), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [448514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448625] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [448773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [448810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [448884] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4192), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [448925] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9471), 1,
      sym__alpha_identifier,
    ACTIONS(9481), 1,
      sym__backquoted_id,
    ACTIONS(9483), 1,
      sym_operator_identifier,
    ACTIONS(10022), 1,
      anon_sym_EQ,
    STATE(529), 1,
      sym_identifier,
    STATE(3890), 1,
      sym__soft_identifier,
    STATE(9213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 5,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9475), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [448978] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11607), 1,
      sym__alpha_identifier,
    ACTIONS(11609), 1,
      anon_sym__,
    ACTIONS(11613), 1,
      anon_sym_LPAREN,
    ACTIONS(11615), 1,
      sym__backquoted_id,
    ACTIONS(11617), 1,
      sym_operator_identifier,
    STATE(13163), 1,
      sym__simple_type,
    STATE(13669), 1,
      sym_identifier,
    STATE(13810), 1,
      sym__soft_identifier,
    STATE(16264), 1,
      sym_stable_identifier,
    STATE(9214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11611), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13837), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [449033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449107] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449144] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10097), 1,
      sym_operator_identifier,
    STATE(1689), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8426), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [449197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 17,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449271] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9603), 1,
      sym_operator_identifier,
    STATE(1794), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8426), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [449322] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9425), 1,
      sym_arguments,
    STATE(9222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449361] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9655), 1,
      sym_operator_identifier,
    STATE(1723), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [449412] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449523] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8620), 1,
      sym__alpha_identifier,
    ACTIONS(8622), 1,
      anon_sym__,
    ACTIONS(8626), 1,
      anon_sym_LPAREN,
    ACTIONS(8628), 1,
      sym__backquoted_id,
    ACTIONS(8630), 1,
      sym_operator_identifier,
    STATE(4812), 1,
      sym__simple_type,
    STATE(6468), 1,
      sym_identifier,
    STATE(6596), 1,
      sym__soft_identifier,
    STATE(16224), 1,
      sym_stable_identifier,
    STATE(9227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6224), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [449578] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4866), 1,
      sym__alpha_identifier,
    ACTIONS(4872), 1,
      anon_sym__,
    ACTIONS(4884), 1,
      sym__backquoted_id,
    ACTIONS(6534), 1,
      sym_operator_identifier,
    ACTIONS(7672), 1,
      anon_sym_LPAREN,
    STATE(4324), 1,
      sym__simple_type,
    STATE(4471), 1,
      sym_identifier,
    STATE(4496), 1,
      sym__soft_identifier,
    STATE(16363), 1,
      sym_stable_identifier,
    STATE(9228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(4586), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [449633] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10905), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449672] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9745), 1,
      sym_operator_identifier,
    STATE(1749), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [449725] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9447), 1,
      sym_arguments,
    STATE(9231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449801] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9074), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10705), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [449875] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [449912] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12278), 1,
      sym__alpha_identifier,
    ACTIONS(12280), 1,
      anon_sym__,
    ACTIONS(12284), 1,
      anon_sym_LPAREN,
    ACTIONS(12286), 1,
      sym__backquoted_id,
    ACTIONS(12288), 1,
      sym_operator_identifier,
    STATE(11593), 1,
      sym__simple_type,
    STATE(12403), 1,
      sym__soft_identifier,
    STATE(12486), 1,
      sym_identifier,
    STATE(16837), 1,
      sym_stable_identifier,
    STATE(9236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12282), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(12933), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [449967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(9238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [450117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450154] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8764), 1,
      anon_sym__,
    ACTIONS(8768), 1,
      anon_sym_LPAREN,
    ACTIONS(8770), 1,
      sym__backquoted_id,
    ACTIONS(8772), 1,
      sym_operator_identifier,
    STATE(4510), 1,
      sym__simple_type,
    STATE(5033), 1,
      sym__soft_identifier,
    STATE(5192), 1,
      sym_identifier,
    STATE(16340), 1,
      sym_stable_identifier,
    STATE(9242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(5394), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [450209] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [450246] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9859), 1,
      sym_operator_identifier,
    STATE(1681), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8426), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [450299] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [450412] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9398), 1,
      anon_sym_LBRACE,
    ACTIONS(9400), 1,
      anon_sym_with,
    STATE(7013), 1,
      aux_sym_compound_type_repeat1,
    STATE(8726), 1,
      sym_template_body,
    STATE(8760), 1,
      sym__refinement,
    STATE(8983), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8238), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8236), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450461] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10530), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [450535] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10537), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [450609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450683] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7334), 1,
      anon_sym__,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(8242), 1,
      anon_sym_LPAREN,
    ACTIONS(8244), 1,
      sym_operator_identifier,
    STATE(10978), 1,
      sym__simple_type,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11720), 1,
      sym_identifier,
    STATE(16186), 1,
      sym_stable_identifier,
    STATE(9255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11979), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [450738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450775] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10967), 1,
      anon_sym_COLON,
    ACTIONS(10972), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(10987), 1,
      anon_sym_EQ_GT,
    STATE(17667), 1,
      sym__self_type_ascription,
    STATE(9257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450820] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    ACTIONS(12290), 1,
      anon_sym_COLON,
    STATE(9258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450861] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6432), 1,
      anon_sym__,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(6442), 1,
      sym_operator_identifier,
    ACTIONS(7832), 1,
      anon_sym_LPAREN,
    STATE(5248), 1,
      sym__simple_type,
    STATE(6024), 1,
      sym__soft_identifier,
    STATE(6622), 1,
      sym_identifier,
    STATE(16293), 1,
      sym_stable_identifier,
    STATE(9259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(6696), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [450916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450953] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9072), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [450990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [451027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451064] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9707), 1,
      sym__alpha_identifier,
    ACTIONS(9711), 1,
      anon_sym_EQ,
    ACTIONS(9713), 1,
      sym__backquoted_id,
    ACTIONS(9715), 1,
      sym_operator_identifier,
    STATE(532), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    STATE(9264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9477), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9709), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [451117] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11485), 1,
      anon_sym_LPAREN,
    STATE(9276), 1,
      aux_sym_annotation_repeat1,
    STATE(9995), 1,
      sym_arguments,
    STATE(9265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8872), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9082), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [451234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [451271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451345] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6618), 1,
      sym__alpha_identifier,
    ACTIONS(6620), 1,
      anon_sym__,
    ACTIONS(6628), 1,
      sym__backquoted_id,
    ACTIONS(6630), 1,
      sym_operator_identifier,
    ACTIONS(7792), 1,
      anon_sym_LPAREN,
    STATE(5812), 1,
      sym__simple_type,
    STATE(6877), 1,
      sym_identifier,
    STATE(7078), 1,
      sym__soft_identifier,
    STATE(16266), 1,
      sym_stable_identifier,
    STATE(9271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7940), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [451400] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      sym__alpha_identifier,
    ACTIONS(12294), 1,
      anon_sym__,
    ACTIONS(12298), 1,
      anon_sym_LPAREN,
    ACTIONS(12300), 1,
      sym__backquoted_id,
    ACTIONS(12302), 1,
      sym_operator_identifier,
    STATE(11021), 1,
      sym__simple_type,
    STATE(11162), 1,
      sym__soft_identifier,
    STATE(11778), 1,
      sym_identifier,
    STATE(16873), 1,
      sym_stable_identifier,
    STATE(9272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11824), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [451455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451566] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12304), 1,
      anon_sym_LPAREN,
    STATE(9995), 1,
      sym_arguments,
    STATE(9276), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8894), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451681] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8700), 1,
      sym__alpha_identifier,
    ACTIONS(8702), 1,
      anon_sym__,
    ACTIONS(8706), 1,
      anon_sym_LPAREN,
    ACTIONS(8708), 1,
      sym__backquoted_id,
    ACTIONS(8710), 1,
      sym_operator_identifier,
    STATE(5739), 1,
      sym__simple_type,
    STATE(7690), 1,
      sym__soft_identifier,
    STATE(7932), 1,
      sym_identifier,
    STATE(17012), 1,
      sym_stable_identifier,
    STATE(9279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7874), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [451736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451847] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4197), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [451888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [451925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [451962] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6128), 1,
      anon_sym__,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(6138), 1,
      sym_operator_identifier,
    ACTIONS(7692), 1,
      anon_sym_LPAREN,
    STATE(6253), 1,
      sym__simple_type,
    STATE(7753), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(16238), 1,
      sym_stable_identifier,
    STATE(9286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8349), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [452017] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452091] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12307), 1,
      anon_sym_with,
    STATE(9289), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9584), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9001), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452315] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12310), 1,
      sym__alpha_identifier,
    ACTIONS(12312), 1,
      anon_sym__,
    ACTIONS(12316), 1,
      anon_sym_LPAREN,
    ACTIONS(12318), 1,
      sym__backquoted_id,
    ACTIONS(12320), 1,
      sym_operator_identifier,
    STATE(11083), 1,
      sym__soft_identifier,
    STATE(12566), 1,
      sym__simple_type,
    STATE(13205), 1,
      sym_identifier,
    STATE(16954), 1,
      sym_stable_identifier,
    STATE(9295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(13572), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [452370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 17,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452444] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4209), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9702), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452559] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      sym__alpha_identifier,
    ACTIONS(4898), 1,
      anon_sym__,
    ACTIONS(4908), 1,
      sym__backquoted_id,
    ACTIONS(6754), 1,
      sym_operator_identifier,
    ACTIONS(7812), 1,
      anon_sym_LPAREN,
    STATE(5351), 1,
      sym__simple_type,
    STATE(6026), 1,
      sym__soft_identifier,
    STATE(6127), 1,
      sym_identifier,
    STATE(16208), 1,
      sym_stable_identifier,
    STATE(9301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(7174), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [452614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452651] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9887), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452688] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452725] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [452762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9001), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452836] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9848), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [452873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9070), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [452910] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12322), 1,
      sym__alpha_identifier,
    ACTIONS(12324), 1,
      anon_sym__,
    ACTIONS(12328), 1,
      anon_sym_LPAREN,
    ACTIONS(12330), 1,
      sym__backquoted_id,
    ACTIONS(12332), 1,
      sym_operator_identifier,
    STATE(10716), 1,
      sym__simple_type,
    STATE(11151), 1,
      sym_identifier,
    STATE(11341), 1,
      sym__soft_identifier,
    STATE(16987), 1,
      sym_stable_identifier,
    STATE(9310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12326), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(11511), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [452965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9753), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453002] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(5808), 1,
      sym__end_marker,
    STATE(9312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9062), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10573), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9100), 17,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453300] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8746), 1,
      sym__alpha_identifier,
    ACTIONS(8748), 1,
      anon_sym__,
    ACTIONS(8752), 1,
      anon_sym_LPAREN,
    ACTIONS(8754), 1,
      sym__backquoted_id,
    ACTIONS(8756), 1,
      sym_operator_identifier,
    STATE(6564), 1,
      sym__simple_type,
    STATE(8589), 1,
      sym__soft_identifier,
    STATE(8670), 1,
      sym_identifier,
    STATE(16178), 1,
      sym_stable_identifier,
    STATE(9320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    STATE(8657), 7,
      sym_tuple_type,
      sym_singleton_type,
      sym_stable_type_identifier,
      sym_generic_type,
      sym_projected_type,
      sym__type_identifier,
      sym_wildcard,
  [453355] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(10005), 1,
      sym__alpha_identifier,
    ACTIONS(10011), 1,
      sym__backquoted_id,
    ACTIONS(10013), 1,
      sym_operator_identifier,
    STATE(554), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(9321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8422), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10007), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10009), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [453410] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9788), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453447] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10577), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [453484] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9610), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [453558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6624), 1,
      sym__end_marker,
    STATE(9326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453596] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1190), 1,
      sym__alpha_identifier,
    ACTIONS(1212), 1,
      sym__backquoted_id,
    ACTIONS(12336), 1,
      sym_operator_identifier,
    STATE(5670), 1,
      sym__soft_identifier,
    STATE(8608), 1,
      sym_identifier,
    STATE(9327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1200), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12334), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [453642] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4240), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8634), 2,
      anon_sym_LPAREN,
      sym__backquoted_id,
    STATE(9333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9340), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453898] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4221), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453938] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11979), 1,
      anon_sym_LPAREN,
    STATE(9344), 1,
      aux_sym_annotation_repeat1,
    STATE(10146), 1,
      sym_arguments,
    STATE(9336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8872), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [453980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10705), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454016] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10060), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454052] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454088] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12338), 1,
      anon_sym_with,
    STATE(9340), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454198] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(10005), 1,
      sym__alpha_identifier,
    ACTIONS(10011), 1,
      sym__backquoted_id,
    ACTIONS(10013), 1,
      sym_operator_identifier,
    STATE(554), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(9343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8422), 4,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10007), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10009), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [454250] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12341), 1,
      anon_sym_LPAREN,
    STATE(10146), 1,
      sym_arguments,
    STATE(9344), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8894), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454290] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12344), 1,
      anon_sym_with,
    STATE(9345), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454328] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8848), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12347), 1,
      anon_sym_with,
    STATE(9350), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454546] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454582] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4191), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454730] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [454804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9001), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [454912] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10583), 1,
      sym_operator_identifier,
    STATE(1657), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [454964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455036] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10067), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455144] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455216] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1652), 1,
      sym__alpha_identifier,
    ACTIONS(1674), 1,
      sym__backquoted_id,
    ACTIONS(12352), 1,
      sym_operator_identifier,
    STATE(4557), 1,
      sym__soft_identifier,
    STATE(5824), 1,
      sym_identifier,
    STATE(9370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1662), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12350), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [455262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [455334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455370] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12356), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12354), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [455406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [455442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [455478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455622] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9887), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [455802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8828), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [455982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456162] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11439), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8150), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456272] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9848), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456308] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456344] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12358), 1,
      anon_sym_AT,
    STATE(10299), 1,
      sym_annotation,
    STATE(9401), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8929), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456384] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4234), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456460] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(9404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [456536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [456572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9788), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456644] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10348), 1,
      sym__alpha_identifier,
    ACTIONS(10354), 1,
      sym__backquoted_id,
    ACTIONS(10356), 1,
      sym_operator_identifier,
    ACTIONS(10407), 1,
      anon_sym_EQ,
    STATE(533), 1,
      sym_identifier,
    STATE(4027), 1,
      sym__soft_identifier,
    STATE(9409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [456696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11431), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456734] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11653), 1,
      anon_sym_AT,
    STATE(9471), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10277), 1,
      sym_annotation,
    STATE(9411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8965), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456776] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1600), 1,
      sym__alpha_identifier,
    ACTIONS(1622), 1,
      sym__backquoted_id,
    ACTIONS(12363), 1,
      sym_operator_identifier,
    STATE(4478), 1,
      sym__soft_identifier,
    STATE(5915), 1,
      sym_identifier,
    STATE(9412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1610), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12361), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [456822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9753), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [456858] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10243), 1,
      sym__alpha_identifier,
    ACTIONS(10249), 1,
      sym__backquoted_id,
    ACTIONS(10251), 1,
      sym_operator_identifier,
    ACTIONS(10401), 1,
      anon_sym_EQ,
    STATE(541), 1,
      sym_identifier,
    STATE(4035), 1,
      sym__soft_identifier,
    STATE(9414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10245), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [456910] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1246), 1,
      sym__alpha_identifier,
    ACTIONS(1268), 1,
      sym__backquoted_id,
    ACTIONS(12367), 1,
      sym_operator_identifier,
    STATE(5231), 1,
      sym__soft_identifier,
    STATE(7855), 1,
      sym_identifier,
    STATE(9415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1256), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12365), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [456956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [456992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457100] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10338), 1,
      sym__alpha_identifier,
    ACTIONS(10344), 1,
      sym__backquoted_id,
    ACTIONS(10346), 1,
      sym_operator_identifier,
    ACTIONS(10399), 1,
      anon_sym_EQ,
    STATE(535), 1,
      sym_identifier,
    STATE(4030), 1,
      sym__soft_identifier,
    STATE(9420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 5,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [457152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7220), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9702), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [457548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457692] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10373), 1,
      sym__alpha_identifier,
    ACTIONS(10379), 1,
      sym__backquoted_id,
    ACTIONS(10381), 1,
      sym_operator_identifier,
    ACTIONS(10387), 1,
      anon_sym_EQ,
    STATE(538), 1,
      sym_identifier,
    STATE(4046), 1,
      sym__soft_identifier,
    STATE(9436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10375), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [457744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457852] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12369), 1,
      anon_sym_with,
    STATE(9440), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457926] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4213), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [457966] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458074] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [458332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12374), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12372), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [458476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458584] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12376), 1,
      anon_sym_with,
    STATE(9461), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8790), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [458802] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1708), 1,
      sym__alpha_identifier,
    ACTIONS(1730), 1,
      sym__backquoted_id,
    ACTIONS(12381), 1,
      sym_operator_identifier,
    STATE(6198), 1,
      sym__soft_identifier,
    STATE(9052), 1,
      sym_identifier,
    STATE(9466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12379), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [458848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12383), 1,
      anon_sym_with,
    STATE(9468), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9584), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [458994] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12386), 1,
      anon_sym_AT,
    STATE(10277), 1,
      sym_annotation,
    STATE(9471), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8929), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11180), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459072] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11694), 1,
      anon_sym_AT,
    STATE(9401), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10299), 1,
      sym_annotation,
    STATE(9473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8965), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459150] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4203), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [459190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459226] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(8046), 1,
      sym_operator_identifier,
    STATE(4485), 1,
      sym__soft_identifier,
    STATE(6674), 1,
      sym_identifier,
    STATE(9477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8042), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [459272] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1512), 1,
      sym__alpha_identifier,
    ACTIONS(1534), 1,
      sym__backquoted_id,
    ACTIONS(12391), 1,
      sym_operator_identifier,
    STATE(5790), 1,
      sym__soft_identifier,
    STATE(8235), 1,
      sym_identifier,
    STATE(9478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1522), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12389), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [459318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459354] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459390] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9875), 1,
      sym__alpha_identifier,
    ACTIONS(9881), 1,
      sym__backquoted_id,
    ACTIONS(9883), 1,
      sym_operator_identifier,
    ACTIONS(10690), 1,
      anon_sym_EQ,
    STATE(531), 1,
      sym_identifier,
    STATE(3916), 1,
      sym__soft_identifier,
    STATE(9481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9877), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [459442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459478] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459586] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9859), 1,
      sym_operator_identifier,
    STATE(1681), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8426), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8424), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [459636] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1076), 1,
      sym__alpha_identifier,
    ACTIONS(1098), 1,
      sym__backquoted_id,
    ACTIONS(12395), 1,
      sym_operator_identifier,
    STATE(5433), 1,
      sym__soft_identifier,
    STATE(7930), 1,
      sym_identifier,
    STATE(9487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1086), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12393), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [459682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10095), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10111), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 16,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459898] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [459934] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [459970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(7088), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [460150] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460228] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11380), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460410] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11763), 1,
      anon_sym_LPAREN,
    STATE(9516), 1,
      aux_sym_annotation_repeat1,
    STATE(10248), 1,
      sym_arguments,
    STATE(9508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8872), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460452] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 21,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [460486] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10005), 1,
      sym__alpha_identifier,
    ACTIONS(10011), 1,
      sym__backquoted_id,
    ACTIONS(10013), 1,
      sym_operator_identifier,
    STATE(554), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(9510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10009), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [460536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460572] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460608] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10508), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460686] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10348), 1,
      sym__alpha_identifier,
    ACTIONS(10352), 1,
      anon_sym_EQ,
    ACTIONS(10354), 1,
      sym__backquoted_id,
    ACTIONS(10356), 1,
      sym_operator_identifier,
    STATE(533), 1,
      sym_identifier,
    STATE(4027), 1,
      sym__soft_identifier,
    STATE(9515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [460738] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    STATE(10248), 1,
      sym_arguments,
    ACTIONS(8896), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(9516), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8894), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [460850] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10097), 1,
      sym_operator_identifier,
    STATE(1689), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8426), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [460900] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10373), 1,
      sym__alpha_identifier,
    ACTIONS(10379), 1,
      sym__backquoted_id,
    ACTIONS(10381), 1,
      sym_operator_identifier,
    STATE(538), 1,
      sym_identifier,
    STATE(4046), 1,
      sym__soft_identifier,
    STATE(9520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10375), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [460950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [460986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11360), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 6,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11106), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461134] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10338), 1,
      sym__alpha_identifier,
    ACTIONS(10342), 1,
      anon_sym_EQ,
    ACTIONS(10344), 1,
      sym__backquoted_id,
    ACTIONS(10346), 1,
      sym_operator_identifier,
    STATE(535), 1,
      sym_identifier,
    STATE(4030), 1,
      sym__soft_identifier,
    STATE(9526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [461186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461258] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461294] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(6062), 1,
      sym__end_marker,
    STATE(9530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461404] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10373), 1,
      sym__alpha_identifier,
    ACTIONS(10377), 1,
      anon_sym_EQ,
    ACTIONS(10379), 1,
      sym__backquoted_id,
    ACTIONS(10381), 1,
      sym_operator_identifier,
    STATE(538), 1,
      sym_identifier,
    STATE(4046), 1,
      sym__soft_identifier,
    STATE(9533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10375), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [461456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10577), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461564] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1996), 1,
      sym__alpha_identifier,
    ACTIONS(2018), 1,
      sym__backquoted_id,
    ACTIONS(12402), 1,
      sym_operator_identifier,
    STATE(4691), 1,
      sym__soft_identifier,
    STATE(6103), 1,
      sym_identifier,
    STATE(9537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2006), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12400), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [461610] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10608), 1,
      sym__alpha_identifier,
    ACTIONS(10612), 1,
      anon_sym_EQ,
    ACTIONS(10614), 1,
      sym__backquoted_id,
    ACTIONS(10616), 1,
      sym_operator_identifier,
    STATE(540), 1,
      sym_identifier,
    STATE(4042), 1,
      sym__soft_identifier,
    STATE(9538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
    ACTIONS(10610), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [461662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10573), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [461734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461770] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(4132), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [461842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 5,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461914] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4224), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [461990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462026] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10508), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [462134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462170] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462242] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462350] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4207), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10659), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [462462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462498] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(9562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462574] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(9564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8352), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [462650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462686] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [462758] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [462794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [462830] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462866] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462938] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [462974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9562), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463048] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4202), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463124] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463304] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4226), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463380] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463416] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9943), 1,
      sym__alpha_identifier,
    ACTIONS(9949), 1,
      sym__backquoted_id,
    ACTIONS(9951), 1,
      sym_operator_identifier,
    ACTIONS(10676), 1,
      anon_sym_EQ,
    STATE(530), 1,
      sym_identifier,
    STATE(3948), 1,
      sym__soft_identifier,
    STATE(9587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9945), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [463468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10145), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463612] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(8050), 1,
      sym_operator_identifier,
    STATE(5547), 1,
      sym__soft_identifier,
    STATE(9491), 1,
      sym_identifier,
    STATE(9592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(661), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(8048), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [463658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12406), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12404), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [463802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12410), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12408), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [463838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 17,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [463910] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [463982] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11146), 1,
      sym__alpha_identifier,
    ACTIONS(11152), 1,
      sym__backquoted_id,
    ACTIONS(11154), 1,
      sym_operator_identifier,
    STATE(547), 1,
      sym_identifier,
    STATE(4059), 1,
      sym__soft_identifier,
    STATE(9602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(9477), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(11148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [464032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464068] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1444), 1,
      sym__alpha_identifier,
    ACTIONS(1466), 1,
      sym__backquoted_id,
    ACTIONS(12414), 1,
      sym_operator_identifier,
    STATE(5464), 1,
      sym__soft_identifier,
    STATE(8631), 1,
      sym_identifier,
    STATE(9604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12412), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [464114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464186] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9815), 1,
      sym_arguments,
    STATE(9607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464296] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1370), 1,
      sym__alpha_identifier,
    ACTIONS(1392), 1,
      sym__backquoted_id,
    ACTIONS(12418), 1,
      sym_operator_identifier,
    STATE(6647), 1,
      sym__soft_identifier,
    STATE(8751), 1,
      sym_identifier,
    STATE(9610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12416), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [464342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464414] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10622), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10067), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464672] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(12422), 1,
      sym_operator_identifier,
    STATE(5885), 1,
      sym__soft_identifier,
    STATE(9638), 1,
      sym_identifier,
    STATE(9620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12420), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [464718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464826] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8676), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [464940] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10416), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [464976] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10309), 1,
      sym__alpha_identifier,
    ACTIONS(10313), 1,
      anon_sym_EQ,
    ACTIONS(10315), 1,
      sym__backquoted_id,
    ACTIONS(10317), 1,
      sym_operator_identifier,
    STATE(542), 1,
      sym_identifier,
    STATE(4047), 1,
      sym__soft_identifier,
    STATE(9628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10311), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [465028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [465064] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9978), 1,
      anon_sym_DOT,
    ACTIONS(12290), 1,
      anon_sym_COLON,
    STATE(9630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465176] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1282), 1,
      sym__alpha_identifier,
    ACTIONS(1304), 1,
      sym__backquoted_id,
    ACTIONS(12426), 1,
      sym_operator_identifier,
    STATE(5590), 1,
      sym__soft_identifier,
    STATE(8076), 1,
      sym_identifier,
    STATE(9633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1292), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12424), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [465222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465258] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465294] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9774), 1,
      sym_arguments,
    STATE(9636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465332] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10560), 1,
      sym_operator_identifier,
    STATE(1721), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8426), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [465384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10095), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [465564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10604), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10537), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465636] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10530), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10420), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [465924] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4134), 1,
      sym__backquoted_id,
    STATE(9653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(4132), 7,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(4130), 8,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [465964] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10138), 1,
      sym_operator_identifier,
    STATE(1767), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [466014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10426), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10403), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466302] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10972), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466340] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1834), 1,
      sym__alpha_identifier,
    ACTIONS(1856), 1,
      sym__backquoted_id,
    ACTIONS(12430), 1,
      sym_operator_identifier,
    STATE(6565), 1,
      sym__soft_identifier,
    STATE(8825), 1,
      sym_identifier,
    STATE(9664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1844), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12428), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [466386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10434), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466458] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10383), 1,
      sym_operator_identifier,
    STATE(1717), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [466510] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12432), 1,
      anon_sym_COLON,
    ACTIONS(12435), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10448), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466586] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1318), 1,
      sym__alpha_identifier,
    ACTIONS(1340), 1,
      sym__backquoted_id,
    ACTIONS(12440), 1,
      sym_operator_identifier,
    STATE(4415), 1,
      sym__soft_identifier,
    STATE(5347), 1,
      sym_identifier,
    STATE(9670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1328), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12438), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [466632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_LT_DASH,
  [466668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466740] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [466818] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1004), 1,
      sym__alpha_identifier,
    ACTIONS(1026), 1,
      sym__backquoted_id,
    ACTIONS(12444), 1,
      sym_operator_identifier,
    STATE(4947), 1,
      sym__soft_identifier,
    STATE(6927), 1,
      sym_identifier,
    STATE(9676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1014), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12442), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [466864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466900] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10767), 1,
      sym__alpha_identifier,
    ACTIONS(10773), 1,
      sym__backquoted_id,
    ACTIONS(10775), 1,
      sym_operator_identifier,
    STATE(550), 1,
      sym_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9477), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10769), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [466950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [466986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467022] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4185), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10659), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467098] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
      anon_sym_LT_DASH,
  [467176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10430), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [467248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10111), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467284] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(9688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 7,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10567), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467360] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10452), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10145), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467432] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [467504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467576] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9745), 1,
      sym_operator_identifier,
    STATE(1749), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [467626] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467662] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11090), 1,
      anon_sym_AT,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11229), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11227), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [467708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467780] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9894), 1,
      sym_operator_identifier,
    STATE(1669), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8426), 6,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [467830] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467872] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(9703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [467912] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12448), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12446), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [467948] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11223), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11225), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [468006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9610), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468042] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11090), 1,
      anon_sym_AT,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11236), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11234), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [468088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10060), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468124] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10243), 1,
      sym__alpha_identifier,
    ACTIONS(10249), 1,
      sym__backquoted_id,
    ACTIONS(10251), 1,
      sym_operator_identifier,
    STATE(541), 1,
      sym_identifier,
    STATE(4035), 1,
      sym__soft_identifier,
    STATE(9709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10245), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [468174] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10243), 1,
      sym__alpha_identifier,
    ACTIONS(10247), 1,
      anon_sym_EQ,
    ACTIONS(10249), 1,
      sym__backquoted_id,
    ACTIONS(10251), 1,
      sym_operator_identifier,
    STATE(541), 1,
      sym_identifier,
    STATE(4035), 1,
      sym__soft_identifier,
    STATE(9710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_case,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10245), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [468226] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12452), 6,
      sym__simple_multiline_string,
      sym__simple_string,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym_floating_point_literal,
      sym_character_literal,
    ACTIONS(12450), 15,
      anon_sym__,
      anon_sym_given,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_SQUOTE,
      sym__alpha_identifier,
      sym_operator_identifier,
      sym_integer_literal,
      anon_sym_true,
      anon_sym_false,
      sym_null_literal,
  [468262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10464), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468334] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(9714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468374] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1922), 1,
      sym__alpha_identifier,
    ACTIONS(1944), 1,
      sym__backquoted_id,
    ACTIONS(12456), 1,
      sym_operator_identifier,
    STATE(4744), 1,
      sym__soft_identifier,
    STATE(6606), 1,
      sym_identifier,
    STATE(9715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(1932), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
    ACTIONS(12454), 10,
      anon_sym_given,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_try,
      anon_sym_new,
      anon_sym_this,
      anon_sym_extension,
      anon_sym_val,
  [468420] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9340), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [468534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468606] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468642] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [468720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468756] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10279), 1,
      sym_operator_identifier,
    STATE(1704), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [468808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [468844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468880] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10482), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [468916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [468952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9757), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [468988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [469024] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469059] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10279), 1,
      sym_operator_identifier,
    STATE(1704), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [469108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469178] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469248] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(7161), 1,
      sym__end_marker,
    STATE(9738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10030), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469320] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8676), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469361] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    ACTIONS(11961), 1,
      anon_sym_EQ_GT,
    STATE(9741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469400] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469435] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469470] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_EQ_GT,
    ACTIONS(8356), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(9396), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      anon_sym_LBRACE,
    ACTIONS(9400), 1,
      anon_sym_with,
    STATE(4986), 1,
      aux_sym_compound_type_repeat1,
    STATE(8725), 1,
      sym__refinement,
    STATE(8726), 1,
      sym_template_body,
    STATE(8983), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(9744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469523] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469593] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469628] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(9748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469772] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(9752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469811] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [469881] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [469957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [469992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470027] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470062] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470138] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470208] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [470313] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470348] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470383] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12458), 1,
      anon_sym_with,
    STATE(9769), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9584), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470455] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470560] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470700] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11621), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(14842), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470761] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(11641), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15525), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470822] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10767), 1,
      sym__alpha_identifier,
    ACTIONS(10771), 1,
      anon_sym_EQ,
    ACTIONS(10773), 1,
      sym__backquoted_id,
    ACTIONS(10775), 1,
      sym_operator_identifier,
    STATE(550), 1,
      sym_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(9780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9477), 4,
      anon_sym_match,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10769), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [470908] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12463), 1,
      anon_sym_LPAREN,
    STATE(10694), 1,
      sym_parameters,
    STATE(10758), 1,
      sym__using_parameters_clause,
    STATE(9782), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_extension_definition_repeat1,
    ACTIONS(12461), 16,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [470947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [470982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471017] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 5,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471198] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471239] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471274] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(11092), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(9792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471333] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471368] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471403] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10888), 1,
      sym_operator_identifier,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8426), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471489] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471524] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471559] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(11092), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(9799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471653] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10383), 1,
      sym_operator_identifier,
    STATE(1717), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [471702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [471737] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471772] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471877] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471912] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(9808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471951] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(9809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 5,
      anon_sym_COLON,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [471990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [472025] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472060] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472171] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10705), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472206] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472241] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472381] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472451] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472486] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472521] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472591] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [472667] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10309), 1,
      sym__alpha_identifier,
    ACTIONS(10315), 1,
      sym__backquoted_id,
    ACTIONS(10317), 1,
      sym_operator_identifier,
    STATE(542), 1,
      sym_identifier,
    STATE(4047), 1,
      sym__soft_identifier,
    STATE(9829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10311), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472716] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472751] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472821] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11588), 1,
      anon_sym_DOT,
    ACTIONS(11590), 1,
      anon_sym_STAR,
    ACTIONS(11592), 1,
      anon_sym_EQ_GT,
    ACTIONS(11594), 1,
      anon_sym_if,
    ACTIONS(11596), 1,
      anon_sym_AT,
    ACTIONS(11598), 1,
      anon_sym_PIPE,
    ACTIONS(11600), 1,
      sym_operator_identifier,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(16920), 1,
      sym_guard,
    STATE(9833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472882] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10560), 1,
      sym_operator_identifier,
    STATE(1721), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8426), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [472931] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(9835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [472970] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473005] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9612), 1,
      sym__backquoted_id,
    STATE(9837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9610), 19,
      anon_sym_end,
      anon_sym_val,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_opaque,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473110] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8150), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473145] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [473180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473320] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4236), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473394] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11146), 1,
      sym__alpha_identifier,
    ACTIONS(11150), 1,
      anon_sym_EQ,
    ACTIONS(11152), 1,
      sym__backquoted_id,
    ACTIONS(11154), 1,
      sym_operator_identifier,
    STATE(547), 1,
      sym_identifier,
    STATE(4059), 1,
      sym__soft_identifier,
    STATE(9848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_then,
    ACTIONS(9473), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(11148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473515] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11582), 1,
      anon_sym_COLON,
    ACTIONS(11584), 1,
      anon_sym_EQ,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15513), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473611] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11570), 1,
      anon_sym_COLON,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11576), 1,
      anon_sym_EQ,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15507), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473672] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473777] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12468), 1,
      anon_sym_COLON,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(12471), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [473853] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11002), 1,
      sym__alpha_identifier,
    ACTIONS(11008), 1,
      sym__backquoted_id,
    ACTIONS(11010), 1,
      sym_operator_identifier,
    ACTIONS(11170), 1,
      anon_sym_EQ,
    STATE(559), 1,
      sym_identifier,
    STATE(4052), 1,
      sym__soft_identifier,
    STATE(9859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11004), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [473904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473939] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10600), 1,
      anon_sym_EQ_GT,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    STATE(9861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [473978] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11562), 1,
      anon_sym_COLON,
    ACTIONS(8384), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(11565), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474019] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9792), 1,
      anon_sym_EQ_GT,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    STATE(9863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474093] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474128] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(9866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474204] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11002), 1,
      sym__alpha_identifier,
    ACTIONS(11008), 1,
      sym__backquoted_id,
    ACTIONS(11010), 1,
      sym_operator_identifier,
    STATE(559), 1,
      sym_identifier,
    STATE(4052), 1,
      sym__soft_identifier,
    STATE(9868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(11004), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [474253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474323] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474393] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4216), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474432] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474473] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474613] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474683] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474823] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474893] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [474963] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [474998] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11826), 1,
      anon_sym_COLON,
    ACTIONS(11828), 1,
      anon_sym_EQ,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15014), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [475059] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9221), 1,
      anon_sym_EQ_GT,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    STATE(9891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475133] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475168] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11830), 1,
      anon_sym_COLON,
    ACTIONS(11832), 1,
      anon_sym_EQ,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15008), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [475229] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    ACTIONS(11365), 1,
      anon_sym_EQ_GT,
    STATE(9895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475303] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475373] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10005), 1,
      sym__alpha_identifier,
    ACTIONS(10011), 1,
      sym__backquoted_id,
    ACTIONS(10013), 1,
      sym_operator_identifier,
    ACTIONS(11046), 1,
      anon_sym_EQ,
    STATE(554), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(9899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(10009), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [475424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475529] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475599] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475634] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [475669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475704] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4235), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475743] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475813] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(9911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475852] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [475887] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11822), 1,
      anon_sym_COLON,
    ACTIONS(11824), 1,
      anon_sym_EQ,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(14778), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [475948] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11818), 1,
      anon_sym_COLON,
    ACTIONS(11820), 1,
      anon_sym_EQ,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(14776), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476009] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476044] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476079] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [476114] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476149] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10338), 1,
      sym__alpha_identifier,
    ACTIONS(10344), 1,
      sym__backquoted_id,
    ACTIONS(10346), 1,
      sym_operator_identifier,
    ACTIONS(11076), 1,
      anon_sym_EQ,
    STATE(535), 1,
      sym_identifier,
    STATE(4030), 1,
      sym__soft_identifier,
    STATE(9919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10340), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476235] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11810), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(9922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476309] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [476344] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9707), 1,
      sym__alpha_identifier,
    ACTIONS(9713), 1,
      sym__backquoted_id,
    ACTIONS(9715), 1,
      sym_operator_identifier,
    ACTIONS(11042), 1,
      anon_sym_EQ,
    STATE(532), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    ACTIONS(9473), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(9924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9709), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [476395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [476500] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476541] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4227), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [476650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [476685] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    ACTIONS(10910), 1,
      anon_sym_EQ_GT,
    STATE(9933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476724] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4237), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [476798] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4215), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 13,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476837] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4200), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(9937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [476911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [476946] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9841), 1,
      anon_sym_EQ_GT,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    STATE(9940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [476985] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [477020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [477055] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9815), 1,
      anon_sym_EQ_GT,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    STATE(9943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477094] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10348), 1,
      sym__alpha_identifier,
    ACTIONS(10354), 1,
      sym__backquoted_id,
    ACTIONS(10356), 1,
      sym_operator_identifier,
    ACTIONS(11115), 1,
      anon_sym_EQ,
    STATE(533), 1,
      sym_identifier,
    STATE(4027), 1,
      sym__soft_identifier,
    STATE(9944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10350), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [477145] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10005), 1,
      sym__alpha_identifier,
    ACTIONS(10011), 1,
      sym__backquoted_id,
    ACTIONS(10013), 1,
      sym_operator_identifier,
    ACTIONS(11031), 1,
      anon_sym_EQ,
    STATE(554), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(9945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(10009), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [477196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477301] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [477336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [477371] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    ACTIONS(10886), 1,
      anon_sym_EQ_GT,
    STATE(9951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477410] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    ACTIONS(11014), 1,
      anon_sym_EQ_GT,
    STATE(9952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477484] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    ACTIONS(11358), 1,
      anon_sym_EQ_GT,
    STATE(9954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477523] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477564] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12474), 1,
      anon_sym_COLON,
    ACTIONS(12477), 1,
      anon_sym_LBRACE,
    STATE(10759), 1,
      sym_template_body,
    STATE(9956), 2,
      sym_comment,
      sym_block_comment,
    STATE(10946), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(9271), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9263), 11,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477642] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477677] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11757), 1,
      anon_sym_COMMA,
    ACTIONS(11759), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15108), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [477738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [477773] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12480), 1,
      anon_sym_DOT,
    STATE(9961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477810] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [477845] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477880] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(9964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [477941] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9409), 1,
      anon_sym_EQ_GT,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    STATE(9965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [477980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478015] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478050] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9683), 1,
      anon_sym_EQ_GT,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    STATE(9968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478089] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(9969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478200] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11750), 1,
      anon_sym_COLON,
    ACTIONS(11752), 1,
      anon_sym_EQ,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15014), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [478261] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478296] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11746), 1,
      anon_sym_COLON,
    ACTIONS(11748), 1,
      anon_sym_EQ,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15008), 1,
      aux_sym_val_declaration_repeat1,
    STATE(9974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [478357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478427] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [478532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478602] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12482), 1,
      anon_sym_AT,
    STATE(10641), 1,
      sym_annotation,
    ACTIONS(8931), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(9982), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8929), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478711] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10452), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478851] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478886] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10829), 1,
      sym__alpha_identifier,
    ACTIONS(10833), 1,
      anon_sym_EQ,
    ACTIONS(10835), 1,
      sym__backquoted_id,
    ACTIONS(10837), 1,
      sym_operator_identifier,
    STATE(557), 1,
      sym_identifier,
    STATE(4051), 1,
      sym__soft_identifier,
    STATE(9990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10831), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [478937] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [478972] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9109), 1,
      anon_sym_EQ_GT,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    STATE(9992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479046] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479151] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11507), 1,
      sym__alpha_identifier,
    ACTIONS(11513), 1,
      sym__backquoted_id,
    ACTIONS(11515), 1,
      sym_operator_identifier,
    STATE(565), 1,
      sym_identifier,
    STATE(4071), 1,
      sym__soft_identifier,
    STATE(9997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9477), 5,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(11509), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479235] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(9999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479305] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9345), 1,
      anon_sym_EQ_GT,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    STATE(10001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479344] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479379] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(11000), 1,
      sym_operator_identifier,
    STATE(1737), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8426), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479430] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479535] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11713), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [479572] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    ACTIONS(11834), 1,
      anon_sym_EQ_GT,
    STATE(10008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479611] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479646] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11002), 1,
      sym__alpha_identifier,
    ACTIONS(11006), 1,
      anon_sym_EQ,
    ACTIONS(11008), 1,
      sym__backquoted_id,
    ACTIONS(11010), 1,
      sym_operator_identifier,
    STATE(559), 1,
      sym_identifier,
    STATE(4052), 1,
      sym__soft_identifier,
    STATE(10010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11004), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479767] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479802] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479837] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479907] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10974), 1,
      sym__alpha_identifier,
    ACTIONS(10980), 1,
      sym__backquoted_id,
    ACTIONS(10982), 1,
      sym_operator_identifier,
    ACTIONS(10998), 1,
      anon_sym_EQ,
    STATE(544), 1,
      sym_identifier,
    STATE(4058), 1,
      sym__soft_identifier,
    STATE(10017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10976), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [479958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [479993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480028] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480069] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9707), 1,
      sym__alpha_identifier,
    ACTIONS(9713), 1,
      sym__backquoted_id,
    ACTIONS(9715), 1,
      sym_operator_identifier,
    ACTIONS(10991), 1,
      anon_sym_EQ,
    STATE(532), 1,
      sym_identifier,
    STATE(4025), 1,
      sym__soft_identifier,
    ACTIONS(9473), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 5,
      anon_sym_match,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(9709), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480155] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    ACTIONS(11060), 1,
      anon_sym_EQ_GT,
    STATE(10023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480229] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480299] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [480334] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480369] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480474] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10230), 1,
      anon_sym_EQ_GT,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    STATE(10032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480583] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10190), 1,
      anon_sym_EQ_GT,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    STATE(10035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480622] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480663] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480733] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [480768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480803] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10974), 1,
      sym__alpha_identifier,
    ACTIONS(10978), 1,
      anon_sym_EQ,
    ACTIONS(10980), 1,
      sym__backquoted_id,
    ACTIONS(10982), 1,
      sym_operator_identifier,
    STATE(544), 1,
      sym_identifier,
    STATE(4058), 1,
      sym__soft_identifier,
    STATE(10041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_case,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10976), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [480854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480959] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [480994] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481099] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481169] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10974), 1,
      sym__alpha_identifier,
    ACTIONS(10980), 1,
      sym__backquoted_id,
    ACTIONS(10982), 1,
      sym_operator_identifier,
    STATE(544), 1,
      sym_identifier,
    STATE(4058), 1,
      sym__soft_identifier,
    STATE(10051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(9477), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(10976), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481218] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10926), 1,
      sym__alpha_identifier,
    ACTIONS(10932), 1,
      anon_sym_EQ,
    ACTIONS(10934), 1,
      sym__backquoted_id,
    ACTIONS(10936), 1,
      sym_operator_identifier,
    STATE(555), 1,
      sym_identifier,
    STATE(4061), 1,
      sym__soft_identifier,
    STATE(10052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10930), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481304] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 20,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [481372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481407] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
      anon_sym_yield,
  [481477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481512] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10583), 1,
      sym_operator_identifier,
    STATE(1657), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8426), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481561] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10799), 1,
      sym_operator_identifier,
    STATE(1799), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8426), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [481682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481717] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481822] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481861] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10641), 1,
      anon_sym_EQ_GT,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    STATE(10069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [481935] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11681), 1,
      anon_sym_COMMA,
    ACTIONS(11683), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(14896), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [481996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482031] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9465), 1,
      anon_sym_EQ_GT,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    STATE(10073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 15,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482175] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482210] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11674), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15072), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482341] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482376] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482417] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11588), 1,
      anon_sym_DOT,
    ACTIONS(11590), 1,
      anon_sym_STAR,
    ACTIONS(11594), 1,
      anon_sym_if,
    ACTIONS(11596), 1,
      anon_sym_AT,
    ACTIONS(11598), 1,
      anon_sym_PIPE,
    ACTIONS(11600), 1,
      sym_operator_identifier,
    ACTIONS(11672), 1,
      anon_sym_EQ_GT,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(17756), 1,
      sym_guard,
    STATE(10083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482478] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4232), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482587] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11668), 1,
      anon_sym_COLON,
    ACTIONS(11670), 1,
      anon_sym_EQ,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(14778), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482648] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11664), 1,
      anon_sym_COLON,
    ACTIONS(11666), 1,
      anon_sym_EQ,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(14776), 1,
      aux_sym_val_declaration_repeat1,
    STATE(10088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [482709] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11904), 1,
      anon_sym_AT,
    STATE(9982), 1,
      aux_sym_enum_definition_repeat1,
    STATE(10641), 1,
      sym_annotation,
    STATE(10089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8965), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482750] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    ACTIONS(11522), 1,
      anon_sym_EQ_GT,
    STATE(10090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482859] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482929] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9610), 16,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9001), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [482999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483069] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9100), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483209] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    ACTIONS(12485), 1,
      anon_sym_EQ_GT,
    STATE(10103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483248] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483289] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483324] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483359] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483429] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11236), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11234), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [483509] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9757), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483579] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483614] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [483649] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [483754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483789] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11223), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(11225), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(10119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [483846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 15,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483951] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [483986] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484021] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11229), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11227), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484066] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    ACTIONS(11643), 1,
      anon_sym_EQ_GT,
    STATE(10126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(8508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484105] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484241] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12487), 1,
      anon_sym_with,
    STATE(10131), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9584), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11983), 15,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [484345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484379] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11971), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484435] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4640), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12492), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8932), 1,
      sym_colon_argument,
    STATE(6015), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10136), 2,
      sym_comment,
      sym_block_comment,
    STATE(16848), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484487] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10420), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484595] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484629] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12494), 1,
      anon_sym_RBRACE,
    ACTIONS(12498), 1,
      anon_sym_given,
    ACTIONS(12500), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14608), 1,
      sym_identifier,
    ACTIONS(12496), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10141), 2,
      sym_comment,
      sym_block_comment,
    STATE(16097), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484679] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11507), 1,
      sym__alpha_identifier,
    ACTIONS(11511), 1,
      anon_sym_EQ,
    ACTIONS(11513), 1,
      sym__backquoted_id,
    ACTIONS(11515), 1,
      sym_operator_identifier,
    STATE(565), 1,
      sym_identifier,
    STATE(4071), 1,
      sym__soft_identifier,
    STATE(10142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9477), 3,
      anon_sym_match,
      anon_sym_then,
      anon_sym_finally,
    ACTIONS(11509), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484763] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10608), 1,
      sym__alpha_identifier,
    ACTIONS(10614), 1,
      sym__backquoted_id,
    ACTIONS(10616), 1,
      sym_operator_identifier,
    ACTIONS(11412), 1,
      anon_sym_EQ,
    STATE(540), 1,
      sym_identifier,
    STATE(4042), 1,
      sym__soft_identifier,
    ACTIONS(9473), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 4,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10610), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484881] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [484915] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(11000), 1,
      sym_operator_identifier,
    STATE(1737), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8426), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [484963] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485003] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485037] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4422), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12502), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10518), 1,
      sym_colon_argument,
    STATE(9163), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10151), 2,
      sym_comment,
      sym_block_comment,
    STATE(16243), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485123] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485191] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12504), 1,
      anon_sym_implicit,
    ACTIONS(12506), 1,
      anon_sym_using,
    ACTIONS(12508), 1,
      anon_sym_RPAREN,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(14765), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485251] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9102), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485319] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10600), 1,
      anon_sym_EQ_GT,
    STATE(10158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9887), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485491] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [485525] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9848), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485559] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4244), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12512), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10444), 1,
      sym_colon_argument,
    STATE(9035), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10165), 2,
      sym_comment,
      sym_block_comment,
    STATE(16203), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485611] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9378), 1,
      anon_sym_LPAREN,
    ACTIONS(12514), 1,
      anon_sym_LBRACK,
    ACTIONS(12516), 1,
      anon_sym_POUND,
    STATE(10943), 1,
      aux_sym_annotation_repeat1,
    STATE(10997), 1,
      sym_type_arguments,
    STATE(11356), 1,
      sym_arguments,
    STATE(10166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [485655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485723] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12498), 1,
      anon_sym_given,
    ACTIONS(12500), 1,
      sym_operator_identifier,
    ACTIONS(12518), 1,
      anon_sym_RBRACE,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14608), 1,
      sym_identifier,
    ACTIONS(12496), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10169), 2,
      sym_comment,
      sym_block_comment,
    STATE(16097), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [485773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9788), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [485841] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485875] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485915] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485949] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [485983] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9792), 1,
      anon_sym_EQ_GT,
    STATE(10176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486053] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486125] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10888), 1,
      sym_operator_identifier,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8426), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486173] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8130), 1,
      sym__backquoted_id,
    ACTIONS(12520), 1,
      anon_sym_LBRACK,
    ACTIONS(12522), 1,
      anon_sym_LPAREN,
    ACTIONS(12524), 1,
      anon_sym_POUND,
    STATE(10795), 1,
      aux_sym_annotation_repeat1,
    STATE(11025), 1,
      sym_type_arguments,
    STATE(11136), 1,
      sym_arguments,
    STATE(10181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8128), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9753), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486389] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486457] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9221), 1,
      anon_sym_EQ_GT,
    STATE(10189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9702), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486561] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486595] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4310), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12526), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9493), 1,
      sym_colon_argument,
    STATE(6776), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10193), 2,
      sym_comment,
      sym_block_comment,
    STATE(16281), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486647] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486681] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4206), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486719] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10426), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486753] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10403), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486787] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486821] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11365), 1,
      anon_sym_EQ_GT,
    STATE(10199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10577), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [486891] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4206), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12528), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10098), 1,
      sym_colon_argument,
    STATE(7469), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10201), 2,
      sym_comment,
      sym_block_comment,
    STATE(16167), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [486943] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [486977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9107), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10508), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9702), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [487079] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12530), 1,
      anon_sym_with,
    STATE(10206), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9584), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487115] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [487149] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(11520), 1,
      sym_operator_identifier,
    STATE(1787), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8426), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487199] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10829), 1,
      sym__alpha_identifier,
    ACTIONS(10835), 1,
      sym__backquoted_id,
    ACTIONS(10837), 1,
      sym_operator_identifier,
    STATE(557), 1,
      sym_identifier,
    STATE(4051), 1,
      sym__soft_identifier,
    STATE(10209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10831), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487281] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10888), 1,
      sym_operator_identifier,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(9477), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9753), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [487363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487397] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4374), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12533), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10133), 1,
      sym_colon_argument,
    STATE(8524), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10214), 2,
      sym_comment,
      sym_block_comment,
    STATE(16807), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487449] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487483] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487517] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487551] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10434), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487585] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(7088), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487619] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10910), 1,
      anon_sym_EQ_GT,
    STATE(10220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487655] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10573), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [487723] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11961), 1,
      anon_sym_EQ_GT,
    STATE(10223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487759] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487793] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10448), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487827] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [487861] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    ACTIONS(12535), 1,
      anon_sym_implicit,
    ACTIONS(12537), 1,
      anon_sym_using,
    ACTIONS(12539), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(14981), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [487921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [487955] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10430), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [487989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488091] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(1710), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8426), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488141] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(11433), 1,
      sym_operator_identifier,
    STATE(1768), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8426), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488191] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11874), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488247] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10799), 1,
      sym_operator_identifier,
    STATE(1799), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8426), 3,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488295] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11370), 1,
      sym__alpha_identifier,
    ACTIONS(11376), 1,
      sym__backquoted_id,
    ACTIONS(11435), 1,
      anon_sym_EQ,
    ACTIONS(11437), 1,
      sym_operator_identifier,
    STATE(576), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11372), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488379] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9788), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [488413] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12543), 1,
      anon_sym_LBRACK,
    ACTIONS(12545), 1,
      anon_sym_AT,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(12551), 1,
      sym__automatic_semicolon,
    STATE(10797), 1,
      sym_type_parameters,
    STATE(11344), 1,
      sym_annotation,
    STATE(12606), 1,
      sym_access_modifier,
    STATE(12608), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    ACTIONS(12547), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12541), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [488465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488533] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4342), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12554), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10642), 1,
      sym_colon_argument,
    STATE(8856), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10243), 2,
      sym_comment,
      sym_block_comment,
    STATE(16165), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488585] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4172), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12556), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10782), 1,
      sym_colon_argument,
    STATE(9359), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10244), 2,
      sym_comment,
      sym_block_comment,
    STATE(16934), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9848), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [488671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488705] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [488739] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488773] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488807] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9841), 1,
      anon_sym_EQ_GT,
    STATE(10250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488843] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11941), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [488899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [488933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(4132), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [488967] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4634), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12558), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9406), 1,
      sym_colon_argument,
    STATE(7069), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10254), 2,
      sym_comment,
      sym_block_comment,
    STATE(16326), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489019] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11879), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489075] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [489109] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 4,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489143] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489177] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(4950), 1,
      anon_sym_implicit,
    ACTIONS(4956), 1,
      anon_sym_using,
    ACTIONS(4958), 1,
      anon_sym_RPAREN,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15414), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489271] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9887), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [489305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489339] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4238), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12560), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10807), 1,
      sym_colon_argument,
    STATE(9559), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10263), 2,
      sym_comment,
      sym_block_comment,
    STATE(16763), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489425] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489459] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489493] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489527] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489567] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489669] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489703] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [489737] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10886), 1,
      anon_sym_EQ_GT,
    STATE(10274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489773] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4738), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12562), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(8671), 1,
      sym_colon_argument,
    STATE(5642), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10275), 2,
      sym_comment,
      sym_block_comment,
    STATE(16370), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489825] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 6,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9610), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [489897] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [489931] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4416), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12564), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10735), 1,
      sym_colon_argument,
    STATE(9665), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10279), 2,
      sym_comment,
      sym_block_comment,
    STATE(16195), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [489983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [490017] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 4,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490057] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10416), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490091] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490125] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4210), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490163] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490231] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11358), 1,
      anon_sym_EQ_GT,
    STATE(10287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490301] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11497), 1,
      sym__alpha_identifier,
    ACTIONS(11501), 1,
      anon_sym_EQ,
    ACTIONS(11503), 1,
      sym__backquoted_id,
    ACTIONS(11505), 1,
      sym_operator_identifier,
    STATE(573), 1,
      sym_identifier,
    STATE(4069), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11499), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490385] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11014), 1,
      anon_sym_EQ_GT,
    STATE(10291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490421] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11966), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490511] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4280), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12566), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10956), 1,
      sym_colon_argument,
    STATE(10030), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10294), 2,
      sym_comment,
      sym_block_comment,
    STATE(16697), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490563] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490597] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10622), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490665] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9610), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490733] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11092), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490789] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490823] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    ACTIONS(11092), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490879] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490913] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12568), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(11881), 1,
      sym_colon_argument,
    STATE(10304), 2,
      sym_comment,
      sym_block_comment,
    STATE(10713), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(16416), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [490965] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [490999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491033] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491067] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9117), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491135] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491169] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4176), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12570), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10668), 1,
      sym_colon_argument,
    STATE(9727), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10311), 2,
      sym_comment,
      sym_block_comment,
    STATE(17039), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10604), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10537), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491289] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(11489), 1,
      sym_operator_identifier,
    STATE(1677), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8426), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491339] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491373] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [491407] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11890), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491463] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [491531] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10464), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491603] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [491637] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [491671] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 15,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [491705] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11900), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [491741] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491815] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_STAR,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491855] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491889] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10608), 1,
      sym__alpha_identifier,
    ACTIONS(10614), 1,
      sym__backquoted_id,
    ACTIONS(10616), 1,
      sym_operator_identifier,
    ACTIONS(11349), 1,
      anon_sym_EQ,
    STATE(540), 1,
      sym_identifier,
    STATE(4042), 1,
      sym__soft_identifier,
    ACTIONS(9473), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(10610), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [491939] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [491977] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 4,
      anon_sym_DOT,
      anon_sym_LPAREN,
      sym__backquoted_id,
      sym__interpolated_multiline_string_start,
    ACTIONS(7088), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_DQUOTE,
  [492045] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492079] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492119] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9757), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492153] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8196), 15,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492187] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9409), 1,
      anon_sym_EQ_GT,
    STATE(10338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492223] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9345), 1,
      anon_sym_EQ_GT,
    STATE(10339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492259] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492293] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492333] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4220), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492371] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4712), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12572), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9285), 1,
      sym_colon_argument,
    STATE(6535), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10343), 2,
      sym_comment,
      sym_block_comment,
    STATE(16225), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492457] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10530), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492491] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10926), 1,
      sym__alpha_identifier,
    ACTIONS(10934), 1,
      sym__backquoted_id,
    ACTIONS(10936), 1,
      sym_operator_identifier,
    STATE(555), 1,
      sym_identifier,
    STATE(4061), 1,
      sym__soft_identifier,
    STATE(10346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10930), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8260), 15,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [492573] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492675] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4792), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12574), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9465), 1,
      sym_colon_argument,
    STATE(6890), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10351), 2,
      sym_comment,
      sym_block_comment,
    STATE(16660), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492727] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4166), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12576), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(11067), 1,
      sym_colon_argument,
    STATE(9884), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10352), 2,
      sym_comment,
      sym_block_comment,
    STATE(16473), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492779] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9683), 1,
      anon_sym_EQ_GT,
    STATE(10353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492815] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(11443), 1,
      sym_operator_identifier,
    STATE(1789), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8426), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [492865] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492899] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10468), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [492967] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493001] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10641), 1,
      anon_sym_EQ_GT,
    STATE(10359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493037] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493077] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10005), 1,
      sym__alpha_identifier,
    ACTIONS(10011), 1,
      sym__backquoted_id,
    ACTIONS(11445), 1,
      anon_sym_EQ,
    ACTIONS(11447), 1,
      sym_operator_identifier,
    STATE(570), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10009), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493127] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493161] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493195] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4274), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12578), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(11211), 1,
      sym_colon_argument,
    STATE(10364), 2,
      sym_comment,
      sym_block_comment,
    STATE(10385), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(17011), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493281] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493315] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493383] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493417] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493451] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4486), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12580), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10058), 1,
      sym_colon_argument,
    STATE(7685), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10371), 2,
      sym_comment,
      sym_block_comment,
    STATE(17180), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493537] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493571] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10508), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493605] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493645] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11229), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11227), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [493685] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4223), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493723] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11229), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11227), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [493763] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12498), 1,
      anon_sym_given,
    ACTIONS(12500), 1,
      sym_operator_identifier,
    ACTIONS(12582), 1,
      anon_sym_RBRACE,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14608), 1,
      sym_identifier,
    ACTIONS(12496), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10379), 2,
      sym_comment,
      sym_block_comment,
    STATE(16097), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [493813] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11522), 1,
      anon_sym_EQ_GT,
    STATE(10380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493883] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493917] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      sym__backquoted_id,
    ACTIONS(11588), 1,
      anon_sym_DOT,
    ACTIONS(11596), 1,
      anon_sym_AT,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11234), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493961] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [493995] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10472), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494029] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494063] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9109), 1,
      anon_sym_EQ_GT,
    STATE(10387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494099] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11223), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11225), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494151] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494185] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494219] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11643), 1,
      anon_sym_EQ_GT,
    STATE(10391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494255] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4832), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12584), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9770), 1,
      sym_colon_argument,
    STATE(7428), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10392), 2,
      sym_comment,
      sym_block_comment,
    STATE(16255), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10482), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494341] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11223), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11225), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494393] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11834), 1,
      anon_sym_EQ_GT,
    STATE(10395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494429] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4410), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12586), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10530), 1,
      sym_colon_argument,
    STATE(9006), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10396), 2,
      sym_comment,
      sym_block_comment,
    STATE(16514), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494481] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494515] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11236), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11234), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [494555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494623] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10567), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494691] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494725] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11229), 1,
      sym__backquoted_id,
    ACTIONS(11588), 1,
      anon_sym_DOT,
    ACTIONS(11596), 1,
      anon_sym_AT,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11227), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494769] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11370), 1,
      sym__alpha_identifier,
    ACTIONS(11374), 1,
      anon_sym_EQ,
    ACTIONS(11376), 1,
      sym__backquoted_id,
    ACTIONS(11378), 1,
      sym_operator_identifier,
    STATE(627), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11372), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494819] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11236), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11234), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [494859] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12498), 1,
      anon_sym_given,
    ACTIONS(12500), 1,
      sym_operator_identifier,
    ACTIONS(12588), 1,
      anon_sym_RBRACE,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14608), 1,
      sym_identifier,
    ACTIONS(12496), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10407), 2,
      sym_comment,
      sym_block_comment,
    STATE(16097), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [494909] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4190), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494947] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [494981] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495053] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495087] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495121] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4233), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10659), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495159] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11060), 1,
      anon_sym_EQ_GT,
    STATE(10415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495195] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4380), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12590), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10154), 1,
      sym_colon_argument,
    STATE(8700), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10416), 2,
      sym_comment,
      sym_block_comment,
    STATE(16609), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495247] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12485), 1,
      anon_sym_EQ_GT,
    STATE(10417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495283] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 16,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495351] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4217), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10659), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495389] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4578), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12592), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10230), 1,
      sym_colon_argument,
    STATE(8193), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10421), 2,
      sym_comment,
      sym_block_comment,
    STATE(16282), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495441] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495479] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495513] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495581] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495649] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9465), 1,
      anon_sym_EQ_GT,
    STATE(10428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495685] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495719] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(11370), 1,
      sym__alpha_identifier,
    ACTIONS(11376), 1,
      sym__backquoted_id,
    ACTIONS(11378), 1,
      sym_operator_identifier,
    STATE(627), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(8422), 2,
      anon_sym_COLON,
      anon_sym_if,
    STATE(10430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10007), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(11372), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495771] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [495805] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495839] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495873] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495907] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11588), 1,
      anon_sym_DOT,
    ACTIONS(11590), 1,
      anon_sym_STAR,
    ACTIONS(11596), 1,
      anon_sym_AT,
    ACTIONS(11600), 1,
      sym_operator_identifier,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11225), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [495961] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9815), 1,
      anon_sym_EQ_GT,
    STATE(10436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [495997] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11452), 1,
      sym__alpha_identifier,
    ACTIONS(11456), 1,
      anon_sym_EQ,
    ACTIONS(11458), 1,
      sym__backquoted_id,
    ACTIONS(11460), 1,
      sym_operator_identifier,
    STATE(569), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496047] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496115] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10230), 1,
      anon_sym_EQ_GT,
    STATE(10440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496151] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4676), 1,
      sym__indent,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12490), 1,
      anon_sym_LPAREN,
    ACTIONS(12594), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(10344), 1,
      sym_colon_argument,
    STATE(8448), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(10441), 2,
      sym_comment,
      sym_block_comment,
    STATE(16574), 3,
      sym_bindings,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496203] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10190), 1,
      anon_sym_EQ_GT,
    STATE(10442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym__backquoted_id,
    ACTIONS(9074), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496239] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11860), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496275] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496308] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12498), 1,
      anon_sym_given,
    ACTIONS(12596), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14372), 1,
      sym_identifier,
    ACTIONS(12496), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10445), 2,
      sym_comment,
      sym_block_comment,
    STATE(14877), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496355] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12498), 1,
      anon_sym_given,
    ACTIONS(12598), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14415), 1,
      sym_identifier,
    ACTIONS(12496), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10446), 2,
      sym_comment,
      sym_block_comment,
    STATE(15824), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496402] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_EQ,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496441] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496507] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 13,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496540] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496577] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 13,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496610] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11452), 1,
      sym__alpha_identifier,
    ACTIONS(11458), 1,
      sym__backquoted_id,
    ACTIONS(11460), 1,
      sym_operator_identifier,
    STATE(569), 1,
      sym_identifier,
    STATE(4065), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496690] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(12600), 1,
      anon_sym_LBRACE,
    ACTIONS(12604), 1,
      sym_operator_identifier,
    STATE(5547), 1,
      sym__soft_identifier,
    STATE(13872), 1,
      sym_identifier,
    STATE(10455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12602), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(14302), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(661), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [496737] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 13,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496809] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8384), 1,
      anon_sym_QMARK_EQ_GT,
    ACTIONS(12273), 1,
      anon_sym_EQ_GT,
    STATE(10458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [496879] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [496949] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 12,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [496982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497015] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(11370), 1,
      sym__alpha_identifier,
    ACTIONS(11376), 1,
      sym__backquoted_id,
    ACTIONS(11378), 1,
      sym_operator_identifier,
    STATE(627), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(8422), 2,
      anon_sym_COLON,
      anon_sym_if,
    STATE(10464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10007), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(11372), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497064] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(11535), 1,
      sym__alpha_identifier,
    ACTIONS(11541), 1,
      anon_sym_EQ,
    ACTIONS(11543), 1,
      sym__backquoted_id,
    ACTIONS(11545), 1,
      sym_operator_identifier,
    STATE(598), 1,
      sym_identifier,
    STATE(4078), 1,
      sym__soft_identifier,
    STATE(10465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11539), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497113] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    STATE(10466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8008), 4,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12606), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [497148] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [497181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [497214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497247] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(10767), 1,
      sym__alpha_identifier,
    ACTIONS(10773), 1,
      sym__backquoted_id,
    ACTIONS(10775), 1,
      sym_operator_identifier,
    ACTIONS(11792), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(10470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 4,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(10769), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497329] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11236), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11234), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [497366] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11681), 1,
      anon_sym_COMMA,
    ACTIONS(11683), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(14896), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497421] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11236), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11234), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497460] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11681), 1,
      anon_sym_COMMA,
    ACTIONS(11683), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(14896), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497515] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497548] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11529), 1,
      anon_sym_AT,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11236), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11234), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497587] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 13,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [497620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497653] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9566), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(10480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9564), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9562), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497688] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11223), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(11225), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(10481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497739] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11223), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(11225), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(10482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497790] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4231), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10659), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497827] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11223), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11225), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [497876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497909] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11229), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11227), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497948] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [497981] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11529), 1,
      anon_sym_AT,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11229), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11227), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498020] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498057] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_EQ,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498094] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11229), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11227), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [498131] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498197] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [498263] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11146), 1,
      sym__alpha_identifier,
    ACTIONS(11152), 1,
      sym__backquoted_id,
    ACTIONS(11154), 1,
      sym_operator_identifier,
    ACTIONS(11797), 1,
      anon_sym_EQ,
    STATE(547), 1,
      sym_identifier,
    STATE(4059), 1,
      sym__soft_identifier,
    ACTIONS(9473), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_else,
    ACTIONS(11148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498312] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8678), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8676), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [498384] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(11641), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15525), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498439] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498472] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(10005), 1,
      sym__alpha_identifier,
    ACTIONS(10011), 1,
      sym__backquoted_id,
    ACTIONS(11447), 1,
      sym_operator_identifier,
    STATE(570), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10009), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498519] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498552] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(11641), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15525), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498607] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11757), 1,
      anon_sym_COMMA,
    ACTIONS(11759), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15108), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498695] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498728] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11757), 1,
      anon_sym_COMMA,
    ACTIONS(11759), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15108), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498816] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(11443), 1,
      sym_operator_identifier,
    STATE(1789), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8426), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [498863] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498896] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498935] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [498968] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11674), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15072), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499023] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11674), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15072), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499078] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(12600), 1,
      anon_sym_LBRACE,
    ACTIONS(12604), 1,
      sym_operator_identifier,
    STATE(5547), 1,
      sym__soft_identifier,
    STATE(13872), 1,
      sym_identifier,
    STATE(10515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12602), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(14274), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(661), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499125] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11621), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(14842), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499180] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499213] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11983), 14,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [499246] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499279] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499345] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499378] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499411] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11621), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(14842), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499499] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [499569] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499602] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499635] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499668] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(11489), 1,
      sym_operator_identifier,
    STATE(1677), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8426), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499715] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499781] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8196), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499814] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 2,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499853] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [499886] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12608), 1,
      anon_sym_LBRACK,
    ACTIONS(12610), 1,
      anon_sym_AT,
    ACTIONS(12612), 1,
      anon_sym_LPAREN,
    ACTIONS(12614), 1,
      anon_sym_POUND,
    STATE(11705), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11736), 1,
      sym_type_arguments,
    STATE(12522), 1,
      sym_annotation,
    STATE(12992), 1,
      sym_arguments,
    STATE(10537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [499933] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11588), 1,
      anon_sym_DOT,
    ACTIONS(11590), 1,
      anon_sym_STAR,
    ACTIONS(11594), 1,
      anon_sym_if,
    ACTIONS(11598), 1,
      anon_sym_PIPE,
    ACTIONS(11600), 1,
      sym_operator_identifier,
    ACTIONS(11672), 1,
      anon_sym_EQ_GT,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(17756), 1,
      sym_guard,
    STATE(10538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [499988] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500021] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500109] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500148] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500203] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500236] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500273] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8354), 5,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500310] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11497), 1,
      sym__alpha_identifier,
    ACTIONS(11503), 1,
      sym__backquoted_id,
    ACTIONS(11505), 1,
      sym_operator_identifier,
    STATE(573), 1,
      sym_identifier,
    STATE(4069), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_match,
      anon_sym_else,
    STATE(10547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11499), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500357] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500423] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500489] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11590), 1,
      anon_sym_STAR,
    ACTIONS(11594), 1,
      anon_sym_if,
    ACTIONS(11596), 1,
      anon_sym_AT,
    ACTIONS(11598), 1,
      anon_sym_PIPE,
    ACTIONS(11600), 1,
      sym_operator_identifier,
    ACTIONS(11672), 1,
      anon_sym_EQ_GT,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(17756), 1,
      sym_guard,
    STATE(10552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500577] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(12616), 1,
      anon_sym_LBRACE,
    ACTIONS(12620), 1,
      sym_operator_identifier,
    STATE(4485), 1,
      sym__soft_identifier,
    STATE(13700), 1,
      sym_identifier,
    STATE(10554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12618), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(14076), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [500624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500657] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500723] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500756] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500789] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12622), 1,
      anon_sym_with,
    ACTIONS(9586), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    STATE(10560), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9584), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500857] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500894] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500927] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [500993] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501026] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(12616), 1,
      anon_sym_LBRACE,
    ACTIONS(12620), 1,
      sym_operator_identifier,
    STATE(4485), 1,
      sym__soft_identifier,
    STATE(13700), 1,
      sym_identifier,
    STATE(10567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12618), 3,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_given,
    STATE(14097), 3,
      sym_namespace_wildcard,
      sym_namespace_selectors,
      sym_as_renamed_identifier,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501139] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501172] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(10767), 1,
      sym__alpha_identifier,
    ACTIONS(10773), 1,
      sym__backquoted_id,
    ACTIONS(10775), 1,
      sym_operator_identifier,
    ACTIONS(11702), 1,
      anon_sym_EQ,
    STATE(550), 1,
      sym_identifier,
    STATE(4054), 1,
      sym__soft_identifier,
    STATE(10571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 4,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(10769), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501254] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501320] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 2,
      anon_sym_STAR,
      anon_sym_else,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501359] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11590), 1,
      anon_sym_STAR,
    ACTIONS(11592), 1,
      anon_sym_EQ_GT,
    ACTIONS(11594), 1,
      anon_sym_if,
    ACTIONS(11596), 1,
      anon_sym_AT,
    ACTIONS(11598), 1,
      anon_sym_PIPE,
    ACTIONS(11600), 1,
      sym_operator_identifier,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(16920), 1,
      sym_guard,
    STATE(10576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501414] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11588), 1,
      anon_sym_DOT,
    ACTIONS(11590), 1,
      anon_sym_STAR,
    ACTIONS(11592), 1,
      anon_sym_EQ_GT,
    ACTIONS(11594), 1,
      anon_sym_if,
    ACTIONS(11598), 1,
      anon_sym_PIPE,
    ACTIONS(11600), 1,
      sym_operator_identifier,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(16920), 1,
      sym_guard,
    STATE(10577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501469] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_while,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501506] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501539] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9829), 1,
      anon_sym_LPAREN,
    ACTIONS(12625), 1,
      anon_sym_LBRACK,
    ACTIONS(12627), 1,
      anon_sym_POUND,
    STATE(11097), 1,
      aux_sym_annotation_repeat1,
    STATE(11304), 1,
      sym_type_arguments,
    STATE(11723), 1,
      sym_arguments,
    STATE(10580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [501582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501615] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501714] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11370), 1,
      sym__alpha_identifier,
    ACTIONS(11376), 1,
      sym__backquoted_id,
    ACTIONS(11437), 1,
      sym_operator_identifier,
    STATE(576), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11372), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501761] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501794] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501827] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(11326), 1,
      sym_operator_identifier,
    STATE(1710), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8426), 2,
      anon_sym_match,
      anon_sym_finally,
    STATE(10588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501874] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(11433), 1,
      sym_operator_identifier,
    STATE(1768), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8426), 2,
      anon_sym_case,
      anon_sym_match,
    STATE(10589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [501921] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501954] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [501987] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(10005), 1,
      sym__alpha_identifier,
    ACTIONS(10011), 1,
      sym__backquoted_id,
    ACTIONS(10013), 1,
      sym_operator_identifier,
    ACTIONS(11662), 1,
      anon_sym_EQ,
    STATE(554), 1,
      sym_identifier,
    STATE(4043), 1,
      sym__soft_identifier,
    STATE(10592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(10009), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502036] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12608), 1,
      anon_sym_LBRACK,
    ACTIONS(12610), 1,
      anon_sym_AT,
    ACTIONS(12614), 1,
      anon_sym_POUND,
    ACTIONS(12629), 1,
      anon_sym_LPAREN,
    STATE(11705), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11736), 1,
      sym_type_arguments,
    STATE(12522), 1,
      sym_annotation,
    STATE(13030), 1,
      sym_arguments,
    STATE(10593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [502083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502149] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 5,
      anon_sym_STAR,
      anon_sym_while,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502219] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [502285] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502318] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502351] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502384] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502417] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10669), 1,
      sym_arguments,
    STATE(10604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8150), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502452] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 13,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502551] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10931), 1,
      sym__end_marker,
    STATE(10608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10030), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502619] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502652] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(11520), 1,
      sym_operator_identifier,
    STATE(1787), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8426), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502699] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9757), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502732] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502765] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502798] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 2,
      anon_sym_STAR,
      anon_sym_finally,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502837] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(10888), 1,
      sym_operator_identifier,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_match,
      anon_sym_then,
    STATE(10616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [502886] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502919] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [502952] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11146), 1,
      sym__alpha_identifier,
    ACTIONS(11152), 1,
      sym__backquoted_id,
    ACTIONS(11154), 1,
      sym_operator_identifier,
    ACTIONS(11704), 1,
      anon_sym_EQ,
    STATE(547), 1,
      sym_identifier,
    STATE(4059), 1,
      sym__soft_identifier,
    ACTIONS(9473), 2,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    STATE(10619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_match,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503001] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12631), 1,
      anon_sym_COLON,
    ACTIONS(12634), 1,
      anon_sym_DOT,
    ACTIONS(12636), 1,
      anon_sym_LBRACK,
    ACTIONS(12639), 1,
      anon_sym_LPAREN,
    ACTIONS(12642), 1,
      sym__automatic_semicolon,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14156), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14161), 1,
      sym_type_parameters,
    STATE(10620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
      anon_sym_POUND,
  [503050] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12645), 1,
      anon_sym_LBRACK,
    ACTIONS(12647), 1,
      anon_sym_AT,
    ACTIONS(12651), 1,
      anon_sym_LPAREN,
    ACTIONS(12653), 1,
      sym__automatic_semicolon,
    STATE(11104), 1,
      sym_type_parameters,
    STATE(11730), 1,
      sym_annotation,
    STATE(12714), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12719), 1,
      sym_access_modifier,
    STATE(13606), 1,
      sym_class_parameters,
    ACTIONS(12649), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12541), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [503101] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [503134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503167] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503200] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12498), 1,
      anon_sym_given,
    ACTIONS(12500), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14608), 1,
      sym_identifier,
    ACTIONS(12496), 2,
      anon_sym_STAR,
      anon_sym__,
    STATE(10625), 2,
      sym_comment,
      sym_block_comment,
    STATE(16097), 4,
      sym_namespace_wildcard,
      sym__namespace_given_by_type,
      sym_arrow_renamed_identifier,
      sym_as_renamed_identifier,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503247] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9757), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503280] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8426), 1,
      anon_sym_match,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(11568), 1,
      sym_operator_identifier,
    STATE(1667), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503329] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503395] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503428] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(11370), 1,
      sym__alpha_identifier,
    ACTIONS(11376), 1,
      sym__backquoted_id,
    ACTIONS(11378), 1,
      sym_operator_identifier,
    ACTIONS(11549), 1,
      anon_sym_EQ,
    STATE(627), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    STATE(10631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11372), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503477] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503510] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503543] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503609] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(11370), 1,
      sym__alpha_identifier,
    ACTIONS(11376), 1,
      sym__backquoted_id,
    ACTIONS(11378), 1,
      sym_operator_identifier,
    STATE(627), 1,
      sym_identifier,
    STATE(4063), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_if,
      anon_sym_match,
    STATE(10636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11372), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [503656] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 13,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503689] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503722] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503755] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503788] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(9610), 15,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503854] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503887] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [503990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504023] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 13,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504056] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504089] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504122] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 5,
      anon_sym_while,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504159] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504192] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504297] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 13,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504363] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504429] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10154), 1,
      anon_sym_LPAREN,
    ACTIONS(12656), 1,
      anon_sym_LBRACK,
    ACTIONS(12658), 1,
      anon_sym_POUND,
    STATE(11122), 1,
      aux_sym_annotation_repeat1,
    STATE(11244), 1,
      sym_type_arguments,
    STATE(11615), 1,
      sym_arguments,
    STATE(10660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [504472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504505] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 13,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11943), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504602] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12660), 1,
      anon_sym_LBRACK,
    ACTIONS(12662), 1,
      anon_sym_AT,
    ACTIONS(12664), 1,
      anon_sym_POUND,
    STATE(11467), 1,
      sym_type_arguments,
    STATE(11468), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12266), 1,
      sym_annotation,
    STATE(17141), 1,
      sym_arguments,
    STATE(10665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [504648] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12666), 1,
      anon_sym_LBRACK,
    ACTIONS(12668), 1,
      anon_sym_AT,
    ACTIONS(12670), 1,
      anon_sym_LPAREN,
    ACTIONS(12672), 1,
      anon_sym_POUND,
    STATE(11936), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12097), 1,
      sym_type_arguments,
    STATE(12852), 1,
      sym_annotation,
    STATE(13426), 1,
      sym_arguments,
    STATE(10666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [504694] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(5110), 1,
      anon_sym_RPAREN,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11983), 13,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [504780] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10705), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [504842] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11947), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [504874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [504904] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(11507), 1,
      sym__alpha_identifier,
    ACTIONS(11513), 1,
      sym__backquoted_id,
    ACTIONS(11515), 1,
      sym_operator_identifier,
    ACTIONS(11892), 1,
      anon_sym_EQ,
    STATE(565), 1,
      sym_identifier,
    STATE(4071), 1,
      sym__soft_identifier,
    STATE(10673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(11509), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [504952] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11971), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505034] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    ACTIONS(12674), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505088] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10567), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505184] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11971), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [505234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505266] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505298] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505330] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505394] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505458] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505522] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(10690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8150), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10532), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10530), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12676), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [505682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10430), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505746] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12666), 1,
      anon_sym_LBRACK,
    ACTIONS(12668), 1,
      anon_sym_AT,
    ACTIONS(12672), 1,
      anon_sym_POUND,
    ACTIONS(12678), 1,
      anon_sym_LPAREN,
    STATE(11936), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12097), 1,
      sym_type_arguments,
    STATE(12852), 1,
      sym_annotation,
    STATE(13303), 1,
      sym_arguments,
    STATE(10697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [505792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505824] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(8196), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505856] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10058), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10060), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [505984] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 2,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506022] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_if,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506058] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_finally,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 12,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10484), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10482), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506160] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9848), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11937), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506224] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11933), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506256] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10403), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10474), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10472), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506320] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12680), 1,
      anon_sym_LPAREN,
    STATE(11136), 1,
      sym_arguments,
    ACTIONS(8896), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(10714), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8894), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506356] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_finally,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506392] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10264), 1,
      anon_sym_LPAREN,
    ACTIONS(12683), 1,
      anon_sym_LBRACK,
    ACTIONS(12685), 1,
      anon_sym_POUND,
    STATE(11367), 1,
      aux_sym_annotation_repeat1,
    STATE(11501), 1,
      sym_type_arguments,
    STATE(11799), 1,
      sym_arguments,
    STATE(10716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [506434] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8426), 1,
      anon_sym_match,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(11568), 1,
      sym_operator_identifier,
    STATE(1667), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    STATE(10717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8424), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506480] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9788), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [506606] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11941), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506656] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11941), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [506706] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_else,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11929), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506840] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11925), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506872] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11921), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [506936] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11091), 1,
      aux_sym_compound_type_repeat1,
    STATE(12850), 1,
      sym__refinement,
    STATE(12856), 1,
      sym_template_body,
    STATE(12992), 1,
      sym_arguments,
    STATE(10731), 2,
      sym_comment,
      sym_block_comment,
    STATE(12873), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [506976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 13,
      anon_sym_end,
      anon_sym_while,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_then,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_do,
  [507136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507168] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12687), 1,
      anon_sym_DOT,
    STATE(10738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [507200] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507232] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    ACTIONS(12689), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15047), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507286] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(5028), 1,
      anon_sym_RPAREN,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12691), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [507370] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    ACTIONS(12693), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [507424] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12631), 1,
      anon_sym_COLON,
    ACTIONS(12636), 1,
      anon_sym_LBRACK,
    ACTIONS(12639), 1,
      anon_sym_LPAREN,
    ACTIONS(12642), 1,
      sym__automatic_semicolon,
    ACTIONS(12695), 1,
      anon_sym_DOT,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14156), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14161), 1,
      sym_type_parameters,
    STATE(10744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
      anon_sym_POUND,
  [507472] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507504] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 12,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7222), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7220), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507568] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507600] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8354), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10470), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10468), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507760] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8354), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507828] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    STATE(10756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8008), 4,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12606), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507862] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11957), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12697), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [507924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10466), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10464), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [507956] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12608), 1,
      anon_sym_LBRACK,
    ACTIONS(12612), 1,
      anon_sym_LPAREN,
    ACTIONS(12614), 1,
      anon_sym_POUND,
    STATE(11725), 1,
      aux_sym_annotation_repeat1,
    STATE(11736), 1,
      sym_type_arguments,
    STATE(12558), 1,
      sym_arguments,
    STATE(10760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [507998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12699), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [508028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508060] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508124] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9753), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508194] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11874), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508244] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11957), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508276] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12701), 1,
      anon_sym_LBRACK,
    ACTIONS(12703), 1,
      anon_sym_LPAREN,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    STATE(11495), 1,
      aux_sym_annotation_repeat1,
    STATE(11688), 1,
      sym_type_arguments,
    STATE(12548), 1,
      sym_arguments,
    STATE(10769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [508318] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12608), 1,
      anon_sym_LBRACK,
    ACTIONS(12610), 1,
      anon_sym_AT,
    ACTIONS(12614), 1,
      anon_sym_POUND,
    STATE(11705), 1,
      aux_sym_enum_definition_repeat1,
    STATE(11736), 1,
      sym_type_arguments,
    STATE(12522), 1,
      sym_annotation,
    STATE(10770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [508360] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11094), 1,
      anon_sym_RPAREN,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15695), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508412] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11874), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508526] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10514), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508558] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11590), 1,
      anon_sym_STAR,
    ACTIONS(11592), 1,
      anon_sym_EQ_GT,
    ACTIONS(11594), 1,
      anon_sym_if,
    ACTIONS(11598), 1,
      anon_sym_PIPE,
    ACTIONS(11600), 1,
      sym_operator_identifier,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(16920), 1,
      sym_guard,
    STATE(10776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [508610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10539), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10537), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508642] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508742] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11943), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 12,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10109), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10111), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10093), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10095), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12707), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [508900] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [508932] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12709), 1,
      anon_sym_with,
    STATE(10989), 1,
      aux_sym_compound_type_repeat1,
    STATE(13030), 1,
      sym_arguments,
    STATE(13161), 1,
      sym__refinement,
    STATE(13283), 1,
      sym_template_body,
    STATE(10787), 2,
      sym_comment,
      sym_block_comment,
    STATE(13074), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [508974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12711), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [509004] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12713), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [509102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 12,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509198] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12522), 1,
      anon_sym_LPAREN,
    STATE(10714), 1,
      aux_sym_annotation_repeat1,
    STATE(11136), 1,
      sym_arguments,
    ACTIONS(8874), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(10795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8872), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11914), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509268] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12545), 1,
      anon_sym_AT,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(12717), 1,
      sym__automatic_semicolon,
    STATE(11449), 1,
      sym_annotation,
    STATE(12446), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12447), 1,
      sym_access_modifier,
    STATE(13142), 1,
      sym_class_parameters,
    ACTIONS(12547), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(10797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12715), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [509314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10575), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10573), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509346] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9702), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509378] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11879), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509428] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11947), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509460] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    ACTIONS(12720), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509514] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509546] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(2516), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(2511), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509578] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12726), 1,
      anon_sym_case,
    ACTIONS(12728), 1,
      anon_sym_EQ,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    STATE(10805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12724), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509648] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 12,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509712] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12734), 1,
      anon_sym_case,
    ACTIONS(12736), 1,
      anon_sym_EQ,
    STATE(10809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12732), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 12,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509782] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10498), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [509846] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11757), 1,
      anon_sym_COMMA,
    ACTIONS(11759), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15108), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509898] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11236), 1,
      sym__backquoted_id,
    ACTIONS(11596), 1,
      anon_sym_AT,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11234), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [509936] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    ACTIONS(12738), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15639), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [509990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510054] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10143), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10145), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [510118] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510182] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10579), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10577), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510214] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11639), 1,
      anon_sym_COMMA,
    ACTIONS(11641), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15525), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510266] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
    ACTIONS(8354), 4,
      anon_sym_while,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510302] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10454), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10452), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510334] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12734), 1,
      anon_sym_case,
    ACTIONS(12740), 1,
      anon_sym_EQ,
    STATE(10826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12732), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510372] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510404] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11879), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510454] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11229), 1,
      sym__backquoted_id,
    ACTIONS(11596), 1,
      anon_sym_AT,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11227), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510492] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12742), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [510522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10450), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10448), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510586] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11937), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10436), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10434), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11933), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11929), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11925), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [510778] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    ACTIONS(12744), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11921), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510864] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(10841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [510900] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(4988), 1,
      anon_sym_RPAREN,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [510954] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(11535), 1,
      sym__alpha_identifier,
    ACTIONS(11543), 1,
      sym__backquoted_id,
    ACTIONS(11545), 1,
      sym_operator_identifier,
    STATE(598), 1,
      sym_identifier,
    STATE(4078), 1,
      sym__soft_identifier,
    STATE(10843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(11539), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10498), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10428), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10426), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10456), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10460), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511160] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11229), 1,
      sym__backquoted_id,
    ACTIONS(11588), 1,
      anon_sym_DOT,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11227), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [511230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10514), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511294] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(5082), 1,
      anon_sym_RPAREN,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511348] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    ACTIONS(12746), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511402] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 12,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511434] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10422), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10420), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 12,
      anon_sym_case,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511530] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12748), 1,
      anon_sym_DOT,
    STATE(10859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10508), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511596] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    ACTIONS(12750), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511650] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8260), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511736] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 12,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511832] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8260), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511864] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11914), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511896] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11966), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [511946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10508), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [511978] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11590), 1,
      anon_sym_STAR,
    ACTIONS(11596), 1,
      anon_sym_AT,
    ACTIONS(11600), 1,
      sym_operator_identifier,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11225), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512026] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11588), 1,
      anon_sym_DOT,
    ACTIONS(11590), 1,
      anon_sym_STAR,
    ACTIONS(11600), 1,
      sym_operator_identifier,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11225), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10498), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9702), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512138] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11966), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512188] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 3,
      sym__outdent,
      anon_sym_LBRACE,
      sym__backquoted_id,
    ACTIONS(9757), 14,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_with,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 13,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512252] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    ACTIONS(12752), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512338] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4205), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10661), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10659), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512406] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8354), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512438] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11590), 1,
      anon_sym_STAR,
    ACTIONS(11594), 1,
      anon_sym_if,
    ACTIONS(11598), 1,
      anon_sym_PIPE,
    ACTIONS(11600), 1,
      sym_operator_identifier,
    ACTIONS(11672), 1,
      anon_sym_EQ_GT,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(17756), 1,
      sym_guard,
    STATE(10883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10416), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512554] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10604), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512586] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(5026), 1,
      anon_sym_RPAREN,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10514), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512672] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11092), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512722] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11092), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512772] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    ACTIONS(12754), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [512826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(10892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [512858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9753), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512890] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [512954] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    ACTIONS(12756), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(14813), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513008] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10622), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513136] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12758), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [513166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12760), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [513196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513228] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11084), 1,
      anon_sym_DOT,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11890), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513278] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513342] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513406] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11236), 1,
      sym__backquoted_id,
    ACTIONS(11588), 1,
      anon_sym_DOT,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11234), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513444] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9788), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513476] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513508] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [513540] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513572] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11090), 1,
      anon_sym_AT,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11890), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513622] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12660), 1,
      anon_sym_LBRACK,
    ACTIONS(12664), 1,
      anon_sym_POUND,
    ACTIONS(12762), 1,
      anon_sym_LPAREN,
    STATE(11467), 1,
      sym_type_arguments,
    STATE(11755), 1,
      aux_sym_annotation_repeat1,
    STATE(12569), 1,
      sym_arguments,
    STATE(10915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [513664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12764), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [513694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9848), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513726] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11236), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11234), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513762] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11681), 1,
      anon_sym_COMMA,
    ACTIONS(11683), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(14896), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513814] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 13,
      anon_sym_COLON,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9887), 14,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513910] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11223), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(11225), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    STATE(10923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [513958] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11229), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11227), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [513994] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    ACTIONS(12766), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(10925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514048] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_STAR,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(10926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514086] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12726), 1,
      anon_sym_case,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12768), 1,
      anon_sym_EQ,
    STATE(10927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12724), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514124] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10545), 1,
      anon_sym_LPAREN,
    ACTIONS(12770), 1,
      anon_sym_LBRACK,
    ACTIONS(12772), 1,
      anon_sym_POUND,
    STATE(11295), 1,
      aux_sym_annotation_repeat1,
    STATE(11566), 1,
      sym_type_arguments,
    STATE(12165), 1,
      sym_arguments,
    STATE(10928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [514166] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(10929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [514198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514230] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10065), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(10067), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514262] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 4,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(7088), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(4132), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12774), 1,
      anon_sym_LPAREN,
    STATE(11356), 1,
      sym_arguments,
    STATE(10936), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [514424] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10508), 12,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 12,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514488] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(11507), 1,
      sym__alpha_identifier,
    ACTIONS(11513), 1,
      sym__backquoted_id,
    ACTIONS(11515), 1,
      sym_operator_identifier,
    ACTIONS(11846), 1,
      anon_sym_EQ,
    STATE(565), 1,
      sym_identifier,
    STATE(4071), 1,
      sym__soft_identifier,
    STATE(10939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9477), 3,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
    ACTIONS(11509), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514536] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_STAR,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514572] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11674), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(15072), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 12,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514656] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9378), 1,
      anon_sym_LPAREN,
    STATE(10936), 1,
      aux_sym_annotation_repeat1,
    STATE(11356), 1,
      sym_arguments,
    STATE(10943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [514692] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12777), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [514722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12779), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [514752] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9887), 12,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514784] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12781), 17,
      sym__indent,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_def,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_sealed,
      anon_sym_implicit,
      anon_sym_lazy,
      anon_sym_override,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_LPAREN,
  [514814] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    ACTIONS(11621), 1,
      anon_sym_RPAREN,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(14842), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(10948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [514866] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(10949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_STAR,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10460), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514933] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12783), 1,
      anon_sym_EQ,
    STATE(10951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12724), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [514968] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10604), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [514999] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9788), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515030] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [515059] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515090] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515121] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(11201), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515152] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9702), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515183] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9753), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515245] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11236), 1,
      sym__backquoted_id,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11234), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515280] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8266), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(8260), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9848), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515342] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12785), 1,
      anon_sym_EQ,
    STATE(10964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12732), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515377] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(9887), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [515437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12730), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12722), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [515468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(8354), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [515559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9052), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515590] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 2,
      anon_sym_STAR,
      anon_sym_finally,
    STATE(10972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515625] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 2,
      anon_sym_else,
      anon_sym_finally,
    STATE(10973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515660] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12666), 1,
      anon_sym_LBRACK,
    ACTIONS(12668), 1,
      anon_sym_AT,
    ACTIONS(12672), 1,
      anon_sym_POUND,
    STATE(11936), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12097), 1,
      sym_type_arguments,
    STATE(12852), 1,
      sym_annotation,
    STATE(10974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [515701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [515730] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11890), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515777] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(10977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [515808] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12787), 1,
      anon_sym_LBRACK,
    ACTIONS(12789), 1,
      anon_sym_LPAREN,
    ACTIONS(12791), 1,
      anon_sym_POUND,
    STATE(11790), 1,
      sym_type_arguments,
    STATE(11967), 1,
      aux_sym_annotation_repeat1,
    STATE(12824), 1,
      sym_arguments,
    STATE(10978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [515849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9100), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515880] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11586), 1,
      anon_sym_COLON,
    ACTIONS(11590), 1,
      anon_sym_STAR,
    ACTIONS(11600), 1,
      sym_operator_identifier,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11225), 3,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [515925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [515956] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12795), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12793), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [515987] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_EQ,
    STATE(10983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516022] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(10888), 1,
      sym_operator_identifier,
    ACTIONS(12088), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_while,
      anon_sym_match,
    STATE(10984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516069] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11092), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9887), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516147] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12799), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12797), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [516178] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11832), 1,
      anon_sym_EQ,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516227] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12709), 1,
      anon_sym_with,
    STATE(12460), 1,
      aux_sym_compound_type_repeat1,
    STATE(13263), 1,
      sym__refinement,
    STATE(13283), 1,
      sym_template_body,
    STATE(10989), 2,
      sym_comment,
      sym_block_comment,
    STATE(13074), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [516266] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11820), 1,
      anon_sym_EQ,
    ACTIONS(12803), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516315] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8572), 1,
      anon_sym_LPAREN,
    ACTIONS(12805), 1,
      anon_sym_LBRACK,
    ACTIONS(12807), 1,
      anon_sym_POUND,
    STATE(11775), 1,
      aux_sym_annotation_repeat1,
    STATE(12080), 1,
      sym_type_arguments,
    STATE(12616), 1,
      sym_arguments,
    STATE(10991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [516356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516387] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11820), 1,
      anon_sym_EQ,
    ACTIONS(12803), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516436] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 2,
      anon_sym_catch,
      anon_sym_finally,
    STATE(10994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516471] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11966), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(10995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516518] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11824), 1,
      anon_sym_EQ,
    ACTIONS(12809), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [516596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9107), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516627] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11824), 1,
      anon_sym_EQ,
    ACTIONS(12809), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(10999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10514), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516707] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12813), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12811), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [516738] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8420), 1,
      sym__alpha_identifier,
    ACTIONS(8422), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      sym__backquoted_id,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(10888), 1,
      sym_operator_identifier,
    ACTIONS(12011), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(9477), 2,
      anon_sym_match,
      anon_sym_do,
    STATE(11002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8430), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [516814] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11229), 1,
      sym__backquoted_id,
    STATE(4169), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11227), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516849] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11921), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516880] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [516909] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11670), 1,
      anon_sym_EQ,
    ACTIONS(12815), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [516958] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9702), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [516989] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9074), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12819), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12817), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [517051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9080), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517082] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9702), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [517113] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11670), 1,
      anon_sym_EQ,
    ACTIONS(12815), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517162] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11666), 1,
      anon_sym_EQ,
    ACTIONS(12821), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517211] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11666), 1,
      anon_sym_EQ,
    ACTIONS(12821), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517260] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9753), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [517291] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9848), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517322] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 1,
      anon_sym_DOT,
    STATE(11018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517353] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11925), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517413] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12825), 1,
      anon_sym_LBRACK,
    ACTIONS(12827), 1,
      anon_sym_LPAREN,
    ACTIONS(12829), 1,
      anon_sym_POUND,
    STATE(11948), 1,
      aux_sym_annotation_repeat1,
    STATE(12109), 1,
      sym_type_arguments,
    STATE(12760), 1,
      sym_arguments,
    STATE(11021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [517454] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517485] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11929), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517516] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10567), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [517547] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9072), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11933), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517609] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11937), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9788), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [517671] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12831), 1,
      anon_sym_AT,
    STATE(11586), 1,
      sym_annotation,
    ACTIONS(8931), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11029), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8929), 11,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517706] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11879), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517753] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(12510), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9837), 1,
      sym_annotation,
    STATE(11413), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12961), 1,
      sym_inline_modifier,
    STATE(15906), 1,
      sym_parameter,
    STATE(17093), 1,
      sym_identifier,
    STATE(11031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [517804] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(11032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517839] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12834), 1,
      anon_sym_EQ,
    STATE(11033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12732), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [517903] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12836), 1,
      anon_sym_EQ,
    STATE(11035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12724), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [517938] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12666), 1,
      anon_sym_LBRACK,
    ACTIONS(12672), 1,
      anon_sym_POUND,
    ACTIONS(12678), 1,
      anon_sym_LPAREN,
    STATE(11814), 1,
      aux_sym_annotation_repeat1,
    STATE(12097), 1,
      sym_type_arguments,
    STATE(12682), 1,
      sym_arguments,
    STATE(11036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [517979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10456), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518010] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 11,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_catch,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518041] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518072] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9848), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [518103] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10460), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9753), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10444), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518196] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11874), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518243] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9001), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9887), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [518305] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10622), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [518336] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10456), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518456] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12787), 1,
      anon_sym_LBRACK,
    ACTIONS(12791), 1,
      anon_sym_POUND,
    ACTIONS(12838), 1,
      anon_sym_AT,
    STATE(11790), 1,
      sym_type_arguments,
    STATE(11792), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12854), 1,
      sym_annotation,
    STATE(17141), 1,
      sym_arguments,
    STATE(11052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [518501] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8356), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(11053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10430), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [518567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 16,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [518596] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(12139), 1,
      sym__alpha_identifier,
    ACTIONS(12143), 1,
      sym__backquoted_id,
    ACTIONS(12145), 1,
      sym_operator_identifier,
    STATE(1201), 1,
      sym_identifier,
    STATE(4177), 1,
      sym__soft_identifier,
    ACTIONS(8422), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(11056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12141), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [518672] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11584), 1,
      anon_sym_EQ,
    ACTIONS(12840), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518721] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10508), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518752] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11584), 1,
      anon_sym_EQ,
    ACTIONS(12840), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518801] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(4218), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(10661), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10659), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518836] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(12842), 1,
      anon_sym_LBRACK,
    ACTIONS(12844), 1,
      anon_sym_POUND,
    STATE(11726), 1,
      aux_sym_annotation_repeat1,
    STATE(11846), 1,
      sym_type_arguments,
    STATE(12392), 1,
      sym_arguments,
    STATE(11062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [518877] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11576), 1,
      anon_sym_EQ,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(12846), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [518926] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10444), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [518957] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11576), 1,
      anon_sym_EQ,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(12846), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519006] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8432), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_identifier,
    STATE(4077), 1,
      sym__soft_identifier,
    ACTIONS(8678), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8676), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 11,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519103] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11752), 1,
      anon_sym_EQ,
    ACTIONS(12848), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519181] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11619), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11941), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519228] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11752), 1,
      anon_sym_EQ,
    ACTIONS(12848), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519277] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11748), 1,
      anon_sym_EQ,
    ACTIONS(12850), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519355] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12854), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12852), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [519386] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12858), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12856), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [519417] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11748), 1,
      anon_sym_EQ,
    ACTIONS(12850), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [519466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11914), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519497] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9062), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12862), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12860), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [519621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 16,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [519650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [519741] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11319), 1,
      aux_sym_compound_type_repeat1,
    STATE(13036), 1,
      sym_template_body,
    STATE(13303), 1,
      sym_arguments,
    STATE(13309), 1,
      sym__refinement,
    STATE(11087), 2,
      sym_comment,
      sym_block_comment,
    STATE(13028), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [519780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(8008), 2,
      anon_sym_DOT,
      sym__backquoted_id,
    STATE(11088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12606), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519813] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12864), 1,
      anon_sym_LPAREN,
    STATE(11723), 1,
      sym_arguments,
    STATE(11089), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [519846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(9788), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519877] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12460), 1,
      aux_sym_compound_type_repeat1,
    STATE(12736), 1,
      sym__refinement,
    STATE(12856), 1,
      sym_template_body,
    STATE(11091), 2,
      sym_comment,
      sym_block_comment,
    STATE(12873), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [519914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [519943] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8354), 2,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [519980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11947), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520011] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9070), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520071] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9829), 1,
      anon_sym_LPAREN,
    STATE(11089), 1,
      aux_sym_annotation_repeat1,
    STATE(11723), 1,
      sym_arguments,
    STATE(11097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8508), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520137] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12867), 1,
      anon_sym_EQ,
    STATE(11099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12732), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [520201] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9082), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11957), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520263] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12869), 1,
      anon_sym_EQ,
    STATE(11103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12724), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520298] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12647), 1,
      anon_sym_AT,
    ACTIONS(12651), 1,
      anon_sym_LPAREN,
    ACTIONS(12871), 1,
      sym__automatic_semicolon,
    STATE(11729), 1,
      sym_annotation,
    STATE(12817), 1,
      sym_access_modifier,
    STATE(12862), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13606), 1,
      sym_class_parameters,
    ACTIONS(12649), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12715), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [520343] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12874), 1,
      anon_sym_LPAREN,
    STATE(11615), 1,
      sym_arguments,
    STATE(11105), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520376] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520436] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10403), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [520467] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9117), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520498] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12877), 1,
      anon_sym_with,
    STATE(11246), 1,
      aux_sym_compound_type_repeat1,
    STATE(13325), 1,
      sym_template_body,
    STATE(13333), 1,
      sym__refinement,
    STATE(13426), 1,
      sym_arguments,
    STATE(11110), 2,
      sym_comment,
      sym_block_comment,
    STATE(13463), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [520539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12879), 1,
      anon_sym_DOT,
    STATE(11112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520601] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11201), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520632] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(11114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 4,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520667] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520698] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12883), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12881), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
      anon_sym_LT_DASH,
  [520729] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520760] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11080), 1,
      anon_sym_COLON,
    ACTIONS(11086), 1,
      anon_sym_STAR,
    ACTIONS(11096), 1,
      anon_sym_PIPE,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11100), 1,
      sym_operator_identifier,
    STATE(4167), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    ACTIONS(11971), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    STATE(11118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [520807] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520838] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 2,
      anon_sym_STAR,
      anon_sym_else,
    STATE(11120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 16,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [520902] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10154), 1,
      anon_sym_LPAREN,
    STATE(11105), 1,
      aux_sym_annotation_repeat1,
    STATE(11615), 1,
      sym_arguments,
    STATE(11122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [520937] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(11123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(8354), 3,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [520972] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11943), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521003] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10498), 13,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521065] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11529), 1,
      anon_sym_AT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11828), 1,
      anon_sym_EQ,
    ACTIONS(12885), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521114] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11828), 1,
      anon_sym_EQ,
    ACTIONS(12885), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521163] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12887), 1,
      anon_sym_end,
    STATE(5324), 1,
      sym__end_marker,
    STATE(11129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521196] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 12,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521227] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11832), 1,
      anon_sym_EQ,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 11,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521307] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9102), 13,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_POUND,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521338] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11957), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521368] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(9340), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10606), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10604), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521456] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12889), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11138), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521500] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9848), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521530] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12891), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11140), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [521602] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12893), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11142), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 10,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 10,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [521706] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12895), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11145), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521750] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(12901), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11146), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12899), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [521798] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11832), 1,
      anon_sym_EQ,
    ACTIONS(12801), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521844] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [521872] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11828), 1,
      anon_sym_EQ,
    ACTIONS(12885), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521918] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12903), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11150), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [521962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12905), 1,
      anon_sym_DOT,
    STATE(11151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [521992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10624), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10622), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [522050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522106] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9788), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522136] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(12909), 1,
      anon_sym_COLON,
    ACTIONS(12911), 1,
      anon_sym_extends,
    ACTIONS(12913), 1,
      anon_sym_derives,
    ACTIONS(12915), 1,
      sym__automatic_semicolon,
    STATE(11989), 1,
      sym_extends_clause,
    STATE(12858), 1,
      sym_derives_clause,
    STATE(14182), 1,
      sym__definition_body,
    STATE(14202), 1,
      sym_template_body,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12907), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [522184] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12918), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11158), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522228] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12920), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11159), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522272] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12922), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11160), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [522344] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 15,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [522372] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12924), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11163), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522416] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12926), 1,
      anon_sym_end,
    STATE(5808), 1,
      sym__end_marker,
    STATE(11164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522448] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9887), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522478] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12928), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11166), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10446), 1,
      sym__backquoted_id,
    STATE(11167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10444), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522552] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12930), 1,
      anon_sym_DOT,
    STATE(11168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522582] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12932), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11169), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522626] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(12936), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11170), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12934), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [522674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10458), 1,
      sym__backquoted_id,
    STATE(11171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10456), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10462), 1,
      sym__backquoted_id,
    STATE(11172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10460), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522734] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12938), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11173), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522778] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12940), 1,
      anon_sym_LPAREN,
    STATE(12165), 1,
      sym_arguments,
    STATE(11174), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [522810] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(11175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 3,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [522844] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12943), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11176), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522888] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(12947), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11177), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12945), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [522936] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12949), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11178), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [522980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(11201), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523010] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12951), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11180), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [523082] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12953), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11182), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523126] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12955), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11183), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523170] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12957), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11184), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523214] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12959), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11185), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523258] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12961), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11186), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523302] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12963), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11187), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523346] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12965), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11188), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523390] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7212), 1,
      anon_sym_object,
    ACTIONS(7214), 1,
      anon_sym_class,
    ACTIONS(12967), 1,
      sym__alpha_identifier,
    ACTIONS(12971), 1,
      sym__backquoted_id,
    ACTIONS(12973), 1,
      sym_operator_identifier,
    STATE(12377), 1,
      sym_identifier,
    STATE(13840), 1,
      sym__soft_identifier,
    STATE(14408), 1,
      sym_simple_enum_case,
    STATE(15845), 1,
      sym_full_enum_case,
    STATE(11189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12969), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523436] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12975), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11190), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523480] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12977), 1,
      anon_sym_RPAREN,
    ACTIONS(12979), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15753), 1,
      sym_wildcard,
    STATE(15826), 1,
      sym_identifier,
    STATE(15881), 1,
      sym_binding,
    STATE(11191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523526] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12981), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11192), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [523598] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [523626] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [523654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [523682] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12983), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11197), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523726] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12985), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11198), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523770] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12987), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11199), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523814] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12989), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11200), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [523858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12854), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12852), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [523916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10569), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10567), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [523946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [523974] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12991), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11205), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524018] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12993), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11206), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524062] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(12995), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11207), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524106] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(12999), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11208), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12997), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [524154] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12979), 1,
      sym_operator_identifier,
    ACTIONS(13001), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15300), 1,
      sym_binding,
    STATE(15753), 1,
      sym_wildcard,
    STATE(15826), 1,
      sym_identifier,
    STATE(11209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11985), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11983), 10,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524258] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13003), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11212), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524302] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13005), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11213), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524346] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(9477), 1,
      anon_sym_match,
    ACTIONS(12139), 1,
      sym__alpha_identifier,
    ACTIONS(12143), 1,
      sym__backquoted_id,
    ACTIONS(12145), 1,
      sym_operator_identifier,
    STATE(1201), 1,
      sym_identifier,
    STATE(4177), 1,
      sym__soft_identifier,
    ACTIONS(8422), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(11214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12141), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524390] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [524418] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13007), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11216), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9702), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [524522] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12883), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12881), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524552] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13009), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11220), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [524626] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13011), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11222), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524670] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13013), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11223), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524714] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13015), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11224), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524786] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_STAR,
    STATE(11226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524820] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13017), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11227), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524864] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13019), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11228), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [524908] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524936] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [524964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_else,
      sym__alpha_identifier,
      sym_operator_identifier,
  [524994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525022] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12660), 1,
      anon_sym_LBRACK,
    ACTIONS(12662), 1,
      anon_sym_AT,
    ACTIONS(12664), 1,
      anon_sym_POUND,
    ACTIONS(12762), 1,
      anon_sym_LPAREN,
    STATE(11467), 1,
      sym_type_arguments,
    STATE(11468), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12266), 1,
      sym_annotation,
    STATE(14011), 1,
      sym_arguments,
    STATE(11233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [525066] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12967), 1,
      sym__alpha_identifier,
    ACTIONS(12971), 1,
      sym__backquoted_id,
    ACTIONS(12973), 1,
      sym_operator_identifier,
    ACTIONS(13021), 1,
      anon_sym_object,
    ACTIONS(13023), 1,
      anon_sym_class,
    STATE(12377), 1,
      sym_identifier,
    STATE(13840), 1,
      sym__soft_identifier,
    STATE(14244), 1,
      sym_simple_enum_case,
    STATE(15362), 1,
      sym_full_enum_case,
    STATE(11234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12969), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525112] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13025), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11235), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525156] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13027), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11236), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    STATE(11237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_PIPE,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525288] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13029), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11240), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11203), 1,
      sym__backquoted_id,
    STATE(11241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11201), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525362] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525448] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13031), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11245), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525492] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12877), 1,
      anon_sym_with,
    STATE(13002), 1,
      aux_sym_compound_type_repeat1,
    STATE(13325), 1,
      sym_template_body,
    STATE(13350), 1,
      sym__refinement,
    STATE(11246), 2,
      sym_comment,
      sym_block_comment,
    STATE(13463), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [525530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525558] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 10,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [525588] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13033), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11249), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525632] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13035), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11250), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525676] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13037), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11251), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525720] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11666), 1,
      anon_sym_EQ,
    ACTIONS(12821), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [525794] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13039), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11254), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525838] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11670), 1,
      anon_sym_EQ,
    ACTIONS(12815), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [525884] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13043), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11256), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13041), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [525932] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13047), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11257), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13045), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [525980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526008] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13049), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11259), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526052] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13051), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11260), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12997), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [526100] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13053), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11261), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13045), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [526148] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13055), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11262), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12945), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [526196] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13057), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11263), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12934), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [526244] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11576), 1,
      anon_sym_EQ,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(12846), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526290] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13059), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11265), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526334] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13061), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11266), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12899), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [526382] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13063), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11267), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526426] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13065), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11268), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [526498] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13067), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11270), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526542] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11584), 1,
      anon_sym_EQ,
    ACTIONS(12840), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526588] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_else,
    STATE(11272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [526622] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13069), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11273), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526666] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13071), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11274), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526710] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13073), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11275), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526754] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13075), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11276), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526798] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13077), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11277), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526842] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11752), 1,
      anon_sym_EQ,
    ACTIONS(12848), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [526888] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    ACTIONS(13079), 1,
      anon_sym_LBRACK,
    ACTIONS(13081), 1,
      anon_sym_POUND,
    STATE(12110), 1,
      aux_sym_annotation_repeat1,
    STATE(12236), 1,
      sym_type_arguments,
    STATE(12940), 1,
      sym_arguments,
    STATE(11279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [526928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [526956] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11748), 1,
      anon_sym_EQ,
    ACTIONS(12850), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [527030] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13083), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11283), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(9753), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [527132] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13085), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11286), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [527204] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13087), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11288), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10460), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527278] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13089), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11290), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527322] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(12660), 1,
      anon_sym_LBRACK,
    ACTIONS(12662), 1,
      anon_sym_AT,
    ACTIONS(12664), 1,
      anon_sym_POUND,
    STATE(9447), 1,
      sym_arguments,
    STATE(11467), 1,
      sym_type_arguments,
    STATE(11468), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12266), 1,
      sym_annotation,
    STATE(11291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [527366] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12862), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12860), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527396] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12858), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12856), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11943), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527456] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10545), 1,
      anon_sym_LPAREN,
    STATE(11174), 1,
      aux_sym_annotation_repeat1,
    STATE(12165), 1,
      sym_arguments,
    STATE(11295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [527490] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13091), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11296), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 10,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [527564] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13093), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11298), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13041), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [527612] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13095), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11299), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527656] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13097), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11300), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [527730] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13099), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11302), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527774] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13101), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11303), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [527846] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13103), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11305), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [527890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [527918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [527946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [527974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [528002] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8848), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 10,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_finally,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528062] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13105), 1,
      anon_sym_DOT,
    STATE(11312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [528092] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 2,
      anon_sym_LT_COLON,
      anon_sym_EQ,
    STATE(11313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(11201), 11,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528156] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12787), 1,
      anon_sym_LBRACK,
    ACTIONS(12789), 1,
      anon_sym_LPAREN,
    ACTIONS(12791), 1,
      anon_sym_POUND,
    ACTIONS(12838), 1,
      anon_sym_AT,
    STATE(11790), 1,
      sym_type_arguments,
    STATE(11792), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12854), 1,
      sym_annotation,
    STATE(14051), 1,
      sym_arguments,
    STATE(11315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [528200] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_finally,
    STATE(11316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_SEMI,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [528264] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11914), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528294] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13002), 1,
      aux_sym_compound_type_repeat1,
    STATE(13032), 1,
      sym__refinement,
    STATE(13036), 1,
      sym_template_body,
    STATE(11319), 2,
      sym_comment,
      sym_block_comment,
    STATE(13028), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [528330] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10117), 1,
      anon_sym_LPAREN,
    ACTIONS(12787), 1,
      anon_sym_LBRACK,
    ACTIONS(12791), 1,
      anon_sym_POUND,
    ACTIONS(12838), 1,
      anon_sym_AT,
    STATE(9200), 1,
      sym_arguments,
    STATE(11790), 1,
      sym_type_arguments,
    STATE(11792), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12854), 1,
      sym_annotation,
    STATE(11320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_SEMI,
  [528374] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13107), 1,
      anon_sym_DOT,
    STATE(11321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [528404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [528432] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13109), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11323), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [528504] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13111), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11325), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528548] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(8354), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(11327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [528608] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13113), 1,
      sym__alpha_identifier,
    ACTIONS(13115), 1,
      anon_sym_object,
    ACTIONS(13117), 1,
      anon_sym_class,
    ACTIONS(13121), 1,
      sym__backquoted_id,
    ACTIONS(13123), 1,
      sym_operator_identifier,
    STATE(12216), 1,
      sym_identifier,
    STATE(13914), 1,
      sym__soft_identifier,
    STATE(14341), 1,
      sym_simple_enum_case,
    STATE(15395), 1,
      sym_full_enum_case,
    STATE(11328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13119), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10432), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10430), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [528684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [528712] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9019), 1,
      anon_sym_LPAREN,
    ACTIONS(13125), 1,
      anon_sym_LBRACK,
    ACTIONS(13127), 1,
      anon_sym_POUND,
    STATE(12003), 1,
      aux_sym_annotation_repeat1,
    STATE(12481), 1,
      sym_type_arguments,
    STATE(12818), 1,
      sym_arguments,
    STATE(11331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [528752] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13129), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11332), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [528824] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13131), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11334), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [528868] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [528896] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(12909), 1,
      anon_sym_COLON,
    ACTIONS(12911), 1,
      anon_sym_extends,
    ACTIONS(12913), 1,
      anon_sym_derives,
    STATE(12111), 1,
      sym_extends_clause,
    STATE(12995), 1,
      sym_derives_clause,
    STATE(14202), 1,
      sym_template_body,
    STATE(14203), 1,
      sym__definition_body,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13133), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [528942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [528970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [528998] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13135), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11339), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7410), 1,
      sym__backquoted_id,
    STATE(11340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9082), 14,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [529100] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10460), 11,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529130] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10444), 11,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529160] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13139), 1,
      sym__automatic_semicolon,
    STATE(12438), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12445), 1,
      sym_access_modifier,
    STATE(13142), 1,
      sym_class_parameters,
    ACTIONS(12547), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13137), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [529200] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13142), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11345), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529244] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13144), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11346), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529288] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13146), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11347), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym__backquoted_id,
    ACTIONS(10456), 11,
      anon_sym_LT_COLON,
      anon_sym_end,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529362] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13148), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11349), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529462] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10405), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(10403), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8828), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529522] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13150), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11354), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529566] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10456), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [529596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529624] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12634), 1,
      anon_sym_DOT,
    STATE(11357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [529654] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13152), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11358), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529698] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [529726] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13154), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11360), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529770] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12979), 1,
      sym_operator_identifier,
    ACTIONS(13156), 1,
      anon_sym_RPAREN,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15753), 1,
      sym_wildcard,
    STATE(15826), 1,
      sym_identifier,
    STATE(15881), 1,
      sym_binding,
    STATE(11361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529844] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13158), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11363), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529888] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13160), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11364), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [529932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [529960] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13162), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11366), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530004] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10264), 1,
      anon_sym_LPAREN,
    STATE(11456), 1,
      aux_sym_annotation_repeat1,
    STATE(11799), 1,
      sym_arguments,
    STATE(11367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [530038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(8790), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10444), 12,
      anon_sym_COLON,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12799), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12797), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12795), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12793), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530158] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [530186] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13164), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11373), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530230] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13166), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11374), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530274] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13170), 1,
      anon_sym_STAR,
    STATE(11375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [530304] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13172), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11376), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530348] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13174), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11377), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530392] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11921), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530422] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13176), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11379), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530466] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13178), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11380), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530510] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13180), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11381), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530554] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13182), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11382), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530598] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13184), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11383), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530642] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13186), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11384), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530686] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13188), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11385), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11925), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [530760] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13190), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11387), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 15,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [530832] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13192), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11389), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530876] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13194), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11390), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530920] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13196), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11391), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [530964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [530992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531048] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13198), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11395), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12730), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12722), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531178] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13200), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11399), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531222] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13202), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11400), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [531294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11929), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531324] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13204), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11403), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531368] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13206), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11404), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531412] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13208), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11405), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12819), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12817), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531486] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13210), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11407), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531530] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13212), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11408), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531574] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13214), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11409), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531618] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13216), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11410), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531662] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13218), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11411), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531706] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13220), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11412), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531750] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4948), 1,
      anon_sym_AT,
    ACTIONS(8062), 1,
      anon_sym_inline,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(13222), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(9117), 1,
      aux_sym_enum_definition_repeat1,
    STATE(9837), 1,
      sym_annotation,
    STATE(12678), 1,
      sym_inline_modifier,
    STATE(16840), 1,
      sym_identifier,
    STATE(11413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 5,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531798] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13224), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11414), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531842] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13226), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11415), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531886] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13228), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11416), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [531930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11933), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [531960] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13230), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11418), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532004] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13232), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11419), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532048] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13234), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11420), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532092] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11937), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532150] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13236), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11423), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532194] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13238), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11424), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532238] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13240), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11425), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532282] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12813), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(12811), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13242), 1,
      anon_sym_end,
    STATE(5659), 1,
      sym__end_marker,
    STATE(11427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532344] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13244), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11428), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532388] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13246), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11429), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532432] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13248), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11430), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [532504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [532532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [532560] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13250), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11434), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__backquoted_id,
    ACTIONS(11947), 12,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_EQ,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [532634] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13252), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11436), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532678] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13254), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11437), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532722] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11824), 1,
      anon_sym_EQ,
    ACTIONS(12809), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532768] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12543), 1,
      anon_sym_LBRACK,
    ACTIONS(12545), 1,
      anon_sym_AT,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13256), 1,
      sym__automatic_semicolon,
    STATE(12128), 1,
      sym_type_parameters,
    STATE(12964), 1,
      sym_annotation,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(13804), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13805), 1,
      sym_access_modifier,
    ACTIONS(12547), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12541), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [532816] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13258), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11440), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532860] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(11574), 1,
      anon_sym_STAR,
    ACTIONS(11578), 1,
      anon_sym_PIPE,
    ACTIONS(11580), 1,
      sym_operator_identifier,
    ACTIONS(11820), 1,
      anon_sym_EQ,
    ACTIONS(12803), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(11441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532906] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13260), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11442), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532950] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13262), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11443), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [532994] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13264), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11444), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533038] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13266), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11445), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533082] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13268), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11446), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533126] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7182), 1,
      anon_sym_object,
    ACTIONS(7188), 1,
      anon_sym_class,
    ACTIONS(13113), 1,
      sym__alpha_identifier,
    ACTIONS(13121), 1,
      sym__backquoted_id,
    ACTIONS(13123), 1,
      sym_operator_identifier,
    STATE(12216), 1,
      sym_identifier,
    STATE(13914), 1,
      sym__soft_identifier,
    STATE(14290), 1,
      sym_simple_enum_case,
    STATE(15565), 1,
      sym_full_enum_case,
    STATE(11447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13119), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533200] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13272), 1,
      sym__automatic_semicolon,
    STATE(12223), 1,
      aux_sym__class_constructor_repeat1,
    STATE(12227), 1,
      sym_access_modifier,
    STATE(13142), 1,
      sym_class_parameters,
    ACTIONS(12547), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13270), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [533240] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13275), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11450), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 15,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533312] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13277), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11452), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533356] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13279), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11453), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533400] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13281), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11454), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533444] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13283), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11455), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13285), 1,
      anon_sym_LPAREN,
    STATE(11799), 1,
      sym_arguments,
    STATE(11456), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [533520] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13288), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11457), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533564] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    ACTIONS(13290), 1,
      anon_sym_RBRACK,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11458), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533608] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [533662] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11203), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11201), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [533691] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13292), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11462), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12934), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [533738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [533765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [533792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [533819] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13294), 1,
      anon_sym_LPAREN,
    STATE(12548), 1,
      sym_arguments,
    STATE(11466), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [533850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [533877] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12662), 1,
      anon_sym_AT,
    STATE(11578), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12266), 1,
      sym_annotation,
    STATE(11468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [533910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [533937] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15214), 1,
      sym__type_parameter,
    STATE(11470), 2,
      sym_comment,
      sym_block_comment,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [533978] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13297), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11471), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13045), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [534025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534052] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13299), 1,
      anon_sym_LPAREN,
    STATE(12558), 1,
      sym_arguments,
    STATE(11473), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [534083] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    STATE(11474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12722), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534112] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13302), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11475), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12899), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [534159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [534213] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13306), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11478), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12945), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [534260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [534287] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10510), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10508), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [534370] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [534397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534424] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13308), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11485), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12997), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [534471] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534498] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10446), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10444), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534527] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11945), 1,
      sym__backquoted_id,
    STATE(11488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11943), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534556] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [534583] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9786), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9788), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534639] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10458), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10456), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534668] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9751), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9753), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534697] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10462), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10460), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [534726] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12703), 1,
      anon_sym_LPAREN,
    STATE(11466), 1,
      aux_sym_annotation_repeat1,
    STATE(12548), 1,
      sym_arguments,
    STATE(11495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [534759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [534786] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [534813] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    ACTIONS(13318), 1,
      anon_sym_LBRACK,
    ACTIONS(13320), 1,
      anon_sym_LT_COLON,
    ACTIONS(13322), 1,
      anon_sym_GT_COLON,
    ACTIONS(13324), 1,
      anon_sym_LT_PERCENT,
    STATE(12332), 1,
      sym_type_parameters,
    STATE(13316), 1,
      sym_lower_bound,
    STATE(13697), 1,
      aux_sym__type_parameter_repeat1,
    STATE(13698), 1,
      sym_upper_bound,
    STATE(14277), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14519), 1,
      sym_view_bound,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(13316), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(11498), 2,
      sym_comment,
      sym_block_comment,
  [534864] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15234), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [534905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [534932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [534959] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15221), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535000] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15918), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [535068] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15919), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535136] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15618), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535177] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [535285] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15206), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13332), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535353] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15202), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535394] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15194), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535435] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15187), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535476] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13334), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11517), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13045), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [535523] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15181), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535618] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(13340), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14510), 1,
      sym_identifier,
    STATE(16925), 1,
      sym_stable_identifier,
    STATE(11521), 2,
      sym_comment,
      sym_block_comment,
    STATE(14511), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535659] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15177), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [535754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [535781] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13344), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11526), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12945), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [535828] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9700), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9702), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [535857] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15170), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [535898] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [535954] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9207), 1,
      anon_sym_LPAREN,
    ACTIONS(13353), 1,
      anon_sym_LBRACK,
    ACTIONS(13355), 1,
      anon_sym_POUND,
    STATE(12547), 1,
      aux_sym_annotation_repeat1,
    STATE(12688), 1,
      sym_type_arguments,
    STATE(13083), 1,
      sym_arguments,
    STATE(11531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [535993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12813), 1,
      sym__backquoted_id,
    STATE(11537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12811), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536157] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12819), 1,
      sym__backquoted_id,
    STATE(11538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12817), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536186] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13363), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11539), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12997), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [536233] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13365), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11540), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12997), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [536280] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15163), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536348] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536375] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10516), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10514), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536431] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15159), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536472] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15147), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536513] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13367), 1,
      anon_sym_end,
    STATE(6624), 1,
      sym__end_marker,
    STATE(11548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536544] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8286), 1,
      anon_sym_LBRACE,
    ACTIONS(13369), 1,
      anon_sym_COLON,
    STATE(11982), 1,
      aux_sym_compound_type_repeat1,
    STATE(14017), 1,
      sym__refinement,
    STATE(14018), 1,
      sym_template_body,
    STATE(14051), 1,
      sym_arguments,
    STATE(11549), 2,
      sym_comment,
      sym_block_comment,
    STATE(14010), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [536585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536612] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15137), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536653] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11939), 1,
      sym__backquoted_id,
    STATE(11552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11937), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536682] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [536709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536763] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536792] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15133), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [536833] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [536860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [536887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [536914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11935), 1,
      sym__backquoted_id,
    STATE(11561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11933), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [536943] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13382), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11562), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12934), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [536990] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15129), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537031] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15124), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537072] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(13384), 1,
      anon_sym_COLON,
    ACTIONS(13386), 1,
      anon_sym_extends,
    ACTIONS(13388), 1,
      anon_sym_derives,
    ACTIONS(13390), 1,
      sym__automatic_semicolon,
    STATE(12591), 1,
      sym_extends_clause,
    STATE(13065), 1,
      sym_derives_clause,
    STATE(14642), 1,
      sym_template_body,
    STATE(14650), 1,
      sym__definition_body,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12907), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [537119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537146] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15116), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537214] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15109), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537255] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9846), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9848), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537311] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13393), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11572), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13041), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [537358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11931), 1,
      sym__backquoted_id,
    STATE(11573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11929), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [537414] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15101), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537482] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15092), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537523] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13395), 1,
      anon_sym_AT,
    STATE(12266), 1,
      sym_annotation,
    STATE(11578), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [537554] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(13398), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(13391), 1,
      sym_identifier,
    STATE(17177), 1,
      sym_stable_identifier,
    STATE(11579), 2,
      sym_comment,
      sym_block_comment,
    STATE(13704), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537595] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(13384), 1,
      anon_sym_COLON,
    ACTIONS(13386), 1,
      anon_sym_extends,
    ACTIONS(13388), 1,
      anon_sym_derives,
    STATE(12612), 1,
      sym_extends_clause,
    STATE(13169), 1,
      sym_derives_clause,
    STATE(14641), 1,
      sym__definition_body,
    STATE(14642), 1,
      sym_template_body,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13133), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [537640] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15088), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537681] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11916), 1,
      sym__backquoted_id,
    STATE(11582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11914), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537710] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15080), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [537751] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13402), 1,
      anon_sym_LBRACK,
    ACTIONS(13404), 1,
      anon_sym_match,
    STATE(5621), 1,
      sym_type_arguments,
    STATE(11584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537813] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9612), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9610), 12,
      anon_sym__,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_end,
      anon_sym_AT,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [537842] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13402), 1,
      anon_sym_LBRACK,
    STATE(5621), 1,
      sym_type_arguments,
    STATE(11587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537873] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13402), 1,
      anon_sym_LBRACK,
    STATE(5621), 1,
      sym_type_arguments,
    STATE(11588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537904] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [537931] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13402), 1,
      anon_sym_LBRACK,
    ACTIONS(13404), 1,
      anon_sym_match,
    STATE(5621), 1,
      sym_type_arguments,
    STATE(11590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13402), 1,
      anon_sym_LBRACK,
    STATE(5621), 1,
      sym_type_arguments,
    STATE(11591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [537995] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13402), 1,
      anon_sym_LBRACK,
    STATE(5621), 1,
      sym_type_arguments,
    STATE(11592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538026] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9227), 1,
      anon_sym_LPAREN,
    ACTIONS(13421), 1,
      anon_sym_LBRACK,
    ACTIONS(13423), 1,
      anon_sym_POUND,
    STATE(12618), 1,
      aux_sym_annotation_repeat1,
    STATE(12644), 1,
      sym_type_arguments,
    STATE(13045), 1,
      sym_arguments,
    STATE(11593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [538065] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13402), 1,
      anon_sym_LBRACK,
    STATE(5621), 1,
      sym_type_arguments,
    STATE(11594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 12,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538096] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15073), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538137] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11949), 1,
      sym__backquoted_id,
    STATE(11596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11947), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538166] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15065), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538207] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15058), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538248] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9786), 1,
      sym__backquoted_id,
    STATE(11599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9788), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11927), 1,
      sym__backquoted_id,
    STATE(11600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11925), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538306] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10500), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10498), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538335] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11923), 1,
      sym__backquoted_id,
    STATE(11602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11921), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538364] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9885), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9887), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538393] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10462), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10460), 11,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10458), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10456), 11,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [538451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [538478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [538505] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(13429), 1,
      sym_operator_identifier,
    STATE(4199), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(16145), 1,
      sym__arrow_then_type,
    ACTIONS(13427), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [538573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [538600] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16020), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538641] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13431), 1,
      anon_sym_STAR,
    STATE(11612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538670] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15050), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538711] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(12909), 1,
      anon_sym_COLON,
    ACTIONS(13433), 1,
      anon_sym_with,
    STATE(9447), 1,
      sym_arguments,
    STATE(9448), 1,
      sym__refinement,
    STATE(9449), 1,
      sym_template_body,
    STATE(12095), 1,
      aux_sym_compound_type_repeat1,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [538754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538781] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15041), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538822] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15035), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [538863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [538917] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13435), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11620), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13045), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [538964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [538991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539018] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10446), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(10444), 11,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539047] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15026), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539088] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12310), 1,
      sym__alpha_identifier,
    ACTIONS(12318), 1,
      sym__backquoted_id,
    ACTIONS(13437), 1,
      sym_operator_identifier,
    STATE(11083), 1,
      sym__soft_identifier,
    STATE(13712), 1,
      sym_identifier,
    STATE(17033), 1,
      sym_stable_identifier,
    STATE(11625), 2,
      sym_comment,
      sym_block_comment,
    STATE(13999), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(12314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539129] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15021), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539170] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15016), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12854), 1,
      sym__backquoted_id,
    STATE(11629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12852), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539267] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9700), 1,
      sym__backquoted_id,
    STATE(11630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9702), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539350] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13439), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11633), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12899), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [539397] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13441), 1,
      anon_sym_end,
    STATE(6062), 1,
      sym__end_marker,
    STATE(11634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [539428] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(13384), 1,
      anon_sym_COLON,
    ACTIONS(13443), 1,
      anon_sym_with,
    STATE(9100), 1,
      sym_template_body,
    STATE(9101), 1,
      sym__refinement,
    STATE(9200), 1,
      sym_arguments,
    STATE(12159), 1,
      aux_sym_compound_type_repeat1,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [539471] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13445), 1,
      anon_sym_DOT,
    STATE(11636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [539500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13447), 1,
      anon_sym_LPAREN,
    STATE(12569), 1,
      sym_arguments,
    STATE(11637), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [539531] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15005), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539599] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14999), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539640] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539667] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14994), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9751), 1,
      sym__backquoted_id,
    STATE(11643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9753), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [539737] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(13398), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(13391), 1,
      sym_identifier,
    STATE(17177), 1,
      sym_stable_identifier,
    STATE(11644), 2,
      sym_comment,
      sym_block_comment,
    STATE(13473), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539778] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [539807] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(12979), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15753), 1,
      sym_wildcard,
    STATE(15826), 1,
      sym_identifier,
    STATE(15881), 1,
      sym_binding,
    STATE(11646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [539877] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14990), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [539918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [539945] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9145), 1,
      anon_sym_LPAREN,
    ACTIONS(13450), 1,
      anon_sym_LBRACK,
    ACTIONS(13452), 1,
      anon_sym_POUND,
    STATE(12245), 1,
      aux_sym_annotation_repeat1,
    STATE(12997), 1,
      sym_type_arguments,
    STATE(13170), 1,
      sym_arguments,
    STATE(11650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [539984] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14812), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540025] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13454), 1,
      anon_sym_AT,
    STATE(12522), 1,
      sym_annotation,
    STATE(11652), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [540056] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14986), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540097] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14980), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [540165] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9846), 1,
      sym__backquoted_id,
    STATE(11657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9848), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540221] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14956), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540262] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [540289] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14969), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540330] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14963), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540398] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13457), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11663), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12899), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [540445] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12858), 1,
      sym__backquoted_id,
    STATE(11664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12856), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12862), 1,
      sym__backquoted_id,
    STATE(11665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12860), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9885), 1,
      sym__backquoted_id,
    STATE(11666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9887), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540532] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12310), 1,
      sym__alpha_identifier,
    ACTIONS(12318), 1,
      sym__backquoted_id,
    ACTIONS(13437), 1,
      sym_operator_identifier,
    STATE(11083), 1,
      sym__soft_identifier,
    STATE(13712), 1,
      sym_identifier,
    STATE(17033), 1,
      sym_stable_identifier,
    STATE(11667), 2,
      sym_comment,
      sym_block_comment,
    STATE(13717), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(12314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540573] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13463), 1,
      sym__indent,
    STATE(11668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13461), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13459), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [540658] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8352), 1,
      sym__outdent,
    ACTIONS(8354), 1,
      anon_sym_case,
    ACTIONS(8356), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(11671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540693] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15589), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540734] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14947), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [540802] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14939), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [540870] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14931), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10624), 1,
      sym__backquoted_id,
    STATE(11678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10622), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [540940] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15532), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [540981] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541008] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9217), 1,
      anon_sym_LPAREN,
    ACTIONS(13465), 1,
      anon_sym_LBRACK,
    ACTIONS(13467), 1,
      anon_sym_POUND,
    STATE(12444), 1,
      aux_sym_annotation_repeat1,
    STATE(12845), 1,
      sym_type_arguments,
    STATE(13249), 1,
      sym_arguments,
    STATE(11681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [541047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10606), 1,
      sym__backquoted_id,
    STATE(11683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10604), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541130] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14830), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541171] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14926), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541212] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14921), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [541280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13469), 1,
      anon_sym_LPAREN,
    STATE(12392), 1,
      sym_arguments,
    STATE(11689), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [541311] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14915), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [541379] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14909), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541447] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(13340), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14510), 1,
      sym_identifier,
    STATE(16925), 1,
      sym_stable_identifier,
    STATE(11694), 2,
      sym_comment,
      sym_block_comment,
    STATE(15338), 2,
      sym_stable_type_identifier,
      sym__type_identifier,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541488] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14900), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541556] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13472), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11697), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13041), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [541603] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13474), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11698), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12934), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [541650] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8352), 1,
      sym__backquoted_id,
    STATE(11699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8354), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [541679] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12787), 1,
      anon_sym_LBRACK,
    ACTIONS(12791), 1,
      anon_sym_POUND,
    ACTIONS(12838), 1,
      anon_sym_AT,
    STATE(11790), 1,
      sym_type_arguments,
    STATE(11792), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12854), 1,
      sym_annotation,
    STATE(11700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [541718] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14895), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541759] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14886), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [541829] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [541856] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12610), 1,
      anon_sym_AT,
    STATE(11652), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12522), 1,
      sym_annotation,
    STATE(11705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [541889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [541916] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14879), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [541957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [541984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542013] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14875), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542081] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13476), 1,
      anon_sym_DOT,
    STATE(11712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [542110] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10569), 1,
      sym__backquoted_id,
    STATE(11717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10567), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [542247] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14866), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542288] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13478), 1,
      anon_sym_DOT,
    STATE(11719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542317] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12695), 1,
      anon_sym_DOT,
    STATE(11720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542373] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(13484), 1,
      sym__automatic_semicolon,
    STATE(12601), 1,
      sym_type_parameters,
    STATE(12603), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(11722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13480), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [542414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542468] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12612), 1,
      anon_sym_LPAREN,
    STATE(11473), 1,
      aux_sym_annotation_repeat1,
    STATE(12558), 1,
      sym_arguments,
    STATE(11725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [542501] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    STATE(11689), 1,
      aux_sym_annotation_repeat1,
    STATE(12392), 1,
      sym_arguments,
    STATE(11726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [542534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542561] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13486), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11728), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(12945), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [542608] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12651), 1,
      anon_sym_LPAREN,
    ACTIONS(13488), 1,
      sym__automatic_semicolon,
    STATE(12956), 1,
      sym_access_modifier,
    STATE(13021), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13606), 1,
      sym_class_parameters,
    ACTIONS(12649), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13270), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [542647] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12651), 1,
      anon_sym_LPAREN,
    ACTIONS(13491), 1,
      sym__automatic_semicolon,
    STATE(12863), 1,
      sym_access_modifier,
    STATE(12881), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13606), 1,
      sym_class_parameters,
    ACTIONS(12649), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(11730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13137), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [542686] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    ACTIONS(13494), 1,
      anon_sym_EQ,
    STATE(13382), 1,
      aux_sym_compound_type_repeat1,
    STATE(15971), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    STATE(17141), 1,
      sym_arguments,
    STATE(11731), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(13041), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [542733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [542814] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8298), 1,
      anon_sym_LBRACE,
    ACTIONS(13496), 1,
      anon_sym_COLON,
    STATE(12078), 1,
      aux_sym_compound_type_repeat1,
    STATE(14011), 1,
      sym_arguments,
    STATE(14150), 1,
      sym__refinement,
    STATE(14163), 1,
      sym_template_body,
    STATE(11735), 2,
      sym_comment,
      sym_block_comment,
    STATE(14038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [542855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 14,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [542909] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14819), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [542950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [542979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [543006] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13498), 1,
      anon_sym_STAR,
    STATE(11741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543035] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10432), 1,
      sym__backquoted_id,
    STATE(11742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10430), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [543091] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14801), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543132] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14858), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543173] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(11746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8260), 12,
      anon_sym_case,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_QMARK_EQ_GT,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10405), 1,
      sym__backquoted_id,
    STATE(11747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10403), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543231] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12883), 1,
      sym__backquoted_id,
    STATE(11748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12881), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [543287] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14806), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543328] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14852), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543369] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14846), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543410] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [543437] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(11754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543466] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12762), 1,
      anon_sym_LPAREN,
    STATE(11637), 1,
      aux_sym_annotation_repeat1,
    STATE(12569), 1,
      sym_arguments,
    STATE(11755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [543499] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(11756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [543555] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      sym__backquoted_id,
    STATE(11758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11957), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [543584] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14823), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543625] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [543652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [543733] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14837), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [543801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [543828] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [543855] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12660), 1,
      anon_sym_LBRACK,
    ACTIONS(12662), 1,
      anon_sym_AT,
    ACTIONS(12664), 1,
      anon_sym_POUND,
    STATE(11467), 1,
      sym_type_arguments,
    STATE(11468), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12266), 1,
      sym_annotation,
    STATE(11768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 8,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [543894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 14,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [543921] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(14843), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [543962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 14,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [543989] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544043] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11203), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__backquoted_id,
    ACTIONS(11201), 11,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544072] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8572), 1,
      anon_sym_LPAREN,
    STATE(11783), 1,
      aux_sym_annotation_repeat1,
    STATE(12616), 1,
      sym_arguments,
    STATE(11775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [544105] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8352), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8354), 2,
      anon_sym_COLON,
      anon_sym_LT_PERCENT,
    STATE(11776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544165] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13500), 1,
      anon_sym_DOT,
    STATE(11778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544194] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12799), 1,
      sym__backquoted_id,
    STATE(11779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12797), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544250] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12795), 1,
      sym__backquoted_id,
    STATE(11781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12793), 13,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_if,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [544279] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(11211), 1,
      anon_sym__,
    ACTIONS(11221), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15413), 1,
      sym__type_parameter,
    STATE(11498), 2,
      sym_identifier,
      sym_wildcard,
    STATE(11782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13502), 1,
      anon_sym_LPAREN,
    STATE(12616), 1,
      sym_arguments,
    STATE(11783), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [544351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 14,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544404] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13505), 1,
      anon_sym_AT,
    STATE(12854), 1,
      sym_annotation,
    STATE(11786), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [544434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544486] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(11791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544566] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12838), 1,
      anon_sym_AT,
    STATE(11786), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12854), 1,
      sym_annotation,
    STATE(11792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [544598] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13332), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544624] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(13508), 1,
      anon_sym_type,
    ACTIONS(13510), 1,
      sym_operator_identifier,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6524), 1,
      sym_identifier,
    STATE(6880), 1,
      sym__type_identifier,
    STATE(11794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544690] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(13512), 1,
      anon_sym_type,
    ACTIONS(13514), 1,
      sym_operator_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11301), 1,
      sym_identifier,
    STATE(11714), 1,
      sym__type_identifier,
    STATE(11796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544756] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4490), 1,
      sym__alpha_identifier,
    ACTIONS(4508), 1,
      sym__backquoted_id,
    ACTIONS(13516), 1,
      anon_sym_type,
    ACTIONS(13518), 1,
      sym_operator_identifier,
    STATE(5177), 1,
      sym_identifier,
    STATE(5408), 1,
      sym__soft_identifier,
    STATE(5572), 1,
      sym__type_identifier,
    STATE(11798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4502), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [544822] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6204), 1,
      sym__alpha_identifier,
    ACTIONS(6214), 1,
      sym__backquoted_id,
    ACTIONS(13520), 1,
      anon_sym_type,
    ACTIONS(13522), 1,
      sym_operator_identifier,
    STATE(4562), 1,
      sym_identifier,
    STATE(4614), 1,
      sym__soft_identifier,
    STATE(4786), 1,
      sym__type_identifier,
    STATE(11800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6210), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544862] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8588), 1,
      sym__alpha_identifier,
    ACTIONS(8600), 1,
      sym__backquoted_id,
    ACTIONS(13524), 1,
      anon_sym_type,
    ACTIONS(13526), 1,
      sym_operator_identifier,
    STATE(4806), 1,
      sym_identifier,
    STATE(4813), 1,
      sym__type_identifier,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(11801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8596), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [544902] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [544928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [544954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13528), 1,
      anon_sym_LPAREN,
    STATE(12760), 1,
      sym_arguments,
    STATE(11804), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [544984] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13531), 1,
      anon_sym_LBRACK,
    ACTIONS(13533), 1,
      anon_sym_match,
    STATE(6003), 1,
      sym_type_arguments,
    STATE(11805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [545042] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8726), 1,
      sym__alpha_identifier,
    ACTIONS(8738), 1,
      sym__backquoted_id,
    ACTIONS(13535), 1,
      anon_sym_type,
    ACTIONS(13537), 1,
      sym_operator_identifier,
    STATE(4564), 1,
      sym__soft_identifier,
    STATE(4584), 1,
      sym__type_identifier,
    STATE(4699), 1,
      sym_identifier,
    STATE(11807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8734), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545082] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545108] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545134] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(13539), 1,
      sym_operator_identifier,
    STATE(10240), 1,
      sym_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11157), 1,
      sym__class_constructor,
    STATE(14386), 1,
      sym__class_definition,
    STATE(11810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545174] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6240), 1,
      sym__alpha_identifier,
    ACTIONS(6254), 1,
      sym__backquoted_id,
    ACTIONS(13541), 1,
      anon_sym_type,
    ACTIONS(13543), 1,
      sym_operator_identifier,
    STATE(5046), 1,
      sym__soft_identifier,
    STATE(5412), 1,
      sym_identifier,
    STATE(5972), 1,
      sym__type_identifier,
    STATE(11811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [545240] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545268] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12678), 1,
      anon_sym_LPAREN,
    STATE(11930), 1,
      aux_sym_annotation_repeat1,
    STATE(12682), 1,
      sym_arguments,
    STATE(11814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [545300] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545326] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4424), 1,
      sym__alpha_identifier,
    ACTIONS(4442), 1,
      sym__backquoted_id,
    ACTIONS(13545), 1,
      anon_sym_type,
    ACTIONS(13547), 1,
      sym_operator_identifier,
    STATE(5526), 1,
      sym_identifier,
    STATE(5702), 1,
      sym__soft_identifier,
    STATE(6391), 1,
      sym__type_identifier,
    STATE(11816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545366] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(13549), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11100), 1,
      sym_identifier,
    STATE(13274), 1,
      sym__type_identifier,
    STATE(14550), 1,
      sym__type_constructor,
    STATE(11817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545406] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(487), 1,
      anon_sym__,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(13551), 1,
      sym_operator_identifier,
    STATE(5547), 1,
      sym__soft_identifier,
    STATE(11818), 2,
      sym_comment,
      sym_block_comment,
    STATE(14351), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(661), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545496] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      sym__alpha_identifier,
    ACTIONS(4908), 1,
      sym__backquoted_id,
    ACTIONS(13553), 1,
      anon_sym_type,
    ACTIONS(13555), 1,
      sym_operator_identifier,
    STATE(6026), 1,
      sym__soft_identifier,
    STATE(6538), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__type_identifier,
    STATE(11821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545536] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12181), 1,
      sym__alpha_identifier,
    ACTIONS(12189), 1,
      sym__backquoted_id,
    ACTIONS(13557), 1,
      anon_sym_type,
    ACTIONS(13559), 1,
      sym_operator_identifier,
    STATE(11155), 1,
      sym__soft_identifier,
    STATE(11242), 1,
      sym_identifier,
    STATE(11459), 1,
      sym__type_identifier,
    STATE(11822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12185), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [545602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [545628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [545654] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12166), 1,
      sym__alpha_identifier,
    ACTIONS(12174), 1,
      sym__backquoted_id,
    ACTIONS(13561), 1,
      anon_sym_type,
    ACTIONS(13563), 1,
      sym_operator_identifier,
    STATE(11933), 1,
      sym__soft_identifier,
    STATE(12143), 1,
      sym_identifier,
    STATE(12545), 1,
      sym__type_identifier,
    STATE(11826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12170), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545694] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      sym__alpha_identifier,
    ACTIONS(12300), 1,
      sym__backquoted_id,
    ACTIONS(13565), 1,
      sym_operator_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(11162), 1,
      sym__soft_identifier,
    STATE(11565), 1,
      sym__class_constructor,
    STATE(14661), 1,
      sym__class_definition,
    STATE(11827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [545760] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6832), 1,
      sym__backquoted_id,
    ACTIONS(13567), 1,
      anon_sym_type,
    ACTIONS(13569), 1,
      sym_operator_identifier,
    STATE(8731), 1,
      sym__soft_identifier,
    STATE(9238), 1,
      sym_identifier,
    STATE(9329), 1,
      sym__type_identifier,
    STATE(11829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13332), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [545852] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12310), 1,
      sym__alpha_identifier,
    ACTIONS(12318), 1,
      sym__backquoted_id,
    ACTIONS(13571), 1,
      sym_operator_identifier,
    STATE(11083), 1,
      sym__soft_identifier,
    STATE(12504), 1,
      sym_identifier,
    STATE(12721), 1,
      sym__type_identifier,
    STATE(14265), 1,
      sym__type_constructor,
    STATE(11832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [545892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [545918] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12869), 1,
      anon_sym_EQ,
    STATE(11834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [545948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [545974] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8648), 1,
      sym__alpha_identifier,
    ACTIONS(8660), 1,
      sym__backquoted_id,
    ACTIONS(13573), 1,
      anon_sym_type,
    ACTIONS(13575), 1,
      sym_operator_identifier,
    STATE(9878), 1,
      sym__type_identifier,
    STATE(9922), 1,
      sym_identifier,
    STATE(10115), 1,
      sym__soft_identifier,
    STATE(11836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546014] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6528), 1,
      sym__backquoted_id,
    ACTIONS(13577), 1,
      anon_sym_type,
    ACTIONS(13579), 1,
      sym_operator_identifier,
    STATE(4879), 1,
      sym_identifier,
    STATE(4915), 1,
      sym__soft_identifier,
    STATE(5200), 1,
      sym__type_identifier,
    STATE(11837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13531), 1,
      anon_sym_LBRACK,
    STATE(6003), 1,
      sym_type_arguments,
    STATE(11838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13531), 1,
      anon_sym_LBRACK,
    STATE(6003), 1,
      sym_type_arguments,
    STATE(11839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546140] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4840), 1,
      sym__alpha_identifier,
    ACTIONS(4852), 1,
      sym__backquoted_id,
    ACTIONS(13581), 1,
      anon_sym_type,
    ACTIONS(13583), 1,
      sym_operator_identifier,
    STATE(4891), 1,
      sym_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(5221), 1,
      sym__type_identifier,
    STATE(11841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546180] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13531), 1,
      anon_sym_LBRACK,
    ACTIONS(13533), 1,
      anon_sym_match,
    STATE(6003), 1,
      sym_type_arguments,
    STATE(11842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546212] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6640), 1,
      sym__alpha_identifier,
    ACTIONS(6650), 1,
      sym__backquoted_id,
    ACTIONS(13585), 1,
      anon_sym_type,
    ACTIONS(13587), 1,
      sym_operator_identifier,
    STATE(6066), 1,
      sym_identifier,
    STATE(6211), 1,
      sym__soft_identifier,
    STATE(7150), 1,
      sym__type_identifier,
    STATE(11843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6646), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546252] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4550), 1,
      sym__alpha_identifier,
    ACTIONS(4568), 1,
      sym__backquoted_id,
    ACTIONS(13589), 1,
      anon_sym_type,
    ACTIONS(13591), 1,
      sym_operator_identifier,
    STATE(5032), 1,
      sym__soft_identifier,
    STATE(5426), 1,
      sym_identifier,
    STATE(5923), 1,
      sym__type_identifier,
    STATE(11844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13531), 1,
      anon_sym_LBRACK,
    STATE(6003), 1,
      sym_type_arguments,
    STATE(11845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [546348] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12867), 1,
      anon_sym_EQ,
    STATE(11847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546404] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(13539), 1,
      sym_operator_identifier,
    STATE(10240), 1,
      sym_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11157), 1,
      sym__class_constructor,
    STATE(14247), 1,
      sym__class_definition,
    STATE(11849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546444] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13595), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13593), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [546472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [546498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [546550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [546576] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(11855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [546604] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12258), 1,
      sym__alpha_identifier,
    ACTIONS(12266), 1,
      sym__backquoted_id,
    ACTIONS(13597), 1,
      anon_sym_type,
    ACTIONS(13599), 1,
      sym_operator_identifier,
    STATE(12410), 1,
      sym_identifier,
    STATE(12530), 1,
      sym__soft_identifier,
    STATE(12761), 1,
      sym__type_identifier,
    STATE(11856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12262), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546644] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12713), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [546670] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(13601), 1,
      anon_sym_type,
    ACTIONS(13603), 1,
      sym_operator_identifier,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5270), 1,
      sym_identifier,
    STATE(5948), 1,
      sym__type_identifier,
    STATE(11858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [546762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [546788] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13605), 1,
      anon_sym_LPAREN,
    STATE(12818), 1,
      sym_arguments,
    STATE(11862), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [546818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13531), 1,
      anon_sym_LBRACK,
    STATE(6003), 1,
      sym_type_arguments,
    STATE(11864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546874] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4742), 1,
      sym__alpha_identifier,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(13608), 1,
      anon_sym_type,
    ACTIONS(13610), 1,
      sym_operator_identifier,
    STATE(4468), 1,
      sym__soft_identifier,
    STATE(4553), 1,
      sym_identifier,
    STATE(4739), 1,
      sym__type_identifier,
    STATE(11865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [546940] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8714), 1,
      sym__alpha_identifier,
    ACTIONS(8722), 1,
      sym__backquoted_id,
    ACTIONS(13612), 1,
      anon_sym_type,
    ACTIONS(13614), 1,
      sym_operator_identifier,
    STATE(7084), 1,
      sym_identifier,
    STATE(7247), 1,
      sym__type_identifier,
    STATE(7298), 1,
      sym__soft_identifier,
    STATE(11867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [546980] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6312), 1,
      sym__alpha_identifier,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(13616), 1,
      anon_sym_type,
    ACTIONS(13618), 1,
      sym_operator_identifier,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(5804), 1,
      sym_identifier,
    STATE(6080), 1,
      sym__type_identifier,
    STATE(11868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [547046] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13620), 1,
      anon_sym_LBRACK,
    ACTIONS(13622), 1,
      anon_sym_LPAREN,
    ACTIONS(13624), 1,
      sym__automatic_semicolon,
    STATE(12732), 1,
      sym_type_parameters,
    STATE(12733), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13666), 1,
      sym__using_parameters_clause,
    STATE(13815), 1,
      sym_parameters,
    STATE(11870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13480), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [547086] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(13539), 1,
      sym_operator_identifier,
    STATE(10240), 1,
      sym_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11157), 1,
      sym__class_constructor,
    STATE(14218), 1,
      sym__class_definition,
    STATE(11871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547126] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13626), 1,
      anon_sym_LPAREN,
    STATE(12824), 1,
      sym_arguments,
    STATE(11872), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [547156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547182] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12235), 1,
      sym__alpha_identifier,
    ACTIONS(12243), 1,
      sym__backquoted_id,
    ACTIONS(13629), 1,
      anon_sym_type,
    ACTIONS(13631), 1,
      sym_operator_identifier,
    STATE(10970), 1,
      sym__soft_identifier,
    STATE(11039), 1,
      sym_identifier,
    STATE(11333), 1,
      sym__type_identifier,
    STATE(11874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12239), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [547248] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8474), 1,
      sym__alpha_identifier,
    ACTIONS(8482), 1,
      sym__backquoted_id,
    ACTIONS(13633), 1,
      anon_sym_type,
    ACTIONS(13635), 1,
      sym_operator_identifier,
    STATE(5516), 1,
      sym__type_identifier,
    STATE(5667), 1,
      sym_identifier,
    STATE(5677), 1,
      sym__soft_identifier,
    STATE(11876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8478), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13639), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13637), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547342] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [547368] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12208), 1,
      sym__alpha_identifier,
    ACTIONS(12216), 1,
      sym__backquoted_id,
    ACTIONS(13641), 1,
      anon_sym_type,
    ACTIONS(13643), 1,
      sym_operator_identifier,
    STATE(12295), 1,
      sym_identifier,
    STATE(12473), 1,
      sym__soft_identifier,
    STATE(12774), 1,
      sym__type_identifier,
    STATE(11880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547408] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11985), 2,
      anon_sym_LBRACK,
      sym__backquoted_id,
    STATE(11881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11983), 11,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [547462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [547488] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(11884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547516] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13531), 1,
      anon_sym_LBRACK,
    STATE(6003), 1,
      sym_type_arguments,
    STATE(11885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [547572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [547598] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [547650] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13645), 1,
      anon_sym_end,
    STATE(6904), 1,
      sym__end_marker,
    STATE(11890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [547680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [547706] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6690), 1,
      sym__alpha_identifier,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(13647), 1,
      anon_sym_type,
    ACTIONS(13649), 1,
      sym_operator_identifier,
    STATE(6303), 1,
      sym__soft_identifier,
    STATE(6594), 1,
      sym_identifier,
    STATE(6725), 1,
      sym__type_identifier,
    STATE(11892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547746] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8746), 1,
      sym__alpha_identifier,
    ACTIONS(8754), 1,
      sym__backquoted_id,
    ACTIONS(13651), 1,
      anon_sym_type,
    ACTIONS(13653), 1,
      sym_operator_identifier,
    STATE(8469), 1,
      sym__type_identifier,
    STATE(8589), 1,
      sym__soft_identifier,
    STATE(8678), 1,
      sym_identifier,
    STATE(11893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547786] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6618), 1,
      sym__alpha_identifier,
    ACTIONS(6628), 1,
      sym__backquoted_id,
    ACTIONS(13655), 1,
      anon_sym_type,
    ACTIONS(13657), 1,
      sym_operator_identifier,
    STATE(6871), 1,
      sym_identifier,
    STATE(7078), 1,
      sym__soft_identifier,
    STATE(7951), 1,
      sym__type_identifier,
    STATE(11894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13661), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13659), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [547854] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12119), 1,
      sym__alpha_identifier,
    ACTIONS(12127), 1,
      sym__backquoted_id,
    ACTIONS(13663), 1,
      anon_sym_type,
    ACTIONS(13665), 1,
      sym_operator_identifier,
    STATE(10977), 1,
      sym_identifier,
    STATE(11070), 1,
      sym__soft_identifier,
    STATE(11308), 1,
      sym__type_identifier,
    STATE(11896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12123), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [547920] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      sym__alpha_identifier,
    ACTIONS(6718), 1,
      sym__backquoted_id,
    ACTIONS(13667), 1,
      anon_sym_type,
    ACTIONS(13669), 1,
      sym_operator_identifier,
    STATE(5777), 1,
      sym__soft_identifier,
    STATE(5869), 1,
      sym_identifier,
    STATE(6004), 1,
      sym__type_identifier,
    STATE(11898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [547960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [547986] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [548012] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4680), 1,
      sym__alpha_identifier,
    ACTIONS(4698), 1,
      sym__backquoted_id,
    ACTIONS(13671), 1,
      anon_sym_type,
    ACTIONS(13673), 1,
      sym_operator_identifier,
    STATE(5106), 1,
      sym_identifier,
    STATE(5438), 1,
      sym__soft_identifier,
    STATE(5866), 1,
      sym__type_identifier,
    STATE(11901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4692), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548052] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      sym__alpha_identifier,
    ACTIONS(12300), 1,
      sym__backquoted_id,
    ACTIONS(13565), 1,
      sym_operator_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(11162), 1,
      sym__soft_identifier,
    STATE(11565), 1,
      sym__class_constructor,
    STATE(14693), 1,
      sym__class_definition,
    STATE(11902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548092] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12310), 1,
      sym__alpha_identifier,
    ACTIONS(12318), 1,
      sym__backquoted_id,
    ACTIONS(13571), 1,
      sym_operator_identifier,
    STATE(11083), 1,
      sym__soft_identifier,
    STATE(12504), 1,
      sym_identifier,
    STATE(12721), 1,
      sym__type_identifier,
    STATE(14287), 1,
      sym__type_constructor,
    STATE(11903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548158] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6452), 1,
      sym__alpha_identifier,
    ACTIONS(6462), 1,
      sym__backquoted_id,
    ACTIONS(13675), 1,
      anon_sym_type,
    ACTIONS(13677), 1,
      sym_operator_identifier,
    STATE(6859), 1,
      sym_identifier,
    STATE(6938), 1,
      sym__soft_identifier,
    STATE(8013), 1,
      sym__type_identifier,
    STATE(11905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6458), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548198] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [548224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [548250] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548276] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(13679), 1,
      anon_sym_type,
    ACTIONS(13681), 1,
      sym_operator_identifier,
    STATE(5478), 1,
      sym_identifier,
    STATE(5700), 1,
      sym__soft_identifier,
    STATE(6439), 1,
      sym__type_identifier,
    STATE(11909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548316] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(13683), 1,
      anon_sym_type,
    ACTIONS(13685), 1,
      sym_operator_identifier,
    STATE(7410), 1,
      sym__soft_identifier,
    STATE(8074), 1,
      sym_identifier,
    STATE(8240), 1,
      sym__type_identifier,
    STATE(11910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [548408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [548434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [548460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12834), 1,
      anon_sym_EQ,
    STATE(11915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [548516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [548542] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12836), 1,
      anon_sym_EQ,
    STATE(11918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548598] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8218), 1,
      sym__alpha_identifier,
    ACTIONS(8230), 1,
      sym__backquoted_id,
    ACTIONS(13687), 1,
      anon_sym_type,
    ACTIONS(13689), 1,
      sym_operator_identifier,
    STATE(11221), 1,
      sym_identifier,
    STATE(11280), 1,
      sym__soft_identifier,
    STATE(11760), 1,
      sym__type_identifier,
    STATE(11920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548638] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [548690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [548716] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13691), 1,
      anon_sym_LBRACK,
    ACTIONS(13693), 1,
      anon_sym_AT,
    ACTIONS(13695), 1,
      anon_sym_LPAREN,
    ACTIONS(13697), 1,
      anon_sym_POUND,
    STATE(13326), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13535), 1,
      sym_type_arguments,
    STATE(13880), 1,
      sym_annotation,
    STATE(14077), 1,
      sym_arguments,
    STATE(11924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
  [548758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548784] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13691), 1,
      anon_sym_LBRACK,
    ACTIONS(13693), 1,
      anon_sym_AT,
    ACTIONS(13697), 1,
      anon_sym_POUND,
    ACTIONS(13699), 1,
      anon_sym_LPAREN,
    STATE(13326), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13535), 1,
      sym_type_arguments,
    STATE(13880), 1,
      sym_annotation,
    STATE(14413), 1,
      sym_arguments,
    STATE(11926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
  [548826] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4770), 1,
      sym__alpha_identifier,
    ACTIONS(4782), 1,
      sym__backquoted_id,
    ACTIONS(13701), 1,
      anon_sym_type,
    ACTIONS(13703), 1,
      sym_operator_identifier,
    STATE(4578), 1,
      sym__soft_identifier,
    STATE(4664), 1,
      sym_identifier,
    STATE(4853), 1,
      sym__type_identifier,
    STATE(11927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [548892] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8913), 1,
      sym__alpha_identifier,
    ACTIONS(8921), 1,
      sym__backquoted_id,
    ACTIONS(13705), 1,
      anon_sym_type,
    ACTIONS(13707), 1,
      sym_operator_identifier,
    STATE(8252), 1,
      sym__soft_identifier,
    STATE(8368), 1,
      sym__type_identifier,
    STATE(8410), 1,
      sym_identifier,
    STATE(11929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8917), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [548932] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13709), 1,
      anon_sym_LPAREN,
    STATE(12682), 1,
      sym_arguments,
    STATE(11930), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_SEMI,
  [548962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13714), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13712), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [548990] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 13,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [549016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 13,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [549042] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      sym__alpha_identifier,
    ACTIONS(12300), 1,
      sym__backquoted_id,
    ACTIONS(13565), 1,
      sym_operator_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(11162), 1,
      sym__soft_identifier,
    STATE(11565), 1,
      sym__class_constructor,
    STATE(14640), 1,
      sym__class_definition,
    STATE(11934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549082] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [549108] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12668), 1,
      anon_sym_AT,
    STATE(12089), 1,
      aux_sym_enum_definition_repeat1,
    STATE(12852), 1,
      sym_annotation,
    STATE(11936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [549140] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [549166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [549192] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [549218] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4612), 1,
      sym__alpha_identifier,
    ACTIONS(4624), 1,
      sym__backquoted_id,
    ACTIONS(13716), 1,
      anon_sym_type,
    ACTIONS(13718), 1,
      sym_operator_identifier,
    STATE(4612), 1,
      sym__soft_identifier,
    STATE(4718), 1,
      sym_identifier,
    STATE(5026), 1,
      sym__type_identifier,
    STATE(11940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [549284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [549310] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9677), 1,
      anon_sym_LPAREN,
    ACTIONS(13720), 1,
      anon_sym_LBRACK,
    ACTIONS(13722), 1,
      anon_sym_POUND,
    STATE(12833), 1,
      aux_sym_annotation_repeat1,
    STATE(13184), 1,
      sym_type_arguments,
    STATE(13352), 1,
      sym_arguments,
    STATE(11943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [549348] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      sym__alpha_identifier,
    ACTIONS(12300), 1,
      sym__backquoted_id,
    ACTIONS(13565), 1,
      sym_operator_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(11162), 1,
      sym__soft_identifier,
    STATE(11565), 1,
      sym__class_constructor,
    STATE(14696), 1,
      sym__class_definition,
    STATE(11944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549388] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [549414] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(13724), 1,
      anon_sym_object,
    ACTIONS(13726), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(13775), 1,
      sym_package_identifier,
    STATE(13835), 1,
      sym_identifier,
    STATE(11946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549454] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8700), 1,
      sym__alpha_identifier,
    ACTIONS(8708), 1,
      sym__backquoted_id,
    ACTIONS(13728), 1,
      anon_sym_type,
    ACTIONS(13730), 1,
      sym_operator_identifier,
    STATE(7690), 1,
      sym__soft_identifier,
    STATE(7793), 1,
      sym_identifier,
    STATE(8031), 1,
      sym__type_identifier,
    STATE(11947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549494] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12827), 1,
      anon_sym_LPAREN,
    STATE(11804), 1,
      aux_sym_annotation_repeat1,
    STATE(12760), 1,
      sym_arguments,
    STATE(11948), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [549526] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4804), 1,
      sym__alpha_identifier,
    ACTIONS(4822), 1,
      sym__backquoted_id,
    ACTIONS(13732), 1,
      anon_sym_type,
    ACTIONS(13734), 1,
      sym_operator_identifier,
    STATE(4808), 1,
      sym_identifier,
    STATE(4953), 1,
      sym__soft_identifier,
    STATE(5323), 1,
      sym__type_identifier,
    STATE(11949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549566] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(13736), 1,
      anon_sym_type,
    ACTIONS(13738), 1,
      sym_operator_identifier,
    STATE(6024), 1,
      sym__soft_identifier,
    STATE(6223), 1,
      sym_identifier,
    STATE(6825), 1,
      sym__type_identifier,
    STATE(11950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [549632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13742), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13740), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549660] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4642), 1,
      sym__alpha_identifier,
    ACTIONS(4660), 1,
      sym__backquoted_id,
    ACTIONS(13744), 1,
      anon_sym_type,
    ACTIONS(13746), 1,
      sym_operator_identifier,
    STATE(6717), 1,
      sym_identifier,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(7543), 1,
      sym__type_identifier,
    STATE(11953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549700] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6140), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      sym__backquoted_id,
    ACTIONS(13748), 1,
      anon_sym_type,
    ACTIONS(13750), 1,
      sym_operator_identifier,
    STATE(7160), 1,
      sym_identifier,
    STATE(7223), 1,
      sym__soft_identifier,
    STATE(7862), 1,
      sym__type_identifier,
    STATE(11954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549740] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [549766] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4582), 1,
      sym__alpha_identifier,
    ACTIONS(4600), 1,
      sym__backquoted_id,
    ACTIONS(13752), 1,
      anon_sym_type,
    ACTIONS(13754), 1,
      sym_operator_identifier,
    STATE(6120), 1,
      sym_identifier,
    STATE(6355), 1,
      sym__soft_identifier,
    STATE(6940), 1,
      sym__type_identifier,
    STATE(11956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549806] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12740), 1,
      anon_sym_EQ,
    STATE(11957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12768), 1,
      anon_sym_EQ,
    STATE(11958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [549866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [549892] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      sym__alpha_identifier,
    ACTIONS(12300), 1,
      sym__backquoted_id,
    ACTIONS(13565), 1,
      sym_operator_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(11162), 1,
      sym__soft_identifier,
    STATE(11565), 1,
      sym__class_constructor,
    STATE(14625), 1,
      sym__class_definition,
    STATE(11960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [549932] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13758), 1,
      anon_sym_COMMA,
    ACTIONS(13760), 1,
      anon_sym_with,
    STATE(13004), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13005), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(11961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13756), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [549966] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      sym__alpha_identifier,
    ACTIONS(12300), 1,
      sym__backquoted_id,
    ACTIONS(13565), 1,
      sym_operator_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(11162), 1,
      sym__soft_identifier,
    STATE(11565), 1,
      sym__class_constructor,
    STATE(14647), 1,
      sym__class_definition,
    STATE(11962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550006] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8680), 1,
      sym__alpha_identifier,
    ACTIONS(8688), 1,
      sym__backquoted_id,
    ACTIONS(13762), 1,
      anon_sym_type,
    ACTIONS(13764), 1,
      sym_operator_identifier,
    STATE(7136), 1,
      sym__type_identifier,
    STATE(7245), 1,
      sym__soft_identifier,
    STATE(7284), 1,
      sym_identifier,
    STATE(11963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550046] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(13539), 1,
      sym_operator_identifier,
    STATE(10240), 1,
      sym_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11157), 1,
      sym__class_constructor,
    STATE(14276), 1,
      sym__class_definition,
    STATE(11964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550086] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [550112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [550138] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12789), 1,
      anon_sym_LPAREN,
    STATE(11872), 1,
      aux_sym_annotation_repeat1,
    STATE(12824), 1,
      sym_arguments,
    STATE(11967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_SEMI,
  [550170] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4454), 1,
      sym__alpha_identifier,
    ACTIONS(4472), 1,
      sym__backquoted_id,
    ACTIONS(13766), 1,
      anon_sym_type,
    ACTIONS(13768), 1,
      sym_operator_identifier,
    STATE(5571), 1,
      sym_identifier,
    STATE(5710), 1,
      sym__soft_identifier,
    STATE(6323), 1,
      sym__type_identifier,
    STATE(11968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [550236] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(13539), 1,
      sym_operator_identifier,
    STATE(10240), 1,
      sym_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11157), 1,
      sym__class_constructor,
    STATE(14401), 1,
      sym__class_definition,
    STATE(11970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550276] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4246), 1,
      sym__alpha_identifier,
    ACTIONS(4264), 1,
      sym__backquoted_id,
    ACTIONS(13770), 1,
      anon_sym_type,
    ACTIONS(13772), 1,
      sym_operator_identifier,
    STATE(8053), 1,
      sym__soft_identifier,
    STATE(8066), 1,
      sym_identifier,
    STATE(8679), 1,
      sym__type_identifier,
    STATE(11971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550316] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12310), 1,
      sym__alpha_identifier,
    ACTIONS(12318), 1,
      sym__backquoted_id,
    ACTIONS(13571), 1,
      sym_operator_identifier,
    STATE(11083), 1,
      sym__soft_identifier,
    STATE(12504), 1,
      sym_identifier,
    STATE(12721), 1,
      sym__type_identifier,
    STATE(14243), 1,
      sym__type_constructor,
    STATE(11972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(11973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [550384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [550410] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12223), 1,
      sym__alpha_identifier,
    ACTIONS(12231), 1,
      sym__backquoted_id,
    ACTIONS(13774), 1,
      anon_sym_type,
    ACTIONS(13776), 1,
      sym_operator_identifier,
    STATE(12226), 1,
      sym_identifier,
    STATE(12499), 1,
      sym__soft_identifier,
    STATE(12913), 1,
      sym__type_identifier,
    STATE(11975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12227), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550450] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8882), 1,
      sym__alpha_identifier,
    ACTIONS(8890), 1,
      sym__backquoted_id,
    ACTIONS(13778), 1,
      anon_sym_type,
    ACTIONS(13780), 1,
      sym_operator_identifier,
    STATE(6652), 1,
      sym_identifier,
    STATE(6748), 1,
      sym__soft_identifier,
    STATE(7348), 1,
      sym__type_identifier,
    STATE(11976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8886), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [550516] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(13549), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11100), 1,
      sym_identifier,
    STATE(12883), 1,
      sym__type_identifier,
    STATE(14370), 1,
      sym__type_constructor,
    STATE(11978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550556] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [550582] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(13782), 1,
      anon_sym_type,
    ACTIONS(13784), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(10929), 1,
      sym_identifier,
    STATE(11092), 1,
      sym__type_identifier,
    STATE(11980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550622] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym__alpha_identifier,
    ACTIONS(6504), 1,
      sym__backquoted_id,
    ACTIONS(13786), 1,
      anon_sym_type,
    ACTIONS(13788), 1,
      sym_operator_identifier,
    STATE(4869), 1,
      sym_identifier,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(5220), 1,
      sym__type_identifier,
    STATE(11981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550662] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8286), 1,
      anon_sym_LBRACE,
    ACTIONS(13369), 1,
      anon_sym_COLON,
    STATE(13324), 1,
      aux_sym_compound_type_repeat1,
    STATE(14016), 1,
      sym__refinement,
    STATE(14018), 1,
      sym_template_body,
    STATE(11982), 2,
      sym_comment,
      sym_block_comment,
    STATE(14010), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [550700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13790), 1,
      anon_sym_STAR,
    STATE(11983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [550728] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(13549), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11100), 1,
      sym_identifier,
    STATE(13274), 1,
      sym__type_identifier,
    STATE(14584), 1,
      sym__type_constructor,
    STATE(11984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550768] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4282), 1,
      sym__alpha_identifier,
    ACTIONS(4300), 1,
      sym__backquoted_id,
    ACTIONS(13792), 1,
      anon_sym_type,
    ACTIONS(13794), 1,
      sym_operator_identifier,
    STATE(4713), 1,
      sym__soft_identifier,
    STATE(4726), 1,
      sym_identifier,
    STATE(5019), 1,
      sym__type_identifier,
    STATE(11985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4294), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [550834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [550860] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4314), 1,
      sym__alpha_identifier,
    ACTIONS(4332), 1,
      sym__backquoted_id,
    ACTIONS(13796), 1,
      anon_sym_type,
    ACTIONS(13798), 1,
      sym_operator_identifier,
    STATE(5658), 1,
      sym__soft_identifier,
    STATE(5831), 1,
      sym_identifier,
    STATE(6229), 1,
      sym__type_identifier,
    STATE(11988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4326), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550900] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(12909), 1,
      anon_sym_COLON,
    ACTIONS(12913), 1,
      anon_sym_derives,
    ACTIONS(13802), 1,
      sym__automatic_semicolon,
    STATE(12669), 1,
      sym_derives_clause,
    STATE(14202), 1,
      sym_template_body,
    STATE(14317), 1,
      sym__definition_body,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(11989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13800), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [550942] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8856), 1,
      sym__alpha_identifier,
    ACTIONS(8864), 1,
      sym__backquoted_id,
    ACTIONS(13805), 1,
      anon_sym_type,
    ACTIONS(13807), 1,
      sym_operator_identifier,
    STATE(6699), 1,
      sym_identifier,
    STATE(6793), 1,
      sym__type_identifier,
    STATE(7334), 1,
      sym__soft_identifier,
    STATE(11990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [550982] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(13809), 1,
      anon_sym_type,
    ACTIONS(13811), 1,
      sym_operator_identifier,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11703), 1,
      sym_identifier,
    STATE(11882), 1,
      sym__type_identifier,
    STATE(11991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [551048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13815), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13813), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [551076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [551102] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(13819), 1,
      sym_operator_identifier,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14586), 1,
      sym_identifier,
    ACTIONS(13817), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(11995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8056), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551140] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(13549), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11100), 1,
      sym_identifier,
    STATE(12883), 1,
      sym__type_identifier,
    STATE(14393), 1,
      sym__type_constructor,
    STATE(11996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551180] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8794), 1,
      sym__alpha_identifier,
    ACTIONS(8802), 1,
      sym__backquoted_id,
    ACTIONS(13821), 1,
      anon_sym_type,
    ACTIONS(13823), 1,
      sym_operator_identifier,
    STATE(5226), 1,
      sym_identifier,
    STATE(5384), 1,
      sym__soft_identifier,
    STATE(5390), 1,
      sym__type_identifier,
    STATE(11997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8798), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551220] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(13825), 1,
      anon_sym_type,
    ACTIONS(13827), 1,
      sym_operator_identifier,
    STATE(7669), 1,
      sym_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(8635), 1,
      sym__type_identifier,
    STATE(11998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551260] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12050), 1,
      sym__alpha_identifier,
    ACTIONS(12058), 1,
      sym__backquoted_id,
    ACTIONS(13829), 1,
      anon_sym_type,
    ACTIONS(13831), 1,
      sym_operator_identifier,
    STATE(10690), 1,
      sym_identifier,
    STATE(10934), 1,
      sym__soft_identifier,
    STATE(11011), 1,
      sym__type_identifier,
    STATE(11999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12054), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551300] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [551326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551352] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12002), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [551378] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9019), 1,
      anon_sym_LPAREN,
    STATE(11862), 1,
      aux_sym_annotation_repeat1,
    STATE(12818), 1,
      sym_arguments,
    STATE(12003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [551410] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      sym__alpha_identifier,
    ACTIONS(12300), 1,
      sym__backquoted_id,
    ACTIONS(13833), 1,
      anon_sym_type,
    ACTIONS(13835), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      sym__soft_identifier,
    STATE(11709), 1,
      sym_identifier,
    STATE(11788), 1,
      sym__type_identifier,
    STATE(12004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551450] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8462), 1,
      sym__alpha_identifier,
    ACTIONS(8470), 1,
      sym__backquoted_id,
    ACTIONS(13837), 1,
      anon_sym_type,
    ACTIONS(13839), 1,
      sym_operator_identifier,
    STATE(7465), 1,
      sym__soft_identifier,
    STATE(7599), 1,
      sym__type_identifier,
    STATE(7636), 1,
      sym_identifier,
    STATE(12005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [551516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551542] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12783), 1,
      anon_sym_EQ,
    STATE(12008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [551572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [551598] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__alpha_identifier,
    ACTIONS(4228), 1,
      sym__backquoted_id,
    ACTIONS(13841), 1,
      anon_sym_type,
    ACTIONS(13843), 1,
      sym_operator_identifier,
    STATE(6542), 1,
      sym__soft_identifier,
    STATE(6573), 1,
      sym_identifier,
    STATE(7320), 1,
      sym__type_identifier,
    STATE(12010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4222), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13845), 1,
      anon_sym_LBRACK,
    STATE(6608), 1,
      sym_type_arguments,
    STATE(12011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [551694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [551720] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12090), 1,
      sym__alpha_identifier,
    ACTIONS(12098), 1,
      sym__backquoted_id,
    ACTIONS(13847), 1,
      anon_sym_type,
    ACTIONS(13849), 1,
      sym_operator_identifier,
    STATE(12722), 1,
      sym_identifier,
    STATE(12758), 1,
      sym__soft_identifier,
    STATE(13238), 1,
      sym__type_identifier,
    STATE(12014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12094), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12785), 1,
      anon_sym_EQ,
    STATE(12015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [551790] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551818] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13851), 1,
      anon_sym_STAR,
    STATE(12017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [551846] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13855), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13853), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [551874] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(25), 1,
      anon_sym__,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(13857), 1,
      sym_operator_identifier,
    STATE(4485), 1,
      sym__soft_identifier,
    STATE(12019), 2,
      sym_comment,
      sym_block_comment,
    STATE(14126), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551912] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6602), 1,
      sym__alpha_identifier,
    ACTIONS(6612), 1,
      sym__backquoted_id,
    ACTIONS(13859), 1,
      anon_sym_type,
    ACTIONS(13861), 1,
      sym_operator_identifier,
    STATE(7451), 1,
      sym__soft_identifier,
    STATE(7506), 1,
      sym_identifier,
    STATE(8651), 1,
      sym__type_identifier,
    STATE(12020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [551952] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13863), 1,
      anon_sym_DOT,
    STATE(12021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [551980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [552006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552032] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8770), 1,
      sym__backquoted_id,
    ACTIONS(13865), 1,
      anon_sym_type,
    ACTIONS(13867), 1,
      sym_operator_identifier,
    STATE(5033), 1,
      sym__soft_identifier,
    STATE(5264), 1,
      sym_identifier,
    STATE(5445), 1,
      sym__type_identifier,
    STATE(12024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552072] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12076), 1,
      sym__alpha_identifier,
    ACTIONS(12084), 1,
      sym__backquoted_id,
    ACTIONS(13869), 1,
      anon_sym_type,
    ACTIONS(13871), 1,
      sym_operator_identifier,
    STATE(11739), 1,
      sym_identifier,
    STATE(11769), 1,
      sym__soft_identifier,
    STATE(12000), 1,
      sym__type_identifier,
    STATE(12025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12080), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [552138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [552164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552190] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13845), 1,
      anon_sym_LBRACK,
    STATE(6608), 1,
      sym_type_arguments,
    STATE(12029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552220] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(13873), 1,
      anon_sym_type,
    ACTIONS(13875), 1,
      sym_operator_identifier,
    STATE(11218), 1,
      sym_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11721), 1,
      sym__type_identifier,
    STATE(12030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13845), 1,
      anon_sym_LBRACK,
    STATE(6608), 1,
      sym_type_arguments,
    STATE(12031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552290] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [552316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552342] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8810), 1,
      sym__alpha_identifier,
    ACTIONS(8818), 1,
      sym__backquoted_id,
    ACTIONS(13877), 1,
      anon_sym_type,
    ACTIONS(13879), 1,
      sym_operator_identifier,
    STATE(6142), 1,
      sym__type_identifier,
    STATE(6501), 1,
      sym_identifier,
    STATE(6626), 1,
      sym__soft_identifier,
    STATE(12034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8814), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13883), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13881), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [552410] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13845), 1,
      anon_sym_LBRACK,
    ACTIONS(13885), 1,
      anon_sym_match,
    STATE(6608), 1,
      sym_type_arguments,
    STATE(12036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552442] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13845), 1,
      anon_sym_LBRACK,
    ACTIONS(13885), 1,
      anon_sym_match,
    STATE(6608), 1,
      sym_type_arguments,
    STATE(12037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552474] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9491), 1,
      anon_sym_LPAREN,
    ACTIONS(13887), 1,
      anon_sym_LBRACK,
    ACTIONS(13889), 1,
      anon_sym_POUND,
    STATE(12896), 1,
      aux_sym_annotation_repeat1,
    STATE(13220), 1,
      sym_type_arguments,
    STATE(13405), 1,
      sym_arguments,
    STATE(12038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [552512] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6554), 1,
      sym__alpha_identifier,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(13891), 1,
      anon_sym_type,
    ACTIONS(13893), 1,
      sym_operator_identifier,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(5814), 1,
      sym_identifier,
    STATE(6386), 1,
      sym__type_identifier,
    STATE(12039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13845), 1,
      anon_sym_LBRACK,
    STATE(6608), 1,
      sym_type_arguments,
    STATE(12040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [552582] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6774), 1,
      sym__alpha_identifier,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(13895), 1,
      anon_sym_type,
    ACTIONS(13897), 1,
      sym_operator_identifier,
    STATE(5616), 1,
      sym_identifier,
    STATE(5717), 1,
      sym__soft_identifier,
    STATE(6243), 1,
      sym__type_identifier,
    STATE(12041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [552648] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12017), 1,
      sym__alpha_identifier,
    ACTIONS(12025), 1,
      sym__backquoted_id,
    ACTIONS(13899), 1,
      anon_sym_type,
    ACTIONS(13901), 1,
      sym_operator_identifier,
    STATE(12731), 1,
      sym__soft_identifier,
    STATE(12876), 1,
      sym_identifier,
    STATE(13255), 1,
      sym__type_identifier,
    STATE(12043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12021), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552688] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(13903), 1,
      anon_sym_type,
    ACTIONS(13905), 1,
      sym_operator_identifier,
    STATE(6920), 1,
      sym_identifier,
    STATE(7346), 1,
      sym__soft_identifier,
    STATE(7946), 1,
      sym__type_identifier,
    STATE(12044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552728] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [552754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [552780] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8392), 1,
      sym__alpha_identifier,
    ACTIONS(8404), 1,
      sym__backquoted_id,
    ACTIONS(13907), 1,
      anon_sym_type,
    ACTIONS(13909), 1,
      sym_operator_identifier,
    STATE(13157), 1,
      sym__soft_identifier,
    STATE(13186), 1,
      sym_identifier,
    STATE(13556), 1,
      sym__type_identifier,
    STATE(12047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8400), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552820] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8832), 1,
      sym__alpha_identifier,
    ACTIONS(8844), 1,
      sym__backquoted_id,
    ACTIONS(13911), 1,
      anon_sym_type,
    ACTIONS(13913), 1,
      sym_operator_identifier,
    STATE(5290), 1,
      sym_identifier,
    STATE(5336), 1,
      sym__type_identifier,
    STATE(5352), 1,
      sym__soft_identifier,
    STATE(12048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552860] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12322), 1,
      sym__alpha_identifier,
    ACTIONS(12330), 1,
      sym__backquoted_id,
    ACTIONS(13915), 1,
      anon_sym_type,
    ACTIONS(13917), 1,
      sym_operator_identifier,
    STATE(11317), 1,
      sym_identifier,
    STATE(11341), 1,
      sym__soft_identifier,
    STATE(11574), 1,
      sym__type_identifier,
    STATE(12049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12326), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [552926] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6576), 1,
      sym__alpha_identifier,
    ACTIONS(6590), 1,
      sym__backquoted_id,
    ACTIONS(13919), 1,
      anon_sym_type,
    ACTIONS(13921), 1,
      sym_operator_identifier,
    STATE(4509), 1,
      sym__soft_identifier,
    STATE(4530), 1,
      sym_identifier,
    STATE(4672), 1,
      sym__type_identifier,
    STATE(12051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [552966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [552992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [553018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [553044] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8450), 1,
      sym__alpha_identifier,
    ACTIONS(8458), 1,
      sym__backquoted_id,
    ACTIONS(13923), 1,
      anon_sym_type,
    ACTIONS(13925), 1,
      sym_operator_identifier,
    STATE(6023), 1,
      sym_identifier,
    STATE(6130), 1,
      sym__type_identifier,
    STATE(6368), 1,
      sym__soft_identifier,
    STATE(12055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553084] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8620), 1,
      sym__alpha_identifier,
    ACTIONS(8628), 1,
      sym__backquoted_id,
    ACTIONS(13927), 1,
      anon_sym_type,
    ACTIONS(13929), 1,
      sym_operator_identifier,
    STATE(6105), 1,
      sym__type_identifier,
    STATE(6183), 1,
      sym_identifier,
    STATE(6596), 1,
      sym__soft_identifier,
    STATE(12056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553124] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(13931), 1,
      anon_sym_type,
    ACTIONS(13933), 1,
      sym_operator_identifier,
    STATE(4816), 1,
      sym__soft_identifier,
    STATE(4961), 1,
      sym_identifier,
    STATE(5036), 1,
      sym__type_identifier,
    STATE(12057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553164] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12310), 1,
      sym__alpha_identifier,
    ACTIONS(12318), 1,
      sym__backquoted_id,
    ACTIONS(13935), 1,
      anon_sym_type,
    ACTIONS(13937), 1,
      sym_operator_identifier,
    STATE(11083), 1,
      sym__soft_identifier,
    STATE(11791), 1,
      sym_identifier,
    STATE(12532), 1,
      sym__type_identifier,
    STATE(12058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [553230] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(13939), 1,
      anon_sym_type,
    ACTIONS(13941), 1,
      sym_operator_identifier,
    STATE(5990), 1,
      sym_identifier,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(7032), 1,
      sym__type_identifier,
    STATE(12060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553270] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [553296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [553322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [553348] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [553374] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [553400] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(13943), 1,
      anon_sym_type,
    ACTIONS(13945), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(4245), 1,
      sym_identifier,
    STATE(4248), 1,
      sym__type_identifier,
    STATE(12066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553440] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13947), 1,
      anon_sym_end,
    STATE(7161), 1,
      sym__end_marker,
    STATE(12067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [553470] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6356), 1,
      sym__alpha_identifier,
    ACTIONS(6370), 1,
      sym__backquoted_id,
    ACTIONS(13949), 1,
      anon_sym_type,
    ACTIONS(13951), 1,
      sym_operator_identifier,
    STATE(6180), 1,
      sym_identifier,
    STATE(6346), 1,
      sym__soft_identifier,
    STATE(6884), 1,
      sym__type_identifier,
    STATE(12068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553510] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4346), 1,
      sym__alpha_identifier,
    ACTIONS(4364), 1,
      sym__backquoted_id,
    ACTIONS(13953), 1,
      anon_sym_type,
    ACTIONS(13955), 1,
      sym_operator_identifier,
    STATE(5060), 1,
      sym_identifier,
    STATE(5171), 1,
      sym__soft_identifier,
    STATE(5900), 1,
      sym__type_identifier,
    STATE(12069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [553576] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4866), 1,
      sym__alpha_identifier,
    ACTIONS(4884), 1,
      sym__backquoted_id,
    ACTIONS(13957), 1,
      anon_sym_type,
    ACTIONS(13959), 1,
      sym_operator_identifier,
    STATE(4496), 1,
      sym__soft_identifier,
    STATE(4532), 1,
      sym_identifier,
    STATE(4697), 1,
      sym__type_identifier,
    STATE(12071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553616] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [553642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [553668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [553694] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8528), 1,
      sym__alpha_identifier,
    ACTIONS(8540), 1,
      sym__backquoted_id,
    ACTIONS(13961), 1,
      anon_sym_type,
    ACTIONS(13963), 1,
      sym_operator_identifier,
    STATE(5720), 1,
      sym_identifier,
    STATE(5788), 1,
      sym__soft_identifier,
    STATE(5889), 1,
      sym__type_identifier,
    STATE(12075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553734] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [553762] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12104), 1,
      sym__alpha_identifier,
    ACTIONS(12112), 1,
      sym__backquoted_id,
    ACTIONS(13965), 1,
      anon_sym_type,
    ACTIONS(13967), 1,
      sym_operator_identifier,
    STATE(7807), 1,
      sym__soft_identifier,
    STATE(8022), 1,
      sym_identifier,
    STATE(8559), 1,
      sym__type_identifier,
    STATE(12077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12108), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [553802] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8298), 1,
      anon_sym_LBRACE,
    ACTIONS(13496), 1,
      anon_sym_COLON,
    STATE(13408), 1,
      aux_sym_compound_type_repeat1,
    STATE(14136), 1,
      sym__refinement,
    STATE(14163), 1,
      sym_template_body,
    STATE(12078), 2,
      sym_comment,
      sym_block_comment,
    STATE(14038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [553840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [553866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [553892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12758), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [553918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [553944] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [553970] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8550), 1,
      sym__alpha_identifier,
    ACTIONS(8558), 1,
      sym__backquoted_id,
    ACTIONS(13969), 1,
      anon_sym_type,
    ACTIONS(13971), 1,
      sym_operator_identifier,
    STATE(7438), 1,
      sym__soft_identifier,
    STATE(7545), 1,
      sym__type_identifier,
    STATE(7867), 1,
      sym_identifier,
    STATE(12084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554010] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8576), 1,
      sym__alpha_identifier,
    ACTIONS(8584), 1,
      sym__backquoted_id,
    ACTIONS(13973), 1,
      anon_sym_type,
    ACTIONS(13975), 1,
      sym_operator_identifier,
    STATE(7386), 1,
      sym_identifier,
    STATE(7425), 1,
      sym__soft_identifier,
    STATE(7566), 1,
      sym__type_identifier,
    STATE(12085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8580), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [554076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13979), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13977), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13983), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13981), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554132] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13985), 1,
      anon_sym_AT,
    STATE(12852), 1,
      sym_annotation,
    STATE(12089), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [554162] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13990), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13988), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554190] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [554216] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13994), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(13992), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554244] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8512), 1,
      sym__alpha_identifier,
    ACTIONS(8524), 1,
      sym__backquoted_id,
    ACTIONS(13996), 1,
      anon_sym_type,
    ACTIONS(13998), 1,
      sym_operator_identifier,
    STATE(4880), 1,
      sym__soft_identifier,
    STATE(4884), 1,
      sym_identifier,
    STATE(4919), 1,
      sym__type_identifier,
    STATE(12093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554284] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(13539), 1,
      sym_operator_identifier,
    STATE(10240), 1,
      sym_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11157), 1,
      sym__class_constructor,
    STATE(14207), 1,
      sym__class_definition,
    STATE(12094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554324] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(12909), 1,
      anon_sym_COLON,
    ACTIONS(13433), 1,
      anon_sym_with,
    STATE(9351), 1,
      sym__refinement,
    STATE(9449), 1,
      sym_template_body,
    STATE(13408), 1,
      aux_sym_compound_type_repeat1,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [554364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554390] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [554416] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14002), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14000), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554444] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(13549), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11100), 1,
      sym_identifier,
    STATE(12883), 1,
      sym__type_identifier,
    STATE(14383), 1,
      sym__type_constructor,
    STATE(12099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554484] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [554510] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(14004), 1,
      anon_sym_type,
    ACTIONS(14006), 1,
      sym_operator_identifier,
    STATE(4906), 1,
      sym_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(5376), 1,
      sym__type_identifier,
    STATE(12101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554550] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8774), 1,
      sym__alpha_identifier,
    ACTIONS(8782), 1,
      sym__backquoted_id,
    ACTIONS(14008), 1,
      anon_sym_type,
    ACTIONS(14010), 1,
      sym_operator_identifier,
    STATE(5996), 1,
      sym__type_identifier,
    STATE(6357), 1,
      sym_identifier,
    STATE(6494), 1,
      sym__soft_identifier,
    STATE(12102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554590] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12728), 1,
      anon_sym_EQ,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    STATE(12103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554620] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(13549), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11100), 1,
      sym_identifier,
    STATE(13274), 1,
      sym__type_identifier,
    STATE(14497), 1,
      sym__type_constructor,
    STATE(12104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554660] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(836), 1,
      anon_sym__,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(14012), 1,
      sym_operator_identifier,
    STATE(5885), 1,
      sym__soft_identifier,
    STATE(12105), 2,
      sym_comment,
      sym_block_comment,
    STATE(15994), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554698] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(13539), 1,
      sym_operator_identifier,
    STATE(10240), 1,
      sym_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11157), 1,
      sym__class_constructor,
    STATE(14264), 1,
      sym__class_definition,
    STATE(12106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [554738] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12730), 1,
      sym__backquoted_id,
    ACTIONS(12736), 1,
      anon_sym_EQ,
    STATE(12107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12722), 11,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      anon_sym_PIPE,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554768] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14016), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14014), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [554796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [554822] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9046), 1,
      anon_sym_LPAREN,
    STATE(12147), 1,
      aux_sym_annotation_repeat1,
    STATE(12940), 1,
      sym_arguments,
    STATE(12110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [554854] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(12909), 1,
      anon_sym_COLON,
    ACTIONS(12913), 1,
      anon_sym_derives,
    STATE(12911), 1,
      sym_derives_clause,
    STATE(14202), 1,
      sym_template_body,
    STATE(14261), 1,
      sym__definition_body,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14018), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [554894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [554920] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [554948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [554974] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(13549), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11100), 1,
      sym_identifier,
    STATE(12883), 1,
      sym__type_identifier,
    STATE(14377), 1,
      sym__type_constructor,
    STATE(12115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555014] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [555040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [555068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [555094] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [555120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [555146] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14020), 1,
      anon_sym_DOT,
    STATE(12121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [555174] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6678), 1,
      sym__backquoted_id,
    ACTIONS(14022), 1,
      anon_sym_type,
    ACTIONS(14024), 1,
      sym_operator_identifier,
    STATE(6195), 1,
      sym__soft_identifier,
    STATE(6628), 1,
      sym_identifier,
    STATE(7361), 1,
      sym__type_identifier,
    STATE(12122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6674), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555214] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [555240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [555266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [555292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14028), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      sym__backquoted_id,
    ACTIONS(14026), 10,
      anon_sym_COLON,
      anon_sym__,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [555320] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6276), 1,
      sym__alpha_identifier,
    ACTIONS(6286), 1,
      sym__backquoted_id,
    ACTIONS(14030), 1,
      anon_sym_type,
    ACTIONS(14032), 1,
      sym_operator_identifier,
    STATE(7390), 1,
      sym_identifier,
    STATE(7671), 1,
      sym__soft_identifier,
    STATE(8182), 1,
      sym__type_identifier,
    STATE(12127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6282), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555360] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12545), 1,
      anon_sym_AT,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13256), 1,
      sym__automatic_semicolon,
    STATE(12918), 1,
      sym_annotation,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(13732), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13744), 1,
      sym_access_modifier,
    ACTIONS(12547), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12715), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [555402] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      sym__alpha_identifier,
    ACTIONS(6480), 1,
      sym__backquoted_id,
    ACTIONS(14034), 1,
      anon_sym_type,
    ACTIONS(14036), 1,
      sym_operator_identifier,
    STATE(6231), 1,
      sym_identifier,
    STATE(6334), 1,
      sym__soft_identifier,
    STATE(6781), 1,
      sym__type_identifier,
    STATE(12129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555442] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4728), 1,
      sym__backquoted_id,
    ACTIONS(14038), 1,
      anon_sym_type,
    ACTIONS(14040), 1,
      sym_operator_identifier,
    STATE(4384), 1,
      sym__soft_identifier,
    STATE(4410), 1,
      sym_identifier,
    STATE(4535), 1,
      sym__type_identifier,
    STATE(12130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555482] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      sym__alpha_identifier,
    ACTIONS(12300), 1,
      sym__backquoted_id,
    ACTIONS(13565), 1,
      sym_operator_identifier,
    STATE(10621), 1,
      sym_identifier,
    STATE(11162), 1,
      sym__soft_identifier,
    STATE(11565), 1,
      sym__class_constructor,
    STATE(14715), 1,
      sym__class_definition,
    STATE(12131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555522] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11607), 1,
      sym__alpha_identifier,
    ACTIONS(11615), 1,
      sym__backquoted_id,
    ACTIONS(14042), 1,
      anon_sym_type,
    ACTIONS(14044), 1,
      sym_operator_identifier,
    STATE(13801), 1,
      sym_identifier,
    STATE(13810), 1,
      sym__soft_identifier,
    STATE(13935), 1,
      sym__type_identifier,
    STATE(12132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11611), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555562] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6384), 1,
      sym__backquoted_id,
    ACTIONS(14046), 1,
      anon_sym_type,
    ACTIONS(14048), 1,
      sym_operator_identifier,
    STATE(6069), 1,
      sym_identifier,
    STATE(6339), 1,
      sym__soft_identifier,
    STATE(6872), 1,
      sym__type_identifier,
    STATE(12133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555602] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(836), 1,
      anon_sym__,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(14050), 1,
      sym_operator_identifier,
    STATE(5885), 1,
      sym__soft_identifier,
    STATE(12134), 2,
      sym_comment,
      sym_block_comment,
    STATE(16100), 2,
      sym_identifier,
      sym_wildcard,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555640] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12310), 1,
      sym__alpha_identifier,
    ACTIONS(12318), 1,
      sym__backquoted_id,
    ACTIONS(13571), 1,
      sym_operator_identifier,
    STATE(11083), 1,
      sym__soft_identifier,
    STATE(12504), 1,
      sym_identifier,
    STATE(12721), 1,
      sym__type_identifier,
    STATE(14318), 1,
      sym__type_constructor,
    STATE(12135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [555706] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [555734] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12062), 1,
      sym__alpha_identifier,
    ACTIONS(12070), 1,
      sym__backquoted_id,
    ACTIONS(14052), 1,
      anon_sym_type,
    ACTIONS(14054), 1,
      sym_operator_identifier,
    STATE(11916), 1,
      sym__soft_identifier,
    STATE(12113), 1,
      sym_identifier,
    STATE(12600), 1,
      sym__type_identifier,
    STATE(12138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12066), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555774] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12278), 1,
      sym__alpha_identifier,
    ACTIONS(12286), 1,
      sym__backquoted_id,
    ACTIONS(14056), 1,
      anon_sym_type,
    ACTIONS(14058), 1,
      sym_operator_identifier,
    STATE(12403), 1,
      sym__soft_identifier,
    STATE(12570), 1,
      sym_identifier,
    STATE(12706), 1,
      sym__type_identifier,
    STATE(12139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12282), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555814] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13845), 1,
      anon_sym_LBRACK,
    STATE(6608), 1,
      sym_type_arguments,
    STATE(12140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 11,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [555844] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4178), 1,
      sym__alpha_identifier,
    ACTIONS(4196), 1,
      sym__backquoted_id,
    ACTIONS(14060), 1,
      anon_sym_type,
    ACTIONS(14062), 1,
      sym_operator_identifier,
    STATE(4838), 1,
      sym_identifier,
    STATE(4931), 1,
      sym__soft_identifier,
    STATE(5254), 1,
      sym__type_identifier,
    STATE(12141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555884] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(9078), 1,
      sym_operator_identifier,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14558), 1,
      sym_identifier,
    ACTIONS(9076), 2,
      anon_sym_val,
      anon_sym_var,
    STATE(12142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8056), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [555922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [555950] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [555976] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6258), 1,
      sym__alpha_identifier,
    ACTIONS(6272), 1,
      sym__backquoted_id,
    ACTIONS(14064), 1,
      anon_sym_type,
    ACTIONS(14066), 1,
      sym_operator_identifier,
    STATE(5114), 1,
      sym__soft_identifier,
    STATE(5357), 1,
      sym_identifier,
    STATE(5853), 1,
      sym__type_identifier,
    STATE(12145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556016] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9420), 1,
      anon_sym_LPAREN,
    ACTIONS(14068), 1,
      anon_sym_LBRACK,
    ACTIONS(14070), 1,
      anon_sym_POUND,
    STATE(12892), 1,
      aux_sym_annotation_repeat1,
    STATE(13149), 1,
      sym_type_arguments,
    STATE(13406), 1,
      sym_arguments,
    STATE(12146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [556054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14072), 1,
      anon_sym_LPAREN,
    STATE(12940), 1,
      sym_arguments,
    STATE(12147), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [556084] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8901), 1,
      sym__alpha_identifier,
    ACTIONS(8909), 1,
      sym__backquoted_id,
    ACTIONS(14075), 1,
      anon_sym_type,
    ACTIONS(14077), 1,
      sym_operator_identifier,
    STATE(9020), 1,
      sym__type_identifier,
    STATE(9027), 1,
      sym_identifier,
    STATE(9324), 1,
      sym__soft_identifier,
    STATE(12148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8905), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [556150] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      sym__alpha_identifier,
    ACTIONS(6192), 1,
      sym__backquoted_id,
    ACTIONS(14079), 1,
      anon_sym_type,
    ACTIONS(14081), 1,
      sym_operator_identifier,
    STATE(5650), 1,
      sym__soft_identifier,
    STATE(5825), 1,
      sym_identifier,
    STATE(6222), 1,
      sym__type_identifier,
    STATE(12150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556190] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8366), 1,
      sym__alpha_identifier,
    ACTIONS(8378), 1,
      sym__backquoted_id,
    ACTIONS(14083), 1,
      anon_sym_type,
    ACTIONS(14085), 1,
      sym_operator_identifier,
    STATE(11589), 1,
      sym__soft_identifier,
    STATE(11645), 1,
      sym_identifier,
    STATE(11887), 1,
      sym__type_identifier,
    STATE(12151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556256] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(13549), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11100), 1,
      sym_identifier,
    STATE(13274), 1,
      sym__type_identifier,
    STATE(14456), 1,
      sym__type_constructor,
    STATE(12153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556348] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(14087), 1,
      anon_sym_type,
    ACTIONS(14089), 1,
      sym_operator_identifier,
    STATE(5487), 1,
      sym_identifier,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(6531), 1,
      sym__type_identifier,
    STATE(12156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556388] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [556414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556440] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(13384), 1,
      anon_sym_COLON,
    ACTIONS(13443), 1,
      anon_sym_with,
    STATE(9100), 1,
      sym_template_body,
    STATE(9280), 1,
      sym__refinement,
    STATE(13324), 1,
      aux_sym_compound_type_repeat1,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8238), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [556480] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12777), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [556506] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 13,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [556532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_yield,
  [556558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12779), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [556584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [556610] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [556636] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6218), 1,
      sym__alpha_identifier,
    ACTIONS(6228), 1,
      sym__backquoted_id,
    ACTIONS(14091), 1,
      anon_sym_type,
    ACTIONS(14093), 1,
      sym_operator_identifier,
    STATE(8360), 1,
      sym__soft_identifier,
    STATE(8663), 1,
      sym_identifier,
    STATE(8750), 1,
      sym__type_identifier,
    STATE(12166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556676] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12038), 1,
      sym__alpha_identifier,
    ACTIONS(12046), 1,
      sym__backquoted_id,
    ACTIONS(14095), 1,
      anon_sym_type,
    ACTIONS(14097), 1,
      sym_operator_identifier,
    STATE(12724), 1,
      sym__soft_identifier,
    STATE(12966), 1,
      sym_identifier,
    STATE(13308), 1,
      sym__type_identifier,
    STATE(12167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12042), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556716] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4382), 1,
      sym__alpha_identifier,
    ACTIONS(4400), 1,
      sym__backquoted_id,
    ACTIONS(14099), 1,
      anon_sym_type,
    ACTIONS(14101), 1,
      sym_operator_identifier,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(5834), 1,
      sym_identifier,
    STATE(5989), 1,
      sym__type_identifier,
    STATE(12168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556756] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6334), 1,
      sym__alpha_identifier,
    ACTIONS(6348), 1,
      sym__backquoted_id,
    ACTIONS(14103), 1,
      anon_sym_type,
    ACTIONS(14105), 1,
      sym_operator_identifier,
    STATE(4561), 1,
      sym_identifier,
    STATE(4607), 1,
      sym__soft_identifier,
    STATE(4789), 1,
      sym__type_identifier,
    STATE(12169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6344), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556796] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12193), 1,
      sym__alpha_identifier,
    ACTIONS(12201), 1,
      sym__backquoted_id,
    ACTIONS(14107), 1,
      anon_sym_type,
    ACTIONS(14109), 1,
      sym_operator_identifier,
    STATE(10672), 1,
      sym__soft_identifier,
    STATE(10892), 1,
      sym_identifier,
    STATE(10975), 1,
      sym__type_identifier,
    STATE(12170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12197), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556836] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8636), 1,
      sym__alpha_identifier,
    ACTIONS(8644), 1,
      sym__backquoted_id,
    ACTIONS(14111), 1,
      anon_sym_type,
    ACTIONS(14113), 1,
      sym_operator_identifier,
    STATE(5543), 1,
      sym_identifier,
    STATE(5660), 1,
      sym__type_identifier,
    STATE(5708), 1,
      sym__soft_identifier,
    STATE(12171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556876] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(14115), 1,
      anon_sym_type,
    ACTIONS(14117), 1,
      sym_operator_identifier,
    STATE(6040), 1,
      sym_identifier,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(7185), 1,
      sym__type_identifier,
    STATE(12172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 13,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [556942] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(14119), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11722), 1,
      sym_identifier,
    STATE(14000), 1,
      sym__function_constructor,
    STATE(12174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [556979] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14121), 1,
      sym__alpha_identifier,
    ACTIONS(14123), 1,
      anon_sym_LBRACE,
    ACTIONS(14125), 1,
      anon_sym_LBRACK,
    ACTIONS(14129), 1,
      sym__backquoted_id,
    STATE(7514), 1,
      sym__soft_identifier,
    STATE(7530), 1,
      sym_identifier,
    STATE(12175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14127), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557016] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14133), 1,
      anon_sym_catch,
    ACTIONS(14135), 1,
      anon_sym_finally,
    STATE(12299), 1,
      sym_finally_clause,
    STATE(13264), 1,
      sym_catch_clause,
    STATE(12176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [557049] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(14137), 1,
      sym_operator_identifier,
    STATE(4248), 1,
      sym__type_identifier,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(10756), 1,
      sym_identifier,
    STATE(12177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557086] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14139), 1,
      anon_sym_LPAREN,
    STATE(13170), 1,
      sym_arguments,
    STATE(12178), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [557115] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14142), 1,
      sym__alpha_identifier,
    ACTIONS(14144), 1,
      anon_sym_LBRACE,
    ACTIONS(14146), 1,
      anon_sym_LBRACK,
    ACTIONS(14150), 1,
      sym__backquoted_id,
    STATE(9365), 1,
      sym__soft_identifier,
    STATE(9658), 1,
      sym_identifier,
    STATE(12179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557152] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14152), 1,
      anon_sym_match,
    ACTIONS(14154), 1,
      sym_operator_identifier,
    STATE(4212), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557189] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8794), 1,
      sym__alpha_identifier,
    ACTIONS(8802), 1,
      sym__backquoted_id,
    ACTIONS(14156), 1,
      sym_operator_identifier,
    STATE(5314), 1,
      sym_identifier,
    STATE(5326), 1,
      sym__type_identifier,
    STATE(5384), 1,
      sym__soft_identifier,
    STATE(12181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8798), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [557251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [557276] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557303] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14158), 1,
      anon_sym_match,
    ACTIONS(14160), 1,
      sym_operator_identifier,
    STATE(4218), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [557365] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13691), 1,
      anon_sym_LBRACK,
    ACTIONS(13693), 1,
      anon_sym_AT,
    ACTIONS(13697), 1,
      anon_sym_POUND,
    STATE(13326), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13535), 1,
      sym_type_arguments,
    STATE(13880), 1,
      sym_annotation,
    STATE(12187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [557402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [557427] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14162), 1,
      anon_sym_match,
    ACTIONS(14164), 1,
      sym_operator_identifier,
    STATE(4180), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557464] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4178), 1,
      sym__alpha_identifier,
    ACTIONS(4196), 1,
      sym__backquoted_id,
    ACTIONS(14166), 1,
      sym_operator_identifier,
    STATE(4931), 1,
      sym__soft_identifier,
    STATE(5268), 1,
      sym_identifier,
    STATE(5276), 1,
      sym__type_identifier,
    STATE(12190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557501] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8901), 1,
      sym__alpha_identifier,
    ACTIONS(8909), 1,
      sym__backquoted_id,
    ACTIONS(14168), 1,
      sym_operator_identifier,
    STATE(8737), 1,
      sym_identifier,
    STATE(9313), 1,
      sym__type_identifier,
    STATE(9324), 1,
      sym__soft_identifier,
    STATE(12191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8905), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557538] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14170), 1,
      anon_sym_match,
    ACTIONS(14172), 1,
      sym_operator_identifier,
    STATE(4225), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557602] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14174), 1,
      anon_sym_LBRACK,
    STATE(6785), 1,
      sym_type_arguments,
    STATE(12194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [557631] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6640), 1,
      sym__alpha_identifier,
    ACTIONS(6650), 1,
      sym__backquoted_id,
    ACTIONS(14176), 1,
      sym_operator_identifier,
    STATE(6211), 1,
      sym__soft_identifier,
    STATE(7091), 1,
      sym_identifier,
    STATE(7101), 1,
      sym__type_identifier,
    STATE(12195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6646), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557693] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12967), 1,
      sym__alpha_identifier,
    ACTIONS(12971), 1,
      sym__backquoted_id,
    ACTIONS(14178), 1,
      sym_operator_identifier,
    STATE(13840), 1,
      sym__soft_identifier,
    STATE(14135), 1,
      sym_identifier,
    STATE(14607), 1,
      sym_simple_enum_case,
    STATE(12197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12969), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [557755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [557780] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6276), 1,
      sym__alpha_identifier,
    ACTIONS(6286), 1,
      sym__backquoted_id,
    ACTIONS(14180), 1,
      sym_operator_identifier,
    STATE(7671), 1,
      sym__soft_identifier,
    STATE(8403), 1,
      sym__type_identifier,
    STATE(8476), 1,
      sym_identifier,
    STATE(12200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6282), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557817] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14182), 1,
      anon_sym_match,
    ACTIONS(14184), 1,
      sym_operator_identifier,
    STATE(4181), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557854] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6218), 1,
      sym__alpha_identifier,
    ACTIONS(6228), 1,
      sym__backquoted_id,
    ACTIONS(14186), 1,
      sym_operator_identifier,
    STATE(8360), 1,
      sym__soft_identifier,
    STATE(8871), 1,
      sym__type_identifier,
    STATE(8991), 1,
      sym_identifier,
    STATE(12202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6224), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [557916] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14188), 1,
      anon_sym_match,
    ACTIONS(14190), 1,
      sym_operator_identifier,
    STATE(4207), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557953] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4138), 1,
      sym__alpha_identifier,
    ACTIONS(4156), 1,
      sym__backquoted_id,
    ACTIONS(14192), 1,
      sym_operator_identifier,
    STATE(5535), 1,
      sym__soft_identifier,
    STATE(6233), 1,
      sym__type_identifier,
    STATE(6237), 1,
      sym_identifier,
    STATE(12205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [557990] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14194), 1,
      sym__alpha_identifier,
    ACTIONS(14196), 1,
      anon_sym_LBRACE,
    ACTIONS(14198), 1,
      anon_sym_LBRACK,
    ACTIONS(14202), 1,
      sym__backquoted_id,
    STATE(9334), 1,
      sym__soft_identifier,
    STATE(9621), 1,
      sym_identifier,
    STATE(12206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14200), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558027] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(14204), 1,
      anon_sym_LBRACE,
    ACTIONS(14206), 1,
      anon_sym_LBRACK,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(11747), 1,
      sym_identifier,
    STATE(12207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558064] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12062), 1,
      sym__alpha_identifier,
    ACTIONS(12070), 1,
      sym__backquoted_id,
    ACTIONS(14208), 1,
      sym_operator_identifier,
    STATE(11916), 1,
      sym__soft_identifier,
    STATE(12366), 1,
      sym_identifier,
    STATE(12451), 1,
      sym__type_identifier,
    STATE(12208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12066), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [558126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [558151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [558176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [558201] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      sym__alpha_identifier,
    ACTIONS(12300), 1,
      sym__backquoted_id,
    ACTIONS(14210), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      sym__soft_identifier,
    STATE(11941), 1,
      sym_identifier,
    STATE(12082), 1,
      sym__type_identifier,
    STATE(12213), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558238] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14212), 1,
      sym__alpha_identifier,
    ACTIONS(14214), 1,
      anon_sym_LBRACE,
    ACTIONS(14216), 1,
      anon_sym_LBRACK,
    ACTIONS(14220), 1,
      sym__backquoted_id,
    STATE(8934), 1,
      sym__soft_identifier,
    STATE(9002), 1,
      sym_identifier,
    STATE(12214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14218), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558275] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14222), 1,
      sym__alpha_identifier,
    ACTIONS(14224), 1,
      anon_sym_LBRACE,
    ACTIONS(14226), 1,
      anon_sym_LBRACK,
    ACTIONS(14230), 1,
      sym__backquoted_id,
    STATE(5597), 1,
      sym_identifier,
    STATE(5902), 1,
      sym__soft_identifier,
    STATE(12215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14228), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558312] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(14234), 1,
      anon_sym_extends,
    ACTIONS(14236), 1,
      anon_sym_LPAREN,
    STATE(13716), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14384), 1,
      sym_class_parameters,
    STATE(14429), 1,
      sym_type_parameters,
    STATE(14718), 1,
      sym_extends_clause,
    STATE(15412), 1,
      sym__full_enum_def,
    STATE(12216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14232), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [558353] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14238), 1,
      anon_sym_match,
    ACTIONS(14240), 1,
      sym_operator_identifier,
    STATE(4222), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558390] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12038), 1,
      sym__alpha_identifier,
    ACTIONS(12046), 1,
      sym__backquoted_id,
    ACTIONS(14242), 1,
      sym_operator_identifier,
    STATE(12724), 1,
      sym__soft_identifier,
    STATE(13129), 1,
      sym_identifier,
    STATE(13164), 1,
      sym__type_identifier,
    STATE(12218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12042), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558427] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6756), 1,
      sym__alpha_identifier,
    ACTIONS(6770), 1,
      sym__backquoted_id,
    ACTIONS(14244), 1,
      sym_operator_identifier,
    STATE(7410), 1,
      sym__soft_identifier,
    STATE(8162), 1,
      sym__type_identifier,
    STATE(8186), 1,
      sym_identifier,
    STATE(12219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558464] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8366), 1,
      sym__alpha_identifier,
    ACTIONS(8378), 1,
      sym__backquoted_id,
    ACTIONS(14246), 1,
      sym_operator_identifier,
    STATE(11589), 1,
      sym__soft_identifier,
    STATE(11825), 1,
      sym_identifier,
    STATE(12073), 1,
      sym__type_identifier,
    STATE(12220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8374), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558501] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(14250), 1,
      sym__automatic_semicolon,
    STATE(12282), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(12221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14248), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [558534] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14253), 1,
      anon_sym_match,
    ACTIONS(14255), 1,
      sym_operator_identifier,
    STATE(4188), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558571] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(14259), 1,
      sym__automatic_semicolon,
    STATE(12282), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(12223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14257), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [558604] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6576), 1,
      sym__alpha_identifier,
    ACTIONS(6590), 1,
      sym__backquoted_id,
    ACTIONS(14262), 1,
      sym_operator_identifier,
    STATE(4509), 1,
      sym__soft_identifier,
    STATE(4659), 1,
      sym__type_identifier,
    STATE(4669), 1,
      sym_identifier,
    STATE(12224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6586), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558641] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6356), 1,
      sym__alpha_identifier,
    ACTIONS(6370), 1,
      sym__backquoted_id,
    ACTIONS(14264), 1,
      sym_operator_identifier,
    STATE(6346), 1,
      sym__soft_identifier,
    STATE(6921), 1,
      sym_identifier,
    STATE(6933), 1,
      sym__type_identifier,
    STATE(12225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6366), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [558705] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(14268), 1,
      sym__automatic_semicolon,
    STATE(12301), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(12227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14266), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [558738] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14271), 1,
      anon_sym_catch,
    ACTIONS(14273), 1,
      anon_sym_finally,
    STATE(11476), 1,
      sym_finally_clause,
    STATE(12723), 1,
      sym_catch_clause,
    STATE(12228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [558771] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14275), 1,
      sym__alpha_identifier,
    ACTIONS(14277), 1,
      anon_sym_LBRACE,
    ACTIONS(14279), 1,
      anon_sym_LBRACK,
    ACTIONS(14283), 1,
      sym__backquoted_id,
    STATE(10712), 1,
      sym_identifier,
    STATE(10906), 1,
      sym__soft_identifier,
    STATE(12229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14281), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558808] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14285), 1,
      anon_sym_match,
    ACTIONS(14287), 1,
      sym_operator_identifier,
    STATE(4233), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558845] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14289), 1,
      sym__alpha_identifier,
    ACTIONS(14291), 1,
      anon_sym_LBRACE,
    ACTIONS(14293), 1,
      anon_sym_LBRACK,
    ACTIONS(14297), 1,
      sym__backquoted_id,
    STATE(6896), 1,
      sym_identifier,
    STATE(7170), 1,
      sym__soft_identifier,
    STATE(12231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14295), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558882] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6178), 1,
      sym__alpha_identifier,
    ACTIONS(6192), 1,
      sym__backquoted_id,
    ACTIONS(14299), 1,
      sym_operator_identifier,
    STATE(5650), 1,
      sym__soft_identifier,
    STATE(6002), 1,
      sym_identifier,
    STATE(6051), 1,
      sym__type_identifier,
    STATE(12232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6188), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [558944] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14301), 1,
      anon_sym_match,
    ACTIONS(14303), 1,
      sym_operator_identifier,
    STATE(4182), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [558981] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6158), 1,
      sym__alpha_identifier,
    ACTIONS(6172), 1,
      sym__backquoted_id,
    ACTIONS(14305), 1,
      sym_operator_identifier,
    STATE(6371), 1,
      sym__soft_identifier,
    STATE(7050), 1,
      sym_identifier,
    STATE(7058), 1,
      sym__type_identifier,
    STATE(12235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6168), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [559043] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11607), 1,
      sym__alpha_identifier,
    ACTIONS(11615), 1,
      sym__backquoted_id,
    ACTIONS(14307), 1,
      sym_operator_identifier,
    STATE(13810), 1,
      sym__soft_identifier,
    STATE(13891), 1,
      sym__type_identifier,
    STATE(13945), 1,
      sym_identifier,
    STATE(12237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11611), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559080] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14162), 1,
      anon_sym_match,
    ACTIONS(14309), 1,
      sym_operator_identifier,
    STATE(4232), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559117] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      sym__alpha_identifier,
    ACTIONS(12300), 1,
      sym__backquoted_id,
    ACTIONS(14311), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      sym__soft_identifier,
    STATE(11580), 1,
      sym_identifier,
    STATE(14714), 1,
      sym__object_definition,
    STATE(12239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559154] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12240), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [559179] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12992), 1,
      sym_arguments,
    STATE(12241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [559206] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [559231] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(14313), 1,
      sym_operator_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11336), 1,
      sym_identifier,
    STATE(15382), 1,
      sym__object_definition,
    STATE(12243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559268] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11203), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11201), 10,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [559295] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9145), 1,
      anon_sym_LPAREN,
    STATE(12178), 1,
      aux_sym_annotation_repeat1,
    STATE(13170), 1,
      sym_arguments,
    STATE(12245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [559326] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4424), 1,
      sym__alpha_identifier,
    ACTIONS(4442), 1,
      sym__backquoted_id,
    ACTIONS(14315), 1,
      sym_operator_identifier,
    STATE(5702), 1,
      sym__soft_identifier,
    STATE(6427), 1,
      sym_identifier,
    STATE(6441), 1,
      sym__type_identifier,
    STATE(12246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559363] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14317), 1,
      sym__alpha_identifier,
    ACTIONS(14319), 1,
      anon_sym_LBRACE,
    ACTIONS(14321), 1,
      anon_sym_LBRACK,
    ACTIONS(14325), 1,
      sym__backquoted_id,
    STATE(6008), 1,
      sym_identifier,
    STATE(6099), 1,
      sym__soft_identifier,
    STATE(12247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14323), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559400] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6664), 1,
      sym__alpha_identifier,
    ACTIONS(6678), 1,
      sym__backquoted_id,
    ACTIONS(14327), 1,
      sym_operator_identifier,
    STATE(6195), 1,
      sym__soft_identifier,
    STATE(7080), 1,
      sym_identifier,
    STATE(7362), 1,
      sym__type_identifier,
    STATE(12248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6674), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559437] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8774), 1,
      sym__alpha_identifier,
    ACTIONS(8782), 1,
      sym__backquoted_id,
    ACTIONS(14329), 1,
      sym_operator_identifier,
    STATE(6146), 1,
      sym__type_identifier,
    STATE(6186), 1,
      sym_identifier,
    STATE(6494), 1,
      sym__soft_identifier,
    STATE(12249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559474] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(14119), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11722), 1,
      sym_identifier,
    STATE(14127), 1,
      sym__function_constructor,
    STATE(12250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559511] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(14331), 1,
      sym_operator_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11439), 1,
      sym_identifier,
    STATE(13923), 1,
      sym__class_constructor,
    STATE(12251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559548] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14253), 1,
      anon_sym_match,
    ACTIONS(14333), 1,
      sym_operator_identifier,
    STATE(4236), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559585] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6602), 1,
      sym__alpha_identifier,
    ACTIONS(6612), 1,
      sym__backquoted_id,
    ACTIONS(14335), 1,
      sym_operator_identifier,
    STATE(7451), 1,
      sym__soft_identifier,
    STATE(8686), 1,
      sym__type_identifier,
    STATE(8710), 1,
      sym_identifier,
    STATE(12253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6608), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559622] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14337), 1,
      sym__alpha_identifier,
    ACTIONS(14339), 1,
      anon_sym_LBRACE,
    ACTIONS(14341), 1,
      anon_sym_LBRACK,
    ACTIONS(14345), 1,
      sym__backquoted_id,
    STATE(8532), 1,
      sym_identifier,
    STATE(8633), 1,
      sym__soft_identifier,
    STATE(12254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14343), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559659] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14347), 1,
      sym__alpha_identifier,
    ACTIONS(14349), 1,
      anon_sym_LBRACE,
    ACTIONS(14351), 1,
      anon_sym_LBRACK,
    ACTIONS(14355), 1,
      sym__backquoted_id,
    STATE(9803), 1,
      sym__soft_identifier,
    STATE(9832), 1,
      sym_identifier,
    STATE(12255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14353), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559696] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(14357), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(4285), 1,
      sym_identifier,
    STATE(4303), 1,
      sym__type_identifier,
    STATE(12256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [559758] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12777), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [559783] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6374), 1,
      sym__alpha_identifier,
    ACTIONS(6384), 1,
      sym__backquoted_id,
    ACTIONS(14359), 1,
      sym_operator_identifier,
    STATE(6339), 1,
      sym__soft_identifier,
    STATE(6991), 1,
      sym__type_identifier,
    STATE(7010), 1,
      sym_identifier,
    STATE(12259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6380), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559820] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14361), 1,
      anon_sym_match,
    ACTIONS(14363), 1,
      sym_operator_identifier,
    STATE(4221), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559857] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(12261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [559884] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [559909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [559934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12779), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [559959] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(14119), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11722), 1,
      sym_identifier,
    STATE(14142), 1,
      sym__function_constructor,
    STATE(12265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [559996] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [560021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560046] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4346), 1,
      sym__alpha_identifier,
    ACTIONS(4364), 1,
      sym__backquoted_id,
    ACTIONS(14365), 1,
      sym_operator_identifier,
    STATE(5171), 1,
      sym__soft_identifier,
    STATE(5730), 1,
      sym_identifier,
    STATE(5772), 1,
      sym__type_identifier,
    STATE(12268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4358), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [560108] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [560133] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12310), 1,
      sym__alpha_identifier,
    ACTIONS(12318), 1,
      sym__backquoted_id,
    ACTIONS(13937), 1,
      sym_operator_identifier,
    STATE(11083), 1,
      sym__soft_identifier,
    STATE(11791), 1,
      sym_identifier,
    STATE(12532), 1,
      sym__type_identifier,
    STATE(12271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560170] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(14313), 1,
      sym_operator_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11336), 1,
      sym_identifier,
    STATE(14208), 1,
      sym__object_definition,
    STATE(12272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560207] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560234] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14182), 1,
      anon_sym_match,
    ACTIONS(14367), 1,
      sym_operator_identifier,
    STATE(4213), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560271] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14361), 1,
      anon_sym_match,
    ACTIONS(14369), 1,
      sym_operator_identifier,
    STATE(4240), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560308] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560333] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14190), 1,
      sym_operator_identifier,
    ACTIONS(14371), 1,
      anon_sym_match,
    STATE(4207), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560370] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4520), 1,
      sym__alpha_identifier,
    ACTIONS(4538), 1,
      sym__backquoted_id,
    ACTIONS(14373), 1,
      sym_operator_identifier,
    STATE(7346), 1,
      sym__soft_identifier,
    STATE(8018), 1,
      sym_identifier,
    STATE(8039), 1,
      sym__type_identifier,
    STATE(12278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4532), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560407] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8576), 1,
      sym__alpha_identifier,
    ACTIONS(8584), 1,
      sym__backquoted_id,
    ACTIONS(14375), 1,
      sym_operator_identifier,
    STATE(7425), 1,
      sym__soft_identifier,
    STATE(7489), 1,
      sym__type_identifier,
    STATE(7502), 1,
      sym_identifier,
    STATE(12279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8580), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560444] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8550), 1,
      sym__alpha_identifier,
    ACTIONS(8558), 1,
      sym__backquoted_id,
    ACTIONS(14377), 1,
      sym_operator_identifier,
    STATE(7438), 1,
      sym__soft_identifier,
    STATE(7490), 1,
      sym_identifier,
    STATE(7544), 1,
      sym__type_identifier,
    STATE(12280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8554), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560506] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14381), 1,
      anon_sym_LPAREN,
    ACTIONS(14384), 1,
      sym__automatic_semicolon,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(12282), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__class_constructor_repeat1,
    ACTIONS(14379), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [560537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560562] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560587] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14361), 1,
      anon_sym_match,
    ACTIONS(14387), 1,
      sym_operator_identifier,
    STATE(4216), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560624] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14389), 1,
      anon_sym_end,
    STATE(7496), 1,
      sym__end_marker,
    STATE(12286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [560653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [560703] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14391), 1,
      anon_sym_match,
    ACTIONS(14393), 1,
      sym_operator_identifier,
    STATE(4230), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560740] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8528), 1,
      sym__alpha_identifier,
    ACTIONS(8540), 1,
      sym__backquoted_id,
    ACTIONS(14395), 1,
      sym_operator_identifier,
    STATE(5788), 1,
      sym__soft_identifier,
    STATE(5859), 1,
      sym_identifier,
    STATE(5894), 1,
      sym__type_identifier,
    STATE(12290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8536), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560777] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14397), 1,
      sym__alpha_identifier,
    ACTIONS(14399), 1,
      anon_sym_LBRACE,
    ACTIONS(14401), 1,
      anon_sym_LBRACK,
    ACTIONS(14405), 1,
      sym__backquoted_id,
    STATE(8808), 1,
      sym__soft_identifier,
    STATE(9207), 1,
      sym_identifier,
    STATE(12291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14403), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560814] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14407), 1,
      sym__alpha_identifier,
    ACTIONS(14409), 1,
      anon_sym_LBRACE,
    ACTIONS(14411), 1,
      anon_sym_LBRACK,
    ACTIONS(14415), 1,
      sym__backquoted_id,
    STATE(7047), 1,
      sym_identifier,
    STATE(7076), 1,
      sym__soft_identifier,
    STATE(12292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14413), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560851] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(13945), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(4245), 1,
      sym_identifier,
    STATE(4248), 1,
      sym__type_identifier,
    STATE(12293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560888] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6298), 1,
      sym__alpha_identifier,
    ACTIONS(6308), 1,
      sym__backquoted_id,
    ACTIONS(14417), 1,
      sym_operator_identifier,
    STATE(4973), 1,
      sym__soft_identifier,
    STATE(5279), 1,
      sym_identifier,
    STATE(5298), 1,
      sym__type_identifier,
    STATE(12294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6304), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560925] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [560952] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12104), 1,
      sym__alpha_identifier,
    ACTIONS(12112), 1,
      sym__backquoted_id,
    ACTIONS(14419), 1,
      sym_operator_identifier,
    STATE(7807), 1,
      sym__soft_identifier,
    STATE(8205), 1,
      sym_identifier,
    STATE(8565), 1,
      sym__type_identifier,
    STATE(12296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12108), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [560989] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14361), 1,
      anon_sym_match,
    ACTIONS(14421), 1,
      sym_operator_identifier,
    STATE(4215), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [561051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [561076] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14423), 1,
      sym__alpha_identifier,
    ACTIONS(14425), 1,
      anon_sym_LBRACE,
    ACTIONS(14427), 1,
      anon_sym_LBRACK,
    ACTIONS(14431), 1,
      sym__backquoted_id,
    STATE(10196), 1,
      sym_identifier,
    STATE(10219), 1,
      sym__soft_identifier,
    STATE(12300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14429), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561113] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(14435), 1,
      sym__automatic_semicolon,
    STATE(12282), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(12301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14433), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [561146] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12017), 1,
      sym__alpha_identifier,
    ACTIONS(12025), 1,
      sym__backquoted_id,
    ACTIONS(14438), 1,
      sym_operator_identifier,
    STATE(12731), 1,
      sym__soft_identifier,
    STATE(13148), 1,
      sym__type_identifier,
    STATE(13196), 1,
      sym_identifier,
    STATE(12302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12021), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561183] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8810), 1,
      sym__alpha_identifier,
    ACTIONS(8818), 1,
      sym__backquoted_id,
    ACTIONS(14440), 1,
      sym_operator_identifier,
    STATE(6290), 1,
      sym__type_identifier,
    STATE(6330), 1,
      sym_identifier,
    STATE(6626), 1,
      sym__soft_identifier,
    STATE(12303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8814), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561220] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14442), 1,
      anon_sym_match,
    ACTIONS(14444), 1,
      sym_operator_identifier,
    STATE(4211), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561257] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4382), 1,
      sym__alpha_identifier,
    ACTIONS(4400), 1,
      sym__backquoted_id,
    ACTIONS(14446), 1,
      sym_operator_identifier,
    STATE(5755), 1,
      sym__soft_identifier,
    STATE(6028), 1,
      sym_identifier,
    STATE(6045), 1,
      sym__type_identifier,
    STATE(12305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4394), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561294] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(14119), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11722), 1,
      sym_identifier,
    STATE(13993), 1,
      sym__function_constructor,
    STATE(12306), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14174), 1,
      anon_sym_LBRACK,
    STATE(6785), 1,
      sym_type_arguments,
    STATE(12307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [561360] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12090), 1,
      sym__alpha_identifier,
    ACTIONS(12098), 1,
      sym__backquoted_id,
    ACTIONS(14448), 1,
      sym_operator_identifier,
    STATE(12758), 1,
      sym__soft_identifier,
    STATE(13135), 1,
      sym__type_identifier,
    STATE(13244), 1,
      sym_identifier,
    STATE(12308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12094), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561397] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6258), 1,
      sym__alpha_identifier,
    ACTIONS(6272), 1,
      sym__backquoted_id,
    ACTIONS(14450), 1,
      sym_operator_identifier,
    STATE(5114), 1,
      sym__soft_identifier,
    STATE(5911), 1,
      sym_identifier,
    STATE(5920), 1,
      sym__type_identifier,
    STATE(12309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6268), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561434] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6466), 1,
      sym__alpha_identifier,
    ACTIONS(6480), 1,
      sym__backquoted_id,
    ACTIONS(14452), 1,
      sym_operator_identifier,
    STATE(6334), 1,
      sym__soft_identifier,
    STATE(6822), 1,
      sym_identifier,
    STATE(6833), 1,
      sym__type_identifier,
    STATE(12310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6476), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561471] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14454), 1,
      sym__alpha_identifier,
    ACTIONS(14456), 1,
      anon_sym_LBRACE,
    ACTIONS(14458), 1,
      anon_sym_LBRACK,
    ACTIONS(14462), 1,
      sym__backquoted_id,
    STATE(9759), 1,
      sym_identifier,
    STATE(9826), 1,
      sym__soft_identifier,
    STATE(12311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14460), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561508] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14407), 1,
      sym__alpha_identifier,
    ACTIONS(14415), 1,
      sym__backquoted_id,
    ACTIONS(14464), 1,
      anon_sym_LBRACE,
    ACTIONS(14466), 1,
      anon_sym_LBRACK,
    STATE(7076), 1,
      sym__soft_identifier,
    STATE(7207), 1,
      sym_identifier,
    STATE(12312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14413), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561545] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8620), 1,
      sym__alpha_identifier,
    ACTIONS(8628), 1,
      sym__backquoted_id,
    ACTIONS(14468), 1,
      sym_operator_identifier,
    STATE(6358), 1,
      sym__type_identifier,
    STATE(6529), 1,
      sym_identifier,
    STATE(6596), 1,
      sym__soft_identifier,
    STATE(12313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561582] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14174), 1,
      anon_sym_LBRACK,
    STATE(6785), 1,
      sym_type_arguments,
    STATE(12314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [561611] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14470), 1,
      anon_sym_COMMA,
    ACTIONS(14472), 1,
      anon_sym_with,
    STATE(13043), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13055), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(12315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13756), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [561644] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14170), 1,
      anon_sym_match,
    ACTIONS(14474), 1,
      sym_operator_identifier,
    STATE(4229), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12316), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561681] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14285), 1,
      anon_sym_match,
    ACTIONS(14476), 1,
      sym_operator_identifier,
    STATE(4238), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561718] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6334), 1,
      sym__alpha_identifier,
    ACTIONS(6348), 1,
      sym__backquoted_id,
    ACTIONS(14478), 1,
      sym_operator_identifier,
    STATE(4607), 1,
      sym__soft_identifier,
    STATE(4748), 1,
      sym__type_identifier,
    STATE(4810), 1,
      sym_identifier,
    STATE(12318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6344), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [561780] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6690), 1,
      sym__alpha_identifier,
    ACTIONS(6700), 1,
      sym__backquoted_id,
    ACTIONS(14480), 1,
      sym_operator_identifier,
    STATE(6303), 1,
      sym__soft_identifier,
    STATE(6682), 1,
      sym__type_identifier,
    STATE(6692), 1,
      sym_identifier,
    STATE(12320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6696), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561817] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8392), 1,
      sym__alpha_identifier,
    ACTIONS(8404), 1,
      sym__backquoted_id,
    ACTIONS(14482), 1,
      sym_operator_identifier,
    STATE(13157), 1,
      sym__soft_identifier,
    STATE(13504), 1,
      sym_identifier,
    STATE(13598), 1,
      sym__type_identifier,
    STATE(12321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8400), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561854] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12278), 1,
      sym__alpha_identifier,
    ACTIONS(12286), 1,
      sym__backquoted_id,
    ACTIONS(14484), 1,
      sym_operator_identifier,
    STATE(12403), 1,
      sym__soft_identifier,
    STATE(12747), 1,
      sym__type_identifier,
    STATE(13011), 1,
      sym_identifier,
    STATE(12322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12282), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561891] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14423), 1,
      sym__alpha_identifier,
    ACTIONS(14431), 1,
      sym__backquoted_id,
    ACTIONS(14486), 1,
      anon_sym_LBRACE,
    ACTIONS(14488), 1,
      anon_sym_LBRACK,
    STATE(10197), 1,
      sym_identifier,
    STATE(10219), 1,
      sym__soft_identifier,
    STATE(12323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14429), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561928] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14490), 1,
      anon_sym_match,
    ACTIONS(14492), 1,
      sym_operator_identifier,
    STATE(4204), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [561965] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7180), 1,
      sym__alpha_identifier,
    ACTIONS(7196), 1,
      sym__backquoted_id,
    ACTIONS(14494), 1,
      sym_operator_identifier,
    STATE(4248), 1,
      sym__type_identifier,
    STATE(10333), 1,
      sym__soft_identifier,
    STATE(11088), 1,
      sym_identifier,
    STATE(12325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7190), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562002] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14347), 1,
      sym__alpha_identifier,
    ACTIONS(14355), 1,
      sym__backquoted_id,
    ACTIONS(14496), 1,
      anon_sym_LBRACE,
    ACTIONS(14498), 1,
      anon_sym_LBRACK,
    STATE(9803), 1,
      sym__soft_identifier,
    STATE(9963), 1,
      sym_identifier,
    STATE(12326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14353), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562039] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4612), 1,
      sym__alpha_identifier,
    ACTIONS(4624), 1,
      sym__backquoted_id,
    ACTIONS(14500), 1,
      sym_operator_identifier,
    STATE(4612), 1,
      sym__soft_identifier,
    STATE(5000), 1,
      sym__type_identifier,
    STATE(5006), 1,
      sym_identifier,
    STATE(12327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4620), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [562101] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14502), 1,
      sym__alpha_identifier,
    ACTIONS(14504), 1,
      anon_sym_LBRACE,
    ACTIONS(14506), 1,
      anon_sym_LBRACK,
    ACTIONS(14510), 1,
      sym__backquoted_id,
    STATE(7622), 1,
      sym_identifier,
    STATE(7943), 1,
      sym__soft_identifier,
    STATE(12329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562138] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14317), 1,
      sym__alpha_identifier,
    ACTIONS(14325), 1,
      sym__backquoted_id,
    ACTIONS(14512), 1,
      anon_sym_LBRACE,
    ACTIONS(14514), 1,
      anon_sym_LBRACK,
    STATE(6099), 1,
      sym__soft_identifier,
    STATE(6333), 1,
      sym_identifier,
    STATE(12330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14323), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562175] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4314), 1,
      sym__alpha_identifier,
    ACTIONS(4332), 1,
      sym__backquoted_id,
    ACTIONS(14516), 1,
      sym_operator_identifier,
    STATE(5658), 1,
      sym__soft_identifier,
    STATE(6204), 1,
      sym__type_identifier,
    STATE(6216), 1,
      sym_identifier,
    STATE(12331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4326), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562212] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    ACTIONS(13320), 1,
      anon_sym_LT_COLON,
    ACTIONS(13322), 1,
      anon_sym_GT_COLON,
    ACTIONS(13324), 1,
      anon_sym_LT_PERCENT,
    STATE(13306), 1,
      sym_lower_bound,
    STATE(13635), 1,
      sym_upper_bound,
    STATE(13645), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14390), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14519), 1,
      sym_view_bound,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(14518), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(12332), 2,
      sym_comment,
      sym_block_comment,
  [562257] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14520), 1,
      anon_sym_match,
    ACTIONS(14522), 1,
      sym_operator_identifier,
    STATE(4203), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562294] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14490), 1,
      anon_sym_match,
    ACTIONS(14524), 1,
      sym_operator_identifier,
    STATE(4234), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562331] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4210), 1,
      sym__alpha_identifier,
    ACTIONS(4228), 1,
      sym__backquoted_id,
    ACTIONS(14526), 1,
      sym_operator_identifier,
    STATE(6542), 1,
      sym__soft_identifier,
    STATE(7189), 1,
      sym_identifier,
    STATE(7249), 1,
      sym__type_identifier,
    STATE(12335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4222), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562368] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(14331), 1,
      sym_operator_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11439), 1,
      sym_identifier,
    STATE(13995), 1,
      sym__class_constructor,
    STATE(12336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562405] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14528), 1,
      anon_sym_match,
    ACTIONS(14530), 1,
      sym_operator_identifier,
    STATE(4217), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562442] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14532), 1,
      anon_sym_match,
    ACTIONS(14534), 1,
      sym_operator_identifier,
    STATE(4219), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562479] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(14119), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11722), 1,
      sym_identifier,
    STATE(13996), 1,
      sym__function_constructor,
    STATE(12339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562516] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12258), 1,
      sym__alpha_identifier,
    ACTIONS(12266), 1,
      sym__backquoted_id,
    ACTIONS(14536), 1,
      sym_operator_identifier,
    STATE(12530), 1,
      sym__soft_identifier,
    STATE(12661), 1,
      sym__type_identifier,
    STATE(12695), 1,
      sym_identifier,
    STATE(12340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12262), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562553] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14538), 1,
      anon_sym_match,
    ACTIONS(14540), 1,
      sym_operator_identifier,
    STATE(4209), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562590] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4866), 1,
      sym__alpha_identifier,
    ACTIONS(4884), 1,
      sym__backquoted_id,
    ACTIONS(14542), 1,
      sym_operator_identifier,
    STATE(4496), 1,
      sym__soft_identifier,
    STATE(4567), 1,
      sym__type_identifier,
    STATE(4725), 1,
      sym_identifier,
    STATE(12342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4878), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562627] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14174), 1,
      anon_sym_LBRACK,
    ACTIONS(14544), 1,
      anon_sym_match,
    STATE(6785), 1,
      sym_type_arguments,
    STATE(12343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [562658] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7224), 1,
      sym__alpha_identifier,
    ACTIONS(7238), 1,
      sym__backquoted_id,
    ACTIONS(14546), 1,
      anon_sym_LBRACE,
    ACTIONS(14548), 1,
      anon_sym_LBRACK,
    STATE(9766), 1,
      sym__soft_identifier,
    STATE(11352), 1,
      sym_identifier,
    STATE(12344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7230), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562695] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14550), 1,
      sym__alpha_identifier,
    ACTIONS(14552), 1,
      anon_sym_LBRACE,
    ACTIONS(14554), 1,
      anon_sym_LBRACK,
    ACTIONS(14558), 1,
      sym__backquoted_id,
    STATE(8318), 1,
      sym__soft_identifier,
    STATE(8480), 1,
      sym_identifier,
    STATE(12345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14556), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562732] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14560), 1,
      anon_sym_match,
    ACTIONS(14562), 1,
      sym_operator_identifier,
    STATE(4202), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562769] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10462), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10460), 10,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [562796] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10458), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10456), 10,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [562823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [562848] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14253), 1,
      anon_sym_match,
    ACTIONS(14564), 1,
      sym_operator_identifier,
    STATE(4206), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [562910] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14528), 1,
      anon_sym_match,
    ACTIONS(14566), 1,
      sym_operator_identifier,
    STATE(4241), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [562947] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9273), 1,
      anon_sym_LBRACK,
    ACTIONS(9277), 1,
      anon_sym_POUND,
    ACTIONS(9800), 1,
      anon_sym_LPAREN,
    STATE(4309), 1,
      sym_type_arguments,
    STATE(4417), 1,
      sym_arguments,
    STATE(13272), 1,
      aux_sym_annotation_repeat1,
    STATE(12353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [562984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10446), 2,
      sym__outdent,
      sym__backquoted_id,
    STATE(12354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10444), 10,
      anon_sym_case,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [563011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [563036] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14568), 1,
      sym__alpha_identifier,
    ACTIONS(14570), 1,
      anon_sym_LBRACE,
    ACTIONS(14572), 1,
      anon_sym_LBRACK,
    ACTIONS(14576), 1,
      sym__backquoted_id,
    STATE(8505), 1,
      sym__soft_identifier,
    STATE(8617), 1,
      sym_identifier,
    STATE(12356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14574), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [563098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [563123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [563148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [563173] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8882), 1,
      sym__alpha_identifier,
    ACTIONS(8890), 1,
      sym__backquoted_id,
    ACTIONS(14578), 1,
      sym_operator_identifier,
    STATE(6748), 1,
      sym__soft_identifier,
    STATE(7062), 1,
      sym_identifier,
    STATE(7131), 1,
      sym__type_identifier,
    STATE(12361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8886), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563210] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6734), 1,
      sym__alpha_identifier,
    ACTIONS(6748), 1,
      sym__backquoted_id,
    ACTIONS(14580), 1,
      sym_operator_identifier,
    STATE(5700), 1,
      sym__soft_identifier,
    STATE(6505), 1,
      sym_identifier,
    STATE(6517), 1,
      sym__type_identifier,
    STATE(12362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6744), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563247] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14582), 1,
      sym__alpha_identifier,
    ACTIONS(14584), 1,
      anon_sym_LBRACE,
    ACTIONS(14586), 1,
      anon_sym_LBRACK,
    ACTIONS(14590), 1,
      sym__backquoted_id,
    STATE(7388), 1,
      sym_identifier,
    STATE(7402), 1,
      sym__soft_identifier,
    STATE(12363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14588), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563284] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14289), 1,
      sym__alpha_identifier,
    ACTIONS(14297), 1,
      sym__backquoted_id,
    ACTIONS(14592), 1,
      anon_sym_LBRACE,
    ACTIONS(14594), 1,
      anon_sym_LBRACK,
    STATE(7170), 1,
      sym__soft_identifier,
    STATE(7355), 1,
      sym_identifier,
    STATE(12364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14295), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [563346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [563371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [563396] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7312), 1,
      sym__alpha_identifier,
    ACTIONS(7326), 1,
      sym__backquoted_id,
    ACTIONS(14596), 1,
      sym_operator_identifier,
    STATE(11432), 1,
      sym__soft_identifier,
    STATE(11559), 1,
      sym_identifier,
    STATE(11757), 1,
      sym__type_identifier,
    STATE(12368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563433] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14182), 1,
      anon_sym_match,
    ACTIONS(14598), 1,
      sym_operator_identifier,
    STATE(4237), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [563495] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6140), 1,
      sym__alpha_identifier,
    ACTIONS(6154), 1,
      sym__backquoted_id,
    ACTIONS(14600), 1,
      sym_operator_identifier,
    STATE(7223), 1,
      sym__soft_identifier,
    STATE(7805), 1,
      sym__type_identifier,
    STATE(7824), 1,
      sym_identifier,
    STATE(12371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6150), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563532] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6774), 1,
      sym__alpha_identifier,
    ACTIONS(6788), 1,
      sym__backquoted_id,
    ACTIONS(14602), 1,
      sym_operator_identifier,
    STATE(5717), 1,
      sym__soft_identifier,
    STATE(6316), 1,
      sym_identifier,
    STATE(6327), 1,
      sym__type_identifier,
    STATE(12372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6784), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563569] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14604), 1,
      anon_sym_match,
    ACTIONS(14606), 1,
      sym_operator_identifier,
    STATE(4200), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563606] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12839), 1,
      aux_sym_compound_type_repeat1,
    STATE(14077), 1,
      sym_arguments,
    STATE(14145), 1,
      sym_template_body,
    STATE(14146), 1,
      sym__refinement,
    STATE(12374), 2,
      sym_comment,
      sym_block_comment,
    STATE(14026), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [563641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [563666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12713), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [563691] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(14608), 1,
      anon_sym_extends,
    ACTIONS(14610), 1,
      anon_sym_LPAREN,
    STATE(13707), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14255), 1,
      sym_class_parameters,
    STATE(14587), 1,
      sym_type_parameters,
    STATE(14588), 1,
      sym_extends_clause,
    STATE(15390), 1,
      sym__full_enum_def,
    STATE(12377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14232), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [563732] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8462), 1,
      sym__alpha_identifier,
    ACTIONS(8470), 1,
      sym__backquoted_id,
    ACTIONS(14612), 1,
      sym_operator_identifier,
    STATE(7396), 1,
      sym_identifier,
    STATE(7465), 1,
      sym__soft_identifier,
    STATE(7601), 1,
      sym__type_identifier,
    STATE(12378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563769] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12050), 1,
      sym__alpha_identifier,
    ACTIONS(12058), 1,
      sym__backquoted_id,
    ACTIONS(14614), 1,
      sym_operator_identifier,
    STATE(10934), 1,
      sym__soft_identifier,
    STATE(11081), 1,
      sym__type_identifier,
    STATE(11098), 1,
      sym_identifier,
    STATE(12379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12054), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563806] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8636), 1,
      sym__alpha_identifier,
    ACTIONS(8644), 1,
      sym__backquoted_id,
    ACTIONS(14616), 1,
      sym_operator_identifier,
    STATE(5614), 1,
      sym__type_identifier,
    STATE(5627), 1,
      sym_identifier,
    STATE(5708), 1,
      sym__soft_identifier,
    STATE(12380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8640), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563843] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14528), 1,
      anon_sym_match,
    ACTIONS(14618), 1,
      sym_operator_identifier,
    STATE(4231), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563880] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8714), 1,
      sym__alpha_identifier,
    ACTIONS(8722), 1,
      sym__backquoted_id,
    ACTIONS(14620), 1,
      sym_operator_identifier,
    STATE(7198), 1,
      sym_identifier,
    STATE(7210), 1,
      sym__type_identifier,
    STATE(7298), 1,
      sym__soft_identifier,
    STATE(12382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8718), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563917] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14502), 1,
      sym__alpha_identifier,
    ACTIONS(14510), 1,
      sym__backquoted_id,
    ACTIONS(14622), 1,
      anon_sym_LBRACE,
    ACTIONS(14624), 1,
      anon_sym_LBRACK,
    STATE(7624), 1,
      sym_identifier,
    STATE(7943), 1,
      sym__soft_identifier,
    STATE(12383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563954] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8218), 1,
      sym__alpha_identifier,
    ACTIONS(8230), 1,
      sym__backquoted_id,
    ACTIONS(14626), 1,
      sym_operator_identifier,
    STATE(11280), 1,
      sym__soft_identifier,
    STATE(11753), 1,
      sym_identifier,
    STATE(11765), 1,
      sym__type_identifier,
    STATE(12384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8226), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [563991] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7332), 1,
      sym__alpha_identifier,
    ACTIONS(7340), 1,
      sym__backquoted_id,
    ACTIONS(14628), 1,
      sym_operator_identifier,
    STATE(11460), 1,
      sym__soft_identifier,
    STATE(11951), 1,
      sym_identifier,
    STATE(11977), 1,
      sym__type_identifier,
    STATE(12385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7336), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564028] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14632), 1,
      anon_sym_LPAREN,
    ACTIONS(14635), 1,
      sym__automatic_semicolon,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(12386), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__function_constructor_repeat1,
    ACTIONS(14630), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [564061] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12310), 1,
      sym__alpha_identifier,
    ACTIONS(12318), 1,
      sym__backquoted_id,
    ACTIONS(14638), 1,
      sym_operator_identifier,
    STATE(11083), 1,
      sym__soft_identifier,
    STATE(11870), 1,
      sym_identifier,
    STATE(13841), 1,
      sym__function_constructor,
    STATE(12387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12758), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_AT,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [564123] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4582), 1,
      sym__alpha_identifier,
    ACTIONS(4600), 1,
      sym__backquoted_id,
    ACTIONS(14640), 1,
      sym_operator_identifier,
    STATE(6355), 1,
      sym__soft_identifier,
    STATE(6953), 1,
      sym_identifier,
    STATE(6961), 1,
      sym__type_identifier,
    STATE(12389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4594), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564160] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14538), 1,
      anon_sym_match,
    ACTIONS(14642), 1,
      sym_operator_identifier,
    STATE(4198), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564197] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(14331), 1,
      sym_operator_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11439), 1,
      sym_identifier,
    STATE(14002), 1,
      sym__class_constructor,
    STATE(12391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [564259] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(14119), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11722), 1,
      sym_identifier,
    STATE(14023), 1,
      sym__function_constructor,
    STATE(12393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564296] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14162), 1,
      anon_sym_match,
    ACTIONS(14644), 1,
      sym_operator_identifier,
    STATE(4224), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564333] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8758), 1,
      sym__alpha_identifier,
    ACTIONS(8770), 1,
      sym__backquoted_id,
    ACTIONS(14646), 1,
      sym_operator_identifier,
    STATE(5033), 1,
      sym__soft_identifier,
    STATE(5350), 1,
      sym_identifier,
    STATE(5375), 1,
      sym__type_identifier,
    STATE(12395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8766), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564370] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12076), 1,
      sym__alpha_identifier,
    ACTIONS(12084), 1,
      sym__backquoted_id,
    ACTIONS(14648), 1,
      sym_operator_identifier,
    STATE(11769), 1,
      sym__soft_identifier,
    STATE(11994), 1,
      sym__type_identifier,
    STATE(12114), 1,
      sym_identifier,
    STATE(12396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12080), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564407] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14391), 1,
      anon_sym_match,
    ACTIONS(14650), 1,
      sym_operator_identifier,
    STATE(4183), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564444] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(13429), 1,
      sym_operator_identifier,
    ACTIONS(14520), 1,
      anon_sym_match,
    STATE(4199), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564481] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14652), 1,
      sym__alpha_identifier,
    ACTIONS(14654), 1,
      anon_sym_LBRACE,
    ACTIONS(14656), 1,
      anon_sym_LBRACK,
    ACTIONS(14660), 1,
      sym__backquoted_id,
    STATE(8746), 1,
      sym_identifier,
    STATE(8976), 1,
      sym__soft_identifier,
    STATE(12399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14658), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564518] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4490), 1,
      sym__alpha_identifier,
    ACTIONS(4508), 1,
      sym__backquoted_id,
    ACTIONS(14662), 1,
      sym_operator_identifier,
    STATE(5408), 1,
      sym__soft_identifier,
    STATE(5639), 1,
      sym__type_identifier,
    STATE(5654), 1,
      sym_identifier,
    STATE(12400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4502), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564555] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14222), 1,
      sym__alpha_identifier,
    ACTIONS(14230), 1,
      sym__backquoted_id,
    ACTIONS(14664), 1,
      anon_sym_LBRACE,
    ACTIONS(14666), 1,
      anon_sym_LBRACK,
    STATE(5619), 1,
      sym_identifier,
    STATE(5902), 1,
      sym__soft_identifier,
    STATE(12401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14228), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564592] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [564617] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [564642] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14668), 1,
      anon_sym_LBRACK,
    STATE(7196), 1,
      sym_type_arguments,
    STATE(12404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [564671] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14528), 1,
      anon_sym_match,
    ACTIONS(14670), 1,
      sym_operator_identifier,
    STATE(4205), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564708] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14182), 1,
      anon_sym_match,
    ACTIONS(14672), 1,
      sym_operator_identifier,
    STATE(4239), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564745] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14142), 1,
      sym__alpha_identifier,
    ACTIONS(14150), 1,
      sym__backquoted_id,
    ACTIONS(14674), 1,
      anon_sym_LBRACE,
    ACTIONS(14676), 1,
      anon_sym_LBRACK,
    STATE(9365), 1,
      sym__soft_identifier,
    STATE(9661), 1,
      sym_identifier,
    STATE(12407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564782] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14668), 1,
      anon_sym_LBRACK,
    STATE(7196), 1,
      sym_type_arguments,
    STATE(12408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [564811] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(14331), 1,
      sym_operator_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11439), 1,
      sym_identifier,
    STATE(13919), 1,
      sym__class_constructor,
    STATE(12409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564848] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [564875] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6514), 1,
      sym__alpha_identifier,
    ACTIONS(6528), 1,
      sym__backquoted_id,
    ACTIONS(14678), 1,
      sym_operator_identifier,
    STATE(4915), 1,
      sym__soft_identifier,
    STATE(5214), 1,
      sym_identifier,
    STATE(5222), 1,
      sym__type_identifier,
    STATE(12411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6524), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14174), 1,
      anon_sym_LBRACK,
    STATE(6785), 1,
      sym_type_arguments,
    STATE(12412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [564941] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8450), 1,
      sym__alpha_identifier,
    ACTIONS(8458), 1,
      sym__backquoted_id,
    ACTIONS(14680), 1,
      sym_operator_identifier,
    STATE(6075), 1,
      sym__type_identifier,
    STATE(6087), 1,
      sym_identifier,
    STATE(6368), 1,
      sym__soft_identifier,
    STATE(12413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8454), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [564978] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6554), 1,
      sym__alpha_identifier,
    ACTIONS(6568), 1,
      sym__backquoted_id,
    ACTIONS(14682), 1,
      sym_operator_identifier,
    STATE(5801), 1,
      sym__soft_identifier,
    STATE(6252), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__type_identifier,
    STATE(12414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6564), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565015] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4246), 1,
      sym__alpha_identifier,
    ACTIONS(4264), 1,
      sym__backquoted_id,
    ACTIONS(14684), 1,
      sym_operator_identifier,
    STATE(8053), 1,
      sym__soft_identifier,
    STATE(8270), 1,
      sym_identifier,
    STATE(8668), 1,
      sym__type_identifier,
    STATE(12415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4258), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [565077] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4642), 1,
      sym__alpha_identifier,
    ACTIONS(4660), 1,
      sym__backquoted_id,
    ACTIONS(14686), 1,
      sym_operator_identifier,
    STATE(6812), 1,
      sym__soft_identifier,
    STATE(7816), 1,
      sym_identifier,
    STATE(7976), 1,
      sym__type_identifier,
    STATE(12417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4654), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565114] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14688), 1,
      anon_sym_match,
    ACTIONS(14690), 1,
      sym_operator_identifier,
    STATE(4185), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565151] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14668), 1,
      anon_sym_LBRACK,
    ACTIONS(14692), 1,
      anon_sym_match,
    STATE(7196), 1,
      sym_type_arguments,
    STATE(12419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14668), 1,
      anon_sym_LBRACK,
    STATE(7196), 1,
      sym_type_arguments,
    STATE(12420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565211] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14668), 1,
      anon_sym_LBRACK,
    STATE(7196), 1,
      sym_type_arguments,
    STATE(12421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [565240] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14285), 1,
      anon_sym_match,
    ACTIONS(14694), 1,
      sym_operator_identifier,
    STATE(4223), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565277] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14696), 1,
      anon_sym_STAR,
    STATE(12423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [565304] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14301), 1,
      anon_sym_match,
    ACTIONS(14698), 1,
      sym_operator_identifier,
    STATE(4242), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565341] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12181), 1,
      sym__alpha_identifier,
    ACTIONS(12189), 1,
      sym__backquoted_id,
    ACTIONS(14700), 1,
      sym_operator_identifier,
    STATE(11155), 1,
      sym__soft_identifier,
    STATE(11680), 1,
      sym_identifier,
    STATE(11684), 1,
      sym__type_identifier,
    STATE(12425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12185), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [565403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [565428] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6796), 1,
      sym__alpha_identifier,
    ACTIONS(6806), 1,
      sym__backquoted_id,
    ACTIONS(14702), 1,
      sym_operator_identifier,
    STATE(4816), 1,
      sym__soft_identifier,
    STATE(5069), 1,
      sym__type_identifier,
    STATE(5084), 1,
      sym_identifier,
    STATE(12428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6802), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [565490] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_EQ_GT,
    ACTIONS(8356), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(12430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [565521] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(14313), 1,
      sym_operator_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11336), 1,
      sym_identifier,
    STATE(14187), 1,
      sym__object_definition,
    STATE(12431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565558] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4742), 1,
      sym__alpha_identifier,
    ACTIONS(4754), 1,
      sym__backquoted_id,
    ACTIONS(14704), 1,
      sym_operator_identifier,
    STATE(4468), 1,
      sym__soft_identifier,
    STATE(4660), 1,
      sym__type_identifier,
    STATE(4687), 1,
      sym_identifier,
    STATE(12432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565595] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14253), 1,
      anon_sym_match,
    ACTIONS(14706), 1,
      sym_operator_identifier,
    STATE(4214), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14708), 1,
      anon_sym_DOT,
    STATE(12434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [565659] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14710), 1,
      sym__alpha_identifier,
    ACTIONS(14712), 1,
      anon_sym_LBRACE,
    ACTIONS(14714), 1,
      anon_sym_LBRACK,
    ACTIONS(14718), 1,
      sym__backquoted_id,
    STATE(8718), 1,
      sym__soft_identifier,
    STATE(8800), 1,
      sym_identifier,
    STATE(12435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565696] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14212), 1,
      sym__alpha_identifier,
    ACTIONS(14220), 1,
      sym__backquoted_id,
    ACTIONS(14720), 1,
      anon_sym_LBRACE,
    ACTIONS(14722), 1,
      anon_sym_LBRACK,
    STATE(8801), 1,
      sym_identifier,
    STATE(8934), 1,
      sym__soft_identifier,
    STATE(12436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14218), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565733] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14724), 1,
      anon_sym_LBRACK,
    STATE(13106), 1,
      sym_access_qualifier,
    STATE(12437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10182), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [565762] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(14728), 1,
      sym__automatic_semicolon,
    STATE(12282), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(12438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14726), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [565795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [565820] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12193), 1,
      sym__alpha_identifier,
    ACTIONS(12201), 1,
      sym__backquoted_id,
    ACTIONS(14731), 1,
      sym_operator_identifier,
    STATE(10672), 1,
      sym__soft_identifier,
    STATE(11003), 1,
      sym__type_identifier,
    STATE(11020), 1,
      sym_identifier,
    STATE(12440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12197), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565857] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      sym__alpha_identifier,
    ACTIONS(6440), 1,
      sym__backquoted_id,
    ACTIONS(14733), 1,
      sym_operator_identifier,
    STATE(6024), 1,
      sym__soft_identifier,
    STATE(6671), 1,
      sym__type_identifier,
    STATE(6768), 1,
      sym_identifier,
    STATE(12441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6436), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565894] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14735), 1,
      anon_sym_LPAREN,
    STATE(13045), 1,
      sym_arguments,
    STATE(12442), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [565923] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14532), 1,
      anon_sym_match,
    ACTIONS(14738), 1,
      sym_operator_identifier,
    STATE(4243), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [565960] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9217), 1,
      anon_sym_LPAREN,
    STATE(12538), 1,
      aux_sym_annotation_repeat1,
    STATE(13249), 1,
      sym_arguments,
    STATE(12444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [565991] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(14742), 1,
      sym__automatic_semicolon,
    STATE(12221), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(12445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14740), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [566024] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(14747), 1,
      sym__automatic_semicolon,
    STATE(12282), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(12446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14745), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [566057] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13272), 1,
      sym__automatic_semicolon,
    STATE(12223), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(12447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13270), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [566090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566115] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14285), 1,
      anon_sym_match,
    ACTIONS(14750), 1,
      sym_operator_identifier,
    STATE(4220), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566152] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(14752), 1,
      sym_operator_identifier,
    STATE(5547), 1,
      sym__soft_identifier,
    STATE(13851), 1,
      sym_identifier,
    STATE(14122), 1,
      sym__namespace_expression,
    STATE(12450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(661), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566189] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566214] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12310), 1,
      sym__alpha_identifier,
    ACTIONS(12318), 1,
      sym__backquoted_id,
    ACTIONS(14638), 1,
      sym_operator_identifier,
    STATE(11083), 1,
      sym__soft_identifier,
    STATE(11870), 1,
      sym_identifier,
    STATE(13916), 1,
      sym__function_constructor,
    STATE(12452), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566251] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14668), 1,
      anon_sym_LBRACK,
    ACTIONS(14692), 1,
      anon_sym_match,
    STATE(7196), 1,
      sym_type_arguments,
    STATE(12453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [566282] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8913), 1,
      sym__alpha_identifier,
    ACTIONS(8921), 1,
      sym__backquoted_id,
    ACTIONS(14754), 1,
      sym_operator_identifier,
    STATE(8252), 1,
      sym__soft_identifier,
    STATE(8430), 1,
      sym__type_identifier,
    STATE(8595), 1,
      sym_identifier,
    STATE(12454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8917), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566319] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12119), 1,
      sym__alpha_identifier,
    ACTIONS(12127), 1,
      sym__backquoted_id,
    ACTIONS(14756), 1,
      sym_operator_identifier,
    STATE(11070), 1,
      sym__soft_identifier,
    STATE(11230), 1,
      sym__type_identifier,
    STATE(11247), 1,
      sym_identifier,
    STATE(12455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12123), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566381] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8700), 1,
      sym__alpha_identifier,
    ACTIONS(8708), 1,
      sym__backquoted_id,
    ACTIONS(14758), 1,
      sym_operator_identifier,
    STATE(7468), 1,
      sym_identifier,
    STATE(7588), 1,
      sym__type_identifier,
    STATE(7690), 1,
      sym__soft_identifier,
    STATE(12457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8704), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566418] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(13429), 1,
      sym_operator_identifier,
    ACTIONS(14760), 1,
      anon_sym_match,
    STATE(4199), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566455] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(14752), 1,
      sym_operator_identifier,
    STATE(5547), 1,
      sym__soft_identifier,
    STATE(13851), 1,
      sym_identifier,
    STATE(14124), 1,
      sym__namespace_expression,
    STATE(12459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(661), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14762), 1,
      anon_sym_with,
    STATE(12460), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [566519] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8832), 1,
      sym__alpha_identifier,
    ACTIONS(8844), 1,
      sym__backquoted_id,
    ACTIONS(14765), 1,
      sym_operator_identifier,
    STATE(5352), 1,
      sym__soft_identifier,
    STATE(5391), 1,
      sym__type_identifier,
    STATE(5417), 1,
      sym_identifier,
    STATE(12461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566556] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14767), 1,
      anon_sym_STAR,
    STATE(12462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [566583] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14769), 1,
      sym__alpha_identifier,
    ACTIONS(14771), 1,
      anon_sym_LBRACE,
    ACTIONS(14773), 1,
      anon_sym_LBRACK,
    ACTIONS(14777), 1,
      sym__backquoted_id,
    STATE(6250), 1,
      sym_identifier,
    STATE(6314), 1,
      sym__soft_identifier,
    STATE(12463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14775), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566620] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      sym__alpha_identifier,
    ACTIONS(12300), 1,
      sym__backquoted_id,
    ACTIONS(14311), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      sym__soft_identifier,
    STATE(11580), 1,
      sym_identifier,
    STATE(14620), 1,
      sym__object_definition,
    STATE(12464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566657] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6536), 1,
      sym__alpha_identifier,
    ACTIONS(6550), 1,
      sym__backquoted_id,
    ACTIONS(14779), 1,
      sym_operator_identifier,
    STATE(6206), 1,
      sym__soft_identifier,
    STATE(7119), 1,
      sym_identifier,
    STATE(7147), 1,
      sym__type_identifier,
    STATE(12465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6546), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566694] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(14781), 1,
      sym_operator_identifier,
    STATE(4248), 1,
      sym__type_identifier,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(10466), 1,
      sym_identifier,
    STATE(12466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [566756] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(14313), 1,
      sym_operator_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11336), 1,
      sym_identifier,
    STATE(14282), 1,
      sym__object_definition,
    STATE(12468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566793] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [566818] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14604), 1,
      anon_sym_match,
    ACTIONS(14783), 1,
      sym_operator_identifier,
    STATE(4196), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566855] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14785), 1,
      anon_sym_LBRACK,
    STATE(7057), 1,
      sym_type_arguments,
    STATE(12471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [566884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14787), 1,
      anon_sym_DOT,
    STATE(12472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [566911] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [566936] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      sym__alpha_identifier,
    ACTIONS(12300), 1,
      sym__backquoted_id,
    ACTIONS(14311), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      sym__soft_identifier,
    STATE(11580), 1,
      sym_identifier,
    STATE(14639), 1,
      sym__object_definition,
    STATE(12474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [566973] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14785), 1,
      anon_sym_LBRACK,
    STATE(7057), 1,
      sym_type_arguments,
    STATE(12475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [567002] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14785), 1,
      anon_sym_LBRACK,
    ACTIONS(14789), 1,
      anon_sym_match,
    STATE(7057), 1,
      sym_type_arguments,
    STATE(12476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [567033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [567058] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4282), 1,
      sym__alpha_identifier,
    ACTIONS(4300), 1,
      sym__backquoted_id,
    ACTIONS(14791), 1,
      sym_operator_identifier,
    STATE(4713), 1,
      sym__soft_identifier,
    STATE(4978), 1,
      sym__type_identifier,
    STATE(4984), 1,
      sym_identifier,
    STATE(12478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4294), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567095] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14785), 1,
      anon_sym_LBRACK,
    STATE(7057), 1,
      sym_type_arguments,
    STATE(12479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [567124] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [567149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [567174] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(14793), 1,
      sym_operator_identifier,
    STATE(4485), 1,
      sym__soft_identifier,
    STATE(13783), 1,
      sym_identifier,
    STATE(13886), 1,
      sym__namespace_expression,
    STATE(12482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567211] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14174), 1,
      anon_sym_LBRACK,
    ACTIONS(14544), 1,
      anon_sym_match,
    STATE(6785), 1,
      sym_type_arguments,
    STATE(12483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [567242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [567267] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14785), 1,
      anon_sym_LBRACK,
    STATE(7057), 1,
      sym_type_arguments,
    STATE(12485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [567296] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14795), 1,
      anon_sym_DOT,
    STATE(12486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [567323] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14797), 1,
      anon_sym_match,
    ACTIONS(14799), 1,
      sym_operator_identifier,
    STATE(4201), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567360] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(14793), 1,
      sym_operator_identifier,
    STATE(4485), 1,
      sym__soft_identifier,
    STATE(13783), 1,
      sym_identifier,
    STATE(14095), 1,
      sym__namespace_expression,
    STATE(12488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567397] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14801), 1,
      anon_sym_match,
    ACTIONS(14803), 1,
      sym_operator_identifier,
    STATE(4195), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [567459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [567484] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [567509] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12223), 1,
      sym__alpha_identifier,
    ACTIONS(12231), 1,
      sym__backquoted_id,
    ACTIONS(14805), 1,
      sym_operator_identifier,
    STATE(12499), 1,
      sym__soft_identifier,
    STATE(12828), 1,
      sym__type_identifier,
    STATE(12867), 1,
      sym_identifier,
    STATE(12493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12227), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567546] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14194), 1,
      sym__alpha_identifier,
    ACTIONS(14202), 1,
      sym__backquoted_id,
    ACTIONS(14807), 1,
      anon_sym_LBRACE,
    ACTIONS(14809), 1,
      anon_sym_LBRACK,
    STATE(9334), 1,
      sym__soft_identifier,
    STATE(9524), 1,
      sym_identifier,
    STATE(12494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14200), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567583] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [567608] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14133), 1,
      anon_sym_catch,
    ACTIONS(14811), 1,
      anon_sym_finally,
    STATE(11959), 1,
      sym_finally_clause,
    STATE(13069), 1,
      sym_catch_clause,
    STATE(12496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [567641] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6452), 1,
      sym__alpha_identifier,
    ACTIONS(6462), 1,
      sym__backquoted_id,
    ACTIONS(14813), 1,
      sym_operator_identifier,
    STATE(6938), 1,
      sym__soft_identifier,
    STATE(7373), 1,
      sym__type_identifier,
    STATE(7464), 1,
      sym_identifier,
    STATE(12497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6458), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567678] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14652), 1,
      sym__alpha_identifier,
    ACTIONS(14660), 1,
      sym__backquoted_id,
    ACTIONS(14815), 1,
      anon_sym_LBRACE,
    ACTIONS(14817), 1,
      anon_sym_LBRACK,
    STATE(8976), 1,
      sym__soft_identifier,
    STATE(9055), 1,
      sym_identifier,
    STATE(12498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14658), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [567740] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14819), 1,
      sym__alpha_identifier,
    ACTIONS(14821), 1,
      anon_sym_LBRACE,
    ACTIONS(14823), 1,
      anon_sym_LBRACK,
    ACTIONS(14827), 1,
      sym__backquoted_id,
    STATE(8536), 1,
      sym__soft_identifier,
    STATE(8578), 1,
      sym_identifier,
    STATE(12500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14825), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567777] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14829), 1,
      sym__alpha_identifier,
    ACTIONS(14831), 1,
      anon_sym_LBRACE,
    ACTIONS(14833), 1,
      anon_sym_LBRACK,
    ACTIONS(14837), 1,
      sym__backquoted_id,
    STATE(9499), 1,
      sym_identifier,
    STATE(9571), 1,
      sym__soft_identifier,
    STATE(12501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14835), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567814] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14152), 1,
      anon_sym_match,
    ACTIONS(14839), 1,
      sym_operator_identifier,
    STATE(4194), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567851] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(14793), 1,
      sym_operator_identifier,
    STATE(4485), 1,
      sym__soft_identifier,
    STATE(13783), 1,
      sym_identifier,
    STATE(13884), 1,
      sym__namespace_expression,
    STATE(12503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [567913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [567938] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14841), 1,
      sym__alpha_identifier,
    ACTIONS(14843), 1,
      anon_sym_LBRACE,
    ACTIONS(14845), 1,
      anon_sym_LBRACK,
    ACTIONS(14849), 1,
      sym__backquoted_id,
    STATE(9330), 1,
      sym__soft_identifier,
    STATE(9712), 1,
      sym_identifier,
    STATE(12506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14847), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [567975] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14397), 1,
      sym__alpha_identifier,
    ACTIONS(14405), 1,
      sym__backquoted_id,
    ACTIONS(14851), 1,
      anon_sym_LBRACE,
    ACTIONS(14853), 1,
      anon_sym_LBRACK,
    STATE(8808), 1,
      sym__soft_identifier,
    STATE(8995), 1,
      sym_identifier,
    STATE(12507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14403), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568012] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12235), 1,
      sym__alpha_identifier,
    ACTIONS(12243), 1,
      sym__backquoted_id,
    ACTIONS(14855), 1,
      sym_operator_identifier,
    STATE(10970), 1,
      sym__soft_identifier,
    STATE(11243), 1,
      sym_identifier,
    STATE(11282), 1,
      sym__type_identifier,
    STATE(12508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12239), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568049] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12310), 1,
      sym__alpha_identifier,
    ACTIONS(12318), 1,
      sym__backquoted_id,
    ACTIONS(13571), 1,
      sym_operator_identifier,
    STATE(11083), 1,
      sym__soft_identifier,
    STATE(12504), 1,
      sym_identifier,
    STATE(13396), 1,
      sym__type_identifier,
    STATE(12509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568086] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14285), 1,
      anon_sym_match,
    ACTIONS(14857), 1,
      sym_operator_identifier,
    STATE(4210), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568123] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14859), 1,
      anon_sym_catch,
    ACTIONS(14861), 1,
      anon_sym_finally,
    STATE(12299), 1,
      sym_finally_clause,
    STATE(13257), 1,
      sym_catch_clause,
    STATE(12511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [568156] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14604), 1,
      anon_sym_match,
    ACTIONS(14863), 1,
      sym_operator_identifier,
    STATE(4190), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568193] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14865), 1,
      anon_sym_LPAREN,
    STATE(13083), 1,
      sym_arguments,
    STATE(12513), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [568222] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14868), 1,
      sym__alpha_identifier,
    ACTIONS(14870), 1,
      anon_sym_LBRACE,
    ACTIONS(14872), 1,
      anon_sym_LBRACK,
    ACTIONS(14876), 1,
      sym__backquoted_id,
    STATE(6846), 1,
      sym_identifier,
    STATE(6981), 1,
      sym__soft_identifier,
    STATE(12514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14874), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [568284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [568309] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12292), 1,
      sym__alpha_identifier,
    ACTIONS(12300), 1,
      sym__backquoted_id,
    ACTIONS(14311), 1,
      sym_operator_identifier,
    STATE(11162), 1,
      sym__soft_identifier,
    STATE(11580), 1,
      sym_identifier,
    STATE(14692), 1,
      sym__object_definition,
    STATE(12517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12296), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568346] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14337), 1,
      sym__alpha_identifier,
    ACTIONS(14345), 1,
      sym__backquoted_id,
    ACTIONS(14878), 1,
      anon_sym_LBRACE,
    ACTIONS(14880), 1,
      anon_sym_LBRACK,
    STATE(8207), 1,
      sym_identifier,
    STATE(8633), 1,
      sym__soft_identifier,
    STATE(12518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14343), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568383] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8856), 1,
      sym__alpha_identifier,
    ACTIONS(8864), 1,
      sym__backquoted_id,
    ACTIONS(14882), 1,
      sym_operator_identifier,
    STATE(6756), 1,
      sym__type_identifier,
    STATE(6769), 1,
      sym_identifier,
    STATE(7334), 1,
      sym__soft_identifier,
    STATE(12519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8860), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [568445] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6618), 1,
      sym__alpha_identifier,
    ACTIONS(6628), 1,
      sym__backquoted_id,
    ACTIONS(14884), 1,
      sym_operator_identifier,
    STATE(7078), 1,
      sym__soft_identifier,
    STATE(7486), 1,
      sym_identifier,
    STATE(7789), 1,
      sym__type_identifier,
    STATE(12521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6624), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [568507] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14275), 1,
      sym__alpha_identifier,
    ACTIONS(14283), 1,
      sym__backquoted_id,
    ACTIONS(14886), 1,
      anon_sym_LBRACE,
    ACTIONS(14888), 1,
      anon_sym_LBRACK,
    STATE(10846), 1,
      sym_identifier,
    STATE(10906), 1,
      sym__soft_identifier,
    STATE(12523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14281), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568544] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6490), 1,
      sym__alpha_identifier,
    ACTIONS(6504), 1,
      sym__backquoted_id,
    ACTIONS(14890), 1,
      sym_operator_identifier,
    STATE(4927), 1,
      sym__soft_identifier,
    STATE(5191), 1,
      sym_identifier,
    STATE(5239), 1,
      sym__type_identifier,
    STATE(12524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6500), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568581] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14801), 1,
      anon_sym_match,
    ACTIONS(14892), 1,
      sym_operator_identifier,
    STATE(4186), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568618] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12322), 1,
      sym__alpha_identifier,
    ACTIONS(12330), 1,
      sym__backquoted_id,
    ACTIONS(14894), 1,
      sym_operator_identifier,
    STATE(11341), 1,
      sym__soft_identifier,
    STATE(11496), 1,
      sym__type_identifier,
    STATE(11504), 1,
      sym_identifier,
    STATE(12526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12326), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568655] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14896), 1,
      anon_sym_catch,
    ACTIONS(14898), 1,
      anon_sym_finally,
    STATE(11476), 1,
      sym_finally_clause,
    STATE(12869), 1,
      sym_catch_clause,
    STATE(12527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [568688] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8746), 1,
      sym__alpha_identifier,
    ACTIONS(8754), 1,
      sym__backquoted_id,
    ACTIONS(14900), 1,
      sym_operator_identifier,
    STATE(8124), 1,
      sym__type_identifier,
    STATE(8327), 1,
      sym_identifier,
    STATE(8589), 1,
      sym__soft_identifier,
    STATE(12528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8750), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568725] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14785), 1,
      anon_sym_LBRACK,
    ACTIONS(14789), 1,
      anon_sym_match,
    STATE(7057), 1,
      sym_type_arguments,
    STATE(12529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [568756] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 12,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [568781] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6204), 1,
      sym__alpha_identifier,
    ACTIONS(6214), 1,
      sym__backquoted_id,
    ACTIONS(14902), 1,
      sym_operator_identifier,
    STATE(4614), 1,
      sym__soft_identifier,
    STATE(4776), 1,
      sym__type_identifier,
    STATE(4780), 1,
      sym_identifier,
    STATE(12531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6210), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [568843] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13113), 1,
      sym__alpha_identifier,
    ACTIONS(13121), 1,
      sym__backquoted_id,
    ACTIONS(14904), 1,
      sym_operator_identifier,
    STATE(13914), 1,
      sym__soft_identifier,
    STATE(14044), 1,
      sym_identifier,
    STATE(14728), 1,
      sym_simple_enum_case,
    STATE(12533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13119), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568880] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14285), 1,
      anon_sym_match,
    ACTIONS(14906), 1,
      sym_operator_identifier,
    STATE(4227), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568917] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14688), 1,
      anon_sym_match,
    ACTIONS(14908), 1,
      sym_operator_identifier,
    STATE(4193), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568954] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6898), 1,
      sym__alpha_identifier,
    ACTIONS(6916), 1,
      sym__backquoted_id,
    ACTIONS(14910), 1,
      anon_sym_LBRACE,
    ACTIONS(14912), 1,
      anon_sym_LBRACK,
    STATE(9671), 1,
      sym__soft_identifier,
    STATE(11108), 1,
      sym_identifier,
    STATE(12536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6908), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [568991] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14914), 1,
      anon_sym_with,
    STATE(12827), 1,
      aux_sym_compound_type_repeat1,
    STATE(14399), 1,
      sym__refinement,
    STATE(14403), 1,
      sym_template_body,
    STATE(14413), 1,
      sym_arguments,
    STATE(12537), 2,
      sym_comment,
      sym_block_comment,
    STATE(14360), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8152), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [569028] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14916), 1,
      anon_sym_LPAREN,
    STATE(13249), 1,
      sym_arguments,
    STATE(12538), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [569057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [569082] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(13784), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(10929), 1,
      sym_identifier,
    STATE(11092), 1,
      sym__type_identifier,
    STATE(12540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569119] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14829), 1,
      sym__alpha_identifier,
    ACTIONS(14837), 1,
      sym__backquoted_id,
    ACTIONS(14919), 1,
      anon_sym_LBRACE,
    ACTIONS(14921), 1,
      anon_sym_LBRACK,
    STATE(9377), 1,
      sym_identifier,
    STATE(9571), 1,
      sym__soft_identifier,
    STATE(12541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14835), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569156] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [569183] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4716), 1,
      sym__alpha_identifier,
    ACTIONS(4728), 1,
      sym__backquoted_id,
    ACTIONS(14923), 1,
      sym_operator_identifier,
    STATE(4384), 1,
      sym__soft_identifier,
    STATE(4521), 1,
      sym__type_identifier,
    STATE(4526), 1,
      sym_identifier,
    STATE(12543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4724), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569220] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [569247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [569272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [569297] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9207), 1,
      anon_sym_LPAREN,
    STATE(12513), 1,
      aux_sym_annotation_repeat1,
    STATE(13083), 1,
      sym_arguments,
    STATE(12547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [569328] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [569353] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14925), 1,
      anon_sym_match,
    ACTIONS(14927), 1,
      sym_operator_identifier,
    STATE(4226), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569390] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8648), 1,
      sym__alpha_identifier,
    ACTIONS(8660), 1,
      sym__backquoted_id,
    ACTIONS(14929), 1,
      sym_operator_identifier,
    STATE(9753), 1,
      sym_identifier,
    STATE(9788), 1,
      sym__type_identifier,
    STATE(10115), 1,
      sym__soft_identifier,
    STATE(12550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8656), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569427] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14841), 1,
      sym__alpha_identifier,
    ACTIONS(14849), 1,
      sym__backquoted_id,
    ACTIONS(14931), 1,
      anon_sym_LBRACE,
    ACTIONS(14933), 1,
      anon_sym_LBRACK,
    STATE(9330), 1,
      sym__soft_identifier,
    STATE(9506), 1,
      sym_identifier,
    STATE(12551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14847), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569464] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [569489] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14568), 1,
      sym__alpha_identifier,
    ACTIONS(14576), 1,
      sym__backquoted_id,
    ACTIONS(14935), 1,
      anon_sym_LBRACE,
    ACTIONS(14937), 1,
      anon_sym_LBRACK,
    STATE(8307), 1,
      sym_identifier,
    STATE(8505), 1,
      sym__soft_identifier,
    STATE(12553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14574), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569526] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14560), 1,
      anon_sym_match,
    ACTIONS(14939), 1,
      sym_operator_identifier,
    STATE(4192), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569563] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12208), 1,
      sym__alpha_identifier,
    ACTIONS(12216), 1,
      sym__backquoted_id,
    ACTIONS(14941), 1,
      sym_operator_identifier,
    STATE(12473), 1,
      sym__soft_identifier,
    STATE(12640), 1,
      sym__type_identifier,
    STATE(13015), 1,
      sym_identifier,
    STATE(12555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12212), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569600] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [569625] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14550), 1,
      sym__alpha_identifier,
    ACTIONS(14558), 1,
      sym__backquoted_id,
    ACTIONS(14943), 1,
      anon_sym_LBRACE,
    ACTIONS(14945), 1,
      anon_sym_LBRACK,
    STATE(8242), 1,
      sym_identifier,
    STATE(8318), 1,
      sym__soft_identifier,
    STATE(12557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14556), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569662] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [569687] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(14949), 1,
      sym__automatic_semicolon,
    STATE(12386), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(12559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14947), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [569722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [569747] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4936), 1,
      sym__alpha_identifier,
    ACTIONS(4960), 1,
      sym__backquoted_id,
    ACTIONS(14951), 1,
      sym_operator_identifier,
    STATE(5037), 1,
      sym__soft_identifier,
    STATE(5770), 1,
      sym_identifier,
    STATE(5944), 1,
      sym__type_identifier,
    STATE(12561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4946), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569784] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4680), 1,
      sym__alpha_identifier,
    ACTIONS(4698), 1,
      sym__backquoted_id,
    ACTIONS(14953), 1,
      sym_operator_identifier,
    STATE(5438), 1,
      sym__soft_identifier,
    STATE(5890), 1,
      sym__type_identifier,
    STATE(5914), 1,
      sym_identifier,
    STATE(12562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4692), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569821] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14955), 1,
      anon_sym_DOT,
    STATE(12563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [569848] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8474), 1,
      sym__alpha_identifier,
    ACTIONS(8482), 1,
      sym__backquoted_id,
    ACTIONS(14957), 1,
      sym_operator_identifier,
    STATE(5559), 1,
      sym_identifier,
    STATE(5574), 1,
      sym__type_identifier,
    STATE(5677), 1,
      sym__soft_identifier,
    STATE(12564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8478), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [569885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [569910] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10117), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_LBRACK,
    ACTIONS(14961), 1,
      anon_sym_POUND,
    STATE(13060), 1,
      aux_sym_annotation_repeat1,
    STATE(13407), 1,
      sym_type_arguments,
    STATE(13727), 1,
      sym_arguments,
    STATE(12566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [569947] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14668), 1,
      anon_sym_LBRACK,
    STATE(7196), 1,
      sym_type_arguments,
    STATE(12567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 10,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [569976] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14238), 1,
      anon_sym_match,
    ACTIONS(14963), 1,
      sym_operator_identifier,
    STATE(4197), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [570038] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [570065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [570090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [570115] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4804), 1,
      sym__alpha_identifier,
    ACTIONS(4822), 1,
      sym__backquoted_id,
    ACTIONS(14965), 1,
      sym_operator_identifier,
    STATE(4953), 1,
      sym__soft_identifier,
    STATE(5330), 1,
      sym_identifier,
    STATE(5335), 1,
      sym__type_identifier,
    STATE(12573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4816), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570152] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6818), 1,
      sym__alpha_identifier,
    ACTIONS(6832), 1,
      sym__backquoted_id,
    ACTIONS(14967), 1,
      sym_operator_identifier,
    STATE(8731), 1,
      sym__soft_identifier,
    STATE(9369), 1,
      sym_identifier,
    STATE(9382), 1,
      sym__type_identifier,
    STATE(12574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6828), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570189] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6312), 1,
      sym__alpha_identifier,
    ACTIONS(6326), 1,
      sym__backquoted_id,
    ACTIONS(14969), 1,
      sym_operator_identifier,
    STATE(5646), 1,
      sym__soft_identifier,
    STATE(6136), 1,
      sym_identifier,
    STATE(6147), 1,
      sym__type_identifier,
    STATE(12575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6322), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570226] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4840), 1,
      sym__alpha_identifier,
    ACTIONS(4852), 1,
      sym__backquoted_id,
    ACTIONS(14971), 1,
      sym_operator_identifier,
    STATE(4989), 1,
      sym__soft_identifier,
    STATE(5216), 1,
      sym__type_identifier,
    STATE(5400), 1,
      sym_identifier,
    STATE(12576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4848), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570263] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14769), 1,
      sym__alpha_identifier,
    ACTIONS(14777), 1,
      sym__backquoted_id,
    ACTIONS(14973), 1,
      anon_sym_LBRACE,
    ACTIONS(14975), 1,
      anon_sym_LBRACK,
    STATE(6314), 1,
      sym__soft_identifier,
    STATE(6610), 1,
      sym_identifier,
    STATE(12577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14775), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570300] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14582), 1,
      sym__alpha_identifier,
    ACTIONS(14590), 1,
      sym__backquoted_id,
    ACTIONS(14977), 1,
      anon_sym_LBRACE,
    ACTIONS(14979), 1,
      anon_sym_LBRACK,
    STATE(7402), 1,
      sym__soft_identifier,
    STATE(7537), 1,
      sym_identifier,
    STATE(12578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14588), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570337] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14604), 1,
      anon_sym_match,
    ACTIONS(14981), 1,
      sym_operator_identifier,
    STATE(4187), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570374] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14285), 1,
      anon_sym_match,
    ACTIONS(14983), 1,
      sym_operator_identifier,
    STATE(4235), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [570436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13332), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [570461] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [570486] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4454), 1,
      sym__alpha_identifier,
    ACTIONS(4472), 1,
      sym__backquoted_id,
    ACTIONS(14985), 1,
      sym_operator_identifier,
    STATE(5710), 1,
      sym__soft_identifier,
    STATE(6378), 1,
      sym_identifier,
    STATE(6394), 1,
      sym__type_identifier,
    STATE(12584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4466), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570523] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14174), 1,
      anon_sym_LBRACK,
    STATE(6785), 1,
      sym_type_arguments,
    STATE(12585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 10,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [570552] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6704), 1,
      sym__alpha_identifier,
    ACTIONS(6718), 1,
      sym__backquoted_id,
    ACTIONS(14987), 1,
      sym_operator_identifier,
    STATE(5777), 1,
      sym__soft_identifier,
    STATE(5992), 1,
      sym__type_identifier,
    STATE(6017), 1,
      sym_identifier,
    STATE(12586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6714), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [570614] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8726), 1,
      sym__alpha_identifier,
    ACTIONS(8738), 1,
      sym__backquoted_id,
    ACTIONS(14989), 1,
      sym_operator_identifier,
    STATE(4564), 1,
      sym__soft_identifier,
    STATE(4666), 1,
      sym__type_identifier,
    STATE(4732), 1,
      sym_identifier,
    STATE(12588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8734), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570651] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14538), 1,
      anon_sym_match,
    ACTIONS(14991), 1,
      sym_operator_identifier,
    STATE(4191), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570688] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [570713] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(13384), 1,
      anon_sym_COLON,
    ACTIONS(13388), 1,
      anon_sym_derives,
    ACTIONS(14993), 1,
      sym__automatic_semicolon,
    STATE(13302), 1,
      sym_derives_clause,
    STATE(14642), 1,
      sym_template_body,
    STATE(14679), 1,
      sym__definition_body,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13800), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [570754] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(13549), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(11100), 1,
      sym_identifier,
    STATE(11828), 1,
      sym__type_identifier,
    STATE(12592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570791] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12310), 1,
      sym__alpha_identifier,
    ACTIONS(12318), 1,
      sym__backquoted_id,
    ACTIONS(14638), 1,
      sym_operator_identifier,
    STATE(11083), 1,
      sym__soft_identifier,
    STATE(11870), 1,
      sym_identifier,
    STATE(13850), 1,
      sym__function_constructor,
    STATE(12593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12314), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570828] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6396), 1,
      sym__alpha_identifier,
    ACTIONS(6410), 1,
      sym__backquoted_id,
    ACTIONS(14996), 1,
      sym_operator_identifier,
    STATE(6274), 1,
      sym__soft_identifier,
    STATE(6732), 1,
      sym_identifier,
    STATE(6870), 1,
      sym__type_identifier,
    STATE(12594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6406), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570865] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4550), 1,
      sym__alpha_identifier,
    ACTIONS(4568), 1,
      sym__backquoted_id,
    ACTIONS(14998), 1,
      sym_operator_identifier,
    STATE(5032), 1,
      sym__soft_identifier,
    STATE(5852), 1,
      sym__type_identifier,
    STATE(5871), 1,
      sym_identifier,
    STATE(12595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4562), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570902] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(15000), 1,
      sym_operator_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11715), 1,
      sym__type_identifier,
    STATE(11743), 1,
      sym_identifier,
    STATE(12596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [570939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [570964] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(13429), 1,
      sym_operator_identifier,
    ACTIONS(14528), 1,
      anon_sym_match,
    STATE(4199), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571001] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4896), 1,
      sym__alpha_identifier,
    ACTIONS(4908), 1,
      sym__backquoted_id,
    ACTIONS(15002), 1,
      sym_operator_identifier,
    STATE(6026), 1,
      sym__soft_identifier,
    STATE(6908), 1,
      sym_identifier,
    STATE(7258), 1,
      sym__type_identifier,
    STATE(12599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4904), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 12,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [571063] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(15006), 1,
      sym__automatic_semicolon,
    STATE(12559), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(12601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15004), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [571098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571123] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(15010), 1,
      sym__automatic_semicolon,
    STATE(12386), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(12603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15008), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [571158] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6122), 1,
      sym__alpha_identifier,
    ACTIONS(6136), 1,
      sym__backquoted_id,
    ACTIONS(15012), 1,
      sym_operator_identifier,
    STATE(7778), 1,
      sym__soft_identifier,
    STATE(8147), 1,
      sym__type_identifier,
    STATE(8544), 1,
      sym_identifier,
    STATE(12604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6132), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571195] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8588), 1,
      sym__alpha_identifier,
    ACTIONS(8600), 1,
      sym__backquoted_id,
    ACTIONS(15014), 1,
      sym_operator_identifier,
    STATE(4814), 1,
      sym__type_identifier,
    STATE(4912), 1,
      sym__soft_identifier,
    STATE(4934), 1,
      sym_identifier,
    STATE(12605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8596), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571232] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13139), 1,
      sym__automatic_semicolon,
    STATE(12438), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(12606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13137), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [571265] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8512), 1,
      sym__alpha_identifier,
    ACTIONS(8524), 1,
      sym__backquoted_id,
    ACTIONS(15016), 1,
      sym_operator_identifier,
    STATE(4880), 1,
      sym__soft_identifier,
    STATE(4904), 1,
      sym__type_identifier,
    STATE(4957), 1,
      sym_identifier,
    STATE(12607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8520), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571302] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(15020), 1,
      sym__automatic_semicolon,
    STATE(12282), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(12608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15018), 8,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [571335] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14285), 1,
      anon_sym_match,
    ACTIONS(15023), 1,
      sym_operator_identifier,
    STATE(4184), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571372] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14819), 1,
      sym__alpha_identifier,
    ACTIONS(14827), 1,
      sym__backquoted_id,
    ACTIONS(15025), 1,
      anon_sym_LBRACE,
    ACTIONS(15027), 1,
      anon_sym_LBRACK,
    STATE(8146), 1,
      sym_identifier,
    STATE(8536), 1,
      sym__soft_identifier,
    STATE(12610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14825), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571409] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14454), 1,
      sym__alpha_identifier,
    ACTIONS(14462), 1,
      sym__backquoted_id,
    ACTIONS(15029), 1,
      anon_sym_LBRACE,
    ACTIONS(15031), 1,
      anon_sym_LBRACK,
    STATE(9826), 1,
      sym__soft_identifier,
    STATE(9844), 1,
      sym_identifier,
    STATE(12611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14460), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571446] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(13384), 1,
      anon_sym_COLON,
    ACTIONS(13388), 1,
      anon_sym_derives,
    STATE(13291), 1,
      sym_derives_clause,
    STATE(14642), 1,
      sym_template_body,
    STATE(14673), 1,
      sym__definition_body,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14018), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [571485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [571510] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15033), 1,
      anon_sym_end,
    STATE(7452), 1,
      sym__end_marker,
    STATE(12614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [571539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12615), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [571564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571589] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(14752), 1,
      sym_operator_identifier,
    STATE(5547), 1,
      sym__soft_identifier,
    STATE(13851), 1,
      sym_identifier,
    STATE(14275), 1,
      sym__namespace_expression,
    STATE(12617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(661), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571626] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9227), 1,
      anon_sym_LPAREN,
    STATE(12442), 1,
      aux_sym_annotation_repeat1,
    STATE(13045), 1,
      sym_arguments,
    STATE(12618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 12,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [571682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [571709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [571734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [571759] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12166), 1,
      sym__alpha_identifier,
    ACTIONS(12174), 1,
      sym__backquoted_id,
    ACTIONS(15035), 1,
      sym_operator_identifier,
    STATE(11933), 1,
      sym__soft_identifier,
    STATE(12210), 1,
      sym__type_identifier,
    STATE(12242), 1,
      sym_identifier,
    STATE(12623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12170), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571796] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14162), 1,
      anon_sym_match,
    ACTIONS(15037), 1,
      sym_operator_identifier,
    STATE(4208), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571833] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14859), 1,
      anon_sym_catch,
    ACTIONS(15039), 1,
      anon_sym_finally,
    STATE(11959), 1,
      sym_finally_clause,
    STATE(13167), 1,
      sym_catch_clause,
    STATE(12625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [571866] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11996), 1,
      sym__alpha_identifier,
    ACTIONS(12004), 1,
      sym__backquoted_id,
    ACTIONS(14313), 1,
      sym_operator_identifier,
    STATE(11086), 1,
      sym__soft_identifier,
    STATE(11336), 1,
      sym_identifier,
    STATE(14376), 1,
      sym__object_definition,
    STATE(12626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12000), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [571928] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4770), 1,
      sym__alpha_identifier,
    ACTIONS(4782), 1,
      sym__backquoted_id,
    ACTIONS(15041), 1,
      sym_operator_identifier,
    STATE(4578), 1,
      sym__soft_identifier,
    STATE(4772), 1,
      sym_identifier,
    STATE(4788), 1,
      sym__type_identifier,
    STATE(12628), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4778), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [571965] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8352), 1,
      sym__outdent,
    ACTIONS(8354), 1,
      anon_sym_case,
    STATE(12629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [571996] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14121), 1,
      sym__alpha_identifier,
    ACTIONS(14129), 1,
      sym__backquoted_id,
    ACTIONS(15043), 1,
      anon_sym_LBRACE,
    ACTIONS(15045), 1,
      anon_sym_LBRACK,
    STATE(7427), 1,
      sym_identifier,
    STATE(7514), 1,
      sym__soft_identifier,
    STATE(12630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14127), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572033] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14710), 1,
      sym__alpha_identifier,
    ACTIONS(14718), 1,
      sym__backquoted_id,
    ACTIONS(15047), 1,
      anon_sym_LBRACE,
    ACTIONS(15049), 1,
      anon_sym_LBRACK,
    STATE(8718), 1,
      sym__soft_identifier,
    STATE(9217), 1,
      sym_identifier,
    STATE(12631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572070] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6240), 1,
      sym__alpha_identifier,
    ACTIONS(6254), 1,
      sym__backquoted_id,
    ACTIONS(15051), 1,
      sym_operator_identifier,
    STATE(5046), 1,
      sym__soft_identifier,
    STATE(5922), 1,
      sym__type_identifier,
    STATE(5936), 1,
      sym_identifier,
    STATE(12632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(6250), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572107] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8680), 1,
      sym__alpha_identifier,
    ACTIONS(8688), 1,
      sym__backquoted_id,
    ACTIONS(15053), 1,
      sym_operator_identifier,
    STATE(7245), 1,
      sym__soft_identifier,
    STATE(7278), 1,
      sym__type_identifier,
    STATE(7315), 1,
      sym_identifier,
    STATE(12633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8684), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572144] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11078), 1,
      sym__alpha_identifier,
    ACTIONS(11098), 1,
      sym__backquoted_id,
    ACTIONS(14538), 1,
      anon_sym_match,
    ACTIONS(15055), 1,
      sym_operator_identifier,
    STATE(4228), 1,
      sym_identifier,
    STATE(9500), 1,
      sym__soft_identifier,
    STATE(12634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11088), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572181] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(12635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [572208] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14868), 1,
      sym__alpha_identifier,
    ACTIONS(14876), 1,
      sym__backquoted_id,
    ACTIONS(15057), 1,
      anon_sym_LBRACE,
    ACTIONS(15059), 1,
      anon_sym_LBRACK,
    STATE(6981), 1,
      sym__soft_identifier,
    STATE(7067), 1,
      sym_identifier,
    STATE(12636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14874), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572245] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13691), 1,
      anon_sym_LBRACK,
    ACTIONS(13695), 1,
      anon_sym_LPAREN,
    ACTIONS(13697), 1,
      anon_sym_POUND,
    STATE(13339), 1,
      aux_sym_annotation_repeat1,
    STATE(13535), 1,
      sym_type_arguments,
    STATE(13864), 1,
      sym_arguments,
    STATE(12637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
  [572282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [572307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 12,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [572332] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [572356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [572380] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15063), 1,
      anon_sym_LBRACK,
    ACTIONS(15065), 1,
      anon_sym_if,
    ACTIONS(15067), 1,
      anon_sym_match,
    STATE(7627), 1,
      sym_type_arguments,
    STATE(14052), 1,
      sym_guard,
    STATE(12642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15061), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [572414] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15069), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15870), 1,
      sym_identifier,
    STATE(12643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [572472] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15071), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16096), 1,
      sym_identifier,
    STATE(12645), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572506] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8266), 1,
      sym__backquoted_id,
    ACTIONS(8354), 1,
      anon_sym_EQ_GT,
    STATE(12646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8260), 9,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [572534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [572558] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15073), 1,
      anon_sym_LBRACK,
    STATE(7384), 1,
      sym_type_arguments,
    STATE(12648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [572586] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15075), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16102), 1,
      sym_identifier,
    STATE(12649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572620] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [572646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [572670] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [572694] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15073), 1,
      anon_sym_LBRACK,
    STATE(7384), 1,
      sym_type_arguments,
    STATE(12653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [572722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [572746] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8094), 1,
      anon_sym_object,
    ACTIONS(8098), 1,
      anon_sym_class,
    ACTIONS(8100), 1,
      anon_sym_trait,
    ACTIONS(8102), 1,
      anon_sym_val,
    ACTIONS(8104), 1,
      anon_sym_var,
    ACTIONS(8106), 1,
      anon_sym_type,
    ACTIONS(8108), 1,
      anon_sym_def,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(8146), 1,
      anon_sym_case,
    ACTIONS(8148), 1,
      anon_sym_given,
    STATE(17854), 1,
      sym_opaque_modifier,
    STATE(12655), 2,
      sym_comment,
      sym_block_comment,
  [572790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [572814] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [572838] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [572862] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14121), 1,
      sym__alpha_identifier,
    ACTIONS(14129), 1,
      sym__backquoted_id,
    ACTIONS(15077), 1,
      sym_operator_identifier,
    STATE(7416), 1,
      sym_identifier,
    STATE(7514), 1,
      sym__soft_identifier,
    STATE(12659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14127), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [572896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [572920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [572944] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [572970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [572994] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9), 1,
      sym__alpha_identifier,
    ACTIONS(83), 1,
      sym__backquoted_id,
    ACTIONS(15079), 1,
      sym_operator_identifier,
    STATE(4485), 1,
      sym__soft_identifier,
    STATE(13438), 1,
      sym_identifier,
    STATE(12664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573028] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15081), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15886), 1,
      sym_identifier,
    STATE(12665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573062] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(9723), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15961), 1,
      sym_identifier,
    STATE(12666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573120] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [573144] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(12909), 1,
      anon_sym_COLON,
    ACTIONS(15085), 1,
      sym__automatic_semicolon,
    STATE(14166), 1,
      sym__definition_body,
    STATE(14202), 1,
      sym_template_body,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15083), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [573180] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15088), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16087), 1,
      sym_identifier,
    STATE(12670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573214] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15073), 1,
      anon_sym_LBRACK,
    ACTIONS(15090), 1,
      anon_sym_match,
    STATE(7384), 1,
      sym_type_arguments,
    STATE(12671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [573244] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15073), 1,
      anon_sym_LBRACK,
    STATE(7384), 1,
      sym_type_arguments,
    STATE(12672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [573272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [573296] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13551), 1,
      sym_parameters,
    STATE(12674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15092), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [573326] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14317), 1,
      sym__alpha_identifier,
    ACTIONS(14325), 1,
      sym__backquoted_id,
    ACTIONS(15094), 1,
      sym_operator_identifier,
    STATE(6005), 1,
      sym_identifier,
    STATE(6099), 1,
      sym__soft_identifier,
    STATE(12675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14323), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573360] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15096), 1,
      anon_sym_catch,
    ACTIONS(15098), 1,
      anon_sym_finally,
    STATE(13506), 1,
      sym_catch_clause,
    STATE(13560), 1,
      sym_finally_clause,
    STATE(12676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [573392] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15100), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15943), 1,
      sym_identifier,
    STATE(12677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573426] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15102), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16465), 1,
      sym_identifier,
    STATE(12678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573460] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15104), 1,
      anon_sym_catch,
    ACTIONS(15106), 1,
      anon_sym_finally,
    STATE(12370), 1,
      sym_finally_clause,
    STATE(13568), 1,
      sym_catch_clause,
    STATE(12679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [573492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15108), 1,
      anon_sym_LPAREN,
    STATE(13405), 1,
      sym_arguments,
    STATE(12680), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [573520] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15111), 1,
      anon_sym_LPAREN,
    ACTIONS(15114), 1,
      sym__automatic_semicolon,
    STATE(13666), 1,
      sym__using_parameters_clause,
    STATE(13815), 1,
      sym_parameters,
    STATE(12681), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__function_constructor_repeat1,
    ACTIONS(14630), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [573552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12682), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [573576] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [573600] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14454), 1,
      sym__alpha_identifier,
    ACTIONS(14462), 1,
      sym__backquoted_id,
    ACTIONS(15117), 1,
      sym_operator_identifier,
    STATE(9826), 1,
      sym__soft_identifier,
    STATE(9871), 1,
      sym_identifier,
    STATE(12684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14460), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573634] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14868), 1,
      sym__alpha_identifier,
    ACTIONS(14876), 1,
      sym__backquoted_id,
    ACTIONS(15119), 1,
      sym_operator_identifier,
    STATE(6901), 1,
      sym_identifier,
    STATE(6981), 1,
      sym__soft_identifier,
    STATE(12685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14874), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [573692] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14769), 1,
      sym__alpha_identifier,
    ACTIONS(14777), 1,
      sym__backquoted_id,
    ACTIONS(15121), 1,
      sym_operator_identifier,
    STATE(6314), 1,
      sym__soft_identifier,
    STATE(6544), 1,
      sym_identifier,
    STATE(12687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14775), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [573750] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [573774] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15123), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16082), 1,
      sym_identifier,
    STATE(12690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [573832] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15125), 1,
      anon_sym_end,
    STATE(8422), 1,
      sym__end_marker,
    STATE(12692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [573860] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15104), 1,
      anon_sym_catch,
    ACTIONS(15127), 1,
      anon_sym_finally,
    STATE(12749), 1,
      sym_finally_clause,
    STATE(13549), 1,
      sym_catch_clause,
    STATE(12693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [573892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [573916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [573940] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15129), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15852), 1,
      sym_identifier,
    STATE(12696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [573974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12697), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [573998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12698), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [574022] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15131), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16089), 1,
      sym_identifier,
    STATE(12699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [574080] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [574104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [574128] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(12703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [574154] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [574178] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15133), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16078), 1,
      sym_identifier,
    STATE(12705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574212] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [574236] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [574260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [574284] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13551), 1,
      sym_parameters,
    STATE(12709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15135), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [574314] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13551), 1,
      sym_parameters,
    STATE(12710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15137), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [574344] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14652), 1,
      sym__alpha_identifier,
    ACTIONS(14660), 1,
      sym__backquoted_id,
    ACTIONS(15139), 1,
      sym_operator_identifier,
    STATE(8976), 1,
      sym__soft_identifier,
    STATE(9015), 1,
      sym_identifier,
    STATE(12711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14658), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574378] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8102), 1,
      anon_sym_val,
    ACTIONS(8104), 1,
      anon_sym_var,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(8114), 1,
      anon_sym_case,
    ACTIONS(8116), 1,
      anon_sym_object,
    ACTIONS(8118), 1,
      anon_sym_given,
    ACTIONS(8120), 1,
      anon_sym_class,
    ACTIONS(8122), 1,
      anon_sym_trait,
    ACTIONS(8124), 1,
      anon_sym_type,
    ACTIONS(8126), 1,
      anon_sym_def,
    STATE(17255), 1,
      sym_opaque_modifier,
    STATE(12712), 2,
      sym_comment,
      sym_block_comment,
  [574422] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15141), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16109), 1,
      sym_identifier,
    STATE(12713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574456] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12651), 1,
      anon_sym_LPAREN,
    ACTIONS(15143), 1,
      sym__automatic_semicolon,
    STATE(12803), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13606), 1,
      sym_class_parameters,
    STATE(12714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15018), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [574488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [574512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [574536] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [574560] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15146), 1,
      anon_sym_catch,
    ACTIONS(15148), 1,
      anon_sym_finally,
    STATE(12370), 1,
      sym_finally_clause,
    STATE(13528), 1,
      sym_catch_clause,
    STATE(12718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [574592] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12651), 1,
      anon_sym_LPAREN,
    ACTIONS(13491), 1,
      sym__automatic_semicolon,
    STATE(12881), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13606), 1,
      sym_class_parameters,
    STATE(12719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13137), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [574624] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15150), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16006), 1,
      sym_identifier,
    STATE(12720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574658] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13620), 1,
      anon_sym_LBRACK,
    ACTIONS(15154), 1,
      anon_sym_LT_COLON,
    ACTIONS(15156), 1,
      anon_sym_GT_COLON,
    STATE(13621), 1,
      sym_type_parameters,
    STATE(14005), 1,
      sym_lower_bound,
    STATE(14262), 1,
      sym_upper_bound,
    STATE(12721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15152), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [574694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [574720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14273), 1,
      anon_sym_finally,
    STATE(11520), 1,
      sym_finally_clause,
    STATE(12723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [574748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [574772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [574796] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15158), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16069), 1,
      sym_identifier,
    STATE(12726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [574854] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14568), 1,
      sym__alpha_identifier,
    ACTIONS(14576), 1,
      sym__backquoted_id,
    ACTIONS(15160), 1,
      sym_operator_identifier,
    STATE(8204), 1,
      sym_identifier,
    STATE(8505), 1,
      sym__soft_identifier,
    STATE(12728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14574), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [574888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [574912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [574936] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [574960] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13622), 1,
      anon_sym_LPAREN,
    ACTIONS(15162), 1,
      sym__automatic_semicolon,
    STATE(12963), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13666), 1,
      sym__using_parameters_clause,
    STATE(13815), 1,
      sym_parameters,
    STATE(12732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15004), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [574994] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13622), 1,
      anon_sym_LPAREN,
    ACTIONS(15164), 1,
      sym__automatic_semicolon,
    STATE(12681), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13666), 1,
      sym__using_parameters_clause,
    STATE(13815), 1,
      sym_parameters,
    STATE(12733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15008), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [575028] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12735), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [575078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [575102] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15166), 1,
      anon_sym_catch,
    ACTIONS(15168), 1,
      anon_sym_finally,
    STATE(12299), 1,
      sym_finally_clause,
    STATE(13370), 1,
      sym_catch_clause,
    STATE(12737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [575134] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15170), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16073), 1,
      sym_identifier,
    STATE(12738), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575168] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15172), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15871), 1,
      sym_identifier,
    STATE(12739), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575202] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575226] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15174), 1,
      anon_sym_LBRACK,
    STATE(7426), 1,
      sym_type_arguments,
    STATE(12741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [575254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [575278] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575302] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14841), 1,
      sym__alpha_identifier,
    ACTIONS(14849), 1,
      sym__backquoted_id,
    ACTIONS(15176), 1,
      sym_operator_identifier,
    STATE(9330), 1,
      sym__soft_identifier,
    STATE(9682), 1,
      sym_identifier,
    STATE(12744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14847), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575360] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15174), 1,
      anon_sym_LBRACK,
    STATE(7426), 1,
      sym_type_arguments,
    STATE(12746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [575388] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575412] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [575436] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [575460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [575484] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15178), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16062), 1,
      sym_identifier,
    STATE(12751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11203), 1,
      sym__backquoted_id,
    STATE(12752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11201), 10,
      anon_sym_EQ_GT,
      anon_sym_end,
      anon_sym_match,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
      sym__alpha_identifier,
      sym_operator_identifier,
  [575544] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14275), 1,
      sym__alpha_identifier,
    ACTIONS(14283), 1,
      sym__backquoted_id,
    ACTIONS(15180), 1,
      sym_operator_identifier,
    STATE(10753), 1,
      sym_identifier,
    STATE(10906), 1,
      sym__soft_identifier,
    STATE(12753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14281), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575578] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575602] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15063), 1,
      anon_sym_LBRACK,
    ACTIONS(15067), 1,
      anon_sym_match,
    STATE(7627), 1,
      sym_type_arguments,
    STATE(12755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [575632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [575656] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [575680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [575704] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [575728] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [575752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [575776] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15182), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16051), 1,
      sym_identifier,
    STATE(12762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575810] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15174), 1,
      anon_sym_LBRACK,
    STATE(7426), 1,
      sym_type_arguments,
    STATE(12763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [575838] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [575862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [575886] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15184), 1,
      anon_sym_catch,
    ACTIONS(15186), 1,
      anon_sym_finally,
    STATE(13216), 1,
      sym_catch_clause,
    STATE(13317), 1,
      sym_finally_clause,
    STATE(12766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [575918] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15188), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15900), 1,
      sym_identifier,
    STATE(12767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [575952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12768), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [575976] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [576000] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [576026] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [576050] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15190), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16127), 1,
      sym_identifier,
    STATE(12772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15063), 1,
      anon_sym_LBRACK,
    STATE(7627), 1,
      sym_type_arguments,
    STATE(12773), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [576112] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [576136] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15192), 1,
      anon_sym_STAR,
    STATE(12775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [576162] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [576186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [576210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [576234] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15194), 1,
      anon_sym_end,
    STATE(8352), 1,
      sym__end_marker,
    STATE(12779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [576262] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [576286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [576310] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15196), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16049), 1,
      sym_identifier,
    STATE(12782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576344] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [576368] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [576392] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15198), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16114), 1,
      sym_identifier,
    STATE(12785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [576450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [576474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [576498] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15200), 1,
      anon_sym_LBRACK,
    STATE(13503), 1,
      sym_access_qualifier,
    STATE(12789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10182), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [576526] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15202), 1,
      anon_sym_catch,
    ACTIONS(15204), 1,
      anon_sym_finally,
    STATE(12859), 1,
      sym_finally_clause,
    STATE(13295), 1,
      sym_catch_clause,
    STATE(12790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [576558] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15206), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16033), 1,
      sym_identifier,
    STATE(12791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576592] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15208), 1,
      anon_sym_catch,
    ACTIONS(15210), 1,
      anon_sym_finally,
    STATE(11476), 1,
      sym_finally_clause,
    STATE(13041), 1,
      sym_catch_clause,
    STATE(12792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [576624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [576648] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [576672] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15174), 1,
      anon_sym_LBRACK,
    ACTIONS(15212), 1,
      anon_sym_match,
    STATE(7426), 1,
      sym_type_arguments,
    STATE(12795), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [576702] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15214), 1,
      anon_sym_catch,
    ACTIONS(15216), 1,
      anon_sym_finally,
    STATE(11809), 1,
      sym_finally_clause,
    STATE(13248), 1,
      sym_catch_clause,
    STATE(12796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [576734] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14710), 1,
      sym__alpha_identifier,
    ACTIONS(14718), 1,
      sym__backquoted_id,
    ACTIONS(15218), 1,
      sym_operator_identifier,
    STATE(8718), 1,
      sym__soft_identifier,
    STATE(8854), 1,
      sym_identifier,
    STATE(12797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14716), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576768] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15220), 1,
      anon_sym_catch,
    ACTIONS(15222), 1,
      anon_sym_finally,
    STATE(13351), 1,
      sym_catch_clause,
    STATE(13387), 1,
      sym_finally_clause,
    STATE(12798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [576800] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [576824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [576848] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14819), 1,
      sym__alpha_identifier,
    ACTIONS(14827), 1,
      sym__backquoted_id,
    ACTIONS(15224), 1,
      sym_operator_identifier,
    STATE(8536), 1,
      sym__soft_identifier,
    STATE(8681), 1,
      sym_identifier,
    STATE(12801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14825), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576882] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15226), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16115), 1,
      sym_identifier,
    STATE(12802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [576916] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15228), 1,
      anon_sym_LPAREN,
    ACTIONS(15231), 1,
      sym__automatic_semicolon,
    STATE(13606), 1,
      sym_class_parameters,
    STATE(12803), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__class_constructor_repeat1,
    ACTIONS(14379), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [576946] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15073), 1,
      anon_sym_LBRACK,
    STATE(7384), 1,
      sym_type_arguments,
    STATE(12804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [576974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [576998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [577022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [577046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [577070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [577094] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15234), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15922), 1,
      sym_identifier,
    STATE(12810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577128] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [577152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [577176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [577200] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15236), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16121), 1,
      sym_identifier,
    STATE(12814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [577258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [577282] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12651), 1,
      anon_sym_LPAREN,
    ACTIONS(13488), 1,
      sym__automatic_semicolon,
    STATE(13021), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13606), 1,
      sym_class_parameters,
    STATE(12817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13270), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [577314] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [577338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15174), 1,
      anon_sym_LBRACK,
    STATE(7426), 1,
      sym_type_arguments,
    STATE(12819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [577366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [577390] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15238), 1,
      anon_sym_DOT,
    STATE(12821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [577416] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14222), 1,
      sym__alpha_identifier,
    ACTIONS(14230), 1,
      sym__backquoted_id,
    ACTIONS(15240), 1,
      sym_operator_identifier,
    STATE(5640), 1,
      sym_identifier,
    STATE(5902), 1,
      sym__soft_identifier,
    STATE(12822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14228), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577450] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15073), 1,
      anon_sym_LBRACK,
    ACTIONS(15090), 1,
      anon_sym_match,
    STATE(7384), 1,
      sym_type_arguments,
    STATE(12823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [577480] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [577504] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(13819), 1,
      sym_operator_identifier,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14586), 1,
      sym_identifier,
    STATE(12825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8056), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577538] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12651), 1,
      anon_sym_LPAREN,
    ACTIONS(15242), 1,
      sym__automatic_semicolon,
    STATE(12803), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13606), 1,
      sym_class_parameters,
    STATE(12826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14433), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [577570] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14914), 1,
      anon_sym_with,
    STATE(13918), 1,
      aux_sym_compound_type_repeat1,
    STATE(14403), 1,
      sym_template_body,
    STATE(14410), 1,
      sym__refinement,
    STATE(12827), 2,
      sym_comment,
      sym_block_comment,
    STATE(14360), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [577604] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [577628] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8102), 1,
      anon_sym_val,
    ACTIONS(8104), 1,
      anon_sym_var,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(8114), 1,
      anon_sym_case,
    ACTIONS(8116), 1,
      anon_sym_object,
    ACTIONS(8120), 1,
      anon_sym_class,
    ACTIONS(8122), 1,
      anon_sym_trait,
    ACTIONS(8140), 1,
      anon_sym_given,
    ACTIONS(8142), 1,
      anon_sym_type,
    ACTIONS(8144), 1,
      anon_sym_def,
    STATE(17108), 1,
      sym_opaque_modifier,
    STATE(12829), 2,
      sym_comment,
      sym_block_comment,
  [577672] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15245), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16015), 1,
      sym_identifier,
    STATE(12830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577706] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15247), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16133), 1,
      sym_identifier,
    STATE(12831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577740] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(15249), 1,
      anon_sym_case,
    ACTIONS(15251), 1,
      anon_sym_object,
    ACTIONS(15253), 1,
      anon_sym_given,
    ACTIONS(15255), 1,
      anon_sym_class,
    ACTIONS(15257), 1,
      anon_sym_trait,
    ACTIONS(15259), 1,
      anon_sym_val,
    ACTIONS(15261), 1,
      anon_sym_var,
    ACTIONS(15263), 1,
      anon_sym_type,
    ACTIONS(15265), 1,
      anon_sym_def,
    STATE(17815), 1,
      sym_opaque_modifier,
    STATE(12832), 2,
      sym_comment,
      sym_block_comment,
  [577784] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9677), 1,
      anon_sym_LPAREN,
    STATE(12835), 1,
      aux_sym_annotation_repeat1,
    STATE(13352), 1,
      sym_arguments,
    STATE(12833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [577814] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15267), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16055), 1,
      sym_identifier,
    STATE(12834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [577848] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15269), 1,
      anon_sym_LPAREN,
    STATE(13352), 1,
      sym_arguments,
    STATE(12835), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [577876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [577900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12758), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [577924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [577948] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13918), 1,
      aux_sym_compound_type_repeat1,
    STATE(14145), 1,
      sym_template_body,
    STATE(14153), 1,
      sym__refinement,
    STATE(12839), 2,
      sym_comment,
      sym_block_comment,
    STATE(14026), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    ACTIONS(8238), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [577980] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15272), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15940), 1,
      sym_identifier,
    STATE(12840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578014] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8094), 1,
      anon_sym_object,
    ACTIONS(8096), 1,
      anon_sym_given,
    ACTIONS(8098), 1,
      anon_sym_class,
    ACTIONS(8100), 1,
      anon_sym_trait,
    ACTIONS(8102), 1,
      anon_sym_val,
    ACTIONS(8104), 1,
      anon_sym_var,
    ACTIONS(8106), 1,
      anon_sym_type,
    ACTIONS(8108), 1,
      anon_sym_def,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(8146), 1,
      anon_sym_case,
    STATE(17854), 1,
      sym_opaque_modifier,
    STATE(12841), 2,
      sym_comment,
      sym_block_comment,
  [578058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13030), 1,
      sym_arguments,
    STATE(12842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578084] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(15274), 1,
      sym_operator_identifier,
    STATE(5885), 1,
      sym__soft_identifier,
    STATE(17078), 1,
      sym_identifier,
    STATE(12843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578118] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15276), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15999), 1,
      sym_identifier,
    STATE(12844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [578176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [578200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [578224] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8102), 1,
      anon_sym_val,
    ACTIONS(8104), 1,
      anon_sym_var,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(8114), 1,
      anon_sym_case,
    ACTIONS(8116), 1,
      anon_sym_object,
    ACTIONS(8120), 1,
      anon_sym_class,
    ACTIONS(8122), 1,
      anon_sym_trait,
    ACTIONS(8142), 1,
      anon_sym_type,
    ACTIONS(8144), 1,
      anon_sym_def,
    ACTIONS(8156), 1,
      anon_sym_given,
    STATE(17108), 1,
      sym_opaque_modifier,
    STATE(12848), 2,
      sym_comment,
      sym_block_comment,
  [578268] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15278), 1,
      anon_sym_catch,
    ACTIONS(15280), 1,
      anon_sym_finally,
    STATE(13153), 1,
      sym_catch_clause,
    STATE(13317), 1,
      sym_finally_clause,
    STATE(12849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [578300] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [578348] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578372] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12853), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [578396] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12854), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [578444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578468] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(9749), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15889), 1,
      sym_identifier,
    STATE(12857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578502] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(12909), 1,
      anon_sym_COLON,
    ACTIONS(15284), 1,
      sym__automatic_semicolon,
    STATE(14202), 1,
      sym_template_body,
    STATE(14319), 1,
      sym__definition_body,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15282), 4,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [578538] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [578562] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(15287), 1,
      sym_operator_identifier,
    STATE(5885), 1,
      sym__soft_identifier,
    STATE(17835), 1,
      sym_identifier,
    STATE(12860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578596] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15289), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15991), 1,
      sym_identifier,
    STATE(12861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578630] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12651), 1,
      anon_sym_LPAREN,
    ACTIONS(15291), 1,
      sym__automatic_semicolon,
    STATE(12803), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13606), 1,
      sym_class_parameters,
    STATE(12862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14745), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [578662] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12651), 1,
      anon_sym_LPAREN,
    ACTIONS(15294), 1,
      sym__automatic_semicolon,
    STATE(13018), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13606), 1,
      sym_class_parameters,
    STATE(12863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14740), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [578694] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(15259), 1,
      anon_sym_val,
    ACTIONS(15261), 1,
      anon_sym_var,
    ACTIONS(15297), 1,
      anon_sym_case,
    ACTIONS(15299), 1,
      anon_sym_object,
    ACTIONS(15301), 1,
      anon_sym_given,
    ACTIONS(15303), 1,
      anon_sym_class,
    ACTIONS(15305), 1,
      anon_sym_trait,
    ACTIONS(15307), 1,
      anon_sym_type,
    ACTIONS(15309), 1,
      anon_sym_def,
    STATE(17179), 1,
      sym_opaque_modifier,
    STATE(12864), 2,
      sym_comment,
      sym_block_comment,
  [578738] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [578764] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15313), 1,
      anon_sym_with,
    STATE(12866), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(15311), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [578814] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15316), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15974), 1,
      sym_identifier,
    STATE(12868), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [578848] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14898), 1,
      anon_sym_finally,
    STATE(11520), 1,
      sym_finally_clause,
    STATE(12869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_yield,
  [578876] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15320), 1,
      anon_sym_COMMA,
    STATE(12870), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(15318), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578902] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(15259), 1,
      anon_sym_val,
    ACTIONS(15261), 1,
      anon_sym_var,
    ACTIONS(15297), 1,
      anon_sym_case,
    ACTIONS(15299), 1,
      anon_sym_object,
    ACTIONS(15303), 1,
      anon_sym_class,
    ACTIONS(15305), 1,
      anon_sym_trait,
    ACTIONS(15307), 1,
      anon_sym_type,
    ACTIONS(15309), 1,
      anon_sym_def,
    ACTIONS(15323), 1,
      anon_sym_given,
    STATE(17179), 1,
      sym_opaque_modifier,
    STATE(12871), 2,
      sym_comment,
      sym_block_comment,
  [578946] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(12872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [578972] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [578996] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15174), 1,
      anon_sym_LBRACK,
    ACTIONS(15212), 1,
      anon_sym_match,
    STATE(7426), 1,
      sym_type_arguments,
    STATE(12874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [579026] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15325), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16021), 1,
      sym_identifier,
    STATE(12875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579060] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [579086] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14582), 1,
      sym__alpha_identifier,
    ACTIONS(14590), 1,
      sym__backquoted_id,
    ACTIONS(15327), 1,
      sym_operator_identifier,
    STATE(7402), 1,
      sym__soft_identifier,
    STATE(7453), 1,
      sym_identifier,
    STATE(12877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14588), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579120] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14829), 1,
      sym__alpha_identifier,
    ACTIONS(14837), 1,
      sym__backquoted_id,
    ACTIONS(15329), 1,
      sym_operator_identifier,
    STATE(9339), 1,
      sym_identifier,
    STATE(9571), 1,
      sym__soft_identifier,
    STATE(12878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14835), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579154] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15331), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16026), 1,
      sym_identifier,
    STATE(12879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [579212] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12651), 1,
      anon_sym_LPAREN,
    ACTIONS(15333), 1,
      sym__automatic_semicolon,
    STATE(12803), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13606), 1,
      sym_class_parameters,
    STATE(12881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14726), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [579244] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15146), 1,
      anon_sym_catch,
    ACTIONS(15336), 1,
      anon_sym_finally,
    STATE(12749), 1,
      sym_finally_clause,
    STATE(13553), 1,
      sym_catch_clause,
    STATE(12882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [579276] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(15338), 1,
      anon_sym_LT_COLON,
    ACTIONS(15340), 1,
      anon_sym_GT_COLON,
    STATE(13541), 1,
      sym_type_parameters,
    STATE(13847), 1,
      sym_lower_bound,
    STATE(14154), 1,
      sym_upper_bound,
    STATE(12883), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15152), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [579312] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15342), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15969), 1,
      sym_identifier,
    STATE(12884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579346] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15344), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15979), 1,
      sym_identifier,
    STATE(12885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579380] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15346), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16061), 1,
      sym_identifier,
    STATE(12886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12887), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579438] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(9078), 1,
      sym_operator_identifier,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14558), 1,
      sym_identifier,
    STATE(12888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8056), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [579496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12777), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579520] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14337), 1,
      sym__alpha_identifier,
    ACTIONS(14345), 1,
      sym__backquoted_id,
    ACTIONS(15348), 1,
      sym_operator_identifier,
    STATE(8455), 1,
      sym_identifier,
    STATE(8633), 1,
      sym__soft_identifier,
    STATE(12891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14343), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579554] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9420), 1,
      anon_sym_LPAREN,
    STATE(13000), 1,
      aux_sym_annotation_repeat1,
    STATE(13406), 1,
      sym_arguments,
    STATE(12892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [579584] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12779), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579608] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [579632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [579656] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9491), 1,
      anon_sym_LPAREN,
    STATE(12680), 1,
      aux_sym_annotation_repeat1,
    STATE(13405), 1,
      sym_arguments,
    STATE(12896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [579686] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14347), 1,
      sym__alpha_identifier,
    ACTIONS(14355), 1,
      sym__backquoted_id,
    ACTIONS(15350), 1,
      sym_operator_identifier,
    STATE(9803), 1,
      sym__soft_identifier,
    STATE(10016), 1,
      sym_identifier,
    STATE(12897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14353), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579720] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [579744] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14407), 1,
      sym__alpha_identifier,
    ACTIONS(14415), 1,
      sym__backquoted_id,
    ACTIONS(15352), 1,
      sym_operator_identifier,
    STATE(7076), 1,
      sym__soft_identifier,
    STATE(7081), 1,
      sym_identifier,
    STATE(12899), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14413), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579778] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [579802] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14550), 1,
      sym__alpha_identifier,
    ACTIONS(14558), 1,
      sym__backquoted_id,
    ACTIONS(15354), 1,
      sym_operator_identifier,
    STATE(8318), 1,
      sym__soft_identifier,
    STATE(8512), 1,
      sym_identifier,
    STATE(12901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14556), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [579836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15063), 1,
      anon_sym_LBRACK,
    STATE(7627), 1,
      sym_type_arguments,
    STATE(12902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [579864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15063), 1,
      anon_sym_LBRACK,
    STATE(7627), 1,
      sym_type_arguments,
    STATE(12903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [579892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [579916] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(12905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [579942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [579966] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15356), 1,
      anon_sym_catch,
    ACTIONS(15358), 1,
      anon_sym_finally,
    STATE(11809), 1,
      sym_finally_clause,
    STATE(13110), 1,
      sym_catch_clause,
    STATE(12907), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [579998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [580022] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(9761), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15860), 1,
      sym_identifier,
    STATE(12909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [580080] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(12909), 1,
      anon_sym_COLON,
    STATE(14202), 1,
      sym_template_body,
    STATE(14414), 1,
      sym__definition_body,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15360), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [580114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [580138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [580162] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [580186] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(9733), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16137), 1,
      sym_identifier,
    STATE(12915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580220] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [580244] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [580268] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13256), 1,
      sym__automatic_semicolon,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(13634), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13637), 1,
      sym_access_modifier,
    ACTIONS(12547), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12918), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13270), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [580304] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15362), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15954), 1,
      sym_identifier,
    STATE(12919), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580338] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15096), 1,
      anon_sym_catch,
    ACTIONS(15364), 1,
      anon_sym_finally,
    STATE(13442), 1,
      sym_catch_clause,
    STATE(13811), 1,
      sym_finally_clause,
    STATE(12920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [580370] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15366), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16001), 1,
      sym_identifier,
    STATE(12921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580404] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15063), 1,
      anon_sym_LBRACK,
    ACTIONS(15065), 1,
      anon_sym_if,
    ACTIONS(15067), 1,
      anon_sym_match,
    STATE(7627), 1,
      sym_type_arguments,
    STATE(14130), 1,
      sym_guard,
    STATE(12922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15368), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [580438] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14142), 1,
      sym__alpha_identifier,
    ACTIONS(14150), 1,
      sym__backquoted_id,
    ACTIONS(15370), 1,
      sym_operator_identifier,
    STATE(9365), 1,
      sym__soft_identifier,
    STATE(9721), 1,
      sym_identifier,
    STATE(12923), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14148), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [580496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [580520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [580544] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15372), 1,
      anon_sym_DOT,
    STATE(12927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [580570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [580594] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [580618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [580642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12931), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [580666] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14502), 1,
      sym__alpha_identifier,
    ACTIONS(14510), 1,
      sym__backquoted_id,
    ACTIONS(15374), 1,
      sym_operator_identifier,
    STATE(7660), 1,
      sym_identifier,
    STATE(7943), 1,
      sym__soft_identifier,
    STATE(12932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14508), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [580724] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14423), 1,
      sym__alpha_identifier,
    ACTIONS(14431), 1,
      sym__backquoted_id,
    ACTIONS(15376), 1,
      sym_operator_identifier,
    STATE(10219), 1,
      sym__soft_identifier,
    STATE(10356), 1,
      sym_identifier,
    STATE(12934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14429), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580758] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(15249), 1,
      anon_sym_case,
    ACTIONS(15251), 1,
      anon_sym_object,
    ACTIONS(15255), 1,
      anon_sym_class,
    ACTIONS(15257), 1,
      anon_sym_trait,
    ACTIONS(15259), 1,
      anon_sym_val,
    ACTIONS(15261), 1,
      anon_sym_var,
    ACTIONS(15263), 1,
      anon_sym_type,
    ACTIONS(15265), 1,
      anon_sym_def,
    ACTIONS(15378), 1,
      anon_sym_given,
    STATE(17815), 1,
      sym_opaque_modifier,
    STATE(12935), 2,
      sym_comment,
      sym_block_comment,
  [580802] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [580826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [580850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [580874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12939), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [580898] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [580922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15073), 1,
      anon_sym_LBRACK,
    STATE(7384), 1,
      sym_type_arguments,
    STATE(12941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [580950] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15380), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15931), 1,
      sym_identifier,
    STATE(12942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [580984] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15220), 1,
      anon_sym_catch,
    ACTIONS(15382), 1,
      anon_sym_finally,
    STATE(13137), 1,
      sym_finally_clause,
    STATE(13579), 1,
      sym_catch_clause,
    STATE(12943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [581016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [581040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15384), 1,
      anon_sym_DOT,
    STATE(12945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581066] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15166), 1,
      anon_sym_catch,
    ACTIONS(15386), 1,
      anon_sym_finally,
    STATE(11959), 1,
      sym_finally_clause,
    STATE(13411), 1,
      sym_catch_clause,
    STATE(12946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [581098] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15388), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16036), 1,
      sym_identifier,
    STATE(12947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581132] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8110), 1,
      anon_sym_opaque,
    ACTIONS(15259), 1,
      anon_sym_val,
    ACTIONS(15261), 1,
      anon_sym_var,
    ACTIONS(15297), 1,
      anon_sym_case,
    ACTIONS(15299), 1,
      anon_sym_object,
    ACTIONS(15303), 1,
      anon_sym_class,
    ACTIONS(15305), 1,
      anon_sym_trait,
    ACTIONS(15390), 1,
      anon_sym_given,
    ACTIONS(15392), 1,
      anon_sym_type,
    ACTIONS(15394), 1,
      anon_sym_def,
    STATE(16978), 1,
      sym_opaque_modifier,
    STATE(12948), 2,
      sym_comment,
      sym_block_comment,
  [581176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [581200] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15396), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15992), 1,
      sym_identifier,
    STATE(12950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581234] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [581258] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15398), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15948), 1,
      sym_identifier,
    STATE(12952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581292] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14397), 1,
      sym__alpha_identifier,
    ACTIONS(14405), 1,
      sym__backquoted_id,
    ACTIONS(15400), 1,
      sym_operator_identifier,
    STATE(8808), 1,
      sym__soft_identifier,
    STATE(9126), 1,
      sym_identifier,
    STATE(12953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14403), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [581350] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15402), 1,
      anon_sym_catch,
    ACTIONS(15404), 1,
      anon_sym_finally,
    STATE(13562), 1,
      sym_catch_clause,
    STATE(13811), 1,
      sym_finally_clause,
    STATE(12955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [581382] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12651), 1,
      anon_sym_LPAREN,
    ACTIONS(15406), 1,
      sym__automatic_semicolon,
    STATE(12826), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13606), 1,
      sym_class_parameters,
    STATE(12956), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14266), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [581414] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(473), 1,
      sym__alpha_identifier,
    ACTIONS(537), 1,
      sym__backquoted_id,
    ACTIONS(15409), 1,
      sym_operator_identifier,
    STATE(5547), 1,
      sym__soft_identifier,
    STATE(14093), 1,
      sym_identifier,
    STATE(12957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(661), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [581472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [581496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [581520] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(13222), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16840), 1,
      sym_identifier,
    STATE(12961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581554] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13551), 1,
      sym_parameters,
    STATE(12962), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15411), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [581584] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13622), 1,
      anon_sym_LPAREN,
    ACTIONS(15413), 1,
      sym__automatic_semicolon,
    STATE(12681), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13666), 1,
      sym__using_parameters_clause,
    STATE(13815), 1,
      sym_parameters,
    STATE(12963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14947), 6,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [581618] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13256), 1,
      sym__automatic_semicolon,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(13734), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13737), 1,
      sym_access_modifier,
    ACTIONS(12547), 2,
      anon_sym_private,
      anon_sym_protected,
    STATE(12964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13137), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [581654] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15415), 1,
      anon_sym_STAR,
    STATE(12965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [581680] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(12966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581706] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13332), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [581730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581754] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(830), 1,
      sym__alpha_identifier,
    ACTIONS(860), 1,
      sym__backquoted_id,
    ACTIONS(15417), 1,
      sym_operator_identifier,
    STATE(5885), 1,
      sym__soft_identifier,
    STATE(17591), 1,
      sym_identifier,
    STATE(12969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(840), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581788] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [581812] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14289), 1,
      sym__alpha_identifier,
    ACTIONS(14297), 1,
      sym__backquoted_id,
    ACTIONS(15419), 1,
      sym_operator_identifier,
    STATE(6780), 1,
      sym_identifier,
    STATE(7170), 1,
      sym__soft_identifier,
    STATE(12971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14295), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581846] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15421), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15938), 1,
      sym_identifier,
    STATE(12972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581880] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [581904] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(15069), 1,
      sym_operator_identifier,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14548), 1,
      sym_identifier,
    STATE(12974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8056), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [581938] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12975), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [581962] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [581986] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15423), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15927), 1,
      sym_identifier,
    STATE(12977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582020] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15425), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15970), 1,
      sym_identifier,
    STATE(12978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_catch,
      anon_sym_finally,
  [582078] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15063), 1,
      anon_sym_LBRACK,
    ACTIONS(15067), 1,
      anon_sym_match,
    STATE(7627), 1,
      sym_type_arguments,
    STATE(12980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [582108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13303), 1,
      sym_arguments,
    STATE(12981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582134] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15427), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15915), 1,
      sym_identifier,
    STATE(12982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582168] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    ACTIONS(15429), 1,
      sym_operator_identifier,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(14606), 1,
      sym_identifier,
    STATE(12983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8056), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582202] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15174), 1,
      anon_sym_LBRACK,
    STATE(7426), 1,
      sym_type_arguments,
    STATE(12984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 9,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [582230] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15063), 1,
      anon_sym_LBRACK,
    STATE(7627), 1,
      sym_type_arguments,
    STATE(12985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 9,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [582258] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [582282] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15402), 1,
      anon_sym_catch,
    ACTIONS(15431), 1,
      anon_sym_finally,
    STATE(13425), 1,
      sym_catch_clause,
    STATE(13560), 1,
      sym_finally_clause,
    STATE(12987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [582314] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [582338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [582362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [582386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [582410] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [582458] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [582482] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(12909), 1,
      anon_sym_COLON,
    STATE(14202), 1,
      sym_template_body,
    STATE(14327), 1,
      sym__definition_body,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(12995), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15433), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [582516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [582540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [582564] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15435), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15867), 1,
      sym_identifier,
    STATE(12998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582598] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15437), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16018), 1,
      sym_identifier,
    STATE(12999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15439), 1,
      anon_sym_LPAREN,
    STATE(13406), 1,
      sym_arguments,
    STATE(13000), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [582660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582684] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15442), 1,
      anon_sym_with,
    STATE(13002), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582734] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13760), 1,
      anon_sym_with,
    STATE(12866), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15445), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582762] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13758), 1,
      anon_sym_COMMA,
    STATE(12870), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15445), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_COLON,
      anon_sym_if,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_SEMI,
  [582814] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15447), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15879), 1,
      sym_identifier,
    STATE(13007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582848] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(10184), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(16023), 1,
      sym_identifier,
    STATE(13008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [582906] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15449), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15905), 1,
      sym_identifier,
    STATE(13010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [582940] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [582964] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [582988] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14212), 1,
      sym__alpha_identifier,
    ACTIONS(14220), 1,
      sym__backquoted_id,
    ACTIONS(15451), 1,
      sym_operator_identifier,
    STATE(8934), 1,
      sym__soft_identifier,
    STATE(9148), 1,
      sym_identifier,
    STATE(13013), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14218), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [583046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 11,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_finally,
  [583070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12713), 11,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583094] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9717), 1,
      sym__alpha_identifier,
    ACTIONS(9721), 1,
      sym__backquoted_id,
    ACTIONS(15453), 1,
      sym_operator_identifier,
    STATE(4060), 1,
      sym__soft_identifier,
    STATE(15897), 1,
      sym_identifier,
    STATE(13017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9719), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583128] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12651), 1,
      anon_sym_LPAREN,
    ACTIONS(15455), 1,
      sym__automatic_semicolon,
    STATE(12803), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13606), 1,
      sym_class_parameters,
    STATE(13018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14248), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [583160] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14194), 1,
      sym__alpha_identifier,
    ACTIONS(14202), 1,
      sym__backquoted_id,
    ACTIONS(15458), 1,
      sym_operator_identifier,
    STATE(9334), 1,
      sym__soft_identifier,
    STATE(9572), 1,
      sym_identifier,
    STATE(13019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14200), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583194] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12156), 1,
      sym__alpha_identifier,
    ACTIONS(12162), 1,
      sym__backquoted_id,
    ACTIONS(15079), 1,
      sym_operator_identifier,
    STATE(10055), 1,
      sym__soft_identifier,
    STATE(13438), 1,
      sym_identifier,
    STATE(13020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8044), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583228] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12651), 1,
      anon_sym_LPAREN,
    ACTIONS(15460), 1,
      sym__automatic_semicolon,
    STATE(12803), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13606), 1,
      sym_class_parameters,
    STATE(13021), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14257), 7,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_SEMI,
  [583260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15463), 1,
      anon_sym_end,
    STATE(8685), 1,
      sym__end_marker,
    STATE(13022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [583288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 11,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [583312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15465), 1,
      anon_sym_end,
    STATE(8149), 1,
      sym__end_marker,
    STATE(13024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [583340] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [583409] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15467), 1,
      anon_sym_LBRACK,
    STATE(8483), 1,
      sym_type_arguments,
    STATE(13029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [583459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13030), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [583505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13032), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583551] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8054), 1,
      sym__alpha_identifier,
    ACTIONS(8074), 1,
      sym__backquoted_id,
    STATE(14424), 1,
      sym__soft_identifier,
    STATE(15084), 1,
      sym_identifier,
    STATE(13034), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8056), 6,
      anon_sym_end,
      anon_sym_opaque,
      anon_sym_inline,
      anon_sym_infix,
      anon_sym_open,
      anon_sym_transparent,
  [583582] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [583605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(13037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [583653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13332), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [583676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13039), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [583699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13040), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [583722] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15210), 1,
      anon_sym_finally,
    STATE(11520), 1,
      sym_finally_clause,
    STATE(13041), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [583749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13042), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [583772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14470), 1,
      anon_sym_COMMA,
    STATE(13240), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13043), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15445), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583799] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [583824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [583847] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [583872] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [583895] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15469), 1,
      anon_sym_LBRACK,
    STATE(8304), 1,
      sym_type_arguments,
    STATE(13048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [583922] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15467), 1,
      anon_sym_LBRACK,
    ACTIONS(15471), 1,
      anon_sym_match,
    STATE(8483), 1,
      sym_type_arguments,
    STATE(13049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [583951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [583974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [583997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [584020] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15473), 1,
      anon_sym_STAR,
    STATE(13053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [584045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [584068] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14472), 1,
      anon_sym_with,
    STATE(13213), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15445), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584095] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15475), 1,
      anon_sym_catch,
    ACTIONS(15477), 1,
      anon_sym_finally,
    STATE(12749), 1,
      sym_finally_clause,
    STATE(13807), 1,
      sym_catch_clause,
    STATE(13056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [584126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [584172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [584195] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10117), 1,
      anon_sym_LPAREN,
    STATE(13097), 1,
      aux_sym_annotation_repeat1,
    STATE(13727), 1,
      sym_arguments,
    STATE(13060), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [584224] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [584247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584270] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12777), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [584316] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(13384), 1,
      anon_sym_COLON,
    ACTIONS(15479), 1,
      sym__automatic_semicolon,
    STATE(14642), 1,
      sym_template_body,
    STATE(14680), 1,
      sym__definition_body,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13065), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15282), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [584351] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15482), 1,
      anon_sym_LBRACK,
    STATE(8529), 1,
      sym_type_arguments,
    STATE(13066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [584378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [584401] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12779), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584424] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14811), 1,
      anon_sym_finally,
    STATE(11819), 1,
      sym_finally_clause,
    STATE(13069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [584451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13070), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [584474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [584497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [584520] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15484), 1,
      anon_sym_catch,
    ACTIONS(15486), 1,
      anon_sym_finally,
    STATE(13424), 1,
      sym_catch_clause,
    STATE(13580), 1,
      sym_finally_clause,
    STATE(13073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [584551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [584574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [584597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [584620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [584643] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [584668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [584691] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15482), 1,
      anon_sym_LBRACK,
    ACTIONS(15488), 1,
      anon_sym_match,
    STATE(8529), 1,
      sym_type_arguments,
    STATE(13080), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [584720] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [584743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [584766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13083), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [584789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [584812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [584835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13086), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [584858] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13087), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [584881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [584904] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [584927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13090), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [584950] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [584973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13092), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [584996] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [585019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13094), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [585065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13096), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [585088] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15490), 1,
      anon_sym_LPAREN,
    STATE(13727), 1,
      sym_arguments,
    STATE(13097), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [585115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13098), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12713), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13099), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585161] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15469), 1,
      anon_sym_LBRACK,
    STATE(8304), 1,
      sym_type_arguments,
    STATE(13100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [585188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15467), 1,
      anon_sym_LBRACK,
    STATE(8483), 1,
      sym_type_arguments,
    STATE(13101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [585215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13102), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [585238] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13103), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [585261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [585284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [585307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13106), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11119), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585330] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [585353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [585376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13109), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [585399] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15358), 1,
      anon_sym_finally,
    STATE(11877), 1,
      sym_finally_clause,
    STATE(13110), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
  [585426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13111), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [585449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13112), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [585495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [585518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15495), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [585564] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13117), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [585587] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15498), 1,
      anon_sym_catch,
    ACTIONS(15500), 1,
      anon_sym_finally,
    STATE(13354), 1,
      sym_catch_clause,
    STATE(13580), 1,
      sym_finally_clause,
    STATE(13118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [585618] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13119), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [585641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13120), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [585664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13121), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [585687] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15469), 1,
      anon_sym_LBRACK,
    ACTIONS(15502), 1,
      anon_sym_match,
    STATE(8304), 1,
      sym_type_arguments,
    STATE(13122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [585716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [585739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [585762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [585785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [585808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [585831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [585854] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13129), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [585877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [585900] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [585923] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15482), 1,
      anon_sym_LBRACK,
    STATE(8529), 1,
      sym_type_arguments,
    STATE(13132), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [585950] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15482), 1,
      anon_sym_LBRACK,
    STATE(8529), 1,
      sym_type_arguments,
    STATE(13133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [585977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586000] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [586023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [586046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13137), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13138), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [586092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [586138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13141), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15504), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586184] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13144), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11058), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13147), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [586322] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13149), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586345] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [586368] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586391] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13622), 1,
      anon_sym_LPAREN,
    STATE(13666), 1,
      sym__using_parameters_clause,
    STATE(13830), 1,
      sym_parameters,
    STATE(13152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15092), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [586420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15280), 1,
      anon_sym_finally,
    STATE(13140), 1,
      sym_finally_clause,
    STATE(13153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [586447] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13622), 1,
      anon_sym_LPAREN,
    STATE(13666), 1,
      sym__using_parameters_clause,
    STATE(13830), 1,
      sym_parameters,
    STATE(13154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15137), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [586476] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13155), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [586499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13156), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [586522] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13157), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 10,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [586545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13158), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [586568] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13622), 1,
      anon_sym_LPAREN,
    STATE(13666), 1,
      sym__using_parameters_clause,
    STATE(13830), 1,
      sym_parameters,
    STATE(13159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15135), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [586597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586620] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13161), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [586643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586666] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15506), 1,
      anon_sym_LBRACK,
    ACTIONS(15508), 1,
      anon_sym_LPAREN,
    ACTIONS(15510), 1,
      anon_sym_POUND,
    STATE(13936), 1,
      aux_sym_annotation_repeat1,
    STATE(13986), 1,
      sym_type_arguments,
    STATE(14313), 1,
      sym_arguments,
    STATE(13163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8130), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
  [586701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13164), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13165), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [586747] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [586772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15039), 1,
      anon_sym_finally,
    STATE(11819), 1,
      sym_finally_clause,
    STATE(13167), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [586799] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15512), 1,
      anon_sym_end,
    STATE(8889), 1,
      sym__end_marker,
    STATE(13168), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [586826] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(13384), 1,
      anon_sym_COLON,
    STATE(14642), 1,
      sym_template_body,
    STATE(14674), 1,
      sym__definition_body,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15433), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [586859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13170), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [586882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13171), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [586905] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15514), 1,
      anon_sym_end,
    STATE(9317), 1,
      sym__end_marker,
    STATE(13172), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [586932] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15516), 1,
      anon_sym_catch,
    ACTIONS(15518), 1,
      anon_sym_finally,
    STATE(11476), 1,
      sym_finally_clause,
    STATE(13482), 1,
      sym_catch_clause,
    STATE(13173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [586963] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15482), 1,
      anon_sym_LBRACK,
    STATE(8529), 1,
      sym_type_arguments,
    STATE(13174), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [586990] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [587036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13177), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [587059] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15520), 1,
      anon_sym_catch,
    ACTIONS(15522), 1,
      anon_sym_finally,
    STATE(13662), 1,
      sym_finally_clause,
    STATE(13671), 1,
      sym_catch_clause,
    STATE(13178), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [587090] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13622), 1,
      anon_sym_LPAREN,
    STATE(13666), 1,
      sym__using_parameters_clause,
    STATE(13830), 1,
      sym_parameters,
    STATE(13179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15411), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [587119] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15469), 1,
      anon_sym_LBRACK,
    STATE(8304), 1,
      sym_type_arguments,
    STATE(13180), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [587146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13181), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [587169] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [587194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [587217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [587240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [587263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(13186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [587288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15524), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587311] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9473), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10007), 8,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [587336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13189), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587359] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [587382] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(13191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [587407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [587453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13194), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [587476] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15482), 1,
      anon_sym_LBRACK,
    STATE(8529), 1,
      sym_type_arguments,
    STATE(13195), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [587503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [587526] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13197), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [587549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [587572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13199), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [587595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13200), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [587618] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15527), 1,
      anon_sym_DOT,
    STATE(13201), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [587643] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15467), 1,
      anon_sym_LBRACK,
    ACTIONS(15471), 1,
      anon_sym_match,
    STATE(8483), 1,
      sym_type_arguments,
    STATE(13202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [587672] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [587695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13204), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15529), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587718] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15531), 1,
      anon_sym_DOT,
    STATE(13205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [587743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13206), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [587766] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [587789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [587812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13209), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587835] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15482), 1,
      anon_sym_LBRACK,
    ACTIONS(15488), 1,
      anon_sym_match,
    STATE(8529), 1,
      sym_type_arguments,
    STATE(13210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [587864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15469), 1,
      anon_sym_LBRACK,
    STATE(8304), 1,
      sym_type_arguments,
    STATE(13211), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [587891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [587914] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15533), 1,
      anon_sym_with,
    STATE(13213), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(15311), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [587962] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15541), 1,
      anon_sym_SEMI,
    ACTIONS(15544), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13215), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 6,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [587991] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15186), 1,
      anon_sym_finally,
    STATE(13140), 1,
      sym_finally_clause,
    STATE(13216), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [588018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13217), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [588041] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15546), 1,
      anon_sym_catch,
    ACTIONS(15548), 1,
      anon_sym_finally,
    STATE(11809), 1,
      sym_finally_clause,
    STATE(13392), 1,
      sym_catch_clause,
    STATE(13218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [588072] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [588095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13220), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [588118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13221), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [588141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [588164] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15467), 1,
      anon_sym_LBRACK,
    STATE(8483), 1,
      sym_type_arguments,
    STATE(13223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [588191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13224), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15550), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [588214] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15552), 1,
      anon_sym_STAR,
    STATE(13225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [588239] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [588262] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15469), 1,
      anon_sym_LBRACK,
    STATE(8304), 1,
      sym_type_arguments,
    STATE(13227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [588289] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15556), 1,
      anon_sym_SEMI,
    ACTIONS(15559), 1,
      anon_sym_else,
    STATE(13228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [588316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [588339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13230), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [588362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [588385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [588408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13233), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [588431] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15561), 1,
      anon_sym_SEMI,
    ACTIONS(15564), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13234), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [588460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15567), 1,
      anon_sym_SEMI,
    ACTIONS(15570), 1,
      anon_sym_else,
    STATE(13235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [588487] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15573), 1,
      anon_sym_end,
    STATE(8758), 1,
      sym__end_marker,
    STATE(13236), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [588514] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15575), 1,
      anon_sym_LBRACK,
    STATE(8579), 1,
      sym_type_arguments,
    STATE(13237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [588541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [588564] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15575), 1,
      anon_sym_LBRACK,
    STATE(8579), 1,
      sym_type_arguments,
    STATE(13239), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [588591] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15577), 1,
      anon_sym_COMMA,
    STATE(13240), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(15318), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [588616] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15580), 1,
      anon_sym_STAR,
    STATE(13241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [588641] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15575), 1,
      anon_sym_LBRACK,
    STATE(8579), 1,
      sym_type_arguments,
    STATE(13242), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [588668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12758), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [588691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [588714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13245), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [588737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [588760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_finally,
  [588783] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15216), 1,
      anon_sym_finally,
    STATE(11877), 1,
      sym_finally_clause,
    STATE(13248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_do,
      anon_sym_yield,
  [588810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13249), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [588833] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11851), 1,
      anon_sym_LPAREN,
    STATE(4417), 1,
      sym_arguments,
    STATE(13250), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [588860] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15506), 1,
      anon_sym_LBRACK,
    ACTIONS(15510), 1,
      anon_sym_POUND,
    ACTIONS(15582), 1,
      anon_sym_AT,
    STATE(13986), 1,
      sym_type_arguments,
    STATE(14001), 1,
      aux_sym_enum_definition_repeat1,
    STATE(14311), 1,
      sym_annotation,
    STATE(13251), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [588895] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15475), 1,
      anon_sym_catch,
    ACTIONS(15584), 1,
      anon_sym_finally,
    STATE(12370), 1,
      sym_finally_clause,
    STATE(13820), 1,
      sym_catch_clause,
    STATE(13252), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [588926] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13253), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [588949] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15586), 1,
      anon_sym_catch,
    ACTIONS(15588), 1,
      anon_sym_finally,
    STATE(13668), 1,
      sym_catch_clause,
    STATE(13976), 1,
      sym_finally_clause,
    STATE(13254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [588980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_else,
  [589003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [589026] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14861), 1,
      anon_sym_finally,
    STATE(12638), 1,
      sym_finally_clause,
    STATE(13257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [589053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13258), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [589076] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(13259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [589124] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15590), 1,
      anon_sym_SEMI,
    ACTIONS(15593), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 6,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [589153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589199] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14135), 1,
      anon_sym_finally,
    STATE(12638), 1,
      sym_finally_clause,
    STATE(13264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      anon_sym_yield,
  [589226] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12629), 1,
      anon_sym_LPAREN,
    STATE(13753), 1,
      sym_arguments,
    STATE(13265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15596), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [589253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13266), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589276] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15598), 1,
      anon_sym_SEMI,
    ACTIONS(15601), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13267), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [589305] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15603), 1,
      anon_sym_SEMI,
    ACTIONS(15606), 1,
      anon_sym_else,
    STATE(13268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 8,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_catch,
      anon_sym_finally,
  [589332] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15520), 1,
      anon_sym_catch,
    ACTIONS(15608), 1,
      anon_sym_finally,
    STATE(13672), 1,
      sym_catch_clause,
    STATE(13976), 1,
      sym_finally_clause,
    STATE(13269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [589363] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15575), 1,
      anon_sym_LBRACK,
    ACTIONS(15610), 1,
      anon_sym_match,
    STATE(8579), 1,
      sym_type_arguments,
    STATE(13270), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [589392] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13271), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [589415] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9800), 1,
      anon_sym_LPAREN,
    STATE(4417), 1,
      sym_arguments,
    STATE(13250), 1,
      aux_sym_annotation_repeat1,
    STATE(13272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [589444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13273), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 10,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [589467] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7320), 1,
      anon_sym_LBRACK,
    ACTIONS(15612), 1,
      anon_sym_LT_COLON,
    ACTIONS(15614), 1,
      anon_sym_GT_COLON,
    STATE(13764), 1,
      sym_type_parameters,
    STATE(14151), 1,
      sym_lower_bound,
    STATE(14154), 1,
      sym_upper_bound,
    STATE(13274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15152), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [589502] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15616), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15618), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15620), 1,
      anon_sym_SEMI,
    ACTIONS(15623), 1,
      anon_sym_else,
    STATE(13277), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 8,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [589575] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15626), 1,
      anon_sym_catch,
    ACTIONS(15628), 1,
      anon_sym_finally,
    STATE(12299), 1,
      sym_finally_clause,
    STATE(13786), 1,
      sym_catch_clause,
    STATE(13278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [589606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13279), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15630), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589629] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(13280), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [589654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13281), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [589677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [589700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13283), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589723] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15469), 1,
      anon_sym_LBRACK,
    ACTIONS(15502), 1,
      anon_sym_match,
    STATE(8304), 1,
      sym_type_arguments,
    STATE(13284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [589752] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13285), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [589775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13286), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589798] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [589821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13288), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15632), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589844] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13289), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [589867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15635), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [589890] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(13384), 1,
      anon_sym_COLON,
    STATE(14642), 1,
      sym_template_body,
    STATE(14701), 1,
      sym__definition_body,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15360), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [589923] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [589948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13293), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [589971] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15575), 1,
      anon_sym_LBRACK,
    STATE(8579), 1,
      sym_type_arguments,
    STATE(13294), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [589998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15204), 1,
      anon_sym_finally,
    STATE(12745), 1,
      sym_finally_clause,
    STATE(13295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_catch,
  [590025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15637), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590048] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [590071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [590094] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [590117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15639), 1,
      anon_sym_STAR,
    STATE(13300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [590142] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13301), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15641), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590165] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(13384), 1,
      anon_sym_COLON,
    ACTIONS(15644), 1,
      sym__automatic_semicolon,
    STATE(14642), 1,
      sym_template_body,
    STATE(14703), 1,
      sym__definition_body,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15083), 3,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [590200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13303), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590223] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15575), 1,
      anon_sym_LBRACK,
    ACTIONS(15610), 1,
      anon_sym_match,
    STATE(8579), 1,
      sym_type_arguments,
    STATE(13304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [590252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13426), 1,
      sym_arguments,
    STATE(13305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590277] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    ACTIONS(13320), 1,
      anon_sym_LT_COLON,
    ACTIONS(13324), 1,
      anon_sym_LT_PERCENT,
    STATE(13735), 1,
      aux_sym__type_parameter_repeat1,
    STATE(13738), 1,
      sym_upper_bound,
    STATE(14233), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14519), 1,
      sym_view_bound,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(15647), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13306), 2,
      sym_comment,
      sym_block_comment,
  [590316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [590362] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13310), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13332), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [590408] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15586), 1,
      anon_sym_catch,
    ACTIONS(15649), 1,
      anon_sym_finally,
    STATE(13662), 1,
      sym_finally_clause,
    STATE(13743), 1,
      sym_catch_clause,
    STATE(13311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [590439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13312), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 10,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [590462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15651), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590485] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15626), 1,
      anon_sym_catch,
    ACTIONS(15654), 1,
      anon_sym_finally,
    STATE(11959), 1,
      sym_finally_clause,
    STATE(13663), 1,
      sym_catch_clause,
    STATE(13314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [590516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13315), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590539] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    ACTIONS(13320), 1,
      anon_sym_LT_COLON,
    ACTIONS(13324), 1,
      anon_sym_LT_PERCENT,
    STATE(13655), 1,
      aux_sym__type_parameter_repeat1,
    STATE(13665), 1,
      sym_upper_bound,
    STATE(14406), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14519), 1,
      sym_view_bound,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(15656), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13316), 2,
      sym_comment,
      sym_block_comment,
  [590578] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 10,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [590601] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15467), 1,
      anon_sym_LBRACK,
    STATE(8483), 1,
      sym_type_arguments,
    STATE(13318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [590628] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15467), 1,
      anon_sym_LBRACK,
    STATE(8483), 1,
      sym_type_arguments,
    STATE(13319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 8,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [590655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14379), 10,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13321), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [590700] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13322), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [590722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [590744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15658), 1,
      anon_sym_with,
    STATE(13324), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590790] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13693), 1,
      anon_sym_AT,
    STATE(13452), 1,
      aux_sym_enum_definition_repeat1,
    STATE(13880), 1,
      sym_annotation,
    STATE(13326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [590818] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [590862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13329), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [590884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15661), 1,
      anon_sym_SEMI,
    ACTIONS(15664), 1,
      anon_sym_else,
    STATE(13330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [590910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13331), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [590932] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [590954] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [590976] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15667), 1,
      anon_sym_catch,
    ACTIONS(15669), 1,
      anon_sym_finally,
    STATE(12859), 1,
      sym_finally_clause,
    STATE(13751), 1,
      sym_catch_clause,
    STATE(13334), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [591006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13335), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591028] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15671), 1,
      anon_sym_LBRACK,
    STATE(9010), 1,
      sym_type_arguments,
    STATE(13336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [591054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [591098] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13695), 1,
      anon_sym_LPAREN,
    STATE(13628), 1,
      aux_sym_annotation_repeat1,
    STATE(13864), 1,
      sym_arguments,
    STATE(13339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
  [591126] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13340), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [591150] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15675), 1,
      anon_sym_COMMA,
    STATE(13341), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15673), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [591174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591218] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13344), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [591240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13345), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [591262] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [591284] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [591308] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13348), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [591330] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15671), 1,
      anon_sym_LBRACK,
    STATE(9010), 1,
      sym_type_arguments,
    STATE(13349), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [591356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13350), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591378] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15222), 1,
      anon_sym_finally,
    STATE(13359), 1,
      sym_finally_clause,
    STATE(13351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [591404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13352), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [591426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13353), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11058), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591448] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15500), 1,
      anon_sym_finally,
    STATE(13593), 1,
      sym_finally_clause,
    STATE(13354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [591474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13355), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [591496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [591518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13357), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12760), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591540] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15678), 1,
      anon_sym_SEMI,
    ACTIONS(15681), 1,
      anon_sym_else,
    STATE(13358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [591566] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591610] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15065), 1,
      anon_sym_if,
    STATE(13615), 1,
      aux_sym_enumerator_repeat1,
    STATE(13842), 1,
      sym_guard,
    STATE(13361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15684), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [591638] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15686), 1,
      anon_sym_LBRACK,
    STATE(9064), 1,
      sym_type_arguments,
    STATE(13362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [591664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13363), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [591686] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13364), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12697), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15686), 1,
      anon_sym_LBRACK,
    STATE(9064), 1,
      sym_type_arguments,
    STATE(13365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [591734] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15688), 1,
      anon_sym_SEMI,
    ACTIONS(15691), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13366), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
  [591762] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15694), 1,
      anon_sym_LBRACK,
    ACTIONS(15696), 1,
      anon_sym_match,
    STATE(8881), 1,
      sym_type_arguments,
    STATE(13367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [591790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591812] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13369), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591834] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15168), 1,
      anon_sym_finally,
    STATE(12638), 1,
      sym_finally_clause,
    STATE(13370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [591860] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [591882] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(13372), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [591906] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13373), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15698), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [591950] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15524), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591972] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15529), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [591994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [592016] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15700), 1,
      anon_sym_SEMI,
    ACTIONS(15703), 1,
      anon_sym_else,
    STATE(13378), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [592042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [592064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [592088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13381), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [592110] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7316), 1,
      anon_sym_LBRACE,
    ACTIONS(12897), 1,
      anon_sym_COLON,
    STATE(14316), 1,
      aux_sym_compound_type_repeat1,
    STATE(15899), 1,
      sym__refinement,
    STATE(15972), 1,
      sym_template_body,
    ACTIONS(8238), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(13382), 2,
      sym_comment,
      sym_block_comment,
    STATE(16038), 2,
      sym__indented_template_body,
      sym__braced_template_body,
  [592144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [592166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [592188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [592210] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15705), 1,
      anon_sym_catch,
    ACTIONS(15707), 1,
      anon_sym_finally,
    STATE(13522), 1,
      sym_finally_clause,
    STATE(13733), 1,
      sym_catch_clause,
    STATE(13386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [592240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13387), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [592262] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13388), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13389), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [592306] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15671), 1,
      anon_sym_LBRACK,
    STATE(9010), 1,
      sym_type_arguments,
    STATE(13390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15709), 1,
      anon_sym_DOT,
    STATE(13391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [592356] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15548), 1,
      anon_sym_finally,
    STATE(11877), 1,
      sym_finally_clause,
    STATE(13392), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [592382] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15694), 1,
      anon_sym_LBRACK,
    STATE(8881), 1,
      sym_type_arguments,
    STATE(13393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [592408] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15671), 1,
      anon_sym_LBRACK,
    STATE(9010), 1,
      sym_type_arguments,
    STATE(13394), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [592456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13396), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [592478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12670), 1,
      anon_sym_LPAREN,
    STATE(13937), 1,
      sym_arguments,
    STATE(13398), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15596), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [592526] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [592548] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15641), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [592592] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13402), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [592614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15630), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13404), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12781), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13405), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_finally,
  [592680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13406), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [592724] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15711), 1,
      anon_sym_with,
    STATE(13408), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 7,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592748] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15671), 1,
      anon_sym_LBRACK,
    STATE(9010), 1,
      sym_type_arguments,
    STATE(13409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [592774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12764), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15386), 1,
      anon_sym_finally,
    STATE(11819), 1,
      sym_finally_clause,
    STATE(13411), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [592822] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [592844] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592866] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15714), 1,
      anon_sym_SEMI,
    ACTIONS(15717), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [592894] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15720), 1,
      anon_sym_LBRACK,
    STATE(9253), 1,
      sym_type_arguments,
    STATE(13415), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [592920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13416), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15495), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15651), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [592964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15722), 1,
      anon_sym_SEMI,
    ACTIONS(15725), 1,
      anon_sym_else,
    STATE(13418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [592990] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [593012] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15728), 1,
      anon_sym_end,
    STATE(9367), 1,
      sym__end_marker,
    STATE(13420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [593038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13421), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15616), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593060] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13422), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15618), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593082] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13423), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [593104] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15486), 1,
      anon_sym_finally,
    STATE(13593), 1,
      sym_finally_clause,
    STATE(13424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [593130] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15431), 1,
      anon_sym_finally,
    STATE(13443), 1,
      sym_finally_clause,
    STATE(13425), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [593156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13426), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13427), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [593200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [593222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13429), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15550), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593244] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15720), 1,
      anon_sym_LBRACK,
    ACTIONS(15730), 1,
      anon_sym_match,
    STATE(9253), 1,
      sym_type_arguments,
    STATE(13430), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [593272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13431), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [593294] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13432), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13433), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [593338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13434), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14379), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593360] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15732), 1,
      anon_sym_SEMI,
    ACTIONS(15735), 1,
      anon_sym_else,
    STATE(13435), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [593386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13436), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [593408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13437), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12699), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13438), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15738), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [593452] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13439), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [593474] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15475), 1,
      anon_sym_catch,
    ACTIONS(15740), 1,
      anon_sym_finally,
    STATE(12749), 1,
      sym_finally_clause,
    STATE(13839), 1,
      sym_catch_clause,
    STATE(13440), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [593504] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15720), 1,
      anon_sym_LBRACK,
    ACTIONS(15730), 1,
      anon_sym_match,
    STATE(9253), 1,
      sym_type_arguments,
    STATE(13441), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [593532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15364), 1,
      anon_sym_finally,
    STATE(13816), 1,
      sym_finally_clause,
    STATE(13442), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [593558] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13443), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [593580] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13444), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [593602] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15742), 1,
      anon_sym_SEMI,
    ACTIONS(15745), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13445), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_catch,
      anon_sym_finally,
  [593630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13446), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [593652] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15747), 1,
      anon_sym_SEMI,
    ACTIONS(15750), 1,
      anon_sym_else,
    STATE(13447), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [593678] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15752), 1,
      anon_sym_STAR,
    STATE(13448), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [593702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13449), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [593724] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    STATE(13450), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [593748] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15694), 1,
      anon_sym_LBRACK,
    ACTIONS(15696), 1,
      anon_sym_match,
    STATE(8881), 1,
      sym_type_arguments,
    STATE(13451), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [593776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15754), 1,
      anon_sym_AT,
    STATE(13880), 1,
      sym_annotation,
    STATE(13452), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [593802] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15757), 1,
      anon_sym_SEMI,
    ACTIONS(15760), 1,
      anon_sym_else,
    STATE(13453), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_finally,
  [593828] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13454), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [593850] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13455), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [593874] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [593896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13457), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [593918] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15762), 1,
      anon_sym_SEMI,
    ACTIONS(15765), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13458), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_finally,
  [593946] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13459), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [593968] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13460), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [593990] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13461), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [594012] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13462), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [594036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13463), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [594058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13464), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [594080] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13465), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [594104] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13466), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [594126] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13467), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [594148] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13404), 1,
      anon_sym_match,
    ACTIONS(15686), 1,
      anon_sym_LBRACK,
    STATE(9064), 1,
      sym_type_arguments,
    STATE(13468), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [594176] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(13469), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [594200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13470), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [594222] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15767), 1,
      anon_sym_SEMI,
    ACTIONS(15770), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13471), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 5,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [594250] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13472), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11959), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [594272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15774), 1,
      anon_sym_COMMA,
    STATE(13569), 1,
      aux_sym_derives_clause_repeat1,
    STATE(13473), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15772), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [594298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13474), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [594320] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13475), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [594342] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15694), 1,
      anon_sym_LBRACK,
    STATE(8881), 1,
      sym_type_arguments,
    STATE(13476), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [594368] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15776), 1,
      anon_sym_catch,
    ACTIONS(15778), 1,
      anon_sym_finally,
    STATE(12749), 1,
      sym_finally_clause,
    STATE(13893), 1,
      sym_catch_clause,
    STATE(13477), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [594398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13478), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [594420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13479), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [594442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13480), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [594464] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13481), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [594486] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15518), 1,
      anon_sym_finally,
    STATE(11520), 1,
      sym_finally_clause,
    STATE(13482), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [594512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13483), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [594534] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13484), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [594558] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15586), 1,
      anon_sym_catch,
    ACTIONS(15780), 1,
      anon_sym_finally,
    STATE(13861), 1,
      sym_catch_clause,
    STATE(13976), 1,
      sym_finally_clause,
    STATE(13485), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [594588] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15671), 1,
      anon_sym_LBRACK,
    ACTIONS(15782), 1,
      anon_sym_match,
    STATE(9010), 1,
      sym_type_arguments,
    STATE(13486), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [594616] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13487), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [594638] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13488), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [594660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13489), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [594682] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [594704] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13491), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [594726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13492), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [594748] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15784), 1,
      anon_sym_catch,
    ACTIONS(15786), 1,
      anon_sym_finally,
    STATE(13387), 1,
      sym_finally_clause,
    STATE(14003), 1,
      sym_catch_clause,
    STATE(13493), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [594778] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13494), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [594800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15694), 1,
      anon_sym_LBRACK,
    STATE(8881), 1,
      sym_type_arguments,
    STATE(13495), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [594826] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13496), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11945), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [594848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [594870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13498), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13332), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [594892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15720), 1,
      anon_sym_LBRACK,
    STATE(9253), 1,
      sym_type_arguments,
    STATE(13499), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [594918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
      anon_sym_do,
  [594940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15720), 1,
      anon_sym_LBRACK,
    STATE(9253), 1,
      sym_type_arguments,
    STATE(13501), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [594966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13502), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [594988] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13503), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11119), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13504), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [595032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15788), 1,
      anon_sym_SEMI,
    ACTIONS(15791), 1,
      anon_sym_else,
    STATE(13505), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_finally,
  [595058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15098), 1,
      anon_sym_finally,
    STATE(13443), 1,
      sym_finally_clause,
    STATE(13506), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [595084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13507), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595106] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15794), 1,
      anon_sym_SEMI,
    ACTIONS(15797), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13508), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [595134] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15800), 1,
      anon_sym_STAR,
    STATE(13509), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595158] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15802), 1,
      anon_sym_catch,
    ACTIONS(15804), 1,
      anon_sym_finally,
    STATE(13725), 1,
      sym_finally_clause,
    STATE(13912), 1,
      sym_catch_clause,
    STATE(13510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [595188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13511), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13332), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [595210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595232] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13513), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [595254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13514), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595276] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13515), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12742), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595298] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15784), 1,
      anon_sym_catch,
    ACTIONS(15806), 1,
      anon_sym_finally,
    STATE(13137), 1,
      sym_finally_clause,
    STATE(13894), 1,
      sym_catch_clause,
    STATE(13516), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [595328] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15808), 1,
      anon_sym_SEMI,
    ACTIONS(15811), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13517), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_finally,
  [595356] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15814), 1,
      anon_sym_catch,
    ACTIONS(15816), 1,
      anon_sym_finally,
    STATE(13137), 1,
      sym_finally_clause,
    STATE(13920), 1,
      sym_catch_clause,
    STATE(13518), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [595386] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13404), 1,
      anon_sym_match,
    ACTIONS(15686), 1,
      anon_sym_LBRACK,
    STATE(9064), 1,
      sym_type_arguments,
    STATE(13519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [595414] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15818), 1,
      anon_sym_SEMI,
    ACTIONS(15821), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13520), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [595442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13521), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8352), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [595464] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13522), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [595486] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15824), 1,
      anon_sym_SEMI,
    ACTIONS(15827), 1,
      anon_sym_else,
    STATE(13523), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [595512] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13524), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [595534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13525), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [595556] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13526), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595578] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(13527), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595602] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15148), 1,
      anon_sym_finally,
    STATE(12283), 1,
      sym_finally_clause,
    STATE(13528), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [595628] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15830), 1,
      anon_sym_catch,
    ACTIONS(15832), 1,
      anon_sym_finally,
    STATE(11809), 1,
      sym_finally_clause,
    STATE(13687), 1,
      sym_catch_clause,
    STATE(13529), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [595658] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [595680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13531), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [595702] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [595724] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13533), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11949), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [595746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13534), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595768] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13535), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [595790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13536), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595812] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15802), 1,
      anon_sym_catch,
    ACTIONS(15834), 1,
      anon_sym_finally,
    STATE(13844), 1,
      sym_finally_clause,
    STATE(14008), 1,
      sym_catch_clause,
    STATE(13537), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [595842] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15671), 1,
      anon_sym_LBRACK,
    ACTIONS(15782), 1,
      anon_sym_match,
    STATE(9010), 1,
      sym_type_arguments,
    STATE(13538), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [595870] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13539), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [595892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13540), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [595914] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15338), 1,
      anon_sym_LT_COLON,
    ACTIONS(15340), 1,
      anon_sym_GT_COLON,
    STATE(13897), 1,
      sym_lower_bound,
    STATE(14058), 1,
      sym_upper_bound,
    STATE(13541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15836), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [595944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15686), 1,
      anon_sym_LBRACK,
    STATE(9064), 1,
      sym_type_arguments,
    STATE(13542), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [595970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13543), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [595992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13544), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [596014] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15838), 1,
      anon_sym_SEMI,
    ACTIONS(15841), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13545), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 5,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_finally,
      anon_sym_do,
      anon_sym_yield,
  [596042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13546), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12691), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13547), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [596086] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15844), 1,
      anon_sym_catch,
    ACTIONS(15846), 1,
      anon_sym_finally,
    STATE(12859), 1,
      sym_finally_clause,
    STATE(13833), 1,
      sym_catch_clause,
    STATE(13548), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [596116] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15127), 1,
      anon_sym_finally,
    STATE(12697), 1,
      sym_finally_clause,
    STATE(13549), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [596142] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [596164] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13551), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14630), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596186] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13552), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [596210] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15336), 1,
      anon_sym_finally,
    STATE(12697), 1,
      sym_finally_clause,
    STATE(13553), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [596236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13554), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [596260] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15848), 1,
      anon_sym_SEMI,
    ACTIONS(15851), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13555), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [596288] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13556), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [596310] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13557), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [596332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15694), 1,
      anon_sym_LBRACK,
    STATE(8881), 1,
      sym_type_arguments,
    STATE(13558), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [596358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13559), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [596382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13560), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [596404] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15814), 1,
      anon_sym_catch,
    ACTIONS(15853), 1,
      anon_sym_finally,
    STATE(13387), 1,
      sym_finally_clause,
    STATE(13941), 1,
      sym_catch_clause,
    STATE(13561), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [596434] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15404), 1,
      anon_sym_finally,
    STATE(13816), 1,
      sym_finally_clause,
    STATE(13562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [596460] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13563), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [596482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [596504] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [596526] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13566), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [596548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15855), 1,
      anon_sym_SEMI,
    ACTIONS(15858), 1,
      anon_sym_else,
    STATE(13567), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [596574] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15106), 1,
      anon_sym_finally,
    STATE(12283), 1,
      sym_finally_clause,
    STATE(13568), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [596600] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15774), 1,
      anon_sym_COMMA,
    STATE(13341), 1,
      aux_sym_derives_clause_repeat1,
    STATE(13569), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15860), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [596626] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15694), 1,
      anon_sym_LBRACK,
    STATE(8881), 1,
      sym_type_arguments,
    STATE(13570), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [596652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13571), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [596674] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13572), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [596696] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13573), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [596718] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15686), 1,
      anon_sym_LBRACK,
    STATE(9064), 1,
      sym_type_arguments,
    STATE(13574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13575), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12707), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [596766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15686), 1,
      anon_sym_LBRACK,
    STATE(9064), 1,
      sym_type_arguments,
    STATE(13576), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
  [596792] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13577), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [596814] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13578), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_POUND,
  [596836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15382), 1,
      anon_sym_finally,
    STATE(13088), 1,
      sym_finally_clause,
    STATE(13579), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_then,
  [596862] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13580), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [596884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15862), 1,
      anon_sym_SEMI,
    ACTIONS(15865), 1,
      anon_sym_else,
    STATE(13581), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [596910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13582), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [596932] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15867), 1,
      anon_sym_STAR,
    STATE(13583), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [596956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [596978] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13585), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [597000] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13586), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11923), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [597022] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13587), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [597044] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13589), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13590), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11927), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [597110] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15869), 1,
      anon_sym_SEMI,
    ACTIONS(15871), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13591), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [597138] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13592), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12711), 9,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597160] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13593), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597182] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13594), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11931), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [597204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13595), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [597226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13596), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [597248] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13597), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [597270] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13598), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [597292] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13599), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [597316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15873), 1,
      anon_sym_SEMI,
    ACTIONS(15875), 1,
      anon_sym_else,
    STATE(13601), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
  [597364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13602), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13332), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13603), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [597408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13604), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597430] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15877), 1,
      anon_sym_end,
    STATE(9619), 1,
      sym__end_marker,
    STATE(13605), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10032), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [597456] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13606), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15504), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [597500] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15879), 1,
      anon_sym_SEMI,
    ACTIONS(15882), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13608), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
  [597528] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13609), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [597550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13610), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15635), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13611), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15632), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597594] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13612), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11935), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [597616] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15776), 1,
      anon_sym_catch,
    ACTIONS(15884), 1,
      anon_sym_finally,
    STATE(12370), 1,
      sym_finally_clause,
    STATE(14007), 1,
      sym_catch_clause,
    STATE(13613), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [597646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13614), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [597668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15888), 1,
      anon_sym_if,
    STATE(13842), 1,
      sym_guard,
    STATE(13615), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerator_repeat1,
    ACTIONS(15886), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [597694] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13616), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597716] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13617), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13618), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [597760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13619), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597782] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 9,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [597804] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15154), 1,
      anon_sym_LT_COLON,
    ACTIONS(15156), 1,
      anon_sym_GT_COLON,
    STATE(13859), 1,
      sym_lower_bound,
    STATE(14295), 1,
      sym_upper_bound,
    STATE(13621), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15836), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [597834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13622), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [597856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13623), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 9,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [597878] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 7,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [597902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15720), 1,
      anon_sym_LBRACK,
    STATE(9253), 1,
      sym_type_arguments,
    STATE(13625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [597928] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13626), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [597950] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [597972] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15891), 1,
      anon_sym_LPAREN,
    STATE(13864), 1,
      sym_arguments,
    STATE(13628), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
  [597998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [598020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13630), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11939), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [598042] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13631), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15637), 9,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_extends,
      anon_sym_derives,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598064] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15894), 1,
      anon_sym_SEMI,
    ACTIONS(15897), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13632), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
  [598091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [598112] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13256), 1,
      sym__automatic_semicolon,
    STATE(12282), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(13634), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14257), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [598141] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    ACTIONS(13324), 1,
      anon_sym_LT_PERCENT,
    STATE(13735), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14233), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14519), 1,
      sym_view_bound,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(15647), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13635), 2,
      sym_comment,
      sym_block_comment,
  [598174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13636), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [598197] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13256), 1,
      sym__automatic_semicolon,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(13701), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13637), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14266), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [598226] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15899), 1,
      anon_sym_SEMI,
    ACTIONS(15902), 1,
      anon_sym_else,
    STATE(13638), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [598251] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15904), 1,
      anon_sym_SEMI,
    ACTIONS(15907), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_finally,
  [598278] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598320] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598341] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15909), 1,
      anon_sym_SEMI,
    ACTIONS(15912), 1,
      anon_sym_else,
    STATE(13643), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [598366] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15915), 1,
      anon_sym_LBRACK,
    STATE(9368), 1,
      sym_type_arguments,
    STATE(13644), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [598391] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    ACTIONS(13324), 1,
      anon_sym_LT_PERCENT,
    STATE(14036), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14233), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14519), 1,
      sym_view_bound,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(15647), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13645), 2,
      sym_comment,
      sym_block_comment,
  [598424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598445] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15917), 1,
      anon_sym_with,
    STATE(13932), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14125), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13756), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598472] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13648), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12742), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13649), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598535] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15919), 1,
      anon_sym_SEMI,
    ACTIONS(15922), 1,
      anon_sym_else,
    STATE(13651), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [598560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15925), 1,
      anon_sym_LBRACK,
    STATE(9724), 1,
      sym_type_arguments,
    STATE(13652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [598585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13654), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598627] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    ACTIONS(13324), 1,
      anon_sym_LT_PERCENT,
    STATE(14036), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14224), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14519), 1,
      sym_view_bound,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(15927), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13655), 2,
      sym_comment,
      sym_block_comment,
  [598660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15915), 1,
      anon_sym_LBRACK,
    STATE(9368), 1,
      sym_type_arguments,
    STATE(13656), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [598685] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15915), 1,
      anon_sym_LBRACK,
    STATE(9368), 1,
      sym_type_arguments,
    STATE(13657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [598710] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13658), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598752] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13885), 1,
      anon_sym_match,
    ACTIONS(15925), 1,
      anon_sym_LBRACK,
    STATE(9724), 1,
      sym_type_arguments,
    STATE(13660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [598779] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15063), 1,
      anon_sym_LBRACK,
    ACTIONS(15067), 1,
      anon_sym_match,
    STATE(7627), 1,
      sym_type_arguments,
    STATE(14388), 1,
      aux_sym__block_repeat1,
    ACTIONS(15929), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(15931), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13661), 2,
      sym_comment,
      sym_block_comment,
  [598810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13662), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598831] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15654), 1,
      anon_sym_finally,
    STATE(11819), 1,
      sym_finally_clause,
    STATE(13663), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [598856] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13664), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [598877] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    ACTIONS(13324), 1,
      anon_sym_LT_PERCENT,
    STATE(13739), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14224), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14519), 1,
      sym_view_bound,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(15927), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13665), 2,
      sym_comment,
      sym_block_comment,
  [598910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13666), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12697), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [598931] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15933), 1,
      anon_sym_STAR,
    STATE(13667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [598954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15588), 1,
      anon_sym_finally,
    STATE(13974), 1,
      sym_finally_clause,
    STATE(13668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [598979] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15935), 1,
      anon_sym_DOT,
    STATE(13669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [599002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13670), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [599023] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15522), 1,
      anon_sym_finally,
    STATE(13646), 1,
      sym_finally_clause,
    STATE(13671), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [599048] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15608), 1,
      anon_sym_finally,
    STATE(13974), 1,
      sym_finally_clause,
    STATE(13672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [599073] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15937), 1,
      anon_sym_LBRACK,
    STATE(9511), 1,
      sym_type_arguments,
    STATE(13673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [599098] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15939), 1,
      anon_sym_COMMA,
    STATE(13674), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15673), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [599121] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15942), 1,
      anon_sym_SEMI,
    ACTIONS(15945), 1,
      anon_sym_else,
    STATE(13675), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [599146] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [599167] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15915), 1,
      anon_sym_LBRACK,
    STATE(9368), 1,
      sym_type_arguments,
    STATE(13677), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [599192] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15947), 1,
      anon_sym_COMMA,
    ACTIONS(15949), 1,
      anon_sym_with,
    STATE(13877), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14012), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13756), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [599242] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [599263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13681), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [599284] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15937), 1,
      anon_sym_LBRACK,
    ACTIONS(15951), 1,
      anon_sym_match,
    STATE(9511), 1,
      sym_type_arguments,
    STATE(14366), 1,
      aux_sym__block_repeat1,
    ACTIONS(15929), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(15953), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13682), 2,
      sym_comment,
      sym_block_comment,
  [599315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13683), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13332), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [599336] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15925), 1,
      anon_sym_LBRACK,
    STATE(9724), 1,
      sym_type_arguments,
    STATE(13684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [599361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12711), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12707), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599403] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15832), 1,
      anon_sym_finally,
    STATE(11877), 1,
      sym_finally_clause,
    STATE(13687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
  [599428] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14236), 1,
      anon_sym_LPAREN,
    ACTIONS(15955), 1,
      anon_sym_extends,
    ACTIONS(15959), 1,
      sym__automatic_semicolon,
    STATE(13975), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14384), 1,
      sym_class_parameters,
    STATE(15290), 1,
      sym_extends_clause,
    ACTIONS(15957), 2,
      sym__outdent,
      anon_sym_SEMI,
    STATE(13688), 2,
      sym_comment,
      sym_block_comment,
  [599461] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15937), 1,
      anon_sym_LBRACK,
    ACTIONS(15951), 1,
      anon_sym_match,
    STATE(9511), 1,
      sym_type_arguments,
    STATE(13689), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [599488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [599509] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15915), 1,
      anon_sym_LBRACK,
    STATE(9368), 1,
      sym_type_arguments,
    STATE(13691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [599534] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12764), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [599576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15962), 1,
      anon_sym_SEMI,
    ACTIONS(15965), 1,
      anon_sym_else,
    STATE(13694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [599601] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15967), 1,
      anon_sym_SEMI,
    ACTIONS(15970), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_finally,
  [599628] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15949), 1,
      anon_sym_with,
    STATE(13877), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14091), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13756), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599655] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    ACTIONS(13324), 1,
      anon_sym_LT_PERCENT,
    STATE(14036), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14406), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14519), 1,
      sym_view_bound,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(15656), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13697), 2,
      sym_comment,
      sym_block_comment,
  [599688] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    ACTIONS(13324), 1,
      anon_sym_LT_PERCENT,
    STATE(13655), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14406), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14519), 1,
      sym_view_bound,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(15656), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13698), 2,
      sym_comment,
      sym_block_comment,
  [599721] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15917), 1,
      anon_sym_with,
    ACTIONS(15972), 1,
      anon_sym_COMMA,
    STATE(13932), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14061), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13756), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599750] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15974), 1,
      anon_sym_as,
    STATE(13700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15738), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [599773] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13256), 1,
      sym__automatic_semicolon,
    STATE(12282), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(13701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14433), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [599802] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [599823] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15976), 1,
      anon_sym_SEMI,
    ACTIONS(15979), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [599850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13704), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15982), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [599871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13705), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12781), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [599913] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14610), 1,
      anon_sym_LPAREN,
    ACTIONS(15986), 1,
      anon_sym_extends,
    ACTIONS(15988), 1,
      sym__automatic_semicolon,
    STATE(13907), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14255), 1,
      sym_class_parameters,
    STATE(14946), 1,
      sym_extends_clause,
    ACTIONS(15984), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(13707), 2,
      sym_comment,
      sym_block_comment,
  [599946] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15991), 1,
      anon_sym_SEMI,
    ACTIONS(15994), 1,
      anon_sym_else,
    STATE(13708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
  [599971] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15996), 1,
      anon_sym_SEMI,
    ACTIONS(15999), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_finally,
  [599998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16001), 1,
      anon_sym_SEMI,
    ACTIONS(16004), 1,
      anon_sym_else,
    STATE(13710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [600023] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16007), 1,
      anon_sym_SEMI,
    ACTIONS(16010), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_finally,
  [600050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16013), 1,
      anon_sym_DOT,
    STATE(13712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [600073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [600094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16015), 1,
      anon_sym_SEMI,
    ACTIONS(16018), 1,
      anon_sym_else,
    STATE(13714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_finally,
  [600119] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16021), 1,
      anon_sym_SEMI,
    ACTIONS(16024), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_finally,
  [600146] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14236), 1,
      anon_sym_LPAREN,
    ACTIONS(15955), 1,
      anon_sym_extends,
    ACTIONS(16027), 1,
      sym__automatic_semicolon,
    STATE(13975), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14384), 1,
      sym_class_parameters,
    STATE(15326), 1,
      sym_extends_clause,
    ACTIONS(15984), 2,
      sym__outdent,
      anon_sym_SEMI,
    STATE(13716), 2,
      sym_comment,
      sym_block_comment,
  [600179] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16030), 1,
      anon_sym_COMMA,
    STATE(13722), 1,
      aux_sym_derives_clause_repeat1,
    STATE(13717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15772), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [600204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [600225] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13719), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [600248] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16032), 1,
      anon_sym_SEMI,
    ACTIONS(16034), 1,
      anon_sym_else,
    STATE(13720), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [600273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12699), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600294] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16030), 1,
      anon_sym_COMMA,
    STATE(13674), 1,
      aux_sym_derives_clause_repeat1,
    STATE(13722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15860), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [600319] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_finally,
  [600342] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12691), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [600384] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15937), 1,
      anon_sym_LBRACK,
    STATE(9511), 1,
      sym_type_arguments,
    STATE(13726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [600409] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600430] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 8,
      sym__automatic_semicolon,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600451] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16036), 1,
      anon_sym_COMMA,
    ACTIONS(16038), 1,
      anon_sym_with,
    STATE(14014), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14015), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(13729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13756), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [600480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15937), 1,
      anon_sym_LBRACK,
    STATE(9511), 1,
      sym_type_arguments,
    STATE(13730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [600505] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15925), 1,
      anon_sym_LBRACK,
    STATE(9724), 1,
      sym_type_arguments,
    STATE(13731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [600530] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13256), 1,
      sym__automatic_semicolon,
    STATE(12282), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(13732), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14745), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [600559] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15707), 1,
      anon_sym_finally,
    STATE(13564), 1,
      sym_finally_clause,
    STATE(13733), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_catch,
  [600584] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13256), 1,
      sym__automatic_semicolon,
    STATE(12282), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(13734), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14726), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [600613] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    ACTIONS(13324), 1,
      anon_sym_LT_PERCENT,
    STATE(14036), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14170), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14519), 1,
      sym_view_bound,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(16040), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13735), 2,
      sym_comment,
      sym_block_comment,
  [600646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13736), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12760), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [600667] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13256), 1,
      sym__automatic_semicolon,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(13821), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13737), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14740), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [600696] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    ACTIONS(13324), 1,
      anon_sym_LT_PERCENT,
    STATE(13773), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14170), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14519), 1,
      sym_view_bound,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(16040), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13738), 2,
      sym_comment,
      sym_block_comment,
  [600729] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    ACTIONS(13324), 1,
      anon_sym_LT_PERCENT,
    STATE(14036), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14171), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14519), 1,
      sym_view_bound,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(16042), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13739), 2,
      sym_comment,
      sym_block_comment,
  [600762] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16044), 1,
      anon_sym_SEMI,
    ACTIONS(16047), 1,
      anon_sym_else,
    STATE(13740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
  [600787] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15937), 1,
      anon_sym_LBRACK,
    ACTIONS(15951), 1,
      anon_sym_match,
    ACTIONS(16050), 1,
      anon_sym_if,
    STATE(9511), 1,
      sym_type_arguments,
    STATE(15354), 1,
      sym_guard,
    STATE(13741), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15368), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [600818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(13742), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [600843] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15649), 1,
      anon_sym_finally,
    STATE(13646), 1,
      sym_finally_clause,
    STATE(13743), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [600868] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13256), 1,
      sym__automatic_semicolon,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(13634), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13744), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13270), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [600897] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16054), 1,
      anon_sym_SEMI,
    ACTIONS(16057), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13745), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 4,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
  [600924] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13746), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [600945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13747), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [600966] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16060), 1,
      anon_sym_SEMI,
    ACTIONS(16063), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13748), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_finally,
  [600993] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15925), 1,
      anon_sym_LBRACK,
    STATE(9724), 1,
      sym_type_arguments,
    STATE(13749), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [601018] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13750), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601039] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15669), 1,
      anon_sym_finally,
    STATE(12745), 1,
      sym_finally_clause,
    STATE(13751), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 6,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_do,
  [601064] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13752), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [601087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13753), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16066), 8,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [601108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13754), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [601131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13755), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601152] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13756), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [601173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13757), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [601194] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13758), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601215] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16068), 1,
      anon_sym_SEMI,
    ACTIONS(16071), 1,
      anon_sym_else,
    STATE(13759), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_do,
      anon_sym_yield,
  [601240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13760), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13761), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13762), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [601303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13763), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [601324] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15612), 1,
      anon_sym_LT_COLON,
    ACTIONS(15614), 1,
      anon_sym_GT_COLON,
    STATE(14056), 1,
      sym_lower_bound,
    STATE(14058), 1,
      sym_upper_bound,
    STATE(13764), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15836), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [601353] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15937), 1,
      anon_sym_LBRACK,
    STATE(9511), 1,
      sym_type_arguments,
    STATE(13765), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [601378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13766), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601399] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    STATE(13767), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [601422] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14610), 1,
      anon_sym_LPAREN,
    ACTIONS(15986), 1,
      anon_sym_extends,
    ACTIONS(16073), 1,
      sym__automatic_semicolon,
    STATE(13907), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14255), 1,
      sym_class_parameters,
    STATE(14740), 1,
      sym_extends_clause,
    ACTIONS(15957), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(13768), 2,
      sym_comment,
      sym_block_comment,
  [601455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13769), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601476] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16076), 1,
      anon_sym_SEMI,
    ACTIONS(16078), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13770), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
  [601503] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13771), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601526] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13772), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601547] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    ACTIONS(13324), 1,
      anon_sym_LT_PERCENT,
    STATE(14036), 1,
      aux_sym__type_parameter_repeat1,
    STATE(14199), 1,
      aux_sym__type_parameter_repeat2,
    STATE(14519), 1,
      sym_view_bound,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(16080), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(13773), 2,
      sym_comment,
      sym_block_comment,
  [601580] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13774), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [601601] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(12909), 1,
      anon_sym_COLON,
    STATE(15386), 1,
      sym_template_body,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(13775), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16082), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [601630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13776), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601651] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16084), 1,
      anon_sym_SEMI,
    ACTIONS(16087), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13777), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_catch,
      anon_sym_finally,
  [601678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13778), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13779), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16089), 1,
      anon_sym_COLON,
    STATE(13780), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16091), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [601743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13781), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13332), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13782), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13330), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601785] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16095), 1,
      anon_sym_DOT,
    STATE(13793), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13783), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16093), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [601810] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15937), 1,
      anon_sym_LBRACK,
    ACTIONS(15951), 1,
      anon_sym_match,
    ACTIONS(16050), 1,
      anon_sym_if,
    STATE(9511), 1,
      sym_type_arguments,
    STATE(15490), 1,
      sym_guard,
    STATE(13784), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15061), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [601841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13785), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15628), 1,
      anon_sym_finally,
    STATE(12638), 1,
      sym_finally_clause,
    STATE(13786), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [601887] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15925), 1,
      anon_sym_LBRACK,
    STATE(9724), 1,
      sym_type_arguments,
    STATE(13787), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [601912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13788), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 8,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601933] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13789), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [601956] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16097), 1,
      anon_sym_SEMI,
    ACTIONS(16100), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13790), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 4,
      sym__automatic_semicolon,
      anon_sym_if,
      anon_sym_do,
      anon_sym_yield,
  [601983] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13791), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_finally,
      anon_sym_do,
  [602006] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13792), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602027] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16104), 1,
      anon_sym_DOT,
    STATE(13795), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13793), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16102), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [602052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602073] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16106), 1,
      anon_sym_DOT,
    STATE(13795), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_package_identifier_repeat1,
    ACTIONS(15738), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [602096] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13796), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602117] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13885), 1,
      anon_sym_match,
    ACTIONS(15925), 1,
      anon_sym_LBRACK,
    STATE(9724), 1,
      sym_type_arguments,
    STATE(13797), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_finally,
  [602144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13798), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602165] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15937), 1,
      anon_sym_LBRACK,
    ACTIONS(15951), 1,
      anon_sym_match,
    STATE(9511), 1,
      sym_type_arguments,
    STATE(13799), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [602192] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13800), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
  [602215] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8008), 1,
      anon_sym_DOT,
    STATE(13801), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [602238] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16109), 1,
      anon_sym_SEMI,
    ACTIONS(16112), 1,
      anon_sym_else,
    STATE(13802), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [602263] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    STATE(13803), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [602286] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13256), 1,
      sym__automatic_semicolon,
    STATE(12282), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(13804), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15018), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [602315] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13256), 1,
      sym__automatic_semicolon,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(13734), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13805), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13137), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [602344] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13533), 1,
      anon_sym_match,
    ACTIONS(15915), 1,
      anon_sym_LBRACK,
    STATE(9368), 1,
      sym_type_arguments,
    STATE(13806), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [602371] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15477), 1,
      anon_sym_finally,
    STATE(12697), 1,
      sym_finally_clause,
    STATE(13807), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [602396] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13808), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602417] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(13809), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [602442] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13810), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 8,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [602463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13811), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602484] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13812), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13813), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602526] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13814), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13815), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15698), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [602568] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13816), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602589] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13533), 1,
      anon_sym_match,
    ACTIONS(15915), 1,
      anon_sym_LBRACK,
    STATE(9368), 1,
      sym_type_arguments,
    STATE(13817), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_finally,
  [602616] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13818), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602637] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(13819), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [602664] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15584), 1,
      anon_sym_finally,
    STATE(12283), 1,
      sym_finally_clause,
    STATE(13820), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [602689] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12549), 1,
      anon_sym_LPAREN,
    ACTIONS(13256), 1,
      sym__automatic_semicolon,
    STATE(12282), 1,
      aux_sym__class_constructor_repeat1,
    STATE(13142), 1,
      sym_class_parameters,
    STATE(13821), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14248), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_derives,
  [602718] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13822), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602739] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(13823), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [602766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(13824), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [602791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13825), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [602812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16119), 1,
      anon_sym_SEMI,
    ACTIONS(16122), 1,
      anon_sym_else,
    STATE(13826), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
  [602837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13827), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 8,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [602858] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(13828), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 6,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [602883] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16125), 1,
      anon_sym_SEMI,
    ACTIONS(16128), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13829), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_catch,
      anon_sym_finally,
  [602910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13830), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14630), 8,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [602931] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16131), 1,
      anon_sym_SEMI,
    ACTIONS(16134), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13831), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
  [602958] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16137), 1,
      anon_sym_SEMI,
    ACTIONS(16140), 1,
      anon_sym_else,
    STATE(13832), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_RPAREN,
  [602983] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15846), 1,
      anon_sym_finally,
    STATE(12745), 1,
      sym_finally_clause,
    STATE(13833), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 6,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_catch,
  [603008] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16142), 1,
      anon_sym_DOT,
    STATE(13948), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13834), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16102), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [603032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16146), 1,
      anon_sym_DOT,
    STATE(13871), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13835), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16144), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [603056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13836), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8282), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [603076] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13837), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8294), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [603096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16148), 1,
      anon_sym_SEMI,
    ACTIONS(16150), 1,
      anon_sym_else,
    STATE(13838), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [603120] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15740), 1,
      anon_sym_finally,
    STATE(12697), 1,
      sym_finally_clause,
    STATE(13839), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [603144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13840), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [603164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16152), 1,
      anon_sym_COLON,
    STATE(13841), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16154), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [603186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13842), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16156), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_if,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [603206] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13843), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [603226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13844), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [603246] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16158), 1,
      anon_sym_SEMI,
    ACTIONS(16161), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_finally,
  [603272] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13846), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [603292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15338), 1,
      anon_sym_LT_COLON,
    STATE(14055), 1,
      sym_upper_bound,
    STATE(13847), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16164), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [603316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13848), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [603336] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13849), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8276), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [603356] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16166), 1,
      anon_sym_COLON,
    STATE(13850), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16168), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [603378] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16170), 1,
      anon_sym_DOT,
    STATE(13834), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13851), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16093), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [603402] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13852), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [603422] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16172), 1,
      anon_sym_with,
    STATE(13853), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(15311), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [603444] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15929), 1,
      sym__outdent,
    ACTIONS(15937), 1,
      anon_sym_LBRACK,
    ACTIONS(15951), 1,
      anon_sym_match,
    STATE(9511), 1,
      sym_type_arguments,
    STATE(14636), 1,
      aux_sym__block_repeat1,
    ACTIONS(16175), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13854), 2,
      sym_comment,
      sym_block_comment,
  [603474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13855), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [603496] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13856), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [603516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13857), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [603536] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16177), 1,
      anon_sym_SEMI,
    ACTIONS(16180), 1,
      anon_sym_else,
    STATE(13858), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [603560] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15154), 1,
      anon_sym_LT_COLON,
    STATE(14308), 1,
      sym_upper_bound,
    STATE(13859), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16183), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [603584] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16185), 1,
      anon_sym_catch,
    ACTIONS(16187), 1,
      anon_sym_finally,
    STATE(13522), 1,
      sym_finally_clause,
    STATE(14028), 1,
      sym_catch_clause,
    STATE(13860), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [603612] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15780), 1,
      anon_sym_finally,
    STATE(13974), 1,
      sym_finally_clause,
    STATE(13861), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [603636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16189), 1,
      anon_sym_LBRACK,
    STATE(9845), 1,
      sym_type_arguments,
    STATE(13862), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [603660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16189), 1,
      anon_sym_LBRACK,
    STATE(9845), 1,
      sym_type_arguments,
    STATE(13863), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [603684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13864), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [603704] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14077), 1,
      sym_arguments,
    STATE(13865), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [603726] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16191), 1,
      anon_sym_SEMI,
    ACTIONS(16194), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13866), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
  [603752] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16197), 1,
      anon_sym_catch,
    ACTIONS(16199), 1,
      anon_sym_finally,
    STATE(13522), 1,
      sym_finally_clause,
    STATE(14114), 1,
      sym_catch_clause,
    STATE(13867), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [603780] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15937), 1,
      anon_sym_LBRACK,
    ACTIONS(15951), 1,
      anon_sym_match,
    ACTIONS(16203), 1,
      sym__outdent,
    STATE(9511), 1,
      sym_type_arguments,
    STATE(14698), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(16201), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13868), 2,
      sym_comment,
      sym_block_comment,
  [603810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13869), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [603830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13870), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [603850] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16146), 1,
      anon_sym_DOT,
    STATE(13956), 1,
      aux_sym_package_identifier_repeat1,
    STATE(13871), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16205), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [603874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16207), 1,
      anon_sym_as,
    STATE(13872), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15738), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [603896] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13873), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [603918] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16211), 1,
      anon_sym_COMMA,
    STATE(13962), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13874), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16209), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [603942] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16211), 1,
      anon_sym_COMMA,
    STATE(13962), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13875), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16213), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [603966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13876), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [603986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15949), 1,
      anon_sym_with,
    STATE(13853), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13877), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15445), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [604010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13878), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [604030] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16215), 1,
      anon_sym_SEMI,
    ACTIONS(16218), 1,
      anon_sym_else,
    STATE(13879), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [604054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13880), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [604074] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13881), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8274), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [604094] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14692), 1,
      anon_sym_match,
    ACTIONS(16189), 1,
      anon_sym_LBRACK,
    STATE(9845), 1,
      sym_type_arguments,
    STATE(13882), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_finally,
  [604120] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16220), 1,
      anon_sym_LPAREN,
    STATE(14313), 1,
      sym_arguments,
    STATE(13883), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_annotation_repeat1,
    ACTIONS(8896), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
  [604144] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16211), 1,
      anon_sym_COMMA,
    STATE(13875), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13884), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16223), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [604168] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14692), 1,
      anon_sym_match,
    ACTIONS(16189), 1,
      anon_sym_LBRACK,
    STATE(9845), 1,
      sym_type_arguments,
    STATE(13885), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_finally,
  [604194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16211), 1,
      anon_sym_COMMA,
    STATE(13874), 1,
      aux_sym_import_declaration_repeat1,
    STATE(13886), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16225), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [604218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16227), 1,
      anon_sym_with,
    STATE(13887), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(15311), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [604240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13888), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [604260] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13889), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [604280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13890), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [604300] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13891), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8278), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [604320] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15937), 1,
      anon_sym_LBRACK,
    ACTIONS(15951), 1,
      anon_sym_match,
    STATE(9511), 1,
      sym_type_arguments,
    STATE(13892), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16230), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [604346] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15778), 1,
      anon_sym_finally,
    STATE(12697), 1,
      sym_finally_clause,
    STATE(13893), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [604370] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15806), 1,
      anon_sym_finally,
    STATE(13088), 1,
      sym_finally_clause,
    STATE(13894), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [604394] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13895), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [604414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16189), 1,
      anon_sym_LBRACK,
    STATE(9845), 1,
      sym_type_arguments,
    STATE(13896), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [604438] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15338), 1,
      anon_sym_LT_COLON,
    STATE(14053), 1,
      sym_upper_bound,
    STATE(13897), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16183), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [604462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13898), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9473), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [604482] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15063), 1,
      anon_sym_LBRACK,
    ACTIONS(15067), 1,
      anon_sym_match,
    ACTIONS(15929), 1,
      anon_sym_RBRACE,
    STATE(7627), 1,
      sym_type_arguments,
    STATE(14472), 1,
      aux_sym__block_repeat1,
    ACTIONS(16232), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13899), 2,
      sym_comment,
      sym_block_comment,
  [604512] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16234), 1,
      anon_sym_catch,
    ACTIONS(16236), 1,
      anon_sym_finally,
    STATE(13725), 1,
      sym_finally_clause,
    STATE(14256), 1,
      sym_catch_clause,
    STATE(13900), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [604540] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13901), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [604560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13902), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [604580] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14789), 1,
      anon_sym_match,
    ACTIONS(16238), 1,
      anon_sym_LBRACK,
    STATE(9970), 1,
      sym_type_arguments,
    STATE(13903), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
  [604606] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16240), 1,
      anon_sym_SEMI,
    ACTIONS(16242), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13904), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
  [604632] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14011), 1,
      sym_arguments,
    STATE(13905), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [604654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13906), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16244), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [604674] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16248), 1,
      anon_sym_LPAREN,
    ACTIONS(16251), 1,
      sym__automatic_semicolon,
    STATE(14255), 1,
      sym_class_parameters,
    ACTIONS(16246), 3,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_SEMI,
    STATE(13907), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__full_enum_def_repeat1,
  [604700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13908), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [604722] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13909), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [604742] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13910), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [604762] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16238), 1,
      anon_sym_LBRACK,
    STATE(9970), 1,
      sym_type_arguments,
    STATE(13911), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [604786] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15804), 1,
      anon_sym_finally,
    STATE(13761), 1,
      sym_finally_clause,
    STATE(13912), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [604810] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13913), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [604830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13914), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [604850] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16238), 1,
      anon_sym_LBRACK,
    STATE(9970), 1,
      sym_type_arguments,
    STATE(13915), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [604874] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16254), 1,
      anon_sym_COLON,
    STATE(13916), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16256), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [604896] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16258), 1,
      anon_sym_SEMI,
    ACTIONS(16260), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13917), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 3,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [604922] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16262), 1,
      anon_sym_with,
    STATE(13918), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
    ACTIONS(9586), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [604944] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16265), 1,
      anon_sym_COLON,
    ACTIONS(16267), 1,
      anon_sym_LBRACE,
    ACTIONS(16269), 1,
      anon_sym_extends,
    ACTIONS(16271), 1,
      anon_sym_derives,
    STATE(14211), 1,
      sym_extends_clause,
    STATE(14212), 1,
      sym_enum_body,
    STATE(15369), 1,
      sym_derives_clause,
    STATE(13919), 2,
      sym_comment,
      sym_block_comment,
  [604976] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15816), 1,
      anon_sym_finally,
    STATE(13088), 1,
      sym_finally_clause,
    STATE(13920), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [605000] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16273), 1,
      anon_sym_catch,
    ACTIONS(16275), 1,
      anon_sym_finally,
    STATE(13725), 1,
      sym_finally_clause,
    STATE(14268), 1,
      sym_catch_clause,
    STATE(13921), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [605028] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16277), 1,
      anon_sym_SEMI,
    ACTIONS(16280), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13922), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 3,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [605054] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16265), 1,
      anon_sym_COLON,
    ACTIONS(16267), 1,
      anon_sym_LBRACE,
    ACTIONS(16269), 1,
      anon_sym_extends,
    ACTIONS(16271), 1,
      anon_sym_derives,
    STATE(14391), 1,
      sym_enum_body,
    STATE(14394), 1,
      sym_extends_clause,
    STATE(15815), 1,
      sym_derives_clause,
    STATE(13923), 2,
      sym_comment,
      sym_block_comment,
  [605086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14051), 1,
      sym_arguments,
    STATE(13924), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [605108] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16189), 1,
      anon_sym_LBRACK,
    STATE(9845), 1,
      sym_type_arguments,
    STATE(13925), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13425), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [605132] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16283), 1,
      anon_sym_SEMI,
    ACTIONS(16286), 1,
      anon_sym_else,
    STATE(13926), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [605156] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13927), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [605176] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13928), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13371), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [605196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13929), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8382), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [605216] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16289), 1,
      anon_sym_SEMI,
    ACTIONS(16292), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13930), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
  [605242] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16294), 1,
      anon_sym_AT,
    STATE(14311), 1,
      sym_annotation,
    STATE(13931), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_definition_repeat1,
    ACTIONS(8931), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [605266] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15917), 1,
      anon_sym_with,
    STATE(13887), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(13932), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15445), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [605290] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16297), 1,
      anon_sym_SEMI,
    ACTIONS(16300), 1,
      anon_sym_else,
    STATE(13933), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
  [605314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16302), 1,
      anon_sym_SEMI,
    ACTIONS(16304), 1,
      anon_sym_else,
    STATE(13934), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
  [605338] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13935), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8040), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [605358] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15508), 1,
      anon_sym_LPAREN,
    STATE(13883), 1,
      aux_sym_annotation_repeat1,
    STATE(14313), 1,
      sym_arguments,
    STATE(13936), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8874), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
  [605384] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13937), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16066), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_derives,
      anon_sym_SEMI,
  [605404] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16310), 1,
      anon_sym_EQ,
    STATE(14633), 1,
      sym_block,
    STATE(13938), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16308), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [605430] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15063), 1,
      anon_sym_LBRACK,
    ACTIONS(15067), 1,
      anon_sym_match,
    ACTIONS(16203), 1,
      anon_sym_RBRACE,
    STATE(7627), 1,
      sym_type_arguments,
    STATE(14557), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(16312), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(13939), 2,
      sym_comment,
      sym_block_comment,
  [605460] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16273), 1,
      anon_sym_catch,
    ACTIONS(16314), 1,
      anon_sym_finally,
    STATE(13844), 1,
      sym_finally_clause,
    STATE(14332), 1,
      sym_catch_clause,
    STATE(13940), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [605488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15853), 1,
      anon_sym_finally,
    STATE(13359), 1,
      sym_finally_clause,
    STATE(13941), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 5,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [605512] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16316), 1,
      anon_sym_SEMI,
    ACTIONS(16319), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13942), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
  [605538] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16321), 1,
      anon_sym_SEMI,
    ACTIONS(16324), 1,
      anon_sym_else,
    STATE(13943), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [605562] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16326), 1,
      anon_sym_LBRACE,
    ACTIONS(16328), 1,
      anon_sym_EQ,
    STATE(14219), 1,
      sym_block,
    STATE(13944), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16308), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [605588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13945), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [605608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16189), 1,
      anon_sym_LBRACK,
    STATE(9845), 1,
      sym_type_arguments,
    STATE(13946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_finally,
  [605632] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14789), 1,
      anon_sym_match,
    ACTIONS(16238), 1,
      anon_sym_LBRACK,
    STATE(9970), 1,
      sym_type_arguments,
    STATE(13947), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_else,
  [605658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16330), 1,
      anon_sym_DOT,
    STATE(13948), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_package_identifier_repeat1,
    ACTIONS(15738), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [605680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13949), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13361), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [605700] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16333), 1,
      anon_sym_SEMI,
    ACTIONS(16336), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13950), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_finally,
  [605726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13951), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13359), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [605746] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15063), 1,
      anon_sym_LBRACK,
    ACTIONS(15067), 1,
      anon_sym_match,
    STATE(7627), 1,
      sym_type_arguments,
    STATE(13952), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16230), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [605772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13953), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 7,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [605792] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16338), 1,
      anon_sym_SEMI,
    ACTIONS(16341), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13954), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
  [605818] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16344), 1,
      anon_sym_SEMI,
    ACTIONS(16347), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13955), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_then,
  [605844] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16350), 1,
      anon_sym_DOT,
    STATE(13956), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_package_identifier_repeat1,
    ACTIONS(15738), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [605866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16353), 1,
      anon_sym_SEMI,
    ACTIONS(16356), 1,
      anon_sym_else,
    STATE(13957), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
  [605890] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13958), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13357), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [605910] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16359), 1,
      anon_sym_SEMI,
    ACTIONS(16362), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13959), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [605936] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16365), 1,
      anon_sym_SEMI,
    ACTIONS(16368), 1,
      anon_sym_else,
    STATE(13960), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [605960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13350), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13961), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13348), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_if,
      anon_sym_SEMI,
  [605982] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16373), 1,
      anon_sym_COMMA,
    STATE(13962), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_import_declaration_repeat1,
    ACTIONS(16371), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [606004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13963), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13346), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13964), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13373), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [606044] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13965), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13375), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [606064] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13966), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8280), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [606084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16238), 1,
      anon_sym_LBRACK,
    STATE(9970), 1,
      sym_type_arguments,
    STATE(13967), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [606108] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13408), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13968), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13406), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [606130] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13969), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13342), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606150] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16376), 1,
      anon_sym_SEMI,
    ACTIONS(16379), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13970), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
  [606176] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16382), 1,
      anon_sym_SEMI,
    ACTIONS(16385), 1,
      anon_sym_else,
    STATE(13971), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [606200] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13972), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16388), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [606220] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16390), 1,
      anon_sym_SEMI,
    ACTIONS(16393), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13973), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
  [606246] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13974), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13338), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606266] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16395), 1,
      anon_sym_LPAREN,
    ACTIONS(16398), 1,
      sym__automatic_semicolon,
    STATE(14384), 1,
      sym_class_parameters,
    ACTIONS(16246), 3,
      sym__outdent,
      anon_sym_extends,
      anon_sym_SEMI,
    STATE(13975), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__full_enum_def_repeat1,
  [606292] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13976), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606312] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13977), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16401), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
  [606332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16403), 1,
      anon_sym_SEMI,
    ACTIONS(16406), 1,
      anon_sym_else,
    STATE(13978), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_match,
  [606356] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16408), 1,
      anon_sym_SEMI,
    ACTIONS(16410), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13979), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15539), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [606382] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13980), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16412), 7,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [606402] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16414), 1,
      anon_sym_SEMI,
    ACTIONS(16416), 1,
      anon_sym_else,
    STATE(13981), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_do,
  [606426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13982), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13336), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13983), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8342), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [606466] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9473), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13984), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10007), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_SEMI,
  [606488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13985), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13310), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13986), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8290), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [606528] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16234), 1,
      anon_sym_catch,
    ACTIONS(16418), 1,
      anon_sym_finally,
    STATE(13844), 1,
      sym_finally_clause,
    STATE(14417), 1,
      sym_catch_clause,
    STATE(13987), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14131), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [606556] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16420), 1,
      anon_sym_SEMI,
    ACTIONS(16423), 1,
      anon_sym_else,
    STATE(13988), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [606580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13379), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(13989), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13377), 5,
      anon_sym_COMMA,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_do,
  [606602] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13990), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13328), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606622] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16426), 1,
      anon_sym_SEMI,
    ACTIONS(16429), 1,
      anon_sym_else,
    STATE(13991), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
  [606646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13992), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13326), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606666] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16432), 1,
      anon_sym_COLON,
    STATE(13993), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16256), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [606688] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13994), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13312), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606708] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16269), 1,
      anon_sym_extends,
    ACTIONS(16271), 1,
      anon_sym_derives,
    ACTIONS(16434), 1,
      anon_sym_COLON,
    ACTIONS(16436), 1,
      anon_sym_LBRACE,
    STATE(14374), 1,
      sym_extends_clause,
    STATE(14418), 1,
      sym_enum_body,
    STATE(14857), 1,
      sym_derives_clause,
    STATE(13995), 2,
      sym_comment,
      sym_block_comment,
  [606740] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16438), 1,
      anon_sym_COLON,
    STATE(13996), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16168), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [606762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13997), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8344), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [606782] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13998), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13168), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LBRACK,
      anon_sym_if,
      anon_sym_match,
      anon_sym_SEMI,
  [606802] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13999), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15982), 7,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [606822] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16440), 1,
      anon_sym_COLON,
    STATE(14000), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16154), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [606844] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15582), 1,
      anon_sym_AT,
    STATE(13931), 1,
      aux_sym_enum_definition_repeat1,
    STATE(14311), 1,
      sym_annotation,
    STATE(14001), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8967), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [606870] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16269), 1,
      anon_sym_extends,
    ACTIONS(16271), 1,
      anon_sym_derives,
    ACTIONS(16434), 1,
      anon_sym_COLON,
    ACTIONS(16436), 1,
      anon_sym_LBRACE,
    STATE(14389), 1,
      sym_extends_clause,
    STATE(14635), 1,
      sym_enum_body,
    STATE(14760), 1,
      sym_derives_clause,
    STATE(14002), 2,
      sym_comment,
      sym_block_comment,
  [606902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15786), 1,
      anon_sym_finally,
    STATE(13359), 1,
      sym_finally_clause,
    STATE(14003), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 5,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [606926] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16238), 1,
      anon_sym_LBRACK,
    STATE(9970), 1,
      sym_type_arguments,
    STATE(14004), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
      anon_sym_else,
  [606950] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15154), 1,
      anon_sym_LT_COLON,
    STATE(14284), 1,
      sym_upper_bound,
    STATE(14005), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16164), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [606974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14006), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7410), 7,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_POUND,
  [606994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15884), 1,
      anon_sym_finally,
    STATE(12283), 1,
      sym_finally_clause,
    STATE(14007), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_SEMI,
  [607018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15834), 1,
      anon_sym_finally,
    STATE(13890), 1,
      sym_finally_clause,
    STATE(14008), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_RPAREN,
      anon_sym_then,
  [607042] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16442), 1,
      anon_sym_LBRACK,
    STATE(10218), 1,
      sym_type_arguments,
    STATE(14009), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13411), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [607065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14010), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14011), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607103] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15947), 1,
      anon_sym_COMMA,
    STATE(14129), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14012), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15445), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607126] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16444), 1,
      anon_sym_SEMI,
    ACTIONS(16447), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15539), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    STATE(14013), 2,
      sym_comment,
      sym_block_comment,
  [607151] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16038), 1,
      anon_sym_with,
    STATE(14120), 1,
      aux_sym__constructor_applications_repeat2,
    STATE(14014), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15445), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [607174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16036), 1,
      anon_sym_COMMA,
    STATE(14119), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14015), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15445), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [607197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14016), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14017), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607235] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14018), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14019), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14020), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607292] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16452), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15726), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14021), 2,
      sym_comment,
      sym_block_comment,
  [607321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14022), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607340] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16454), 1,
      anon_sym_COLON,
    STATE(14023), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16256), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [607361] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16326), 1,
      anon_sym_LBRACE,
    ACTIONS(16456), 1,
      anon_sym_EQ,
    STATE(14219), 1,
      sym_block,
    STATE(14024), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16308), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [607386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14025), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14026), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [607424] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10117), 1,
      anon_sym_LPAREN,
    STATE(14419), 1,
      sym_arguments,
    STATE(14027), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15596), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [607447] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16187), 1,
      anon_sym_finally,
    STATE(13564), 1,
      sym_finally_clause,
    STATE(14028), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 4,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_catch,
      anon_sym_do,
  [607470] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14029), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [607489] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16458), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14773), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14030), 2,
      sym_comment,
      sym_block_comment,
  [607518] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14031), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607537] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16460), 1,
      anon_sym_LBRACE,
    ACTIONS(16464), 1,
      sym__interpolation_identifier,
    ACTIONS(16462), 2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
    STATE(14032), 2,
      sym_comment,
      sym_block_comment,
    STATE(15956), 2,
      sym_block,
      sym__aliased_interpolation_identifier,
  [607562] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16466), 1,
      anon_sym_SEMI,
    ACTIONS(16469), 1,
      anon_sym_else,
    STATE(14033), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_match,
  [607585] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16471), 1,
      anon_sym_SEMI,
    ACTIONS(16474), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15539), 2,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
    STATE(14034), 2,
      sym_comment,
      sym_block_comment,
  [607610] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14035), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [607629] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16478), 1,
      anon_sym_LT_PERCENT,
    STATE(14519), 1,
      sym_view_bound,
    ACTIONS(16476), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14036), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__type_parameter_repeat1,
  [607652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14037), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [607671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14038), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607690] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16481), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15623), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14039), 2,
      sym_comment,
      sym_block_comment,
  [607719] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16483), 1,
      anon_sym_SEMI,
    ACTIONS(16486), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15539), 2,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
    STATE(14040), 2,
      sym_comment,
      sym_block_comment,
  [607744] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16488), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15782), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14041), 2,
      sym_comment,
      sym_block_comment,
  [607773] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16490), 1,
      anon_sym_LBRACE,
    ACTIONS(16494), 1,
      sym__interpolation_identifier,
    ACTIONS(16492), 2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
    STATE(14042), 2,
      sym_comment,
      sym_block_comment,
    STATE(15967), 2,
      sym_block,
      sym__aliased_interpolation_identifier,
  [607798] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16496), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15692), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14043), 2,
      sym_comment,
      sym_block_comment,
  [607827] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14234), 1,
      anon_sym_extends,
    STATE(14718), 1,
      sym_extends_clause,
    STATE(14044), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14232), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [607850] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14045), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14046), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16244), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [607888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14047), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607907] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16442), 1,
      anon_sym_LBRACK,
    STATE(10218), 1,
      sym_type_arguments,
    STATE(14048), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13419), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [607930] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14413), 1,
      sym_arguments,
    STATE(14049), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [607951] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    STATE(14541), 1,
      sym_arguments,
    STATE(14050), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15596), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [607974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14051), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [607993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14052), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15368), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [608012] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14053), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16498), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [608031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14054), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12758), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [608050] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14055), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16500), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [608069] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15612), 1,
      anon_sym_LT_COLON,
    STATE(14053), 1,
      sym_upper_bound,
    STATE(14056), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16183), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [608092] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16502), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15846), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14057), 2,
      sym_comment,
      sym_block_comment,
  [608121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14058), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16183), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [608140] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16504), 1,
      anon_sym_SEMI,
    ACTIONS(16506), 1,
      anon_sym_else,
    STATE(14059), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 4,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
  [608163] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16508), 1,
      anon_sym_SEMI,
    ACTIONS(16510), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15539), 2,
      anon_sym_finally,
      anon_sym_do,
    STATE(14060), 2,
      sym_comment,
      sym_block_comment,
  [608188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15972), 1,
      anon_sym_COMMA,
    STATE(14149), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14061), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15445), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14062), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16512), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [608230] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14063), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [608249] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15937), 1,
      anon_sym_LBRACK,
    ACTIONS(15951), 1,
      anon_sym_match,
    STATE(9511), 1,
      sym_type_arguments,
    STATE(14064), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16514), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [608274] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16516), 1,
      anon_sym_SEMI,
    ACTIONS(16519), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15539), 2,
      anon_sym_finally,
      anon_sym_do,
    STATE(14065), 2,
      sym_comment,
      sym_block_comment,
  [608299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14066), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608318] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14067), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14068), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16522), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [608356] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16524), 1,
      anon_sym_SEMI,
    ACTIONS(16527), 1,
      anon_sym_else,
    STATE(14069), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
  [608379] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16530), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14993), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14070), 2,
      sym_comment,
      sym_block_comment,
  [608408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14071), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608427] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16532), 1,
      anon_sym_SEMI,
    ACTIONS(16535), 1,
      anon_sym_else,
    STATE(14072), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 4,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_finally,
      anon_sym_do,
  [608450] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15067), 1,
      anon_sym_match,
    ACTIONS(16442), 1,
      anon_sym_LBRACK,
    STATE(10218), 1,
      sym_type_arguments,
    STATE(14073), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16538), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [608475] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16540), 1,
      anon_sym_SEMI,
    ACTIONS(16543), 1,
      anon_sym_else,
    STATE(14074), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACK,
      anon_sym_match,
  [608498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14075), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [608517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14076), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16545), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [608536] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14077), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [608555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14078), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16388), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [608574] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16326), 1,
      anon_sym_LBRACE,
    ACTIONS(16547), 1,
      anon_sym_EQ,
    STATE(14219), 1,
      sym_block,
    STATE(14079), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16308), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [608599] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16549), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15566), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14080), 2,
      sym_comment,
      sym_block_comment,
  [608628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14081), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608647] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16551), 1,
      anon_sym_SEMI,
    ACTIONS(16553), 1,
      anon_sym_else,
    STATE(14082), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 4,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
  [608670] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16555), 1,
      anon_sym_SEMI,
    ACTIONS(16557), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15539), 2,
      anon_sym_while,
      anon_sym_finally,
    STATE(14083), 2,
      sym_comment,
      sym_block_comment,
  [608695] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(16559), 1,
      anon_sym_COLON,
    ACTIONS(16561), 1,
      sym__automatic_semicolon,
    STATE(12386), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14084), 2,
      sym_comment,
      sym_block_comment,
  [608724] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16563), 1,
      anon_sym_SEMI,
    ACTIONS(16566), 1,
      anon_sym_else,
    STATE(14085), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 4,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_finally,
  [608747] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16569), 1,
      anon_sym_SEMI,
    ACTIONS(16572), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15539), 2,
      anon_sym_while,
      anon_sym_finally,
    STATE(14086), 2,
      sym_comment,
      sym_block_comment,
  [608772] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16575), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14993), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14087), 2,
      sym_comment,
      sym_block_comment,
  [608801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14088), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608820] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14089), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16412), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [608839] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16577), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15823), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14090), 2,
      sym_comment,
      sym_block_comment,
  [608868] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14129), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14091), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15445), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [608889] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16579), 1,
      anon_sym_COMMA,
    STATE(14092), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_import_declaration_repeat1,
    ACTIONS(16371), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [608910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14093), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15738), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
  [608929] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16582), 1,
      anon_sym_if,
    STATE(14627), 1,
      sym_guard,
    ACTIONS(15886), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    STATE(14094), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerator_repeat1,
  [608952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14095), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16585), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [608971] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16587), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15632), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14096), 2,
      sym_comment,
      sym_block_comment,
  [609000] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14097), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16589), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [609019] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16591), 1,
      anon_sym_SEMI,
    ACTIONS(16594), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    ACTIONS(15539), 2,
      sym__automatic_semicolon,
      sym__outdent,
    STATE(14098), 2,
      sym_comment,
      sym_block_comment,
  [609044] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(16596), 1,
      anon_sym_COLON,
    ACTIONS(16598), 1,
      sym__automatic_semicolon,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14158), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14099), 2,
      sym_comment,
      sym_block_comment,
  [609073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14100), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5114), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [609092] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14101), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [609111] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16600), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15502), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14102), 2,
      sym_comment,
      sym_block_comment,
  [609140] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16602), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15396), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14103), 2,
      sym_comment,
      sym_block_comment,
  [609169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14104), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12777), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [609188] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14105), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12779), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [609207] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16604), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15201), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14106), 2,
      sym_comment,
      sym_block_comment,
  [609236] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16606), 1,
      anon_sym_COMMA,
    STATE(14092), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14107), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16213), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [609259] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16606), 1,
      anon_sym_COMMA,
    STATE(14092), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14108), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16209), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [609282] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16608), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15179), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14109), 2,
      sym_comment,
      sym_block_comment,
  [609311] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(16610), 1,
      anon_sym_COLON,
    ACTIONS(16612), 1,
      sym__automatic_semicolon,
    STATE(12386), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14110), 2,
      sym_comment,
      sym_block_comment,
  [609340] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16614), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14911), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14111), 2,
      sym_comment,
      sym_block_comment,
  [609369] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16616), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14962), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14112), 2,
      sym_comment,
      sym_block_comment,
  [609398] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15063), 1,
      anon_sym_LBRACK,
    ACTIONS(15067), 1,
      anon_sym_match,
    STATE(7627), 1,
      sym_type_arguments,
    STATE(14113), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16514), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [609423] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16199), 1,
      anon_sym_finally,
    STATE(13564), 1,
      sym_finally_clause,
    STATE(14114), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 4,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
      anon_sym_catch,
  [609446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14115), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [609465] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16050), 1,
      anon_sym_if,
    STATE(14094), 1,
      aux_sym_enumerator_repeat1,
    STATE(14627), 1,
      sym_guard,
    STATE(14116), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15684), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [609490] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16618), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15440), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14117), 2,
      sym_comment,
      sym_block_comment,
  [609519] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14118), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [609538] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16620), 1,
      anon_sym_COMMA,
    STATE(14119), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(15318), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [609559] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16623), 1,
      anon_sym_with,
    STATE(14120), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat2,
    ACTIONS(15311), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
      anon_sym_LPAREN,
  [609580] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16626), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15634), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14121), 2,
      sym_comment,
      sym_block_comment,
  [609609] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16606), 1,
      anon_sym_COMMA,
    STATE(14107), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14122), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16223), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [609632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14123), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16628), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [609651] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16606), 1,
      anon_sym_COMMA,
    STATE(14108), 1,
      aux_sym_import_declaration_repeat1,
    STATE(14124), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16225), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [609674] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14149), 1,
      aux_sym__constructor_applications_repeat1,
    STATE(14125), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15445), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14126), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16630), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [609714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16632), 1,
      anon_sym_COLON,
    STATE(14127), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16154), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [609735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14128), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15618), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609754] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16634), 1,
      anon_sym_COMMA,
    STATE(14129), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(15318), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14130), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16637), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_yield,
  [609794] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14131), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16401), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_LT_COLON,
      anon_sym_EQ,
      anon_sym_SEMI,
  [609813] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16639), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15441), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14132), 2,
      sym_comment,
      sym_block_comment,
  [609842] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15067), 1,
      anon_sym_match,
    ACTIONS(16442), 1,
      anon_sym_LBRACK,
    STATE(10218), 1,
      sym_type_arguments,
    STATE(14133), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13400), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [609867] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16306), 1,
      anon_sym_LBRACE,
    ACTIONS(16641), 1,
      anon_sym_EQ,
    STATE(14633), 1,
      sym_block,
    STATE(14134), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16308), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [609892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14608), 1,
      anon_sym_extends,
    STATE(14588), 1,
      sym_extends_clause,
    STATE(14135), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(14232), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [609915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14136), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [609934] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16643), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15494), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14137), 2,
      sym_comment,
      sym_block_comment,
  [609963] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16645), 1,
      anon_sym_COMMA,
    ACTIONS(16647), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15786), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14138), 2,
      sym_comment,
      sym_block_comment,
  [609992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14139), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(12713), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_GT_COLON,
      anon_sym_LT_PERCENT,
  [610011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16442), 1,
      anon_sym_LBRACK,
    STATE(10218), 1,
      sym_type_arguments,
    STATE(14140), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13417), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [610034] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16649), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14993), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14141), 2,
      sym_comment,
      sym_block_comment,
  [610063] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16651), 1,
      anon_sym_COLON,
    STATE(14142), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16168), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [610084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16442), 1,
      anon_sym_LBRACK,
    STATE(10218), 1,
      sym_type_arguments,
    STATE(14143), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13413), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_match,
      anon_sym_SEMI,
  [610107] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16653), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15499), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14144), 2,
      sym_comment,
      sym_block_comment,
  [610136] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14145), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [610155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14146), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [610174] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16655), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15255), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14147), 2,
      sym_comment,
      sym_block_comment,
  [610203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14148), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16657), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [610222] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16659), 1,
      anon_sym_COMMA,
    STATE(14149), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__constructor_applications_repeat1,
    ACTIONS(15318), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14150), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610262] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15612), 1,
      anon_sym_LT_COLON,
    STATE(14055), 1,
      sym_upper_bound,
    STATE(14151), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16164), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_SEMI,
  [610285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14152), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15618), 6,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610304] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14153), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 6,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [610323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14154), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16164), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [610342] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16662), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15389), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14155), 2,
      sym_comment,
      sym_block_comment,
  [610371] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(16664), 1,
      anon_sym_COLON,
    ACTIONS(16666), 1,
      sym__automatic_semicolon,
    STATE(12386), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14156), 2,
      sym_comment,
      sym_block_comment,
  [610400] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16668), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15335), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14157), 2,
      sym_comment,
      sym_block_comment,
  [610429] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(16670), 1,
      anon_sym_COLON,
    ACTIONS(16672), 1,
      sym__automatic_semicolon,
    STATE(12386), 1,
      aux_sym__function_constructor_repeat1,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14158), 2,
      sym_comment,
      sym_block_comment,
  [610458] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16674), 1,
      anon_sym_SEMI,
    ACTIONS(16677), 1,
      anon_sym_else,
    STATE(14159), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 4,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_match,
  [610481] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15067), 1,
      anon_sym_match,
    ACTIONS(16442), 1,
      anon_sym_LBRACK,
    STATE(10218), 1,
      sym_type_arguments,
    STATE(14160), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13415), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [610506] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(16679), 1,
      anon_sym_COLON,
    ACTIONS(16681), 1,
      sym__automatic_semicolon,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13373), 1,
      sym_parameters,
    STATE(14084), 1,
      aux_sym__function_constructor_repeat1,
    STATE(14161), 2,
      sym_comment,
      sym_block_comment,
  [610535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14162), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16683), 6,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [610554] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14163), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 6,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610573] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16450), 1,
      anon_sym_COMMA,
    ACTIONS(16685), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15286), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14164), 2,
      sym_comment,
      sym_block_comment,
  [610602] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16687), 1,
      anon_sym_COMMA,
    ACTIONS(16689), 1,
      anon_sym_RPAREN,
    STATE(15611), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14165), 2,
      sym_comment,
      sym_block_comment,
  [610628] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14166), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16691), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [610646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16695), 1,
      anon_sym_COMMA,
    ACTIONS(16693), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    STATE(14167), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_case_definitions_repeat1,
  [610666] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16698), 1,
      anon_sym_COMMA,
    ACTIONS(16700), 1,
      anon_sym_RPAREN,
    STATE(15218), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14168), 2,
      sym_comment,
      sym_block_comment,
  [610692] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14169), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [610710] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    STATE(14267), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(16080), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14170), 2,
      sym_comment,
      sym_block_comment,
  [610734] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    STATE(14267), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(16702), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14171), 2,
      sym_comment,
      sym_block_comment,
  [610758] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    ACTIONS(16704), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14172), 2,
      sym_comment,
      sym_block_comment,
  [610782] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14173), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16706), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [610800] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16708), 1,
      anon_sym_SEMI,
    ACTIONS(16710), 1,
      sym__automatic_semicolon,
    STATE(14329), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(7160), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(14174), 2,
      sym_comment,
      sym_block_comment,
  [610824] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14175), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15630), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610842] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14176), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16712), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [610860] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16714), 1,
      anon_sym_COMMA,
    ACTIONS(16716), 1,
      anon_sym_RPAREN,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15770), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14177), 2,
      sym_comment,
      sym_block_comment,
  [610886] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16718), 1,
      anon_sym_COMMA,
    ACTIONS(16720), 1,
      anon_sym_RPAREN,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15832), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14178), 2,
      sym_comment,
      sym_block_comment,
  [610912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14179), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15616), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [610930] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16722), 1,
      anon_sym_COMMA,
    ACTIONS(16724), 1,
      anon_sym_RPAREN,
    STATE(14941), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14180), 2,
      sym_comment,
      sym_block_comment,
  [610956] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    ACTIONS(16726), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14181), 2,
      sym_comment,
      sym_block_comment,
  [610980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14182), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16728), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [610998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14183), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16730), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14184), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [611034] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14185), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15637), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611052] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14186), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16732), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14187), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16734), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611088] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14188), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16736), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611106] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16738), 1,
      anon_sym_COMMA,
    ACTIONS(16740), 1,
      anon_sym_RPAREN,
    STATE(14944), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14189), 2,
      sym_comment,
      sym_block_comment,
  [611132] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14190), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15635), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611150] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14191), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14192), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16742), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611186] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14193), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16744), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611204] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    ACTIONS(16746), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14194), 2,
      sym_comment,
      sym_block_comment,
  [611228] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    ACTIONS(16748), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14195), 2,
      sym_comment,
      sym_block_comment,
  [611252] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14196), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16750), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611270] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16752), 1,
      anon_sym_COMMA,
    ACTIONS(16754), 1,
      anon_sym_RPAREN,
    STATE(15708), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14197), 2,
      sym_comment,
      sym_block_comment,
  [611296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14198), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15630), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611314] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    STATE(14267), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(16756), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14199), 2,
      sym_comment,
      sym_block_comment,
  [611338] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    ACTIONS(16758), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14200), 2,
      sym_comment,
      sym_block_comment,
  [611362] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    ACTIONS(16760), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14201), 2,
      sym_comment,
      sym_block_comment,
  [611386] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14202), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16762), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14203), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16764), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611422] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6126), 1,
      anon_sym_LBRACE,
    ACTIONS(12909), 1,
      anon_sym_COLON,
    STATE(14260), 1,
      sym_template_body,
    STATE(6461), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14204), 2,
      sym_comment,
      sym_block_comment,
  [611446] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14205), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15529), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [611464] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16766), 1,
      anon_sym_COMMA,
    ACTIONS(16768), 1,
      anon_sym_RPAREN,
    STATE(14923), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14206), 2,
      sym_comment,
      sym_block_comment,
  [611490] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14207), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16770), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611508] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14208), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16772), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611526] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16774), 1,
      anon_sym_COMMA,
    ACTIONS(16776), 1,
      anon_sym_RPAREN,
    STATE(15130), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14209), 2,
      sym_comment,
      sym_block_comment,
  [611552] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14210), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16778), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611570] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16265), 1,
      anon_sym_COLON,
    ACTIONS(16267), 1,
      anon_sym_LBRACE,
    ACTIONS(16271), 1,
      anon_sym_derives,
    STATE(14248), 1,
      sym_enum_body,
    STATE(15587), 1,
      sym_derives_clause,
    STATE(14211), 2,
      sym_comment,
      sym_block_comment,
  [611596] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14212), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16780), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611614] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    ACTIONS(16782), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14213), 2,
      sym_comment,
      sym_block_comment,
  [611638] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14214), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16784), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611656] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16786), 1,
      anon_sym_COMMA,
    ACTIONS(16788), 1,
      anon_sym_RPAREN,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15788), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14215), 2,
      sym_comment,
      sym_block_comment,
  [611682] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    ACTIONS(16790), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14216), 2,
      sym_comment,
      sym_block_comment,
  [611706] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    ACTIONS(16792), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14217), 2,
      sym_comment,
      sym_block_comment,
  [611730] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14218), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16794), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611748] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14219), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16796), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611766] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16798), 1,
      anon_sym_COMMA,
    ACTIONS(16800), 1,
      anon_sym_RPAREN,
    STATE(15156), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14220), 2,
      sym_comment,
      sym_block_comment,
  [611792] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    ACTIONS(16802), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14221), 2,
      sym_comment,
      sym_block_comment,
  [611816] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14222), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16804), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611834] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14223), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16806), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611852] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    STATE(14267), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(16042), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14224), 2,
      sym_comment,
      sym_block_comment,
  [611876] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14225), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16808), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611894] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14226), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [611912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14227), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16810), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611930] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14228), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16512), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [611948] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14229), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16812), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [611966] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16814), 1,
      anon_sym_COMMA,
    ACTIONS(16816), 1,
      anon_sym_RPAREN,
    STATE(15310), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14230), 2,
      sym_comment,
      sym_block_comment,
  [611992] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14231), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15616), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [612010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14232), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [612028] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    STATE(14267), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(16040), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14233), 2,
      sym_comment,
      sym_block_comment,
  [612052] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16818), 1,
      anon_sym_COMMA,
    ACTIONS(16820), 1,
      anon_sym_RPAREN,
    STATE(14989), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14234), 2,
      sym_comment,
      sym_block_comment,
  [612078] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14235), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16822), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612096] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16824), 1,
      anon_sym_COMMA,
    ACTIONS(16826), 1,
      anon_sym_RPAREN,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15727), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14236), 2,
      sym_comment,
      sym_block_comment,
  [612122] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14237), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16828), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612140] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14238), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15618), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_derives,
      anon_sym_LPAREN,
  [612158] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16830), 1,
      anon_sym_COMMA,
    ACTIONS(16832), 1,
      anon_sym_RPAREN,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15797), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14239), 2,
      sym_comment,
      sym_block_comment,
  [612184] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16708), 1,
      anon_sym_SEMI,
    ACTIONS(16836), 1,
      sym__automatic_semicolon,
    STATE(14174), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(16834), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(14240), 2,
      sym_comment,
      sym_block_comment,
  [612208] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14241), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15616), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [612226] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16838), 1,
      anon_sym_COMMA,
    ACTIONS(16840), 1,
      anon_sym_RPAREN,
    STATE(15139), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14242), 2,
      sym_comment,
      sym_block_comment,
  [612252] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16844), 1,
      anon_sym_EQ,
    STATE(14243), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16842), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [612272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16848), 1,
      anon_sym_COMMA,
    STATE(14292), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14244), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16846), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [612294] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16850), 1,
      anon_sym_COMMA,
    ACTIONS(16852), 1,
      anon_sym_RPAREN,
    STATE(14809), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14245), 2,
      sym_comment,
      sym_block_comment,
  [612320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13699), 1,
      anon_sym_LPAREN,
    STATE(15564), 1,
      sym_arguments,
    STATE(14246), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15596), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
  [612342] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14247), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16854), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612360] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14248), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16856), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612378] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16858), 1,
      anon_sym_COMMA,
    ACTIONS(16860), 1,
      anon_sym_RPAREN,
    STATE(14856), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14249), 2,
      sym_comment,
      sym_block_comment,
  [612404] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14250), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16862), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612422] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16864), 1,
      anon_sym_SEMI,
    ACTIONS(16866), 1,
      sym__automatic_semicolon,
    STATE(14344), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(16834), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(14251), 2,
      sym_comment,
      sym_block_comment,
  [612446] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16868), 1,
      anon_sym_COMMA,
    ACTIONS(16870), 1,
      anon_sym_RPAREN,
    STATE(14977), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14252), 2,
      sym_comment,
      sym_block_comment,
  [612472] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16872), 1,
      anon_sym_COMMA,
    ACTIONS(16874), 1,
      anon_sym_RPAREN,
    STATE(14905), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14253), 2,
      sym_comment,
      sym_block_comment,
  [612498] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16848), 1,
      anon_sym_COMMA,
    STATE(14167), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14254), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16846), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [612520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14255), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16876), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [612538] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16236), 1,
      anon_sym_finally,
    STATE(13761), 1,
      sym_finally_clause,
    STATE(14256), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [612560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14257), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16878), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612578] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16880), 1,
      anon_sym_COMMA,
    ACTIONS(16882), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14258), 2,
      sym_comment,
      sym_block_comment,
  [612604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16884), 1,
      anon_sym_COLON,
    STATE(14259), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16091), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_SEMI,
  [612624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14260), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16886), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14261), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16888), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612660] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14262), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16164), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [612678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14263), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16890), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612696] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14264), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16892), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612714] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16896), 1,
      anon_sym_EQ,
    STATE(14265), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16894), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [612734] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16898), 1,
      anon_sym_COMMA,
    ACTIONS(16900), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14266), 2,
      sym_comment,
      sym_block_comment,
  [612760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16902), 1,
      anon_sym_COLON,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(16905), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14267), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__type_parameter_repeat2,
  [612782] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16275), 1,
      anon_sym_finally,
    STATE(13761), 1,
      sym_finally_clause,
    STATE(14268), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [612804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14269), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15529), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [612822] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16907), 1,
      anon_sym_COMMA,
    ACTIONS(16909), 1,
      anon_sym_RPAREN,
    STATE(15244), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14270), 2,
      sym_comment,
      sym_block_comment,
  [612848] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    ACTIONS(16911), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14271), 2,
      sym_comment,
      sym_block_comment,
  [612872] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14272), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16913), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612890] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16915), 1,
      anon_sym_COMMA,
    ACTIONS(16917), 1,
      anon_sym_RPAREN,
    STATE(14887), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14273), 2,
      sym_comment,
      sym_block_comment,
  [612916] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14274), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16589), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [612934] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14275), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16585), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [612952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14276), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16919), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [612970] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    STATE(14267), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(15656), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14277), 2,
      sym_comment,
      sym_block_comment,
  [612994] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14278), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15635), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [613012] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16921), 1,
      anon_sym_COMMA,
    ACTIONS(16923), 1,
      anon_sym_RPAREN,
    STATE(15269), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14279), 2,
      sym_comment,
      sym_block_comment,
  [613038] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16925), 1,
      anon_sym_COMMA,
    ACTIONS(16927), 1,
      anon_sym_RPAREN,
    STATE(15578), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14280), 2,
      sym_comment,
      sym_block_comment,
  [613064] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16929), 1,
      anon_sym_COMMA,
    ACTIONS(16931), 1,
      anon_sym_RPAREN,
    STATE(14743), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14281), 2,
      sym_comment,
      sym_block_comment,
  [613090] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14282), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16933), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613108] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16935), 1,
      anon_sym_COMMA,
    ACTIONS(16937), 1,
      anon_sym_RPAREN,
    STATE(15251), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14283), 2,
      sym_comment,
      sym_block_comment,
  [613134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14284), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16500), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [613152] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16939), 1,
      anon_sym_COMMA,
    ACTIONS(16941), 1,
      anon_sym_RPAREN,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15848), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14285), 2,
      sym_comment,
      sym_block_comment,
  [613178] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16943), 1,
      anon_sym_COMMA,
    ACTIONS(16945), 1,
      anon_sym_RPAREN,
    STATE(15103), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14286), 2,
      sym_comment,
      sym_block_comment,
  [613204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16949), 1,
      anon_sym_EQ,
    STATE(14287), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16947), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [613224] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16951), 1,
      anon_sym_COMMA,
    ACTIONS(16953), 1,
      anon_sym_RPAREN,
    STATE(15567), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14288), 2,
      sym_comment,
      sym_block_comment,
  [613250] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16955), 1,
      anon_sym_COMMA,
    ACTIONS(16957), 1,
      anon_sym_RPAREN,
    STATE(14779), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14289), 2,
      sym_comment,
      sym_block_comment,
  [613276] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16959), 1,
      anon_sym_COMMA,
    STATE(14336), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16961), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [613298] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14291), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16963), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613316] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16848), 1,
      anon_sym_COMMA,
    STATE(14167), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14292), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16965), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [613338] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16967), 1,
      anon_sym_COMMA,
    ACTIONS(16969), 1,
      anon_sym_RPAREN,
    STATE(15376), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14293), 2,
      sym_comment,
      sym_block_comment,
  [613364] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16971), 1,
      anon_sym_COMMA,
    ACTIONS(16973), 1,
      anon_sym_RPAREN,
    STATE(14869), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14294), 2,
      sym_comment,
      sym_block_comment,
  [613390] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14295), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16183), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [613408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14296), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16401), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_COLON,
      anon_sym_LT_PERCENT,
  [613426] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14297), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16975), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14298), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(11916), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [613462] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14299), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16977), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613480] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14300), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16979), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613498] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16981), 1,
      anon_sym_COMMA,
    ACTIONS(16983), 1,
      anon_sym_RPAREN,
    STATE(15562), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14301), 2,
      sym_comment,
      sym_block_comment,
  [613524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14302), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16545), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [613542] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15539), 1,
      anon_sym_while,
    ACTIONS(16985), 1,
      anon_sym_SEMI,
    ACTIONS(16988), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14303), 2,
      sym_comment,
      sym_block_comment,
  [613566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16991), 1,
      anon_sym_SEMI,
    ACTIONS(16994), 1,
      anon_sym_else,
    STATE(14304), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [613588] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14305), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16997), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613606] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(16999), 1,
      anon_sym_COMMA,
    ACTIONS(17001), 1,
      anon_sym_RPAREN,
    STATE(15368), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14306), 2,
      sym_comment,
      sym_block_comment,
  [613632] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14307), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9846), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [613650] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14308), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16498), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_EQ,
      anon_sym_SEMI,
  [613668] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14309), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17003), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613686] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17005), 1,
      anon_sym_COMMA,
    ACTIONS(17007), 1,
      anon_sym_RPAREN,
    STATE(15262), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14310), 2,
      sym_comment,
      sym_block_comment,
  [613712] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14311), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9612), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [613730] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15539), 1,
      anon_sym_while,
    ACTIONS(17009), 1,
      anon_sym_SEMI,
    ACTIONS(17011), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14312), 2,
      sym_comment,
      sym_block_comment,
  [613754] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14313), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8634), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [613772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17013), 1,
      anon_sym_SEMI,
    ACTIONS(17015), 1,
      anon_sym_else,
    STATE(14314), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [613794] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17017), 1,
      anon_sym_COMMA,
    ACTIONS(17019), 1,
      anon_sym_RPAREN,
    STATE(15228), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14315), 2,
      sym_comment,
      sym_block_comment,
  [613820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17021), 1,
      anon_sym_with,
    ACTIONS(9586), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    STATE(14316), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compound_type_repeat1,
  [613840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14317), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17024), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17028), 1,
      anon_sym_EQ,
    STATE(14318), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17026), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [613878] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14319), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17030), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14320), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17032), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613914] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17034), 1,
      anon_sym_COMMA,
    ACTIONS(17036), 1,
      anon_sym_RPAREN,
    STATE(15523), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14321), 2,
      sym_comment,
      sym_block_comment,
  [613940] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17038), 1,
      anon_sym_COMMA,
    ACTIONS(17040), 1,
      anon_sym_RPAREN,
    STATE(15571), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14322), 2,
      sym_comment,
      sym_block_comment,
  [613966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14323), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17042), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [613984] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14324), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8792), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [614002] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14325), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17042), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614020] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8830), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [614038] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14327), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17044), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614056] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14328), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8850), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_with,
      anon_sym_LPAREN,
  [614074] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16522), 2,
      anon_sym_do,
      anon_sym_yield,
    ACTIONS(17046), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14329), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerators_repeat1,
  [614094] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14330), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(5114), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [614112] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16522), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(17049), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14331), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerators_repeat1,
  [614132] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16314), 1,
      anon_sym_finally,
    STATE(13890), 1,
      sym_finally_clause,
    STATE(14332), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 3,
      anon_sym_LBRACK,
      anon_sym_while,
      anon_sym_match,
  [614154] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14333), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17052), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614172] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16230), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(17054), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14334), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [614192] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17057), 1,
      anon_sym_COMMA,
    ACTIONS(17059), 1,
      anon_sym_RPAREN,
    STATE(14833), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14335), 2,
      sym_comment,
      sym_block_comment,
  [614218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16959), 1,
      anon_sym_COMMA,
    STATE(14363), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14336), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16846), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [614240] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14337), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17052), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614258] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15539), 1,
      anon_sym_do,
    ACTIONS(17061), 1,
      anon_sym_SEMI,
    ACTIONS(17063), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14338), 2,
      sym_comment,
      sym_block_comment,
  [614282] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14339), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17065), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614300] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17067), 1,
      anon_sym_COMMA,
    ACTIONS(17069), 1,
      anon_sym_RPAREN,
    STATE(14789), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14340), 2,
      sym_comment,
      sym_block_comment,
  [614326] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16959), 1,
      anon_sym_COMMA,
    STATE(14367), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14341), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16846), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [614348] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14342), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17071), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14343), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17073), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614384] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16864), 1,
      anon_sym_SEMI,
    ACTIONS(17075), 1,
      sym__automatic_semicolon,
    STATE(14331), 1,
      aux_sym_enumerators_repeat1,
    ACTIONS(7160), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    STATE(14344), 2,
      sym_comment,
      sym_block_comment,
  [614408] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17077), 1,
      anon_sym_COMMA,
    ACTIONS(17079), 1,
      anon_sym_RPAREN,
    STATE(15085), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14345), 2,
      sym_comment,
      sym_block_comment,
  [614434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14346), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17073), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614452] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14347), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16628), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [614470] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17081), 1,
      anon_sym_COMMA,
    ACTIONS(17083), 1,
      anon_sym_RPAREN,
    STATE(15531), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14348), 2,
      sym_comment,
      sym_block_comment,
  [614496] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17085), 1,
      anon_sym_COMMA,
    ACTIONS(17087), 1,
      anon_sym_RPAREN,
    STATE(15278), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14349), 2,
      sym_comment,
      sym_block_comment,
  [614522] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    ACTIONS(17089), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14350), 2,
      sym_comment,
      sym_block_comment,
  [614546] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14351), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16630), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [614564] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16230), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(17091), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14352), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [614584] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17094), 1,
      anon_sym_COMMA,
    ACTIONS(17096), 1,
      anon_sym_RPAREN,
    STATE(15501), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14353), 2,
      sym_comment,
      sym_block_comment,
  [614610] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17098), 1,
      anon_sym_COMMA,
    ACTIONS(17100), 1,
      anon_sym_RPAREN,
    STATE(15013), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14354), 2,
      sym_comment,
      sym_block_comment,
  [614636] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15539), 1,
      anon_sym_do,
    ACTIONS(17102), 1,
      anon_sym_SEMI,
    ACTIONS(17105), 1,
      anon_sym_else,
    ACTIONS(15536), 2,
      anon_sym_LBRACK,
      anon_sym_match,
    STATE(14355), 2,
      sym_comment,
      sym_block_comment,
  [614660] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17108), 1,
      anon_sym_SEMI,
    ACTIONS(17111), 1,
      anon_sym_else,
    STATE(14356), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [614682] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17114), 1,
      anon_sym_COMMA,
    ACTIONS(17116), 1,
      anon_sym_RPAREN,
    STATE(15433), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14357), 2,
      sym_comment,
      sym_block_comment,
  [614708] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14358), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8152), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [614726] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14359), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17118), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14360), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9885), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [614762] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14361), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15550), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [614780] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17120), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614798] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17122), 1,
      anon_sym_COMMA,
    ACTIONS(16693), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
    STATE(14363), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enum_case_definitions_repeat1,
  [614818] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17125), 1,
      anon_sym_COMMA,
    ACTIONS(17127), 1,
      anon_sym_RPAREN,
    STATE(15402), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14364), 2,
      sym_comment,
      sym_block_comment,
  [614844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17129), 1,
      anon_sym_SEMI,
    ACTIONS(17131), 1,
      anon_sym_else,
    STATE(14365), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15554), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [614866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14352), 1,
      aux_sym__block_repeat1,
    ACTIONS(637), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(17133), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14366), 2,
      sym_comment,
      sym_block_comment,
  [614888] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16959), 1,
      anon_sym_COMMA,
    STATE(14363), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14367), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16965), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [614910] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14368), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15550), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [614928] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14366), 1,
      aux_sym__block_repeat1,
    ACTIONS(15929), 2,
      sym__outdent,
      anon_sym_case,
    ACTIONS(15953), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14369), 2,
      sym_comment,
      sym_block_comment,
  [614950] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17135), 1,
      anon_sym_EQ,
    STATE(14370), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17026), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [614970] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14371), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16683), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [614988] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17137), 1,
      anon_sym_RBRACE,
    ACTIONS(17139), 1,
      anon_sym_COMMA,
    ACTIONS(17141), 1,
      anon_sym_EQ_GT,
    ACTIONS(17143), 1,
      anon_sym_as,
    STATE(14918), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(14372), 2,
      sym_comment,
      sym_block_comment,
  [615014] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17145), 1,
      anon_sym_COMMA,
    ACTIONS(17147), 1,
      anon_sym_RPAREN,
    STATE(15693), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14373), 2,
      sym_comment,
      sym_block_comment,
  [615040] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16271), 1,
      anon_sym_derives,
    ACTIONS(16434), 1,
      anon_sym_COLON,
    ACTIONS(16436), 1,
      anon_sym_LBRACE,
    STATE(14712), 1,
      sym_enum_body,
    STATE(14902), 1,
      sym_derives_clause,
    STATE(14374), 2,
      sym_comment,
      sym_block_comment,
  [615066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14375), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17149), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14376), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17151), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615102] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17153), 1,
      anon_sym_EQ,
    STATE(14377), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16947), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615122] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17155), 1,
      anon_sym_COMMA,
    ACTIONS(17157), 1,
      anon_sym_RPAREN,
    STATE(15509), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14378), 2,
      sym_comment,
      sym_block_comment,
  [615148] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14379), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16657), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [615166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14380), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17159), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615184] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17161), 1,
      anon_sym_COMMA,
    ACTIONS(17163), 1,
      anon_sym_RPAREN,
    STATE(14815), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14381), 2,
      sym_comment,
      sym_block_comment,
  [615210] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15637), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [615228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17165), 1,
      anon_sym_EQ,
    STATE(14383), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16894), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615248] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14384), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16876), 5,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [615266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14385), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9786), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [615284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17167), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615302] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6540), 1,
      anon_sym_LBRACE,
    ACTIONS(13384), 1,
      anon_sym_COLON,
    STATE(14672), 1,
      sym_template_body,
    STATE(9159), 2,
      sym__indented_template_body,
      sym__braced_template_body,
    STATE(14387), 2,
      sym_comment,
      sym_block_comment,
  [615326] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14334), 1,
      aux_sym__block_repeat1,
    ACTIONS(637), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(17169), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14388), 2,
      sym_comment,
      sym_block_comment,
  [615348] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16271), 1,
      anon_sym_derives,
    ACTIONS(16434), 1,
      anon_sym_COLON,
    ACTIONS(16436), 1,
      anon_sym_LBRACE,
    STATE(14667), 1,
      sym_enum_body,
    STATE(14800), 1,
      sym_derives_clause,
    STATE(14389), 2,
      sym_comment,
      sym_block_comment,
  [615374] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    STATE(14267), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(15647), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14390), 2,
      sym_comment,
      sym_block_comment,
  [615398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14391), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17171), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615416] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17173), 1,
      anon_sym_COMMA,
    ACTIONS(17175), 1,
      anon_sym_RPAREN,
    STATE(15388), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14392), 2,
      sym_comment,
      sym_block_comment,
  [615442] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17177), 1,
      anon_sym_EQ,
    STATE(14393), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16842), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615462] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16265), 1,
      anon_sym_COLON,
    ACTIONS(16267), 1,
      anon_sym_LBRACE,
    ACTIONS(16271), 1,
      anon_sym_derives,
    STATE(14300), 1,
      sym_enum_body,
    STATE(15495), 1,
      sym_derives_clause,
    STATE(14394), 2,
      sym_comment,
      sym_block_comment,
  [615488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9751), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [615506] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17179), 1,
      anon_sym_COMMA,
    ACTIONS(17181), 1,
      anon_sym_RPAREN,
    STATE(15236), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14396), 2,
      sym_comment,
      sym_block_comment,
  [615532] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14397), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17183), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615550] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14388), 1,
      aux_sym__block_repeat1,
    ACTIONS(15929), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(15931), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14398), 2,
      sym_comment,
      sym_block_comment,
  [615572] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10510), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [615590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14400), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9700), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [615608] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14401), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17185), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615626] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17187), 1,
      anon_sym_COMMA,
    ACTIONS(17189), 1,
      anon_sym_RPAREN,
    STATE(15049), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14402), 2,
      sym_comment,
      sym_block_comment,
  [615652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14403), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10516), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [615670] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17191), 1,
      anon_sym_COMMA,
    ACTIONS(17193), 1,
      anon_sym_RPAREN,
    STATE(15483), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14404), 2,
      sym_comment,
      sym_block_comment,
  [615696] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17195), 1,
      anon_sym_COMMA,
    ACTIONS(17197), 1,
      anon_sym_RPAREN,
    STATE(15666), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14405), 2,
      sym_comment,
      sym_block_comment,
  [615722] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13314), 1,
      anon_sym_COLON,
    STATE(14267), 1,
      aux_sym__type_parameter_repeat2,
    STATE(15624), 1,
      sym_context_bound,
    ACTIONS(15927), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(14406), 2,
      sym_comment,
      sym_block_comment,
  [615746] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14407), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15493), 5,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_extends,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [615764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16848), 1,
      anon_sym_COMMA,
    STATE(14254), 1,
      aux_sym_enum_case_definitions_repeat1,
    STATE(14408), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16961), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [615786] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14409), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17199), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14410), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10500), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [615822] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17201), 1,
      anon_sym_COMMA,
    ACTIONS(17203), 1,
      anon_sym_RPAREN,
    STATE(15505), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14411), 2,
      sym_comment,
      sym_block_comment,
  [615848] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17205), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14413), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10707), 5,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_derives,
      anon_sym_LPAREN,
  [615884] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14414), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17207), 5,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [615902] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17141), 1,
      anon_sym_EQ_GT,
    ACTIONS(17143), 1,
      anon_sym_as,
    ACTIONS(17209), 1,
      anon_sym_RBRACE,
    ACTIONS(17211), 1,
      anon_sym_COMMA,
    STATE(15334), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(14415), 2,
      sym_comment,
      sym_block_comment,
  [615928] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17213), 1,
      anon_sym_COMMA,
    ACTIONS(17215), 1,
      anon_sym_RPAREN,
    STATE(14742), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14416), 2,
      sym_comment,
      sym_block_comment,
  [615954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16418), 1,
      anon_sym_finally,
    STATE(13890), 1,
      sym_finally_clause,
    STATE(14417), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(13304), 3,
      anon_sym_LBRACK,
      anon_sym_match,
      anon_sym_do,
  [615976] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14418), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17171), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [615993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14419), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16066), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [616010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14420), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(4136), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [616027] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17217), 1,
      anon_sym_RBRACE,
    ACTIONS(17219), 1,
      anon_sym_case,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14421), 2,
      sym_comment,
      sym_block_comment,
  [616050] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17221), 1,
      anon_sym_LBRACE,
    ACTIONS(17223), 1,
      sym__indent,
    STATE(13852), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14422), 2,
      sym_comment,
      sym_block_comment,
  [616071] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17227), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14423), 2,
      sym_comment,
      sym_block_comment,
  [616094] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14424), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7090), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [616111] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17221), 1,
      anon_sym_LBRACE,
    ACTIONS(17223), 1,
      sym__indent,
    STATE(13908), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14425), 2,
      sym_comment,
      sym_block_comment,
  [616132] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17229), 1,
      anon_sym_RBRACE,
    STATE(14432), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14426), 2,
      sym_comment,
      sym_block_comment,
  [616155] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17231), 1,
      anon_sym_COMMA,
    ACTIONS(17233), 1,
      anon_sym_RPAREN,
    STATE(14893), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14427), 2,
      sym_comment,
      sym_block_comment,
  [616178] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14428), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8198), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [616195] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14236), 1,
      anon_sym_LPAREN,
    ACTIONS(17235), 1,
      sym__automatic_semicolon,
    STATE(13688), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14384), 1,
      sym_class_parameters,
    STATE(14429), 2,
      sym_comment,
      sym_block_comment,
  [616218] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17239), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14430), 2,
      sym_comment,
      sym_block_comment,
  [616241] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16608), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14431), 2,
      sym_comment,
      sym_block_comment,
  [616264] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17241), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14432), 2,
      sym_comment,
      sym_block_comment,
  [616287] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_LBRACE,
    ACTIONS(17245), 1,
      sym__indent,
    STATE(11787), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14433), 2,
      sym_comment,
      sym_block_comment,
  [616308] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17247), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14434), 2,
      sym_comment,
      sym_block_comment,
  [616331] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17243), 1,
      anon_sym_LBRACE,
    ACTIONS(17245), 1,
      sym__indent,
    STATE(12016), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14435), 2,
      sym_comment,
      sym_block_comment,
  [616352] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17249), 1,
      anon_sym_RBRACE,
    STATE(14441), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14436), 2,
      sym_comment,
      sym_block_comment,
  [616375] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(447), 1,
      ts_builtin_sym_end,
    STATE(14462), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(17251), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14437), 2,
      sym_comment,
      sym_block_comment,
  [616396] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17253), 1,
      anon_sym_COMMA,
    ACTIONS(17255), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14438), 2,
      sym_comment,
      sym_block_comment,
  [616419] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17257), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14439), 2,
      sym_comment,
      sym_block_comment,
  [616442] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16668), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14440), 2,
      sym_comment,
      sym_block_comment,
  [616465] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17259), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14441), 2,
      sym_comment,
      sym_block_comment,
  [616488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17261), 1,
      anon_sym_LBRACE,
    ACTIONS(17263), 1,
      sym__indent,
    STATE(13338), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14442), 2,
      sym_comment,
      sym_block_comment,
  [616509] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15929), 1,
      anon_sym_RBRACE,
    STATE(14472), 1,
      aux_sym__block_repeat1,
    ACTIONS(16232), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14443), 2,
      sym_comment,
      sym_block_comment,
  [616530] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17265), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14444), 2,
      sym_comment,
      sym_block_comment,
  [616553] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17267), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14445), 2,
      sym_comment,
      sym_block_comment,
  [616576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17261), 1,
      anon_sym_LBRACE,
    ACTIONS(17263), 1,
      sym__indent,
    STATE(13552), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14446), 2,
      sym_comment,
      sym_block_comment,
  [616597] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17269), 1,
      anon_sym_RBRACE,
    STATE(14459), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14447), 2,
      sym_comment,
      sym_block_comment,
  [616620] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(17271), 1,
      anon_sym_COLON,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13551), 1,
      sym_parameters,
    STATE(14448), 2,
      sym_comment,
      sym_block_comment,
  [616643] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17273), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14449), 2,
      sym_comment,
      sym_block_comment,
  [616666] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16662), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14450), 2,
      sym_comment,
      sym_block_comment,
  [616689] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17275), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14451), 2,
      sym_comment,
      sym_block_comment,
  [616712] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17277), 1,
      anon_sym_LBRACE,
    ACTIONS(17279), 1,
      sym__indent,
    STATE(13994), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14452), 2,
      sym_comment,
      sym_block_comment,
  [616733] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17281), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14453), 2,
      sym_comment,
      sym_block_comment,
  [616756] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17277), 1,
      anon_sym_LBRACE,
    ACTIONS(17279), 1,
      sym__indent,
    STATE(13961), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14454), 2,
      sym_comment,
      sym_block_comment,
  [616777] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17283), 1,
      anon_sym_RBRACE,
    STATE(14470), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14455), 2,
      sym_comment,
      sym_block_comment,
  [616800] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17285), 1,
      anon_sym_EQ,
    STATE(14456), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16842), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [616819] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17287), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14457), 2,
      sym_comment,
      sym_block_comment,
  [616842] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16639), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14458), 2,
      sym_comment,
      sym_block_comment,
  [616865] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17289), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14459), 2,
      sym_comment,
      sym_block_comment,
  [616888] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17291), 1,
      anon_sym_LBRACE,
    ACTIONS(17293), 1,
      sym__indent,
    STATE(12367), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14460), 2,
      sym_comment,
      sym_block_comment,
  [616909] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17295), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14461), 2,
      sym_comment,
      sym_block_comment,
  [616932] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(419), 1,
      ts_builtin_sym_end,
    STATE(14494), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(17297), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14462), 2,
      sym_comment,
      sym_block_comment,
  [616953] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17299), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14463), 2,
      sym_comment,
      sym_block_comment,
  [616976] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17291), 1,
      anon_sym_LBRACE,
    ACTIONS(17293), 1,
      sym__indent,
    STATE(12620), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14464), 2,
      sym_comment,
      sym_block_comment,
  [616997] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17301), 1,
      anon_sym_RBRACE,
    STATE(14479), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14465), 2,
      sym_comment,
      sym_block_comment,
  [617020] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17303), 1,
      anon_sym_LBRACE,
    ACTIONS(17305), 1,
      sym__indent,
    STATE(12673), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14466), 2,
      sym_comment,
      sym_block_comment,
  [617041] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(419), 1,
      ts_builtin_sym_end,
    STATE(14504), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(17297), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14467), 2,
      sym_comment,
      sym_block_comment,
  [617062] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17307), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14468), 2,
      sym_comment,
      sym_block_comment,
  [617085] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16549), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14469), 2,
      sym_comment,
      sym_block_comment,
  [617108] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17309), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14470), 2,
      sym_comment,
      sym_block_comment,
  [617131] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17311), 1,
      anon_sym_LBRACE,
    ACTIONS(17313), 1,
      sym__indent,
    STATE(13368), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14471), 2,
      sym_comment,
      sym_block_comment,
  [617152] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(637), 1,
      anon_sym_RBRACE,
    STATE(14515), 1,
      aux_sym__block_repeat1,
    ACTIONS(17315), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14472), 2,
      sym_comment,
      sym_block_comment,
  [617173] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17317), 1,
      anon_sym_RBRACE,
    ACTIONS(17319), 1,
      anon_sym_case,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14473), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_indented_cases_repeat1,
  [617194] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17322), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14474), 2,
      sym_comment,
      sym_block_comment,
  [617217] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17311), 1,
      anon_sym_LBRACE,
    ACTIONS(17313), 1,
      sym__indent,
    STATE(13380), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14475), 2,
      sym_comment,
      sym_block_comment,
  [617238] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17324), 1,
      anon_sym_RBRACE,
    STATE(14502), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14476), 2,
      sym_comment,
      sym_block_comment,
  [617261] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17326), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14477), 2,
      sym_comment,
      sym_block_comment,
  [617284] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16481), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14478), 2,
      sym_comment,
      sym_block_comment,
  [617307] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17328), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14479), 2,
      sym_comment,
      sym_block_comment,
  [617330] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(17330), 1,
      anon_sym_COLON,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13551), 1,
      sym_parameters,
    STATE(14480), 2,
      sym_comment,
      sym_block_comment,
  [617353] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(17332), 1,
      anon_sym_COLON,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13551), 1,
      sym_parameters,
    STATE(14481), 2,
      sym_comment,
      sym_block_comment,
  [617376] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17334), 1,
      anon_sym_LBRACE,
    ACTIONS(17336), 1,
      sym__indent,
    STATE(13589), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14482), 2,
      sym_comment,
      sym_block_comment,
  [617397] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17338), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14483), 2,
      sym_comment,
      sym_block_comment,
  [617420] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(17340), 1,
      anon_sym_COLON,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13551), 1,
      sym_parameters,
    STATE(14484), 2,
      sym_comment,
      sym_block_comment,
  [617443] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17342), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14485), 2,
      sym_comment,
      sym_block_comment,
  [617466] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17344), 1,
      anon_sym_SEMI,
    ACTIONS(17346), 1,
      sym__automatic_semicolon,
    ACTIONS(17348), 1,
      sym__outdent,
    STATE(14533), 1,
      aux_sym_enumerators_repeat1,
    STATE(14486), 2,
      sym_comment,
      sym_block_comment,
  [617489] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17334), 1,
      anon_sym_LBRACE,
    ACTIONS(17336), 1,
      sym__indent,
    STATE(13554), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14487), 2,
      sym_comment,
      sym_block_comment,
  [617510] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17350), 1,
      anon_sym_RBRACE,
    STATE(14516), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14488), 2,
      sym_comment,
      sym_block_comment,
  [617533] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17352), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14489), 2,
      sym_comment,
      sym_block_comment,
  [617556] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16496), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14490), 2,
      sym_comment,
      sym_block_comment,
  [617579] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17354), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14491), 2,
      sym_comment,
      sym_block_comment,
  [617602] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17356), 1,
      anon_sym_LBRACE,
    ACTIONS(17358), 1,
      sym__indent,
    STATE(11491), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14492), 2,
      sym_comment,
      sym_block_comment,
  [617623] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17360), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14493), 2,
      sym_comment,
      sym_block_comment,
  [617646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17362), 1,
      ts_builtin_sym_end,
    ACTIONS(17364), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14494), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_compilation_unit_repeat1,
  [617665] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17356), 1,
      anon_sym_LBRACE,
    ACTIONS(17358), 1,
      sym__indent,
    STATE(11530), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14495), 2,
      sym_comment,
      sym_block_comment,
  [617686] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17367), 1,
      anon_sym_RBRACE,
    STATE(14526), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14496), 2,
      sym_comment,
      sym_block_comment,
  [617709] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17369), 1,
      anon_sym_EQ,
    STATE(14497), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16894), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [617728] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17303), 1,
      anon_sym_LBRACE,
    ACTIONS(17305), 1,
      sym__indent,
    STATE(12770), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14498), 2,
      sym_comment,
      sym_block_comment,
  [617749] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17371), 1,
      anon_sym_RBRACE,
    STATE(14445), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14499), 2,
      sym_comment,
      sym_block_comment,
  [617772] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17373), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14500), 2,
      sym_comment,
      sym_block_comment,
  [617795] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16452), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14501), 2,
      sym_comment,
      sym_block_comment,
  [617818] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17375), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14502), 2,
      sym_comment,
      sym_block_comment,
  [617841] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17377), 1,
      anon_sym_LBRACE,
    ACTIONS(17379), 1,
      sym__indent,
    STATE(12357), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14503), 2,
      sym_comment,
      sym_block_comment,
  [617862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(441), 1,
      ts_builtin_sym_end,
    STATE(14494), 1,
      aux_sym_compilation_unit_repeat1,
    ACTIONS(17381), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14504), 2,
      sym_comment,
      sym_block_comment,
  [617883] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17383), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14505), 2,
      sym_comment,
      sym_block_comment,
  [617906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17385), 1,
      anon_sym_COLON,
    ACTIONS(17389), 1,
      anon_sym_EQ,
    ACTIONS(17387), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14506), 2,
      sym_comment,
      sym_block_comment,
  [617927] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17377), 1,
      anon_sym_LBRACE,
    ACTIONS(17379), 1,
      sym__indent,
    STATE(12273), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14507), 2,
      sym_comment,
      sym_block_comment,
  [617948] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17391), 1,
      anon_sym_RBRACE,
    STATE(14538), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14508), 2,
      sym_comment,
      sym_block_comment,
  [617971] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16203), 1,
      anon_sym_RBRACE,
    STATE(14557), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(16312), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14509), 2,
      sym_comment,
      sym_block_comment,
  [617992] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17393), 1,
      anon_sym_DOT,
    STATE(14510), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(8006), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [618011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17395), 1,
      anon_sym_COMMA,
    STATE(14559), 1,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15772), 2,
      anon_sym_COLON,
      anon_sym_LBRACE,
    STATE(14511), 2,
      sym_comment,
      sym_block_comment,
  [618032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14512), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16230), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_SEMI,
  [618049] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17397), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14513), 2,
      sym_comment,
      sym_block_comment,
  [618072] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16653), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14514), 2,
      sym_comment,
      sym_block_comment,
  [618095] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16230), 1,
      anon_sym_RBRACE,
    ACTIONS(17399), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14515), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [618114] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17402), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14516), 2,
      sym_comment,
      sym_block_comment,
  [618137] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17404), 1,
      anon_sym_LBRACE,
    ACTIONS(17406), 1,
      sym__indent,
    STATE(12815), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14517), 2,
      sym_comment,
      sym_block_comment,
  [618158] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17408), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14518), 2,
      sym_comment,
      sym_block_comment,
  [618181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14519), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17410), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
  [618198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17404), 1,
      anon_sym_LBRACE,
    ACTIONS(17406), 1,
      sym__indent,
    STATE(12734), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14520), 2,
      sym_comment,
      sym_block_comment,
  [618219] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17412), 1,
      anon_sym_COMMA,
    ACTIONS(17414), 1,
      anon_sym_RPAREN,
    STATE(15671), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14521), 2,
      sym_comment,
      sym_block_comment,
  [618242] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17416), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14522), 2,
      sym_comment,
      sym_block_comment,
  [618265] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(17418), 1,
      anon_sym_COLON,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13551), 1,
      sym_parameters,
    STATE(14523), 2,
      sym_comment,
      sym_block_comment,
  [618288] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16685), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14524), 2,
      sym_comment,
      sym_block_comment,
  [618311] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(17420), 1,
      anon_sym_COLON,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13551), 1,
      sym_parameters,
    STATE(14525), 2,
      sym_comment,
      sym_block_comment,
  [618334] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17422), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14526), 2,
      sym_comment,
      sym_block_comment,
  [618357] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17424), 1,
      anon_sym_RBRACE,
    STATE(14577), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14527), 2,
      sym_comment,
      sym_block_comment,
  [618380] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(17426), 1,
      anon_sym_COLON,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13551), 1,
      sym_parameters,
    STATE(14528), 2,
      sym_comment,
      sym_block_comment,
  [618403] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17428), 1,
      anon_sym_LBRACE,
    ACTIONS(17430), 1,
      sym__indent,
    STATE(13747), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14529), 2,
      sym_comment,
      sym_block_comment,
  [618424] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14530), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(9759), 4,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_LPAREN,
  [618441] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17432), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14531), 2,
      sym_comment,
      sym_block_comment,
  [618464] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14532), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(7162), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_yield,
  [618481] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7178), 1,
      sym__outdent,
    ACTIONS(17344), 1,
      anon_sym_SEMI,
    ACTIONS(17434), 1,
      sym__automatic_semicolon,
    STATE(14682), 1,
      aux_sym_enumerators_repeat1,
    STATE(14533), 2,
      sym_comment,
      sym_block_comment,
  [618504] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17428), 1,
      anon_sym_LBRACE,
    ACTIONS(17430), 1,
      sym__indent,
    STATE(13771), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14534), 2,
      sym_comment,
      sym_block_comment,
  [618525] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17436), 1,
      anon_sym_RBRACE,
    STATE(14591), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14535), 2,
      sym_comment,
      sym_block_comment,
  [618548] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17438), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14536), 2,
      sym_comment,
      sym_block_comment,
  [618571] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16616), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14537), 2,
      sym_comment,
      sym_block_comment,
  [618594] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17440), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14538), 2,
      sym_comment,
      sym_block_comment,
  [618617] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17442), 1,
      anon_sym_LBRACE,
    ACTIONS(17444), 1,
      sym__indent,
    STATE(13813), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14539), 2,
      sym_comment,
      sym_block_comment,
  [618638] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17446), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14540), 2,
      sym_comment,
      sym_block_comment,
  [618661] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14541), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16066), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [618678] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17442), 1,
      anon_sym_LBRACE,
    ACTIONS(17444), 1,
      sym__indent,
    STATE(13800), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14542), 2,
      sym_comment,
      sym_block_comment,
  [618699] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17448), 1,
      anon_sym_RBRACE,
    STATE(14603), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14543), 2,
      sym_comment,
      sym_block_comment,
  [618722] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17450), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14544), 2,
      sym_comment,
      sym_block_comment,
  [618745] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16618), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14545), 2,
      sym_comment,
      sym_block_comment,
  [618768] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17452), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14546), 2,
      sym_comment,
      sym_block_comment,
  [618791] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17454), 1,
      anon_sym_LBRACE,
    ACTIONS(17456), 1,
      sym__indent,
    STATE(13293), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14547), 2,
      sym_comment,
      sym_block_comment,
  [618812] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17458), 1,
      anon_sym_COLON,
    ACTIONS(17461), 1,
      anon_sym_COMMA,
    ACTIONS(17464), 1,
      anon_sym_EQ,
    STATE(14580), 1,
      aux_sym_identifiers_repeat1,
    STATE(14548), 2,
      sym_comment,
      sym_block_comment,
  [618835] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17466), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14549), 2,
      sym_comment,
      sym_block_comment,
  [618858] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17468), 1,
      anon_sym_EQ,
    STATE(14550), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16947), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [618877] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17454), 1,
      anon_sym_LBRACE,
    ACTIONS(17456), 1,
      sym__indent,
    STATE(13166), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14551), 2,
      sym_comment,
      sym_block_comment,
  [618898] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17470), 1,
      anon_sym_RBRACE,
    STATE(14610), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14552), 2,
      sym_comment,
      sym_block_comment,
  [618921] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16614), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14553), 2,
      sym_comment,
      sym_block_comment,
  [618944] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17472), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14554), 2,
      sym_comment,
      sym_block_comment,
  [618967] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17474), 1,
      anon_sym_LBRACE,
    ACTIONS(17476), 1,
      sym__indent,
    STATE(13658), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14555), 2,
      sym_comment,
      sym_block_comment,
  [618988] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17478), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14556), 2,
      sym_comment,
      sym_block_comment,
  [619011] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(663), 1,
      anon_sym_RBRACE,
    STATE(14590), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(17480), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14557), 2,
      sym_comment,
      sym_block_comment,
  [619032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17482), 1,
      anon_sym_COLON,
    ACTIONS(17486), 1,
      anon_sym_EQ,
    ACTIONS(17484), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14558), 2,
      sym_comment,
      sym_block_comment,
  [619053] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17395), 1,
      anon_sym_COMMA,
    STATE(14593), 1,
      aux_sym_derives_clause_repeat1,
    ACTIONS(15860), 2,
      anon_sym_COLON,
      anon_sym_LBRACE,
    STATE(14559), 2,
      sym_comment,
      sym_block_comment,
  [619074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17474), 1,
      anon_sym_LBRACE,
    ACTIONS(17476), 1,
      sym__indent,
    STATE(13636), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14560), 2,
      sym_comment,
      sym_block_comment,
  [619095] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17488), 1,
      anon_sym_RBRACE,
    STATE(14616), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14561), 2,
      sym_comment,
      sym_block_comment,
  [619118] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14562), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17490), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
  [619135] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17492), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14563), 2,
      sym_comment,
      sym_block_comment,
  [619158] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16604), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14564), 2,
      sym_comment,
      sym_block_comment,
  [619181] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17494), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14565), 2,
      sym_comment,
      sym_block_comment,
  [619204] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17496), 1,
      anon_sym_LBRACE,
    ACTIONS(17498), 1,
      sym__indent,
    STATE(12072), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14566), 2,
      sym_comment,
      sym_block_comment,
  [619225] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17502), 1,
      anon_sym_EQ,
    ACTIONS(17500), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14567), 2,
      sym_comment,
      sym_block_comment,
  [619246] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17504), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14568), 2,
      sym_comment,
      sym_block_comment,
  [619269] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17506), 1,
      anon_sym_COMMA,
    ACTIONS(17509), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(14569), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_tuple_type_repeat1,
  [619288] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17511), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14570), 2,
      sym_comment,
      sym_block_comment,
  [619311] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    ACTIONS(17513), 1,
      anon_sym_COLON,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13551), 1,
      sym_parameters,
    STATE(14571), 2,
      sym_comment,
      sym_block_comment,
  [619334] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17496), 1,
      anon_sym_LBRACE,
    ACTIONS(17498), 1,
      sym__indent,
    STATE(11813), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14572), 2,
      sym_comment,
      sym_block_comment,
  [619355] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17515), 1,
      anon_sym_RBRACE,
    STATE(14622), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14573), 2,
      sym_comment,
      sym_block_comment,
  [619378] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14574), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17517), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_yield,
  [619395] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17519), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14575), 2,
      sym_comment,
      sym_block_comment,
  [619418] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16587), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14576), 2,
      sym_comment,
      sym_block_comment,
  [619441] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17521), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14577), 2,
      sym_comment,
      sym_block_comment,
  [619464] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17523), 1,
      anon_sym_LBRACE,
    ACTIONS(17525), 1,
      sym__indent,
    STATE(13072), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14578), 2,
      sym_comment,
      sym_block_comment,
  [619485] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16643), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14579), 2,
      sym_comment,
      sym_block_comment,
  [619508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17529), 1,
      anon_sym_COMMA,
    STATE(14602), 1,
      aux_sym_identifiers_repeat1,
    ACTIONS(17527), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(14580), 2,
      sym_comment,
      sym_block_comment,
  [619529] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17531), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14581), 2,
      sym_comment,
      sym_block_comment,
  [619552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17523), 1,
      anon_sym_LBRACE,
    ACTIONS(17525), 1,
      sym__indent,
    STATE(13182), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14582), 2,
      sym_comment,
      sym_block_comment,
  [619573] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17533), 1,
      anon_sym_RBRACE,
    STATE(14644), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14583), 2,
      sym_comment,
      sym_block_comment,
  [619596] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17535), 1,
      anon_sym_EQ,
    STATE(14584), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17026), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [619615] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17539), 1,
      anon_sym_EQ,
    ACTIONS(17537), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14585), 2,
      sym_comment,
      sym_block_comment,
  [619636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17541), 1,
      anon_sym_COLON,
    ACTIONS(17545), 1,
      anon_sym_EQ,
    ACTIONS(17543), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14586), 2,
      sym_comment,
      sym_block_comment,
  [619657] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14610), 1,
      anon_sym_LPAREN,
    ACTIONS(17547), 1,
      sym__automatic_semicolon,
    STATE(13768), 1,
      aux_sym__full_enum_def_repeat1,
    STATE(14255), 1,
      sym_class_parameters,
    STATE(14587), 2,
      sym_comment,
      sym_block_comment,
  [619680] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14588), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17549), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [619697] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17551), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14589), 2,
      sym_comment,
      sym_block_comment,
  [619720] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16514), 1,
      anon_sym_RBRACE,
    ACTIONS(17553), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14590), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__enum_block_repeat1,
  [619739] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17556), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14591), 2,
      sym_comment,
      sym_block_comment,
  [619762] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17558), 1,
      anon_sym_LBRACE,
    ACTIONS(17560), 1,
      sym__indent,
    STATE(13480), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14592), 2,
      sym_comment,
      sym_block_comment,
  [619783] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17562), 1,
      anon_sym_COMMA,
    ACTIONS(15673), 2,
      anon_sym_COLON,
      anon_sym_LBRACE,
    STATE(14593), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_derives_clause_repeat1,
  [619802] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17565), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14594), 2,
      sym_comment,
      sym_block_comment,
  [619825] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17558), 1,
      anon_sym_LBRACE,
    ACTIONS(17560), 1,
      sym__indent,
    STATE(13599), 2,
      sym_indented_cases,
      sym_case_block,
    STATE(14595), 2,
      sym_comment,
      sym_block_comment,
  [619846] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17567), 1,
      anon_sym_RBRACE,
    STATE(14654), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14596), 2,
      sym_comment,
      sym_block_comment,
  [619869] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17571), 1,
      anon_sym_EQ,
    ACTIONS(17569), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14597), 2,
      sym_comment,
      sym_block_comment,
  [619890] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16577), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14598), 2,
      sym_comment,
      sym_block_comment,
  [619913] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17573), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14599), 2,
      sym_comment,
      sym_block_comment,
  [619936] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14600), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17575), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_do,
      anon_sym_yield,
  [619953] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17577), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14601), 2,
      sym_comment,
      sym_block_comment,
  [619976] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17581), 1,
      anon_sym_COMMA,
    ACTIONS(17579), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(14602), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_identifiers_repeat1,
  [619995] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17584), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14603), 2,
      sym_comment,
      sym_block_comment,
  [620018] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17586), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14604), 2,
      sym_comment,
      sym_block_comment,
  [620041] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17590), 1,
      anon_sym_EQ,
    ACTIONS(17588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14605), 2,
      sym_comment,
      sym_block_comment,
  [620062] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17592), 1,
      anon_sym_COLON,
    ACTIONS(17596), 1,
      anon_sym_EQ,
    ACTIONS(17594), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14606), 2,
      sym_comment,
      sym_block_comment,
  [620083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14607), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16693), 4,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [620100] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17141), 1,
      anon_sym_EQ_GT,
    ACTIONS(17143), 1,
      anon_sym_as,
    ACTIONS(17598), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(14608), 2,
      sym_comment,
      sym_block_comment,
  [620121] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17600), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14609), 2,
      sym_comment,
      sym_block_comment,
  [620144] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17602), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14610), 2,
      sym_comment,
      sym_block_comment,
  [620167] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17604), 1,
      anon_sym_case,
    ACTIONS(17607), 1,
      sym__outdent,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14611), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__indented_type_cases_repeat1,
  [620188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17611), 1,
      anon_sym_EQ,
    ACTIONS(17609), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14612), 2,
      sym_comment,
      sym_block_comment,
  [620209] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17615), 1,
      anon_sym_EQ,
    ACTIONS(17613), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14613), 2,
      sym_comment,
      sym_block_comment,
  [620230] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(17619), 1,
      anon_sym_EQ,
    ACTIONS(17617), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14614), 2,
      sym_comment,
      sym_block_comment,
  [620251] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17621), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14615), 2,
      sym_comment,
      sym_block_comment,
  [620274] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17623), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14616), 2,
      sym_comment,
      sym_block_comment,
  [620297] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17625), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14617), 2,
      sym_comment,
      sym_block_comment,
  [620320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15929), 1,
      sym__outdent,
    STATE(14636), 1,
      aux_sym__block_repeat1,
    ACTIONS(16175), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14618), 2,
      sym_comment,
      sym_block_comment,
  [620341] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17627), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14619), 2,
      sym_comment,
      sym_block_comment,
  [620364] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14620), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16933), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620381] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17629), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14621), 2,
      sym_comment,
      sym_block_comment,
  [620404] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17631), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14622), 2,
      sym_comment,
      sym_block_comment,
  [620427] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17633), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14623), 2,
      sym_comment,
      sym_block_comment,
  [620450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16890), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14625), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16794), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620484] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17635), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14626), 2,
      sym_comment,
      sym_block_comment,
  [620507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14627), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16156), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_if,
      anon_sym_SEMI,
  [620524] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17637), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14628), 2,
      sym_comment,
      sym_block_comment,
  [620547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14629), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16828), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620564] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17639), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14630), 2,
      sym_comment,
      sym_block_comment,
  [620587] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17641), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14631), 2,
      sym_comment,
      sym_block_comment,
  [620610] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17643), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14632), 2,
      sym_comment,
      sym_block_comment,
  [620633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14633), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16796), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620650] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17645), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14634), 2,
      sym_comment,
      sym_block_comment,
  [620673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14635), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16780), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620690] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(637), 1,
      sym__outdent,
    STATE(14670), 1,
      aux_sym__block_repeat1,
    ACTIONS(17647), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14636), 2,
      sym_comment,
      sym_block_comment,
  [620711] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17317), 1,
      sym__outdent,
    ACTIONS(17649), 1,
      anon_sym_case,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14637), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_indented_cases_repeat1,
  [620732] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17652), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14638), 2,
      sym_comment,
      sym_block_comment,
  [620755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14639), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16772), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14640), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16770), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16764), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14642), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16762), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620823] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17654), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14643), 2,
      sym_comment,
      sym_block_comment,
  [620846] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17656), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14644), 2,
      sym_comment,
      sym_block_comment,
  [620869] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17658), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14645), 2,
      sym_comment,
      sym_block_comment,
  [620892] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14646), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16730), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14647), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16854), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620926] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17660), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14648), 2,
      sym_comment,
      sym_block_comment,
  [620949] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17662), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14649), 2,
      sym_comment,
      sym_block_comment,
  [620972] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14650), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16728), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [620989] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17664), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14651), 2,
      sym_comment,
      sym_block_comment,
  [621012] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14652), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16963), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14653), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16784), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621046] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17219), 1,
      anon_sym_case,
    ACTIONS(17666), 1,
      anon_sym_RBRACE,
    STATE(14473), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16047), 1,
      sym_case_clause,
    STATE(14654), 2,
      sym_comment,
      sym_block_comment,
  [621069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14655), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16732), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621086] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17668), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14656), 2,
      sym_comment,
      sym_block_comment,
  [621109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14657), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(10418), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621126] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    ACTIONS(17670), 1,
      sym__outdent,
    STATE(14637), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14658), 2,
      sym_comment,
      sym_block_comment,
  [621149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14659), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16750), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621166] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14660), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16778), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621183] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14661), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16892), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621200] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17672), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14662), 2,
      sym_comment,
      sym_block_comment,
  [621223] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17674), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14663), 2,
      sym_comment,
      sym_block_comment,
  [621246] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17676), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14664), 2,
      sym_comment,
      sym_block_comment,
  [621269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14665), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16822), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621286] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16203), 1,
      sym__outdent,
    STATE(14698), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(16201), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14666), 2,
      sym_comment,
      sym_block_comment,
  [621307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14667), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16856), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621324] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14668), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16862), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14669), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16230), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16230), 1,
      sym__outdent,
    ACTIONS(17678), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14670), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__block_repeat1,
  [621377] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17681), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14671), 2,
      sym_comment,
      sym_block_comment,
  [621400] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14672), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16886), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14673), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16888), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621434] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14674), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17044), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621451] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    ACTIONS(17683), 1,
      sym__outdent,
    STATE(14611), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14675), 2,
      sym_comment,
      sym_block_comment,
  [621474] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16977), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621491] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17685), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14677), 2,
      sym_comment,
      sym_block_comment,
  [621514] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14678), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16997), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14679), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17024), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621548] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14680), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17030), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621565] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17687), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14681), 2,
      sym_comment,
      sym_block_comment,
  [621588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16522), 1,
      sym__outdent,
    ACTIONS(17689), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14682), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_enumerators_repeat1,
  [621607] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17692), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14683), 2,
      sym_comment,
      sym_block_comment,
  [621630] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14684), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17052), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621647] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14685), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17052), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621664] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14686), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17065), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14687), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17071), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621698] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14688), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16512), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LT_PERCENT,
  [621715] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17694), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14689), 2,
      sym_comment,
      sym_block_comment,
  [621738] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14690), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17118), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14691), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17149), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621772] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14692), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17151), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14693), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17167), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14694), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17159), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14695), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17183), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621840] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14696), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17185), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621857] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17696), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14697), 2,
      sym_comment,
      sym_block_comment,
  [621880] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(663), 1,
      sym__outdent,
    STATE(14719), 1,
      aux_sym__enum_block_repeat1,
    ACTIONS(17698), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14698), 2,
      sym_comment,
      sym_block_comment,
  [621901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14699), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17199), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621918] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14700), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17205), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14701), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17207), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621952] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14702), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17120), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14703), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16691), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [621986] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17700), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14704), 2,
      sym_comment,
      sym_block_comment,
  [622009] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16649), 1,
      anon_sym_RPAREN,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14705), 2,
      sym_comment,
      sym_block_comment,
  [622032] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14706), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17073), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14707), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17073), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622066] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14708), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17042), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14709), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17042), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622100] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14710), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17032), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14711), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17003), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14712), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16979), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14713), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16975), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622168] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14714), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16734), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14715), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16919), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622202] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14716), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16913), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14717), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16878), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622236] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14718), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17549), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [622253] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16514), 1,
      sym__outdent,
    ACTIONS(17702), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(14719), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__enum_block_repeat1,
  [622272] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(17705), 1,
      anon_sym_while,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14720), 2,
      sym_comment,
      sym_block_comment,
  [622295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14721), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16812), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622312] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14722), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16810), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14723), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16808), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14724), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16712), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14725), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16806), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622380] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14726), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16804), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14727), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16736), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622414] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14728), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16693), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [622431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14729), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16706), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622448] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14730), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16742), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14731), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16744), 4,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_case,
      anon_sym_SEMI,
  [622482] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14785), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(7057), 1,
      sym_type_arguments,
    STATE(14732), 2,
      sym_comment,
      sym_block_comment,
  [622502] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17707), 1,
      anon_sym_COMMA,
    ACTIONS(17709), 1,
      anon_sym_RPAREN,
    STATE(14821), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14733), 2,
      sym_comment,
      sym_block_comment,
  [622522] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17711), 1,
      anon_sym_COMMA,
    ACTIONS(17713), 1,
      anon_sym_RPAREN,
    STATE(15031), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14734), 2,
      sym_comment,
      sym_block_comment,
  [622542] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17715), 1,
      anon_sym_COMMA,
    ACTIONS(17717), 1,
      anon_sym_RBRACK,
    STATE(14770), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14735), 2,
      sym_comment,
      sym_block_comment,
  [622562] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17721), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14736), 2,
      sym_comment,
      sym_block_comment,
  [622582] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17721), 1,
      sym__interpolated_string_end,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14737), 2,
      sym_comment,
      sym_block_comment,
  [622602] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17725), 1,
      anon_sym_COMMA,
    ACTIONS(17727), 1,
      anon_sym_RBRACK,
    STATE(14744), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14738), 2,
      sym_comment,
      sym_block_comment,
  [622622] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5392), 1,
      anon_sym_RBRACK,
    ACTIONS(17729), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14739), 2,
      sym_comment,
      sym_block_comment,
  [622642] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14740), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17731), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [622658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17615), 1,
      anon_sym_EQ,
    ACTIONS(17613), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14741), 2,
      sym_comment,
      sym_block_comment,
  [622676] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5824), 1,
      anon_sym_RPAREN,
    ACTIONS(17733), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14742), 2,
      sym_comment,
      sym_block_comment,
  [622696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5436), 1,
      anon_sym_RPAREN,
    ACTIONS(17735), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14743), 2,
      sym_comment,
      sym_block_comment,
  [622716] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5702), 1,
      anon_sym_RBRACK,
    ACTIONS(17737), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14744), 2,
      sym_comment,
      sym_block_comment,
  [622736] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14615), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14745), 2,
      sym_comment,
      sym_block_comment,
  [622756] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15063), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(7627), 1,
      sym_type_arguments,
    STATE(14746), 2,
      sym_comment,
      sym_block_comment,
  [622776] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11866), 1,
      sym__arrow_then_type,
    ACTIONS(17739), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14747), 2,
      sym_comment,
      sym_block_comment,
  [622794] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5560), 1,
      anon_sym_RBRACK,
    ACTIONS(17741), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14748), 2,
      sym_comment,
      sym_block_comment,
  [622814] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8358), 1,
      anon_sym_RPAREN,
    ACTIONS(17743), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14749), 2,
      sym_comment,
      sym_block_comment,
  [622834] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5160), 1,
      anon_sym_RPAREN,
    ACTIONS(17745), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14750), 2,
      sym_comment,
      sym_block_comment,
  [622854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5632), 1,
      anon_sym_RPAREN,
    ACTIONS(17747), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14751), 2,
      sym_comment,
      sym_block_comment,
  [622874] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17749), 1,
      anon_sym_COMMA,
    ACTIONS(17751), 1,
      anon_sym_RPAREN,
    STATE(15269), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14752), 2,
      sym_comment,
      sym_block_comment,
  [622894] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_RPAREN,
    STATE(15693), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14753), 2,
      sym_comment,
      sym_block_comment,
  [622914] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(17757), 1,
      sym__interpolated_string_end,
    STATE(14737), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14754), 2,
      sym_comment,
      sym_block_comment,
  [622934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17759), 1,
      anon_sym_COMMA,
    ACTIONS(17761), 1,
      anon_sym_RBRACK,
    STATE(14748), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14755), 2,
      sym_comment,
      sym_block_comment,
  [622954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17763), 1,
      sym__interpolated_multiline_string_end,
    STATE(14791), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14756), 2,
      sym_comment,
      sym_block_comment,
  [622974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17765), 1,
      anon_sym_COMMA,
    ACTIONS(17767), 1,
      anon_sym_RBRACK,
    STATE(14763), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14757), 2,
      sym_comment,
      sym_block_comment,
  [622994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(17763), 1,
      sym__interpolated_string_end,
    STATE(14792), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14758), 2,
      sym_comment,
      sym_block_comment,
  [623014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17769), 1,
      anon_sym_LPAREN,
    ACTIONS(17771), 1,
      sym__automatic_semicolon,
    STATE(13434), 1,
      sym_class_parameters,
    STATE(14759), 2,
      sym_comment,
      sym_block_comment,
  [623034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16434), 1,
      anon_sym_COLON,
    ACTIONS(16436), 1,
      anon_sym_LBRACE,
    STATE(14668), 1,
      sym_enum_body,
    STATE(14760), 2,
      sym_comment,
      sym_block_comment,
  [623054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5308), 1,
      anon_sym_RPAREN,
    ACTIONS(17773), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14761), 2,
      sym_comment,
      sym_block_comment,
  [623074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17775), 1,
      anon_sym_COMMA,
    ACTIONS(17777), 1,
      anon_sym_RPAREN,
    STATE(15392), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14762), 2,
      sym_comment,
      sym_block_comment,
  [623094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5718), 1,
      anon_sym_RBRACK,
    ACTIONS(17779), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14763), 2,
      sym_comment,
      sym_block_comment,
  [623114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17781), 1,
      anon_sym_COMMA,
    ACTIONS(17783), 1,
      anon_sym_RBRACK,
    STATE(14810), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14764), 2,
      sym_comment,
      sym_block_comment,
  [623134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12756), 1,
      anon_sym_RPAREN,
    ACTIONS(17785), 1,
      anon_sym_COMMA,
    STATE(14825), 1,
      aux_sym_parameters_repeat1,
    STATE(14765), 2,
      sym_comment,
      sym_block_comment,
  [623154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17787), 1,
      anon_sym_COMMA,
    ACTIONS(17789), 1,
      anon_sym_RPAREN,
    STATE(14828), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14766), 2,
      sym_comment,
      sym_block_comment,
  [623174] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17619), 1,
      anon_sym_EQ,
    ACTIONS(17617), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14767), 2,
      sym_comment,
      sym_block_comment,
  [623192] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14621), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14768), 2,
      sym_comment,
      sym_block_comment,
  [623212] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11134), 1,
      sym__arrow_then_type,
    ACTIONS(17791), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14769), 2,
      sym_comment,
      sym_block_comment,
  [623230] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5980), 1,
      anon_sym_RBRACK,
    ACTIONS(17793), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14770), 2,
      sym_comment,
      sym_block_comment,
  [623250] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17757), 1,
      sym__interpolated_multiline_string_end,
    STATE(14736), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14771), 2,
      sym_comment,
      sym_block_comment,
  [623270] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17795), 1,
      anon_sym_COMMA,
    ACTIONS(17797), 1,
      anon_sym_RPAREN,
    STATE(15067), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14772), 2,
      sym_comment,
      sym_block_comment,
  [623290] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17799), 1,
      anon_sym_COMMA,
    ACTIONS(17801), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14773), 2,
      sym_comment,
      sym_block_comment,
  [623310] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4206), 1,
      sym__indent,
    STATE(7666), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(14774), 2,
      sym_comment,
      sym_block_comment,
  [623328] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17803), 1,
      anon_sym_COMMA,
    ACTIONS(17805), 1,
      anon_sym_RBRACK,
    STATE(14781), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14775), 2,
      sym_comment,
      sym_block_comment,
  [623348] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(17807), 1,
      anon_sym_COLON,
    STATE(15772), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14776), 2,
      sym_comment,
      sym_block_comment,
  [623368] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(17809), 1,
      anon_sym_COLON,
    STATE(15772), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14777), 2,
      sym_comment,
      sym_block_comment,
  [623388] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(17811), 1,
      anon_sym_COLON,
    STATE(15772), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14778), 2,
      sym_comment,
      sym_block_comment,
  [623408] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5834), 1,
      anon_sym_RPAREN,
    ACTIONS(17813), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14779), 2,
      sym_comment,
      sym_block_comment,
  [623428] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5628), 1,
      anon_sym_RBRACK,
    ACTIONS(17815), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14780), 2,
      sym_comment,
      sym_block_comment,
  [623448] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5734), 1,
      anon_sym_RBRACK,
    ACTIONS(17817), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14781), 2,
      sym_comment,
      sym_block_comment,
  [623468] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(17819), 1,
      anon_sym_COLON,
    STATE(15772), 1,
      aux_sym_val_declaration_repeat1,
    STATE(14782), 2,
      sym_comment,
      sym_block_comment,
  [623488] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15073), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(7384), 1,
      sym_type_arguments,
    STATE(14783), 2,
      sym_comment,
      sym_block_comment,
  [623508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17821), 1,
      anon_sym_COMMA,
    ACTIONS(17823), 1,
      anon_sym_RBRACK,
    STATE(14739), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14784), 2,
      sym_comment,
      sym_block_comment,
  [623528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5296), 1,
      anon_sym_RPAREN,
    ACTIONS(17825), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14785), 2,
      sym_comment,
      sym_block_comment,
  [623548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17827), 1,
      anon_sym_COMMA,
    ACTIONS(17829), 1,
      anon_sym_RBRACK,
    STATE(14848), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14786), 2,
      sym_comment,
      sym_block_comment,
  [623568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14485), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(14787), 2,
      sym_comment,
      sym_block_comment,
  [623588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17831), 1,
      anon_sym_COMMA,
    ACTIONS(17833), 1,
      anon_sym_RBRACK,
    STATE(14780), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14788), 2,
      sym_comment,
      sym_block_comment,
  [623608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5600), 1,
      anon_sym_RPAREN,
    ACTIONS(17835), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14789), 2,
      sym_comment,
      sym_block_comment,
  [623628] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17837), 1,
      anon_sym_COMMA,
    ACTIONS(17839), 1,
      anon_sym_RPAREN,
    STATE(15388), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14790), 2,
      sym_comment,
      sym_block_comment,
  [623648] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17841), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14791), 2,
      sym_comment,
      sym_block_comment,
  [623668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(17841), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14792), 2,
      sym_comment,
      sym_block_comment,
  [623688] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17843), 1,
      anon_sym_COMMA,
    ACTIONS(17845), 1,
      anon_sym_RBRACK,
    STATE(14799), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14793), 2,
      sym_comment,
      sym_block_comment,
  [623708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17611), 1,
      anon_sym_EQ,
    ACTIONS(17609), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14794), 2,
      sym_comment,
      sym_block_comment,
  [623726] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8186), 1,
      anon_sym_RPAREN,
    ACTIONS(17847), 1,
      anon_sym_COMMA,
    STATE(14873), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14795), 2,
      sym_comment,
      sym_block_comment,
  [623746] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17849), 1,
      anon_sym_COMMA,
    ACTIONS(17851), 1,
      anon_sym_RPAREN,
    STATE(15376), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14796), 2,
      sym_comment,
      sym_block_comment,
  [623766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5326), 1,
      anon_sym_RPAREN,
    ACTIONS(17853), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14797), 2,
      sym_comment,
      sym_block_comment,
  [623786] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17855), 1,
      anon_sym_COMMA,
    ACTIONS(17857), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14798), 2,
      sym_comment,
      sym_block_comment,
  [623806] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5756), 1,
      anon_sym_RBRACK,
    ACTIONS(17859), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14799), 2,
      sym_comment,
      sym_block_comment,
  [623826] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16434), 1,
      anon_sym_COLON,
    ACTIONS(16436), 1,
      anon_sym_LBRACE,
    STATE(14700), 1,
      sym_enum_body,
    STATE(14800), 2,
      sym_comment,
      sym_block_comment,
  [623846] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17861), 1,
      anon_sym_COMMA,
    ACTIONS(17863), 1,
      anon_sym_RBRACK,
    STATE(14798), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14801), 2,
      sym_comment,
      sym_block_comment,
  [623866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17865), 1,
      anon_sym_COMMA,
    ACTIONS(17867), 1,
      anon_sym_RBRACK,
    STATE(14831), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14802), 2,
      sym_comment,
      sym_block_comment,
  [623886] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15694), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(8881), 1,
      sym_type_arguments,
    STATE(14803), 2,
      sym_comment,
      sym_block_comment,
  [623906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17869), 1,
      anon_sym_COMMA,
    ACTIONS(17871), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14804), 2,
      sym_comment,
      sym_block_comment,
  [623926] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5584), 1,
      anon_sym_RBRACK,
    ACTIONS(17873), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14805), 2,
      sym_comment,
      sym_block_comment,
  [623946] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17875), 1,
      anon_sym_COMMA,
    ACTIONS(17877), 1,
      anon_sym_RBRACK,
    STATE(14804), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14806), 2,
      sym_comment,
      sym_block_comment,
  [623966] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17879), 1,
      anon_sym_COMMA,
    ACTIONS(17881), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14807), 2,
      sym_comment,
      sym_block_comment,
  [623986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17883), 1,
      anon_sym_COMMA,
    ACTIONS(17885), 1,
      anon_sym_RPAREN,
    STATE(15236), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14808), 2,
      sym_comment,
      sym_block_comment,
  [624006] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5254), 1,
      anon_sym_RPAREN,
    ACTIONS(17887), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14809), 2,
      sym_comment,
      sym_block_comment,
  [624026] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17889), 1,
      anon_sym_COMMA,
    ACTIONS(17891), 1,
      anon_sym_RBRACK,
    STATE(15748), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14810), 2,
      sym_comment,
      sym_block_comment,
  [624046] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17893), 1,
      anon_sym_COMMA,
    ACTIONS(17895), 1,
      anon_sym_RBRACK,
    STATE(14817), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14811), 2,
      sym_comment,
      sym_block_comment,
  [624066] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17897), 1,
      anon_sym_COMMA,
    ACTIONS(17899), 1,
      anon_sym_RBRACK,
    STATE(14807), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14812), 2,
      sym_comment,
      sym_block_comment,
  [624086] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12766), 1,
      anon_sym_RPAREN,
    ACTIONS(17901), 1,
      anon_sym_COMMA,
    STATE(14890), 1,
      aux_sym_parameters_repeat1,
    STATE(14813), 2,
      sym_comment,
      sym_block_comment,
  [624106] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17903), 1,
      anon_sym_COMMA,
    ACTIONS(17905), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14814), 2,
      sym_comment,
      sym_block_comment,
  [624126] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5846), 1,
      anon_sym_RPAREN,
    ACTIONS(17907), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14815), 2,
      sym_comment,
      sym_block_comment,
  [624146] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5710), 1,
      anon_sym_RBRACK,
    ACTIONS(17909), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14816), 2,
      sym_comment,
      sym_block_comment,
  [624166] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5768), 1,
      anon_sym_RBRACK,
    ACTIONS(17911), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14817), 2,
      sym_comment,
      sym_block_comment,
  [624186] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17233), 1,
      anon_sym_RPAREN,
    ACTIONS(17913), 1,
      anon_sym_COMMA,
    STATE(14891), 1,
      aux_sym_parameters_repeat1,
    STATE(14818), 2,
      sym_comment,
      sym_block_comment,
  [624206] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17915), 1,
      anon_sym_COMMA,
    ACTIONS(17917), 1,
      anon_sym_RBRACK,
    STATE(14814), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14819), 2,
      sym_comment,
      sym_block_comment,
  [624226] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17919), 1,
      anon_sym_COMMA,
    ACTIONS(17921), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14820), 2,
      sym_comment,
      sym_block_comment,
  [624246] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5198), 1,
      anon_sym_RPAREN,
    ACTIONS(17923), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14821), 2,
      sym_comment,
      sym_block_comment,
  [624266] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17231), 1,
      anon_sym_COMMA,
    ACTIONS(17233), 1,
      anon_sym_RPAREN,
    STATE(14893), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14822), 2,
      sym_comment,
      sym_block_comment,
  [624286] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17925), 1,
      anon_sym_COMMA,
    ACTIONS(17927), 1,
      anon_sym_RBRACK,
    STATE(14820), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14823), 2,
      sym_comment,
      sym_block_comment,
  [624306] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17929), 1,
      anon_sym_COMMA,
    ACTIONS(17931), 1,
      anon_sym_RBRACK,
    STATE(14816), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14824), 2,
      sym_comment,
      sym_block_comment,
  [624326] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12766), 1,
      anon_sym_RPAREN,
    ACTIONS(17901), 1,
      anon_sym_COMMA,
    STATE(15658), 1,
      aux_sym_parameters_repeat1,
    STATE(14825), 2,
      sym_comment,
      sym_block_comment,
  [624346] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17933), 1,
      anon_sym_COMMA,
    ACTIONS(17935), 1,
      anon_sym_RPAREN,
    STATE(15666), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14826), 2,
      sym_comment,
      sym_block_comment,
  [624366] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17937), 1,
      anon_sym_COMMA,
    ACTIONS(17939), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14827), 2,
      sym_comment,
      sym_block_comment,
  [624386] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5234), 1,
      anon_sym_RPAREN,
    ACTIONS(17941), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14828), 2,
      sym_comment,
      sym_block_comment,
  [624406] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17943), 1,
      anon_sym_COMMA,
    ACTIONS(17945), 1,
      anon_sym_RBRACK,
    STATE(14835), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14829), 2,
      sym_comment,
      sym_block_comment,
  [624426] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17947), 1,
      anon_sym_COMMA,
    ACTIONS(17949), 1,
      anon_sym_RBRACK,
    STATE(14827), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14830), 2,
      sym_comment,
      sym_block_comment,
  [624446] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5126), 1,
      anon_sym_RBRACK,
    ACTIONS(17951), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14831), 2,
      sym_comment,
      sym_block_comment,
  [624466] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17953), 1,
      anon_sym_COMMA,
    ACTIONS(17955), 1,
      anon_sym_RPAREN,
    STATE(15028), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14832), 2,
      sym_comment,
      sym_block_comment,
  [624486] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5608), 1,
      anon_sym_RPAREN,
    ACTIONS(17957), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14833), 2,
      sym_comment,
      sym_block_comment,
  [624506] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17959), 1,
      anon_sym_COMMA,
    ACTIONS(17961), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14834), 2,
      sym_comment,
      sym_block_comment,
  [624526] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5778), 1,
      anon_sym_RBRACK,
    ACTIONS(17963), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14835), 2,
      sym_comment,
      sym_block_comment,
  [624546] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13622), 1,
      anon_sym_LPAREN,
    STATE(13666), 1,
      sym__using_parameters_clause,
    STATE(13830), 1,
      sym_parameters,
    STATE(14836), 2,
      sym_comment,
      sym_block_comment,
  [624566] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17965), 1,
      anon_sym_COMMA,
    ACTIONS(17967), 1,
      anon_sym_RBRACK,
    STATE(14834), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14837), 2,
      sym_comment,
      sym_block_comment,
  [624586] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(17969), 1,
      sym__interpolated_multiline_string_end,
    STATE(14953), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14838), 2,
      sym_comment,
      sym_block_comment,
  [624606] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(17969), 1,
      sym__interpolated_string_end,
    STATE(14957), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14839), 2,
      sym_comment,
      sym_block_comment,
  [624626] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17971), 1,
      anon_sym_COMMA,
    ACTIONS(17973), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14840), 2,
      sym_comment,
      sym_block_comment,
  [624646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4244), 1,
      sym__indent,
    STATE(8913), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(14841), 2,
      sym_comment,
      sym_block_comment,
  [624664] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(17975), 1,
      anon_sym_RPAREN,
    STATE(15581), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(14842), 2,
      sym_comment,
      sym_block_comment,
  [624684] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    ACTIONS(17979), 1,
      anon_sym_RBRACK,
    STATE(14840), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14843), 2,
      sym_comment,
      sym_block_comment,
  [624704] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17981), 1,
      anon_sym_COMMA,
    ACTIONS(17983), 1,
      anon_sym_RPAREN,
    STATE(15505), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14844), 2,
      sym_comment,
      sym_block_comment,
  [624724] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17985), 1,
      anon_sym_COMMA,
    ACTIONS(17987), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14845), 2,
      sym_comment,
      sym_block_comment,
  [624744] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17989), 1,
      anon_sym_COMMA,
    ACTIONS(17991), 1,
      anon_sym_RBRACK,
    STATE(14845), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14846), 2,
      sym_comment,
      sym_block_comment,
  [624764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17993), 1,
      anon_sym_COMMA,
    ACTIONS(17995), 1,
      anon_sym_RBRACK,
    STATE(14853), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14847), 2,
      sym_comment,
      sym_block_comment,
  [624784] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5224), 1,
      anon_sym_RBRACK,
    ACTIONS(17997), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14848), 2,
      sym_comment,
      sym_block_comment,
  [624804] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17999), 1,
      anon_sym_COMMA,
    ACTIONS(18001), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14849), 2,
      sym_comment,
      sym_block_comment,
  [624824] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5810), 1,
      anon_sym_RBRACK,
    ACTIONS(18003), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14850), 2,
      sym_comment,
      sym_block_comment,
  [624844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5378), 1,
      anon_sym_RPAREN,
    ACTIONS(18005), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14851), 2,
      sym_comment,
      sym_block_comment,
  [624864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18007), 1,
      anon_sym_COMMA,
    ACTIONS(18009), 1,
      anon_sym_RBRACK,
    STATE(14849), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14852), 2,
      sym_comment,
      sym_block_comment,
  [624884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5800), 1,
      anon_sym_RBRACK,
    ACTIONS(18011), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14853), 2,
      sym_comment,
      sym_block_comment,
  [624904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4486), 1,
      sym__indent,
    STATE(7806), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(14854), 2,
      sym_comment,
      sym_block_comment,
  [624922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18013), 1,
      anon_sym_COMMA,
    ACTIONS(18015), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14855), 2,
      sym_comment,
      sym_block_comment,
  [624942] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5316), 1,
      anon_sym_RPAREN,
    ACTIONS(18017), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14856), 2,
      sym_comment,
      sym_block_comment,
  [624962] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16434), 1,
      anon_sym_COLON,
    ACTIONS(16436), 1,
      anon_sym_LBRACE,
    STATE(14713), 1,
      sym_enum_body,
    STATE(14857), 2,
      sym_comment,
      sym_block_comment,
  [624982] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18019), 1,
      anon_sym_COMMA,
    ACTIONS(18021), 1,
      anon_sym_RBRACK,
    STATE(14855), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14858), 2,
      sym_comment,
      sym_block_comment,
  [625002] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18023), 1,
      anon_sym_COMMA,
    ACTIONS(18025), 1,
      anon_sym_RBRACK,
    STATE(14850), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14859), 2,
      sym_comment,
      sym_block_comment,
  [625022] = 5,
    ACTIONS(18029), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18031), 1,
      anon_sym_STAR_SLASH,
    STATE(15140), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(18027), 2,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
    STATE(14860), 2,
      sym_comment,
      sym_block_comment,
  [625040] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18033), 1,
      anon_sym_COMMA,
    ACTIONS(18035), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14861), 2,
      sym_comment,
      sym_block_comment,
  [625060] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18037), 1,
      anon_sym_COMMA,
    ACTIONS(18039), 1,
      anon_sym_RPAREN,
    STATE(15121), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14862), 2,
      sym_comment,
      sym_block_comment,
  [625080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8270), 1,
      anon_sym_RPAREN,
    ACTIONS(18041), 1,
      anon_sym_COMMA,
    STATE(14910), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14863), 2,
      sym_comment,
      sym_block_comment,
  [625100] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18043), 1,
      anon_sym_COMMA,
    ACTIONS(18045), 1,
      anon_sym_RPAREN,
    STATE(15433), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14864), 2,
      sym_comment,
      sym_block_comment,
  [625120] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18047), 1,
      anon_sym_COMMA,
    ACTIONS(18049), 1,
      anon_sym_RBRACK,
    STATE(14871), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14865), 2,
      sym_comment,
      sym_block_comment,
  [625140] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18051), 1,
      anon_sym_COMMA,
    ACTIONS(18053), 1,
      anon_sym_RBRACK,
    STATE(14861), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14866), 2,
      sym_comment,
      sym_block_comment,
  [625160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8216), 1,
      anon_sym_RPAREN,
    ACTIONS(18055), 1,
      anon_sym_COMMA,
    STATE(14912), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14867), 2,
      sym_comment,
      sym_block_comment,
  [625180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6044), 1,
      anon_sym_RBRACK,
    ACTIONS(18057), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14868), 2,
      sym_comment,
      sym_block_comment,
  [625200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5880), 1,
      anon_sym_RPAREN,
    ACTIONS(18059), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14869), 2,
      sym_comment,
      sym_block_comment,
  [625220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14609), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14870), 2,
      sym_comment,
      sym_block_comment,
  [625240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5814), 1,
      anon_sym_RBRACK,
    ACTIONS(18061), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14871), 2,
      sym_comment,
      sym_block_comment,
  [625260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18063), 1,
      anon_sym_COMMA,
    ACTIONS(18065), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14872), 2,
      sym_comment,
      sym_block_comment,
  [625280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8216), 1,
      anon_sym_RPAREN,
    ACTIONS(18055), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14873), 2,
      sym_comment,
      sym_block_comment,
  [625300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17598), 1,
      anon_sym_RBRACE,
    ACTIONS(18067), 1,
      anon_sym_COMMA,
    STATE(14874), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_namespace_selectors_repeat1,
  [625318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18070), 1,
      anon_sym_COMMA,
    ACTIONS(18072), 1,
      anon_sym_RBRACK,
    STATE(14872), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14875), 2,
      sym_comment,
      sym_block_comment,
  [625338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18074), 1,
      anon_sym_COMMA,
    ACTIONS(18076), 1,
      anon_sym_RPAREN,
    STATE(15398), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14876), 2,
      sym_comment,
      sym_block_comment,
  [625358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17137), 1,
      anon_sym_RBRACE,
    ACTIONS(17139), 1,
      anon_sym_COMMA,
    STATE(14918), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(14877), 2,
      sym_comment,
      sym_block_comment,
  [625378] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18078), 1,
      anon_sym_COMMA,
    ACTIONS(18080), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14878), 2,
      sym_comment,
      sym_block_comment,
  [625398] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18082), 1,
      anon_sym_COMMA,
    ACTIONS(18084), 1,
      anon_sym_RBRACK,
    STATE(14878), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14879), 2,
      sym_comment,
      sym_block_comment,
  [625418] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18086), 1,
      anon_sym_COMMA,
    ACTIONS(18088), 1,
      anon_sym_RPAREN,
    STATE(14742), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14880), 2,
      sym_comment,
      sym_block_comment,
  [625438] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14630), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(14881), 2,
      sym_comment,
      sym_block_comment,
  [625458] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5896), 1,
      anon_sym_RBRACK,
    ACTIONS(18090), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14882), 2,
      sym_comment,
      sym_block_comment,
  [625478] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18092), 1,
      anon_sym_COMMA,
    ACTIONS(18094), 1,
      anon_sym_RBRACK,
    STATE(14889), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14883), 2,
      sym_comment,
      sym_block_comment,
  [625498] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18096), 1,
      anon_sym_COMMA,
    ACTIONS(18098), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14884), 2,
      sym_comment,
      sym_block_comment,
  [625518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12188), 1,
      sym__arrow_then_type,
    ACTIONS(18100), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14885), 2,
      sym_comment,
      sym_block_comment,
  [625536] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18102), 1,
      anon_sym_COMMA,
    ACTIONS(18104), 1,
      anon_sym_RBRACK,
    STATE(14884), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14886), 2,
      sym_comment,
      sym_block_comment,
  [625556] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5898), 1,
      anon_sym_RPAREN,
    ACTIONS(18106), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14887), 2,
      sym_comment,
      sym_block_comment,
  [625576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5250), 1,
      anon_sym_RPAREN,
    ACTIONS(18108), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14888), 2,
      sym_comment,
      sym_block_comment,
  [625596] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5826), 1,
      anon_sym_RBRACK,
    ACTIONS(18110), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14889), 2,
      sym_comment,
      sym_block_comment,
  [625616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12754), 1,
      anon_sym_RPAREN,
    ACTIONS(18112), 1,
      anon_sym_COMMA,
    STATE(15658), 1,
      aux_sym_parameters_repeat1,
    STATE(14890), 2,
      sym_comment,
      sym_block_comment,
  [625636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5026), 1,
      anon_sym_RPAREN,
    ACTIONS(18114), 1,
      anon_sym_COMMA,
    STATE(15658), 1,
      aux_sym_parameters_repeat1,
    STATE(14891), 2,
      sym_comment,
      sym_block_comment,
  [625656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18116), 1,
      anon_sym_COMMA,
    ACTIONS(18118), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14892), 2,
      sym_comment,
      sym_block_comment,
  [625676] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5026), 1,
      anon_sym_RPAREN,
    ACTIONS(18120), 1,
      anon_sym_COMMA,
    STATE(15196), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(14893), 2,
      sym_comment,
      sym_block_comment,
  [625696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18122), 1,
      anon_sym_COMMA,
    ACTIONS(18124), 1,
      anon_sym_RBRACK,
    STATE(14882), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14894), 2,
      sym_comment,
      sym_block_comment,
  [625716] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18126), 1,
      anon_sym_COMMA,
    ACTIONS(18128), 1,
      anon_sym_RBRACK,
    STATE(14892), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14895), 2,
      sym_comment,
      sym_block_comment,
  [625736] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7288), 1,
      anon_sym_RPAREN,
    ACTIONS(18130), 1,
      anon_sym_COMMA,
    STATE(15581), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(14896), 2,
      sym_comment,
      sym_block_comment,
  [625756] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18132), 1,
      anon_sym_COMMA,
    ACTIONS(18134), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14897), 2,
      sym_comment,
      sym_block_comment,
  [625776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18136), 1,
      anon_sym_COMMA,
    ACTIONS(18138), 1,
      anon_sym_RPAREN,
    STATE(14779), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14898), 2,
      sym_comment,
      sym_block_comment,
  [625796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18140), 1,
      anon_sym_COMMA,
    ACTIONS(18142), 1,
      anon_sym_RPAREN,
    STATE(15483), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14899), 2,
      sym_comment,
      sym_block_comment,
  [625816] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18144), 1,
      anon_sym_COMMA,
    ACTIONS(18146), 1,
      anon_sym_RBRACK,
    STATE(14897), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14900), 2,
      sym_comment,
      sym_block_comment,
  [625836] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18148), 1,
      anon_sym_COMMA,
    ACTIONS(18150), 1,
      anon_sym_RBRACK,
    STATE(14907), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14901), 2,
      sym_comment,
      sym_block_comment,
  [625856] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16434), 1,
      anon_sym_COLON,
    ACTIONS(16436), 1,
      anon_sym_LBRACE,
    STATE(14726), 1,
      sym_enum_body,
    STATE(14902), 2,
      sym_comment,
      sym_block_comment,
  [625876] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5534), 1,
      anon_sym_RPAREN,
    ACTIONS(18152), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14903), 2,
      sym_comment,
      sym_block_comment,
  [625896] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18154), 1,
      anon_sym_COMMA,
    ACTIONS(18156), 1,
      anon_sym_RPAREN,
    STATE(15218), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14904), 2,
      sym_comment,
      sym_block_comment,
  [625916] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5916), 1,
      anon_sym_RPAREN,
    ACTIONS(18158), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14905), 2,
      sym_comment,
      sym_block_comment,
  [625936] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(18160), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14906), 2,
      sym_comment,
      sym_block_comment,
  [625956] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5836), 1,
      anon_sym_RBRACK,
    ACTIONS(18162), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14907), 2,
      sym_comment,
      sym_block_comment,
  [625976] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18164), 1,
      anon_sym_COMMA,
    ACTIONS(18166), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14908), 2,
      sym_comment,
      sym_block_comment,
  [625996] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18168), 1,
      anon_sym_COMMA,
    ACTIONS(18170), 1,
      anon_sym_RBRACK,
    STATE(14908), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14909), 2,
      sym_comment,
      sym_block_comment,
  [626016] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      anon_sym_RPAREN,
    ACTIONS(18172), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14910), 2,
      sym_comment,
      sym_block_comment,
  [626036] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18174), 1,
      anon_sym_COMMA,
    ACTIONS(18176), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14911), 2,
      sym_comment,
      sym_block_comment,
  [626056] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8214), 1,
      anon_sym_RPAREN,
    ACTIONS(18178), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14912), 2,
      sym_comment,
      sym_block_comment,
  [626076] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18180), 1,
      anon_sym_COMMA,
    ACTIONS(18182), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14913), 2,
      sym_comment,
      sym_block_comment,
  [626096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18184), 1,
      anon_sym_COMMA,
    ACTIONS(18186), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14914), 2,
      sym_comment,
      sym_block_comment,
  [626116] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18188), 1,
      anon_sym_COMMA,
    ACTIONS(18190), 1,
      anon_sym_RBRACK,
    STATE(14913), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14915), 2,
      sym_comment,
      sym_block_comment,
  [626136] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18192), 1,
      anon_sym_COMMA,
    ACTIONS(18194), 1,
      anon_sym_RPAREN,
    STATE(14815), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14916), 2,
      sym_comment,
      sym_block_comment,
  [626156] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5990), 1,
      anon_sym_RBRACK,
    ACTIONS(18196), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14917), 2,
      sym_comment,
      sym_block_comment,
  [626176] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12588), 1,
      anon_sym_RBRACE,
    ACTIONS(18198), 1,
      anon_sym_COMMA,
    STATE(14874), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(14918), 2,
      sym_comment,
      sym_block_comment,
  [626196] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18200), 1,
      anon_sym_COMMA,
    ACTIONS(18202), 1,
      anon_sym_RBRACK,
    STATE(14925), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14919), 2,
      sym_comment,
      sym_block_comment,
  [626216] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18204), 1,
      anon_sym_COMMA,
    ACTIONS(18206), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14920), 2,
      sym_comment,
      sym_block_comment,
  [626236] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18208), 1,
      anon_sym_COMMA,
    ACTIONS(18210), 1,
      anon_sym_RBRACK,
    STATE(14920), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14921), 2,
      sym_comment,
      sym_block_comment,
  [626256] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18212), 1,
      anon_sym_COMMA,
    ACTIONS(18214), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14922), 2,
      sym_comment,
      sym_block_comment,
  [626276] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5926), 1,
      anon_sym_RPAREN,
    ACTIONS(18216), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14923), 2,
      sym_comment,
      sym_block_comment,
  [626296] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 1,
      anon_sym_RPAREN,
    ACTIONS(18218), 1,
      anon_sym_COMMA,
    STATE(14930), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14924), 2,
      sym_comment,
      sym_block_comment,
  [626316] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5850), 1,
      anon_sym_RBRACK,
    ACTIONS(18220), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14925), 2,
      sym_comment,
      sym_block_comment,
  [626336] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18222), 1,
      anon_sym_COMMA,
    ACTIONS(18224), 1,
      anon_sym_RBRACK,
    STATE(14922), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14926), 2,
      sym_comment,
      sym_block_comment,
  [626356] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8300), 1,
      anon_sym_RPAREN,
    ACTIONS(18226), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14927), 2,
      sym_comment,
      sym_block_comment,
  [626376] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18228), 1,
      anon_sym_COMMA,
    ACTIONS(18230), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14928), 2,
      sym_comment,
      sym_block_comment,
  [626396] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18232), 1,
      anon_sym_COMMA,
    ACTIONS(18234), 1,
      anon_sym_RBRACK,
    STATE(14917), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14929), 2,
      sym_comment,
      sym_block_comment,
  [626416] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8410), 1,
      anon_sym_RPAREN,
    ACTIONS(18236), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14930), 2,
      sym_comment,
      sym_block_comment,
  [626436] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18238), 1,
      anon_sym_COMMA,
    ACTIONS(18240), 1,
      anon_sym_RBRACK,
    STATE(14928), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14931), 2,
      sym_comment,
      sym_block_comment,
  [626456] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18242), 1,
      anon_sym_COMMA,
    ACTIONS(18244), 1,
      anon_sym_RPAREN,
    STATE(15509), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14932), 2,
      sym_comment,
      sym_block_comment,
  [626476] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18160), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14933), 2,
      sym_comment,
      sym_block_comment,
  [626496] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18246), 1,
      anon_sym_COMMA,
    ACTIONS(18248), 1,
      anon_sym_RPAREN,
    STATE(14833), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14934), 2,
      sym_comment,
      sym_block_comment,
  [626516] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18250), 1,
      anon_sym_COMMA,
    ACTIONS(18252), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14935), 2,
      sym_comment,
      sym_block_comment,
  [626536] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5566), 1,
      anon_sym_RBRACK,
    ACTIONS(18254), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14936), 2,
      sym_comment,
      sym_block_comment,
  [626556] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18256), 1,
      anon_sym_COMMA,
    ACTIONS(18258), 1,
      anon_sym_RBRACK,
    STATE(14943), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14937), 2,
      sym_comment,
      sym_block_comment,
  [626576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18260), 1,
      anon_sym_COMMA,
    ACTIONS(18262), 1,
      anon_sym_RBRACK,
    STATE(14868), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14938), 2,
      sym_comment,
      sym_block_comment,
  [626596] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18264), 1,
      anon_sym_COMMA,
    ACTIONS(18266), 1,
      anon_sym_RBRACK,
    STATE(14935), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14939), 2,
      sym_comment,
      sym_block_comment,
  [626616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18268), 1,
      anon_sym_COMMA,
    ACTIONS(18270), 1,
      anon_sym_RBRACK,
    STATE(15003), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14940), 2,
      sym_comment,
      sym_block_comment,
  [626636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5938), 1,
      anon_sym_RPAREN,
    ACTIONS(18272), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14941), 2,
      sym_comment,
      sym_block_comment,
  [626656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8292), 1,
      anon_sym_RPAREN,
    ACTIONS(18172), 1,
      anon_sym_COMMA,
    STATE(14927), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14942), 2,
      sym_comment,
      sym_block_comment,
  [626676] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5866), 1,
      anon_sym_RBRACK,
    ACTIONS(18274), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14943), 2,
      sym_comment,
      sym_block_comment,
  [626696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5298), 1,
      anon_sym_RPAREN,
    ACTIONS(18276), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14944), 2,
      sym_comment,
      sym_block_comment,
  [626716] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18278), 1,
      anon_sym_COMMA,
    ACTIONS(18280), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14945), 2,
      sym_comment,
      sym_block_comment,
  [626736] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(14946), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18282), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [626752] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18284), 1,
      anon_sym_COMMA,
    ACTIONS(18286), 1,
      anon_sym_RBRACK,
    STATE(14945), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14947), 2,
      sym_comment,
      sym_block_comment,
  [626772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18288), 1,
      anon_sym_COMMA,
    ACTIONS(18290), 1,
      anon_sym_RPAREN,
    STATE(14851), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14948), 2,
      sym_comment,
      sym_block_comment,
  [626792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(14949), 2,
      sym_comment,
      sym_block_comment,
  [626812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6000), 1,
      anon_sym_RBRACK,
    ACTIONS(18292), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14950), 2,
      sym_comment,
      sym_block_comment,
  [626832] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18294), 1,
      anon_sym_COMMA,
    ACTIONS(18296), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14951), 2,
      sym_comment,
      sym_block_comment,
  [626852] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18298), 1,
      anon_sym_COMMA,
    ACTIONS(18300), 1,
      anon_sym_RPAREN,
    STATE(14869), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14952), 2,
      sym_comment,
      sym_block_comment,
  [626872] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18302), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14953), 2,
      sym_comment,
      sym_block_comment,
  [626892] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5394), 1,
      anon_sym_RPAREN,
    ACTIONS(18304), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14954), 2,
      sym_comment,
      sym_block_comment,
  [626912] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18306), 1,
      anon_sym_COMMA,
    ACTIONS(18308), 1,
      anon_sym_RBRACK,
    STATE(14961), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14955), 2,
      sym_comment,
      sym_block_comment,
  [626932] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18310), 1,
      anon_sym_COMMA,
    ACTIONS(18312), 1,
      anon_sym_RBRACK,
    STATE(14951), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14956), 2,
      sym_comment,
      sym_block_comment,
  [626952] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(18302), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14957), 2,
      sym_comment,
      sym_block_comment,
  [626972] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5220), 1,
      anon_sym_RPAREN,
    ACTIONS(18314), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14958), 2,
      sym_comment,
      sym_block_comment,
  [626992] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5636), 1,
      anon_sym_RPAREN,
    ACTIONS(18316), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14959), 2,
      sym_comment,
      sym_block_comment,
  [627012] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18318), 1,
      anon_sym_COMMA,
    ACTIONS(18320), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14960), 2,
      sym_comment,
      sym_block_comment,
  [627032] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5884), 1,
      anon_sym_RBRACK,
    ACTIONS(18322), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14961), 2,
      sym_comment,
      sym_block_comment,
  [627052] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18324), 1,
      anon_sym_COMMA,
    ACTIONS(18326), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14962), 2,
      sym_comment,
      sym_block_comment,
  [627072] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18328), 1,
      anon_sym_COMMA,
    ACTIONS(18330), 1,
      anon_sym_RBRACK,
    STATE(14960), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14963), 2,
      sym_comment,
      sym_block_comment,
  [627092] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18332), 1,
      anon_sym_COMMA,
    ACTIONS(18334), 1,
      anon_sym_RBRACK,
    STATE(14950), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14964), 2,
      sym_comment,
      sym_block_comment,
  [627112] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18336), 1,
      anon_sym_COMMA,
    ACTIONS(18338), 1,
      anon_sym_RBRACK,
    STATE(15118), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14965), 2,
      sym_comment,
      sym_block_comment,
  [627132] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18340), 1,
      anon_sym_COMMA,
    ACTIONS(18342), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14966), 2,
      sym_comment,
      sym_block_comment,
  [627152] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18344), 1,
      anon_sym_COMMA,
    ACTIONS(18346), 1,
      anon_sym_RPAREN,
    STATE(15531), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14967), 2,
      sym_comment,
      sym_block_comment,
  [627172] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18348), 1,
      sym__interpolated_multiline_string_end,
    STATE(15029), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(14968), 2,
      sym_comment,
      sym_block_comment,
  [627192] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18350), 1,
      anon_sym_COMMA,
    ACTIONS(18352), 1,
      anon_sym_RBRACK,
    STATE(14966), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14969), 2,
      sym_comment,
      sym_block_comment,
  [627212] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18354), 1,
      anon_sym_COMMA,
    ACTIONS(18356), 1,
      anon_sym_RPAREN,
    STATE(14887), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14970), 2,
      sym_comment,
      sym_block_comment,
  [627232] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17590), 1,
      anon_sym_EQ,
    ACTIONS(17588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14971), 2,
      sym_comment,
      sym_block_comment,
  [627250] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5720), 1,
      anon_sym_RPAREN,
    ACTIONS(18358), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14972), 2,
      sym_comment,
      sym_block_comment,
  [627270] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18360), 1,
      anon_sym_COMMA,
    ACTIONS(18362), 1,
      anon_sym_RBRACK,
    STATE(14979), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14973), 2,
      sym_comment,
      sym_block_comment,
  [627290] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(18348), 1,
      sym__interpolated_string_end,
    STATE(15034), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(14974), 2,
      sym_comment,
      sym_block_comment,
  [627310] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18364), 1,
      anon_sym_COMMA,
    ACTIONS(18366), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14975), 2,
      sym_comment,
      sym_block_comment,
  [627330] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18368), 1,
      anon_sym_COMMA,
    ACTIONS(18370), 1,
      anon_sym_RBRACK,
    STATE(15044), 1,
      aux_sym_type_parameters_repeat1,
    STATE(14976), 2,
      sym_comment,
      sym_block_comment,
  [627350] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5960), 1,
      anon_sym_RPAREN,
    ACTIONS(18372), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14977), 2,
      sym_comment,
      sym_block_comment,
  [627370] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8350), 1,
      anon_sym_RPAREN,
    ACTIONS(18374), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(14978), 2,
      sym_comment,
      sym_block_comment,
  [627390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5902), 1,
      anon_sym_RBRACK,
    ACTIONS(18376), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14979), 2,
      sym_comment,
      sym_block_comment,
  [627410] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18378), 1,
      anon_sym_COMMA,
    ACTIONS(18380), 1,
      anon_sym_RBRACK,
    STATE(14975), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14980), 2,
      sym_comment,
      sym_block_comment,
  [627430] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12689), 1,
      anon_sym_RPAREN,
    ACTIONS(18382), 1,
      anon_sym_COMMA,
    STATE(15059), 1,
      aux_sym_parameters_repeat1,
    STATE(14981), 2,
      sym_comment,
      sym_block_comment,
  [627450] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18384), 1,
      anon_sym_COMMA,
    ACTIONS(18386), 1,
      anon_sym_RPAREN,
    STATE(15064), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14982), 2,
      sym_comment,
      sym_block_comment,
  [627470] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18388), 1,
      anon_sym_COMMA,
    ACTIONS(18390), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14983), 2,
      sym_comment,
      sym_block_comment,
  [627490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11433), 1,
      sym__arrow_then_type,
    ACTIONS(18392), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(14984), 2,
      sym_comment,
      sym_block_comment,
  [627508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6058), 1,
      anon_sym_RBRACK,
    ACTIONS(18394), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14985), 2,
      sym_comment,
      sym_block_comment,
  [627528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18396), 1,
      anon_sym_COMMA,
    ACTIONS(18398), 1,
      anon_sym_RBRACK,
    STATE(14983), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14986), 2,
      sym_comment,
      sym_block_comment,
  [627548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18400), 1,
      anon_sym_COMMA,
    ACTIONS(18402), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14987), 2,
      sym_comment,
      sym_block_comment,
  [627568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18404), 1,
      anon_sym_COMMA,
    ACTIONS(18406), 1,
      anon_sym_RPAREN,
    STATE(14905), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14988), 2,
      sym_comment,
      sym_block_comment,
  [627588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5226), 1,
      anon_sym_RPAREN,
    ACTIONS(18408), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14989), 2,
      sym_comment,
      sym_block_comment,
  [627608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18410), 1,
      anon_sym_COMMA,
    ACTIONS(18412), 1,
      anon_sym_RBRACK,
    STATE(14987), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14990), 2,
      sym_comment,
      sym_block_comment,
  [627628] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18414), 1,
      anon_sym_COMMA,
    ACTIONS(18416), 1,
      anon_sym_RBRACK,
    STATE(14997), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14991), 2,
      sym_comment,
      sym_block_comment,
  [627648] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18418), 1,
      anon_sym_COMMA,
    ACTIONS(18420), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14992), 2,
      sym_comment,
      sym_block_comment,
  [627668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18422), 1,
      anon_sym_COMMA,
    ACTIONS(18424), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14993), 2,
      sym_comment,
      sym_block_comment,
  [627688] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18426), 1,
      anon_sym_COMMA,
    ACTIONS(18428), 1,
      anon_sym_RBRACK,
    STATE(14992), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14994), 2,
      sym_comment,
      sym_block_comment,
  [627708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5648), 1,
      anon_sym_RPAREN,
    ACTIONS(18430), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14995), 2,
      sym_comment,
      sym_block_comment,
  [627728] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18432), 1,
      anon_sym_COMMA,
    ACTIONS(18434), 1,
      anon_sym_RBRACK,
    STATE(14985), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14996), 2,
      sym_comment,
      sym_block_comment,
  [627748] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5920), 1,
      anon_sym_RBRACK,
    ACTIONS(18436), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(14997), 2,
      sym_comment,
      sym_block_comment,
  [627768] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18438), 1,
      anon_sym_COMMA,
    ACTIONS(18440), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14998), 2,
      sym_comment,
      sym_block_comment,
  [627788] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18442), 1,
      anon_sym_COMMA,
    ACTIONS(18444), 1,
      anon_sym_RBRACK,
    STATE(14998), 1,
      aux_sym_type_lambda_repeat1,
    STATE(14999), 2,
      sym_comment,
      sym_block_comment,
  [627808] = 6,
    ACTIONS(18029), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18446), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(18448), 1,
      sym__comment_text,
    ACTIONS(18450), 1,
      anon_sym_GT,
    STATE(17875), 1,
      sym_using_directive,
    STATE(15000), 2,
      sym_comment,
      sym_block_comment,
  [627828] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18452), 1,
      anon_sym_COMMA,
    ACTIONS(18454), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15001), 2,
      sym_comment,
      sym_block_comment,
  [627848] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18456), 1,
      anon_sym_COMMA,
    ACTIONS(18458), 1,
      anon_sym_RPAREN,
    STATE(15571), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15002), 2,
      sym_comment,
      sym_block_comment,
  [627868] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5918), 1,
      anon_sym_RBRACK,
    ACTIONS(18460), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15003), 2,
      sym_comment,
      sym_block_comment,
  [627888] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14643), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15004), 2,
      sym_comment,
      sym_block_comment,
  [627908] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18462), 1,
      anon_sym_COMMA,
    ACTIONS(18464), 1,
      anon_sym_RBRACK,
    STATE(15001), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15005), 2,
      sym_comment,
      sym_block_comment,
  [627928] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18466), 1,
      anon_sym_COMMA,
    ACTIONS(18468), 1,
      anon_sym_RPAREN,
    STATE(14923), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15006), 2,
      sym_comment,
      sym_block_comment,
  [627948] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18470), 1,
      anon_sym_COMMA,
    ACTIONS(18472), 1,
      anon_sym_RBRACK,
    STATE(14805), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15007), 2,
      sym_comment,
      sym_block_comment,
  [627968] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(18474), 1,
      anon_sym_COLON,
    STATE(15772), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15008), 2,
      sym_comment,
      sym_block_comment,
  [627988] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18476), 1,
      anon_sym_COMMA,
    ACTIONS(18478), 1,
      anon_sym_RBRACK,
    STATE(15015), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15009), 2,
      sym_comment,
      sym_block_comment,
  [628008] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(18480), 1,
      anon_sym_COLON,
    STATE(15772), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15010), 2,
      sym_comment,
      sym_block_comment,
  [628028] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18482), 1,
      anon_sym_COMMA,
    ACTIONS(18484), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15011), 2,
      sym_comment,
      sym_block_comment,
  [628048] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11338), 1,
      sym__arrow_then_type,
    ACTIONS(18486), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15012), 2,
      sym_comment,
      sym_block_comment,
  [628066] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5982), 1,
      anon_sym_RPAREN,
    ACTIONS(18488), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15013), 2,
      sym_comment,
      sym_block_comment,
  [628086] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(18490), 1,
      anon_sym_COLON,
    STATE(15772), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15014), 2,
      sym_comment,
      sym_block_comment,
  [628106] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5930), 1,
      anon_sym_RBRACK,
    ACTIONS(18492), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15015), 2,
      sym_comment,
      sym_block_comment,
  [628126] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18494), 1,
      anon_sym_COMMA,
    ACTIONS(18496), 1,
      anon_sym_RBRACK,
    STATE(15011), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15016), 2,
      sym_comment,
      sym_block_comment,
  [628146] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(18498), 1,
      anon_sym_COLON,
    STATE(15772), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15017), 2,
      sym_comment,
      sym_block_comment,
  [628166] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18500), 1,
      anon_sym_COMMA,
    ACTIONS(18502), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15018), 2,
      sym_comment,
      sym_block_comment,
  [628186] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18504), 1,
      anon_sym_COMMA,
    ACTIONS(18506), 1,
      anon_sym_RBRACK,
    STATE(15077), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15019), 2,
      sym_comment,
      sym_block_comment,
  [628206] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5958), 1,
      anon_sym_RBRACK,
    ACTIONS(18508), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15020), 2,
      sym_comment,
      sym_block_comment,
  [628226] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18510), 1,
      anon_sym_COMMA,
    ACTIONS(18512), 1,
      anon_sym_RBRACK,
    STATE(15018), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15021), 2,
      sym_comment,
      sym_block_comment,
  [628246] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5440), 1,
      anon_sym_RPAREN,
    ACTIONS(18514), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15022), 2,
      sym_comment,
      sym_block_comment,
  [628266] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14601), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15023), 2,
      sym_comment,
      sym_block_comment,
  [628286] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18516), 1,
      anon_sym_COMMA,
    ACTIONS(18518), 1,
      anon_sym_RPAREN,
    STATE(14941), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15024), 2,
      sym_comment,
      sym_block_comment,
  [628306] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18520), 1,
      anon_sym_COMMA,
    ACTIONS(18522), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15025), 2,
      sym_comment,
      sym_block_comment,
  [628326] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18524), 1,
      anon_sym_COMMA,
    ACTIONS(18526), 1,
      anon_sym_RBRACK,
    STATE(15025), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15026), 2,
      sym_comment,
      sym_block_comment,
  [628346] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18528), 1,
      anon_sym_COMMA,
    ACTIONS(18530), 1,
      anon_sym_RBRACK,
    STATE(15033), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15027), 2,
      sym_comment,
      sym_block_comment,
  [628366] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5714), 1,
      anon_sym_RPAREN,
    ACTIONS(18532), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15028), 2,
      sym_comment,
      sym_block_comment,
  [628386] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18534), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15029), 2,
      sym_comment,
      sym_block_comment,
  [628406] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18536), 1,
      anon_sym_COMMA,
    ACTIONS(18538), 1,
      anon_sym_RBRACK,
    STATE(15020), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15030), 2,
      sym_comment,
      sym_block_comment,
  [628426] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5700), 1,
      anon_sym_RPAREN,
    ACTIONS(18540), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15031), 2,
      sym_comment,
      sym_block_comment,
  [628446] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18542), 1,
      anon_sym_COMMA,
    ACTIONS(18544), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15032), 2,
      sym_comment,
      sym_block_comment,
  [628466] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5940), 1,
      anon_sym_RBRACK,
    ACTIONS(18546), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15033), 2,
      sym_comment,
      sym_block_comment,
  [628486] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(18534), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15034), 2,
      sym_comment,
      sym_block_comment,
  [628506] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18548), 1,
      anon_sym_COMMA,
    ACTIONS(18550), 1,
      anon_sym_RBRACK,
    STATE(15032), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15035), 2,
      sym_comment,
      sym_block_comment,
  [628526] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15036), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16538), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [628542] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18552), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_RPAREN,
    STATE(15611), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15037), 2,
      sym_comment,
      sym_block_comment,
  [628562] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8180), 1,
      anon_sym_RPAREN,
    ACTIONS(18556), 1,
      anon_sym_COMMA,
    STATE(15089), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15038), 2,
      sym_comment,
      sym_block_comment,
  [628582] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8390), 1,
      anon_sym_RPAREN,
    ACTIONS(18558), 1,
      anon_sym_COMMA,
    STATE(14749), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15039), 2,
      sym_comment,
      sym_block_comment,
  [628602] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18560), 1,
      anon_sym_COMMA,
    ACTIONS(18562), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15040), 2,
      sym_comment,
      sym_block_comment,
  [628622] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18564), 1,
      anon_sym_COMMA,
    ACTIONS(18566), 1,
      anon_sym_RBRACK,
    STATE(15040), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15041), 2,
      sym_comment,
      sym_block_comment,
  [628642] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18568), 1,
      anon_sym_COMMA,
    ACTIONS(18570), 1,
      anon_sym_RPAREN,
    STATE(15172), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15042), 2,
      sym_comment,
      sym_block_comment,
  [628662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18572), 1,
      anon_sym_COMMA,
    ACTIONS(18574), 1,
      anon_sym_RPAREN,
    STATE(15640), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15043), 2,
      sym_comment,
      sym_block_comment,
  [628682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18576), 1,
      anon_sym_COMMA,
    ACTIONS(18578), 1,
      anon_sym_RBRACK,
    STATE(15748), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15044), 2,
      sym_comment,
      sym_block_comment,
  [628702] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18580), 1,
      anon_sym_COMMA,
    ACTIONS(18582), 1,
      anon_sym_RBRACK,
    STATE(15051), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15045), 2,
      sym_comment,
      sym_block_comment,
  [628722] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18584), 1,
      anon_sym_COMMA,
    ACTIONS(18586), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15046), 2,
      sym_comment,
      sym_block_comment,
  [628742] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12720), 1,
      anon_sym_RPAREN,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    STATE(15095), 1,
      aux_sym_parameters_repeat1,
    STATE(15047), 2,
      sym_comment,
      sym_block_comment,
  [628762] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(18590), 1,
      sym__interpolated_string_end,
    STATE(14906), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15048), 2,
      sym_comment,
      sym_block_comment,
  [628782] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6002), 1,
      anon_sym_RPAREN,
    ACTIONS(18592), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15049), 2,
      sym_comment,
      sym_block_comment,
  [628802] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18594), 1,
      anon_sym_COMMA,
    ACTIONS(18596), 1,
      anon_sym_RBRACK,
    STATE(15046), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15050), 2,
      sym_comment,
      sym_block_comment,
  [628822] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5948), 1,
      anon_sym_RBRACK,
    ACTIONS(18598), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15051), 2,
      sym_comment,
      sym_block_comment,
  [628842] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17255), 1,
      anon_sym_RPAREN,
    ACTIONS(18600), 1,
      anon_sym_COMMA,
    STATE(15100), 1,
      aux_sym_parameters_repeat1,
    STATE(15052), 2,
      sym_comment,
      sym_block_comment,
  [628862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5360), 1,
      anon_sym_RBRACK,
    ACTIONS(18602), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15053), 2,
      sym_comment,
      sym_block_comment,
  [628882] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18604), 1,
      anon_sym_COMMA,
    ACTIONS(18606), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15054), 2,
      sym_comment,
      sym_block_comment,
  [628902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17253), 1,
      anon_sym_COMMA,
    ACTIONS(17255), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15055), 2,
      sym_comment,
      sym_block_comment,
  [628922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5842), 1,
      anon_sym_RBRACK,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15056), 2,
      sym_comment,
      sym_block_comment,
  [628942] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18590), 1,
      sym__interpolated_multiline_string_end,
    STATE(14933), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15057), 2,
      sym_comment,
      sym_block_comment,
  [628962] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18610), 1,
      anon_sym_COMMA,
    ACTIONS(18612), 1,
      anon_sym_RBRACK,
    STATE(15054), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15058), 2,
      sym_comment,
      sym_block_comment,
  [628982] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12720), 1,
      anon_sym_RPAREN,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    STATE(15658), 1,
      aux_sym_parameters_repeat1,
    STATE(15059), 2,
      sym_comment,
      sym_block_comment,
  [629002] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18614), 1,
      anon_sym_COMMA,
    ACTIONS(18616), 1,
      anon_sym_RPAREN,
    STATE(14977), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15060), 2,
      sym_comment,
      sym_block_comment,
  [629022] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5482), 1,
      anon_sym_RPAREN,
    ACTIONS(18618), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15061), 2,
      sym_comment,
      sym_block_comment,
  [629042] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18620), 1,
      anon_sym_COMMA,
    ACTIONS(18622), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15062), 2,
      sym_comment,
      sym_block_comment,
  [629062] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18624), 1,
      anon_sym_COMMA,
    ACTIONS(18626), 1,
      anon_sym_RBRACK,
    STATE(15069), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15063), 2,
      sym_comment,
      sym_block_comment,
  [629082] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5588), 1,
      anon_sym_RPAREN,
    ACTIONS(18628), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15064), 2,
      sym_comment,
      sym_block_comment,
  [629102] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18630), 1,
      anon_sym_COMMA,
    ACTIONS(18632), 1,
      anon_sym_RBRACK,
    STATE(15062), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15065), 2,
      sym_comment,
      sym_block_comment,
  [629122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4342), 1,
      sym__indent,
    STATE(8907), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15066), 2,
      sym_comment,
      sym_block_comment,
  [629140] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5730), 1,
      anon_sym_RPAREN,
    ACTIONS(18634), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15067), 2,
      sym_comment,
      sym_block_comment,
  [629160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18636), 1,
      anon_sym_COMMA,
    ACTIONS(18638), 1,
      anon_sym_RBRACK,
    STATE(15056), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15068), 2,
      sym_comment,
      sym_block_comment,
  [629180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5964), 1,
      anon_sym_RBRACK,
    ACTIONS(18640), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15069), 2,
      sym_comment,
      sym_block_comment,
  [629200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15720), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9253), 1,
      sym_type_arguments,
    STATE(15070), 2,
      sym_comment,
      sym_block_comment,
  [629220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18642), 1,
      anon_sym_COMMA,
    ACTIONS(18644), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15071), 2,
      sym_comment,
      sym_block_comment,
  [629240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(18646), 1,
      anon_sym_RPAREN,
    STATE(15581), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15072), 2,
      sym_comment,
      sym_block_comment,
  [629260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18648), 1,
      anon_sym_COMMA,
    ACTIONS(18650), 1,
      anon_sym_RBRACK,
    STATE(15071), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15073), 2,
      sym_comment,
      sym_block_comment,
  [629280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_RPAREN,
    STATE(15727), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15074), 2,
      sym_comment,
      sym_block_comment,
  [629300] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18656), 1,
      anon_sym_COMMA,
    ACTIONS(18658), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15075), 2,
      sym_comment,
      sym_block_comment,
  [629320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5390), 1,
      anon_sym_RBRACK,
    ACTIONS(18660), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15076), 2,
      sym_comment,
      sym_block_comment,
  [629340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5854), 1,
      anon_sym_RBRACK,
    ACTIONS(18662), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15077), 2,
      sym_comment,
      sym_block_comment,
  [629360] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18664), 1,
      anon_sym_COMMA,
    ACTIONS(18666), 1,
      anon_sym_RPAREN,
    STATE(15013), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15078), 2,
      sym_comment,
      sym_block_comment,
  [629380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(18668), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15079), 2,
      sym_comment,
      sym_block_comment,
  [629400] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18670), 1,
      anon_sym_COMMA,
    ACTIONS(18672), 1,
      anon_sym_RBRACK,
    STATE(15075), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15080), 2,
      sym_comment,
      sym_block_comment,
  [629420] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18674), 1,
      anon_sym_COMMA,
    ACTIONS(18676), 1,
      anon_sym_RBRACK,
    STATE(15087), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15081), 2,
      sym_comment,
      sym_block_comment,
  [629440] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4176), 1,
      sym__indent,
    STATE(9536), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15082), 2,
      sym_comment,
      sym_block_comment,
  [629458] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18678), 1,
      anon_sym_COMMA,
    ACTIONS(18680), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15083), 2,
      sym_comment,
      sym_block_comment,
  [629478] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15084), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17579), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ,
  [629494] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6014), 1,
      anon_sym_RPAREN,
    ACTIONS(18682), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15085), 2,
      sym_comment,
      sym_block_comment,
  [629514] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_RPAREN,
    ACTIONS(18684), 1,
      anon_sym_COMMA,
    STATE(15111), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15086), 2,
      sym_comment,
      sym_block_comment,
  [629534] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5986), 1,
      anon_sym_RBRACK,
    ACTIONS(18686), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15087), 2,
      sym_comment,
      sym_block_comment,
  [629554] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18688), 1,
      anon_sym_COMMA,
    ACTIONS(18690), 1,
      anon_sym_RBRACK,
    STATE(15083), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15088), 2,
      sym_comment,
      sym_block_comment,
  [629574] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8288), 1,
      anon_sym_RPAREN,
    ACTIONS(18684), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15089), 2,
      sym_comment,
      sym_block_comment,
  [629594] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18692), 1,
      anon_sym_COMMA,
    ACTIONS(18694), 1,
      anon_sym_RBRACK,
    STATE(15258), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15090), 2,
      sym_comment,
      sym_block_comment,
  [629614] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18696), 1,
      anon_sym_COMMA,
    ACTIONS(18698), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15091), 2,
      sym_comment,
      sym_block_comment,
  [629634] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18700), 1,
      anon_sym_COMMA,
    ACTIONS(18702), 1,
      anon_sym_RBRACK,
    STATE(15091), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15092), 2,
      sym_comment,
      sym_block_comment,
  [629654] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5742), 1,
      anon_sym_RBRACK,
    ACTIONS(18704), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15093), 2,
      sym_comment,
      sym_block_comment,
  [629674] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15925), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9724), 1,
      sym_type_arguments,
    STATE(15094), 2,
      sym_comment,
      sym_block_comment,
  [629694] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12744), 1,
      anon_sym_RPAREN,
    ACTIONS(18706), 1,
      anon_sym_COMMA,
    STATE(15658), 1,
      aux_sym_parameters_repeat1,
    STATE(15095), 2,
      sym_comment,
      sym_block_comment,
  [629714] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18708), 1,
      anon_sym_COMMA,
    ACTIONS(18710), 1,
      anon_sym_RPAREN,
    STATE(15049), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15096), 2,
      sym_comment,
      sym_block_comment,
  [629734] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5640), 1,
      anon_sym_RPAREN,
    ACTIONS(18712), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15097), 2,
      sym_comment,
      sym_block_comment,
  [629754] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18714), 1,
      anon_sym_COMMA,
    ACTIONS(18716), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15098), 2,
      sym_comment,
      sym_block_comment,
  [629774] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18718), 1,
      anon_sym_COMMA,
    ACTIONS(18720), 1,
      anon_sym_RBRACK,
    STATE(15105), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15099), 2,
      sym_comment,
      sym_block_comment,
  [629794] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4988), 1,
      anon_sym_RPAREN,
    ACTIONS(18722), 1,
      anon_sym_COMMA,
    STATE(15658), 1,
      aux_sym_parameters_repeat1,
    STATE(15100), 2,
      sym_comment,
      sym_block_comment,
  [629814] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18724), 1,
      anon_sym_COMMA,
    ACTIONS(18726), 1,
      anon_sym_RBRACK,
    STATE(15098), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15101), 2,
      sym_comment,
      sym_block_comment,
  [629834] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4988), 1,
      anon_sym_RPAREN,
    ACTIONS(18728), 1,
      anon_sym_COMMA,
    STATE(15196), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15102), 2,
      sym_comment,
      sym_block_comment,
  [629854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6026), 1,
      anon_sym_RPAREN,
    ACTIONS(18730), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15103), 2,
      sym_comment,
      sym_block_comment,
  [629874] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18732), 1,
      anon_sym_COMMA,
    ACTIONS(18734), 1,
      anon_sym_RBRACK,
    STATE(15093), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15104), 2,
      sym_comment,
      sym_block_comment,
  [629894] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6004), 1,
      anon_sym_RBRACK,
    ACTIONS(18736), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15105), 2,
      sym_comment,
      sym_block_comment,
  [629914] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18738), 1,
      anon_sym_COMMA,
    ACTIONS(18740), 1,
      anon_sym_RPAREN,
    STATE(15588), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15106), 2,
      sym_comment,
      sym_block_comment,
  [629934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18742), 1,
      anon_sym_COMMA,
    ACTIONS(18744), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15107), 2,
      sym_comment,
      sym_block_comment,
  [629954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7268), 1,
      anon_sym_RPAREN,
    ACTIONS(18746), 1,
      anon_sym_COMMA,
    STATE(15581), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15108), 2,
      sym_comment,
      sym_block_comment,
  [629974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18748), 1,
      anon_sym_COMMA,
    ACTIONS(18750), 1,
      anon_sym_RBRACK,
    STATE(15107), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15109), 2,
      sym_comment,
      sym_block_comment,
  [629994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18752), 1,
      anon_sym_COMMA,
    ACTIONS(18754), 1,
      anon_sym_RPAREN,
    STATE(15788), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15110), 2,
      sym_comment,
      sym_block_comment,
  [630014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8412), 1,
      anon_sym_RPAREN,
    ACTIONS(18218), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15111), 2,
      sym_comment,
      sym_block_comment,
  [630034] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4422), 1,
      sym__indent,
    STATE(9323), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15112), 2,
      sym_comment,
      sym_block_comment,
  [630052] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18756), 1,
      anon_sym_COMMA,
    ACTIONS(18758), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15113), 2,
      sym_comment,
      sym_block_comment,
  [630072] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18760), 1,
      anon_sym_COMMA,
    ACTIONS(18762), 1,
      anon_sym_RPAREN,
    STATE(15085), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15114), 2,
      sym_comment,
      sym_block_comment,
  [630092] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18764), 1,
      sym__interpolated_multiline_string_end,
    STATE(15257), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15115), 2,
      sym_comment,
      sym_block_comment,
  [630112] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18766), 1,
      anon_sym_COMMA,
    ACTIONS(18768), 1,
      anon_sym_RBRACK,
    STATE(15113), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15116), 2,
      sym_comment,
      sym_block_comment,
  [630132] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18770), 1,
      anon_sym_COMMA,
    ACTIONS(18772), 1,
      anon_sym_RBRACK,
    STATE(15123), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15117), 2,
      sym_comment,
      sym_block_comment,
  [630152] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5410), 1,
      anon_sym_RBRACK,
    ACTIONS(18774), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15118), 2,
      sym_comment,
      sym_block_comment,
  [630172] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18776), 1,
      anon_sym_COMMA,
    ACTIONS(18778), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15119), 2,
      sym_comment,
      sym_block_comment,
  [630192] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(18764), 1,
      sym__interpolated_string_end,
    STATE(15271), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15120), 2,
      sym_comment,
      sym_block_comment,
  [630212] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5812), 1,
      anon_sym_RPAREN,
    ACTIONS(18780), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15121), 2,
      sym_comment,
      sym_block_comment,
  [630232] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8214), 1,
      anon_sym_RPAREN,
    ACTIONS(18178), 1,
      anon_sym_COMMA,
    STATE(15125), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15122), 2,
      sym_comment,
      sym_block_comment,
  [630252] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6018), 1,
      anon_sym_RBRACK,
    ACTIONS(18782), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15123), 2,
      sym_comment,
      sym_block_comment,
  [630272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18784), 1,
      anon_sym_COMMA,
    ACTIONS(18786), 1,
      anon_sym_RBRACK,
    STATE(15119), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15124), 2,
      sym_comment,
      sym_block_comment,
  [630292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8302), 1,
      anon_sym_RPAREN,
    ACTIONS(18788), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15125), 2,
      sym_comment,
      sym_block_comment,
  [630312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18790), 1,
      anon_sym_COMMA,
    ACTIONS(18792), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15126), 2,
      sym_comment,
      sym_block_comment,
  [630332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18794), 1,
      anon_sym_COMMA,
    ACTIONS(18796), 1,
      anon_sym_RPAREN,
    STATE(15262), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15127), 2,
      sym_comment,
      sym_block_comment,
  [630352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5646), 1,
      anon_sym_RBRACK,
    ACTIONS(18798), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15128), 2,
      sym_comment,
      sym_block_comment,
  [630372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18800), 1,
      anon_sym_COMMA,
    ACTIONS(18802), 1,
      anon_sym_RBRACK,
    STATE(15126), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15129), 2,
      sym_comment,
      sym_block_comment,
  [630392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5164), 1,
      anon_sym_RPAREN,
    ACTIONS(18804), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15130), 2,
      sym_comment,
      sym_block_comment,
  [630412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18806), 1,
      anon_sym_COMMA,
    ACTIONS(18808), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15131), 2,
      sym_comment,
      sym_block_comment,
  [630432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18810), 1,
      anon_sym_COMMA,
    ACTIONS(18812), 1,
      anon_sym_RPAREN,
    STATE(15103), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15132), 2,
      sym_comment,
      sym_block_comment,
  [630452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18814), 1,
      anon_sym_COMMA,
    ACTIONS(18816), 1,
      anon_sym_RBRACK,
    STATE(15131), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15133), 2,
      sym_comment,
      sym_block_comment,
  [630472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18818), 1,
      anon_sym_COMMA,
    ACTIONS(18820), 1,
      anon_sym_RPAREN,
    STATE(15349), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15134), 2,
      sym_comment,
      sym_block_comment,
  [630492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18822), 1,
      anon_sym_COMMA,
    ACTIONS(18824), 1,
      anon_sym_RBRACK,
    STATE(15141), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15135), 2,
      sym_comment,
      sym_block_comment,
  [630512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18826), 1,
      anon_sym_COMMA,
    ACTIONS(18828), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15136), 2,
      sym_comment,
      sym_block_comment,
  [630532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18830), 1,
      anon_sym_COMMA,
    ACTIONS(18832), 1,
      anon_sym_RBRACK,
    STATE(15136), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15137), 2,
      sym_comment,
      sym_block_comment,
  [630552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18834), 1,
      anon_sym_COMMA,
    ACTIONS(18836), 1,
      anon_sym_RBRACK,
    STATE(15128), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15138), 2,
      sym_comment,
      sym_block_comment,
  [630572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6038), 1,
      anon_sym_RPAREN,
    ACTIONS(18838), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15139), 2,
      sym_comment,
      sym_block_comment,
  [630592] = 5,
    ACTIONS(18029), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18840), 1,
      anon_sym_STAR_SLASH,
    STATE(15358), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(18027), 2,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
    STATE(15140), 2,
      sym_comment,
      sym_block_comment,
  [630610] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6028), 1,
      anon_sym_RBRACK,
    ACTIONS(18842), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15141), 2,
      sym_comment,
      sym_block_comment,
  [630630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14651), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15142), 2,
      sym_comment,
      sym_block_comment,
  [630650] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6094), 1,
      anon_sym_RBRACK,
    ACTIONS(18844), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15143), 2,
      sym_comment,
      sym_block_comment,
  [630670] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18846), 1,
      anon_sym_COMMA,
    ACTIONS(18848), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15144), 2,
      sym_comment,
      sym_block_comment,
  [630690] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13472), 1,
      sym__arrow_then_type,
    ACTIONS(18850), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15145), 2,
      sym_comment,
      sym_block_comment,
  [630708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18852), 1,
      anon_sym_COMMA,
    ACTIONS(18854), 1,
      anon_sym_RPAREN,
    STATE(15832), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15146), 2,
      sym_comment,
      sym_block_comment,
  [630728] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18856), 1,
      anon_sym_COMMA,
    ACTIONS(18858), 1,
      anon_sym_RBRACK,
    STATE(15144), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15147), 2,
      sym_comment,
      sym_block_comment,
  [630748] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5216), 1,
      anon_sym_RBRACK,
    ACTIONS(18860), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15148), 2,
      sym_comment,
      sym_block_comment,
  [630768] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18862), 1,
      anon_sym_COMMA,
    ACTIONS(18864), 1,
      anon_sym_RBRACK,
    STATE(15752), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15149), 2,
      sym_comment,
      sym_block_comment,
  [630788] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18866), 1,
      anon_sym_COMMA,
    ACTIONS(18868), 1,
      anon_sym_RPAREN,
    STATE(15139), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15150), 2,
      sym_comment,
      sym_block_comment,
  [630808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17571), 1,
      anon_sym_EQ,
    ACTIONS(17569), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15151), 2,
      sym_comment,
      sym_block_comment,
  [630826] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18870), 1,
      anon_sym_COMMA,
    ACTIONS(18872), 1,
      anon_sym_RBRACK,
    STATE(15158), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15152), 2,
      sym_comment,
      sym_block_comment,
  [630846] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18874), 1,
      sym__interpolated_multiline_string_end,
    STATE(15188), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15153), 2,
      sym_comment,
      sym_block_comment,
  [630866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18876), 1,
      anon_sym_COMMA,
    ACTIONS(18878), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15154), 2,
      sym_comment,
      sym_block_comment,
  [630886] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(18874), 1,
      sym__interpolated_string_end,
    STATE(15192), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15155), 2,
      sym_comment,
      sym_block_comment,
  [630906] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6064), 1,
      anon_sym_RPAREN,
    ACTIONS(18880), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15156), 2,
      sym_comment,
      sym_block_comment,
  [630926] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(18882), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15157), 2,
      sym_comment,
      sym_block_comment,
  [630946] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6046), 1,
      anon_sym_RBRACK,
    ACTIONS(18884), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15158), 2,
      sym_comment,
      sym_block_comment,
  [630966] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18886), 1,
      anon_sym_COMMA,
    ACTIONS(18888), 1,
      anon_sym_RBRACK,
    STATE(15154), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15159), 2,
      sym_comment,
      sym_block_comment,
  [630986] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18890), 1,
      anon_sym_COMMA,
    ACTIONS(18892), 1,
      anon_sym_RBRACK,
    STATE(15198), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15160), 2,
      sym_comment,
      sym_block_comment,
  [631006] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18894), 1,
      anon_sym_COMMA,
    ACTIONS(18896), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15161), 2,
      sym_comment,
      sym_block_comment,
  [631026] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18898), 1,
      anon_sym_COMMA,
    ACTIONS(18900), 1,
      anon_sym_RPAREN,
    STATE(15200), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15162), 2,
      sym_comment,
      sym_block_comment,
  [631046] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18902), 1,
      anon_sym_COMMA,
    ACTIONS(18904), 1,
      anon_sym_RBRACK,
    STATE(15161), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15163), 2,
      sym_comment,
      sym_block_comment,
  [631066] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5522), 1,
      anon_sym_RBRACK,
    ACTIONS(18906), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15164), 2,
      sym_comment,
      sym_block_comment,
  [631086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11758), 1,
      sym__arrow_then_type,
    ACTIONS(18908), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15165), 2,
      sym_comment,
      sym_block_comment,
  [631104] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18910), 1,
      anon_sym_COMMA,
    ACTIONS(18912), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15166), 2,
      sym_comment,
      sym_block_comment,
  [631124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18914), 1,
      anon_sym_COMMA,
    ACTIONS(18916), 1,
      anon_sym_RPAREN,
    STATE(15156), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15167), 2,
      sym_comment,
      sym_block_comment,
  [631144] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18918), 1,
      anon_sym_COMMA,
    ACTIONS(18920), 1,
      anon_sym_RBRACK,
    STATE(15174), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15168), 2,
      sym_comment,
      sym_block_comment,
  [631164] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18922), 1,
      anon_sym_COMMA,
    ACTIONS(18924), 1,
      anon_sym_RBRACK,
    STATE(15053), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15169), 2,
      sym_comment,
      sym_block_comment,
  [631184] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18926), 1,
      anon_sym_COMMA,
    ACTIONS(18928), 1,
      anon_sym_RBRACK,
    STATE(15166), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15170), 2,
      sym_comment,
      sym_block_comment,
  [631204] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5688), 1,
      anon_sym_RPAREN,
    ACTIONS(18930), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15171), 2,
      sym_comment,
      sym_block_comment,
  [631224] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5946), 1,
      anon_sym_RPAREN,
    ACTIONS(18932), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15172), 2,
      sym_comment,
      sym_block_comment,
  [631244] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14589), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15173), 2,
      sym_comment,
      sym_block_comment,
  [631264] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6066), 1,
      anon_sym_RBRACK,
    ACTIONS(18934), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15174), 2,
      sym_comment,
      sym_block_comment,
  [631284] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18936), 1,
      anon_sym_COMMA,
    ACTIONS(18938), 1,
      anon_sym_RPAREN,
    STATE(14785), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15175), 2,
      sym_comment,
      sym_block_comment,
  [631304] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18940), 1,
      anon_sym_COMMA,
    ACTIONS(18942), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15176), 2,
      sym_comment,
      sym_block_comment,
  [631324] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18944), 1,
      anon_sym_COMMA,
    ACTIONS(18946), 1,
      anon_sym_RBRACK,
    STATE(15176), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15177), 2,
      sym_comment,
      sym_block_comment,
  [631344] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18948), 1,
      anon_sym_COMMA,
    ACTIONS(18950), 1,
      anon_sym_RBRACK,
    STATE(15164), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15178), 2,
      sym_comment,
      sym_block_comment,
  [631364] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18952), 1,
      anon_sym_COMMA,
    ACTIONS(18954), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15179), 2,
      sym_comment,
      sym_block_comment,
  [631384] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18956), 1,
      anon_sym_COMMA,
    ACTIONS(18958), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15180), 2,
      sym_comment,
      sym_block_comment,
  [631404] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18960), 1,
      anon_sym_COMMA,
    ACTIONS(18962), 1,
      anon_sym_RBRACK,
    STATE(15180), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15181), 2,
      sym_comment,
      sym_block_comment,
  [631424] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18964), 1,
      anon_sym_COMMA,
    ACTIONS(18966), 1,
      anon_sym_RBRACK,
    STATE(15186), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15182), 2,
      sym_comment,
      sym_block_comment,
  [631444] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18882), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15183), 2,
      sym_comment,
      sym_block_comment,
  [631464] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18968), 1,
      anon_sym_COMMA,
    ACTIONS(18970), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15184), 2,
      sym_comment,
      sym_block_comment,
  [631484] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18972), 1,
      anon_sym_COMMA,
    ACTIONS(18974), 1,
      anon_sym_RBRACK,
    STATE(15209), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15185), 2,
      sym_comment,
      sym_block_comment,
  [631504] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6072), 1,
      anon_sym_RBRACK,
    ACTIONS(18976), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15186), 2,
      sym_comment,
      sym_block_comment,
  [631524] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18978), 1,
      anon_sym_COMMA,
    ACTIONS(18980), 1,
      anon_sym_RBRACK,
    STATE(15184), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15187), 2,
      sym_comment,
      sym_block_comment,
  [631544] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(18982), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15188), 2,
      sym_comment,
      sym_block_comment,
  [631564] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18984), 1,
      anon_sym_COMMA,
    ACTIONS(18986), 1,
      anon_sym_RPAREN,
    STATE(15708), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15189), 2,
      sym_comment,
      sym_block_comment,
  [631584] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18988), 1,
      anon_sym_COMMA,
    ACTIONS(18990), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15190), 2,
      sym_comment,
      sym_block_comment,
  [631604] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(18992), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15191), 2,
      sym_comment,
      sym_block_comment,
  [631622] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(18982), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15192), 2,
      sym_comment,
      sym_block_comment,
  [631642] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18994), 1,
      anon_sym_COMMA,
    ACTIONS(18996), 1,
      anon_sym_RBRACK,
    STATE(15197), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15193), 2,
      sym_comment,
      sym_block_comment,
  [631662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18998), 1,
      anon_sym_COMMA,
    ACTIONS(19000), 1,
      anon_sym_RBRACK,
    STATE(15190), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15194), 2,
      sym_comment,
      sym_block_comment,
  [631682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8082), 1,
      anon_sym_RPAREN,
    ACTIONS(19002), 1,
      anon_sym_COMMA,
    STATE(15216), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15195), 2,
      sym_comment,
      sym_block_comment,
  [631702] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18992), 1,
      anon_sym_RPAREN,
    ACTIONS(19004), 1,
      anon_sym_COMMA,
    STATE(15196), 3,
      sym_comment,
      sym_block_comment,
      aux_sym__using_parameters_clause_repeat1,
  [631720] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6078), 1,
      anon_sym_RBRACK,
    ACTIONS(19007), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15197), 2,
      sym_comment,
      sym_block_comment,
  [631740] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19009), 1,
      anon_sym_COMMA,
    ACTIONS(19011), 1,
      anon_sym_RBRACK,
    STATE(15748), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15198), 2,
      sym_comment,
      sym_block_comment,
  [631760] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19013), 1,
      anon_sym_COMMA,
    ACTIONS(19015), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15199), 2,
      sym_comment,
      sym_block_comment,
  [631780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5384), 1,
      anon_sym_RPAREN,
    ACTIONS(19017), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15200), 2,
      sym_comment,
      sym_block_comment,
  [631800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19019), 1,
      anon_sym_COMMA,
    ACTIONS(19021), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15201), 2,
      sym_comment,
      sym_block_comment,
  [631820] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19023), 1,
      anon_sym_COMMA,
    ACTIONS(19025), 1,
      anon_sym_RBRACK,
    STATE(15199), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15202), 2,
      sym_comment,
      sym_block_comment,
  [631840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14648), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15203), 2,
      sym_comment,
      sym_block_comment,
  [631860] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19027), 1,
      anon_sym_COMMA,
    ACTIONS(19029), 1,
      anon_sym_RBRACK,
    STATE(15208), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15204), 2,
      sym_comment,
      sym_block_comment,
  [631880] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19031), 1,
      anon_sym_COMMA,
    ACTIONS(19033), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15205), 2,
      sym_comment,
      sym_block_comment,
  [631900] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19035), 1,
      anon_sym_COMMA,
    ACTIONS(19037), 1,
      anon_sym_RBRACK,
    STATE(15205), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15206), 2,
      sym_comment,
      sym_block_comment,
  [631920] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19039), 1,
      anon_sym_COMMA,
    ACTIONS(19041), 1,
      anon_sym_RPAREN,
    STATE(15244), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15207), 2,
      sym_comment,
      sym_block_comment,
  [631940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6084), 1,
      anon_sym_RBRACK,
    ACTIONS(19043), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15208), 2,
      sym_comment,
      sym_block_comment,
  [631960] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6108), 1,
      anon_sym_RBRACK,
    ACTIONS(19045), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15209), 2,
      sym_comment,
      sym_block_comment,
  [631980] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4172), 1,
      sym__indent,
    STATE(9445), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15210), 2,
      sym_comment,
      sym_block_comment,
  [631998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19047), 1,
      anon_sym_COMMA,
    ACTIONS(19049), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15211), 2,
      sym_comment,
      sym_block_comment,
  [632018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5432), 1,
      anon_sym_RBRACK,
    ACTIONS(19051), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15212), 2,
      sym_comment,
      sym_block_comment,
  [632038] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8362), 1,
      anon_sym_RPAREN,
    ACTIONS(19053), 1,
      anon_sym_COMMA,
    STATE(15220), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15213), 2,
      sym_comment,
      sym_block_comment,
  [632058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19055), 1,
      anon_sym_COMMA,
    ACTIONS(19057), 1,
      anon_sym_RBRACK,
    STATE(15211), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15214), 2,
      sym_comment,
      sym_block_comment,
  [632078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19059), 1,
      anon_sym_COMMA,
    ACTIONS(19061), 1,
      anon_sym_RBRACK,
    STATE(15219), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15215), 2,
      sym_comment,
      sym_block_comment,
  [632098] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8362), 1,
      anon_sym_RPAREN,
    ACTIONS(19053), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15216), 2,
      sym_comment,
      sym_block_comment,
  [632118] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19063), 1,
      anon_sym_COMMA,
    ACTIONS(19065), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15217), 2,
      sym_comment,
      sym_block_comment,
  [632138] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5616), 1,
      anon_sym_RPAREN,
    ACTIONS(19067), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15218), 2,
      sym_comment,
      sym_block_comment,
  [632158] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6096), 1,
      anon_sym_RBRACK,
    ACTIONS(19069), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15219), 2,
      sym_comment,
      sym_block_comment,
  [632178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8360), 1,
      anon_sym_RPAREN,
    ACTIONS(19071), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15220), 2,
      sym_comment,
      sym_block_comment,
  [632198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19073), 1,
      anon_sym_COMMA,
    ACTIONS(19075), 1,
      anon_sym_RBRACK,
    STATE(15217), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15221), 2,
      sym_comment,
      sym_block_comment,
  [632218] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(19077), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15222), 2,
      sym_comment,
      sym_block_comment,
  [632236] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15915), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9368), 1,
      sym_type_arguments,
    STATE(15223), 2,
      sym_comment,
      sym_block_comment,
  [632256] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19080), 1,
      anon_sym_COMMA,
    ACTIONS(19082), 1,
      anon_sym_RBRACK,
    STATE(15212), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15224), 2,
      sym_comment,
      sym_block_comment,
  [632276] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8360), 1,
      anon_sym_RPAREN,
    ACTIONS(19071), 1,
      anon_sym_COMMA,
    STATE(15227), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15225), 2,
      sym_comment,
      sym_block_comment,
  [632296] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19084), 1,
      anon_sym_COMMA,
    ACTIONS(19086), 1,
      anon_sym_RBRACK,
    STATE(15230), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15226), 2,
      sym_comment,
      sym_block_comment,
  [632316] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8348), 1,
      anon_sym_RPAREN,
    ACTIONS(19088), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15227), 2,
      sym_comment,
      sym_block_comment,
  [632336] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5592), 1,
      anon_sym_RPAREN,
    ACTIONS(19090), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15228), 2,
      sym_comment,
      sym_block_comment,
  [632356] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5328), 1,
      anon_sym_RBRACK,
    ACTIONS(19092), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15229), 2,
      sym_comment,
      sym_block_comment,
  [632376] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6104), 1,
      anon_sym_RBRACK,
    ACTIONS(19094), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15230), 2,
      sym_comment,
      sym_block_comment,
  [632396] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13531), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(6003), 1,
      sym_type_arguments,
    STATE(15231), 2,
      sym_comment,
      sym_block_comment,
  [632416] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19096), 1,
      anon_sym_COMMA,
    ACTIONS(19098), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15232), 2,
      sym_comment,
      sym_block_comment,
  [632436] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14663), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15233), 2,
      sym_comment,
      sym_block_comment,
  [632456] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19100), 1,
      anon_sym_COMMA,
    ACTIONS(19102), 1,
      anon_sym_RBRACK,
    STATE(15232), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15234), 2,
      sym_comment,
      sym_block_comment,
  [632476] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19104), 1,
      anon_sym_COMMA,
    ACTIONS(19106), 1,
      anon_sym_RPAREN,
    STATE(15662), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15235), 2,
      sym_comment,
      sym_block_comment,
  [632496] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5766), 1,
      anon_sym_RPAREN,
    ACTIONS(19108), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15236), 2,
      sym_comment,
      sym_block_comment,
  [632516] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19110), 1,
      anon_sym_COMMA,
    ACTIONS(19112), 1,
      anon_sym_RBRACK,
    STATE(15241), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15237), 2,
      sym_comment,
      sym_block_comment,
  [632536] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(19114), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15238), 2,
      sym_comment,
      sym_block_comment,
  [632556] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19116), 1,
      anon_sym_COMMA,
    ACTIONS(19118), 1,
      anon_sym_RBRACK,
    STATE(15143), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15239), 2,
      sym_comment,
      sym_block_comment,
  [632576] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8152), 1,
      anon_sym_with,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    STATE(17141), 1,
      sym_arguments,
    STATE(15240), 2,
      sym_comment,
      sym_block_comment,
  [632596] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5878), 1,
      anon_sym_RBRACK,
    ACTIONS(19120), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15241), 2,
      sym_comment,
      sym_block_comment,
  [632616] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19122), 1,
      anon_sym_COMMA,
    ACTIONS(19124), 1,
      anon_sym_RBRACK,
    STATE(15282), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15242), 2,
      sym_comment,
      sym_block_comment,
  [632636] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19126), 1,
      sym__interpolated_multiline_string_end,
    STATE(15264), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15243), 2,
      sym_comment,
      sym_block_comment,
  [632656] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5416), 1,
      anon_sym_RPAREN,
    ACTIONS(19128), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15244), 2,
      sym_comment,
      sym_block_comment,
  [632676] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19130), 1,
      anon_sym_COMMA,
    ACTIONS(19132), 1,
      anon_sym_RBRACK,
    STATE(15298), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15245), 2,
      sym_comment,
      sym_block_comment,
  [632696] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19134), 1,
      anon_sym_COMMA,
    ACTIONS(19136), 1,
      anon_sym_RBRACK,
    STATE(15249), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15246), 2,
      sym_comment,
      sym_block_comment,
  [632716] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19126), 1,
      sym__interpolated_string_end,
    STATE(15266), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15247), 2,
      sym_comment,
      sym_block_comment,
  [632736] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19138), 1,
      anon_sym_COMMA,
    ACTIONS(19140), 1,
      anon_sym_RBRACK,
    STATE(15268), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15248), 2,
      sym_comment,
      sym_block_comment,
  [632756] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6082), 1,
      anon_sym_RBRACK,
    ACTIONS(19142), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15249), 2,
      sym_comment,
      sym_block_comment,
  [632776] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19144), 1,
      anon_sym_COMMA,
    ACTIONS(19146), 1,
      anon_sym_RPAREN,
    STATE(15348), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15250), 2,
      sym_comment,
      sym_block_comment,
  [632796] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5458), 1,
      anon_sym_RPAREN,
    ACTIONS(19148), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15251), 2,
      sym_comment,
      sym_block_comment,
  [632816] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12006), 1,
      sym__arrow_then_type,
    ACTIONS(19150), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15252), 2,
      sym_comment,
      sym_block_comment,
  [632834] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19152), 1,
      anon_sym_COMMA,
    ACTIONS(19154), 1,
      anon_sym_RBRACK,
    STATE(15256), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15253), 2,
      sym_comment,
      sym_block_comment,
  [632854] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16442), 1,
      anon_sym_LBRACK,
    STATE(10218), 1,
      sym_type_arguments,
    STATE(15254), 2,
      sym_comment,
      sym_block_comment,
  [632874] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19156), 1,
      anon_sym_COMMA,
    ACTIONS(19158), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15255), 2,
      sym_comment,
      sym_block_comment,
  [632894] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6008), 1,
      anon_sym_RBRACK,
    ACTIONS(19160), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15256), 2,
      sym_comment,
      sym_block_comment,
  [632914] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19162), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15257), 2,
      sym_comment,
      sym_block_comment,
  [632934] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5594), 1,
      anon_sym_RBRACK,
    ACTIONS(19164), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15258), 2,
      sym_comment,
      sym_block_comment,
  [632954] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5178), 1,
      anon_sym_RBRACK,
    ACTIONS(19166), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15259), 2,
      sym_comment,
      sym_block_comment,
  [632974] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19168), 1,
      anon_sym_COMMA,
    ACTIONS(19170), 1,
      anon_sym_RBRACK,
    STATE(15263), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15260), 2,
      sym_comment,
      sym_block_comment,
  [632994] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19172), 1,
      anon_sym_COMMA,
    ACTIONS(19174), 1,
      anon_sym_RBRACK,
    STATE(15274), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15261), 2,
      sym_comment,
      sym_block_comment,
  [633014] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5578), 1,
      anon_sym_RPAREN,
    ACTIONS(19176), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15262), 2,
      sym_comment,
      sym_block_comment,
  [633034] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5974), 1,
      anon_sym_RBRACK,
    ACTIONS(19178), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15263), 2,
      sym_comment,
      sym_block_comment,
  [633054] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19180), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15264), 2,
      sym_comment,
      sym_block_comment,
  [633074] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5804), 1,
      anon_sym_RPAREN,
    ACTIONS(19182), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15265), 2,
      sym_comment,
      sym_block_comment,
  [633094] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19180), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15266), 2,
      sym_comment,
      sym_block_comment,
  [633114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19184), 1,
      anon_sym_COMMA,
    ACTIONS(19186), 1,
      anon_sym_RBRACK,
    STATE(15270), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15267), 2,
      sym_comment,
      sym_block_comment,
  [633134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19188), 1,
      anon_sym_COMMA,
    ACTIONS(19190), 1,
      anon_sym_RBRACK,
    STATE(15748), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15268), 2,
      sym_comment,
      sym_block_comment,
  [633154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5988), 1,
      anon_sym_RPAREN,
    ACTIONS(19192), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15269), 2,
      sym_comment,
      sym_block_comment,
  [633174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5892), 1,
      anon_sym_RBRACK,
    ACTIONS(19194), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15270), 2,
      sym_comment,
      sym_block_comment,
  [633194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19162), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15271), 2,
      sym_comment,
      sym_block_comment,
  [633214] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19196), 1,
      anon_sym_COMMA,
    ACTIONS(19198), 1,
      anon_sym_RBRACK,
    STATE(15259), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15272), 2,
      sym_comment,
      sym_block_comment,
  [633234] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19200), 1,
      anon_sym_COMMA,
    ACTIONS(19202), 1,
      anon_sym_RBRACK,
    STATE(15275), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15273), 2,
      sym_comment,
      sym_block_comment,
  [633254] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5820), 1,
      anon_sym_RBRACK,
    ACTIONS(19204), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15274), 2,
      sym_comment,
      sym_block_comment,
  [633274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5870), 1,
      anon_sym_RBRACK,
    ACTIONS(19206), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15275), 2,
      sym_comment,
      sym_block_comment,
  [633294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4640), 1,
      sym__indent,
    STATE(6064), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15276), 2,
      sym_comment,
      sym_block_comment,
  [633312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19208), 1,
      anon_sym_COMMA,
    ACTIONS(19210), 1,
      anon_sym_RBRACK,
    STATE(15279), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15277), 2,
      sym_comment,
      sym_block_comment,
  [633332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5614), 1,
      anon_sym_RPAREN,
    ACTIONS(19212), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15278), 2,
      sym_comment,
      sym_block_comment,
  [633352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5956), 1,
      anon_sym_RBRACK,
    ACTIONS(19214), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15279), 2,
      sym_comment,
      sym_block_comment,
  [633372] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19216), 1,
      anon_sym_COMMA,
    ACTIONS(19218), 1,
      anon_sym_RPAREN,
    STATE(15558), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15280), 2,
      sym_comment,
      sym_block_comment,
  [633392] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19220), 1,
      anon_sym_COMMA,
    ACTIONS(19222), 1,
      anon_sym_RBRACK,
    STATE(15283), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15281), 2,
      sym_comment,
      sym_block_comment,
  [633412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5418), 1,
      anon_sym_RBRACK,
    ACTIONS(19224), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15282), 2,
      sym_comment,
      sym_block_comment,
  [633432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5704), 1,
      anon_sym_RBRACK,
    ACTIONS(19226), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15283), 2,
      sym_comment,
      sym_block_comment,
  [633452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5844), 1,
      anon_sym_RPAREN,
    ACTIONS(19228), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15284), 2,
      sym_comment,
      sym_block_comment,
  [633472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19230), 1,
      anon_sym_COMMA,
    ACTIONS(19232), 1,
      anon_sym_RBRACK,
    STATE(15287), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15285), 2,
      sym_comment,
      sym_block_comment,
  [633492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19234), 1,
      anon_sym_COMMA,
    ACTIONS(19236), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15286), 2,
      sym_comment,
      sym_block_comment,
  [633512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5694), 1,
      anon_sym_RBRACK,
    ACTIONS(19238), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15287), 2,
      sym_comment,
      sym_block_comment,
  [633532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19240), 1,
      anon_sym_COMMA,
    ACTIONS(19243), 1,
      anon_sym_RBRACK,
    STATE(15288), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_type_lambda_repeat1,
  [633550] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19245), 1,
      anon_sym_COMMA,
    ACTIONS(19247), 1,
      anon_sym_RBRACK,
    STATE(15291), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15289), 2,
      sym_comment,
      sym_block_comment,
  [633570] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15290), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17731), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [633586] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5676), 1,
      anon_sym_RBRACK,
    ACTIONS(19249), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15291), 2,
      sym_comment,
      sym_block_comment,
  [633606] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14668), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(7196), 1,
      sym_type_arguments,
    STATE(15292), 2,
      sym_comment,
      sym_block_comment,
  [633626] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19251), 1,
      anon_sym_COMMA,
    ACTIONS(19253), 1,
      anon_sym_RBRACK,
    STATE(15295), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15293), 2,
      sym_comment,
      sym_block_comment,
  [633646] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15467), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(8483), 1,
      sym_type_arguments,
    STATE(15294), 2,
      sym_comment,
      sym_block_comment,
  [633666] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5612), 1,
      anon_sym_RBRACK,
    ACTIONS(19255), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15295), 2,
      sym_comment,
      sym_block_comment,
  [633686] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19257), 1,
      anon_sym_COMMA,
    ACTIONS(19259), 1,
      anon_sym_RPAREN,
    STATE(15592), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15296), 2,
      sym_comment,
      sym_block_comment,
  [633706] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19261), 1,
      anon_sym_COMMA,
    ACTIONS(19263), 1,
      anon_sym_RBRACK,
    STATE(15299), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15297), 2,
      sym_comment,
      sym_block_comment,
  [633726] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5856), 1,
      anon_sym_RBRACK,
    ACTIONS(19265), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15298), 2,
      sym_comment,
      sym_block_comment,
  [633746] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5492), 1,
      anon_sym_RBRACK,
    ACTIONS(19267), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15299), 2,
      sym_comment,
      sym_block_comment,
  [633766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19269), 1,
      anon_sym_COMMA,
    ACTIONS(19271), 1,
      anon_sym_RPAREN,
    STATE(15498), 1,
      aux_sym_bindings_repeat1,
    STATE(15300), 2,
      sym_comment,
      sym_block_comment,
  [633786] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19273), 1,
      anon_sym_COMMA,
    ACTIONS(19275), 1,
      anon_sym_RBRACK,
    STATE(15303), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15301), 2,
      sym_comment,
      sym_block_comment,
  [633806] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4416), 1,
      sym__indent,
    STATE(9588), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15302), 2,
      sym_comment,
      sym_block_comment,
  [633824] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5446), 1,
      anon_sym_RBRACK,
    ACTIONS(19277), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15303), 2,
      sym_comment,
      sym_block_comment,
  [633844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14675), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15304), 2,
      sym_comment,
      sym_block_comment,
  [633864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19279), 1,
      anon_sym_COMMA,
    ACTIONS(19281), 1,
      anon_sym_RBRACK,
    STATE(15307), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15305), 2,
      sym_comment,
      sym_block_comment,
  [633884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5248), 1,
      anon_sym_RBRACK,
    ACTIONS(19283), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15306), 2,
      sym_comment,
      sym_block_comment,
  [633904] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5726), 1,
      anon_sym_RBRACK,
    ACTIONS(19285), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15307), 2,
      sym_comment,
      sym_block_comment,
  [633924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19287), 1,
      sym__interpolated_multiline_string_end,
    STATE(15341), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15308), 2,
      sym_comment,
      sym_block_comment,
  [633944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19289), 1,
      anon_sym_COMMA,
    ACTIONS(19291), 1,
      anon_sym_RBRACK,
    STATE(15311), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15309), 2,
      sym_comment,
      sym_block_comment,
  [633964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5348), 1,
      anon_sym_RPAREN,
    ACTIONS(19293), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15310), 2,
      sym_comment,
      sym_block_comment,
  [633984] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5382), 1,
      anon_sym_RBRACK,
    ACTIONS(19295), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15311), 2,
      sym_comment,
      sym_block_comment,
  [634004] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19287), 1,
      sym__interpolated_string_end,
    STATE(15343), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15312), 2,
      sym_comment,
      sym_block_comment,
  [634024] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19297), 1,
      anon_sym_COMMA,
    ACTIONS(19299), 1,
      anon_sym_RBRACK,
    STATE(15315), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15313), 2,
      sym_comment,
      sym_block_comment,
  [634044] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19301), 1,
      anon_sym_COMMA,
    ACTIONS(19303), 1,
      anon_sym_RBRACK,
    STATE(15346), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15314), 2,
      sym_comment,
      sym_block_comment,
  [634064] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5364), 1,
      anon_sym_RBRACK,
    ACTIONS(19305), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15315), 2,
      sym_comment,
      sym_block_comment,
  [634084] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19307), 1,
      anon_sym_COMMA,
    ACTIONS(19309), 1,
      anon_sym_RBRACK,
    STATE(15306), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15316), 2,
      sym_comment,
      sym_block_comment,
  [634104] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19311), 1,
      anon_sym_COMMA,
    ACTIONS(19313), 1,
      anon_sym_RBRACK,
    STATE(15319), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15317), 2,
      sym_comment,
      sym_block_comment,
  [634124] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19315), 1,
      anon_sym_COMMA,
    ACTIONS(19317), 1,
      anon_sym_RPAREN,
    STATE(15477), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15318), 2,
      sym_comment,
      sym_block_comment,
  [634144] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5324), 1,
      anon_sym_RBRACK,
    ACTIONS(19319), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15319), 2,
      sym_comment,
      sym_block_comment,
  [634164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11628), 1,
      sym__arrow_then_type,
    ACTIONS(19321), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15320), 2,
      sym_comment,
      sym_block_comment,
  [634182] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19323), 1,
      anon_sym_COMMA,
    ACTIONS(19325), 1,
      anon_sym_RBRACK,
    STATE(15323), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15321), 2,
      sym_comment,
      sym_block_comment,
  [634202] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10768), 1,
      sym__arrow_then_type,
    ACTIONS(19327), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15322), 2,
      sym_comment,
      sym_block_comment,
  [634220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5278), 1,
      anon_sym_RBRACK,
    ACTIONS(19329), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15323), 2,
      sym_comment,
      sym_block_comment,
  [634240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19331), 1,
      anon_sym_COMMA,
    ACTIONS(19333), 1,
      anon_sym_RBRACK,
    STATE(15229), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15324), 2,
      sym_comment,
      sym_block_comment,
  [634260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19335), 1,
      anon_sym_COMMA,
    ACTIONS(19337), 1,
      anon_sym_RBRACK,
    STATE(15327), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15325), 2,
      sym_comment,
      sym_block_comment,
  [634280] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15326), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(18282), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [634296] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5238), 1,
      anon_sym_RBRACK,
    ACTIONS(19339), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15327), 2,
      sym_comment,
      sym_block_comment,
  [634316] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19341), 1,
      anon_sym_COMMA,
    ACTIONS(19343), 1,
      anon_sym_RPAREN,
    STATE(15844), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15328), 2,
      sym_comment,
      sym_block_comment,
  [634336] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19345), 1,
      anon_sym_COMMA,
    ACTIONS(19347), 1,
      anon_sym_RBRACK,
    STATE(15331), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15329), 2,
      sym_comment,
      sym_block_comment,
  [634356] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19349), 1,
      anon_sym_COMMA,
    ACTIONS(19351), 1,
      anon_sym_RPAREN,
    STATE(14797), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15330), 2,
      sym_comment,
      sym_block_comment,
  [634376] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5202), 1,
      anon_sym_RBRACK,
    ACTIONS(19353), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15331), 2,
      sym_comment,
      sym_block_comment,
  [634396] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19355), 1,
      anon_sym_COMMA,
    ACTIONS(19357), 1,
      anon_sym_RPAREN,
    STATE(15686), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15332), 2,
      sym_comment,
      sym_block_comment,
  [634416] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14575), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15333), 2,
      sym_comment,
      sym_block_comment,
  [634436] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12494), 1,
      anon_sym_RBRACE,
    ACTIONS(19359), 1,
      anon_sym_COMMA,
    STATE(14874), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(15334), 2,
      sym_comment,
      sym_block_comment,
  [634456] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19361), 1,
      anon_sym_COMMA,
    ACTIONS(19363), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15335), 2,
      sym_comment,
      sym_block_comment,
  [634476] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19365), 1,
      sym__interpolated_string_end,
    STATE(15157), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15336), 2,
      sym_comment,
      sym_block_comment,
  [634496] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19365), 1,
      sym__interpolated_multiline_string_end,
    STATE(15183), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15337), 2,
      sym_comment,
      sym_block_comment,
  [634516] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15338), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15982), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [634532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19367), 1,
      anon_sym_COMMA,
    ACTIONS(19369), 1,
      anon_sym_RBRACK,
    STATE(15356), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15339), 2,
      sym_comment,
      sym_block_comment,
  [634552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14634), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15340), 2,
      sym_comment,
      sym_block_comment,
  [634572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19371), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15341), 2,
      sym_comment,
      sym_block_comment,
  [634592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5678), 1,
      anon_sym_RBRACK,
    ACTIONS(19373), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15342), 2,
      sym_comment,
      sym_block_comment,
  [634612] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19371), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15343), 2,
      sym_comment,
      sym_block_comment,
  [634632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(19375), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15344), 2,
      sym_comment,
      sym_block_comment,
  [634652] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5196), 1,
      anon_sym_RBRACK,
    ACTIONS(19377), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15345), 2,
      sym_comment,
      sym_block_comment,
  [634672] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19379), 1,
      anon_sym_COMMA,
    ACTIONS(19381), 1,
      anon_sym_RBRACK,
    STATE(15748), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15346), 2,
      sym_comment,
      sym_block_comment,
  [634692] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5274), 1,
      anon_sym_RPAREN,
    ACTIONS(19383), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15347), 2,
      sym_comment,
      sym_block_comment,
  [634712] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5894), 1,
      anon_sym_RPAREN,
    ACTIONS(19385), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15348), 2,
      sym_comment,
      sym_block_comment,
  [634732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5864), 1,
      anon_sym_RPAREN,
    ACTIONS(19387), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15349), 2,
      sym_comment,
      sym_block_comment,
  [634752] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13845), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(6608), 1,
      sym_type_arguments,
    STATE(15350), 2,
      sym_comment,
      sym_block_comment,
  [634772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19389), 1,
      sym__interpolated_multiline_string_end,
    STATE(15544), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15351), 2,
      sym_comment,
      sym_block_comment,
  [634792] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19389), 1,
      sym__interpolated_string_end,
    STATE(15546), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15352), 2,
      sym_comment,
      sym_block_comment,
  [634812] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(19391), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15353), 2,
      sym_comment,
      sym_block_comment,
  [634832] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15354), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16637), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [634848] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19393), 1,
      anon_sym_COMMA,
    ACTIONS(19395), 1,
      anon_sym_RBRACK,
    STATE(15345), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15355), 2,
      sym_comment,
      sym_block_comment,
  [634868] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5512), 1,
      anon_sym_RBRACK,
    ACTIONS(19397), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15356), 2,
      sym_comment,
      sym_block_comment,
  [634888] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15671), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9010), 1,
      sym_type_arguments,
    STATE(15357), 2,
      sym_comment,
      sym_block_comment,
  [634908] = 4,
    ACTIONS(18029), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19402), 1,
      anon_sym_STAR_SLASH,
    ACTIONS(19399), 2,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
    STATE(15358), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_block_comment_repeat1,
  [634924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19404), 1,
      anon_sym_LPAREN,
    ACTIONS(19406), 1,
      sym__automatic_semicolon,
    STATE(13320), 1,
      sym_class_parameters,
    STATE(15359), 2,
      sym_comment,
      sym_block_comment,
  [634944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19408), 1,
      anon_sym_COMMA,
    ACTIONS(19410), 1,
      anon_sym_RPAREN,
    STATE(15668), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15360), 2,
      sym_comment,
      sym_block_comment,
  [634964] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4374), 1,
      sym__indent,
    STATE(8636), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15361), 2,
      sym_comment,
      sym_block_comment,
  [634982] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15362), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16846), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [634998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19412), 1,
      anon_sym_COMMA,
    ACTIONS(19414), 1,
      anon_sym_RBRACK,
    STATE(15458), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15363), 2,
      sym_comment,
      sym_block_comment,
  [635018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19416), 1,
      sym__interpolated_multiline_string_end,
    STATE(15452), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15364), 2,
      sym_comment,
      sym_block_comment,
  [635038] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5318), 1,
      anon_sym_RBRACK,
    ACTIONS(19418), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15365), 2,
      sym_comment,
      sym_block_comment,
  [635058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19416), 1,
      sym__interpolated_string_end,
    STATE(15486), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15366), 2,
      sym_comment,
      sym_block_comment,
  [635078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5664), 1,
      anon_sym_RPAREN,
    ACTIONS(19420), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15367), 2,
      sym_comment,
      sym_block_comment,
  [635098] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5556), 1,
      anon_sym_RPAREN,
    ACTIONS(19422), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15368), 2,
      sym_comment,
      sym_block_comment,
  [635118] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16265), 1,
      anon_sym_COLON,
    ACTIONS(16267), 1,
      anon_sym_LBRACE,
    STATE(14250), 1,
      sym_enum_body,
    STATE(15369), 2,
      sym_comment,
      sym_block_comment,
  [635138] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15937), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9511), 1,
      sym_type_arguments,
    STATE(15370), 2,
      sym_comment,
      sym_block_comment,
  [635158] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19424), 1,
      anon_sym_COMMA,
    ACTIONS(19426), 1,
      anon_sym_RPAREN,
    STATE(15265), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15371), 2,
      sym_comment,
      sym_block_comment,
  [635178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5134), 1,
      anon_sym_RBRACK,
    ACTIONS(19428), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15372), 2,
      sym_comment,
      sym_block_comment,
  [635198] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13385), 1,
      sym__arrow_then_type,
    ACTIONS(19430), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15373), 2,
      sym_comment,
      sym_block_comment,
  [635216] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15374), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16514), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [635232] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19432), 1,
      anon_sym_COMMA,
    ACTIONS(19434), 1,
      anon_sym_RBRACK,
    STATE(15417), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15375), 2,
      sym_comment,
      sym_block_comment,
  [635252] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5680), 1,
      anon_sym_RPAREN,
    ACTIONS(19436), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15376), 2,
      sym_comment,
      sym_block_comment,
  [635272] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(19438), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15377), 2,
      sym_comment,
      sym_block_comment,
  [635292] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19440), 1,
      sym__interpolated_multiline_string_end,
    STATE(15397), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15378), 2,
      sym_comment,
      sym_block_comment,
  [635312] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19440), 1,
      sym__interpolated_string_end,
    STATE(15401), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15379), 2,
      sym_comment,
      sym_block_comment,
  [635332] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19442), 1,
      anon_sym_COMMA,
    ACTIONS(19444), 1,
      anon_sym_RBRACK,
    STATE(15372), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15380), 2,
      sym_comment,
      sym_block_comment,
  [635352] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19446), 1,
      anon_sym_COMMA,
    ACTIONS(19448), 1,
      anon_sym_RPAREN,
    STATE(15650), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15381), 2,
      sym_comment,
      sym_block_comment,
  [635372] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15382), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19450), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [635388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11433), 1,
      sym__arrow_then_type,
    ACTIONS(19452), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15383), 2,
      sym_comment,
      sym_block_comment,
  [635406] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19454), 1,
      anon_sym_COMMA,
    ACTIONS(19456), 1,
      anon_sym_RPAREN,
    STATE(15444), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15384), 2,
      sym_comment,
      sym_block_comment,
  [635426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8562), 1,
      sym__arrow_then_type,
    ACTIONS(19458), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15385), 2,
      sym_comment,
      sym_block_comment,
  [635444] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15386), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19460), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [635460] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19462), 1,
      anon_sym_COMMA,
    ACTIONS(19464), 1,
      anon_sym_RBRACK,
    STATE(15148), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15387), 2,
      sym_comment,
      sym_block_comment,
  [635480] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5754), 1,
      anon_sym_RPAREN,
    ACTIONS(19466), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15388), 2,
      sym_comment,
      sym_block_comment,
  [635500] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19468), 1,
      anon_sym_COMMA,
    ACTIONS(19470), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15389), 2,
      sym_comment,
      sym_block_comment,
  [635520] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15390), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19472), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [635536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4310), 1,
      sym__indent,
    STATE(6657), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15391), 2,
      sym_comment,
      sym_block_comment,
  [635554] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5570), 1,
      anon_sym_RPAREN,
    ACTIONS(19474), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15392), 2,
      sym_comment,
      sym_block_comment,
  [635574] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19476), 1,
      anon_sym_COMMA,
    ACTIONS(19478), 1,
      anon_sym_RBRACK,
    STATE(15410), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15393), 2,
      sym_comment,
      sym_block_comment,
  [635594] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5158), 1,
      anon_sym_RBRACK,
    ACTIONS(19480), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15394), 2,
      sym_comment,
      sym_block_comment,
  [635614] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15395), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16846), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [635630] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19482), 1,
      anon_sym_COMMA,
    ACTIONS(19484), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15396), 2,
      sym_comment,
      sym_block_comment,
  [635650] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19486), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15397), 2,
      sym_comment,
      sym_block_comment,
  [635670] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5928), 1,
      anon_sym_RPAREN,
    ACTIONS(19488), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15398), 2,
      sym_comment,
      sym_block_comment,
  [635690] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15399), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16514), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [635706] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14423), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15400), 2,
      sym_comment,
      sym_block_comment,
  [635726] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19486), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15401), 2,
      sym_comment,
      sym_block_comment,
  [635746] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5752), 1,
      anon_sym_RPAREN,
    ACTIONS(19490), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15402), 2,
      sym_comment,
      sym_block_comment,
  [635766] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6012), 1,
      anon_sym_RBRACK,
    ACTIONS(19492), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15403), 2,
      sym_comment,
      sym_block_comment,
  [635786] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19494), 1,
      anon_sym_COMMA,
    ACTIONS(19497), 1,
      anon_sym_RPAREN,
    STATE(15404), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_class_parameters_repeat1,
  [635804] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19499), 1,
      anon_sym_COMMA,
    ACTIONS(19501), 1,
      anon_sym_RBRACK,
    STATE(15394), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15405), 2,
      sym_comment,
      sym_block_comment,
  [635824] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19503), 1,
      anon_sym_COMMA,
    ACTIONS(19505), 1,
      anon_sym_RBRACK,
    STATE(15633), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15406), 2,
      sym_comment,
      sym_block_comment,
  [635844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14563), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15407), 2,
      sym_comment,
      sym_block_comment,
  [635864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19507), 1,
      anon_sym_COMMA,
    ACTIONS(19509), 1,
      anon_sym_RBRACK,
    STATE(15342), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15408), 2,
      sym_comment,
      sym_block_comment,
  [635884] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_RPAREN,
    ACTIONS(19511), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15409), 2,
      sym_comment,
      sym_block_comment,
  [635904] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5300), 1,
      anon_sym_RBRACK,
    ACTIONS(19513), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15410), 2,
      sym_comment,
      sym_block_comment,
  [635924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4238), 1,
      sym__indent,
    STATE(9534), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15411), 2,
      sym_comment,
      sym_block_comment,
  [635942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15412), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19472), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [635958] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19515), 1,
      anon_sym_COMMA,
    ACTIONS(19517), 1,
      anon_sym_RBRACK,
    STATE(15422), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15413), 2,
      sym_comment,
      sym_block_comment,
  [635978] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12738), 1,
      anon_sym_RPAREN,
    ACTIONS(19519), 1,
      anon_sym_COMMA,
    STATE(15654), 1,
      aux_sym_parameters_repeat1,
    STATE(15414), 2,
      sym_comment,
      sym_block_comment,
  [635998] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19521), 1,
      anon_sym_COMMA,
    ACTIONS(19523), 1,
      anon_sym_RPAREN,
    STATE(15656), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15415), 2,
      sym_comment,
      sym_block_comment,
  [636018] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19525), 1,
      anon_sym_COMMA,
    ACTIONS(19527), 1,
      anon_sym_RPAREN,
    STATE(14750), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15416), 2,
      sym_comment,
      sym_block_comment,
  [636038] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5438), 1,
      anon_sym_RBRACK,
    ACTIONS(19529), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15417), 2,
      sym_comment,
      sym_block_comment,
  [636058] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17539), 1,
      anon_sym_EQ,
    ACTIONS(17537), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15418), 2,
      sym_comment,
      sym_block_comment,
  [636076] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19531), 1,
      anon_sym_COMMA,
    ACTIONS(19533), 1,
      anon_sym_RBRACK,
    STATE(14936), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15419), 2,
      sym_comment,
      sym_block_comment,
  [636096] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(8562), 1,
      sym__arrow_then_type,
    ACTIONS(19535), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15420), 2,
      sym_comment,
      sym_block_comment,
  [636114] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8390), 1,
      anon_sym_RPAREN,
    ACTIONS(18558), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15421), 2,
      sym_comment,
      sym_block_comment,
  [636134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19537), 1,
      anon_sym_COMMA,
    ACTIONS(19539), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15422), 2,
      sym_comment,
      sym_block_comment,
  [636154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14430), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15423), 2,
      sym_comment,
      sym_block_comment,
  [636174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_RPAREN,
    ACTIONS(19541), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15424), 2,
      sym_comment,
      sym_block_comment,
  [636194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19543), 1,
      anon_sym_COMMA,
    ACTIONS(19545), 1,
      anon_sym_RBRACK,
    STATE(15365), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15425), 2,
      sym_comment,
      sym_block_comment,
  [636214] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16238), 1,
      anon_sym_LBRACK,
    STATE(9970), 1,
      sym_type_arguments,
    STATE(15426), 2,
      sym_comment,
      sym_block_comment,
  [636234] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19547), 1,
      anon_sym_COMMA,
    ACTIONS(19549), 1,
      anon_sym_RPAREN,
    STATE(14958), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15427), 2,
      sym_comment,
      sym_block_comment,
  [636254] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14604), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15428), 2,
      sym_comment,
      sym_block_comment,
  [636274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19551), 1,
      anon_sym_COMMA,
    ACTIONS(19553), 1,
      anon_sym_RPAREN,
    STATE(14856), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15429), 2,
      sym_comment,
      sym_block_comment,
  [636294] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19555), 1,
      sym__interpolated_multiline_string_end,
    STATE(15456), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15430), 2,
      sym_comment,
      sym_block_comment,
  [636314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5190), 1,
      anon_sym_RBRACK,
    ACTIONS(19557), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15431), 2,
      sym_comment,
      sym_block_comment,
  [636334] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19555), 1,
      sym__interpolated_string_end,
    STATE(15476), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15432), 2,
      sym_comment,
      sym_block_comment,
  [636354] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5830), 1,
      anon_sym_RPAREN,
    ACTIONS(19559), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15433), 2,
      sym_comment,
      sym_block_comment,
  [636374] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19561), 1,
      anon_sym_COMMA,
    ACTIONS(19563), 1,
      anon_sym_RBRACK,
    STATE(15496), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15434), 2,
      sym_comment,
      sym_block_comment,
  [636394] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19565), 1,
      anon_sym_COMMA,
    ACTIONS(19567), 1,
      anon_sym_RPAREN,
    STATE(15706), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15435), 2,
      sym_comment,
      sym_block_comment,
  [636414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19569), 1,
      anon_sym_COMMA,
    ACTIONS(19571), 1,
      anon_sym_RBRACK,
    STATE(15431), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15436), 2,
      sym_comment,
      sym_block_comment,
  [636434] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8414), 1,
      anon_sym_RPAREN,
    ACTIONS(19541), 1,
      anon_sym_COMMA,
    STATE(14978), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15437), 2,
      sym_comment,
      sym_block_comment,
  [636454] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19573), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15438), 2,
      sym_comment,
      sym_block_comment,
  [636474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11433), 1,
      sym__arrow_then_type,
    ACTIONS(19575), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15439), 2,
      sym_comment,
      sym_block_comment,
  [636492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19577), 1,
      anon_sym_COMMA,
    ACTIONS(19579), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15440), 2,
      sym_comment,
      sym_block_comment,
  [636512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19581), 1,
      anon_sym_COMMA,
    ACTIONS(19583), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15441), 2,
      sym_comment,
      sym_block_comment,
  [636532] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19573), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15442), 2,
      sym_comment,
      sym_block_comment,
  [636552] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(19585), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15443), 2,
      sym_comment,
      sym_block_comment,
  [636572] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5140), 1,
      anon_sym_RPAREN,
    ACTIONS(19587), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15444), 2,
      sym_comment,
      sym_block_comment,
  [636592] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19589), 1,
      anon_sym_COMMA,
    ACTIONS(19591), 1,
      anon_sym_RPAREN,
    STATE(15501), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15445), 2,
      sym_comment,
      sym_block_comment,
  [636612] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19593), 1,
      anon_sym_COMMA,
    ACTIONS(19595), 1,
      anon_sym_RPAREN,
    STATE(15130), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15446), 2,
      sym_comment,
      sym_block_comment,
  [636632] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19597), 1,
      anon_sym_COMMA,
    ACTIONS(19599), 1,
      anon_sym_RPAREN,
    STATE(15251), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15447), 2,
      sym_comment,
      sym_block_comment,
  [636652] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19601), 1,
      anon_sym_COMMA,
    ACTIONS(19603), 1,
      anon_sym_RPAREN,
    STATE(14789), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15448), 2,
      sym_comment,
      sym_block_comment,
  [636672] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19605), 1,
      anon_sym_COMMA,
    ACTIONS(19607), 1,
      anon_sym_RBRACK,
    STATE(15403), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15449), 2,
      sym_comment,
      sym_block_comment,
  [636692] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5310), 1,
      anon_sym_RBRACK,
    ACTIONS(19609), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15450), 2,
      sym_comment,
      sym_block_comment,
  [636712] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19611), 1,
      anon_sym_COMMA,
    ACTIONS(19613), 1,
      anon_sym_RBRACK,
    STATE(15597), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15451), 2,
      sym_comment,
      sym_block_comment,
  [636732] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19615), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15452), 2,
      sym_comment,
      sym_block_comment,
  [636752] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19617), 1,
      anon_sym_COMMA,
    ACTIONS(19619), 1,
      anon_sym_RBRACK,
    STATE(15478), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15453), 2,
      sym_comment,
      sym_block_comment,
  [636772] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19621), 1,
      anon_sym_COMMA,
    ACTIONS(19623), 1,
      anon_sym_RPAREN,
    STATE(14743), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15454), 2,
      sym_comment,
      sym_block_comment,
  [636792] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11433), 1,
      sym__arrow_then_type,
    ACTIONS(19625), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15455), 2,
      sym_comment,
      sym_block_comment,
  [636810] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19627), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15456), 2,
      sym_comment,
      sym_block_comment,
  [636830] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5244), 1,
      anon_sym_RBRACK,
    ACTIONS(19629), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15457), 2,
      sym_comment,
      sym_block_comment,
  [636850] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5474), 1,
      anon_sym_RBRACK,
    ACTIONS(19631), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15458), 2,
      sym_comment,
      sym_block_comment,
  [636870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12006), 1,
      sym__arrow_then_type,
    ACTIONS(19633), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15459), 2,
      sym_comment,
      sym_block_comment,
  [636888] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11628), 1,
      sym__arrow_then_type,
    ACTIONS(19635), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15460), 2,
      sym_comment,
      sym_block_comment,
  [636906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13197), 1,
      sym__arrow_then_type,
    ACTIONS(19637), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15461), 2,
      sym_comment,
      sym_block_comment,
  [636924] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12847), 1,
      sym__arrow_then_type,
    ACTIONS(19639), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15462), 2,
      sym_comment,
      sym_block_comment,
  [636942] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12125), 1,
      sym__arrow_then_type,
    ACTIONS(19641), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15463), 2,
      sym_comment,
      sym_block_comment,
  [636960] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13091), 1,
      sym__arrow_then_type,
    ACTIONS(19643), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15464), 2,
      sym_comment,
      sym_block_comment,
  [636978] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13221), 1,
      sym__arrow_then_type,
    ACTIONS(19645), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15465), 2,
      sym_comment,
      sym_block_comment,
  [636996] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11338), 1,
      sym__arrow_then_type,
    ACTIONS(19647), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15466), 2,
      sym_comment,
      sym_block_comment,
  [637014] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11866), 1,
      sym__arrow_then_type,
    ACTIONS(19649), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15467), 2,
      sym_comment,
      sym_block_comment,
  [637032] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12188), 1,
      sym__arrow_then_type,
    ACTIONS(19651), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15468), 2,
      sym_comment,
      sym_block_comment,
  [637050] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13472), 1,
      sym__arrow_then_type,
    ACTIONS(19653), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15469), 2,
      sym_comment,
      sym_block_comment,
  [637068] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13385), 1,
      sym__arrow_then_type,
    ACTIONS(19655), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15470), 2,
      sym_comment,
      sym_block_comment,
  [637086] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12959), 1,
      sym__arrow_then_type,
    ACTIONS(19657), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15471), 2,
      sym_comment,
      sym_block_comment,
  [637104] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13363), 1,
      sym__arrow_then_type,
    ACTIONS(19659), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15472), 2,
      sym_comment,
      sym_block_comment,
  [637122] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11576), 1,
      sym__arrow_then_type,
    ACTIONS(19661), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15473), 2,
      sym_comment,
      sym_block_comment,
  [637140] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12652), 1,
      sym__arrow_then_type,
    ACTIONS(19663), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15474), 2,
      sym_comment,
      sym_block_comment,
  [637158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13207), 1,
      sym__arrow_then_type,
    ACTIONS(19665), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15475), 2,
      sym_comment,
      sym_block_comment,
  [637176] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19627), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15476), 2,
      sym_comment,
      sym_block_comment,
  [637196] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5554), 1,
      anon_sym_RPAREN,
    ACTIONS(19667), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15477), 2,
      sym_comment,
      sym_block_comment,
  [637216] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5128), 1,
      anon_sym_RBRACK,
    ACTIONS(19669), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15478), 2,
      sym_comment,
      sym_block_comment,
  [637236] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4280), 1,
      sym__indent,
    STATE(10000), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15479), 2,
      sym_comment,
      sym_block_comment,
  [637254] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19671), 1,
      anon_sym_COMMA,
    ACTIONS(19673), 1,
      anon_sym_RBRACK,
    STATE(15517), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15480), 2,
      sym_comment,
      sym_block_comment,
  [637274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5654), 1,
      anon_sym_RBRACK,
    ACTIONS(19675), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15481), 2,
      sym_comment,
      sym_block_comment,
  [637294] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5290), 1,
      anon_sym_RBRACK,
    ACTIONS(19677), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15482), 2,
      sym_comment,
      sym_block_comment,
  [637314] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5912), 1,
      anon_sym_RPAREN,
    ACTIONS(19679), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15483), 2,
      sym_comment,
      sym_block_comment,
  [637334] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(19681), 1,
      anon_sym_LBRACK,
    STATE(10834), 1,
      sym_type_arguments,
    STATE(15484), 2,
      sym_comment,
      sym_block_comment,
  [637354] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19683), 1,
      anon_sym_COMMA,
    ACTIONS(19685), 1,
      anon_sym_RPAREN,
    STATE(15228), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15485), 2,
      sym_comment,
      sym_block_comment,
  [637374] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19615), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15486), 2,
      sym_comment,
      sym_block_comment,
  [637394] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19687), 1,
      sym__interpolated_multiline_string_end,
    STATE(15520), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15487), 2,
      sym_comment,
      sym_block_comment,
  [637414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19689), 1,
      anon_sym_COMMA,
    ACTIONS(19691), 1,
      anon_sym_RBRACK,
    STATE(15457), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15488), 2,
      sym_comment,
      sym_block_comment,
  [637434] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19687), 1,
      sym__interpolated_string_end,
    STATE(15522), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15489), 2,
      sym_comment,
      sym_block_comment,
  [637454] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15490), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(15368), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [637470] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19693), 1,
      anon_sym_COMMA,
    ACTIONS(19695), 1,
      anon_sym_RPAREN,
    STATE(15740), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15491), 2,
      sym_comment,
      sym_block_comment,
  [637490] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11433), 1,
      sym__arrow_then_type,
    ACTIONS(19697), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15492), 2,
      sym_comment,
      sym_block_comment,
  [637508] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19699), 1,
      anon_sym_COMMA,
    ACTIONS(19701), 1,
      anon_sym_RPAREN,
    STATE(14888), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15493), 2,
      sym_comment,
      sym_block_comment,
  [637528] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19703), 1,
      anon_sym_COMMA,
    ACTIONS(19705), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15494), 2,
      sym_comment,
      sym_block_comment,
  [637548] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16265), 1,
      anon_sym_COLON,
    ACTIONS(16267), 1,
      anon_sym_LBRACE,
    STATE(14222), 1,
      sym_enum_body,
    STATE(15495), 2,
      sym_comment,
      sym_block_comment,
  [637568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5796), 1,
      anon_sym_RBRACK,
    ACTIONS(19707), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15496), 2,
      sym_comment,
      sym_block_comment,
  [637588] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4712), 1,
      sym__indent,
    STATE(6424), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15497), 2,
      sym_comment,
      sym_block_comment,
  [637606] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13156), 1,
      anon_sym_RPAREN,
    ACTIONS(19709), 1,
      anon_sym_COMMA,
    STATE(15759), 1,
      aux_sym_bindings_repeat1,
    STATE(15498), 2,
      sym_comment,
      sym_block_comment,
  [637626] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19711), 1,
      anon_sym_COMMA,
    ACTIONS(19713), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15499), 2,
      sym_comment,
      sym_block_comment,
  [637646] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15500), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17362), 3,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [637662] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5668), 1,
      anon_sym_RPAREN,
    ACTIONS(19715), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15501), 2,
      sym_comment,
      sym_block_comment,
  [637682] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19717), 1,
      anon_sym_COMMA,
    ACTIONS(19719), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15502), 2,
      sym_comment,
      sym_block_comment,
  [637702] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5292), 1,
      anon_sym_RBRACK,
    ACTIONS(19721), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15503), 2,
      sym_comment,
      sym_block_comment,
  [637722] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19723), 1,
      anon_sym_COMMA,
    ACTIONS(19725), 1,
      anon_sym_RPAREN,
    STATE(15368), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15504), 2,
      sym_comment,
      sym_block_comment,
  [637742] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5798), 1,
      anon_sym_RPAREN,
    ACTIONS(19727), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15505), 2,
      sym_comment,
      sym_block_comment,
  [637762] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13221), 1,
      sym__arrow_then_type,
    ACTIONS(19729), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15506), 2,
      sym_comment,
      sym_block_comment,
  [637780] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(19731), 1,
      anon_sym_COLON,
    STATE(15772), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15507), 2,
      sym_comment,
      sym_block_comment,
  [637800] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(19733), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15508), 2,
      sym_comment,
      sym_block_comment,
  [637820] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5872), 1,
      anon_sym_RPAREN,
    ACTIONS(19735), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15509), 2,
      sym_comment,
      sym_block_comment,
  [637840] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19737), 1,
      anon_sym_COMMA,
    ACTIONS(19739), 1,
      anon_sym_RBRACK,
    STATE(15450), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15510), 2,
      sym_comment,
      sym_block_comment,
  [637860] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(19741), 1,
      anon_sym_COLON,
    STATE(15772), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15511), 2,
      sym_comment,
      sym_block_comment,
  [637880] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19743), 1,
      anon_sym_COMMA,
    ACTIONS(19745), 1,
      anon_sym_RBRACK,
    STATE(15503), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15512), 2,
      sym_comment,
      sym_block_comment,
  [637900] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(19747), 1,
      anon_sym_COLON,
    STATE(15772), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15513), 2,
      sym_comment,
      sym_block_comment,
  [637920] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(19749), 1,
      anon_sym_COLON,
    STATE(15772), 1,
      aux_sym_val_declaration_repeat1,
    STATE(15514), 2,
      sym_comment,
      sym_block_comment,
  [637940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19751), 1,
      anon_sym_COMMA,
    ACTIONS(19753), 1,
      anon_sym_RBRACK,
    STATE(15530), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15515), 2,
      sym_comment,
      sym_block_comment,
  [637960] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19755), 1,
      anon_sym_COMMA,
    ACTIONS(19757), 1,
      anon_sym_RPAREN,
    STATE(14944), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15516), 2,
      sym_comment,
      sym_block_comment,
  [637980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5466), 1,
      anon_sym_RBRACK,
    ACTIONS(19759), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15517), 2,
      sym_comment,
      sym_block_comment,
  [638000] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14556), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15518), 2,
      sym_comment,
      sym_block_comment,
  [638020] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19761), 1,
      anon_sym_COMMA,
    ACTIONS(19763), 1,
      anon_sym_RPAREN,
    STATE(15536), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15519), 2,
      sym_comment,
      sym_block_comment,
  [638040] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19765), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15520), 2,
      sym_comment,
      sym_block_comment,
  [638060] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19767), 1,
      sym__interpolated_string_end,
    STATE(15438), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15521), 2,
      sym_comment,
      sym_block_comment,
  [638080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19765), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15522), 2,
      sym_comment,
      sym_block_comment,
  [638100] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5580), 1,
      anon_sym_RPAREN,
    ACTIONS(19769), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15523), 2,
      sym_comment,
      sym_block_comment,
  [638120] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14434), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15524), 2,
      sym_comment,
      sym_block_comment,
  [638140] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7280), 1,
      anon_sym_RPAREN,
    ACTIONS(19771), 1,
      anon_sym_COMMA,
    STATE(15581), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15525), 2,
      sym_comment,
      sym_block_comment,
  [638160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5338), 1,
      anon_sym_RBRACK,
    ACTIONS(19773), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15526), 2,
      sym_comment,
      sym_block_comment,
  [638180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19775), 1,
      anon_sym_COMMA,
    ACTIONS(19777), 1,
      anon_sym_RBRACK,
    STATE(15784), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15527), 2,
      sym_comment,
      sym_block_comment,
  [638200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14453), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15528), 2,
      sym_comment,
      sym_block_comment,
  [638220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19779), 1,
      anon_sym_COMMA,
    ACTIONS(19781), 1,
      anon_sym_RPAREN,
    STATE(14761), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15529), 2,
      sym_comment,
      sym_block_comment,
  [638240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5176), 1,
      anon_sym_RBRACK,
    ACTIONS(19783), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15530), 2,
      sym_comment,
      sym_block_comment,
  [638260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5978), 1,
      anon_sym_RPAREN,
    ACTIONS(19785), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15531), 2,
      sym_comment,
      sym_block_comment,
  [638280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19787), 1,
      anon_sym_COMMA,
    ACTIONS(19789), 1,
      anon_sym_RBRACK,
    STATE(15537), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15532), 2,
      sym_comment,
      sym_block_comment,
  [638300] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4792), 1,
      sym__indent,
    STATE(6836), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15533), 2,
      sym_comment,
      sym_block_comment,
  [638318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19767), 1,
      sym__interpolated_multiline_string_end,
    STATE(15442), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15534), 2,
      sym_comment,
      sym_block_comment,
  [638338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14594), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15535), 2,
      sym_comment,
      sym_block_comment,
  [638358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5984), 1,
      anon_sym_RPAREN,
    ACTIONS(19791), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15536), 2,
      sym_comment,
      sym_block_comment,
  [638378] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19793), 1,
      anon_sym_COMMA,
    ACTIONS(19795), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15537), 2,
      sym_comment,
      sym_block_comment,
  [638398] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14439), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15538), 2,
      sym_comment,
      sym_block_comment,
  [638418] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5282), 1,
      anon_sym_RBRACK,
    ACTIONS(19797), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15539), 2,
      sym_comment,
      sym_block_comment,
  [638438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19799), 1,
      anon_sym_DOLLAR,
    STATE(15540), 2,
      sym_comment,
      sym_block_comment,
    STATE(15862), 2,
      sym__dollar_escape,
      sym_interpolation,
  [638456] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19801), 1,
      sym__interpolated_multiline_string_end,
    STATE(15635), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15541), 2,
      sym_comment,
      sym_block_comment,
  [638476] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19801), 1,
      sym__interpolated_string_end,
    STATE(15577), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15542), 2,
      sym_comment,
      sym_block_comment,
  [638496] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19803), 1,
      anon_sym_COMMA,
    ACTIONS(19805), 1,
      anon_sym_RBRACK,
    STATE(15526), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15543), 2,
      sym_comment,
      sym_block_comment,
  [638516] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19807), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15544), 2,
      sym_comment,
      sym_block_comment,
  [638536] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19809), 1,
      anon_sym_DOLLAR,
    STATE(15545), 2,
      sym_comment,
      sym_block_comment,
    STATE(15861), 2,
      sym__dollar_escape,
      sym_interpolation,
  [638554] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19807), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15546), 2,
      sym_comment,
      sym_block_comment,
  [638574] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11433), 1,
      sym__arrow_then_type,
    ACTIONS(19811), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15547), 2,
      sym_comment,
      sym_block_comment,
  [638592] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12006), 1,
      sym__arrow_then_type,
    ACTIONS(19813), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15548), 2,
      sym_comment,
      sym_block_comment,
  [638610] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11628), 1,
      sym__arrow_then_type,
    ACTIONS(19815), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15549), 2,
      sym_comment,
      sym_block_comment,
  [638628] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12847), 1,
      sym__arrow_then_type,
    ACTIONS(19817), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15550), 2,
      sym_comment,
      sym_block_comment,
  [638646] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12125), 1,
      sym__arrow_then_type,
    ACTIONS(19819), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15551), 2,
      sym_comment,
      sym_block_comment,
  [638664] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11338), 1,
      sym__arrow_then_type,
    ACTIONS(19821), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15552), 2,
      sym_comment,
      sym_block_comment,
  [638682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11866), 1,
      sym__arrow_then_type,
    ACTIONS(19823), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15553), 2,
      sym_comment,
      sym_block_comment,
  [638700] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11576), 1,
      sym__arrow_then_type,
    ACTIONS(19825), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15554), 2,
      sym_comment,
      sym_block_comment,
  [638718] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19827), 1,
      anon_sym_COMMA,
    ACTIONS(19829), 1,
      anon_sym_RPAREN,
    STATE(15797), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15555), 2,
      sym_comment,
      sym_block_comment,
  [638738] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19831), 1,
      anon_sym_COMMA,
    ACTIONS(19833), 1,
      anon_sym_RPAREN,
    STATE(15813), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15556), 2,
      sym_comment,
      sym_block_comment,
  [638758] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14174), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(6785), 1,
      sym_type_arguments,
    STATE(15557), 2,
      sym_comment,
      sym_block_comment,
  [638778] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5340), 1,
      anon_sym_RPAREN,
    ACTIONS(19835), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15558), 2,
      sym_comment,
      sym_block_comment,
  [638798] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19837), 1,
      anon_sym_COMMA,
    ACTIONS(19839), 1,
      anon_sym_RBRACK,
    STATE(15481), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15559), 2,
      sym_comment,
      sym_block_comment,
  [638818] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(19841), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15560), 2,
      sym_comment,
      sym_block_comment,
  [638838] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15174), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(7426), 1,
      sym_type_arguments,
    STATE(15561), 2,
      sym_comment,
      sym_block_comment,
  [638858] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5542), 1,
      anon_sym_RPAREN,
    ACTIONS(19843), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15562), 2,
      sym_comment,
      sym_block_comment,
  [638878] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5408), 1,
      anon_sym_RPAREN,
    ACTIONS(19845), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15563), 2,
      sym_comment,
      sym_block_comment,
  [638898] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15564), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16066), 3,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_derives,
  [638914] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15565), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16961), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [638930] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19847), 1,
      anon_sym_COMMA,
    ACTIONS(19849), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15566), 2,
      sym_comment,
      sym_block_comment,
  [638950] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5516), 1,
      anon_sym_RPAREN,
    ACTIONS(19851), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15567), 2,
      sym_comment,
      sym_block_comment,
  [638970] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8162), 1,
      anon_sym_RPAREN,
    ACTIONS(19853), 1,
      anon_sym_COMMA,
    STATE(15838), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15568), 2,
      sym_comment,
      sym_block_comment,
  [638990] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5388), 1,
      anon_sym_RBRACK,
    ACTIONS(19855), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15569), 2,
      sym_comment,
      sym_block_comment,
  [639010] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19857), 1,
      sym__interpolated_multiline_string_end,
    STATE(15680), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15570), 2,
      sym_comment,
      sym_block_comment,
  [639030] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6016), 1,
      anon_sym_RPAREN,
    ACTIONS(19859), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15571), 2,
      sym_comment,
      sym_block_comment,
  [639050] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19861), 1,
      anon_sym_COMMA,
    ACTIONS(19863), 1,
      anon_sym_RBRACK,
    STATE(15584), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15572), 2,
      sym_comment,
      sym_block_comment,
  [639070] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11102), 1,
      sym__arrow_then_type,
    ACTIONS(19865), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15573), 2,
      sym_comment,
      sym_block_comment,
  [639088] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(19867), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15574), 2,
      sym_comment,
      sym_block_comment,
  [639108] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19857), 1,
      sym__interpolated_string_end,
    STATE(15696), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15575), 2,
      sym_comment,
      sym_block_comment,
  [639128] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19869), 1,
      anon_sym_COMMA,
    ACTIONS(19871), 1,
      anon_sym_RBRACK,
    STATE(15569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15576), 2,
      sym_comment,
      sym_block_comment,
  [639148] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19873), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15577), 2,
      sym_comment,
      sym_block_comment,
  [639168] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5530), 1,
      anon_sym_RPAREN,
    ACTIONS(19875), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15578), 2,
      sym_comment,
      sym_block_comment,
  [639188] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19877), 1,
      anon_sym_COMMA,
    ACTIONS(19879), 1,
      anon_sym_RBRACK,
    STATE(15596), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15579), 2,
      sym_comment,
      sym_block_comment,
  [639208] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19881), 1,
      anon_sym_COMMA,
    ACTIONS(19883), 1,
      anon_sym_RPAREN,
    STATE(14995), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15580), 2,
      sym_comment,
      sym_block_comment,
  [639228] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11941), 1,
      anon_sym_RPAREN,
    ACTIONS(19885), 1,
      anon_sym_COMMA,
    STATE(15581), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_case_class_pattern_repeat1,
  [639246] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19888), 1,
      anon_sym_COMMA,
    ACTIONS(19890), 1,
      anon_sym_RPAREN,
    STATE(14954), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15582), 2,
      sym_comment,
      sym_block_comment,
  [639266] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14570), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15583), 2,
      sym_comment,
      sym_block_comment,
  [639286] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5266), 1,
      anon_sym_RBRACK,
    ACTIONS(19892), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15584), 2,
      sym_comment,
      sym_block_comment,
  [639306] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19894), 1,
      anon_sym_COMMA,
    ACTIONS(19896), 1,
      anon_sym_RPAREN,
    STATE(15402), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15585), 2,
      sym_comment,
      sym_block_comment,
  [639326] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4380), 1,
      sym__indent,
    STATE(8545), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15586), 2,
      sym_comment,
      sym_block_comment,
  [639344] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16265), 1,
      anon_sym_COLON,
    ACTIONS(16267), 1,
      anon_sym_LBRACE,
    STATE(14412), 1,
      sym_enum_body,
    STATE(15587), 2,
      sym_comment,
      sym_block_comment,
  [639364] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5146), 1,
      anon_sym_RPAREN,
    ACTIONS(19898), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15588), 2,
      sym_comment,
      sym_block_comment,
  [639384] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19900), 1,
      anon_sym_COMMA,
    ACTIONS(19902), 1,
      anon_sym_RBRACK,
    STATE(15593), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15589), 2,
      sym_comment,
      sym_block_comment,
  [639404] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12959), 1,
      sym__arrow_then_type,
    ACTIONS(19904), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15590), 2,
      sym_comment,
      sym_block_comment,
  [639422] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19906), 1,
      anon_sym_COMMA,
    ACTIONS(19908), 1,
      anon_sym_RBRACK,
    STATE(15539), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15591), 2,
      sym_comment,
      sym_block_comment,
  [639442] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5488), 1,
      anon_sym_RPAREN,
    ACTIONS(19910), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15592), 2,
      sym_comment,
      sym_block_comment,
  [639462] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19912), 1,
      anon_sym_COMMA,
    ACTIONS(19914), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15593), 2,
      sym_comment,
      sym_block_comment,
  [639482] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14449), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15594), 2,
      sym_comment,
      sym_block_comment,
  [639502] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19916), 1,
      anon_sym_COMMA,
    ACTIONS(19918), 1,
      anon_sym_RPAREN,
    STATE(15347), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15595), 2,
      sym_comment,
      sym_block_comment,
  [639522] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5494), 1,
      anon_sym_RBRACK,
    ACTIONS(19920), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15596), 2,
      sym_comment,
      sym_block_comment,
  [639542] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5168), 1,
      anon_sym_RBRACK,
    ACTIONS(19922), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15597), 2,
      sym_comment,
      sym_block_comment,
  [639562] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15575), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(8579), 1,
      sym_type_arguments,
    STATE(15598), 2,
      sym_comment,
      sym_block_comment,
  [639582] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4634), 1,
      sym__indent,
    STATE(6970), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15599), 2,
      sym_comment,
      sym_block_comment,
  [639600] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5876), 1,
      anon_sym_RBRACK,
    ACTIONS(19924), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15600), 2,
      sym_comment,
      sym_block_comment,
  [639620] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5434), 1,
      anon_sym_RBRACK,
    ACTIONS(19926), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15601), 2,
      sym_comment,
      sym_block_comment,
  [639640] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11433), 1,
      sym__arrow_then_type,
    ACTIONS(19928), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15602), 2,
      sym_comment,
      sym_block_comment,
  [639658] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12006), 1,
      sym__arrow_then_type,
    ACTIONS(19930), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15603), 2,
      sym_comment,
      sym_block_comment,
  [639676] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11628), 1,
      sym__arrow_then_type,
    ACTIONS(19932), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15604), 2,
      sym_comment,
      sym_block_comment,
  [639694] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12847), 1,
      sym__arrow_then_type,
    ACTIONS(19934), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15605), 2,
      sym_comment,
      sym_block_comment,
  [639712] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12125), 1,
      sym__arrow_then_type,
    ACTIONS(19936), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15606), 2,
      sym_comment,
      sym_block_comment,
  [639730] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11338), 1,
      sym__arrow_then_type,
    ACTIONS(19938), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15607), 2,
      sym_comment,
      sym_block_comment,
  [639748] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11866), 1,
      sym__arrow_then_type,
    ACTIONS(19940), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15608), 2,
      sym_comment,
      sym_block_comment,
  [639766] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11576), 1,
      sym__arrow_then_type,
    ACTIONS(19942), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15609), 2,
      sym_comment,
      sym_block_comment,
  [639784] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19944), 1,
      sym__interpolated_multiline_string_end,
    STATE(15642), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15610), 2,
      sym_comment,
      sym_block_comment,
  [639804] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5934), 1,
      anon_sym_RPAREN,
    ACTIONS(19946), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15611), 2,
      sym_comment,
      sym_block_comment,
  [639824] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19944), 1,
      sym__interpolated_string_end,
    STATE(15643), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15612), 2,
      sym_comment,
      sym_block_comment,
  [639844] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19948), 1,
      anon_sym_COMMA,
    ACTIONS(19950), 1,
      anon_sym_RPAREN,
    STATE(15619), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15613), 2,
      sym_comment,
      sym_block_comment,
  [639864] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19952), 1,
      anon_sym_COMMA,
    ACTIONS(19954), 1,
      anon_sym_RBRACK,
    STATE(15601), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15614), 2,
      sym_comment,
      sym_block_comment,
  [639884] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(10757), 1,
      sym__arrow_then_type,
    ACTIONS(19956), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15615), 2,
      sym_comment,
      sym_block_comment,
  [639902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19958), 1,
      anon_sym_COMMA,
    ACTIONS(19960), 1,
      anon_sym_RPAREN,
    STATE(14989), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15616), 2,
      sym_comment,
      sym_block_comment,
  [639922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5602), 1,
      anon_sym_RBRACK,
    ACTIONS(19962), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15617), 2,
      sym_comment,
      sym_block_comment,
  [639942] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19964), 1,
      anon_sym_COMMA,
    ACTIONS(19966), 1,
      anon_sym_RBRACK,
    STATE(15807), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15618), 2,
      sym_comment,
      sym_block_comment,
  [639962] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5356), 1,
      anon_sym_RPAREN,
    ACTIONS(19968), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15619), 2,
      sym_comment,
      sym_block_comment,
  [639982] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19970), 1,
      anon_sym_COMMA,
    ACTIONS(19972), 1,
      anon_sym_RPAREN,
    STATE(15022), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15620), 2,
      sym_comment,
      sym_block_comment,
  [640002] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(19974), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15621), 2,
      sym_comment,
      sym_block_comment,
  [640022] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19974), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15622), 2,
      sym_comment,
      sym_block_comment,
  [640042] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19976), 1,
      anon_sym_COMMA,
    ACTIONS(19978), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15623), 2,
      sym_comment,
      sym_block_comment,
  [640062] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15624), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(19980), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [640078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19982), 1,
      anon_sym_COMMA,
    ACTIONS(19984), 1,
      anon_sym_RBRACK,
    STATE(15600), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15625), 2,
      sym_comment,
      sym_block_comment,
  [640098] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19986), 1,
      anon_sym_COMMA,
    ACTIONS(19988), 1,
      anon_sym_RBRACK,
    STATE(15076), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15626), 2,
      sym_comment,
      sym_block_comment,
  [640118] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19990), 1,
      anon_sym_COMMA,
    ACTIONS(19992), 1,
      anon_sym_RPAREN,
    STATE(15848), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15627), 2,
      sym_comment,
      sym_block_comment,
  [640138] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14544), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15628), 2,
      sym_comment,
      sym_block_comment,
  [640158] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(19994), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15629), 2,
      sym_comment,
      sym_block_comment,
  [640178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5544), 1,
      anon_sym_RBRACK,
    ACTIONS(19996), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15630), 2,
      sym_comment,
      sym_block_comment,
  [640198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19998), 1,
      anon_sym_COMMA,
    ACTIONS(20000), 1,
      anon_sym_RBRACK,
    STATE(15660), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15631), 2,
      sym_comment,
      sym_block_comment,
  [640218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20002), 1,
      anon_sym_COMMA,
    ACTIONS(20004), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15632), 2,
      sym_comment,
      sym_block_comment,
  [640238] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20006), 1,
      anon_sym_COMMA,
    ACTIONS(20008), 1,
      anon_sym_RBRACK,
    STATE(15748), 1,
      aux_sym_type_parameters_repeat1,
    STATE(15633), 2,
      sym_comment,
      sym_block_comment,
  [640258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20010), 1,
      anon_sym_COMMA,
    ACTIONS(20012), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15634), 2,
      sym_comment,
      sym_block_comment,
  [640278] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(19873), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15635), 2,
      sym_comment,
      sym_block_comment,
  [640298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14599), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15636), 2,
      sym_comment,
      sym_block_comment,
  [640318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5476), 1,
      anon_sym_RBRACK,
    ACTIONS(20014), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15637), 2,
      sym_comment,
      sym_block_comment,
  [640338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14444), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15638), 2,
      sym_comment,
      sym_block_comment,
  [640358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12752), 1,
      anon_sym_RPAREN,
    ACTIONS(20016), 1,
      anon_sym_COMMA,
    STATE(15717), 1,
      aux_sym_parameters_repeat1,
    STATE(15639), 2,
      sym_comment,
      sym_block_comment,
  [640378] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6052), 1,
      anon_sym_RPAREN,
    ACTIONS(20018), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15640), 2,
      sym_comment,
      sym_block_comment,
  [640398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15641), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(17509), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [640414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20020), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15642), 2,
      sym_comment,
      sym_block_comment,
  [640434] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20020), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15643), 2,
      sym_comment,
      sym_block_comment,
  [640454] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20022), 1,
      anon_sym_COMMA,
    ACTIONS(20024), 1,
      anon_sym_RPAREN,
    STATE(15711), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15644), 2,
      sym_comment,
      sym_block_comment,
  [640474] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14457), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15645), 2,
      sym_comment,
      sym_block_comment,
  [640494] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17414), 1,
      anon_sym_RPAREN,
    ACTIONS(20026), 1,
      anon_sym_COMMA,
    STATE(15677), 1,
      aux_sym_parameters_repeat1,
    STATE(15646), 2,
      sym_comment,
      sym_block_comment,
  [640514] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5260), 1,
      anon_sym_RBRACK,
    ACTIONS(20028), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15647), 2,
      sym_comment,
      sym_block_comment,
  [640534] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17412), 1,
      anon_sym_COMMA,
    ACTIONS(17414), 1,
      anon_sym_RPAREN,
    STATE(15671), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15648), 2,
      sym_comment,
      sym_block_comment,
  [640554] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20030), 1,
      anon_sym_COMMA,
    ACTIONS(20032), 1,
      anon_sym_RBRACK,
    STATE(15637), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15649), 2,
      sym_comment,
      sym_block_comment,
  [640574] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5366), 1,
      anon_sym_RPAREN,
    ACTIONS(20034), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15650), 2,
      sym_comment,
      sym_block_comment,
  [640594] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11433), 1,
      sym__arrow_then_type,
    ACTIONS(20036), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15651), 2,
      sym_comment,
      sym_block_comment,
  [640612] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12006), 1,
      sym__arrow_then_type,
    ACTIONS(20038), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15652), 2,
      sym_comment,
      sym_block_comment,
  [640630] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12847), 1,
      sym__arrow_then_type,
    ACTIONS(20040), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15653), 2,
      sym_comment,
      sym_block_comment,
  [640648] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12752), 1,
      anon_sym_RPAREN,
    ACTIONS(20016), 1,
      anon_sym_COMMA,
    STATE(15658), 1,
      aux_sym_parameters_repeat1,
    STATE(15654), 2,
      sym_comment,
      sym_block_comment,
  [640668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14581), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15655), 2,
      sym_comment,
      sym_block_comment,
  [640688] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5124), 1,
      anon_sym_RPAREN,
    ACTIONS(20042), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15656), 2,
      sym_comment,
      sym_block_comment,
  [640708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13207), 1,
      sym__arrow_then_type,
    ACTIONS(20044), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15657), 2,
      sym_comment,
      sym_block_comment,
  [640726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20046), 1,
      anon_sym_COMMA,
    ACTIONS(20049), 1,
      anon_sym_RPAREN,
    STATE(15658), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_parameters_repeat1,
  [640744] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20051), 1,
      anon_sym_COMMA,
    ACTIONS(20053), 1,
      anon_sym_RPAREN,
    STATE(15061), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15659), 2,
      sym_comment,
      sym_block_comment,
  [640764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5374), 1,
      anon_sym_RBRACK,
    ACTIONS(20055), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15660), 2,
      sym_comment,
      sym_block_comment,
  [640784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4676), 1,
      sym__indent,
    STATE(8324), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15661), 2,
      sym_comment,
      sym_block_comment,
  [640802] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5398), 1,
      anon_sym_RPAREN,
    ACTIONS(20057), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15662), 2,
      sym_comment,
      sym_block_comment,
  [640822] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20059), 1,
      anon_sym_COMMA,
    ACTIONS(20061), 1,
      anon_sym_RBRACK,
    STATE(15710), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15663), 2,
      sym_comment,
      sym_block_comment,
  [640842] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5638), 1,
      anon_sym_RBRACK,
    ACTIONS(20063), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15664), 2,
      sym_comment,
      sym_block_comment,
  [640862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20065), 1,
      anon_sym_COMMA,
    ACTIONS(20067), 1,
      anon_sym_RPAREN,
    STATE(15770), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15665), 2,
      sym_comment,
      sym_block_comment,
  [640882] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5776), 1,
      anon_sym_RPAREN,
    ACTIONS(20069), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15666), 2,
      sym_comment,
      sym_block_comment,
  [640902] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17502), 1,
      anon_sym_EQ,
    ACTIONS(17500), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15667), 2,
      sym_comment,
      sym_block_comment,
  [640920] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5184), 1,
      anon_sym_RPAREN,
    ACTIONS(20071), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15668), 2,
      sym_comment,
      sym_block_comment,
  [640940] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(20073), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15669), 2,
      sym_comment,
      sym_block_comment,
  [640960] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(20075), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15670), 2,
      sym_comment,
      sym_block_comment,
  [640980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5028), 1,
      anon_sym_RPAREN,
    ACTIONS(20077), 1,
      anon_sym_COMMA,
    STATE(15196), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15671), 2,
      sym_comment,
      sym_block_comment,
  [641000] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15482), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(8529), 1,
      sym_type_arguments,
    STATE(15672), 2,
      sym_comment,
      sym_block_comment,
  [641020] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20079), 1,
      anon_sym_COMMA,
    ACTIONS(20081), 1,
      anon_sym_RBRACK,
    STATE(15647), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15673), 2,
      sym_comment,
      sym_block_comment,
  [641040] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20083), 1,
      anon_sym_COMMA,
    ACTIONS(20085), 1,
      anon_sym_RBRACK,
    STATE(15697), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15674), 2,
      sym_comment,
      sym_block_comment,
  [641060] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14474), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15675), 2,
      sym_comment,
      sym_block_comment,
  [641080] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15676), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16522), 3,
      sym__automatic_semicolon,
      sym__outdent,
      anon_sym_SEMI,
  [641096] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5028), 1,
      anon_sym_RPAREN,
    ACTIONS(20087), 1,
      anon_sym_COMMA,
    STATE(15658), 1,
      aux_sym_parameters_repeat1,
    STATE(15677), 2,
      sym_comment,
      sym_block_comment,
  [641116] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13091), 1,
      sym__arrow_then_type,
    ACTIONS(20089), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15678), 2,
      sym_comment,
      sym_block_comment,
  [641134] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5524), 1,
      anon_sym_RBRACK,
    ACTIONS(20091), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15679), 2,
      sym_comment,
      sym_block_comment,
  [641154] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20093), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15680), 2,
      sym_comment,
      sym_block_comment,
  [641174] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20095), 1,
      sym__interpolated_multiline_string_end,
    STATE(15699), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15681), 2,
      sym_comment,
      sym_block_comment,
  [641194] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14468), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15682), 2,
      sym_comment,
      sym_block_comment,
  [641214] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20095), 1,
      sym__interpolated_string_end,
    STATE(15702), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15683), 2,
      sym_comment,
      sym_block_comment,
  [641234] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20097), 1,
      anon_sym_COMMA,
    ACTIONS(20099), 1,
      anon_sym_RPAREN,
    STATE(15409), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15684), 2,
      sym_comment,
      sym_block_comment,
  [641254] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13482), 1,
      anon_sym_LPAREN,
    STATE(13364), 1,
      sym__using_parameters_clause,
    STATE(13551), 1,
      sym_parameters,
    STATE(15685), 2,
      sym_comment,
      sym_block_comment,
  [641274] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6102), 1,
      anon_sym_RPAREN,
    ACTIONS(20101), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15686), 2,
      sym_comment,
      sym_block_comment,
  [641294] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(17226), 1,
      sym__arrow_then_type,
    ACTIONS(20103), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15687), 2,
      sym_comment,
      sym_block_comment,
  [641312] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11433), 1,
      sym__arrow_then_type,
    ACTIONS(20105), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15688), 2,
      sym_comment,
      sym_block_comment,
  [641330] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20107), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15689), 2,
      sym_comment,
      sym_block_comment,
  [641350] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20107), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15690), 2,
      sym_comment,
      sym_block_comment,
  [641370] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20109), 1,
      anon_sym_COMMA,
    ACTIONS(20111), 1,
      anon_sym_RPAREN,
    STATE(14809), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15691), 2,
      sym_comment,
      sym_block_comment,
  [641390] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20113), 1,
      anon_sym_COMMA,
    ACTIONS(20115), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15692), 2,
      sym_comment,
      sym_block_comment,
  [641410] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5716), 1,
      anon_sym_RPAREN,
    ACTIONS(20117), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15693), 2,
      sym_comment,
      sym_block_comment,
  [641430] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20119), 1,
      anon_sym_COMMA,
    ACTIONS(20121), 1,
      anon_sym_RBRACK,
    STATE(15679), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15694), 2,
      sym_comment,
      sym_block_comment,
  [641450] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(20123), 1,
      anon_sym_RPAREN,
    STATE(15581), 1,
      aux_sym_case_class_pattern_repeat1,
    STATE(15695), 2,
      sym_comment,
      sym_block_comment,
  [641470] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20093), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15696), 2,
      sym_comment,
      sym_block_comment,
  [641490] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5506), 1,
      anon_sym_RBRACK,
    ACTIONS(20125), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15697), 2,
      sym_comment,
      sym_block_comment,
  [641510] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20127), 1,
      anon_sym_COMMA,
    ACTIONS(20129), 1,
      anon_sym_RBRACK,
    STATE(15712), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15698), 2,
      sym_comment,
      sym_block_comment,
  [641530] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20131), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15699), 2,
      sym_comment,
      sym_block_comment,
  [641550] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12652), 1,
      sym__arrow_then_type,
    ACTIONS(20133), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15700), 2,
      sym_comment,
      sym_block_comment,
  [641568] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20135), 1,
      anon_sym_COMMA,
    ACTIONS(20137), 1,
      anon_sym_RPAREN,
    STATE(15578), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15701), 2,
      sym_comment,
      sym_block_comment,
  [641588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20131), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15702), 2,
      sym_comment,
      sym_block_comment,
  [641608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20139), 1,
      sym__interpolated_multiline_string_end,
    STATE(15690), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15703), 2,
      sym_comment,
      sym_block_comment,
  [641628] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(20141), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15704), 2,
      sym_comment,
      sym_block_comment,
  [641648] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20139), 1,
      sym__interpolated_string_end,
    STATE(15689), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15705), 2,
      sym_comment,
      sym_block_comment,
  [641668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5122), 1,
      anon_sym_RPAREN,
    ACTIONS(20143), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15706), 2,
      sym_comment,
      sym_block_comment,
  [641688] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20145), 1,
      anon_sym_COMMA,
    ACTIONS(20147), 1,
      anon_sym_RPAREN,
    STATE(15284), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15707), 2,
      sym_comment,
      sym_block_comment,
  [641708] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5502), 1,
      anon_sym_RPAREN,
    ACTIONS(20149), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15708), 2,
      sym_comment,
      sym_block_comment,
  [641728] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14483), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15709), 2,
      sym_comment,
      sym_block_comment,
  [641748] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5740), 1,
      anon_sym_RBRACK,
    ACTIONS(20151), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15710), 2,
      sym_comment,
      sym_block_comment,
  [641768] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5032), 1,
      anon_sym_RPAREN,
    ACTIONS(20153), 1,
      anon_sym_COMMA,
    STATE(15196), 1,
      aux_sym__using_parameters_clause_repeat1,
    STATE(15711), 2,
      sym_comment,
      sym_block_comment,
  [641788] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5460), 1,
      anon_sym_RBRACK,
    ACTIONS(20155), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15712), 2,
      sym_comment,
      sym_block_comment,
  [641808] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4410), 1,
      sym__indent,
    STATE(8975), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15713), 2,
      sym_comment,
      sym_block_comment,
  [641826] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20157), 1,
      sym__interpolated_string_end,
    STATE(15621), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15714), 2,
      sym_comment,
      sym_block_comment,
  [641846] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15686), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(9064), 1,
      sym_type_arguments,
    STATE(15715), 2,
      sym_comment,
      sym_block_comment,
  [641866] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14477), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15716), 2,
      sym_comment,
      sym_block_comment,
  [641886] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12693), 1,
      anon_sym_RPAREN,
    ACTIONS(20159), 1,
      anon_sym_COMMA,
    STATE(15658), 1,
      aux_sym_parameters_repeat1,
    STATE(15717), 2,
      sym_comment,
      sym_block_comment,
  [641906] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4832), 1,
      sym__indent,
    STATE(7611), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15718), 2,
      sym_comment,
      sym_block_comment,
  [641924] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5228), 1,
      anon_sym_RBRACK,
    ACTIONS(20161), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15719), 2,
      sym_comment,
      sym_block_comment,
  [641944] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20163), 1,
      sym__interpolated_multiline_string_end,
    STATE(15736), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15720), 2,
      sym_comment,
      sym_block_comment,
  [641964] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5574), 1,
      anon_sym_RBRACK,
    ACTIONS(20165), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15721), 2,
      sym_comment,
      sym_block_comment,
  [641984] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11433), 1,
      sym__arrow_then_type,
    ACTIONS(20167), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15722), 2,
      sym_comment,
      sym_block_comment,
  [642002] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20163), 1,
      sym__interpolated_string_end,
    STATE(15739), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15723), 2,
      sym_comment,
      sym_block_comment,
  [642022] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20169), 1,
      anon_sym_COMMA,
    ACTIONS(20171), 1,
      anon_sym_RPAREN,
    STATE(14903), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15724), 2,
      sym_comment,
      sym_block_comment,
  [642042] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13197), 1,
      sym__arrow_then_type,
    ACTIONS(20173), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15725), 2,
      sym_comment,
      sym_block_comment,
  [642060] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20175), 1,
      anon_sym_COMMA,
    ACTIONS(20177), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15726), 2,
      sym_comment,
      sym_block_comment,
  [642080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5822), 1,
      anon_sym_RPAREN,
    ACTIONS(20179), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15727), 2,
      sym_comment,
      sym_block_comment,
  [642100] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20181), 1,
      anon_sym_COMMA,
    ACTIONS(20183), 1,
      anon_sym_RBRACK,
    STATE(15664), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15728), 2,
      sym_comment,
      sym_block_comment,
  [642120] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20157), 1,
      sym__interpolated_multiline_string_end,
    STATE(15622), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15729), 2,
      sym_comment,
      sym_block_comment,
  [642140] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20185), 1,
      anon_sym_COMMA,
    ACTIONS(20187), 1,
      anon_sym_RBRACK,
    STATE(15742), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15730), 2,
      sym_comment,
      sym_block_comment,
  [642160] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20189), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15731), 2,
      sym_comment,
      sym_block_comment,
  [642180] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20189), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15732), 2,
      sym_comment,
      sym_block_comment,
  [642200] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20191), 1,
      anon_sym_COMMA,
    ACTIONS(20193), 1,
      anon_sym_RPAREN,
    STATE(15567), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15733), 2,
      sym_comment,
      sym_block_comment,
  [642220] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20195), 1,
      anon_sym_COMMA,
    ACTIONS(20197), 1,
      anon_sym_RBRACK,
    STATE(15721), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15734), 2,
      sym_comment,
      sym_block_comment,
  [642240] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20199), 1,
      anon_sym_COMMA,
    ACTIONS(20201), 1,
      anon_sym_RPAREN,
    STATE(15789), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15735), 2,
      sym_comment,
      sym_block_comment,
  [642260] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20203), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15736), 2,
      sym_comment,
      sym_block_comment,
  [642280] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20205), 1,
      anon_sym_COMMA,
    ACTIONS(20207), 1,
      anon_sym_RPAREN,
    STATE(14959), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15737), 2,
      sym_comment,
      sym_block_comment,
  [642300] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(20209), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15738), 2,
      sym_comment,
      sym_block_comment,
  [642320] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20203), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15739), 2,
      sym_comment,
      sym_block_comment,
  [642340] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5170), 1,
      anon_sym_RPAREN,
    ACTIONS(20211), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15740), 2,
      sym_comment,
      sym_block_comment,
  [642360] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20213), 1,
      anon_sym_COMMA,
    ACTIONS(20215), 1,
      anon_sym_RBRACK,
    STATE(15630), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15741), 2,
      sym_comment,
      sym_block_comment,
  [642380] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5558), 1,
      anon_sym_RBRACK,
    ACTIONS(20217), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15742), 2,
      sym_comment,
      sym_block_comment,
  [642400] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14493), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15743), 2,
      sym_comment,
      sym_block_comment,
  [642420] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4166), 1,
      sym__indent,
    STATE(9912), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15744), 2,
      sym_comment,
      sym_block_comment,
  [642438] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(16143), 1,
      sym__arrow_then_type,
    ACTIONS(20219), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15745), 2,
      sym_comment,
      sym_block_comment,
  [642456] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(20221), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15746), 2,
      sym_comment,
      sym_block_comment,
  [642474] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20223), 1,
      anon_sym_COMMA,
    ACTIONS(20225), 1,
      anon_sym_RPAREN,
    STATE(15523), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15747), 2,
      sym_comment,
      sym_block_comment,
  [642494] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20227), 1,
      anon_sym_COMMA,
    ACTIONS(20230), 1,
      anon_sym_RBRACK,
    STATE(15748), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_type_parameters_repeat1,
  [642512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17089), 1,
      anon_sym_RPAREN,
    ACTIONS(20232), 1,
      anon_sym_COMMA,
    STATE(15749), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_tuple_expression_repeat1,
  [642530] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14489), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15750), 2,
      sym_comment,
      sym_block_comment,
  [642550] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14536), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15751), 2,
      sym_comment,
      sym_block_comment,
  [642570] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5148), 1,
      anon_sym_RBRACK,
    ACTIONS(20235), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15752), 2,
      sym_comment,
      sym_block_comment,
  [642590] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20237), 1,
      anon_sym_COLON,
    ACTIONS(20239), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15753), 2,
      sym_comment,
      sym_block_comment,
  [642608] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20241), 1,
      sym__interpolated_string_end,
    STATE(15731), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15754), 2,
      sym_comment,
      sym_block_comment,
  [642628] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20241), 1,
      sym__interpolated_multiline_string_end,
    STATE(15732), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15755), 2,
      sym_comment,
      sym_block_comment,
  [642648] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20243), 1,
      anon_sym_COMMA,
    ACTIONS(20245), 1,
      anon_sym_RPAREN,
    STATE(15799), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15756), 2,
      sym_comment,
      sym_block_comment,
  [642668] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20247), 1,
      anon_sym_COMMA,
    ACTIONS(20249), 1,
      anon_sym_RBRACK,
    STATE(15482), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15757), 2,
      sym_comment,
      sym_block_comment,
  [642688] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20251), 1,
      anon_sym_COMMA,
    ACTIONS(20253), 1,
      anon_sym_RPAREN,
    STATE(15367), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15758), 2,
      sym_comment,
      sym_block_comment,
  [642708] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20255), 1,
      anon_sym_COMMA,
    ACTIONS(20258), 1,
      anon_sym_RPAREN,
    STATE(15759), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_bindings_repeat1,
  [642726] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16115), 1,
      anon_sym_STAR,
    ACTIONS(20260), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15760), 2,
      sym_comment,
      sym_block_comment,
  [642744] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14549), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15761), 2,
      sym_comment,
      sym_block_comment,
  [642764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20262), 1,
      anon_sym_COMMA,
    ACTIONS(20264), 1,
      anon_sym_RBRACK,
    STATE(15847), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15762), 2,
      sym_comment,
      sym_block_comment,
  [642784] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20266), 1,
      anon_sym_COMMA,
    ACTIONS(20268), 1,
      anon_sym_RBRACK,
    STATE(15719), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15763), 2,
      sym_comment,
      sym_block_comment,
  [642804] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4738), 1,
      sym__indent,
    STATE(5744), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15764), 2,
      sym_comment,
      sym_block_comment,
  [642822] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16117), 1,
      anon_sym_match,
    ACTIONS(16189), 1,
      anon_sym_LBRACK,
    STATE(9845), 1,
      sym_type_arguments,
    STATE(15765), 2,
      sym_comment,
      sym_block_comment,
  [642842] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15469), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(8304), 1,
      sym_type_arguments,
    STATE(15766), 2,
      sym_comment,
      sym_block_comment,
  [642862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5748), 1,
      anon_sym_RBRACK,
    ACTIONS(20270), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15767), 2,
      sym_comment,
      sym_block_comment,
  [642882] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(20272), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15768), 2,
      sym_comment,
      sym_block_comment,
  [642902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20274), 1,
      anon_sym_COMMA,
    ACTIONS(20276), 1,
      anon_sym_RPAREN,
    STATE(15310), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15769), 2,
      sym_comment,
      sym_block_comment,
  [642922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5504), 1,
      anon_sym_RPAREN,
    ACTIONS(20278), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15770), 2,
      sym_comment,
      sym_block_comment,
  [642942] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(20280), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15771), 2,
      sym_comment,
      sym_block_comment,
  [642962] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20282), 1,
      anon_sym_COLON,
    ACTIONS(20284), 1,
      anon_sym_COMMA,
    STATE(15772), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_val_declaration_repeat1,
  [642980] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20287), 1,
      anon_sym_COMMA,
    ACTIONS(20289), 1,
      anon_sym_RBRACK,
    STATE(15818), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15773), 2,
      sym_comment,
      sym_block_comment,
  [643000] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5630), 1,
      anon_sym_RBRACK,
    ACTIONS(20291), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15774), 2,
      sym_comment,
      sym_block_comment,
  [643020] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20293), 1,
      sym__interpolated_multiline_string_end,
    STATE(15792), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15775), 2,
      sym_comment,
      sym_block_comment,
  [643040] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14505), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15776), 2,
      sym_comment,
      sym_block_comment,
  [643060] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20293), 1,
      sym__interpolated_string_end,
    STATE(15796), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15777), 2,
      sym_comment,
      sym_block_comment,
  [643080] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20295), 1,
      anon_sym_COMMA,
    ACTIONS(20297), 1,
      anon_sym_RPAREN,
    STATE(15562), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15778), 2,
      sym_comment,
      sym_block_comment,
  [643100] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20299), 1,
      anon_sym_COMMA,
    ACTIONS(20301), 1,
      anon_sym_RPAREN,
    STATE(14751), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15779), 2,
      sym_comment,
      sym_block_comment,
  [643120] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12847), 1,
      sym__arrow_then_type,
    ACTIONS(20303), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15780), 2,
      sym_comment,
      sym_block_comment,
  [643138] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5618), 1,
      anon_sym_RBRACK,
    ACTIONS(20305), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15781), 2,
      sym_comment,
      sym_block_comment,
  [643158] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20307), 1,
      anon_sym_COMMA,
    ACTIONS(20309), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15782), 2,
      sym_comment,
      sym_block_comment,
  [643178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14500), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15783), 2,
      sym_comment,
      sym_block_comment,
  [643198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5270), 1,
      anon_sym_RBRACK,
    ACTIONS(20311), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15784), 2,
      sym_comment,
      sym_block_comment,
  [643218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20313), 1,
      sym__interpolated_multiline_string_end,
    STATE(15836), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15785), 2,
      sym_comment,
      sym_block_comment,
  [643238] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4016), 1,
      anon_sym_RPAREN,
    ACTIONS(20315), 1,
      anon_sym_COMMA,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15786), 2,
      sym_comment,
      sym_block_comment,
  [643258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20313), 1,
      sym__interpolated_string_end,
    STATE(15834), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15787), 2,
      sym_comment,
      sym_block_comment,
  [643278] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5724), 1,
      anon_sym_RPAREN,
    ACTIONS(20317), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15788), 2,
      sym_comment,
      sym_block_comment,
  [643298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5426), 1,
      anon_sym_RPAREN,
    ACTIONS(20319), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15789), 2,
      sym_comment,
      sym_block_comment,
  [643318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20321), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15790), 2,
      sym_comment,
      sym_block_comment,
  [643338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20323), 1,
      anon_sym_COMMA,
    ACTIONS(20325), 1,
      anon_sym_RBRACK,
    STATE(15802), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15791), 2,
      sym_comment,
      sym_block_comment,
  [643358] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20327), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15792), 2,
      sym_comment,
      sym_block_comment,
  [643378] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20321), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15793), 2,
      sym_comment,
      sym_block_comment,
  [643398] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15794), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(20329), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [643414] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20331), 1,
      anon_sym_COMMA,
    ACTIONS(20333), 1,
      anon_sym_RBRACK,
    STATE(15774), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15795), 2,
      sym_comment,
      sym_block_comment,
  [643434] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20327), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15796), 2,
      sym_comment,
      sym_block_comment,
  [643454] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5344), 1,
      anon_sym_RPAREN,
    ACTIONS(20335), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15797), 2,
      sym_comment,
      sym_block_comment,
  [643474] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4274), 1,
      sym__indent,
    STATE(10200), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15798), 2,
      sym_comment,
      sym_block_comment,
  [643492] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5200), 1,
      anon_sym_RPAREN,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15799), 2,
      sym_comment,
      sym_block_comment,
  [643512] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20339), 1,
      anon_sym_COMMA,
    ACTIONS(20341), 1,
      anon_sym_RPAREN,
    STATE(15171), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15800), 2,
      sym_comment,
      sym_block_comment,
  [643532] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(13363), 1,
      sym__arrow_then_type,
    ACTIONS(20343), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15801), 2,
      sym_comment,
      sym_block_comment,
  [643550] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5650), 1,
      anon_sym_RBRACK,
    ACTIONS(20345), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15802), 2,
      sym_comment,
      sym_block_comment,
  [643570] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20347), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20350), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_interpolated_string_repeat2,
  [643588] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(20352), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15804), 2,
      sym_comment,
      sym_block_comment,
  [643608] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(11576), 1,
      sym__arrow_then_type,
    ACTIONS(20354), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15805), 2,
      sym_comment,
      sym_block_comment,
  [643626] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20356), 1,
      anon_sym_COMMA,
    ACTIONS(20358), 1,
      anon_sym_RPAREN,
    STATE(15097), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15806), 2,
      sym_comment,
      sym_block_comment,
  [643646] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20360), 1,
      anon_sym_COMMA,
    ACTIONS(20362), 1,
      anon_sym_RBRACK,
    STATE(15288), 1,
      aux_sym_type_lambda_repeat1,
    STATE(15807), 2,
      sym_comment,
      sym_block_comment,
  [643666] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20364), 1,
      sym__interpolated_string_end,
    STATE(15790), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15808), 2,
      sym_comment,
      sym_block_comment,
  [643686] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14531), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15809), 2,
      sym_comment,
      sym_block_comment,
  [643706] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20364), 1,
      sym__interpolated_multiline_string_end,
    STATE(15793), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15810), 2,
      sym_comment,
      sym_block_comment,
  [643726] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20366), 1,
      anon_sym_COMMA,
    ACTIONS(20368), 1,
      anon_sym_RPAREN,
    STATE(15278), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15811), 2,
      sym_comment,
      sym_block_comment,
  [643746] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20370), 1,
      sym__interpolated_string_middle,
    ACTIONS(20373), 1,
      sym__interpolated_string_end,
    STATE(15812), 3,
      sym_comment,
      sym_block_comment,
      aux_sym_interpolated_string_repeat1,
  [643764] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5252), 1,
      anon_sym_RPAREN,
    ACTIONS(20375), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15813), 2,
      sym_comment,
      sym_block_comment,
  [643784] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4800), 1,
      sym__indent,
    STATE(10822), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15814), 2,
      sym_comment,
      sym_block_comment,
  [643802] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16265), 1,
      anon_sym_COLON,
    ACTIONS(16267), 1,
      anon_sym_LBRACE,
    STATE(14297), 1,
      sym_enum_body,
    STATE(15815), 2,
      sym_comment,
      sym_block_comment,
  [643822] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14513), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15816), 2,
      sym_comment,
      sym_block_comment,
  [643842] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5528), 1,
      anon_sym_RBRACK,
    ACTIONS(20377), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15817), 2,
      sym_comment,
      sym_block_comment,
  [643862] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5346), 1,
      anon_sym_RBRACK,
    ACTIONS(20379), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15818), 2,
      sym_comment,
      sym_block_comment,
  [643882] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20381), 1,
      anon_sym_COMMA,
    ACTIONS(20383), 1,
      anon_sym_RBRACK,
    STATE(15817), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15819), 2,
      sym_comment,
      sym_block_comment,
  [643902] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13402), 1,
      anon_sym_LBRACK,
    ACTIONS(16117), 1,
      anon_sym_match,
    STATE(5621), 1,
      sym_type_arguments,
    STATE(15820), 2,
      sym_comment,
      sym_block_comment,
  [643922] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20385), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15821), 2,
      sym_comment,
      sym_block_comment,
  [643942] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20385), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15822), 2,
      sym_comment,
      sym_block_comment,
  [643962] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20387), 1,
      anon_sym_COMMA,
    ACTIONS(20389), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15823), 2,
      sym_comment,
      sym_block_comment,
  [643982] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17209), 1,
      anon_sym_RBRACE,
    ACTIONS(17211), 1,
      anon_sym_COMMA,
    STATE(15334), 1,
      aux_sym_namespace_selectors_repeat1,
    STATE(15824), 2,
      sym_comment,
      sym_block_comment,
  [644002] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8234), 1,
      anon_sym_RPAREN,
    ACTIONS(20391), 1,
      anon_sym_COMMA,
    STATE(15424), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15825), 2,
      sym_comment,
      sym_block_comment,
  [644022] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20393), 1,
      anon_sym_COLON,
    ACTIONS(20395), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15826), 2,
      sym_comment,
      sym_block_comment,
  [644040] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4578), 1,
      sym__indent,
    STATE(8094), 2,
      sym_indented_block,
      sym_indented_cases,
    STATE(15827), 2,
      sym_comment,
      sym_block_comment,
  [644058] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20397), 1,
      sym__interpolated_multiline_string_end,
    STATE(15822), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15828), 2,
      sym_comment,
      sym_block_comment,
  [644078] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5674), 1,
      anon_sym_RBRACK,
    ACTIONS(20399), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15829), 2,
      sym_comment,
      sym_block_comment,
  [644098] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8246), 1,
      anon_sym_RPAREN,
    ACTIONS(20401), 1,
      anon_sym_COMMA,
    STATE(15421), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15830), 2,
      sym_comment,
      sym_block_comment,
  [644118] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20403), 1,
      anon_sym_COMMA,
    ACTIONS(20405), 1,
      anon_sym_RBRACK,
    STATE(15767), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15831), 2,
      sym_comment,
      sym_block_comment,
  [644138] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5626), 1,
      anon_sym_RPAREN,
    ACTIONS(20407), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15832), 2,
      sym_comment,
      sym_block_comment,
  [644158] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20397), 1,
      sym__interpolated_string_end,
    STATE(15821), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15833), 2,
      sym_comment,
      sym_block_comment,
  [644178] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17723), 1,
      sym__interpolated_string_middle,
    ACTIONS(20409), 1,
      sym__interpolated_string_end,
    STATE(15812), 1,
      aux_sym_interpolated_string_repeat1,
    STATE(15834), 2,
      sym_comment,
      sym_block_comment,
  [644198] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20411), 1,
      anon_sym_COMMA,
    ACTIONS(20413), 1,
      anon_sym_RBRACK,
    STATE(15617), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15835), 2,
      sym_comment,
      sym_block_comment,
  [644218] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17719), 1,
      sym__interpolated_multiline_string_middle,
    ACTIONS(20409), 1,
      sym__interpolated_multiline_string_end,
    STATE(15803), 1,
      aux_sym_interpolated_string_repeat2,
    STATE(15836), 2,
      sym_comment,
      sym_block_comment,
  [644238] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16052), 1,
      anon_sym_LBRACK,
    ACTIONS(20415), 1,
      anon_sym_match,
    STATE(9666), 1,
      sym_type_arguments,
    STATE(15837), 2,
      sym_comment,
      sym_block_comment,
  [644258] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8246), 1,
      anon_sym_RPAREN,
    ACTIONS(20401), 1,
      anon_sym_COMMA,
    STATE(15404), 1,
      aux_sym_class_parameters_repeat1,
    STATE(15838), 2,
      sym_comment,
      sym_block_comment,
  [644278] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20417), 1,
      anon_sym_COMMA,
    ACTIONS(20419), 1,
      anon_sym_RBRACK,
    STATE(15829), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15839), 2,
      sym_comment,
      sym_block_comment,
  [644298] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20421), 1,
      anon_sym_COMMA,
    ACTIONS(20423), 1,
      anon_sym_RBRACK,
    STATE(15781), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15840), 2,
      sym_comment,
      sym_block_comment,
  [644318] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20425), 1,
      anon_sym_COMMA,
    ACTIONS(20427), 1,
      anon_sym_RPAREN,
    STATE(14972), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15841), 2,
      sym_comment,
      sym_block_comment,
  [644338] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17225), 1,
      anon_sym_case,
    STATE(14540), 1,
      aux_sym_indented_cases_repeat1,
    STATE(16044), 1,
      sym_case_clause,
    STATE(15842), 2,
      sym_comment,
      sym_block_comment,
  [644358] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(12125), 1,
      sym__arrow_then_type,
    ACTIONS(20429), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15843), 2,
      sym_comment,
      sym_block_comment,
  [644376] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5242), 1,
      anon_sym_RPAREN,
    ACTIONS(20431), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15844), 2,
      sym_comment,
      sym_block_comment,
  [644396] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    STATE(15845), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(16961), 3,
      sym__automatic_semicolon,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [644412] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20433), 1,
      anon_sym_COMMA,
    ACTIONS(20435), 1,
      anon_sym_RPAREN,
    STATE(15749), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15846), 2,
      sym_comment,
      sym_block_comment,
  [644432] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5210), 1,
      anon_sym_RBRACK,
    ACTIONS(20437), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15847), 2,
      sym_comment,
      sym_block_comment,
  [644452] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5490), 1,
      anon_sym_RPAREN,
    ACTIONS(20439), 1,
      anon_sym_COMMA,
    STATE(14569), 1,
      aux_sym_tuple_type_repeat1,
    STATE(15848), 2,
      sym_comment,
      sym_block_comment,
  [644472] = 6,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17237), 1,
      anon_sym_case,
    STATE(14522), 1,
      aux_sym__indented_type_cases_repeat1,
    STATE(16052), 1,
      sym_type_case_clause,
    STATE(15849), 2,
      sym_comment,
      sym_block_comment,
  [644492] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20441), 1,
      anon_sym_LPAREN,
    STATE(13640), 1,
      sym_parenthesized_expression,
    STATE(15850), 2,
      sym_comment,
      sym_block_comment,
  [644509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20443), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15851), 2,
      sym_comment,
      sym_block_comment,
  [644524] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20445), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15852), 2,
      sym_comment,
      sym_block_comment,
  [644539] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20447), 1,
      sym__indent,
    STATE(12820), 1,
      sym__indented_type_cases,
    STATE(15853), 2,
      sym_comment,
      sym_block_comment,
  [644556] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20449), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15854), 2,
      sym_comment,
      sym_block_comment,
  [644571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20451), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15855), 2,
      sym_comment,
      sym_block_comment,
  [644586] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20453), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15856), 2,
      sym_comment,
      sym_block_comment,
  [644601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9751), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15857), 2,
      sym_comment,
      sym_block_comment,
  [644616] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20455), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15858), 2,
      sym_comment,
      sym_block_comment,
  [644631] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20457), 1,
      sym__indent,
    STATE(10801), 1,
      sym__indented_type_cases,
    STATE(15859), 2,
      sym_comment,
      sym_block_comment,
  [644648] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20459), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15860), 2,
      sym_comment,
      sym_block_comment,
  [644663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20373), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(15861), 2,
      sym_comment,
      sym_block_comment,
  [644678] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20350), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(15862), 2,
      sym_comment,
      sym_block_comment,
  [644693] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20461), 1,
      sym__indent,
    STATE(13052), 1,
      sym__indented_type_cases,
    STATE(15863), 2,
      sym_comment,
      sym_block_comment,
  [644710] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20463), 1,
      anon_sym_EQ_GT,
    ACTIONS(20465), 1,
      anon_sym_QMARK_EQ_GT,
    STATE(15864), 2,
      sym_comment,
      sym_block_comment,
  [644727] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20467), 1,
      sym__indent,
    STATE(13171), 1,
      sym__indented_type_cases,
    STATE(15865), 2,
      sym_comment,
      sym_block_comment,
  [644744] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20469), 1,
      anon_sym_LPAREN,
    STATE(13212), 1,
      sym_parenthesized_expression,
    STATE(15866), 2,
      sym_comment,
      sym_block_comment,
  [644761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20471), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15867), 2,
      sym_comment,
      sym_block_comment,
  [644776] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20473), 2,
      sym__outdent,
      anon_sym_case,
    STATE(15868), 2,
      sym_comment,
      sym_block_comment,
  [644791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20475), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15869), 2,
      sym_comment,
      sym_block_comment,
  [644806] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20477), 2,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(15870), 2,
      sym_comment,
      sym_block_comment,
  [644821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20479), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15871), 2,
      sym_comment,
      sym_block_comment,
  [644836] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20481), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15872), 2,
      sym_comment,
      sym_block_comment,
  [644851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5114), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(15873), 2,
      sym_comment,
      sym_block_comment,
  [644866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20483), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15874), 2,
      sym_comment,
      sym_block_comment,
  [644881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20260), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15875), 2,
      sym_comment,
      sym_block_comment,
  [644896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20485), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15876), 2,
      sym_comment,
      sym_block_comment,
  [644911] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20487), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15877), 2,
      sym_comment,
      sym_block_comment,
  [644926] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20489), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15878), 2,
      sym_comment,
      sym_block_comment,
  [644941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20491), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15879), 2,
      sym_comment,
      sym_block_comment,
  [644956] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20493), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15880), 2,
      sym_comment,
      sym_block_comment,
  [644971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20258), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15881), 2,
      sym_comment,
      sym_block_comment,
  [644986] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20495), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15882), 2,
      sym_comment,
      sym_block_comment,
  [645001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20497), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15883), 2,
      sym_comment,
      sym_block_comment,
  [645016] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20499), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15884), 2,
      sym_comment,
      sym_block_comment,
  [645031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20221), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15885), 2,
      sym_comment,
      sym_block_comment,
  [645046] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20501), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15886), 2,
      sym_comment,
      sym_block_comment,
  [645061] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20503), 1,
      sym__indent,
    STATE(13040), 1,
      sym__indented_type_cases,
    STATE(15887), 2,
      sym_comment,
      sym_block_comment,
  [645078] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20505), 1,
      anon_sym_LPAREN,
    STATE(13808), 1,
      sym_parenthesized_expression,
    STATE(15888), 2,
      sym_comment,
      sym_block_comment,
  [645095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20507), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15889), 2,
      sym_comment,
      sym_block_comment,
  [645110] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20509), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15890), 2,
      sym_comment,
      sym_block_comment,
  [645125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20511), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15891), 2,
      sym_comment,
      sym_block_comment,
  [645140] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20513), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15892), 2,
      sym_comment,
      sym_block_comment,
  [645155] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20515), 1,
      sym__indent,
    STATE(12091), 1,
      sym__indented_type_cases,
    STATE(15893), 2,
      sym_comment,
      sym_block_comment,
  [645172] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20517), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15894), 2,
      sym_comment,
      sym_block_comment,
  [645187] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20519), 1,
      sym__indent,
    STATE(16139), 1,
      sym__indented_type_cases,
    STATE(15895), 2,
      sym_comment,
      sym_block_comment,
  [645204] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20521), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15896), 2,
      sym_comment,
      sym_block_comment,
  [645219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20523), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15897), 2,
      sym_comment,
      sym_block_comment,
  [645234] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20525), 1,
      anon_sym_LPAREN,
    STATE(13769), 1,
      sym_parenthesized_expression,
    STATE(15898), 2,
      sym_comment,
      sym_block_comment,
  [645251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10500), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15899), 2,
      sym_comment,
      sym_block_comment,
  [645266] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20527), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15900), 2,
      sym_comment,
      sym_block_comment,
  [645281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20529), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15901), 2,
      sym_comment,
      sym_block_comment,
  [645296] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20531), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15902), 2,
      sym_comment,
      sym_block_comment,
  [645311] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20533), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15903), 2,
      sym_comment,
      sym_block_comment,
  [645326] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20535), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15904), 2,
      sym_comment,
      sym_block_comment,
  [645341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20537), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15905), 2,
      sym_comment,
      sym_block_comment,
  [645356] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20049), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15906), 2,
      sym_comment,
      sym_block_comment,
  [645371] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20539), 1,
      sym__indent,
    STATE(8517), 1,
      sym__indented_type_cases,
    STATE(15907), 2,
      sym_comment,
      sym_block_comment,
  [645388] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20541), 1,
      sym__indent,
    STATE(12894), 1,
      sym__indented_type_cases,
    STATE(15908), 2,
      sym_comment,
      sym_block_comment,
  [645405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20465), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15909), 2,
      sym_comment,
      sym_block_comment,
  [645420] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20543), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15910), 2,
      sym_comment,
      sym_block_comment,
  [645435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20545), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15911), 2,
      sym_comment,
      sym_block_comment,
  [645450] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20547), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15912), 2,
      sym_comment,
      sym_block_comment,
  [645465] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20549), 1,
      anon_sym_LPAREN,
    STATE(11863), 1,
      sym_parenthesized_expression,
    STATE(15913), 2,
      sym_comment,
      sym_block_comment,
  [645482] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20551), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15914), 2,
      sym_comment,
      sym_block_comment,
  [645497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20553), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15915), 2,
      sym_comment,
      sym_block_comment,
  [645512] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20555), 1,
      anon_sym_LPAREN,
    STATE(12740), 1,
      sym_parenthesized_expression,
    STATE(15916), 2,
      sym_comment,
      sym_block_comment,
  [645529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20557), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15917), 2,
      sym_comment,
      sym_block_comment,
  [645544] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20559), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15918), 2,
      sym_comment,
      sym_block_comment,
  [645559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20561), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15919), 2,
      sym_comment,
      sym_block_comment,
  [645574] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9786), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15920), 2,
      sym_comment,
      sym_block_comment,
  [645589] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20563), 1,
      sym__indent,
    STATE(11451), 1,
      sym__indented_type_cases,
    STATE(15921), 2,
      sym_comment,
      sym_block_comment,
  [645606] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20565), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15922), 2,
      sym_comment,
      sym_block_comment,
  [645621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20567), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15923), 2,
      sym_comment,
      sym_block_comment,
  [645636] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20569), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15924), 2,
      sym_comment,
      sym_block_comment,
  [645651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20473), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(15925), 2,
      sym_comment,
      sym_block_comment,
  [645666] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20571), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15926), 2,
      sym_comment,
      sym_block_comment,
  [645681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20573), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15927), 2,
      sym_comment,
      sym_block_comment,
  [645696] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20575), 1,
      sym__indent,
    STATE(13199), 1,
      sym__indented_type_cases,
    STATE(15928), 2,
      sym_comment,
      sym_block_comment,
  [645713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20577), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15929), 2,
      sym_comment,
      sym_block_comment,
  [645728] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20579), 1,
      anon_sym_LPAREN,
    STATE(12276), 1,
      sym_parenthesized_expression,
    STATE(15930), 2,
      sym_comment,
      sym_block_comment,
  [645745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20581), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15931), 2,
      sym_comment,
      sym_block_comment,
  [645760] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20583), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15932), 2,
      sym_comment,
      sym_block_comment,
  [645775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20585), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15933), 2,
      sym_comment,
      sym_block_comment,
  [645790] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20587), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15934), 2,
      sym_comment,
      sym_block_comment,
  [645805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20589), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15935), 2,
      sym_comment,
      sym_block_comment,
  [645820] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20591), 1,
      anon_sym_object,
    ACTIONS(20593), 1,
      anon_sym_class,
    STATE(15936), 2,
      sym_comment,
      sym_block_comment,
  [645837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20595), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15937), 2,
      sym_comment,
      sym_block_comment,
  [645852] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20597), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15938), 2,
      sym_comment,
      sym_block_comment,
  [645867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20599), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15939), 2,
      sym_comment,
      sym_block_comment,
  [645882] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20601), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15940), 2,
      sym_comment,
      sym_block_comment,
  [645897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20603), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15941), 2,
      sym_comment,
      sym_block_comment,
  [645912] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20605), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15942), 2,
      sym_comment,
      sym_block_comment,
  [645927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20607), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15943), 2,
      sym_comment,
      sym_block_comment,
  [645942] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20609), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15944), 2,
      sym_comment,
      sym_block_comment,
  [645957] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20611), 1,
      sym__indent,
    STATE(16858), 1,
      sym__indented_type_cases,
    STATE(15945), 2,
      sym_comment,
      sym_block_comment,
  [645974] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20613), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15946), 2,
      sym_comment,
      sym_block_comment,
  [645989] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20615), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15947), 2,
      sym_comment,
      sym_block_comment,
  [646004] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20617), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15948), 2,
      sym_comment,
      sym_block_comment,
  [646019] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20619), 1,
      anon_sym_LPAREN,
    STATE(11529), 1,
      sym_parenthesized_expression,
    STATE(15949), 2,
      sym_comment,
      sym_block_comment,
  [646036] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20621), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15950), 2,
      sym_comment,
      sym_block_comment,
  [646051] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20623), 1,
      anon_sym_LPAREN,
    STATE(12750), 1,
      sym_parenthesized_expression,
    STATE(15951), 2,
      sym_comment,
      sym_block_comment,
  [646068] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20625), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15952), 2,
      sym_comment,
      sym_block_comment,
  [646083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20627), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(15953), 2,
      sym_comment,
      sym_block_comment,
  [646098] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20629), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15954), 2,
      sym_comment,
      sym_block_comment,
  [646113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20631), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(15955), 2,
      sym_comment,
      sym_block_comment,
  [646128] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20633), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(15956), 2,
      sym_comment,
      sym_block_comment,
  [646143] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20635), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15957), 2,
      sym_comment,
      sym_block_comment,
  [646158] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20637), 1,
      sym__indent,
    STATE(11696), 1,
      sym__indented_type_cases,
    STATE(15958), 2,
      sym_comment,
      sym_block_comment,
  [646175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20639), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15959), 2,
      sym_comment,
      sym_block_comment,
  [646190] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20641), 1,
      anon_sym_LPAREN,
    STATE(13245), 1,
      sym_parenthesized_expression,
    STATE(15960), 2,
      sym_comment,
      sym_block_comment,
  [646207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20643), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15961), 2,
      sym_comment,
      sym_block_comment,
  [646222] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20645), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15962), 2,
      sym_comment,
      sym_block_comment,
  [646237] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20647), 1,
      sym__indent,
    STATE(10671), 1,
      sym__indented_type_cases,
    STATE(15963), 2,
      sym_comment,
      sym_block_comment,
  [646254] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20627), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(15964), 2,
      sym_comment,
      sym_block_comment,
  [646269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20649), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15965), 2,
      sym_comment,
      sym_block_comment,
  [646284] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20651), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15966), 2,
      sym_comment,
      sym_block_comment,
  [646299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20633), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(15967), 2,
      sym_comment,
      sym_block_comment,
  [646314] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20653), 1,
      anon_sym_LPAREN,
    STATE(13557), 1,
      sym_parenthesized_expression,
    STATE(15968), 2,
      sym_comment,
      sym_block_comment,
  [646331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20655), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15969), 2,
      sym_comment,
      sym_block_comment,
  [646346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20657), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15970), 2,
      sym_comment,
      sym_block_comment,
  [646361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10510), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15971), 2,
      sym_comment,
      sym_block_comment,
  [646376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10516), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15972), 2,
      sym_comment,
      sym_block_comment,
  [646391] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20659), 1,
      sym__indent,
    STATE(14299), 1,
      sym_with_template_body,
    STATE(15973), 2,
      sym_comment,
      sym_block_comment,
  [646408] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20661), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15974), 2,
      sym_comment,
      sym_block_comment,
  [646423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20663), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15975), 2,
      sym_comment,
      sym_block_comment,
  [646438] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20665), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15976), 2,
      sym_comment,
      sym_block_comment,
  [646453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20667), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15977), 2,
      sym_comment,
      sym_block_comment,
  [646468] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20669), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15978), 2,
      sym_comment,
      sym_block_comment,
  [646483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20671), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15979), 2,
      sym_comment,
      sym_block_comment,
  [646498] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20673), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15980), 2,
      sym_comment,
      sym_block_comment,
  [646513] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20675), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(15981), 2,
      sym_comment,
      sym_block_comment,
  [646528] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20677), 1,
      sym__indent,
    STATE(12007), 1,
      sym__indented_type_cases,
    STATE(15982), 2,
      sym_comment,
      sym_block_comment,
  [646545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(19497), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(15983), 2,
      sym_comment,
      sym_block_comment,
  [646560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20631), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(15984), 2,
      sym_comment,
      sym_block_comment,
  [646575] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20679), 1,
      sym__indent,
    STATE(11094), 1,
      sym__indented_type_cases,
    STATE(15985), 2,
      sym_comment,
      sym_block_comment,
  [646592] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9846), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(15986), 2,
      sym_comment,
      sym_block_comment,
  [646607] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20681), 1,
      anon_sym_LPAREN,
    STATE(13379), 1,
      sym_parenthesized_expression,
    STATE(15987), 2,
      sym_comment,
      sym_block_comment,
  [646624] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20683), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15988), 2,
      sym_comment,
      sym_block_comment,
  [646639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20685), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15989), 2,
      sym_comment,
      sym_block_comment,
  [646654] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20687), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15990), 2,
      sym_comment,
      sym_block_comment,
  [646669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20689), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15991), 2,
      sym_comment,
      sym_block_comment,
  [646684] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20691), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15992), 2,
      sym_comment,
      sym_block_comment,
  [646699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20693), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15993), 2,
      sym_comment,
      sym_block_comment,
  [646714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16630), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(15994), 2,
      sym_comment,
      sym_block_comment,
  [646729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20695), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15995), 2,
      sym_comment,
      sym_block_comment,
  [646744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20697), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15996), 2,
      sym_comment,
      sym_block_comment,
  [646759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20699), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15997), 2,
      sym_comment,
      sym_block_comment,
  [646774] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20701), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(15998), 2,
      sym_comment,
      sym_block_comment,
  [646789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20703), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(15999), 2,
      sym_comment,
      sym_block_comment,
  [646804] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20705), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16000), 2,
      sym_comment,
      sym_block_comment,
  [646819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20707), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16001), 2,
      sym_comment,
      sym_block_comment,
  [646834] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20709), 1,
      sym__indent,
    STATE(11641), 1,
      sym__indented_type_cases,
    STATE(16002), 2,
      sym_comment,
      sym_block_comment,
  [646851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20711), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16003), 2,
      sym_comment,
      sym_block_comment,
  [646866] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20713), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16004), 2,
      sym_comment,
      sym_block_comment,
  [646881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20715), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(16005), 2,
      sym_comment,
      sym_block_comment,
  [646896] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20717), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16006), 2,
      sym_comment,
      sym_block_comment,
  [646911] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15299), 1,
      anon_sym_object,
    ACTIONS(15303), 1,
      anon_sym_class,
    STATE(16007), 2,
      sym_comment,
      sym_block_comment,
  [646928] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20719), 1,
      anon_sym_LPAREN,
    STATE(12621), 1,
      sym_parenthesized_expression,
    STATE(16008), 2,
      sym_comment,
      sym_block_comment,
  [646945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20721), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16009), 2,
      sym_comment,
      sym_block_comment,
  [646960] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20723), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(16010), 2,
      sym_comment,
      sym_block_comment,
  [646975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20725), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16011), 2,
      sym_comment,
      sym_block_comment,
  [646990] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20727), 1,
      anon_sym_COLON,
    ACTIONS(20729), 1,
      anon_sym_EQ,
    STATE(16012), 2,
      sym_comment,
      sym_block_comment,
  [647007] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20731), 1,
      anon_sym_COLON,
    ACTIONS(20733), 1,
      anon_sym_EQ,
    STATE(16013), 2,
      sym_comment,
      sym_block_comment,
  [647024] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20735), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16014), 2,
      sym_comment,
      sym_block_comment,
  [647039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20737), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16015), 2,
      sym_comment,
      sym_block_comment,
  [647054] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20739), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16016), 2,
      sym_comment,
      sym_block_comment,
  [647069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9700), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(16017), 2,
      sym_comment,
      sym_block_comment,
  [647084] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20741), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16018), 2,
      sym_comment,
      sym_block_comment,
  [647099] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20743), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16019), 2,
      sym_comment,
      sym_block_comment,
  [647114] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20745), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(16020), 2,
      sym_comment,
      sym_block_comment,
  [647129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20747), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16021), 2,
      sym_comment,
      sym_block_comment,
  [647144] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20749), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16022), 2,
      sym_comment,
      sym_block_comment,
  [647159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20751), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16023), 2,
      sym_comment,
      sym_block_comment,
  [647174] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20753), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16024), 2,
      sym_comment,
      sym_block_comment,
  [647189] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20755), 1,
      sym__indent,
    STATE(13533), 1,
      sym__indented_type_cases,
    STATE(16025), 2,
      sym_comment,
      sym_block_comment,
  [647206] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20757), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16026), 2,
      sym_comment,
      sym_block_comment,
  [647221] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20759), 1,
      anon_sym_LPAREN,
    STATE(13540), 1,
      sym_parenthesized_expression,
    STATE(16027), 2,
      sym_comment,
      sym_block_comment,
  [647238] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20761), 1,
      sym__indent,
    STATE(12070), 1,
      sym__indented_type_cases,
    STATE(16028), 2,
      sym_comment,
      sym_block_comment,
  [647255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20763), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16029), 2,
      sym_comment,
      sym_block_comment,
  [647270] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20765), 1,
      anon_sym_LPAREN,
    STATE(13963), 1,
      sym_parenthesized_expression,
    STATE(16030), 2,
      sym_comment,
      sym_block_comment,
  [647287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20767), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16031), 2,
      sym_comment,
      sym_block_comment,
  [647302] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20769), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16032), 2,
      sym_comment,
      sym_block_comment,
  [647317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20771), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16033), 2,
      sym_comment,
      sym_block_comment,
  [647332] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20773), 1,
      anon_sym_COLON,
    ACTIONS(20775), 1,
      anon_sym_EQ,
    STATE(16034), 2,
      sym_comment,
      sym_block_comment,
  [647349] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20777), 1,
      anon_sym_COLON,
    ACTIONS(20779), 1,
      anon_sym_EQ,
    STATE(16035), 2,
      sym_comment,
      sym_block_comment,
  [647366] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20781), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16036), 2,
      sym_comment,
      sym_block_comment,
  [647381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20783), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16037), 2,
      sym_comment,
      sym_block_comment,
  [647396] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9885), 2,
      anon_sym_with,
      anon_sym_LPAREN,
    STATE(16038), 2,
      sym_comment,
      sym_block_comment,
  [647411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18992), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(16039), 2,
      sym_comment,
      sym_block_comment,
  [647426] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20785), 1,
      sym__indent,
    STATE(11596), 1,
      sym__indented_type_cases,
    STATE(16040), 2,
      sym_comment,
      sym_block_comment,
  [647443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20787), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16041), 2,
      sym_comment,
      sym_block_comment,
  [647458] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20789), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16042), 2,
      sym_comment,
      sym_block_comment,
  [647473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20791), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16043), 2,
      sym_comment,
      sym_block_comment,
  [647488] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20793), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16044), 2,
      sym_comment,
      sym_block_comment,
  [647503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20795), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16045), 2,
      sym_comment,
      sym_block_comment,
  [647518] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20797), 1,
      anon_sym_LPAREN,
    STATE(13577), 1,
      sym_parenthesized_expression,
    STATE(16046), 2,
      sym_comment,
      sym_block_comment,
  [647535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20793), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(16047), 2,
      sym_comment,
      sym_block_comment,
  [647550] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20799), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16048), 2,
      sym_comment,
      sym_block_comment,
  [647565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20801), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16049), 2,
      sym_comment,
      sym_block_comment,
  [647580] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20803), 1,
      anon_sym_COLON,
    ACTIONS(20805), 1,
      anon_sym_EQ,
    STATE(16050), 2,
      sym_comment,
      sym_block_comment,
  [647597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20807), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16051), 2,
      sym_comment,
      sym_block_comment,
  [647612] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20809), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16052), 2,
      sym_comment,
      sym_block_comment,
  [647627] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20811), 1,
      sym__indent,
    STATE(12375), 1,
      sym__indented_type_cases,
    STATE(16053), 2,
      sym_comment,
      sym_block_comment,
  [647644] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20813), 1,
      anon_sym_COLON,
    ACTIONS(20815), 1,
      anon_sym_EQ,
    STATE(16054), 2,
      sym_comment,
      sym_block_comment,
  [647661] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20817), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16055), 2,
      sym_comment,
      sym_block_comment,
  [647676] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20819), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16056), 2,
      sym_comment,
      sym_block_comment,
  [647691] = 3,
    ACTIONS(18029), 1,
      anon_sym_SLASH_STAR,
    STATE(16057), 2,
      sym_comment,
      sym_block_comment,
    ACTIONS(20821), 3,
      anon_sym_SLASH_SLASH,
      aux_sym_block_comment_token1,
      anon_sym_STAR_SLASH,
  [647704] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20823), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16058), 2,
      sym_comment,
      sym_block_comment,
  [647719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20825), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16059), 2,
      sym_comment,
      sym_block_comment,
  [647734] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20827), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16060), 2,
      sym_comment,
      sym_block_comment,
  [647749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20829), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16061), 2,
      sym_comment,
      sym_block_comment,
  [647764] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20831), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16062), 2,
      sym_comment,
      sym_block_comment,
  [647779] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20833), 1,
      anon_sym_COLON,
    ACTIONS(20835), 1,
      anon_sym_EQ,
    STATE(16063), 2,
      sym_comment,
      sym_block_comment,
  [647796] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20837), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16064), 2,
      sym_comment,
      sym_block_comment,
  [647811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20839), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16065), 2,
      sym_comment,
      sym_block_comment,
  [647826] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16091), 1,
      anon_sym_EQ_GT,
    ACTIONS(20841), 1,
      anon_sym_COLON,
    STATE(16066), 2,
      sym_comment,
      sym_block_comment,
  [647843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20843), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16067), 2,
      sym_comment,
      sym_block_comment,
  [647858] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20845), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16068), 2,
      sym_comment,
      sym_block_comment,
  [647873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20847), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16069), 2,
      sym_comment,
      sym_block_comment,
  [647888] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20849), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16070), 2,
      sym_comment,
      sym_block_comment,
  [647903] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20851), 1,
      sym__indent,
    STATE(11309), 1,
      sym__indented_type_cases,
    STATE(16071), 2,
      sym_comment,
      sym_block_comment,
  [647920] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20853), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16072), 2,
      sym_comment,
      sym_block_comment,
  [647935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20855), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16073), 2,
      sym_comment,
      sym_block_comment,
  [647950] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20857), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16074), 2,
      sym_comment,
      sym_block_comment,
  [647965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10418), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(16075), 2,
      sym_comment,
      sym_block_comment,
  [647980] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20859), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16076), 2,
      sym_comment,
      sym_block_comment,
  [647995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20861), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16077), 2,
      sym_comment,
      sym_block_comment,
  [648010] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20863), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16078), 2,
      sym_comment,
      sym_block_comment,
  [648025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10418), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(16079), 2,
      sym_comment,
      sym_block_comment,
  [648040] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20865), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16080), 2,
      sym_comment,
      sym_block_comment,
  [648055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20867), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16081), 2,
      sym_comment,
      sym_block_comment,
  [648070] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20869), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16082), 2,
      sym_comment,
      sym_block_comment,
  [648085] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20871), 1,
      anon_sym_LPAREN,
    STATE(11986), 1,
      sym_parenthesized_expression,
    STATE(16083), 2,
      sym_comment,
      sym_block_comment,
  [648102] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20873), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16084), 2,
      sym_comment,
      sym_block_comment,
  [648117] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20875), 1,
      sym__indent,
    STATE(12973), 1,
      sym__indented_type_cases,
    STATE(16085), 2,
      sym_comment,
      sym_block_comment,
  [648134] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20877), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16086), 2,
      sym_comment,
      sym_block_comment,
  [648149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20879), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16087), 2,
      sym_comment,
      sym_block_comment,
  [648164] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20881), 1,
      anon_sym_COLON,
    ACTIONS(20883), 1,
      anon_sym_EQ,
    STATE(16088), 2,
      sym_comment,
      sym_block_comment,
  [648181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20885), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16089), 2,
      sym_comment,
      sym_block_comment,
  [648196] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20887), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16090), 2,
      sym_comment,
      sym_block_comment,
  [648211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10454), 2,
      sym__interpolated_string_middle,
      sym__interpolated_string_end,
    STATE(16091), 2,
      sym_comment,
      sym_block_comment,
  [648226] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20889), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16092), 2,
      sym_comment,
      sym_block_comment,
  [648241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20891), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16093), 2,
      sym_comment,
      sym_block_comment,
  [648256] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20893), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16094), 2,
      sym_comment,
      sym_block_comment,
  [648271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11945), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16095), 2,
      sym_comment,
      sym_block_comment,
  [648286] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20895), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16096), 2,
      sym_comment,
      sym_block_comment,
  [648301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17598), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(16097), 2,
      sym_comment,
      sym_block_comment,
  [648316] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11923), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16098), 2,
      sym_comment,
      sym_block_comment,
  [648331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20897), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16099), 2,
      sym_comment,
      sym_block_comment,
  [648346] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20899), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(16100), 2,
      sym_comment,
      sym_block_comment,
  [648361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20901), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16101), 2,
      sym_comment,
      sym_block_comment,
  [648376] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20903), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16102), 2,
      sym_comment,
      sym_block_comment,
  [648391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11931), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16103), 2,
      sym_comment,
      sym_block_comment,
  [648406] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11935), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16104), 2,
      sym_comment,
      sym_block_comment,
  [648421] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8116), 1,
      anon_sym_object,
    ACTIONS(8120), 1,
      anon_sym_class,
    STATE(16105), 2,
      sym_comment,
      sym_block_comment,
  [648438] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20905), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16106), 2,
      sym_comment,
      sym_block_comment,
  [648453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20907), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16107), 2,
      sym_comment,
      sym_block_comment,
  [648468] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20909), 1,
      sym__indent,
    STATE(13507), 1,
      sym__indented_type_cases,
    STATE(16108), 2,
      sym_comment,
      sym_block_comment,
  [648485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20911), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16109), 2,
      sym_comment,
      sym_block_comment,
  [648500] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11939), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16110), 2,
      sym_comment,
      sym_block_comment,
  [648515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20913), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16111), 2,
      sym_comment,
      sym_block_comment,
  [648530] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20915), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16112), 2,
      sym_comment,
      sym_block_comment,
  [648545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20917), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16113), 2,
      sym_comment,
      sym_block_comment,
  [648560] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20919), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16114), 2,
      sym_comment,
      sym_block_comment,
  [648575] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20921), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16115), 2,
      sym_comment,
      sym_block_comment,
  [648590] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20923), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16116), 2,
      sym_comment,
      sym_block_comment,
  [648605] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20925), 1,
      sym__indent,
    STATE(11435), 1,
      sym__indented_type_cases,
    STATE(16117), 2,
      sym_comment,
      sym_block_comment,
  [648622] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20927), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16118), 2,
      sym_comment,
      sym_block_comment,
  [648637] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20929), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16119), 2,
      sym_comment,
      sym_block_comment,
  [648652] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20931), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16120), 2,
      sym_comment,
      sym_block_comment,
  [648667] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20933), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16121), 2,
      sym_comment,
      sym_block_comment,
  [648682] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20935), 1,
      anon_sym_object,
    ACTIONS(20937), 1,
      anon_sym_class,
    STATE(16122), 2,
      sym_comment,
      sym_block_comment,
  [648699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20939), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16123), 2,
      sym_comment,
      sym_block_comment,
  [648714] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11916), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16124), 2,
      sym_comment,
      sym_block_comment,
  [648729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11927), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16125), 2,
      sym_comment,
      sym_block_comment,
  [648744] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20941), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16126), 2,
      sym_comment,
      sym_block_comment,
  [648759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20943), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16127), 2,
      sym_comment,
      sym_block_comment,
  [648774] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20945), 1,
      anon_sym_LPAREN,
    STATE(13902), 1,
      sym_parenthesized_expression,
    STATE(16128), 2,
      sym_comment,
      sym_block_comment,
  [648791] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20947), 1,
      sym__indent,
    STATE(14676), 1,
      sym_with_template_body,
    STATE(16129), 2,
      sym_comment,
      sym_block_comment,
  [648808] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20949), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16130), 2,
      sym_comment,
      sym_block_comment,
  [648823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20951), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16131), 2,
      sym_comment,
      sym_block_comment,
  [648838] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20953), 1,
      sym__indent,
    STATE(13329), 1,
      sym__indented_type_cases,
    STATE(16132), 2,
      sym_comment,
      sym_block_comment,
  [648855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20955), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16133), 2,
      sym_comment,
      sym_block_comment,
  [648870] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15251), 1,
      anon_sym_object,
    ACTIONS(15255), 1,
      anon_sym_class,
    STATE(16134), 2,
      sym_comment,
      sym_block_comment,
  [648887] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20957), 1,
      anon_sym_COLON,
    ACTIONS(20959), 1,
      anon_sym_EQ,
    STATE(16135), 2,
      sym_comment,
      sym_block_comment,
  [648904] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20961), 1,
      anon_sym_COLON,
    ACTIONS(20963), 1,
      anon_sym_EQ,
    STATE(16136), 2,
      sym_comment,
      sym_block_comment,
  [648921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20965), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16137), 2,
      sym_comment,
      sym_block_comment,
  [648936] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20967), 2,
      anon_sym_do,
      anon_sym_yield,
    STATE(16138), 2,
      sym_comment,
      sym_block_comment,
  [648951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11949), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16139), 2,
      sym_comment,
      sym_block_comment,
  [648966] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20969), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16140), 2,
      sym_comment,
      sym_block_comment,
  [648981] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8094), 1,
      anon_sym_object,
    ACTIONS(8098), 1,
      anon_sym_class,
    STATE(16141), 2,
      sym_comment,
      sym_block_comment,
  [648998] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10454), 2,
      sym__interpolated_multiline_string_middle,
      sym__interpolated_multiline_string_end,
    STATE(16142), 2,
      sym_comment,
      sym_block_comment,
  [649013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16143), 2,
      sym_comment,
      sym_block_comment,
  [649028] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20971), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK_EQ_GT,
    STATE(16144), 2,
      sym_comment,
      sym_block_comment,
  [649043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20973), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16145), 2,
      sym_comment,
      sym_block_comment,
  [649058] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8352), 2,
      sym__outdent,
      anon_sym_case,
    STATE(16146), 2,
      sym_comment,
      sym_block_comment,
  [649073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20975), 1,
      anon_sym_RPAREN,
    STATE(16147), 2,
      sym_comment,
      sym_block_comment,
  [649087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20977), 1,
      anon_sym_EQ_GT_GT,
    STATE(16148), 2,
      sym_comment,
      sym_block_comment,
  [649101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20979), 1,
      anon_sym_RPAREN,
    STATE(16149), 2,
      sym_comment,
      sym_block_comment,
  [649115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20981), 1,
      anon_sym_RBRACK,
    STATE(16150), 2,
      sym_comment,
      sym_block_comment,
  [649129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20981), 1,
      anon_sym_RBRACE,
    STATE(16151), 2,
      sym_comment,
      sym_block_comment,
  [649143] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20983), 1,
      anon_sym_RBRACK,
    STATE(16152), 2,
      sym_comment,
      sym_block_comment,
  [649157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20983), 1,
      anon_sym_RBRACE,
    STATE(16153), 2,
      sym_comment,
      sym_block_comment,
  [649171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20985), 1,
      anon_sym_COLON,
    STATE(16154), 2,
      sym_comment,
      sym_block_comment,
  [649185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20987), 1,
      anon_sym_RBRACE,
    STATE(16155), 2,
      sym_comment,
      sym_block_comment,
  [649199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20989), 1,
      anon_sym_RPAREN,
    STATE(16156), 2,
      sym_comment,
      sym_block_comment,
  [649213] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20991), 1,
      anon_sym_EQ_GT_GT,
    STATE(16157), 2,
      sym_comment,
      sym_block_comment,
  [649227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20993), 1,
      anon_sym_EQ_GT_GT,
    STATE(16158), 2,
      sym_comment,
      sym_block_comment,
  [649241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20989), 1,
      anon_sym_RBRACE,
    STATE(16159), 2,
      sym_comment,
      sym_block_comment,
  [649255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20995), 1,
      anon_sym_RBRACE,
    STATE(16160), 2,
      sym_comment,
      sym_block_comment,
  [649269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20997), 1,
      sym__outdent,
    STATE(16161), 2,
      sym_comment,
      sym_block_comment,
  [649283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20999), 1,
      anon_sym_EQ_GT_GT,
    STATE(16162), 2,
      sym_comment,
      sym_block_comment,
  [649297] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21001), 1,
      anon_sym_EQ_GT_GT,
    STATE(16163), 2,
      sym_comment,
      sym_block_comment,
  [649311] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21003), 1,
      sym__outdent,
    STATE(16164), 2,
      sym_comment,
      sym_block_comment,
  [649325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21005), 1,
      anon_sym_EQ_GT,
    STATE(16165), 2,
      sym_comment,
      sym_block_comment,
  [649339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21007), 1,
      anon_sym_RBRACE,
    STATE(16166), 2,
      sym_comment,
      sym_block_comment,
  [649353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21009), 1,
      anon_sym_EQ_GT,
    STATE(16167), 2,
      sym_comment,
      sym_block_comment,
  [649367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21011), 1,
      anon_sym_EQ_GT_GT,
    STATE(16168), 2,
      sym_comment,
      sym_block_comment,
  [649381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21013), 1,
      sym__outdent,
    STATE(16169), 2,
      sym_comment,
      sym_block_comment,
  [649395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21015), 1,
      anon_sym_EQ_GT_GT,
    STATE(16170), 2,
      sym_comment,
      sym_block_comment,
  [649409] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21017), 1,
      anon_sym_EQ_GT_GT,
    STATE(16171), 2,
      sym_comment,
      sym_block_comment,
  [649423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21019), 1,
      anon_sym_EQ_GT_GT,
    STATE(16172), 2,
      sym_comment,
      sym_block_comment,
  [649437] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21021), 1,
      anon_sym_else,
    STATE(16173), 2,
      sym_comment,
      sym_block_comment,
  [649451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21023), 1,
      anon_sym_RPAREN,
    STATE(16174), 2,
      sym_comment,
      sym_block_comment,
  [649465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21025), 1,
      sym__outdent,
    STATE(16175), 2,
      sym_comment,
      sym_block_comment,
  [649479] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21027), 1,
      anon_sym_do,
    STATE(16176), 2,
      sym_comment,
      sym_block_comment,
  [649493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21029), 1,
      anon_sym_COLON,
    STATE(16177), 2,
      sym_comment,
      sym_block_comment,
  [649507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11981), 1,
      anon_sym_DOT,
    STATE(16178), 2,
      sym_comment,
      sym_block_comment,
  [649521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21031), 1,
      anon_sym_else,
    STATE(16179), 2,
      sym_comment,
      sym_block_comment,
  [649535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21033), 1,
      anon_sym_RPAREN,
    STATE(16180), 2,
      sym_comment,
      sym_block_comment,
  [649549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21035), 1,
      sym__outdent,
    STATE(16181), 2,
      sym_comment,
      sym_block_comment,
  [649563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21037), 1,
      anon_sym_RPAREN,
    STATE(16182), 2,
      sym_comment,
      sym_block_comment,
  [649577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21039), 1,
      anon_sym_RBRACE,
    STATE(16183), 2,
      sym_comment,
      sym_block_comment,
  [649591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21041), 1,
      anon_sym_RBRACE,
    STATE(16184), 2,
      sym_comment,
      sym_block_comment,
  [649605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21043), 1,
      anon_sym_do,
    STATE(16185), 2,
      sym_comment,
      sym_block_comment,
  [649619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12695), 1,
      anon_sym_DOT,
    STATE(16186), 2,
      sym_comment,
      sym_block_comment,
  [649633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21045), 1,
      anon_sym_COLON,
    STATE(16187), 2,
      sym_comment,
      sym_block_comment,
  [649647] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21047), 1,
      anon_sym_else,
    STATE(16188), 2,
      sym_comment,
      sym_block_comment,
  [649661] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21049), 1,
      sym__outdent,
    STATE(16189), 2,
      sym_comment,
      sym_block_comment,
  [649675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21051), 1,
      anon_sym_EQ_GT_GT,
    STATE(16190), 2,
      sym_comment,
      sym_block_comment,
  [649689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21053), 1,
      anon_sym_RPAREN,
    STATE(16191), 2,
      sym_comment,
      sym_block_comment,
  [649703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21055), 1,
      anon_sym_EQ_GT_GT,
    STATE(16192), 2,
      sym_comment,
      sym_block_comment,
  [649717] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21057), 1,
      anon_sym_else,
    STATE(16193), 2,
      sym_comment,
      sym_block_comment,
  [649731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21059), 1,
      anon_sym_EQ_GT_GT,
    STATE(16194), 2,
      sym_comment,
      sym_block_comment,
  [649745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21061), 1,
      anon_sym_EQ_GT,
    STATE(16195), 2,
      sym_comment,
      sym_block_comment,
  [649759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21063), 1,
      anon_sym_EQ_GT_GT,
    STATE(16196), 2,
      sym_comment,
      sym_block_comment,
  [649773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21065), 1,
      anon_sym_EQ_GT_GT,
    STATE(16197), 2,
      sym_comment,
      sym_block_comment,
  [649787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21067), 1,
      anon_sym_EQ_GT_GT,
    STATE(16198), 2,
      sym_comment,
      sym_block_comment,
  [649801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21069), 1,
      anon_sym_RBRACE,
    STATE(16199), 2,
      sym_comment,
      sym_block_comment,
  [649815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21071), 1,
      anon_sym_EQ_GT_GT,
    STATE(16200), 2,
      sym_comment,
      sym_block_comment,
  [649829] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21073), 1,
      anon_sym_EQ_GT_GT,
    STATE(16201), 2,
      sym_comment,
      sym_block_comment,
  [649843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21075), 1,
      anon_sym_EQ_GT_GT,
    STATE(16202), 2,
      sym_comment,
      sym_block_comment,
  [649857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21077), 1,
      anon_sym_EQ_GT,
    STATE(16203), 2,
      sym_comment,
      sym_block_comment,
  [649871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21079), 1,
      sym__outdent,
    STATE(16204), 2,
      sym_comment,
      sym_block_comment,
  [649885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21081), 1,
      sym__outdent,
    STATE(16205), 2,
      sym_comment,
      sym_block_comment,
  [649899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21083), 1,
      anon_sym_RBRACE,
    STATE(16206), 2,
      sym_comment,
      sym_block_comment,
  [649913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21085), 1,
      anon_sym_COLON,
    STATE(16207), 2,
      sym_comment,
      sym_block_comment,
  [649927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10801), 1,
      anon_sym_DOT,
    STATE(16208), 2,
      sym_comment,
      sym_block_comment,
  [649941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21083), 1,
      anon_sym_RPAREN,
    STATE(16209), 2,
      sym_comment,
      sym_block_comment,
  [649955] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21087), 1,
      anon_sym_EQ_GT_GT,
    STATE(16210), 2,
      sym_comment,
      sym_block_comment,
  [649969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20987), 1,
      anon_sym_RBRACK,
    STATE(16211), 2,
      sym_comment,
      sym_block_comment,
  [649983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21089), 1,
      anon_sym_RPAREN,
    STATE(16212), 2,
      sym_comment,
      sym_block_comment,
  [649997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21091), 1,
      anon_sym_RBRACE,
    STATE(16213), 2,
      sym_comment,
      sym_block_comment,
  [650011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20995), 1,
      anon_sym_RBRACK,
    STATE(16214), 2,
      sym_comment,
      sym_block_comment,
  [650025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21093), 1,
      anon_sym_RPAREN,
    STATE(16215), 2,
      sym_comment,
      sym_block_comment,
  [650039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21091), 1,
      anon_sym_RBRACK,
    STATE(16216), 2,
      sym_comment,
      sym_block_comment,
  [650053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21095), 1,
      anon_sym_RBRACK,
    STATE(16217), 2,
      sym_comment,
      sym_block_comment,
  [650067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21097), 1,
      anon_sym_RPAREN,
    STATE(16218), 2,
      sym_comment,
      sym_block_comment,
  [650081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21095), 1,
      anon_sym_RBRACE,
    STATE(16219), 2,
      sym_comment,
      sym_block_comment,
  [650095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21099), 1,
      sym__outdent,
    STATE(16220), 2,
      sym_comment,
      sym_block_comment,
  [650109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21101), 1,
      anon_sym_RBRACE,
    STATE(16221), 2,
      sym_comment,
      sym_block_comment,
  [650123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21103), 1,
      anon_sym_RPAREN,
    STATE(16222), 2,
      sym_comment,
      sym_block_comment,
  [650137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21103), 1,
      anon_sym_RBRACE,
    STATE(16223), 2,
      sym_comment,
      sym_block_comment,
  [650151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11026), 1,
      anon_sym_DOT,
    STATE(16224), 2,
      sym_comment,
      sym_block_comment,
  [650165] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21105), 1,
      anon_sym_EQ_GT,
    STATE(16225), 2,
      sym_comment,
      sym_block_comment,
  [650179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21107), 1,
      anon_sym_RPAREN,
    STATE(16226), 2,
      sym_comment,
      sym_block_comment,
  [650193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21109), 1,
      anon_sym_COLON,
    STATE(16227), 2,
      sym_comment,
      sym_block_comment,
  [650207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21111), 1,
      anon_sym_EQ_GT_GT,
    STATE(16228), 2,
      sym_comment,
      sym_block_comment,
  [650221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21113), 1,
      anon_sym_else,
    STATE(16229), 2,
      sym_comment,
      sym_block_comment,
  [650235] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21115), 1,
      anon_sym_EQ_GT_GT,
    STATE(16230), 2,
      sym_comment,
      sym_block_comment,
  [650249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21117), 1,
      anon_sym_EQ_GT_GT,
    STATE(16231), 2,
      sym_comment,
      sym_block_comment,
  [650263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21119), 1,
      anon_sym_EQ_GT_GT,
    STATE(16232), 2,
      sym_comment,
      sym_block_comment,
  [650277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21121), 1,
      anon_sym_EQ_GT_GT,
    STATE(16233), 2,
      sym_comment,
      sym_block_comment,
  [650291] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21123), 1,
      sym__outdent,
    STATE(16234), 2,
      sym_comment,
      sym_block_comment,
  [650305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21125), 1,
      anon_sym_EQ_GT_GT,
    STATE(16235), 2,
      sym_comment,
      sym_block_comment,
  [650319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21127), 1,
      anon_sym_EQ_GT_GT,
    STATE(16236), 2,
      sym_comment,
      sym_block_comment,
  [650333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21129), 1,
      anon_sym_COLON,
    STATE(16237), 2,
      sym_comment,
      sym_block_comment,
  [650347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11706), 1,
      anon_sym_DOT,
    STATE(16238), 2,
      sym_comment,
      sym_block_comment,
  [650361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21131), 1,
      anon_sym_EQ_GT_GT,
    STATE(16239), 2,
      sym_comment,
      sym_block_comment,
  [650375] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21133), 1,
      anon_sym_RBRACE,
    STATE(16240), 2,
      sym_comment,
      sym_block_comment,
  [650389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21135), 1,
      anon_sym_RPAREN,
    STATE(16241), 2,
      sym_comment,
      sym_block_comment,
  [650403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21137), 1,
      anon_sym_RBRACE,
    STATE(16242), 2,
      sym_comment,
      sym_block_comment,
  [650417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21139), 1,
      anon_sym_EQ_GT,
    STATE(16243), 2,
      sym_comment,
      sym_block_comment,
  [650431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21141), 1,
      sym__outdent,
    STATE(16244), 2,
      sym_comment,
      sym_block_comment,
  [650445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21143), 1,
      anon_sym_do,
    STATE(16245), 2,
      sym_comment,
      sym_block_comment,
  [650459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21145), 1,
      anon_sym_else,
    STATE(16246), 2,
      sym_comment,
      sym_block_comment,
  [650473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21147), 1,
      sym__outdent,
    STATE(16247), 2,
      sym_comment,
      sym_block_comment,
  [650487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21149), 1,
      sym__outdent,
    STATE(16248), 2,
      sym_comment,
      sym_block_comment,
  [650501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21151), 1,
      anon_sym_RBRACE,
    STATE(16249), 2,
      sym_comment,
      sym_block_comment,
  [650515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21153), 1,
      anon_sym_RBRACE,
    STATE(16250), 2,
      sym_comment,
      sym_block_comment,
  [650529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21155), 1,
      anon_sym_RPAREN,
    STATE(16251), 2,
      sym_comment,
      sym_block_comment,
  [650543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21157), 1,
      anon_sym_RPAREN,
    STATE(16252), 2,
      sym_comment,
      sym_block_comment,
  [650557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21159), 1,
      anon_sym_else,
    STATE(16253), 2,
      sym_comment,
      sym_block_comment,
  [650571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21161), 1,
      sym__outdent,
    STATE(16254), 2,
      sym_comment,
      sym_block_comment,
  [650585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21163), 1,
      anon_sym_EQ_GT,
    STATE(16255), 2,
      sym_comment,
      sym_block_comment,
  [650599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21165), 1,
      anon_sym_do,
    STATE(16256), 2,
      sym_comment,
      sym_block_comment,
  [650613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21167), 1,
      sym__outdent,
    STATE(16257), 2,
      sym_comment,
      sym_block_comment,
  [650627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21169), 1,
      anon_sym_EQ_GT_GT,
    STATE(16258), 2,
      sym_comment,
      sym_block_comment,
  [650641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21171), 1,
      anon_sym_RBRACE,
    STATE(16259), 2,
      sym_comment,
      sym_block_comment,
  [650655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21173), 1,
      anon_sym_EQ_GT_GT,
    STATE(16260), 2,
      sym_comment,
      sym_block_comment,
  [650669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21175), 1,
      anon_sym_EQ_GT_GT,
    STATE(16261), 2,
      sym_comment,
      sym_block_comment,
  [650683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21177), 1,
      anon_sym_EQ_GT_GT,
    STATE(16262), 2,
      sym_comment,
      sym_block_comment,
  [650697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21179), 1,
      anon_sym_RPAREN,
    STATE(16263), 2,
      sym_comment,
      sym_block_comment,
  [650711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15935), 1,
      anon_sym_DOT,
    STATE(16264), 2,
      sym_comment,
      sym_block_comment,
  [650725] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21181), 1,
      anon_sym_COLON,
    STATE(16265), 2,
      sym_comment,
      sym_block_comment,
  [650739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11293), 1,
      anon_sym_DOT,
    STATE(16266), 2,
      sym_comment,
      sym_block_comment,
  [650753] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21183), 1,
      anon_sym_else,
    STATE(16267), 2,
      sym_comment,
      sym_block_comment,
  [650767] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21185), 1,
      sym__outdent,
    STATE(16268), 2,
      sym_comment,
      sym_block_comment,
  [650781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21187), 1,
      anon_sym_COLON,
    STATE(16269), 2,
      sym_comment,
      sym_block_comment,
  [650795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21189), 1,
      anon_sym_RBRACE,
    STATE(16270), 2,
      sym_comment,
      sym_block_comment,
  [650809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21191), 1,
      sym__outdent,
    STATE(16271), 2,
      sym_comment,
      sym_block_comment,
  [650823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21193), 1,
      sym__outdent,
    STATE(16272), 2,
      sym_comment,
      sym_block_comment,
  [650837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21195), 1,
      sym__outdent,
    STATE(16273), 2,
      sym_comment,
      sym_block_comment,
  [650851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21197), 1,
      anon_sym_EQ_GT_GT,
    STATE(16274), 2,
      sym_comment,
      sym_block_comment,
  [650865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21199), 1,
      anon_sym_RPAREN,
    STATE(16275), 2,
      sym_comment,
      sym_block_comment,
  [650879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21201), 1,
      anon_sym_EQ_GT_GT,
    STATE(16276), 2,
      sym_comment,
      sym_block_comment,
  [650893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21203), 1,
      anon_sym_EQ_GT_GT,
    STATE(16277), 2,
      sym_comment,
      sym_block_comment,
  [650907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21205), 1,
      anon_sym_EQ_GT_GT,
    STATE(16278), 2,
      sym_comment,
      sym_block_comment,
  [650921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21207), 1,
      anon_sym_RBRACE,
    STATE(16279), 2,
      sym_comment,
      sym_block_comment,
  [650935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21209), 1,
      anon_sym_RPAREN,
    STATE(16280), 2,
      sym_comment,
      sym_block_comment,
  [650949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21211), 1,
      anon_sym_EQ_GT,
    STATE(16281), 2,
      sym_comment,
      sym_block_comment,
  [650963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21213), 1,
      anon_sym_EQ_GT,
    STATE(16282), 2,
      sym_comment,
      sym_block_comment,
  [650977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21207), 1,
      anon_sym_RPAREN,
    STATE(16283), 2,
      sym_comment,
      sym_block_comment,
  [650991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21215), 1,
      anon_sym_RBRACE,
    STATE(16284), 2,
      sym_comment,
      sym_block_comment,
  [651005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21217), 1,
      anon_sym_EQ_GT_GT,
    STATE(16285), 2,
      sym_comment,
      sym_block_comment,
  [651019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21215), 1,
      anon_sym_RBRACK,
    STATE(16286), 2,
      sym_comment,
      sym_block_comment,
  [651033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21219), 1,
      anon_sym_EQ_GT_GT,
    STATE(16287), 2,
      sym_comment,
      sym_block_comment,
  [651047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21221), 1,
      anon_sym_EQ_GT_GT,
    STATE(16288), 2,
      sym_comment,
      sym_block_comment,
  [651061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21223), 1,
      anon_sym_EQ_GT_GT,
    STATE(16289), 2,
      sym_comment,
      sym_block_comment,
  [651075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21225), 1,
      sym__outdent,
    STATE(16290), 2,
      sym_comment,
      sym_block_comment,
  [651089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21227), 1,
      anon_sym_RBRACE,
    STATE(16291), 2,
      sym_comment,
      sym_block_comment,
  [651103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21229), 1,
      anon_sym_COLON,
    STATE(16292), 2,
      sym_comment,
      sym_block_comment,
  [651117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11158), 1,
      anon_sym_DOT,
    STATE(16293), 2,
      sym_comment,
      sym_block_comment,
  [651131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21227), 1,
      anon_sym_RBRACK,
    STATE(16294), 2,
      sym_comment,
      sym_block_comment,
  [651145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21231), 1,
      anon_sym_RPAREN,
    STATE(16295), 2,
      sym_comment,
      sym_block_comment,
  [651159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21233), 1,
      anon_sym_RBRACK,
    STATE(16296), 2,
      sym_comment,
      sym_block_comment,
  [651173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21233), 1,
      anon_sym_RBRACE,
    STATE(16297), 2,
      sym_comment,
      sym_block_comment,
  [651187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21235), 1,
      anon_sym_RBRACK,
    STATE(16298), 2,
      sym_comment,
      sym_block_comment,
  [651201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21235), 1,
      anon_sym_RBRACE,
    STATE(16299), 2,
      sym_comment,
      sym_block_comment,
  [651215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21237), 1,
      sym__outdent,
    STATE(16300), 2,
      sym_comment,
      sym_block_comment,
  [651229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21239), 1,
      anon_sym_RPAREN,
    STATE(16301), 2,
      sym_comment,
      sym_block_comment,
  [651243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21239), 1,
      anon_sym_RBRACE,
    STATE(16302), 2,
      sym_comment,
      sym_block_comment,
  [651257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21241), 1,
      anon_sym_else,
    STATE(16303), 2,
      sym_comment,
      sym_block_comment,
  [651271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21243), 1,
      anon_sym_RBRACE,
    STATE(16304), 2,
      sym_comment,
      sym_block_comment,
  [651285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10643), 1,
      anon_sym_DOT,
    STATE(16305), 2,
      sym_comment,
      sym_block_comment,
  [651299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21245), 1,
      anon_sym_EQ_GT_GT,
    STATE(16306), 2,
      sym_comment,
      sym_block_comment,
  [651313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21247), 1,
      anon_sym_COLON,
    STATE(16307), 2,
      sym_comment,
      sym_block_comment,
  [651327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21249), 1,
      anon_sym_EQ_GT_GT,
    STATE(16308), 2,
      sym_comment,
      sym_block_comment,
  [651341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21251), 1,
      anon_sym_EQ_GT_GT,
    STATE(16309), 2,
      sym_comment,
      sym_block_comment,
  [651355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21253), 1,
      anon_sym_RPAREN,
    STATE(16310), 2,
      sym_comment,
      sym_block_comment,
  [651369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21255), 1,
      anon_sym_EQ_GT_GT,
    STATE(16311), 2,
      sym_comment,
      sym_block_comment,
  [651383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21257), 1,
      anon_sym_EQ_GT_GT,
    STATE(16312), 2,
      sym_comment,
      sym_block_comment,
  [651397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21259), 1,
      anon_sym_EQ_GT_GT,
    STATE(16313), 2,
      sym_comment,
      sym_block_comment,
  [651411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21261), 1,
      anon_sym_RBRACE,
    STATE(16314), 2,
      sym_comment,
      sym_block_comment,
  [651425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21263), 1,
      sym__outdent,
    STATE(16315), 2,
      sym_comment,
      sym_block_comment,
  [651439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21265), 1,
      anon_sym_COLON,
    STATE(16316), 2,
      sym_comment,
      sym_block_comment,
  [651453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13445), 1,
      anon_sym_DOT,
    STATE(16317), 2,
      sym_comment,
      sym_block_comment,
  [651467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21267), 1,
      anon_sym_EQ_GT_GT,
    STATE(16318), 2,
      sym_comment,
      sym_block_comment,
  [651481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21269), 1,
      anon_sym_EQ_GT_GT,
    STATE(16319), 2,
      sym_comment,
      sym_block_comment,
  [651495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21271), 1,
      anon_sym_RBRACE,
    STATE(16320), 2,
      sym_comment,
      sym_block_comment,
  [651509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21273), 1,
      anon_sym_RBRACE,
    STATE(16321), 2,
      sym_comment,
      sym_block_comment,
  [651523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21275), 1,
      anon_sym_EQ_GT_GT,
    STATE(16322), 2,
      sym_comment,
      sym_block_comment,
  [651537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21277), 1,
      anon_sym_else,
    STATE(16323), 2,
      sym_comment,
      sym_block_comment,
  [651551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21279), 1,
      anon_sym_RPAREN,
    STATE(16324), 2,
      sym_comment,
      sym_block_comment,
  [651565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21281), 1,
      sym__outdent,
    STATE(16325), 2,
      sym_comment,
      sym_block_comment,
  [651579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21283), 1,
      anon_sym_EQ_GT,
    STATE(16326), 2,
      sym_comment,
      sym_block_comment,
  [651593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21285), 1,
      anon_sym_RPAREN,
    STATE(16327), 2,
      sym_comment,
      sym_block_comment,
  [651607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21287), 1,
      anon_sym_RBRACE,
    STATE(16328), 2,
      sym_comment,
      sym_block_comment,
  [651621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21289), 1,
      sym__outdent,
    STATE(16329), 2,
      sym_comment,
      sym_block_comment,
  [651635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21291), 1,
      anon_sym_do,
    STATE(16330), 2,
      sym_comment,
      sym_block_comment,
  [651649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21293), 1,
      anon_sym_do,
    STATE(16331), 2,
      sym_comment,
      sym_block_comment,
  [651663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21295), 1,
      sym__outdent,
    STATE(16332), 2,
      sym_comment,
      sym_block_comment,
  [651677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21297), 1,
      anon_sym_EQ_GT_GT,
    STATE(16333), 2,
      sym_comment,
      sym_block_comment,
  [651691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21299), 1,
      anon_sym_EQ_GT_GT,
    STATE(16334), 2,
      sym_comment,
      sym_block_comment,
  [651705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21301), 1,
      anon_sym_EQ_GT_GT,
    STATE(16335), 2,
      sym_comment,
      sym_block_comment,
  [651719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21303), 1,
      anon_sym_EQ_GT_GT,
    STATE(16336), 2,
      sym_comment,
      sym_block_comment,
  [651733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21305), 1,
      anon_sym_RPAREN,
    STATE(16337), 2,
      sym_comment,
      sym_block_comment,
  [651747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21307), 1,
      anon_sym_RPAREN,
    STATE(16338), 2,
      sym_comment,
      sym_block_comment,
  [651761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21309), 1,
      anon_sym_COLON,
    STATE(16339), 2,
      sym_comment,
      sym_block_comment,
  [651775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9919), 1,
      anon_sym_DOT,
    STATE(16340), 2,
      sym_comment,
      sym_block_comment,
  [651789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21311), 1,
      anon_sym_RBRACE,
    STATE(16341), 2,
      sym_comment,
      sym_block_comment,
  [651803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21313), 1,
      anon_sym_RPAREN,
    STATE(16342), 2,
      sym_comment,
      sym_block_comment,
  [651817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11923), 1,
      anon_sym_EQ_GT,
    STATE(16343), 2,
      sym_comment,
      sym_block_comment,
  [651831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21315), 1,
      sym__outdent,
    STATE(16344), 2,
      sym_comment,
      sym_block_comment,
  [651845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11679), 1,
      anon_sym_DOT,
    STATE(16345), 2,
      sym_comment,
      sym_block_comment,
  [651859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21317), 1,
      anon_sym_else,
    STATE(16346), 2,
      sym_comment,
      sym_block_comment,
  [651873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21319), 1,
      sym__outdent,
    STATE(16347), 2,
      sym_comment,
      sym_block_comment,
  [651887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21321), 1,
      sym__outdent,
    STATE(16348), 2,
      sym_comment,
      sym_block_comment,
  [651901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21323), 1,
      sym__outdent,
    STATE(16349), 2,
      sym_comment,
      sym_block_comment,
  [651915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16884), 1,
      anon_sym_COLON,
    STATE(16350), 2,
      sym_comment,
      sym_block_comment,
  [651929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21325), 1,
      anon_sym_RBRACE,
    STATE(16351), 2,
      sym_comment,
      sym_block_comment,
  [651943] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21327), 1,
      anon_sym_RPAREN,
    STATE(16352), 2,
      sym_comment,
      sym_block_comment,
  [651957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21325), 1,
      anon_sym_RPAREN,
    STATE(16353), 2,
      sym_comment,
      sym_block_comment,
  [651971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21329), 1,
      anon_sym_else,
    STATE(16354), 2,
      sym_comment,
      sym_block_comment,
  [651985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21331), 1,
      anon_sym_RBRACE,
    STATE(16355), 2,
      sym_comment,
      sym_block_comment,
  [651999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21333), 1,
      anon_sym_EQ_GT_GT,
    STATE(16356), 2,
      sym_comment,
      sym_block_comment,
  [652013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21335), 1,
      anon_sym_EQ_GT_GT,
    STATE(16357), 2,
      sym_comment,
      sym_block_comment,
  [652027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21337), 1,
      anon_sym_EQ_GT_GT,
    STATE(16358), 2,
      sym_comment,
      sym_block_comment,
  [652041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21339), 1,
      anon_sym_EQ_GT_GT,
    STATE(16359), 2,
      sym_comment,
      sym_block_comment,
  [652055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21341), 1,
      anon_sym_EQ_GT_GT,
    STATE(16360), 2,
      sym_comment,
      sym_block_comment,
  [652069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21343), 1,
      anon_sym_RPAREN,
    STATE(16361), 2,
      sym_comment,
      sym_block_comment,
  [652083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21345), 1,
      anon_sym_COLON,
    STATE(16362), 2,
      sym_comment,
      sym_block_comment,
  [652097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8938), 1,
      anon_sym_DOT,
    STATE(16363), 2,
      sym_comment,
      sym_block_comment,
  [652111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21347), 1,
      anon_sym_EQ_GT_GT,
    STATE(16364), 2,
      sym_comment,
      sym_block_comment,
  [652125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21349), 1,
      anon_sym_EQ_GT_GT,
    STATE(16365), 2,
      sym_comment,
      sym_block_comment,
  [652139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21351), 1,
      anon_sym_EQ_GT_GT,
    STATE(16366), 2,
      sym_comment,
      sym_block_comment,
  [652153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21331), 1,
      anon_sym_RBRACK,
    STATE(16367), 2,
      sym_comment,
      sym_block_comment,
  [652167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21353), 1,
      anon_sym_RBRACE,
    STATE(16368), 2,
      sym_comment,
      sym_block_comment,
  [652181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21355), 1,
      sym__outdent,
    STATE(16369), 2,
      sym_comment,
      sym_block_comment,
  [652195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21357), 1,
      anon_sym_EQ_GT,
    STATE(16370), 2,
      sym_comment,
      sym_block_comment,
  [652209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21353), 1,
      anon_sym_RBRACK,
    STATE(16371), 2,
      sym_comment,
      sym_block_comment,
  [652223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21359), 1,
      anon_sym_RBRACE,
    STATE(16372), 2,
      sym_comment,
      sym_block_comment,
  [652237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21361), 1,
      anon_sym_RPAREN,
    STATE(16373), 2,
      sym_comment,
      sym_block_comment,
  [652251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21363), 1,
      anon_sym_RBRACE,
    STATE(16374), 2,
      sym_comment,
      sym_block_comment,
  [652265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21365), 1,
      anon_sym_RPAREN,
    STATE(16375), 2,
      sym_comment,
      sym_block_comment,
  [652279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11927), 1,
      anon_sym_EQ_GT,
    STATE(16376), 2,
      sym_comment,
      sym_block_comment,
  [652293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21367), 1,
      anon_sym_EQ_GT_GT,
    STATE(16377), 2,
      sym_comment,
      sym_block_comment,
  [652307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21369), 1,
      anon_sym_EQ_GT_GT,
    STATE(16378), 2,
      sym_comment,
      sym_block_comment,
  [652321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21371), 1,
      anon_sym_EQ_GT_GT,
    STATE(16379), 2,
      sym_comment,
      sym_block_comment,
  [652335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21373), 1,
      anon_sym_EQ_GT_GT,
    STATE(16380), 2,
      sym_comment,
      sym_block_comment,
  [652349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21375), 1,
      anon_sym_RBRACE,
    STATE(16381), 2,
      sym_comment,
      sym_block_comment,
  [652363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21377), 1,
      sym__outdent,
    STATE(16382), 2,
      sym_comment,
      sym_block_comment,
  [652377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21379), 1,
      anon_sym_COLON,
    STATE(16383), 2,
      sym_comment,
      sym_block_comment,
  [652391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9469), 1,
      anon_sym_DOT,
    STATE(16384), 2,
      sym_comment,
      sym_block_comment,
  [652405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21381), 1,
      anon_sym_RPAREN,
    STATE(16385), 2,
      sym_comment,
      sym_block_comment,
  [652419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21383), 1,
      anon_sym_RBRACK,
    STATE(16386), 2,
      sym_comment,
      sym_block_comment,
  [652433] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21385), 1,
      sym__outdent,
    STATE(16387), 2,
      sym_comment,
      sym_block_comment,
  [652447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21383), 1,
      anon_sym_RBRACE,
    STATE(16388), 2,
      sym_comment,
      sym_block_comment,
  [652461] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12748), 1,
      anon_sym_DOT,
    STATE(16389), 2,
      sym_comment,
      sym_block_comment,
  [652475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21387), 1,
      anon_sym_COLON,
    STATE(16390), 2,
      sym_comment,
      sym_block_comment,
  [652489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21389), 1,
      anon_sym_else,
    STATE(16391), 2,
      sym_comment,
      sym_block_comment,
  [652503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21391), 1,
      anon_sym_RBRACK,
    STATE(16392), 2,
      sym_comment,
      sym_block_comment,
  [652517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20463), 1,
      anon_sym_EQ_GT,
    STATE(16393), 2,
      sym_comment,
      sym_block_comment,
  [652531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21391), 1,
      anon_sym_RBRACE,
    STATE(16394), 2,
      sym_comment,
      sym_block_comment,
  [652545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21393), 1,
      anon_sym_RPAREN,
    STATE(16395), 2,
      sym_comment,
      sym_block_comment,
  [652559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21395), 1,
      anon_sym_RPAREN,
    STATE(16396), 2,
      sym_comment,
      sym_block_comment,
  [652573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21397), 1,
      anon_sym_else,
    STATE(16397), 2,
      sym_comment,
      sym_block_comment,
  [652587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21399), 1,
      anon_sym_EQ_GT_GT,
    STATE(16398), 2,
      sym_comment,
      sym_block_comment,
  [652601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21401), 1,
      anon_sym_EQ_GT_GT,
    STATE(16399), 2,
      sym_comment,
      sym_block_comment,
  [652615] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21403), 1,
      anon_sym_EQ_GT_GT,
    STATE(16400), 2,
      sym_comment,
      sym_block_comment,
  [652629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21405), 1,
      anon_sym_EQ_GT_GT,
    STATE(16401), 2,
      sym_comment,
      sym_block_comment,
  [652643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21395), 1,
      anon_sym_RBRACE,
    STATE(16402), 2,
      sym_comment,
      sym_block_comment,
  [652657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21407), 1,
      anon_sym_EQ_GT_GT,
    STATE(16403), 2,
      sym_comment,
      sym_block_comment,
  [652671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20841), 1,
      anon_sym_COLON,
    STATE(16404), 2,
      sym_comment,
      sym_block_comment,
  [652685] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11051), 1,
      anon_sym_DOT,
    STATE(16405), 2,
      sym_comment,
      sym_block_comment,
  [652699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21409), 1,
      sym__outdent,
    STATE(16406), 2,
      sym_comment,
      sym_block_comment,
  [652713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21411), 1,
      anon_sym_EQ_GT_GT,
    STATE(16407), 2,
      sym_comment,
      sym_block_comment,
  [652727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21413), 1,
      anon_sym_EQ_GT_GT,
    STATE(16408), 2,
      sym_comment,
      sym_block_comment,
  [652741] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21415), 1,
      anon_sym_RBRACE,
    STATE(16409), 2,
      sym_comment,
      sym_block_comment,
  [652755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21417), 1,
      anon_sym_EQ_GT_GT,
    STATE(16410), 2,
      sym_comment,
      sym_block_comment,
  [652769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21419), 1,
      anon_sym_RBRACE,
    STATE(16411), 2,
      sym_comment,
      sym_block_comment,
  [652783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21421), 1,
      sym__outdent,
    STATE(16412), 2,
      sym_comment,
      sym_block_comment,
  [652797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21423), 1,
      anon_sym_else,
    STATE(16413), 2,
      sym_comment,
      sym_block_comment,
  [652811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21425), 1,
      anon_sym_RPAREN,
    STATE(16414), 2,
      sym_comment,
      sym_block_comment,
  [652825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21427), 1,
      sym__outdent,
    STATE(16415), 2,
      sym_comment,
      sym_block_comment,
  [652839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21429), 1,
      anon_sym_EQ_GT,
    STATE(16416), 2,
      sym_comment,
      sym_block_comment,
  [652853] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21431), 1,
      anon_sym_RPAREN,
    STATE(16417), 2,
      sym_comment,
      sym_block_comment,
  [652867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11931), 1,
      anon_sym_EQ_GT,
    STATE(16418), 2,
      sym_comment,
      sym_block_comment,
  [652881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21433), 1,
      anon_sym_EQ_GT_GT,
    STATE(16419), 2,
      sym_comment,
      sym_block_comment,
  [652895] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21435), 1,
      anon_sym_EQ_GT_GT,
    STATE(16420), 2,
      sym_comment,
      sym_block_comment,
  [652909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21437), 1,
      anon_sym_EQ_GT_GT,
    STATE(16421), 2,
      sym_comment,
      sym_block_comment,
  [652923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21439), 1,
      anon_sym_EQ_GT_GT,
    STATE(16422), 2,
      sym_comment,
      sym_block_comment,
  [652937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21441), 1,
      anon_sym_do,
    STATE(16423), 2,
      sym_comment,
      sym_block_comment,
  [652951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21443), 1,
      anon_sym_RBRACE,
    STATE(16424), 2,
      sym_comment,
      sym_block_comment,
  [652965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21445), 1,
      anon_sym_COLON,
    STATE(16425), 2,
      sym_comment,
      sym_block_comment,
  [652979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10241), 1,
      anon_sym_DOT,
    STATE(16426), 2,
      sym_comment,
      sym_block_comment,
  [652993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11935), 1,
      anon_sym_EQ_GT,
    STATE(16427), 2,
      sym_comment,
      sym_block_comment,
  [653007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21447), 1,
      sym__outdent,
    STATE(16428), 2,
      sym_comment,
      sym_block_comment,
  [653021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21449), 1,
      anon_sym_RBRACE,
    STATE(16429), 2,
      sym_comment,
      sym_block_comment,
  [653035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21451), 1,
      anon_sym_RPAREN,
    STATE(16430), 2,
      sym_comment,
      sym_block_comment,
  [653049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21453), 1,
      anon_sym_do,
    STATE(16431), 2,
      sym_comment,
      sym_block_comment,
  [653063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21455), 1,
      anon_sym_RBRACE,
    STATE(16432), 2,
      sym_comment,
      sym_block_comment,
  [653077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21457), 1,
      anon_sym_RPAREN,
    STATE(16433), 2,
      sym_comment,
      sym_block_comment,
  [653091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21459), 1,
      anon_sym_else,
    STATE(16434), 2,
      sym_comment,
      sym_block_comment,
  [653105] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21461), 1,
      sym__outdent,
    STATE(16435), 2,
      sym_comment,
      sym_block_comment,
  [653119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13105), 1,
      anon_sym_DOT,
    STATE(16436), 2,
      sym_comment,
      sym_block_comment,
  [653133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21463), 1,
      anon_sym_RPAREN,
    STATE(16437), 2,
      sym_comment,
      sym_block_comment,
  [653147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21465), 1,
      anon_sym_COLON,
    STATE(16438), 2,
      sym_comment,
      sym_block_comment,
  [653161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21467), 1,
      anon_sym_else,
    STATE(16439), 2,
      sym_comment,
      sym_block_comment,
  [653175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21469), 1,
      anon_sym_EQ_GT_GT,
    STATE(16440), 2,
      sym_comment,
      sym_block_comment,
  [653189] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21471), 1,
      anon_sym_EQ_GT_GT,
    STATE(16441), 2,
      sym_comment,
      sym_block_comment,
  [653203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21473), 1,
      anon_sym_EQ_GT_GT,
    STATE(16442), 2,
      sym_comment,
      sym_block_comment,
  [653217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21475), 1,
      anon_sym_EQ_GT_GT,
    STATE(16443), 2,
      sym_comment,
      sym_block_comment,
  [653231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21477), 1,
      sym__outdent,
    STATE(16444), 2,
      sym_comment,
      sym_block_comment,
  [653245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21479), 1,
      sym__outdent,
    STATE(16445), 2,
      sym_comment,
      sym_block_comment,
  [653259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21481), 1,
      anon_sym_COLON,
    STATE(16446), 2,
      sym_comment,
      sym_block_comment,
  [653273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11912), 1,
      anon_sym_DOT,
    STATE(16447), 2,
      sym_comment,
      sym_block_comment,
  [653287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21483), 1,
      sym__outdent,
    STATE(16448), 2,
      sym_comment,
      sym_block_comment,
  [653301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21485), 1,
      sym__outdent,
    STATE(16449), 2,
      sym_comment,
      sym_block_comment,
  [653315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21313), 1,
      anon_sym_RBRACE,
    STATE(16450), 2,
      sym_comment,
      sym_block_comment,
  [653329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21487), 1,
      anon_sym_EQ_GT_GT,
    STATE(16451), 2,
      sym_comment,
      sym_block_comment,
  [653343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21489), 1,
      anon_sym_RPAREN,
    STATE(16452), 2,
      sym_comment,
      sym_block_comment,
  [653357] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21491), 1,
      sym__outdent,
    STATE(16453), 2,
      sym_comment,
      sym_block_comment,
  [653371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21493), 1,
      anon_sym_RPAREN,
    STATE(16454), 2,
      sym_comment,
      sym_block_comment,
  [653385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21495), 1,
      anon_sym_EQ_GT_GT,
    STATE(16455), 2,
      sym_comment,
      sym_block_comment,
  [653399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21497), 1,
      anon_sym_EQ_GT_GT,
    STATE(16456), 2,
      sym_comment,
      sym_block_comment,
  [653413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21499), 1,
      anon_sym_EQ_GT_GT,
    STATE(16457), 2,
      sym_comment,
      sym_block_comment,
  [653427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21501), 1,
      anon_sym_RBRACK,
    STATE(16458), 2,
      sym_comment,
      sym_block_comment,
  [653441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21503), 1,
      sym__outdent,
    STATE(16459), 2,
      sym_comment,
      sym_block_comment,
  [653455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21501), 1,
      anon_sym_RBRACE,
    STATE(16460), 2,
      sym_comment,
      sym_block_comment,
  [653469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21505), 1,
      anon_sym_EQ_GT_GT,
    STATE(16461), 2,
      sym_comment,
      sym_block_comment,
  [653483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21507), 1,
      anon_sym_EQ_GT_GT,
    STATE(16462), 2,
      sym_comment,
      sym_block_comment,
  [653497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21509), 1,
      sym__outdent,
    STATE(16463), 2,
      sym_comment,
      sym_block_comment,
  [653511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21511), 1,
      anon_sym_EQ_GT_GT,
    STATE(16464), 2,
      sym_comment,
      sym_block_comment,
  [653525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21513), 1,
      anon_sym_COLON,
    STATE(16465), 2,
      sym_comment,
      sym_block_comment,
  [653539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21515), 1,
      anon_sym_RBRACK,
    STATE(16466), 2,
      sym_comment,
      sym_block_comment,
  [653553] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21517), 1,
      anon_sym_COLON,
    STATE(16467), 2,
      sym_comment,
      sym_block_comment,
  [653567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11711), 1,
      anon_sym_DOT,
    STATE(16468), 2,
      sym_comment,
      sym_block_comment,
  [653581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21515), 1,
      anon_sym_RBRACE,
    STATE(16469), 2,
      sym_comment,
      sym_block_comment,
  [653595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21519), 1,
      anon_sym_else,
    STATE(16470), 2,
      sym_comment,
      sym_block_comment,
  [653609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21521), 1,
      anon_sym_RPAREN,
    STATE(16471), 2,
      sym_comment,
      sym_block_comment,
  [653623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21451), 1,
      anon_sym_RBRACE,
    STATE(16472), 2,
      sym_comment,
      sym_block_comment,
  [653637] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21523), 1,
      anon_sym_EQ_GT,
    STATE(16473), 2,
      sym_comment,
      sym_block_comment,
  [653651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21525), 1,
      anon_sym_RBRACE,
    STATE(16474), 2,
      sym_comment,
      sym_block_comment,
  [653665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21527), 1,
      anon_sym_RBRACE,
    STATE(16475), 2,
      sym_comment,
      sym_block_comment,
  [653679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21529), 1,
      sym__outdent,
    STATE(16476), 2,
      sym_comment,
      sym_block_comment,
  [653693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21527), 1,
      anon_sym_RBRACK,
    STATE(16477), 2,
      sym_comment,
      sym_block_comment,
  [653707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21531), 1,
      sym__outdent,
    STATE(16478), 2,
      sym_comment,
      sym_block_comment,
  [653721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21533), 1,
      anon_sym_RBRACE,
    STATE(16479), 2,
      sym_comment,
      sym_block_comment,
  [653735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21533), 1,
      anon_sym_RBRACK,
    STATE(16480), 2,
      sym_comment,
      sym_block_comment,
  [653749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21535), 1,
      anon_sym_RPAREN,
    STATE(16481), 2,
      sym_comment,
      sym_block_comment,
  [653763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21537), 1,
      anon_sym_EQ_GT_GT,
    STATE(16482), 2,
      sym_comment,
      sym_block_comment,
  [653777] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21539), 1,
      anon_sym_EQ_GT_GT,
    STATE(16483), 2,
      sym_comment,
      sym_block_comment,
  [653791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21541), 1,
      anon_sym_EQ_GT_GT,
    STATE(16484), 2,
      sym_comment,
      sym_block_comment,
  [653805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21543), 1,
      anon_sym_EQ_GT_GT,
    STATE(16485), 2,
      sym_comment,
      sym_block_comment,
  [653819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11939), 1,
      anon_sym_EQ_GT,
    STATE(16486), 2,
      sym_comment,
      sym_block_comment,
  [653833] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21545), 1,
      anon_sym_RPAREN,
    STATE(16487), 2,
      sym_comment,
      sym_block_comment,
  [653847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21547), 1,
      anon_sym_COLON,
    STATE(16488), 2,
      sym_comment,
      sym_block_comment,
  [653861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10876), 1,
      anon_sym_DOT,
    STATE(16489), 2,
      sym_comment,
      sym_block_comment,
  [653875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21549), 1,
      anon_sym_RPAREN,
    STATE(16490), 2,
      sym_comment,
      sym_block_comment,
  [653889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21551), 1,
      sym__outdent,
    STATE(16491), 2,
      sym_comment,
      sym_block_comment,
  [653903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21553), 1,
      anon_sym_RBRACE,
    STATE(16492), 2,
      sym_comment,
      sym_block_comment,
  [653917] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21555), 1,
      sym__outdent,
    STATE(16493), 2,
      sym_comment,
      sym_block_comment,
  [653931] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21557), 1,
      anon_sym_else,
    STATE(16494), 2,
      sym_comment,
      sym_block_comment,
  [653945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21559), 1,
      anon_sym_RPAREN,
    STATE(16495), 2,
      sym_comment,
      sym_block_comment,
  [653959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9593), 1,
      anon_sym_DOT,
    STATE(16496), 2,
      sym_comment,
      sym_block_comment,
  [653973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21561), 1,
      anon_sym_COLON,
    STATE(16497), 2,
      sym_comment,
      sym_block_comment,
  [653987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21563), 1,
      sym__outdent,
    STATE(16498), 2,
      sym_comment,
      sym_block_comment,
  [654001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21565), 1,
      sym__outdent,
    STATE(16499), 2,
      sym_comment,
      sym_block_comment,
  [654015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21567), 1,
      anon_sym_RPAREN,
    STATE(16500), 2,
      sym_comment,
      sym_block_comment,
  [654029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21569), 1,
      anon_sym_EQ_GT_GT,
    STATE(16501), 2,
      sym_comment,
      sym_block_comment,
  [654043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21571), 1,
      anon_sym_do,
    STATE(16502), 2,
      sym_comment,
      sym_block_comment,
  [654057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21573), 1,
      anon_sym_EQ_GT_GT,
    STATE(16503), 2,
      sym_comment,
      sym_block_comment,
  [654071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21575), 1,
      anon_sym_EQ_GT_GT,
    STATE(16504), 2,
      sym_comment,
      sym_block_comment,
  [654085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21577), 1,
      anon_sym_EQ_GT_GT,
    STATE(16505), 2,
      sym_comment,
      sym_block_comment,
  [654099] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21579), 1,
      anon_sym_EQ_GT_GT,
    STATE(16506), 2,
      sym_comment,
      sym_block_comment,
  [654113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21581), 1,
      anon_sym_EQ_GT_GT,
    STATE(16507), 2,
      sym_comment,
      sym_block_comment,
  [654127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21583), 1,
      anon_sym_EQ_GT_GT,
    STATE(16508), 2,
      sym_comment,
      sym_block_comment,
  [654141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21585), 1,
      anon_sym_COLON,
    STATE(16509), 2,
      sym_comment,
      sym_block_comment,
  [654155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9794), 1,
      anon_sym_DOT,
    STATE(16510), 2,
      sym_comment,
      sym_block_comment,
  [654169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21587), 1,
      anon_sym_EQ_GT_GT,
    STATE(16511), 2,
      sym_comment,
      sym_block_comment,
  [654183] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21589), 1,
      anon_sym_RBRACE,
    STATE(16512), 2,
      sym_comment,
      sym_block_comment,
  [654197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21591), 1,
      anon_sym_RBRACE,
    STATE(16513), 2,
      sym_comment,
      sym_block_comment,
  [654211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21593), 1,
      anon_sym_EQ_GT,
    STATE(16514), 2,
      sym_comment,
      sym_block_comment,
  [654225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21595), 1,
      anon_sym_RPAREN,
    STATE(16515), 2,
      sym_comment,
      sym_block_comment,
  [654239] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21597), 1,
      anon_sym_else,
    STATE(16516), 2,
      sym_comment,
      sym_block_comment,
  [654253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21599), 1,
      sym__outdent,
    STATE(16517), 2,
      sym_comment,
      sym_block_comment,
  [654267] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21601), 1,
      anon_sym_RBRACE,
    STATE(16518), 2,
      sym_comment,
      sym_block_comment,
  [654281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21603), 1,
      anon_sym_RPAREN,
    STATE(16519), 2,
      sym_comment,
      sym_block_comment,
  [654295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21605), 1,
      sym__outdent,
    STATE(16520), 2,
      sym_comment,
      sym_block_comment,
  [654309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21607), 1,
      anon_sym_else,
    STATE(16521), 2,
      sym_comment,
      sym_block_comment,
  [654323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21609), 1,
      anon_sym_do,
    STATE(16522), 2,
      sym_comment,
      sym_block_comment,
  [654337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21611), 1,
      anon_sym_RBRACE,
    STATE(16523), 2,
      sym_comment,
      sym_block_comment,
  [654351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21613), 1,
      anon_sym_EQ_GT_GT,
    STATE(16524), 2,
      sym_comment,
      sym_block_comment,
  [654365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21615), 1,
      anon_sym_EQ_GT_GT,
    STATE(16525), 2,
      sym_comment,
      sym_block_comment,
  [654379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21617), 1,
      anon_sym_EQ_GT_GT,
    STATE(16526), 2,
      sym_comment,
      sym_block_comment,
  [654393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21619), 1,
      anon_sym_EQ_GT_GT,
    STATE(16527), 2,
      sym_comment,
      sym_block_comment,
  [654407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21621), 1,
      anon_sym_RBRACE,
    STATE(16528), 2,
      sym_comment,
      sym_block_comment,
  [654421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21623), 1,
      anon_sym_EQ_GT_GT,
    STATE(16529), 2,
      sym_comment,
      sym_block_comment,
  [654435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21625), 1,
      anon_sym_COLON,
    STATE(16530), 2,
      sym_comment,
      sym_block_comment,
  [654449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10762), 1,
      anon_sym_DOT,
    STATE(16531), 2,
      sym_comment,
      sym_block_comment,
  [654463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21627), 1,
      sym__outdent,
    STATE(16532), 2,
      sym_comment,
      sym_block_comment,
  [654477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21629), 1,
      anon_sym_RPAREN,
    STATE(16533), 2,
      sym_comment,
      sym_block_comment,
  [654491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21631), 1,
      anon_sym_EQ_GT,
    STATE(16534), 2,
      sym_comment,
      sym_block_comment,
  [654505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21633), 1,
      sym__outdent,
    STATE(16535), 2,
      sym_comment,
      sym_block_comment,
  [654519] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21635), 1,
      anon_sym_RBRACE,
    STATE(16536), 2,
      sym_comment,
      sym_block_comment,
  [654533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9394), 1,
      anon_sym_DOT,
    STATE(16537), 2,
      sym_comment,
      sym_block_comment,
  [654547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21637), 1,
      sym__outdent,
    STATE(16538), 2,
      sym_comment,
      sym_block_comment,
  [654561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21639), 1,
      sym__outdent,
    STATE(16539), 2,
      sym_comment,
      sym_block_comment,
  [654575] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21641), 1,
      anon_sym_COLON,
    STATE(16540), 2,
      sym_comment,
      sym_block_comment,
  [654589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21643), 1,
      anon_sym_RBRACE,
    STATE(16541), 2,
      sym_comment,
      sym_block_comment,
  [654603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21643), 1,
      anon_sym_RPAREN,
    STATE(16542), 2,
      sym_comment,
      sym_block_comment,
  [654617] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21645), 1,
      anon_sym_RPAREN,
    STATE(16543), 2,
      sym_comment,
      sym_block_comment,
  [654631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21647), 1,
      anon_sym_EQ_GT_GT,
    STATE(16544), 2,
      sym_comment,
      sym_block_comment,
  [654645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21649), 1,
      anon_sym_EQ_GT_GT,
    STATE(16545), 2,
      sym_comment,
      sym_block_comment,
  [654659] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21651), 1,
      anon_sym_EQ_GT_GT,
    STATE(16546), 2,
      sym_comment,
      sym_block_comment,
  [654673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21653), 1,
      anon_sym_EQ_GT_GT,
    STATE(16547), 2,
      sym_comment,
      sym_block_comment,
  [654687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21655), 1,
      anon_sym_RBRACE,
    STATE(16548), 2,
      sym_comment,
      sym_block_comment,
  [654701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21657), 1,
      anon_sym_EQ_GT_GT,
    STATE(16549), 2,
      sym_comment,
      sym_block_comment,
  [654715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21659), 1,
      anon_sym_COLON,
    STATE(16550), 2,
      sym_comment,
      sym_block_comment,
  [654729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10819), 1,
      anon_sym_DOT,
    STATE(16551), 2,
      sym_comment,
      sym_block_comment,
  [654743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21661), 1,
      sym__outdent,
    STATE(16552), 2,
      sym_comment,
      sym_block_comment,
  [654757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21663), 1,
      anon_sym_EQ_GT_GT,
    STATE(16553), 2,
      sym_comment,
      sym_block_comment,
  [654771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21665), 1,
      anon_sym_EQ_GT_GT,
    STATE(16554), 2,
      sym_comment,
      sym_block_comment,
  [654785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21667), 1,
      anon_sym_EQ_GT_GT,
    STATE(16555), 2,
      sym_comment,
      sym_block_comment,
  [654799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21669), 1,
      anon_sym_RBRACK,
    STATE(16556), 2,
      sym_comment,
      sym_block_comment,
  [654813] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21669), 1,
      anon_sym_RBRACE,
    STATE(16557), 2,
      sym_comment,
      sym_block_comment,
  [654827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21671), 1,
      anon_sym_RBRACK,
    STATE(16558), 2,
      sym_comment,
      sym_block_comment,
  [654841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21671), 1,
      anon_sym_RBRACE,
    STATE(16559), 2,
      sym_comment,
      sym_block_comment,
  [654855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21673), 1,
      anon_sym_RPAREN,
    STATE(16560), 2,
      sym_comment,
      sym_block_comment,
  [654869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21675), 1,
      anon_sym_RBRACE,
    STATE(16561), 2,
      sym_comment,
      sym_block_comment,
  [654883] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21675), 1,
      anon_sym_RBRACK,
    STATE(16562), 2,
      sym_comment,
      sym_block_comment,
  [654897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21677), 1,
      anon_sym_RPAREN,
    STATE(16563), 2,
      sym_comment,
      sym_block_comment,
  [654911] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21679), 1,
      anon_sym_EQ_GT_GT,
    STATE(16564), 2,
      sym_comment,
      sym_block_comment,
  [654925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21681), 1,
      anon_sym_EQ_GT_GT,
    STATE(16565), 2,
      sym_comment,
      sym_block_comment,
  [654939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21683), 1,
      anon_sym_EQ_GT_GT,
    STATE(16566), 2,
      sym_comment,
      sym_block_comment,
  [654953] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21685), 1,
      anon_sym_EQ_GT_GT,
    STATE(16567), 2,
      sym_comment,
      sym_block_comment,
  [654967] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21677), 1,
      anon_sym_RBRACE,
    STATE(16568), 2,
      sym_comment,
      sym_block_comment,
  [654981] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21687), 1,
      sym__outdent,
    STATE(16569), 2,
      sym_comment,
      sym_block_comment,
  [654995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21689), 1,
      anon_sym_COLON,
    STATE(16570), 2,
      sym_comment,
      sym_block_comment,
  [655009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11410), 1,
      anon_sym_DOT,
    STATE(16571), 2,
      sym_comment,
      sym_block_comment,
  [655023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21691), 1,
      sym__outdent,
    STATE(16572), 2,
      sym_comment,
      sym_block_comment,
  [655037] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21693), 1,
      sym__outdent,
    STATE(16573), 2,
      sym_comment,
      sym_block_comment,
  [655051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21695), 1,
      anon_sym_EQ_GT,
    STATE(16574), 2,
      sym_comment,
      sym_block_comment,
  [655065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21697), 1,
      anon_sym_RBRACE,
    STATE(16575), 2,
      sym_comment,
      sym_block_comment,
  [655079] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21699), 1,
      anon_sym_RBRACE,
    STATE(16576), 2,
      sym_comment,
      sym_block_comment,
  [655093] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21697), 1,
      anon_sym_RBRACK,
    STATE(16577), 2,
      sym_comment,
      sym_block_comment,
  [655107] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21701), 1,
      anon_sym_RPAREN,
    STATE(16578), 2,
      sym_comment,
      sym_block_comment,
  [655121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21703), 1,
      sym__outdent,
    STATE(16579), 2,
      sym_comment,
      sym_block_comment,
  [655135] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21705), 1,
      anon_sym_else,
    STATE(16580), 2,
      sym_comment,
      sym_block_comment,
  [655149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21707), 1,
      sym__outdent,
    STATE(16581), 2,
      sym_comment,
      sym_block_comment,
  [655163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21709), 1,
      anon_sym_RPAREN,
    STATE(16582), 2,
      sym_comment,
      sym_block_comment,
  [655177] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21711), 1,
      sym__outdent,
    STATE(16583), 2,
      sym_comment,
      sym_block_comment,
  [655191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21713), 1,
      anon_sym_EQ_GT_GT,
    STATE(16584), 2,
      sym_comment,
      sym_block_comment,
  [655205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21715), 1,
      anon_sym_EQ_GT_GT,
    STATE(16585), 2,
      sym_comment,
      sym_block_comment,
  [655219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21717), 1,
      anon_sym_EQ_GT_GT,
    STATE(16586), 2,
      sym_comment,
      sym_block_comment,
  [655233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21719), 1,
      anon_sym_EQ_GT_GT,
    STATE(16587), 2,
      sym_comment,
      sym_block_comment,
  [655247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15527), 1,
      anon_sym_DOT,
    STATE(16588), 2,
      sym_comment,
      sym_block_comment,
  [655261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9846), 1,
      anon_sym_EQ_GT,
    STATE(16589), 2,
      sym_comment,
      sym_block_comment,
  [655275] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21721), 1,
      anon_sym_COLON,
    STATE(16590), 2,
      sym_comment,
      sym_block_comment,
  [655289] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11298), 1,
      anon_sym_DOT,
    STATE(16591), 2,
      sym_comment,
      sym_block_comment,
  [655303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21723), 1,
      anon_sym_COLON,
    STATE(16592), 2,
      sym_comment,
      sym_block_comment,
  [655317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21725), 1,
      anon_sym_do,
    STATE(16593), 2,
      sym_comment,
      sym_block_comment,
  [655331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11012), 1,
      anon_sym_DOT,
    STATE(16594), 2,
      sym_comment,
      sym_block_comment,
  [655345] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21727), 1,
      anon_sym_RBRACE,
    STATE(16595), 2,
      sym_comment,
      sym_block_comment,
  [655359] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21729), 1,
      anon_sym_RBRACE,
    STATE(16596), 2,
      sym_comment,
      sym_block_comment,
  [655373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21731), 1,
      anon_sym_EQ_GT_GT,
    STATE(16597), 2,
      sym_comment,
      sym_block_comment,
  [655387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21733), 1,
      anon_sym_EQ_GT_GT,
    STATE(16598), 2,
      sym_comment,
      sym_block_comment,
  [655401] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21735), 1,
      anon_sym_RPAREN,
    STATE(16599), 2,
      sym_comment,
      sym_block_comment,
  [655415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21737), 1,
      anon_sym_EQ_GT_GT,
    STATE(16600), 2,
      sym_comment,
      sym_block_comment,
  [655429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21739), 1,
      anon_sym_else,
    STATE(16601), 2,
      sym_comment,
      sym_block_comment,
  [655443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21741), 1,
      sym__outdent,
    STATE(16602), 2,
      sym_comment,
      sym_block_comment,
  [655457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21743), 1,
      anon_sym_EQ_GT_GT,
    STATE(16603), 2,
      sym_comment,
      sym_block_comment,
  [655471] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21745), 1,
      anon_sym_EQ_GT_GT,
    STATE(16604), 2,
      sym_comment,
      sym_block_comment,
  [655485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21747), 1,
      anon_sym_EQ_GT_GT,
    STATE(16605), 2,
      sym_comment,
      sym_block_comment,
  [655499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21749), 1,
      anon_sym_EQ_GT_GT,
    STATE(16606), 2,
      sym_comment,
      sym_block_comment,
  [655513] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21751), 1,
      anon_sym_EQ_GT_GT,
    STATE(16607), 2,
      sym_comment,
      sym_block_comment,
  [655527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21753), 1,
      anon_sym_do,
    STATE(16608), 2,
      sym_comment,
      sym_block_comment,
  [655541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21755), 1,
      anon_sym_EQ_GT,
    STATE(16609), 2,
      sym_comment,
      sym_block_comment,
  [655555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21757), 1,
      anon_sym_COLON,
    STATE(16610), 2,
      sym_comment,
      sym_block_comment,
  [655569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11902), 1,
      anon_sym_DOT,
    STATE(16611), 2,
      sym_comment,
      sym_block_comment,
  [655583] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21759), 1,
      anon_sym_RPAREN,
    STATE(16612), 2,
      sym_comment,
      sym_block_comment,
  [655597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21761), 1,
      anon_sym_RBRACE,
    STATE(16613), 2,
      sym_comment,
      sym_block_comment,
  [655611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21763), 1,
      sym__outdent,
    STATE(16614), 2,
      sym_comment,
      sym_block_comment,
  [655625] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21765), 1,
      sym__outdent,
    STATE(16615), 2,
      sym_comment,
      sym_block_comment,
  [655639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21767), 1,
      anon_sym_else,
    STATE(16616), 2,
      sym_comment,
      sym_block_comment,
  [655653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21769), 1,
      anon_sym_RBRACE,
    STATE(16617), 2,
      sym_comment,
      sym_block_comment,
  [655667] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21769), 1,
      anon_sym_RPAREN,
    STATE(16618), 2,
      sym_comment,
      sym_block_comment,
  [655681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21771), 1,
      anon_sym_RBRACE,
    STATE(16619), 2,
      sym_comment,
      sym_block_comment,
  [655695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21773), 1,
      sym__outdent,
    STATE(16620), 2,
      sym_comment,
      sym_block_comment,
  [655709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21775), 1,
      anon_sym_RPAREN,
    STATE(16621), 2,
      sym_comment,
      sym_block_comment,
  [655723] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21771), 1,
      anon_sym_RBRACK,
    STATE(16622), 2,
      sym_comment,
      sym_block_comment,
  [655737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21777), 1,
      anon_sym_RPAREN,
    STATE(16623), 2,
      sym_comment,
      sym_block_comment,
  [655751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21779), 1,
      anon_sym_EQ_GT_GT,
    STATE(16624), 2,
      sym_comment,
      sym_block_comment,
  [655765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21781), 1,
      anon_sym_EQ_GT_GT,
    STATE(16625), 2,
      sym_comment,
      sym_block_comment,
  [655779] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21783), 1,
      anon_sym_EQ_GT_GT,
    STATE(16626), 2,
      sym_comment,
      sym_block_comment,
  [655793] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21785), 1,
      anon_sym_EQ_GT_GT,
    STATE(16627), 2,
      sym_comment,
      sym_block_comment,
  [655807] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21787), 1,
      anon_sym_RPAREN,
    STATE(16628), 2,
      sym_comment,
      sym_block_comment,
  [655821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21789), 1,
      anon_sym_RBRACE,
    STATE(16629), 2,
      sym_comment,
      sym_block_comment,
  [655835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21791), 1,
      anon_sym_COLON,
    STATE(16630), 2,
      sym_comment,
      sym_block_comment,
  [655849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11466), 1,
      anon_sym_DOT,
    STATE(16631), 2,
      sym_comment,
      sym_block_comment,
  [655863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11533), 1,
      anon_sym_DOT,
    STATE(16632), 2,
      sym_comment,
      sym_block_comment,
  [655877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21793), 1,
      anon_sym_COLON,
    STATE(16633), 2,
      sym_comment,
      sym_block_comment,
  [655891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21795), 1,
      sym__outdent,
    STATE(16634), 2,
      sym_comment,
      sym_block_comment,
  [655905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21797), 1,
      anon_sym_RPAREN,
    STATE(16635), 2,
      sym_comment,
      sym_block_comment,
  [655919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21799), 1,
      anon_sym_EQ_GT_GT,
    STATE(16636), 2,
      sym_comment,
      sym_block_comment,
  [655933] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21801), 1,
      anon_sym_EQ_GT_GT,
    STATE(16637), 2,
      sym_comment,
      sym_block_comment,
  [655947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21803), 1,
      anon_sym_RBRACK,
    STATE(16638), 2,
      sym_comment,
      sym_block_comment,
  [655961] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21803), 1,
      anon_sym_RBRACE,
    STATE(16639), 2,
      sym_comment,
      sym_block_comment,
  [655975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21805), 1,
      anon_sym_RBRACK,
    STATE(16640), 2,
      sym_comment,
      sym_block_comment,
  [655989] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21805), 1,
      anon_sym_RBRACE,
    STATE(16641), 2,
      sym_comment,
      sym_block_comment,
  [656003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21807), 1,
      anon_sym_RBRACE,
    STATE(16642), 2,
      sym_comment,
      sym_block_comment,
  [656017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21809), 1,
      anon_sym_EQ_GT_GT,
    STATE(16643), 2,
      sym_comment,
      sym_block_comment,
  [656031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21811), 1,
      anon_sym_EQ_GT_GT,
    STATE(16644), 2,
      sym_comment,
      sym_block_comment,
  [656045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21813), 1,
      anon_sym_EQ_GT_GT,
    STATE(16645), 2,
      sym_comment,
      sym_block_comment,
  [656059] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21815), 1,
      anon_sym_EQ_GT_GT,
    STATE(16646), 2,
      sym_comment,
      sym_block_comment,
  [656073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21817), 1,
      anon_sym_EQ_GT_GT,
    STATE(16647), 2,
      sym_comment,
      sym_block_comment,
  [656087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21819), 1,
      anon_sym_RPAREN,
    STATE(16648), 2,
      sym_comment,
      sym_block_comment,
  [656101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21819), 1,
      anon_sym_RBRACE,
    STATE(16649), 2,
      sym_comment,
      sym_block_comment,
  [656115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21821), 1,
      anon_sym_COLON,
    STATE(16650), 2,
      sym_comment,
      sym_block_comment,
  [656129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12879), 1,
      anon_sym_DOT,
    STATE(16651), 2,
      sym_comment,
      sym_block_comment,
  [656143] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21823), 1,
      sym__outdent,
    STATE(16652), 2,
      sym_comment,
      sym_block_comment,
  [656157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21825), 1,
      sym__outdent,
    STATE(16653), 2,
      sym_comment,
      sym_block_comment,
  [656171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21827), 1,
      anon_sym_EQ,
    STATE(16654), 2,
      sym_comment,
      sym_block_comment,
  [656185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21829), 1,
      anon_sym_EQ_GT_GT,
    STATE(16655), 2,
      sym_comment,
      sym_block_comment,
  [656199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21831), 1,
      anon_sym_RPAREN,
    STATE(16656), 2,
      sym_comment,
      sym_block_comment,
  [656213] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21833), 1,
      anon_sym_RBRACE,
    STATE(16657), 2,
      sym_comment,
      sym_block_comment,
  [656227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21835), 1,
      anon_sym_EQ,
    STATE(16658), 2,
      sym_comment,
      sym_block_comment,
  [656241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21837), 1,
      anon_sym_RPAREN,
    STATE(16659), 2,
      sym_comment,
      sym_block_comment,
  [656255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21839), 1,
      anon_sym_EQ_GT,
    STATE(16660), 2,
      sym_comment,
      sym_block_comment,
  [656269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21841), 1,
      sym__outdent,
    STATE(16661), 2,
      sym_comment,
      sym_block_comment,
  [656283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21843), 1,
      anon_sym_else,
    STATE(16662), 2,
      sym_comment,
      sym_block_comment,
  [656297] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21845), 1,
      anon_sym_RPAREN,
    STATE(16663), 2,
      sym_comment,
      sym_block_comment,
  [656311] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21847), 1,
      anon_sym_EQ_GT_GT,
    STATE(16664), 2,
      sym_comment,
      sym_block_comment,
  [656325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21849), 1,
      anon_sym_EQ_GT_GT,
    STATE(16665), 2,
      sym_comment,
      sym_block_comment,
  [656339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21851), 1,
      anon_sym_EQ_GT_GT,
    STATE(16666), 2,
      sym_comment,
      sym_block_comment,
  [656353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21853), 1,
      anon_sym_EQ_GT_GT,
    STATE(16667), 2,
      sym_comment,
      sym_block_comment,
  [656367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21855), 1,
      sym__outdent,
    STATE(16668), 2,
      sym_comment,
      sym_block_comment,
  [656381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21857), 1,
      anon_sym_RBRACE,
    STATE(16669), 2,
      sym_comment,
      sym_block_comment,
  [656395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21859), 1,
      anon_sym_COLON,
    STATE(16670), 2,
      sym_comment,
      sym_block_comment,
  [656409] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12480), 1,
      anon_sym_DOT,
    STATE(16671), 2,
      sym_comment,
      sym_block_comment,
  [656423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21861), 1,
      anon_sym_else,
    STATE(16672), 2,
      sym_comment,
      sym_block_comment,
  [656437] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21863), 1,
      anon_sym_do,
    STATE(16673), 2,
      sym_comment,
      sym_block_comment,
  [656451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21865), 1,
      anon_sym_else,
    STATE(16674), 2,
      sym_comment,
      sym_block_comment,
  [656465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21867), 1,
      sym__outdent,
    STATE(16675), 2,
      sym_comment,
      sym_block_comment,
  [656479] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21869), 1,
      anon_sym_RPAREN,
    STATE(16676), 2,
      sym_comment,
      sym_block_comment,
  [656493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21871), 1,
      anon_sym_RBRACE,
    STATE(16677), 2,
      sym_comment,
      sym_block_comment,
  [656507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21873), 1,
      anon_sym_do,
    STATE(16678), 2,
      sym_comment,
      sym_block_comment,
  [656521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21875), 1,
      anon_sym_RBRACE,
    STATE(16679), 2,
      sym_comment,
      sym_block_comment,
  [656535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21877), 1,
      sym__outdent,
    STATE(16680), 2,
      sym_comment,
      sym_block_comment,
  [656549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21879), 1,
      anon_sym_COLON,
    STATE(16681), 2,
      sym_comment,
      sym_block_comment,
  [656563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21881), 1,
      anon_sym_EQ_GT_GT,
    STATE(16682), 2,
      sym_comment,
      sym_block_comment,
  [656577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21883), 1,
      anon_sym_EQ_GT_GT,
    STATE(16683), 2,
      sym_comment,
      sym_block_comment,
  [656591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21885), 1,
      anon_sym_EQ_GT_GT,
    STATE(16684), 2,
      sym_comment,
      sym_block_comment,
  [656605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21887), 1,
      anon_sym_EQ_GT_GT,
    STATE(16685), 2,
      sym_comment,
      sym_block_comment,
  [656619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21889), 1,
      anon_sym_EQ_GT_GT,
    STATE(16686), 2,
      sym_comment,
      sym_block_comment,
  [656633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21891), 1,
      anon_sym_RPAREN,
    STATE(16687), 2,
      sym_comment,
      sym_block_comment,
  [656647] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21893), 1,
      anon_sym_EQ_GT_GT,
    STATE(16688), 2,
      sym_comment,
      sym_block_comment,
  [656661] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21895), 1,
      anon_sym_COLON,
    STATE(16689), 2,
      sym_comment,
      sym_block_comment,
  [656675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9151), 1,
      anon_sym_DOT,
    STATE(16690), 2,
      sym_comment,
      sym_block_comment,
  [656689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21897), 1,
      sym__outdent,
    STATE(16691), 2,
      sym_comment,
      sym_block_comment,
  [656703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21899), 1,
      anon_sym_EQ_GT_GT,
    STATE(16692), 2,
      sym_comment,
      sym_block_comment,
  [656717] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21901), 1,
      anon_sym_else,
    STATE(16693), 2,
      sym_comment,
      sym_block_comment,
  [656731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21903), 1,
      sym__outdent,
    STATE(16694), 2,
      sym_comment,
      sym_block_comment,
  [656745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21905), 1,
      anon_sym_EQ_GT_GT,
    STATE(16695), 2,
      sym_comment,
      sym_block_comment,
  [656759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21907), 1,
      anon_sym_RBRACE,
    STATE(16696), 2,
      sym_comment,
      sym_block_comment,
  [656773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21909), 1,
      anon_sym_EQ_GT,
    STATE(16697), 2,
      sym_comment,
      sym_block_comment,
  [656787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21911), 1,
      anon_sym_RBRACE,
    STATE(16698), 2,
      sym_comment,
      sym_block_comment,
  [656801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21913), 1,
      sym__outdent,
    STATE(16699), 2,
      sym_comment,
      sym_block_comment,
  [656815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21915), 1,
      anon_sym_else,
    STATE(16700), 2,
      sym_comment,
      sym_block_comment,
  [656829] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21917), 1,
      anon_sym_RBRACE,
    STATE(16701), 2,
      sym_comment,
      sym_block_comment,
  [656843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21919), 1,
      anon_sym_EQ_GT_GT,
    STATE(16702), 2,
      sym_comment,
      sym_block_comment,
  [656857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21921), 1,
      anon_sym_EQ_GT_GT,
    STATE(16703), 2,
      sym_comment,
      sym_block_comment,
  [656871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21923), 1,
      anon_sym_EQ_GT_GT,
    STATE(16704), 2,
      sym_comment,
      sym_block_comment,
  [656885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21925), 1,
      anon_sym_EQ_GT_GT,
    STATE(16705), 2,
      sym_comment,
      sym_block_comment,
  [656899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21917), 1,
      anon_sym_RPAREN,
    STATE(16706), 2,
      sym_comment,
      sym_block_comment,
  [656913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21927), 1,
      sym__outdent,
    STATE(16707), 2,
      sym_comment,
      sym_block_comment,
  [656927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21929), 1,
      anon_sym_COLON,
    STATE(16708), 2,
      sym_comment,
      sym_block_comment,
  [656941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9309), 1,
      anon_sym_DOT,
    STATE(16709), 2,
      sym_comment,
      sym_block_comment,
  [656955] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21931), 1,
      anon_sym_RBRACE,
    STATE(16710), 2,
      sym_comment,
      sym_block_comment,
  [656969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21931), 1,
      anon_sym_RBRACK,
    STATE(16711), 2,
      sym_comment,
      sym_block_comment,
  [656983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21933), 1,
      anon_sym_RPAREN,
    STATE(16712), 2,
      sym_comment,
      sym_block_comment,
  [656997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21935), 1,
      anon_sym_RPAREN,
    STATE(16713), 2,
      sym_comment,
      sym_block_comment,
  [657011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21937), 1,
      anon_sym_RPAREN,
    STATE(16714), 2,
      sym_comment,
      sym_block_comment,
  [657025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21939), 1,
      anon_sym_RBRACE,
    STATE(16715), 2,
      sym_comment,
      sym_block_comment,
  [657039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21941), 1,
      anon_sym_else,
    STATE(16716), 2,
      sym_comment,
      sym_block_comment,
  [657053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21943), 1,
      anon_sym_RBRACK,
    STATE(16717), 2,
      sym_comment,
      sym_block_comment,
  [657067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21943), 1,
      anon_sym_RBRACE,
    STATE(16718), 2,
      sym_comment,
      sym_block_comment,
  [657081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21945), 1,
      anon_sym_RBRACK,
    STATE(16719), 2,
      sym_comment,
      sym_block_comment,
  [657095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21945), 1,
      anon_sym_RBRACE,
    STATE(16720), 2,
      sym_comment,
      sym_block_comment,
  [657109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21947), 1,
      anon_sym_EQ_GT_GT,
    STATE(16721), 2,
      sym_comment,
      sym_block_comment,
  [657123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21949), 1,
      anon_sym_EQ_GT_GT,
    STATE(16722), 2,
      sym_comment,
      sym_block_comment,
  [657137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21951), 1,
      anon_sym_EQ_GT_GT,
    STATE(16723), 2,
      sym_comment,
      sym_block_comment,
  [657151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21953), 1,
      anon_sym_EQ_GT_GT,
    STATE(16724), 2,
      sym_comment,
      sym_block_comment,
  [657165] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21955), 1,
      anon_sym_else,
    STATE(16725), 2,
      sym_comment,
      sym_block_comment,
  [657179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21911), 1,
      anon_sym_RPAREN,
    STATE(16726), 2,
      sym_comment,
      sym_block_comment,
  [657193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21957), 1,
      anon_sym_COLON,
    STATE(16727), 2,
      sym_comment,
      sym_block_comment,
  [657207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9777), 1,
      anon_sym_DOT,
    STATE(16728), 2,
      sym_comment,
      sym_block_comment,
  [657221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21959), 1,
      anon_sym_do,
    STATE(16729), 2,
      sym_comment,
      sym_block_comment,
  [657235] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21961), 1,
      anon_sym_RPAREN,
    STATE(16730), 2,
      sym_comment,
      sym_block_comment,
  [657249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21963), 1,
      sym__outdent,
    STATE(16731), 2,
      sym_comment,
      sym_block_comment,
  [657263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11547), 1,
      anon_sym_DOT,
    STATE(16732), 2,
      sym_comment,
      sym_block_comment,
  [657277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21965), 1,
      anon_sym_COLON,
    STATE(16733), 2,
      sym_comment,
      sym_block_comment,
  [657291] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21967), 1,
      anon_sym_RBRACE,
    STATE(16734), 2,
      sym_comment,
      sym_block_comment,
  [657305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21969), 1,
      anon_sym_else,
    STATE(16735), 2,
      sym_comment,
      sym_block_comment,
  [657319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11945), 1,
      anon_sym_EQ_GT,
    STATE(16736), 2,
      sym_comment,
      sym_block_comment,
  [657333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21971), 1,
      anon_sym_RPAREN,
    STATE(16737), 2,
      sym_comment,
      sym_block_comment,
  [657347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21973), 1,
      anon_sym_EQ_GT_GT,
    STATE(16738), 2,
      sym_comment,
      sym_block_comment,
  [657361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21975), 1,
      anon_sym_EQ_GT_GT,
    STATE(16739), 2,
      sym_comment,
      sym_block_comment,
  [657375] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21977), 1,
      anon_sym_EQ_GT_GT,
    STATE(16740), 2,
      sym_comment,
      sym_block_comment,
  [657389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21979), 1,
      anon_sym_EQ_GT_GT,
    STATE(16741), 2,
      sym_comment,
      sym_block_comment,
  [657403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21981), 1,
      anon_sym_EQ_GT_GT,
    STATE(16742), 2,
      sym_comment,
      sym_block_comment,
  [657417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21983), 1,
      anon_sym_EQ_GT_GT,
    STATE(16743), 2,
      sym_comment,
      sym_block_comment,
  [657431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21985), 1,
      anon_sym_do,
    STATE(16744), 2,
      sym_comment,
      sym_block_comment,
  [657445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21987), 1,
      anon_sym_EQ_GT_GT,
    STATE(16745), 2,
      sym_comment,
      sym_block_comment,
  [657459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21989), 1,
      anon_sym_COLON,
    STATE(16746), 2,
      sym_comment,
      sym_block_comment,
  [657473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9246), 1,
      anon_sym_DOT,
    STATE(16747), 2,
      sym_comment,
      sym_block_comment,
  [657487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21991), 1,
      anon_sym_RPAREN,
    STATE(16748), 2,
      sym_comment,
      sym_block_comment,
  [657501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21993), 1,
      anon_sym_RBRACE,
    STATE(16749), 2,
      sym_comment,
      sym_block_comment,
  [657515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21995), 1,
      anon_sym_EQ_GT_GT,
    STATE(16750), 2,
      sym_comment,
      sym_block_comment,
  [657529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21997), 1,
      sym__outdent,
    STATE(16751), 2,
      sym_comment,
      sym_block_comment,
  [657543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(21999), 1,
      sym__outdent,
    STATE(16752), 2,
      sym_comment,
      sym_block_comment,
  [657557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22001), 1,
      anon_sym_else,
    STATE(16753), 2,
      sym_comment,
      sym_block_comment,
  [657571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22003), 1,
      sym__outdent,
    STATE(16754), 2,
      sym_comment,
      sym_block_comment,
  [657585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22005), 1,
      sym__outdent,
    STATE(16755), 2,
      sym_comment,
      sym_block_comment,
  [657599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22007), 1,
      anon_sym_RPAREN,
    STATE(16756), 2,
      sym_comment,
      sym_block_comment,
  [657613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22009), 1,
      anon_sym_else,
    STATE(16757), 2,
      sym_comment,
      sym_block_comment,
  [657627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22011), 1,
      anon_sym_else,
    STATE(16758), 2,
      sym_comment,
      sym_block_comment,
  [657641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22013), 1,
      anon_sym_EQ_GT_GT,
    STATE(16759), 2,
      sym_comment,
      sym_block_comment,
  [657655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22015), 1,
      anon_sym_EQ_GT_GT,
    STATE(16760), 2,
      sym_comment,
      sym_block_comment,
  [657669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22017), 1,
      anon_sym_EQ_GT_GT,
    STATE(16761), 2,
      sym_comment,
      sym_block_comment,
  [657683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22019), 1,
      anon_sym_EQ_GT_GT,
    STATE(16762), 2,
      sym_comment,
      sym_block_comment,
  [657697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22021), 1,
      anon_sym_EQ_GT,
    STATE(16763), 2,
      sym_comment,
      sym_block_comment,
  [657711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22023), 1,
      anon_sym_do,
    STATE(16764), 2,
      sym_comment,
      sym_block_comment,
  [657725] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9923), 1,
      anon_sym_DOT,
    STATE(16765), 2,
      sym_comment,
      sym_block_comment,
  [657739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22025), 1,
      sym__outdent,
    STATE(16766), 2,
      sym_comment,
      sym_block_comment,
  [657753] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22027), 1,
      anon_sym_else,
    STATE(16767), 2,
      sym_comment,
      sym_block_comment,
  [657767] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22029), 1,
      anon_sym_RBRACE,
    STATE(16768), 2,
      sym_comment,
      sym_block_comment,
  [657781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22031), 1,
      anon_sym_RPAREN,
    STATE(16769), 2,
      sym_comment,
      sym_block_comment,
  [657795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22033), 1,
      anon_sym_RPAREN,
    STATE(16770), 2,
      sym_comment,
      sym_block_comment,
  [657809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22035), 1,
      sym__outdent,
    STATE(16771), 2,
      sym_comment,
      sym_block_comment,
  [657823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22037), 1,
      anon_sym_RBRACE,
    STATE(16772), 2,
      sym_comment,
      sym_block_comment,
  [657837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22037), 1,
      anon_sym_RPAREN,
    STATE(16773), 2,
      sym_comment,
      sym_block_comment,
  [657851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22039), 1,
      anon_sym_RBRACK,
    STATE(16774), 2,
      sym_comment,
      sym_block_comment,
  [657865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22041), 1,
      anon_sym_RBRACE,
    STATE(16775), 2,
      sym_comment,
      sym_block_comment,
  [657879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22039), 1,
      anon_sym_RBRACE,
    STATE(16776), 2,
      sym_comment,
      sym_block_comment,
  [657893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22043), 1,
      anon_sym_EQ_GT_GT,
    STATE(16777), 2,
      sym_comment,
      sym_block_comment,
  [657907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22045), 1,
      anon_sym_EQ_GT_GT,
    STATE(16778), 2,
      sym_comment,
      sym_block_comment,
  [657921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22047), 1,
      anon_sym_EQ_GT_GT,
    STATE(16779), 2,
      sym_comment,
      sym_block_comment,
  [657935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22049), 1,
      anon_sym_EQ_GT_GT,
    STATE(16780), 2,
      sym_comment,
      sym_block_comment,
  [657949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22051), 1,
      anon_sym_RBRACE,
    STATE(16781), 2,
      sym_comment,
      sym_block_comment,
  [657963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22041), 1,
      anon_sym_RBRACK,
    STATE(16782), 2,
      sym_comment,
      sym_block_comment,
  [657977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9899), 1,
      anon_sym_DOT,
    STATE(16783), 2,
      sym_comment,
      sym_block_comment,
  [657991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22053), 1,
      anon_sym_RBRACK,
    STATE(16784), 2,
      sym_comment,
      sym_block_comment,
  [658005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22053), 1,
      anon_sym_RBRACE,
    STATE(16785), 2,
      sym_comment,
      sym_block_comment,
  [658019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22055), 1,
      anon_sym_else,
    STATE(16786), 2,
      sym_comment,
      sym_block_comment,
  [658033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22057), 1,
      anon_sym_RPAREN,
    STATE(16787), 2,
      sym_comment,
      sym_block_comment,
  [658047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22059), 1,
      anon_sym_RPAREN,
    STATE(16788), 2,
      sym_comment,
      sym_block_comment,
  [658061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22059), 1,
      anon_sym_RBRACE,
    STATE(16789), 2,
      sym_comment,
      sym_block_comment,
  [658075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10782), 1,
      anon_sym_DOT,
    STATE(16790), 2,
      sym_comment,
      sym_block_comment,
  [658089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22061), 1,
      sym__outdent,
    STATE(16791), 2,
      sym_comment,
      sym_block_comment,
  [658103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22063), 1,
      anon_sym_COLON,
    STATE(16792), 2,
      sym_comment,
      sym_block_comment,
  [658117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22065), 1,
      sym__outdent,
    STATE(16793), 2,
      sym_comment,
      sym_block_comment,
  [658131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22067), 1,
      anon_sym_EQ_GT_GT,
    STATE(16794), 2,
      sym_comment,
      sym_block_comment,
  [658145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22069), 1,
      anon_sym_EQ_GT_GT,
    STATE(16795), 2,
      sym_comment,
      sym_block_comment,
  [658159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22071), 1,
      anon_sym_EQ_GT_GT,
    STATE(16796), 2,
      sym_comment,
      sym_block_comment,
  [658173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22073), 1,
      anon_sym_EQ_GT_GT,
    STATE(16797), 2,
      sym_comment,
      sym_block_comment,
  [658187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22075), 1,
      anon_sym_EQ_GT_GT,
    STATE(16798), 2,
      sym_comment,
      sym_block_comment,
  [658201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22077), 1,
      anon_sym_RBRACE,
    STATE(16799), 2,
      sym_comment,
      sym_block_comment,
  [658215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22079), 1,
      anon_sym_EQ_GT_GT,
    STATE(16800), 2,
      sym_comment,
      sym_block_comment,
  [658229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11248), 1,
      anon_sym_DOT,
    STATE(16801), 2,
      sym_comment,
      sym_block_comment,
  [658243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22081), 1,
      anon_sym_EQ_GT_GT,
    STATE(16802), 2,
      sym_comment,
      sym_block_comment,
  [658257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22083), 1,
      anon_sym_EQ_GT_GT,
    STATE(16803), 2,
      sym_comment,
      sym_block_comment,
  [658271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22085), 1,
      sym__outdent,
    STATE(16804), 2,
      sym_comment,
      sym_block_comment,
  [658285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22087), 1,
      anon_sym_RPAREN,
    STATE(16805), 2,
      sym_comment,
      sym_block_comment,
  [658299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22089), 1,
      anon_sym_else,
    STATE(16806), 2,
      sym_comment,
      sym_block_comment,
  [658313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22091), 1,
      anon_sym_EQ_GT,
    STATE(16807), 2,
      sym_comment,
      sym_block_comment,
  [658327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22093), 1,
      anon_sym_RPAREN,
    STATE(16808), 2,
      sym_comment,
      sym_block_comment,
  [658341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22095), 1,
      sym__outdent,
    STATE(16809), 2,
      sym_comment,
      sym_block_comment,
  [658355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22097), 1,
      sym__outdent,
    STATE(16810), 2,
      sym_comment,
      sym_block_comment,
  [658369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22099), 1,
      anon_sym_RPAREN,
    STATE(16811), 2,
      sym_comment,
      sym_block_comment,
  [658383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22101), 1,
      sym__outdent,
    STATE(16812), 2,
      sym_comment,
      sym_block_comment,
  [658397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22103), 1,
      anon_sym_EQ_GT_GT,
    STATE(16813), 2,
      sym_comment,
      sym_block_comment,
  [658411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22105), 1,
      anon_sym_EQ_GT_GT,
    STATE(16814), 2,
      sym_comment,
      sym_block_comment,
  [658425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22107), 1,
      anon_sym_EQ_GT_GT,
    STATE(16815), 2,
      sym_comment,
      sym_block_comment,
  [658439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22109), 1,
      anon_sym_EQ_GT_GT,
    STATE(16816), 2,
      sym_comment,
      sym_block_comment,
  [658453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22111), 1,
      anon_sym_RBRACE,
    STATE(16817), 2,
      sym_comment,
      sym_block_comment,
  [658467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22113), 1,
      anon_sym_else,
    STATE(16818), 2,
      sym_comment,
      sym_block_comment,
  [658481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10258), 1,
      anon_sym_DOT,
    STATE(16819), 2,
      sym_comment,
      sym_block_comment,
  [658495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22115), 1,
      anon_sym_do,
    STATE(16820), 2,
      sym_comment,
      sym_block_comment,
  [658509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22117), 1,
      anon_sym_RBRACE,
    STATE(16821), 2,
      sym_comment,
      sym_block_comment,
  [658523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22119), 1,
      sym__outdent,
    STATE(16822), 2,
      sym_comment,
      sym_block_comment,
  [658537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22121), 1,
      anon_sym_else,
    STATE(16823), 2,
      sym_comment,
      sym_block_comment,
  [658551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22123), 1,
      sym__outdent,
    STATE(16824), 2,
      sym_comment,
      sym_block_comment,
  [658565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22125), 1,
      anon_sym_RPAREN,
    STATE(16825), 2,
      sym_comment,
      sym_block_comment,
  [658579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22127), 1,
      anon_sym_RPAREN,
    STATE(16826), 2,
      sym_comment,
      sym_block_comment,
  [658593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22129), 1,
      sym__outdent,
    STATE(16827), 2,
      sym_comment,
      sym_block_comment,
  [658607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22131), 1,
      anon_sym_else,
    STATE(16828), 2,
      sym_comment,
      sym_block_comment,
  [658621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22133), 1,
      anon_sym_RBRACE,
    STATE(16829), 2,
      sym_comment,
      sym_block_comment,
  [658635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11735), 1,
      anon_sym_DOT,
    STATE(16830), 2,
      sym_comment,
      sym_block_comment,
  [658649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22135), 1,
      anon_sym_EQ_GT_GT,
    STATE(16831), 2,
      sym_comment,
      sym_block_comment,
  [658663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22137), 1,
      anon_sym_EQ_GT_GT,
    STATE(16832), 2,
      sym_comment,
      sym_block_comment,
  [658677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22139), 1,
      anon_sym_EQ_GT_GT,
    STATE(16833), 2,
      sym_comment,
      sym_block_comment,
  [658691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22141), 1,
      anon_sym_EQ_GT_GT,
    STATE(16834), 2,
      sym_comment,
      sym_block_comment,
  [658705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16089), 1,
      anon_sym_COLON,
    STATE(16835), 2,
      sym_comment,
      sym_block_comment,
  [658719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22143), 1,
      sym__outdent,
    STATE(16836), 2,
      sym_comment,
      sym_block_comment,
  [658733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14795), 1,
      anon_sym_DOT,
    STATE(16837), 2,
      sym_comment,
      sym_block_comment,
  [658747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22145), 1,
      anon_sym_RBRACE,
    STATE(16838), 2,
      sym_comment,
      sym_block_comment,
  [658761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22147), 1,
      sym__outdent,
    STATE(16839), 2,
      sym_comment,
      sym_block_comment,
  [658775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22149), 1,
      anon_sym_COLON,
    STATE(16840), 2,
      sym_comment,
      sym_block_comment,
  [658789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22145), 1,
      anon_sym_RPAREN,
    STATE(16841), 2,
      sym_comment,
      sym_block_comment,
  [658803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22151), 1,
      anon_sym_EQ_GT_GT,
    STATE(16842), 2,
      sym_comment,
      sym_block_comment,
  [658817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22153), 1,
      anon_sym_EQ_GT_GT,
    STATE(16843), 2,
      sym_comment,
      sym_block_comment,
  [658831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22155), 1,
      anon_sym_EQ_GT_GT,
    STATE(16844), 2,
      sym_comment,
      sym_block_comment,
  [658845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22157), 1,
      anon_sym_EQ_GT_GT,
    STATE(16845), 2,
      sym_comment,
      sym_block_comment,
  [658859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22159), 1,
      anon_sym_RPAREN,
    STATE(16846), 2,
      sym_comment,
      sym_block_comment,
  [658873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22161), 1,
      sym__outdent,
    STATE(16847), 2,
      sym_comment,
      sym_block_comment,
  [658887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22163), 1,
      anon_sym_EQ_GT,
    STATE(16848), 2,
      sym_comment,
      sym_block_comment,
  [658901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22165), 1,
      anon_sym_EQ_GT_GT,
    STATE(16849), 2,
      sym_comment,
      sym_block_comment,
  [658915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22167), 1,
      anon_sym_EQ_GT_GT,
    STATE(16850), 2,
      sym_comment,
      sym_block_comment,
  [658929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22169), 1,
      anon_sym_EQ_GT_GT,
    STATE(16851), 2,
      sym_comment,
      sym_block_comment,
  [658943] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22171), 1,
      anon_sym_EQ_GT_GT,
    STATE(16852), 2,
      sym_comment,
      sym_block_comment,
  [658957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22173), 1,
      anon_sym_RPAREN,
    STATE(16853), 2,
      sym_comment,
      sym_block_comment,
  [658971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22175), 1,
      anon_sym_do,
    STATE(16854), 2,
      sym_comment,
      sym_block_comment,
  [658985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13478), 1,
      anon_sym_DOT,
    STATE(16855), 2,
      sym_comment,
      sym_block_comment,
  [658999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22177), 1,
      anon_sym_RPAREN,
    STATE(16856), 2,
      sym_comment,
      sym_block_comment,
  [659013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22179), 1,
      sym__outdent,
    STATE(16857), 2,
      sym_comment,
      sym_block_comment,
  [659027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11949), 1,
      anon_sym_EQ_GT,
    STATE(16858), 2,
      sym_comment,
      sym_block_comment,
  [659041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22181), 1,
      anon_sym_else,
    STATE(16859), 2,
      sym_comment,
      sym_block_comment,
  [659055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22183), 1,
      anon_sym_else,
    STATE(16860), 2,
      sym_comment,
      sym_block_comment,
  [659069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22185), 1,
      anon_sym_RPAREN,
    STATE(16861), 2,
      sym_comment,
      sym_block_comment,
  [659083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22187), 1,
      anon_sym_RBRACK,
    STATE(16862), 2,
      sym_comment,
      sym_block_comment,
  [659097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22189), 1,
      anon_sym_RBRACE,
    STATE(16863), 2,
      sym_comment,
      sym_block_comment,
  [659111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22187), 1,
      anon_sym_RBRACE,
    STATE(16864), 2,
      sym_comment,
      sym_block_comment,
  [659125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22191), 1,
      sym__outdent,
    STATE(16865), 2,
      sym_comment,
      sym_block_comment,
  [659139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22193), 1,
      anon_sym_RBRACK,
    STATE(16866), 2,
      sym_comment,
      sym_block_comment,
  [659153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22195), 1,
      anon_sym_EQ_GT_GT,
    STATE(16867), 2,
      sym_comment,
      sym_block_comment,
  [659167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22197), 1,
      anon_sym_EQ_GT_GT,
    STATE(16868), 2,
      sym_comment,
      sym_block_comment,
  [659181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22199), 1,
      anon_sym_EQ_GT_GT,
    STATE(16869), 2,
      sym_comment,
      sym_block_comment,
  [659195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22201), 1,
      anon_sym_EQ_GT_GT,
    STATE(16870), 2,
      sym_comment,
      sym_block_comment,
  [659209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22193), 1,
      anon_sym_RBRACE,
    STATE(16871), 2,
      sym_comment,
      sym_block_comment,
  [659223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22203), 1,
      anon_sym_RPAREN,
    STATE(16872), 2,
      sym_comment,
      sym_block_comment,
  [659237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13500), 1,
      anon_sym_DOT,
    STATE(16873), 2,
      sym_comment,
      sym_block_comment,
  [659251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22205), 1,
      anon_sym_RPAREN,
    STATE(16874), 2,
      sym_comment,
      sym_block_comment,
  [659265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22203), 1,
      anon_sym_RBRACE,
    STATE(16875), 2,
      sym_comment,
      sym_block_comment,
  [659279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22207), 1,
      anon_sym_RBRACE,
    STATE(16876), 2,
      sym_comment,
      sym_block_comment,
  [659293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22209), 1,
      sym__outdent,
    STATE(16877), 2,
      sym_comment,
      sym_block_comment,
  [659307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22211), 1,
      anon_sym_RBRACE,
    STATE(16878), 2,
      sym_comment,
      sym_block_comment,
  [659321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22213), 1,
      anon_sym_RBRACE,
    STATE(16879), 2,
      sym_comment,
      sym_block_comment,
  [659335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22215), 1,
      anon_sym_EQ_GT,
    STATE(16880), 2,
      sym_comment,
      sym_block_comment,
  [659349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(567), 1,
      sym__outdent,
    STATE(16881), 2,
      sym_comment,
      sym_block_comment,
  [659363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22205), 1,
      anon_sym_RBRACE,
    STATE(16882), 2,
      sym_comment,
      sym_block_comment,
  [659377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22217), 1,
      anon_sym_RBRACE,
    STATE(16883), 2,
      sym_comment,
      sym_block_comment,
  [659391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22219), 1,
      sym__outdent,
    STATE(16884), 2,
      sym_comment,
      sym_block_comment,
  [659405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22221), 1,
      anon_sym_EQ_GT_GT,
    STATE(16885), 2,
      sym_comment,
      sym_block_comment,
  [659419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22223), 1,
      anon_sym_EQ_GT_GT,
    STATE(16886), 2,
      sym_comment,
      sym_block_comment,
  [659433] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22225), 1,
      anon_sym_EQ_GT_GT,
    STATE(16887), 2,
      sym_comment,
      sym_block_comment,
  [659447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22227), 1,
      anon_sym_EQ_GT_GT,
    STATE(16888), 2,
      sym_comment,
      sym_block_comment,
  [659461] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9978), 1,
      anon_sym_DOT,
    STATE(16889), 2,
      sym_comment,
      sym_block_comment,
  [659475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22229), 1,
      sym__outdent,
    STATE(16890), 2,
      sym_comment,
      sym_block_comment,
  [659489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11417), 1,
      anon_sym_DOT,
    STATE(16891), 2,
      sym_comment,
      sym_block_comment,
  [659503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22213), 1,
      anon_sym_RPAREN,
    STATE(16892), 2,
      sym_comment,
      sym_block_comment,
  [659517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22231), 1,
      anon_sym_COLON,
    STATE(16893), 2,
      sym_comment,
      sym_block_comment,
  [659531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22233), 1,
      anon_sym_RBRACE,
    STATE(16894), 2,
      sym_comment,
      sym_block_comment,
  [659545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22235), 1,
      anon_sym_RPAREN,
    STATE(16895), 2,
      sym_comment,
      sym_block_comment,
  [659559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22237), 1,
      sym__outdent,
    STATE(16896), 2,
      sym_comment,
      sym_block_comment,
  [659573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22239), 1,
      sym__outdent,
    STATE(16897), 2,
      sym_comment,
      sym_block_comment,
  [659587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22241), 1,
      anon_sym_else,
    STATE(16898), 2,
      sym_comment,
      sym_block_comment,
  [659601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22243), 1,
      anon_sym_RPAREN,
    STATE(16899), 2,
      sym_comment,
      sym_block_comment,
  [659615] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22245), 1,
      anon_sym_do,
    STATE(16900), 2,
      sym_comment,
      sym_block_comment,
  [659629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22247), 1,
      sym__outdent,
    STATE(16901), 2,
      sym_comment,
      sym_block_comment,
  [659643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22249), 1,
      anon_sym_RPAREN,
    STATE(16902), 2,
      sym_comment,
      sym_block_comment,
  [659657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22251), 1,
      anon_sym_EQ_GT_GT,
    STATE(16903), 2,
      sym_comment,
      sym_block_comment,
  [659671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22253), 1,
      anon_sym_EQ_GT_GT,
    STATE(16904), 2,
      sym_comment,
      sym_block_comment,
  [659685] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22255), 1,
      anon_sym_EQ_GT_GT,
    STATE(16905), 2,
      sym_comment,
      sym_block_comment,
  [659699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22257), 1,
      anon_sym_EQ_GT_GT,
    STATE(16906), 2,
      sym_comment,
      sym_block_comment,
  [659713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9956), 1,
      anon_sym_DOT,
    STATE(16907), 2,
      sym_comment,
      sym_block_comment,
  [659727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22259), 1,
      anon_sym_RBRACE,
    STATE(16908), 2,
      sym_comment,
      sym_block_comment,
  [659741] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22261), 1,
      anon_sym_EQ_GT_GT,
    STATE(16909), 2,
      sym_comment,
      sym_block_comment,
  [659755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22263), 1,
      anon_sym_EQ_GT_GT,
    STATE(16910), 2,
      sym_comment,
      sym_block_comment,
  [659769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22265), 1,
      anon_sym_else,
    STATE(16911), 2,
      sym_comment,
      sym_block_comment,
  [659783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22267), 1,
      anon_sym_EQ_GT_GT,
    STATE(16912), 2,
      sym_comment,
      sym_block_comment,
  [659797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22269), 1,
      anon_sym_EQ_GT_GT,
    STATE(16913), 2,
      sym_comment,
      sym_block_comment,
  [659811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22271), 1,
      anon_sym_RBRACE,
    STATE(16914), 2,
      sym_comment,
      sym_block_comment,
  [659825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22273), 1,
      anon_sym_EQ_GT_GT,
    STATE(16915), 2,
      sym_comment,
      sym_block_comment,
  [659839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22275), 1,
      anon_sym_EQ_GT_GT,
    STATE(16916), 2,
      sym_comment,
      sym_block_comment,
  [659853] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22277), 1,
      anon_sym_EQ_GT_GT,
    STATE(16917), 2,
      sym_comment,
      sym_block_comment,
  [659867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22279), 1,
      anon_sym_EQ_GT_GT,
    STATE(16918), 2,
      sym_comment,
      sym_block_comment,
  [659881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10962), 1,
      anon_sym_DOT,
    STATE(16919), 2,
      sym_comment,
      sym_block_comment,
  [659895] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22281), 1,
      anon_sym_EQ_GT,
    STATE(16920), 2,
      sym_comment,
      sym_block_comment,
  [659909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22283), 1,
      anon_sym_else,
    STATE(16921), 2,
      sym_comment,
      sym_block_comment,
  [659923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22285), 1,
      anon_sym_do,
    STATE(16922), 2,
      sym_comment,
      sym_block_comment,
  [659937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22287), 1,
      sym__outdent,
    STATE(16923), 2,
      sym_comment,
      sym_block_comment,
  [659951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22289), 1,
      anon_sym_LPAREN,
    STATE(16924), 2,
      sym_comment,
      sym_block_comment,
  [659965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(17393), 1,
      anon_sym_DOT,
    STATE(16925), 2,
      sym_comment,
      sym_block_comment,
  [659979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22291), 1,
      sym__outdent,
    STATE(16926), 2,
      sym_comment,
      sym_block_comment,
  [659993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22293), 1,
      anon_sym_EQ_GT_GT,
    STATE(16927), 2,
      sym_comment,
      sym_block_comment,
  [660007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22295), 1,
      anon_sym_EQ_GT_GT,
    STATE(16928), 2,
      sym_comment,
      sym_block_comment,
  [660021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22297), 1,
      anon_sym_EQ_GT_GT,
    STATE(16929), 2,
      sym_comment,
      sym_block_comment,
  [660035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22299), 1,
      anon_sym_EQ_GT_GT,
    STATE(16930), 2,
      sym_comment,
      sym_block_comment,
  [660049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10924), 1,
      anon_sym_DOT,
    STATE(16931), 2,
      sym_comment,
      sym_block_comment,
  [660063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22301), 1,
      anon_sym_RPAREN,
    STATE(16932), 2,
      sym_comment,
      sym_block_comment,
  [660077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22303), 1,
      anon_sym_RPAREN,
    STATE(16933), 2,
      sym_comment,
      sym_block_comment,
  [660091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22305), 1,
      anon_sym_EQ_GT,
    STATE(16934), 2,
      sym_comment,
      sym_block_comment,
  [660105] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22307), 1,
      anon_sym_else,
    STATE(16935), 2,
      sym_comment,
      sym_block_comment,
  [660119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22309), 1,
      anon_sym_RBRACE,
    STATE(16936), 2,
      sym_comment,
      sym_block_comment,
  [660133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22311), 1,
      anon_sym_RBRACE,
    STATE(16937), 2,
      sym_comment,
      sym_block_comment,
  [660147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22313), 1,
      sym__outdent,
    STATE(16938), 2,
      sym_comment,
      sym_block_comment,
  [660161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22315), 1,
      anon_sym_EQ_GT_GT,
    STATE(16939), 2,
      sym_comment,
      sym_block_comment,
  [660175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22317), 1,
      anon_sym_EQ_GT_GT,
    STATE(16940), 2,
      sym_comment,
      sym_block_comment,
  [660189] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22319), 1,
      anon_sym_EQ_GT_GT,
    STATE(16941), 2,
      sym_comment,
      sym_block_comment,
  [660203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22321), 1,
      anon_sym_EQ_GT_GT,
    STATE(16942), 2,
      sym_comment,
      sym_block_comment,
  [660217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10551), 1,
      anon_sym_DOT,
    STATE(16943), 2,
      sym_comment,
      sym_block_comment,
  [660231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22323), 1,
      anon_sym_RBRACE,
    STATE(16944), 2,
      sym_comment,
      sym_block_comment,
  [660245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22325), 1,
      sym__outdent,
    STATE(16945), 2,
      sym_comment,
      sym_block_comment,
  [660259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22323), 1,
      anon_sym_RPAREN,
    STATE(16946), 2,
      sym_comment,
      sym_block_comment,
  [660273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22327), 1,
      anon_sym_RBRACE,
    STATE(16947), 2,
      sym_comment,
      sym_block_comment,
  [660287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22329), 1,
      anon_sym_RPAREN,
    STATE(16948), 2,
      sym_comment,
      sym_block_comment,
  [660301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22331), 1,
      anon_sym_RPAREN,
    STATE(16949), 2,
      sym_comment,
      sym_block_comment,
  [660315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22333), 1,
      anon_sym_EQ_GT_GT,
    STATE(16950), 2,
      sym_comment,
      sym_block_comment,
  [660329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22335), 1,
      anon_sym_EQ_GT_GT,
    STATE(16951), 2,
      sym_comment,
      sym_block_comment,
  [660343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22337), 1,
      anon_sym_EQ_GT_GT,
    STATE(16952), 2,
      sym_comment,
      sym_block_comment,
  [660357] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22339), 1,
      anon_sym_EQ_GT_GT,
    STATE(16953), 2,
      sym_comment,
      sym_block_comment,
  [660371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15531), 1,
      anon_sym_DOT,
    STATE(16954), 2,
      sym_comment,
      sym_block_comment,
  [660385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22341), 1,
      anon_sym_RBRACK,
    STATE(16955), 2,
      sym_comment,
      sym_block_comment,
  [660399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22343), 1,
      sym__outdent,
    STATE(16956), 2,
      sym_comment,
      sym_block_comment,
  [660413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22345), 1,
      sym__outdent,
    STATE(16957), 2,
      sym_comment,
      sym_block_comment,
  [660427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22347), 1,
      anon_sym_RPAREN,
    STATE(16958), 2,
      sym_comment,
      sym_block_comment,
  [660441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22349), 1,
      anon_sym_else,
    STATE(16959), 2,
      sym_comment,
      sym_block_comment,
  [660455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22351), 1,
      anon_sym_RBRACK,
    STATE(16960), 2,
      sym_comment,
      sym_block_comment,
  [660469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22353), 1,
      anon_sym_EQ_GT_GT,
    STATE(16961), 2,
      sym_comment,
      sym_block_comment,
  [660483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22355), 1,
      anon_sym_EQ_GT_GT,
    STATE(16962), 2,
      sym_comment,
      sym_block_comment,
  [660497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22357), 1,
      anon_sym_EQ_GT_GT,
    STATE(16963), 2,
      sym_comment,
      sym_block_comment,
  [660511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22359), 1,
      anon_sym_EQ_GT_GT,
    STATE(16964), 2,
      sym_comment,
      sym_block_comment,
  [660525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10326), 1,
      anon_sym_DOT,
    STATE(16965), 2,
      sym_comment,
      sym_block_comment,
  [660539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22361), 1,
      anon_sym_RPAREN,
    STATE(16966), 2,
      sym_comment,
      sym_block_comment,
  [660553] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22351), 1,
      anon_sym_RBRACE,
    STATE(16967), 2,
      sym_comment,
      sym_block_comment,
  [660567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22363), 1,
      anon_sym_RBRACK,
    STATE(16968), 2,
      sym_comment,
      sym_block_comment,
  [660581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22363), 1,
      anon_sym_RBRACE,
    STATE(16969), 2,
      sym_comment,
      sym_block_comment,
  [660595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22365), 1,
      sym__outdent,
    STATE(16970), 2,
      sym_comment,
      sym_block_comment,
  [660609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22367), 1,
      anon_sym_LPAREN,
    STATE(16971), 2,
      sym_comment,
      sym_block_comment,
  [660623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22369), 1,
      anon_sym_EQ_GT_GT,
    STATE(16972), 2,
      sym_comment,
      sym_block_comment,
  [660637] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22371), 1,
      anon_sym_EQ_GT_GT,
    STATE(16973), 2,
      sym_comment,
      sym_block_comment,
  [660651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22373), 1,
      anon_sym_EQ_GT_GT,
    STATE(16974), 2,
      sym_comment,
      sym_block_comment,
  [660665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22375), 1,
      anon_sym_EQ_GT_GT,
    STATE(16975), 2,
      sym_comment,
      sym_block_comment,
  [660679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11551), 1,
      anon_sym_DOT,
    STATE(16976), 2,
      sym_comment,
      sym_block_comment,
  [660693] = 4,
    ACTIONS(18029), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18446), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(22377), 1,
      sym_using_directive_value,
    STATE(16977), 2,
      sym_comment,
      sym_block_comment,
  [660707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22379), 1,
      anon_sym_type,
    STATE(16978), 2,
      sym_comment,
      sym_block_comment,
  [660721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22381), 1,
      anon_sym_RPAREN,
    STATE(16979), 2,
      sym_comment,
      sym_block_comment,
  [660735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22381), 1,
      anon_sym_RBRACE,
    STATE(16980), 2,
      sym_comment,
      sym_block_comment,
  [660749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22383), 1,
      anon_sym_do,
    STATE(16981), 2,
      sym_comment,
      sym_block_comment,
  [660763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22385), 1,
      sym__outdent,
    STATE(16982), 2,
      sym_comment,
      sym_block_comment,
  [660777] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22387), 1,
      anon_sym_EQ_GT_GT,
    STATE(16983), 2,
      sym_comment,
      sym_block_comment,
  [660791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22389), 1,
      anon_sym_EQ_GT_GT,
    STATE(16984), 2,
      sym_comment,
      sym_block_comment,
  [660805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22391), 1,
      anon_sym_EQ_GT_GT,
    STATE(16985), 2,
      sym_comment,
      sym_block_comment,
  [660819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22393), 1,
      anon_sym_EQ_GT_GT,
    STATE(16986), 2,
      sym_comment,
      sym_block_comment,
  [660833] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12905), 1,
      anon_sym_DOT,
    STATE(16987), 2,
      sym_comment,
      sym_block_comment,
  [660847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10556), 1,
      anon_sym_DOT,
    STATE(16988), 2,
      sym_comment,
      sym_block_comment,
  [660861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22395), 1,
      anon_sym_do,
    STATE(16989), 2,
      sym_comment,
      sym_block_comment,
  [660875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22397), 1,
      anon_sym_COLON,
    STATE(16990), 2,
      sym_comment,
      sym_block_comment,
  [660889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22399), 1,
      anon_sym_RBRACE,
    STATE(16991), 2,
      sym_comment,
      sym_block_comment,
  [660903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22401), 1,
      anon_sym_RBRACE,
    STATE(16992), 2,
      sym_comment,
      sym_block_comment,
  [660917] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22403), 1,
      anon_sym_RBRACE,
    STATE(16993), 2,
      sym_comment,
      sym_block_comment,
  [660931] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22405), 1,
      anon_sym_EQ_GT_GT,
    STATE(16994), 2,
      sym_comment,
      sym_block_comment,
  [660945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22407), 1,
      anon_sym_EQ_GT_GT,
    STATE(16995), 2,
      sym_comment,
      sym_block_comment,
  [660959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22409), 1,
      anon_sym_EQ_GT_GT,
    STATE(16996), 2,
      sym_comment,
      sym_block_comment,
  [660973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22411), 1,
      anon_sym_EQ_GT_GT,
    STATE(16997), 2,
      sym_comment,
      sym_block_comment,
  [660987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11258), 1,
      anon_sym_DOT,
    STATE(16998), 2,
      sym_comment,
      sym_block_comment,
  [661001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22413), 1,
      sym__outdent,
    STATE(16999), 2,
      sym_comment,
      sym_block_comment,
  [661015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22415), 1,
      anon_sym_RBRACE,
    STATE(17000), 2,
      sym_comment,
      sym_block_comment,
  [661029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22415), 1,
      anon_sym_RPAREN,
    STATE(17001), 2,
      sym_comment,
      sym_block_comment,
  [661043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22417), 1,
      anon_sym_EQ_GT_GT,
    STATE(17002), 2,
      sym_comment,
      sym_block_comment,
  [661057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22419), 1,
      anon_sym_EQ_GT_GT,
    STATE(17003), 2,
      sym_comment,
      sym_block_comment,
  [661071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22421), 1,
      anon_sym_RPAREN,
    STATE(17004), 2,
      sym_comment,
      sym_block_comment,
  [661085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22423), 1,
      anon_sym_EQ_GT_GT,
    STATE(17005), 2,
      sym_comment,
      sym_block_comment,
  [661099] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22425), 1,
      anon_sym_EQ_GT_GT,
    STATE(17006), 2,
      sym_comment,
      sym_block_comment,
  [661113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22427), 1,
      anon_sym_EQ_GT_GT,
    STATE(17007), 2,
      sym_comment,
      sym_block_comment,
  [661127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22429), 1,
      anon_sym_EQ_GT_GT,
    STATE(17008), 2,
      sym_comment,
      sym_block_comment,
  [661141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8510), 1,
      anon_sym_DOT,
    STATE(17009), 2,
      sym_comment,
      sym_block_comment,
  [661155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22431), 1,
      anon_sym_EQ_GT_GT,
    STATE(17010), 2,
      sym_comment,
      sym_block_comment,
  [661169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22433), 1,
      anon_sym_EQ_GT,
    STATE(17011), 2,
      sym_comment,
      sym_block_comment,
  [661183] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11787), 1,
      anon_sym_DOT,
    STATE(17012), 2,
      sym_comment,
      sym_block_comment,
  [661197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22435), 1,
      anon_sym_do,
    STATE(17013), 2,
      sym_comment,
      sym_block_comment,
  [661211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22437), 1,
      sym__outdent,
    STATE(17014), 2,
      sym_comment,
      sym_block_comment,
  [661225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22439), 1,
      anon_sym_RPAREN,
    STATE(17015), 2,
      sym_comment,
      sym_block_comment,
  [661239] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22441), 1,
      anon_sym_EQ_GT_GT,
    STATE(17016), 2,
      sym_comment,
      sym_block_comment,
  [661253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22443), 1,
      anon_sym_EQ_GT_GT,
    STATE(17017), 2,
      sym_comment,
      sym_block_comment,
  [661267] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22445), 1,
      anon_sym_EQ_GT_GT,
    STATE(17018), 2,
      sym_comment,
      sym_block_comment,
  [661281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22447), 1,
      anon_sym_EQ_GT_GT,
    STATE(17019), 2,
      sym_comment,
      sym_block_comment,
  [661295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9617), 1,
      anon_sym_DOT,
    STATE(17020), 2,
      sym_comment,
      sym_block_comment,
  [661309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22449), 1,
      anon_sym_RBRACE,
    STATE(17021), 2,
      sym_comment,
      sym_block_comment,
  [661323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22451), 1,
      sym__outdent,
    STATE(17022), 2,
      sym_comment,
      sym_block_comment,
  [661337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22453), 1,
      sym__outdent,
    STATE(17023), 2,
      sym_comment,
      sym_block_comment,
  [661351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22455), 1,
      anon_sym_RBRACE,
    STATE(17024), 2,
      sym_comment,
      sym_block_comment,
  [661365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22457), 1,
      anon_sym_RPAREN,
    STATE(17025), 2,
      sym_comment,
      sym_block_comment,
  [661379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9139), 1,
      anon_sym_DOT,
    STATE(17026), 2,
      sym_comment,
      sym_block_comment,
  [661393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22459), 1,
      anon_sym_else,
    STATE(17027), 2,
      sym_comment,
      sym_block_comment,
  [661407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22461), 1,
      sym__outdent,
    STATE(17028), 2,
      sym_comment,
      sym_block_comment,
  [661421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22463), 1,
      anon_sym_RPAREN,
    STATE(17029), 2,
      sym_comment,
      sym_block_comment,
  [661435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22465), 1,
      anon_sym_RPAREN,
    STATE(17030), 2,
      sym_comment,
      sym_block_comment,
  [661449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22467), 1,
      sym__outdent,
    STATE(17031), 2,
      sym_comment,
      sym_block_comment,
  [661463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9190), 1,
      anon_sym_DOT,
    STATE(17032), 2,
      sym_comment,
      sym_block_comment,
  [661477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(16013), 1,
      anon_sym_DOT,
    STATE(17033), 2,
      sym_comment,
      sym_block_comment,
  [661491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22469), 1,
      anon_sym_LPAREN,
    STATE(17034), 2,
      sym_comment,
      sym_block_comment,
  [661505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22471), 1,
      anon_sym_else,
    STATE(17035), 2,
      sym_comment,
      sym_block_comment,
  [661519] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22473), 1,
      sym__outdent,
    STATE(17036), 2,
      sym_comment,
      sym_block_comment,
  [661533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22475), 1,
      anon_sym_else,
    STATE(17037), 2,
      sym_comment,
      sym_block_comment,
  [661547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10700), 1,
      anon_sym_DOT,
    STATE(17038), 2,
      sym_comment,
      sym_block_comment,
  [661561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22477), 1,
      anon_sym_EQ_GT,
    STATE(17039), 2,
      sym_comment,
      sym_block_comment,
  [661575] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22479), 1,
      anon_sym_RPAREN,
    STATE(17040), 2,
      sym_comment,
      sym_block_comment,
  [661589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22481), 1,
      sym__outdent,
    STATE(17041), 2,
      sym_comment,
      sym_block_comment,
  [661603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22483), 1,
      sym__outdent,
    STATE(17042), 2,
      sym_comment,
      sym_block_comment,
  [661617] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22485), 1,
      anon_sym_else,
    STATE(17043), 2,
      sym_comment,
      sym_block_comment,
  [661631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14955), 1,
      anon_sym_DOT,
    STATE(17044), 2,
      sym_comment,
      sym_block_comment,
  [661645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22487), 1,
      anon_sym_RPAREN,
    STATE(17045), 2,
      sym_comment,
      sym_block_comment,
  [661659] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22489), 1,
      anon_sym_RPAREN,
    STATE(17046), 2,
      sym_comment,
      sym_block_comment,
  [661673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22491), 1,
      anon_sym_do,
    STATE(17047), 2,
      sym_comment,
      sym_block_comment,
  [661687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22493), 1,
      anon_sym_RBRACE,
    STATE(17048), 2,
      sym_comment,
      sym_block_comment,
  [661701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22495), 1,
      sym__outdent,
    STATE(17049), 2,
      sym_comment,
      sym_block_comment,
  [661715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10581), 1,
      anon_sym_DOT,
    STATE(17050), 2,
      sym_comment,
      sym_block_comment,
  [661729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22497), 1,
      anon_sym_RBRACE,
    STATE(17051), 2,
      sym_comment,
      sym_block_comment,
  [661743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22497), 1,
      anon_sym_RPAREN,
    STATE(17052), 2,
      sym_comment,
      sym_block_comment,
  [661757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22499), 1,
      anon_sym_RPAREN,
    STATE(17053), 2,
      sym_comment,
      sym_block_comment,
  [661771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22501), 1,
      sym__outdent,
    STATE(17054), 2,
      sym_comment,
      sym_block_comment,
  [661785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22503), 1,
      anon_sym_else,
    STATE(17055), 2,
      sym_comment,
      sym_block_comment,
  [661799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10695), 1,
      anon_sym_DOT,
    STATE(17056), 2,
      sym_comment,
      sym_block_comment,
  [661813] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22505), 1,
      anon_sym_RBRACK,
    STATE(17057), 2,
      sym_comment,
      sym_block_comment,
  [661827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22505), 1,
      anon_sym_RBRACE,
    STATE(17058), 2,
      sym_comment,
      sym_block_comment,
  [661841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22507), 1,
      anon_sym_RBRACK,
    STATE(17059), 2,
      sym_comment,
      sym_block_comment,
  [661855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22507), 1,
      anon_sym_RBRACE,
    STATE(17060), 2,
      sym_comment,
      sym_block_comment,
  [661869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22509), 1,
      sym__outdent,
    STATE(17061), 2,
      sym_comment,
      sym_block_comment,
  [661883] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10628), 1,
      anon_sym_DOT,
    STATE(17062), 2,
      sym_comment,
      sym_block_comment,
  [661897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22511), 1,
      anon_sym_RPAREN,
    STATE(17063), 2,
      sym_comment,
      sym_block_comment,
  [661911] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22513), 1,
      sym__outdent,
    STATE(17064), 2,
      sym_comment,
      sym_block_comment,
  [661925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22515), 1,
      anon_sym_else,
    STATE(17065), 2,
      sym_comment,
      sym_block_comment,
  [661939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22517), 1,
      anon_sym_RPAREN,
    STATE(17066), 2,
      sym_comment,
      sym_block_comment,
  [661953] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22517), 1,
      anon_sym_RBRACE,
    STATE(17067), 2,
      sym_comment,
      sym_block_comment,
  [661967] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11382), 1,
      anon_sym_DOT,
    STATE(17068), 2,
      sym_comment,
      sym_block_comment,
  [661981] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22341), 1,
      anon_sym_RBRACE,
    STATE(17069), 2,
      sym_comment,
      sym_block_comment,
  [661995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22519), 1,
      anon_sym_RBRACK,
    STATE(17070), 2,
      sym_comment,
      sym_block_comment,
  [662009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22519), 1,
      anon_sym_RBRACE,
    STATE(17071), 2,
      sym_comment,
      sym_block_comment,
  [662023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22521), 1,
      anon_sym_RPAREN,
    STATE(17072), 2,
      sym_comment,
      sym_block_comment,
  [662037] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22523), 1,
      anon_sym_do,
    STATE(17073), 2,
      sym_comment,
      sym_block_comment,
  [662051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10669), 1,
      anon_sym_DOT,
    STATE(17074), 2,
      sym_comment,
      sym_block_comment,
  [662065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22525), 1,
      anon_sym_RPAREN,
    STATE(17075), 2,
      sym_comment,
      sym_block_comment,
  [662079] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22527), 1,
      anon_sym_RBRACE,
    STATE(17076), 2,
      sym_comment,
      sym_block_comment,
  [662093] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22529), 1,
      sym__outdent,
    STATE(17077), 2,
      sym_comment,
      sym_block_comment,
  [662107] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22531), 1,
      anon_sym_RBRACK,
    STATE(17078), 2,
      sym_comment,
      sym_block_comment,
  [662121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22533), 1,
      anon_sym_LPAREN,
    STATE(17079), 2,
      sym_comment,
      sym_block_comment,
  [662135] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14787), 1,
      anon_sym_DOT,
    STATE(17080), 2,
      sym_comment,
      sym_block_comment,
  [662149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22535), 1,
      sym__outdent,
    STATE(17081), 2,
      sym_comment,
      sym_block_comment,
  [662163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22537), 1,
      anon_sym_RBRACE,
    STATE(17082), 2,
      sym_comment,
      sym_block_comment,
  [662177] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22539), 1,
      anon_sym_RBRACE,
    STATE(17083), 2,
      sym_comment,
      sym_block_comment,
  [662191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22539), 1,
      anon_sym_RPAREN,
    STATE(17084), 2,
      sym_comment,
      sym_block_comment,
  [662205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22541), 1,
      sym__outdent,
    STATE(17085), 2,
      sym_comment,
      sym_block_comment,
  [662219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11808), 1,
      anon_sym_DOT,
    STATE(17086), 2,
      sym_comment,
      sym_block_comment,
  [662233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8138), 1,
      anon_sym_DOT,
    STATE(17087), 2,
      sym_comment,
      sym_block_comment,
  [662247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22543), 1,
      anon_sym_RPAREN,
    STATE(17088), 2,
      sym_comment,
      sym_block_comment,
  [662261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22545), 1,
      anon_sym_do,
    STATE(17089), 2,
      sym_comment,
      sym_block_comment,
  [662275] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15394), 1,
      anon_sym_def,
    STATE(17090), 2,
      sym_comment,
      sym_block_comment,
  [662289] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22547), 1,
      sym__outdent,
    STATE(17091), 2,
      sym_comment,
      sym_block_comment,
  [662303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10862), 1,
      anon_sym_DOT,
    STATE(17092), 2,
      sym_comment,
      sym_block_comment,
  [662317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22549), 1,
      anon_sym_COLON,
    STATE(17093), 2,
      sym_comment,
      sym_block_comment,
  [662331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22551), 1,
      anon_sym_RBRACE,
    STATE(17094), 2,
      sym_comment,
      sym_block_comment,
  [662345] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22553), 1,
      anon_sym_RPAREN,
    STATE(17095), 2,
      sym_comment,
      sym_block_comment,
  [662359] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22555), 1,
      sym__outdent,
    STATE(17096), 2,
      sym_comment,
      sym_block_comment,
  [662373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22557), 1,
      anon_sym_RBRACE,
    STATE(17097), 2,
      sym_comment,
      sym_block_comment,
  [662387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12687), 1,
      anon_sym_DOT,
    STATE(17098), 2,
      sym_comment,
      sym_block_comment,
  [662401] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22559), 1,
      anon_sym_COLON,
    STATE(17099), 2,
      sym_comment,
      sym_block_comment,
  [662415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22561), 1,
      anon_sym_else,
    STATE(17100), 2,
      sym_comment,
      sym_block_comment,
  [662429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22563), 1,
      sym__outdent,
    STATE(17101), 2,
      sym_comment,
      sym_block_comment,
  [662443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22565), 1,
      anon_sym_else,
    STATE(17102), 2,
      sym_comment,
      sym_block_comment,
  [662457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22567), 1,
      sym__outdent,
    STATE(17103), 2,
      sym_comment,
      sym_block_comment,
  [662471] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11721), 1,
      anon_sym_DOT,
    STATE(17104), 2,
      sym_comment,
      sym_block_comment,
  [662485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22569), 1,
      anon_sym_RPAREN,
    STATE(17105), 2,
      sym_comment,
      sym_block_comment,
  [662499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22571), 1,
      anon_sym_RPAREN,
    STATE(17106), 2,
      sym_comment,
      sym_block_comment,
  [662513] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22573), 1,
      anon_sym_RPAREN,
    STATE(17107), 2,
      sym_comment,
      sym_block_comment,
  [662527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15307), 1,
      anon_sym_type,
    STATE(17108), 2,
      sym_comment,
      sym_block_comment,
  [662541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22575), 1,
      anon_sym_else,
    STATE(17109), 2,
      sym_comment,
      sym_block_comment,
  [662555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12930), 1,
      anon_sym_DOT,
    STATE(17110), 2,
      sym_comment,
      sym_block_comment,
  [662569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22577), 1,
      anon_sym_RBRACK,
    STATE(17111), 2,
      sym_comment,
      sym_block_comment,
  [662583] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22579), 1,
      anon_sym_else,
    STATE(17112), 2,
      sym_comment,
      sym_block_comment,
  [662597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22581), 1,
      sym__outdent,
    STATE(17113), 2,
      sym_comment,
      sym_block_comment,
  [662611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22583), 1,
      sym__outdent,
    STATE(17114), 2,
      sym_comment,
      sym_block_comment,
  [662625] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22585), 1,
      anon_sym_RPAREN,
    STATE(17115), 2,
      sym_comment,
      sym_block_comment,
  [662639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9355), 1,
      anon_sym_DOT,
    STATE(17116), 2,
      sym_comment,
      sym_block_comment,
  [662653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22587), 1,
      anon_sym_RPAREN,
    STATE(17117), 2,
      sym_comment,
      sym_block_comment,
  [662667] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22589), 1,
      anon_sym_RPAREN,
    STATE(17118), 2,
      sym_comment,
      sym_block_comment,
  [662681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22591), 1,
      sym__outdent,
    STATE(17119), 2,
      sym_comment,
      sym_block_comment,
  [662695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22593), 1,
      anon_sym_else,
    STATE(17120), 2,
      sym_comment,
      sym_block_comment,
  [662709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22571), 1,
      anon_sym_RBRACE,
    STATE(17121), 2,
      sym_comment,
      sym_block_comment,
  [662723] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8948), 1,
      anon_sym_DOT,
    STATE(17122), 2,
      sym_comment,
      sym_block_comment,
  [662737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22595), 1,
      anon_sym_do,
    STATE(17123), 2,
      sym_comment,
      sym_block_comment,
  [662751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22597), 1,
      anon_sym_else,
    STATE(17124), 2,
      sym_comment,
      sym_block_comment,
  [662765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22599), 1,
      anon_sym_RBRACK,
    STATE(17125), 2,
      sym_comment,
      sym_block_comment,
  [662779] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22601), 1,
      anon_sym_RBRACE,
    STATE(17126), 2,
      sym_comment,
      sym_block_comment,
  [662793] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22603), 1,
      sym__outdent,
    STATE(17127), 2,
      sym_comment,
      sym_block_comment,
  [662807] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9608), 1,
      anon_sym_DOT,
    STATE(17128), 2,
      sym_comment,
      sym_block_comment,
  [662821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22599), 1,
      anon_sym_RBRACE,
    STATE(17129), 2,
      sym_comment,
      sym_block_comment,
  [662835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22605), 1,
      anon_sym_RBRACK,
    STATE(17130), 2,
      sym_comment,
      sym_block_comment,
  [662849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22605), 1,
      anon_sym_RBRACE,
    STATE(17131), 2,
      sym_comment,
      sym_block_comment,
  [662863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22607), 1,
      anon_sym_RBRACE,
    STATE(17132), 2,
      sym_comment,
      sym_block_comment,
  [662877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22609), 1,
      anon_sym_RPAREN,
    STATE(17133), 2,
      sym_comment,
      sym_block_comment,
  [662891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10302), 1,
      anon_sym_DOT,
    STATE(17134), 2,
      sym_comment,
      sym_block_comment,
  [662905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22611), 1,
      anon_sym_RPAREN,
    STATE(17135), 2,
      sym_comment,
      sym_block_comment,
  [662919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22609), 1,
      anon_sym_RBRACE,
    STATE(17136), 2,
      sym_comment,
      sym_block_comment,
  [662933] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22613), 1,
      sym__outdent,
    STATE(17137), 2,
      sym_comment,
      sym_block_comment,
  [662947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22615), 1,
      sym__outdent,
    STATE(17138), 2,
      sym_comment,
      sym_block_comment,
  [662961] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22617), 1,
      anon_sym_RBRACE,
    STATE(17139), 2,
      sym_comment,
      sym_block_comment,
  [662975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9574), 1,
      anon_sym_DOT,
    STATE(17140), 2,
      sym_comment,
      sym_block_comment,
  [662989] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10707), 1,
      anon_sym_with,
    STATE(17141), 2,
      sym_comment,
      sym_block_comment,
  [663003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22619), 1,
      sym__outdent,
    STATE(17142), 2,
      sym_comment,
      sym_block_comment,
  [663017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22621), 1,
      anon_sym_RBRACE,
    STATE(17143), 2,
      sym_comment,
      sym_block_comment,
  [663031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22621), 1,
      anon_sym_RPAREN,
    STATE(17144), 2,
      sym_comment,
      sym_block_comment,
  [663045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22623), 1,
      anon_sym_RPAREN,
    STATE(17145), 2,
      sym_comment,
      sym_block_comment,
  [663059] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13476), 1,
      anon_sym_DOT,
    STATE(17146), 2,
      sym_comment,
      sym_block_comment,
  [663073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22625), 1,
      anon_sym_RBRACE,
    STATE(17147), 2,
      sym_comment,
      sym_block_comment,
  [663087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22627), 1,
      sym__outdent,
    STATE(17148), 2,
      sym_comment,
      sym_block_comment,
  [663101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22629), 1,
      anon_sym_else,
    STATE(17149), 2,
      sym_comment,
      sym_block_comment,
  [663115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22631), 1,
      anon_sym_RBRACE,
    STATE(17150), 2,
      sym_comment,
      sym_block_comment,
  [663129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22633), 1,
      anon_sym_RPAREN,
    STATE(17151), 2,
      sym_comment,
      sym_block_comment,
  [663143] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11172), 1,
      anon_sym_DOT,
    STATE(17152), 2,
      sym_comment,
      sym_block_comment,
  [663157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22635), 1,
      sym__outdent,
    STATE(17153), 2,
      sym_comment,
      sym_block_comment,
  [663171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22637), 1,
      anon_sym_EQ_GT_GT,
    STATE(17154), 2,
      sym_comment,
      sym_block_comment,
  [663185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22639), 1,
      anon_sym_do,
    STATE(17155), 2,
      sym_comment,
      sym_block_comment,
  [663199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22641), 1,
      anon_sym_EQ_GT_GT,
    STATE(17156), 2,
      sym_comment,
      sym_block_comment,
  [663213] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22643), 1,
      anon_sym_else,
    STATE(17157), 2,
      sym_comment,
      sym_block_comment,
  [663227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15384), 1,
      anon_sym_DOT,
    STATE(17158), 2,
      sym_comment,
      sym_block_comment,
  [663241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22645), 1,
      sym__outdent,
    STATE(17159), 2,
      sym_comment,
      sym_block_comment,
  [663255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22647), 1,
      anon_sym_RBRACE,
    STATE(17160), 2,
      sym_comment,
      sym_block_comment,
  [663269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22649), 1,
      anon_sym_EQ_GT_GT,
    STATE(17161), 2,
      sym_comment,
      sym_block_comment,
  [663283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22651), 1,
      anon_sym_EQ_GT_GT,
    STATE(17162), 2,
      sym_comment,
      sym_block_comment,
  [663297] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22653), 1,
      anon_sym_RPAREN,
    STATE(17163), 2,
      sym_comment,
      sym_block_comment,
  [663311] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9404), 1,
      anon_sym_DOT,
    STATE(17164), 2,
      sym_comment,
      sym_block_comment,
  [663325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22655), 1,
      anon_sym_do,
    STATE(17165), 2,
      sym_comment,
      sym_block_comment,
  [663339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22657), 1,
      anon_sym_else,
    STATE(17166), 2,
      sym_comment,
      sym_block_comment,
  [663353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22659), 1,
      anon_sym_RBRACE,
    STATE(17167), 2,
      sym_comment,
      sym_block_comment,
  [663367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22661), 1,
      sym__outdent,
    STATE(17168), 2,
      sym_comment,
      sym_block_comment,
  [663381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22663), 1,
      sym__outdent,
    STATE(17169), 2,
      sym_comment,
      sym_block_comment,
  [663395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11113), 1,
      anon_sym_DOT,
    STATE(17170), 2,
      sym_comment,
      sym_block_comment,
  [663409] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22665), 1,
      anon_sym_RPAREN,
    STATE(17171), 2,
      sym_comment,
      sym_block_comment,
  [663423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22667), 1,
      anon_sym_RPAREN,
    STATE(17172), 2,
      sym_comment,
      sym_block_comment,
  [663437] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22669), 1,
      anon_sym_RBRACE,
    STATE(17173), 2,
      sym_comment,
      sym_block_comment,
  [663451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22671), 1,
      anon_sym_else,
    STATE(17174), 2,
      sym_comment,
      sym_block_comment,
  [663465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22669), 1,
      anon_sym_RPAREN,
    STATE(17175), 2,
      sym_comment,
      sym_block_comment,
  [663479] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15372), 1,
      anon_sym_DOT,
    STATE(17176), 2,
      sym_comment,
      sym_block_comment,
  [663493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15709), 1,
      anon_sym_DOT,
    STATE(17177), 2,
      sym_comment,
      sym_block_comment,
  [663507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22673), 1,
      anon_sym_LPAREN,
    STATE(17178), 2,
      sym_comment,
      sym_block_comment,
  [663521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22675), 1,
      anon_sym_type,
    STATE(17179), 2,
      sym_comment,
      sym_block_comment,
  [663535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22677), 1,
      anon_sym_EQ_GT,
    STATE(17180), 2,
      sym_comment,
      sym_block_comment,
  [663549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22679), 1,
      sym__outdent,
    STATE(17181), 2,
      sym_comment,
      sym_block_comment,
  [663563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10715), 1,
      anon_sym_DOT,
    STATE(17182), 2,
      sym_comment,
      sym_block_comment,
  [663577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22681), 1,
      anon_sym_RPAREN,
    STATE(17183), 2,
      sym_comment,
      sym_block_comment,
  [663591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22683), 1,
      sym__outdent,
    STATE(17184), 2,
      sym_comment,
      sym_block_comment,
  [663605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22685), 1,
      anon_sym_RBRACE,
    STATE(17185), 2,
      sym_comment,
      sym_block_comment,
  [663619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22687), 1,
      anon_sym_RBRACE,
    STATE(17186), 2,
      sym_comment,
      sym_block_comment,
  [663633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22689), 1,
      anon_sym_RPAREN,
    STATE(17187), 2,
      sym_comment,
      sym_block_comment,
  [663647] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10740), 1,
      anon_sym_DOT,
    STATE(17188), 2,
      sym_comment,
      sym_block_comment,
  [663661] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22691), 1,
      anon_sym_RPAREN,
    STATE(17189), 2,
      sym_comment,
      sym_block_comment,
  [663675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22693), 1,
      anon_sym_RPAREN,
    STATE(17190), 2,
      sym_comment,
      sym_block_comment,
  [663689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22695), 1,
      anon_sym_else,
    STATE(17191), 2,
      sym_comment,
      sym_block_comment,
  [663703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22697), 1,
      anon_sym_RPAREN,
    STATE(17192), 2,
      sym_comment,
      sym_block_comment,
  [663717] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22699), 1,
      sym__outdent,
    STATE(17193), 2,
      sym_comment,
      sym_block_comment,
  [663731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9054), 1,
      anon_sym_DOT,
    STATE(17194), 2,
      sym_comment,
      sym_block_comment,
  [663745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22701), 1,
      anon_sym_RPAREN,
    STATE(17195), 2,
      sym_comment,
      sym_block_comment,
  [663759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22577), 1,
      anon_sym_RBRACE,
    STATE(17196), 2,
      sym_comment,
      sym_block_comment,
  [663773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22703), 1,
      anon_sym_RBRACK,
    STATE(17197), 2,
      sym_comment,
      sym_block_comment,
  [663787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22703), 1,
      anon_sym_RBRACE,
    STATE(17198), 2,
      sym_comment,
      sym_block_comment,
  [663801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22705), 1,
      anon_sym_else,
    STATE(17199), 2,
      sym_comment,
      sym_block_comment,
  [663815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12247), 1,
      anon_sym_DOT,
    STATE(17200), 2,
      sym_comment,
      sym_block_comment,
  [663829] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22707), 1,
      anon_sym_RPAREN,
    STATE(17201), 2,
      sym_comment,
      sym_block_comment,
  [663843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22707), 1,
      anon_sym_RBRACE,
    STATE(17202), 2,
      sym_comment,
      sym_block_comment,
  [663857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22709), 1,
      sym__outdent,
    STATE(17203), 2,
      sym_comment,
      sym_block_comment,
  [663871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22711), 1,
      anon_sym_do,
    STATE(17204), 2,
      sym_comment,
      sym_block_comment,
  [663885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22713), 1,
      sym__outdent,
    STATE(17205), 2,
      sym_comment,
      sym_block_comment,
  [663899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9392), 1,
      anon_sym_DOT,
    STATE(17206), 2,
      sym_comment,
      sym_block_comment,
  [663913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22715), 1,
      anon_sym_RBRACE,
    STATE(17207), 2,
      sym_comment,
      sym_block_comment,
  [663927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22717), 1,
      sym__outdent,
    STATE(17208), 2,
      sym_comment,
      sym_block_comment,
  [663941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(20975), 1,
      anon_sym_RBRACE,
    STATE(17209), 2,
      sym_comment,
      sym_block_comment,
  [663955] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22719), 1,
      anon_sym_RBRACE,
    STATE(17210), 2,
      sym_comment,
      sym_block_comment,
  [663969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22721), 1,
      sym__outdent,
    STATE(17211), 2,
      sym_comment,
      sym_block_comment,
  [663983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10860), 1,
      anon_sym_DOT,
    STATE(17212), 2,
      sym_comment,
      sym_block_comment,
  [663997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22723), 1,
      anon_sym_EQ_GT_GT,
    STATE(17213), 2,
      sym_comment,
      sym_block_comment,
  [664011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22725), 1,
      anon_sym_RPAREN,
    STATE(17214), 2,
      sym_comment,
      sym_block_comment,
  [664025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22727), 1,
      anon_sym_RPAREN,
    STATE(17215), 2,
      sym_comment,
      sym_block_comment,
  [664039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22729), 1,
      sym__outdent,
    STATE(17216), 2,
      sym_comment,
      sym_block_comment,
  [664053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22731), 1,
      anon_sym_RBRACE,
    STATE(17217), 2,
      sym_comment,
      sym_block_comment,
  [664067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10038), 1,
      anon_sym_DOT,
    STATE(17218), 2,
      sym_comment,
      sym_block_comment,
  [664081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22733), 1,
      anon_sym_else,
    STATE(17219), 2,
      sym_comment,
      sym_block_comment,
  [664095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22735), 1,
      anon_sym_do,
    STATE(17220), 2,
      sym_comment,
      sym_block_comment,
  [664109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22737), 1,
      sym__outdent,
    STATE(17221), 2,
      sym_comment,
      sym_block_comment,
  [664123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22739), 1,
      anon_sym_RPAREN,
    STATE(17222), 2,
      sym_comment,
      sym_block_comment,
  [664137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22741), 1,
      sym__outdent,
    STATE(17223), 2,
      sym_comment,
      sym_block_comment,
  [664151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14020), 1,
      anon_sym_DOT,
    STATE(17224), 2,
      sym_comment,
      sym_block_comment,
  [664165] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22743), 1,
      anon_sym_RBRACE,
    STATE(17225), 2,
      sym_comment,
      sym_block_comment,
  [664179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11959), 1,
      anon_sym_EQ_GT,
    STATE(17226), 2,
      sym_comment,
      sym_block_comment,
  [664193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22745), 1,
      sym__indent,
    STATE(17227), 2,
      sym_comment,
      sym_block_comment,
  [664207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22747), 1,
      anon_sym_else,
    STATE(17228), 2,
      sym_comment,
      sym_block_comment,
  [664221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22749), 1,
      anon_sym_RPAREN,
    STATE(17229), 2,
      sym_comment,
      sym_block_comment,
  [664235] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10811), 1,
      anon_sym_DOT,
    STATE(17230), 2,
      sym_comment,
      sym_block_comment,
  [664249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22751), 1,
      anon_sym_else,
    STATE(17231), 2,
      sym_comment,
      sym_block_comment,
  [664263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22753), 1,
      sym__outdent,
    STATE(17232), 2,
      sym_comment,
      sym_block_comment,
  [664277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22755), 1,
      anon_sym_do,
    STATE(17233), 2,
      sym_comment,
      sym_block_comment,
  [664291] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22757), 1,
      anon_sym_RPAREN,
    STATE(17234), 2,
      sym_comment,
      sym_block_comment,
  [664305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22759), 1,
      anon_sym_LPAREN,
    STATE(17235), 2,
      sym_comment,
      sym_block_comment,
  [664319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15238), 1,
      anon_sym_DOT,
    STATE(17236), 2,
      sym_comment,
      sym_block_comment,
  [664333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9786), 1,
      anon_sym_EQ_GT,
    STATE(17237), 2,
      sym_comment,
      sym_block_comment,
  [664347] = 4,
    ACTIONS(18029), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(18446), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(22761), 1,
      sym_using_directive_key,
    STATE(17238), 2,
      sym_comment,
      sym_block_comment,
  [664361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22763), 1,
      sym__outdent,
    STATE(17239), 2,
      sym_comment,
      sym_block_comment,
  [664375] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22765), 1,
      anon_sym_RBRACE,
    STATE(17240), 2,
      sym_comment,
      sym_block_comment,
  [664389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22767), 1,
      anon_sym_else,
    STATE(17241), 2,
      sym_comment,
      sym_block_comment,
  [664403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11356), 1,
      anon_sym_DOT,
    STATE(17242), 2,
      sym_comment,
      sym_block_comment,
  [664417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22769), 1,
      anon_sym_RPAREN,
    STATE(17243), 2,
      sym_comment,
      sym_block_comment,
  [664431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22765), 1,
      anon_sym_RPAREN,
    STATE(17244), 2,
      sym_comment,
      sym_block_comment,
  [664445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22771), 1,
      anon_sym_RPAREN,
    STATE(17245), 2,
      sym_comment,
      sym_block_comment,
  [664459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12134), 1,
      anon_sym_DOT,
    STATE(17246), 2,
      sym_comment,
      sym_block_comment,
  [664473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22773), 1,
      anon_sym_with,
    STATE(17247), 2,
      sym_comment,
      sym_block_comment,
  [664487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12823), 1,
      anon_sym_DOT,
    STATE(17248), 2,
      sym_comment,
      sym_block_comment,
  [664501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22775), 1,
      sym__outdent,
    STATE(17249), 2,
      sym_comment,
      sym_block_comment,
  [664515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22777), 1,
      anon_sym_else,
    STATE(17250), 2,
      sym_comment,
      sym_block_comment,
  [664529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22779), 1,
      sym__outdent,
    STATE(17251), 2,
      sym_comment,
      sym_block_comment,
  [664543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22781), 1,
      anon_sym_RBRACE,
    STATE(17252), 2,
      sym_comment,
      sym_block_comment,
  [664557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22783), 1,
      anon_sym_COLON,
    STATE(17253), 2,
      sym_comment,
      sym_block_comment,
  [664571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9131), 1,
      anon_sym_DOT,
    STATE(17254), 2,
      sym_comment,
      sym_block_comment,
  [664585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15392), 1,
      anon_sym_type,
    STATE(17255), 2,
      sym_comment,
      sym_block_comment,
  [664599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22785), 1,
      anon_sym_type,
    STATE(17256), 2,
      sym_comment,
      sym_block_comment,
  [664613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8142), 1,
      anon_sym_type,
    STATE(17257), 2,
      sym_comment,
      sym_block_comment,
  [664627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22787), 1,
      anon_sym_RPAREN,
    STATE(17258), 2,
      sym_comment,
      sym_block_comment,
  [664641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22789), 1,
      anon_sym_RPAREN,
    STATE(17259), 2,
      sym_comment,
      sym_block_comment,
  [664655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10089), 1,
      anon_sym_DOT,
    STATE(17260), 2,
      sym_comment,
      sym_block_comment,
  [664669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22791), 1,
      sym__outdent,
    STATE(17261), 2,
      sym_comment,
      sym_block_comment,
  [664683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22793), 1,
      anon_sym_RPAREN,
    STATE(17262), 2,
      sym_comment,
      sym_block_comment,
  [664697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22795), 1,
      anon_sym_RPAREN,
    STATE(17263), 2,
      sym_comment,
      sym_block_comment,
  [664711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22797), 1,
      anon_sym_RBRACE,
    STATE(17264), 2,
      sym_comment,
      sym_block_comment,
  [664725] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22799), 1,
      sym__outdent,
    STATE(17265), 2,
      sym_comment,
      sym_block_comment,
  [664739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13863), 1,
      anon_sym_DOT,
    STATE(17266), 2,
      sym_comment,
      sym_block_comment,
  [664753] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22801), 1,
      anon_sym_else,
    STATE(17267), 2,
      sym_comment,
      sym_block_comment,
  [664767] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22803), 1,
      anon_sym_RBRACK,
    STATE(17268), 2,
      sym_comment,
      sym_block_comment,
  [664781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22803), 1,
      anon_sym_RBRACE,
    STATE(17269), 2,
      sym_comment,
      sym_block_comment,
  [664795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22805), 1,
      anon_sym_RBRACK,
    STATE(17270), 2,
      sym_comment,
      sym_block_comment,
  [664809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22805), 1,
      anon_sym_RBRACE,
    STATE(17271), 2,
      sym_comment,
      sym_block_comment,
  [664823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10170), 1,
      anon_sym_DOT,
    STATE(17272), 2,
      sym_comment,
      sym_block_comment,
  [664837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22807), 1,
      sym__outdent,
    STATE(17273), 2,
      sym_comment,
      sym_block_comment,
  [664851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22787), 1,
      anon_sym_RBRACE,
    STATE(17274), 2,
      sym_comment,
      sym_block_comment,
  [664865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22809), 1,
      anon_sym_RPAREN,
    STATE(17275), 2,
      sym_comment,
      sym_block_comment,
  [664879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22809), 1,
      anon_sym_RBRACE,
    STATE(17276), 2,
      sym_comment,
      sym_block_comment,
  [664893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22811), 1,
      anon_sym_do,
    STATE(17277), 2,
      sym_comment,
      sym_block_comment,
  [664907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(10667), 1,
      anon_sym_DOT,
    STATE(17278), 2,
      sym_comment,
      sym_block_comment,
  [664921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22813), 1,
      sym__outdent,
    STATE(17279), 2,
      sym_comment,
      sym_block_comment,
  [664935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22815), 1,
      anon_sym_RBRACE,
    STATE(17280), 2,
      sym_comment,
      sym_block_comment,
  [664949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22817), 1,
      anon_sym_RPAREN,
    STATE(17281), 2,
      sym_comment,
      sym_block_comment,
  [664963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22819), 1,
      sym__outdent,
    STATE(17282), 2,
      sym_comment,
      sym_block_comment,
  [664977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22821), 1,
      sym__outdent,
    STATE(17283), 2,
      sym_comment,
      sym_block_comment,
  [664991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(14708), 1,
      anon_sym_DOT,
    STATE(17284), 2,
      sym_comment,
      sym_block_comment,
  [665005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22823), 1,
      anon_sym_RPAREN,
    STATE(17285), 2,
      sym_comment,
      sym_block_comment,
  [665019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22825), 1,
      anon_sym_RBRACE,
    STATE(17286), 2,
      sym_comment,
      sym_block_comment,
  [665033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22827), 1,
      anon_sym_RPAREN,
    STATE(17287), 2,
      sym_comment,
      sym_block_comment,
  [665047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22829), 1,
      sym__outdent,
    STATE(17288), 2,
      sym_comment,
      sym_block_comment,
  [665061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22831), 1,
      sym__outdent,
    STATE(17289), 2,
      sym_comment,
      sym_block_comment,
  [665075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22833), 1,
      anon_sym_else,
    STATE(17290), 2,
      sym_comment,
      sym_block_comment,
  [665089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22835), 1,
      anon_sym_RBRACE,
    STATE(17291), 2,
      sym_comment,
      sym_block_comment,
  [665103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22837), 1,
      anon_sym_RPAREN,
    STATE(17292), 2,
      sym_comment,
      sym_block_comment,
  [665117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22839), 1,
      anon_sym_do,
    STATE(17293), 2,
      sym_comment,
      sym_block_comment,
  [665131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22841), 1,
      sym__outdent,
    STATE(17294), 2,
      sym_comment,
      sym_block_comment,
  [665145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22843), 1,
      anon_sym_RPAREN,
    STATE(17295), 2,
      sym_comment,
      sym_block_comment,
  [665159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22845), 1,
      anon_sym_RBRACE,
    STATE(17296), 2,
      sym_comment,
      sym_block_comment,
  [665173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22847), 1,
      anon_sym_else,
    STATE(17297), 2,
      sym_comment,
      sym_block_comment,
  [665187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22823), 1,
      anon_sym_RBRACE,
    STATE(17298), 2,
      sym_comment,
      sym_block_comment,
  [665201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22849), 1,
      anon_sym_do,
    STATE(17299), 2,
      sym_comment,
      sym_block_comment,
  [665215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22851), 1,
      sym__outdent,
    STATE(17300), 2,
      sym_comment,
      sym_block_comment,
  [665229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22853), 1,
      anon_sym_else,
    STATE(17301), 2,
      sym_comment,
      sym_block_comment,
  [665243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22855), 1,
      anon_sym_RBRACE,
    STATE(17302), 2,
      sym_comment,
      sym_block_comment,
  [665257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22857), 1,
      sym__outdent,
    STATE(17303), 2,
      sym_comment,
      sym_block_comment,
  [665271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22859), 1,
      sym__outdent,
    STATE(17304), 2,
      sym_comment,
      sym_block_comment,
  [665285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22861), 1,
      anon_sym_RPAREN,
    STATE(17305), 2,
      sym_comment,
      sym_block_comment,
  [665299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8126), 1,
      anon_sym_def,
    STATE(17306), 2,
      sym_comment,
      sym_block_comment,
  [665313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22863), 1,
      anon_sym_RBRACE,
    STATE(17307), 2,
      sym_comment,
      sym_block_comment,
  [665327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22865), 1,
      anon_sym_EQ,
    STATE(17308), 2,
      sym_comment,
      sym_block_comment,
  [665341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22867), 1,
      anon_sym_EQ,
    STATE(17309), 2,
      sym_comment,
      sym_block_comment,
  [665355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22869), 1,
      anon_sym_else,
    STATE(17310), 2,
      sym_comment,
      sym_block_comment,
  [665369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22863), 1,
      anon_sym_RPAREN,
    STATE(17311), 2,
      sym_comment,
      sym_block_comment,
  [665383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22871), 1,
      anon_sym_RPAREN,
    STATE(17312), 2,
      sym_comment,
      sym_block_comment,
  [665397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22873), 1,
      anon_sym_RPAREN,
    STATE(17313), 2,
      sym_comment,
      sym_block_comment,
  [665411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22875), 1,
      sym__outdent,
    STATE(17314), 2,
      sym_comment,
      sym_block_comment,
  [665425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22877), 1,
      anon_sym_RPAREN,
    STATE(17315), 2,
      sym_comment,
      sym_block_comment,
  [665439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22879), 1,
      sym__outdent,
    STATE(17316), 2,
      sym_comment,
      sym_block_comment,
  [665453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22881), 1,
      sym__indent,
    STATE(17317), 2,
      sym_comment,
      sym_block_comment,
  [665467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22883), 1,
      anon_sym_RPAREN,
    STATE(17318), 2,
      sym_comment,
      sym_block_comment,
  [665481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22885), 1,
      anon_sym_RPAREN,
    STATE(17319), 2,
      sym_comment,
      sym_block_comment,
  [665495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22887), 1,
      anon_sym_else,
    STATE(17320), 2,
      sym_comment,
      sym_block_comment,
  [665509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22889), 1,
      anon_sym_RPAREN,
    STATE(17321), 2,
      sym_comment,
      sym_block_comment,
  [665523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22891), 1,
      sym__outdent,
    STATE(17322), 2,
      sym_comment,
      sym_block_comment,
  [665537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22893), 1,
      anon_sym_RPAREN,
    STATE(17323), 2,
      sym_comment,
      sym_block_comment,
  [665551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22895), 1,
      anon_sym_RBRACK,
    STATE(17324), 2,
      sym_comment,
      sym_block_comment,
  [665565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22895), 1,
      anon_sym_RBRACE,
    STATE(17325), 2,
      sym_comment,
      sym_block_comment,
  [665579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22897), 1,
      anon_sym_LPAREN,
    STATE(17326), 2,
      sym_comment,
      sym_block_comment,
  [665593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22899), 1,
      anon_sym_RBRACK,
    STATE(17327), 2,
      sym_comment,
      sym_block_comment,
  [665607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22899), 1,
      anon_sym_RBRACE,
    STATE(17328), 2,
      sym_comment,
      sym_block_comment,
  [665621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22901), 1,
      anon_sym_do,
    STATE(17329), 2,
      sym_comment,
      sym_block_comment,
  [665635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22903), 1,
      anon_sym_RPAREN,
    STATE(17330), 2,
      sym_comment,
      sym_block_comment,
  [665649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22905), 1,
      anon_sym_RPAREN,
    STATE(17331), 2,
      sym_comment,
      sym_block_comment,
  [665663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22907), 1,
      anon_sym_then,
    STATE(17332), 2,
      sym_comment,
      sym_block_comment,
  [665677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22905), 1,
      anon_sym_RBRACE,
    STATE(17333), 2,
      sym_comment,
      sym_block_comment,
  [665691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22909), 1,
      anon_sym_RPAREN,
    STATE(17334), 2,
      sym_comment,
      sym_block_comment,
  [665705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22911), 1,
      sym__outdent,
    STATE(17335), 2,
      sym_comment,
      sym_block_comment,
  [665719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22913), 1,
      sym__outdent,
    STATE(17336), 2,
      sym_comment,
      sym_block_comment,
  [665733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22915), 1,
      anon_sym_RPAREN,
    STATE(17337), 2,
      sym_comment,
      sym_block_comment,
  [665747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22917), 1,
      anon_sym_else,
    STATE(17338), 2,
      sym_comment,
      sym_block_comment,
  [665761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22919), 1,
      anon_sym_RPAREN,
    STATE(17339), 2,
      sym_comment,
      sym_block_comment,
  [665775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22921), 1,
      anon_sym_RBRACE,
    STATE(17340), 2,
      sym_comment,
      sym_block_comment,
  [665789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22923), 1,
      anon_sym_do,
    STATE(17341), 2,
      sym_comment,
      sym_block_comment,
  [665803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22925), 1,
      anon_sym_RPAREN,
    STATE(17342), 2,
      sym_comment,
      sym_block_comment,
  [665817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(12634), 1,
      anon_sym_DOT,
    STATE(17343), 2,
      sym_comment,
      sym_block_comment,
  [665831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22927), 1,
      sym__outdent,
    STATE(17344), 2,
      sym_comment,
      sym_block_comment,
  [665845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8152), 1,
      anon_sym_with,
    STATE(17345), 2,
      sym_comment,
      sym_block_comment,
  [665859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22929), 1,
      anon_sym_RPAREN,
    STATE(17346), 2,
      sym_comment,
      sym_block_comment,
  [665873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22931), 1,
      anon_sym_RBRACE,
    STATE(17347), 2,
      sym_comment,
      sym_block_comment,
  [665887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22933), 1,
      sym__indent,
    STATE(17348), 2,
      sym_comment,
      sym_block_comment,
  [665901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8144), 1,
      anon_sym_def,
    STATE(17349), 2,
      sym_comment,
      sym_block_comment,
  [665915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22935), 1,
      sym__outdent,
    STATE(17350), 2,
      sym_comment,
      sym_block_comment,
  [665929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22937), 1,
      sym__indent,
    STATE(17351), 2,
      sym_comment,
      sym_block_comment,
  [665943] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22939), 1,
      anon_sym_RPAREN,
    STATE(17352), 2,
      sym_comment,
      sym_block_comment,
  [665957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15309), 1,
      anon_sym_def,
    STATE(17353), 2,
      sym_comment,
      sym_block_comment,
  [665971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22941), 1,
      anon_sym_RBRACE,
    STATE(17354), 2,
      sym_comment,
      sym_block_comment,
  [665985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22943), 1,
      sym__outdent,
    STATE(17355), 2,
      sym_comment,
      sym_block_comment,
  [665999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22925), 1,
      anon_sym_RBRACE,
    STATE(17356), 2,
      sym_comment,
      sym_block_comment,
  [666013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22945), 1,
      anon_sym_do,
    STATE(17357), 2,
      sym_comment,
      sym_block_comment,
  [666027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22947), 1,
      sym__outdent,
    STATE(17358), 2,
      sym_comment,
      sym_block_comment,
  [666041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22949), 1,
      anon_sym_RPAREN,
    STATE(17359), 2,
      sym_comment,
      sym_block_comment,
  [666055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22951), 1,
      anon_sym_RBRACE,
    STATE(17360), 2,
      sym_comment,
      sym_block_comment,
  [666069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22953), 1,
      anon_sym_EQ_GT_GT,
    STATE(17361), 2,
      sym_comment,
      sym_block_comment,
  [666083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22955), 1,
      sym__outdent,
    STATE(17362), 2,
      sym_comment,
      sym_block_comment,
  [666097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22957), 1,
      sym__outdent,
    STATE(17363), 2,
      sym_comment,
      sym_block_comment,
  [666111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22959), 1,
      anon_sym_EQ_GT_GT,
    STATE(17364), 2,
      sym_comment,
      sym_block_comment,
  [666125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22961), 1,
      anon_sym_RPAREN,
    STATE(17365), 2,
      sym_comment,
      sym_block_comment,
  [666139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22963), 1,
      sym__outdent,
    STATE(17366), 2,
      sym_comment,
      sym_block_comment,
  [666153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22965), 1,
      anon_sym_with,
    STATE(17367), 2,
      sym_comment,
      sym_block_comment,
  [666167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22967), 1,
      anon_sym_RBRACE,
    STATE(17368), 2,
      sym_comment,
      sym_block_comment,
  [666181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22969), 1,
      anon_sym_RPAREN,
    STATE(17369), 2,
      sym_comment,
      sym_block_comment,
  [666195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22971), 1,
      sym__indent,
    STATE(17370), 2,
      sym_comment,
      sym_block_comment,
  [666209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22973), 1,
      anon_sym_EQ_GT_GT,
    STATE(17371), 2,
      sym_comment,
      sym_block_comment,
  [666223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22975), 1,
      sym__outdent,
    STATE(17372), 2,
      sym_comment,
      sym_block_comment,
  [666237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22977), 1,
      sym__outdent,
    STATE(17373), 2,
      sym_comment,
      sym_block_comment,
  [666251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22979), 1,
      anon_sym_RPAREN,
    STATE(17374), 2,
      sym_comment,
      sym_block_comment,
  [666265] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22981), 1,
      anon_sym_else,
    STATE(17375), 2,
      sym_comment,
      sym_block_comment,
  [666279] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11916), 1,
      anon_sym_with,
    STATE(17376), 2,
      sym_comment,
      sym_block_comment,
  [666293] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22983), 1,
      anon_sym_EQ_GT_GT,
    STATE(17377), 2,
      sym_comment,
      sym_block_comment,
  [666307] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22985), 1,
      sym__outdent,
    STATE(17378), 2,
      sym_comment,
      sym_block_comment,
  [666321] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13463), 1,
      sym__indent,
    STATE(17379), 2,
      sym_comment,
      sym_block_comment,
  [666335] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22987), 1,
      sym__outdent,
    STATE(17380), 2,
      sym_comment,
      sym_block_comment,
  [666349] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22989), 1,
      anon_sym_RPAREN,
    STATE(17381), 2,
      sym_comment,
      sym_block_comment,
  [666363] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22991), 1,
      anon_sym_RBRACE,
    STATE(17382), 2,
      sym_comment,
      sym_block_comment,
  [666377] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22993), 1,
      anon_sym_else,
    STATE(17383), 2,
      sym_comment,
      sym_block_comment,
  [666391] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22995), 1,
      anon_sym_RPAREN,
    STATE(17384), 2,
      sym_comment,
      sym_block_comment,
  [666405] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22997), 1,
      anon_sym_RPAREN,
    STATE(17385), 2,
      sym_comment,
      sym_block_comment,
  [666419] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(22999), 1,
      sym__outdent,
    STATE(17386), 2,
      sym_comment,
      sym_block_comment,
  [666433] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23001), 1,
      anon_sym_RPAREN,
    STATE(17387), 2,
      sym_comment,
      sym_block_comment,
  [666447] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23003), 1,
      sym__indent,
    STATE(17388), 2,
      sym_comment,
      sym_block_comment,
  [666461] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23005), 1,
      sym__outdent,
    STATE(17389), 2,
      sym_comment,
      sym_block_comment,
  [666475] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23007), 1,
      anon_sym_EQ,
    STATE(17390), 2,
      sym_comment,
      sym_block_comment,
  [666489] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23009), 1,
      sym__outdent,
    STATE(17391), 2,
      sym_comment,
      sym_block_comment,
  [666503] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23011), 1,
      anon_sym_EQ,
    STATE(17392), 2,
      sym_comment,
      sym_block_comment,
  [666517] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23013), 1,
      anon_sym_else,
    STATE(17393), 2,
      sym_comment,
      sym_block_comment,
  [666531] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23015), 1,
      anon_sym_RPAREN,
    STATE(17394), 2,
      sym_comment,
      sym_block_comment,
  [666545] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23017), 1,
      sym__indent,
    STATE(17395), 2,
      sym_comment,
      sym_block_comment,
  [666559] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23019), 1,
      anon_sym_RBRACE,
    STATE(17396), 2,
      sym_comment,
      sym_block_comment,
  [666573] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23021), 1,
      anon_sym_else,
    STATE(17397), 2,
      sym_comment,
      sym_block_comment,
  [666587] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23023), 1,
      anon_sym_do,
    STATE(17398), 2,
      sym_comment,
      sym_block_comment,
  [666601] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23025), 1,
      sym__outdent,
    STATE(17399), 2,
      sym_comment,
      sym_block_comment,
  [666615] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23027), 1,
      sym__outdent,
    STATE(17400), 2,
      sym_comment,
      sym_block_comment,
  [666629] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23029), 1,
      anon_sym_RPAREN,
    STATE(17401), 2,
      sym_comment,
      sym_block_comment,
  [666643] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23031), 1,
      sym__indent,
    STATE(17402), 2,
      sym_comment,
      sym_block_comment,
  [666657] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23033), 1,
      sym__outdent,
    STATE(17403), 2,
      sym_comment,
      sym_block_comment,
  [666671] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23035), 1,
      anon_sym_RPAREN,
    STATE(17404), 2,
      sym_comment,
      sym_block_comment,
  [666685] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23037), 1,
      anon_sym_RBRACE,
    STATE(17405), 2,
      sym_comment,
      sym_block_comment,
  [666699] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23039), 1,
      anon_sym_RBRACE,
    STATE(17406), 2,
      sym_comment,
      sym_block_comment,
  [666713] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23041), 1,
      anon_sym_RPAREN,
    STATE(17407), 2,
      sym_comment,
      sym_block_comment,
  [666727] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23043), 1,
      anon_sym_RBRACE,
    STATE(17408), 2,
      sym_comment,
      sym_block_comment,
  [666741] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23045), 1,
      sym__indent,
    STATE(17409), 2,
      sym_comment,
      sym_block_comment,
  [666755] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23047), 1,
      sym__outdent,
    STATE(17410), 2,
      sym_comment,
      sym_block_comment,
  [666769] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23049), 1,
      anon_sym_RPAREN,
    STATE(17411), 2,
      sym_comment,
      sym_block_comment,
  [666783] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23051), 1,
      sym__outdent,
    STATE(17412), 2,
      sym_comment,
      sym_block_comment,
  [666797] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23053), 1,
      anon_sym_RBRACE,
    STATE(17413), 2,
      sym_comment,
      sym_block_comment,
  [666811] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23055), 1,
      sym__outdent,
    STATE(17414), 2,
      sym_comment,
      sym_block_comment,
  [666825] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23057), 1,
      anon_sym_RBRACK,
    STATE(17415), 2,
      sym_comment,
      sym_block_comment,
  [666839] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23059), 1,
      sym__indent,
    STATE(17416), 2,
      sym_comment,
      sym_block_comment,
  [666853] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23061), 1,
      anon_sym_RPAREN,
    STATE(17417), 2,
      sym_comment,
      sym_block_comment,
  [666867] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23057), 1,
      anon_sym_RBRACE,
    STATE(17418), 2,
      sym_comment,
      sym_block_comment,
  [666881] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23063), 1,
      anon_sym_RBRACE,
    STATE(17419), 2,
      sym_comment,
      sym_block_comment,
  [666895] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23065), 1,
      anon_sym_RBRACK,
    STATE(17420), 2,
      sym_comment,
      sym_block_comment,
  [666909] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23065), 1,
      anon_sym_RBRACE,
    STATE(17421), 2,
      sym_comment,
      sym_block_comment,
  [666923] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23067), 1,
      anon_sym_RBRACE,
    STATE(17422), 2,
      sym_comment,
      sym_block_comment,
  [666937] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23069), 1,
      sym__indent,
    STATE(17423), 2,
      sym_comment,
      sym_block_comment,
  [666951] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23067), 1,
      anon_sym_RPAREN,
    STATE(17424), 2,
      sym_comment,
      sym_block_comment,
  [666965] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23071), 1,
      anon_sym_RPAREN,
    STATE(17425), 2,
      sym_comment,
      sym_block_comment,
  [666979] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23073), 1,
      anon_sym_RPAREN,
    STATE(17426), 2,
      sym_comment,
      sym_block_comment,
  [666993] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23071), 1,
      anon_sym_RBRACE,
    STATE(17427), 2,
      sym_comment,
      sym_block_comment,
  [667007] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23075), 1,
      sym__outdent,
    STATE(17428), 2,
      sym_comment,
      sym_block_comment,
  [667021] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23077), 1,
      anon_sym_RPAREN,
    STATE(17429), 2,
      sym_comment,
      sym_block_comment,
  [667035] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23079), 1,
      sym__indent,
    STATE(17430), 2,
      sym_comment,
      sym_block_comment,
  [667049] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23081), 1,
      sym__outdent,
    STATE(17431), 2,
      sym_comment,
      sym_block_comment,
  [667063] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23083), 1,
      sym__outdent,
    STATE(17432), 2,
      sym_comment,
      sym_block_comment,
  [667077] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23085), 1,
      anon_sym_RPAREN,
    STATE(17433), 2,
      sym_comment,
      sym_block_comment,
  [667091] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23087), 1,
      sym__outdent,
    STATE(17434), 2,
      sym_comment,
      sym_block_comment,
  [667105] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23089), 1,
      anon_sym_RBRACE,
    STATE(17435), 2,
      sym_comment,
      sym_block_comment,
  [667119] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23091), 1,
      anon_sym_RBRACE,
    STATE(17436), 2,
      sym_comment,
      sym_block_comment,
  [667133] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23093), 1,
      sym__indent,
    STATE(17437), 2,
      sym_comment,
      sym_block_comment,
  [667147] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23095), 1,
      anon_sym_else,
    STATE(17438), 2,
      sym_comment,
      sym_block_comment,
  [667161] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23097), 1,
      anon_sym_RPAREN,
    STATE(17439), 2,
      sym_comment,
      sym_block_comment,
  [667175] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23099), 1,
      sym__outdent,
    STATE(17440), 2,
      sym_comment,
      sym_block_comment,
  [667189] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23101), 1,
      anon_sym_else,
    STATE(17441), 2,
      sym_comment,
      sym_block_comment,
  [667203] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23103), 1,
      anon_sym_RPAREN,
    STATE(17442), 2,
      sym_comment,
      sym_block_comment,
  [667217] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23105), 1,
      anon_sym_RBRACE,
    STATE(17443), 2,
      sym_comment,
      sym_block_comment,
  [667231] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23107), 1,
      sym__indent,
    STATE(17444), 2,
      sym_comment,
      sym_block_comment,
  [667245] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23109), 1,
      sym__outdent,
    STATE(17445), 2,
      sym_comment,
      sym_block_comment,
  [667259] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23111), 1,
      anon_sym_RPAREN,
    STATE(17446), 2,
      sym_comment,
      sym_block_comment,
  [667273] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23113), 1,
      anon_sym_do,
    STATE(17447), 2,
      sym_comment,
      sym_block_comment,
  [667287] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23115), 1,
      sym__outdent,
    STATE(17448), 2,
      sym_comment,
      sym_block_comment,
  [667301] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23117), 1,
      sym__outdent,
    STATE(17449), 2,
      sym_comment,
      sym_block_comment,
  [667315] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23119), 1,
      anon_sym_RPAREN,
    STATE(17450), 2,
      sym_comment,
      sym_block_comment,
  [667329] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23121), 1,
      sym__indent,
    STATE(17451), 2,
      sym_comment,
      sym_block_comment,
  [667343] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23123), 1,
      anon_sym_RBRACE,
    STATE(17452), 2,
      sym_comment,
      sym_block_comment,
  [667357] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23125), 1,
      anon_sym_RBRACE,
    STATE(17453), 2,
      sym_comment,
      sym_block_comment,
  [667371] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23127), 1,
      sym__outdent,
    STATE(17454), 2,
      sym_comment,
      sym_block_comment,
  [667385] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23129), 1,
      anon_sym_RBRACE,
    STATE(17455), 2,
      sym_comment,
      sym_block_comment,
  [667399] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23131), 1,
      sym__outdent,
    STATE(17456), 2,
      sym_comment,
      sym_block_comment,
  [667413] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23133), 1,
      anon_sym_RPAREN,
    STATE(17457), 2,
      sym_comment,
      sym_block_comment,
  [667427] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23135), 1,
      sym__indent,
    STATE(17458), 2,
      sym_comment,
      sym_block_comment,
  [667441] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23129), 1,
      anon_sym_RPAREN,
    STATE(17459), 2,
      sym_comment,
      sym_block_comment,
  [667455] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23137), 1,
      anon_sym_do,
    STATE(17460), 2,
      sym_comment,
      sym_block_comment,
  [667469] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23139), 1,
      sym__outdent,
    STATE(17461), 2,
      sym_comment,
      sym_block_comment,
  [667483] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23141), 1,
      anon_sym_else,
    STATE(17462), 2,
      sym_comment,
      sym_block_comment,
  [667497] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9751), 1,
      anon_sym_EQ_GT,
    STATE(17463), 2,
      sym_comment,
      sym_block_comment,
  [667511] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23143), 1,
      anon_sym_RPAREN,
    STATE(17464), 2,
      sym_comment,
      sym_block_comment,
  [667525] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23145), 1,
      sym__indent,
    STATE(17465), 2,
      sym_comment,
      sym_block_comment,
  [667539] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23147), 1,
      anon_sym_RPAREN,
    STATE(17466), 2,
      sym_comment,
      sym_block_comment,
  [667553] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23149), 1,
      sym__outdent,
    STATE(17467), 2,
      sym_comment,
      sym_block_comment,
  [667567] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23151), 1,
      sym__outdent,
    STATE(17468), 2,
      sym_comment,
      sym_block_comment,
  [667581] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23153), 1,
      anon_sym_RBRACE,
    STATE(17469), 2,
      sym_comment,
      sym_block_comment,
  [667595] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23155), 1,
      anon_sym_using,
    STATE(17470), 2,
      sym_comment,
      sym_block_comment,
  [667609] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9700), 1,
      anon_sym_EQ_GT,
    STATE(17471), 2,
      sym_comment,
      sym_block_comment,
  [667623] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23157), 1,
      sym__indent,
    STATE(17472), 2,
      sym_comment,
      sym_block_comment,
  [667637] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23159), 1,
      anon_sym_RBRACE,
    STATE(17473), 2,
      sym_comment,
      sym_block_comment,
  [667651] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23161), 1,
      anon_sym_else,
    STATE(17474), 2,
      sym_comment,
      sym_block_comment,
  [667665] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23163), 1,
      anon_sym_RPAREN,
    STATE(17475), 2,
      sym_comment,
      sym_block_comment,
  [667679] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23165), 1,
      anon_sym_RPAREN,
    STATE(17476), 2,
      sym_comment,
      sym_block_comment,
  [667693] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23167), 1,
      sym__outdent,
    STATE(17477), 2,
      sym_comment,
      sym_block_comment,
  [667707] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23169), 1,
      anon_sym_EQ_GT_GT,
    STATE(17478), 2,
      sym_comment,
      sym_block_comment,
  [667721] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23171), 1,
      sym__indent,
    STATE(17479), 2,
      sym_comment,
      sym_block_comment,
  [667735] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23173), 1,
      sym__outdent,
    STATE(17480), 2,
      sym_comment,
      sym_block_comment,
  [667749] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23175), 1,
      anon_sym_RPAREN,
    STATE(17481), 2,
      sym_comment,
      sym_block_comment,
  [667763] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23177), 1,
      anon_sym_else,
    STATE(17482), 2,
      sym_comment,
      sym_block_comment,
  [667777] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23179), 1,
      anon_sym_RBRACE,
    STATE(17483), 2,
      sym_comment,
      sym_block_comment,
  [667791] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23181), 1,
      anon_sym_COLON,
    STATE(17484), 2,
      sym_comment,
      sym_block_comment,
  [667805] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23183), 1,
      sym__indent,
    STATE(17485), 2,
      sym_comment,
      sym_block_comment,
  [667819] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23185), 1,
      anon_sym_RPAREN,
    STATE(17486), 2,
      sym_comment,
      sym_block_comment,
  [667833] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23187), 1,
      anon_sym_EQ_GT_GT,
    STATE(17487), 2,
      sym_comment,
      sym_block_comment,
  [667847] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23189), 1,
      anon_sym_do,
    STATE(17488), 2,
      sym_comment,
      sym_block_comment,
  [667861] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23191), 1,
      anon_sym_EQ_GT_GT,
    STATE(17489), 2,
      sym_comment,
      sym_block_comment,
  [667875] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23193), 1,
      anon_sym_RPAREN,
    STATE(17490), 2,
      sym_comment,
      sym_block_comment,
  [667889] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23195), 1,
      sym__indent,
    STATE(17491), 2,
      sym_comment,
      sym_block_comment,
  [667903] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23197), 1,
      anon_sym_RBRACE,
    STATE(17492), 2,
      sym_comment,
      sym_block_comment,
  [667917] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23199), 1,
      anon_sym_RBRACE,
    STATE(17493), 2,
      sym_comment,
      sym_block_comment,
  [667931] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23199), 1,
      anon_sym_RPAREN,
    STATE(17494), 2,
      sym_comment,
      sym_block_comment,
  [667945] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23201), 1,
      sym__outdent,
    STATE(17495), 2,
      sym_comment,
      sym_block_comment,
  [667959] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23203), 1,
      anon_sym_RPAREN,
    STATE(17496), 2,
      sym_comment,
      sym_block_comment,
  [667973] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23205), 1,
      sym__indent,
    STATE(17497), 2,
      sym_comment,
      sym_block_comment,
  [667987] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23207), 1,
      anon_sym_RPAREN,
    STATE(17498), 2,
      sym_comment,
      sym_block_comment,
  [668001] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23209), 1,
      sym__outdent,
    STATE(17499), 2,
      sym_comment,
      sym_block_comment,
  [668015] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23211), 1,
      anon_sym_RPAREN,
    STATE(17500), 2,
      sym_comment,
      sym_block_comment,
  [668029] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23213), 1,
      sym__outdent,
    STATE(17501), 2,
      sym_comment,
      sym_block_comment,
  [668043] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23215), 1,
      anon_sym_RBRACE,
    STATE(17502), 2,
      sym_comment,
      sym_block_comment,
  [668057] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23217), 1,
      sym__indent,
    STATE(17503), 2,
      sym_comment,
      sym_block_comment,
  [668071] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23219), 1,
      anon_sym_else,
    STATE(17504), 2,
      sym_comment,
      sym_block_comment,
  [668085] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23221), 1,
      anon_sym_EQ_GT_GT,
    STATE(17505), 2,
      sym_comment,
      sym_block_comment,
  [668099] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23223), 1,
      anon_sym_RPAREN,
    STATE(17506), 2,
      sym_comment,
      sym_block_comment,
  [668113] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23225), 1,
      sym__outdent,
    STATE(17507), 2,
      sym_comment,
      sym_block_comment,
  [668127] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23227), 1,
      sym__outdent,
    STATE(17508), 2,
      sym_comment,
      sym_block_comment,
  [668141] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23229), 1,
      sym__indent,
    STATE(17509), 2,
      sym_comment,
      sym_block_comment,
  [668155] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23231), 1,
      sym__outdent,
    STATE(17510), 2,
      sym_comment,
      sym_block_comment,
  [668169] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23233), 1,
      anon_sym_RPAREN,
    STATE(17511), 2,
      sym_comment,
      sym_block_comment,
  [668183] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23235), 1,
      anon_sym_else,
    STATE(17512), 2,
      sym_comment,
      sym_block_comment,
  [668197] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23237), 1,
      sym__outdent,
    STATE(17513), 2,
      sym_comment,
      sym_block_comment,
  [668211] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23239), 1,
      anon_sym_RPAREN,
    STATE(17514), 2,
      sym_comment,
      sym_block_comment,
  [668225] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23241), 1,
      sym__indent,
    STATE(17515), 2,
      sym_comment,
      sym_block_comment,
  [668239] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23243), 1,
      anon_sym_RPAREN,
    STATE(17516), 2,
      sym_comment,
      sym_block_comment,
  [668253] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23245), 1,
      anon_sym_do,
    STATE(17517), 2,
      sym_comment,
      sym_block_comment,
  [668267] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23247), 1,
      anon_sym_RBRACE,
    STATE(17518), 2,
      sym_comment,
      sym_block_comment,
  [668281] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23249), 1,
      anon_sym_EQ,
    STATE(17519), 2,
      sym_comment,
      sym_block_comment,
  [668295] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23251), 1,
      anon_sym_EQ,
    STATE(17520), 2,
      sym_comment,
      sym_block_comment,
  [668309] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23253), 1,
      sym__indent,
    STATE(17521), 2,
      sym_comment,
      sym_block_comment,
  [668323] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23255), 1,
      anon_sym_RBRACE,
    STATE(17522), 2,
      sym_comment,
      sym_block_comment,
  [668337] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23257), 1,
      anon_sym_RBRACE,
    STATE(17523), 2,
      sym_comment,
      sym_block_comment,
  [668351] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23257), 1,
      anon_sym_RPAREN,
    STATE(17524), 2,
      sym_comment,
      sym_block_comment,
  [668365] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23259), 1,
      anon_sym_else,
    STATE(17525), 2,
      sym_comment,
      sym_block_comment,
  [668379] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23261), 1,
      sym__outdent,
    STATE(17526), 2,
      sym_comment,
      sym_block_comment,
  [668393] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23263), 1,
      sym__indent,
    STATE(17527), 2,
      sym_comment,
      sym_block_comment,
  [668407] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23265), 1,
      anon_sym_RPAREN,
    STATE(17528), 2,
      sym_comment,
      sym_block_comment,
  [668421] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23267), 1,
      sym__outdent,
    STATE(17529), 2,
      sym_comment,
      sym_block_comment,
  [668435] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23269), 1,
      anon_sym_RPAREN,
    STATE(17530), 2,
      sym_comment,
      sym_block_comment,
  [668449] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23271), 1,
      sym__outdent,
    STATE(17531), 2,
      sym_comment,
      sym_block_comment,
  [668463] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8124), 1,
      anon_sym_type,
    STATE(17532), 2,
      sym_comment,
      sym_block_comment,
  [668477] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23273), 1,
      sym__indent,
    STATE(17533), 2,
      sym_comment,
      sym_block_comment,
  [668491] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23275), 1,
      anon_sym_RBRACE,
    STATE(17534), 2,
      sym_comment,
      sym_block_comment,
  [668505] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23277), 1,
      anon_sym_else,
    STATE(17535), 2,
      sym_comment,
      sym_block_comment,
  [668519] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23279), 1,
      anon_sym_RPAREN,
    STATE(17536), 2,
      sym_comment,
      sym_block_comment,
  [668533] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23281), 1,
      sym__outdent,
    STATE(17537), 2,
      sym_comment,
      sym_block_comment,
  [668547] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23283), 1,
      sym__outdent,
    STATE(17538), 2,
      sym_comment,
      sym_block_comment,
  [668561] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23285), 1,
      sym__indent,
    STATE(17539), 2,
      sym_comment,
      sym_block_comment,
  [668575] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23287), 1,
      anon_sym_RPAREN,
    STATE(17540), 2,
      sym_comment,
      sym_block_comment,
  [668589] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23289), 1,
      anon_sym_else,
    STATE(17541), 2,
      sym_comment,
      sym_block_comment,
  [668603] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23291), 1,
      sym__outdent,
    STATE(17542), 2,
      sym_comment,
      sym_block_comment,
  [668617] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23293), 1,
      anon_sym_RPAREN,
    STATE(17543), 2,
      sym_comment,
      sym_block_comment,
  [668631] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23295), 1,
      anon_sym_EQ_GT,
    STATE(17544), 2,
      sym_comment,
      sym_block_comment,
  [668645] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23297), 1,
      sym__indent,
    STATE(17545), 2,
      sym_comment,
      sym_block_comment,
  [668659] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23299), 1,
      anon_sym_do,
    STATE(17546), 2,
      sym_comment,
      sym_block_comment,
  [668673] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23301), 1,
      sym__outdent,
    STATE(17547), 2,
      sym_comment,
      sym_block_comment,
  [668687] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23303), 1,
      anon_sym_RBRACE,
    STATE(17548), 2,
      sym_comment,
      sym_block_comment,
  [668701] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8352), 1,
      anon_sym_EQ_GT,
    STATE(17549), 2,
      sym_comment,
      sym_block_comment,
  [668715] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23305), 1,
      anon_sym_RBRACE,
    STATE(17550), 2,
      sym_comment,
      sym_block_comment,
  [668729] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23307), 1,
      sym__indent,
    STATE(17551), 2,
      sym_comment,
      sym_block_comment,
  [668743] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23309), 1,
      anon_sym_RPAREN,
    STATE(17552), 2,
      sym_comment,
      sym_block_comment,
  [668757] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23311), 1,
      sym__outdent,
    STATE(17553), 2,
      sym_comment,
      sym_block_comment,
  [668771] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23313), 1,
      anon_sym_RPAREN,
    STATE(17554), 2,
      sym_comment,
      sym_block_comment,
  [668785] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23315), 1,
      anon_sym_RPAREN,
    STATE(17555), 2,
      sym_comment,
      sym_block_comment,
  [668799] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23317), 1,
      sym__outdent,
    STATE(17556), 2,
      sym_comment,
      sym_block_comment,
  [668813] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23319), 1,
      sym__indent,
    STATE(17557), 2,
      sym_comment,
      sym_block_comment,
  [668827] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23321), 1,
      anon_sym_RPAREN,
    STATE(17558), 2,
      sym_comment,
      sym_block_comment,
  [668841] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23323), 1,
      anon_sym_RPAREN,
    STATE(17559), 2,
      sym_comment,
      sym_block_comment,
  [668855] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23325), 1,
      anon_sym_RPAREN,
    STATE(17560), 2,
      sym_comment,
      sym_block_comment,
  [668869] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23327), 1,
      sym__outdent,
    STATE(17561), 2,
      sym_comment,
      sym_block_comment,
  [668883] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23329), 1,
      ts_builtin_sym_end,
    STATE(17562), 2,
      sym_comment,
      sym_block_comment,
  [668897] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23331), 1,
      sym__indent,
    STATE(17563), 2,
      sym_comment,
      sym_block_comment,
  [668911] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23333), 1,
      anon_sym_RBRACE,
    STATE(17564), 2,
      sym_comment,
      sym_block_comment,
  [668925] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23335), 1,
      anon_sym_else,
    STATE(17565), 2,
      sym_comment,
      sym_block_comment,
  [668939] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23337), 1,
      anon_sym_RPAREN,
    STATE(17566), 2,
      sym_comment,
      sym_block_comment,
  [668953] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23339), 1,
      sym__outdent,
    STATE(17567), 2,
      sym_comment,
      sym_block_comment,
  [668967] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23341), 1,
      sym__outdent,
    STATE(17568), 2,
      sym_comment,
      sym_block_comment,
  [668981] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23343), 1,
      sym__indent,
    STATE(17569), 2,
      sym_comment,
      sym_block_comment,
  [668995] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23345), 1,
      sym__outdent,
    STATE(17570), 2,
      sym_comment,
      sym_block_comment,
  [669009] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23347), 1,
      anon_sym_RPAREN,
    STATE(17571), 2,
      sym_comment,
      sym_block_comment,
  [669023] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23349), 1,
      anon_sym_else,
    STATE(17572), 2,
      sym_comment,
      sym_block_comment,
  [669037] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23351), 1,
      sym__outdent,
    STATE(17573), 2,
      sym_comment,
      sym_block_comment,
  [669051] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23353), 1,
      anon_sym_RPAREN,
    STATE(17574), 2,
      sym_comment,
      sym_block_comment,
  [669065] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23355), 1,
      sym__indent,
    STATE(17575), 2,
      sym_comment,
      sym_block_comment,
  [669079] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23357), 1,
      anon_sym_do,
    STATE(17576), 2,
      sym_comment,
      sym_block_comment,
  [669093] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23359), 1,
      anon_sym_RBRACE,
    STATE(17577), 2,
      sym_comment,
      sym_block_comment,
  [669107] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23361), 1,
      anon_sym_RBRACE,
    STATE(17578), 2,
      sym_comment,
      sym_block_comment,
  [669121] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23363), 1,
      anon_sym_RBRACK,
    STATE(17579), 2,
      sym_comment,
      sym_block_comment,
  [669135] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23365), 1,
      anon_sym_RBRACE,
    STATE(17580), 2,
      sym_comment,
      sym_block_comment,
  [669149] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23367), 1,
      sym__indent,
    STATE(17581), 2,
      sym_comment,
      sym_block_comment,
  [669163] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23365), 1,
      anon_sym_RPAREN,
    STATE(17582), 2,
      sym_comment,
      sym_block_comment,
  [669177] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23363), 1,
      anon_sym_RBRACE,
    STATE(17583), 2,
      sym_comment,
      sym_block_comment,
  [669191] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23369), 1,
      sym__outdent,
    STATE(17584), 2,
      sym_comment,
      sym_block_comment,
  [669205] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23371), 1,
      anon_sym_RBRACK,
    STATE(17585), 2,
      sym_comment,
      sym_block_comment,
  [669219] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23371), 1,
      anon_sym_RBRACE,
    STATE(17586), 2,
      sym_comment,
      sym_block_comment,
  [669233] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23373), 1,
      sym__indent,
    STATE(17587), 2,
      sym_comment,
      sym_block_comment,
  [669247] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23375), 1,
      anon_sym_RPAREN,
    STATE(17588), 2,
      sym_comment,
      sym_block_comment,
  [669261] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23377), 1,
      anon_sym_RPAREN,
    STATE(17589), 2,
      sym_comment,
      sym_block_comment,
  [669275] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23379), 1,
      sym__outdent,
    STATE(17590), 2,
      sym_comment,
      sym_block_comment,
  [669289] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23381), 1,
      anon_sym_RBRACK,
    STATE(17591), 2,
      sym_comment,
      sym_block_comment,
  [669303] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23383), 1,
      anon_sym_RPAREN,
    STATE(17592), 2,
      sym_comment,
      sym_block_comment,
  [669317] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23385), 1,
      sym__indent,
    STATE(17593), 2,
      sym_comment,
      sym_block_comment,
  [669331] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23387), 1,
      anon_sym_RPAREN,
    STATE(17594), 2,
      sym_comment,
      sym_block_comment,
  [669345] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23383), 1,
      anon_sym_RBRACE,
    STATE(17595), 2,
      sym_comment,
      sym_block_comment,
  [669359] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23389), 1,
      sym__outdent,
    STATE(17596), 2,
      sym_comment,
      sym_block_comment,
  [669373] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23391), 1,
      anon_sym_RPAREN,
    STATE(17597), 2,
      sym_comment,
      sym_block_comment,
  [669387] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23393), 1,
      sym__outdent,
    STATE(17598), 2,
      sym_comment,
      sym_block_comment,
  [669401] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23395), 1,
      sym__indent,
    STATE(17599), 2,
      sym_comment,
      sym_block_comment,
  [669415] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23397), 1,
      anon_sym_RBRACE,
    STATE(17600), 2,
      sym_comment,
      sym_block_comment,
  [669429] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23399), 1,
      anon_sym_else,
    STATE(17601), 2,
      sym_comment,
      sym_block_comment,
  [669443] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23401), 1,
      anon_sym_RPAREN,
    STATE(17602), 2,
      sym_comment,
      sym_block_comment,
  [669457] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23403), 1,
      sym__outdent,
    STATE(17603), 2,
      sym_comment,
      sym_block_comment,
  [669471] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23405), 1,
      anon_sym_else,
    STATE(17604), 2,
      sym_comment,
      sym_block_comment,
  [669485] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23407), 1,
      sym__indent,
    STATE(17605), 2,
      sym_comment,
      sym_block_comment,
  [669499] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23409), 1,
      sym__outdent,
    STATE(17606), 2,
      sym_comment,
      sym_block_comment,
  [669513] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23411), 1,
      anon_sym_RPAREN,
    STATE(17607), 2,
      sym_comment,
      sym_block_comment,
  [669527] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23413), 1,
      anon_sym_do,
    STATE(17608), 2,
      sym_comment,
      sym_block_comment,
  [669541] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23415), 1,
      anon_sym_RBRACE,
    STATE(17609), 2,
      sym_comment,
      sym_block_comment,
  [669555] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23417), 1,
      sym__outdent,
    STATE(17610), 2,
      sym_comment,
      sym_block_comment,
  [669569] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23419), 1,
      sym__indent,
    STATE(17611), 2,
      sym_comment,
      sym_block_comment,
  [669583] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23421), 1,
      anon_sym_RPAREN,
    STATE(17612), 2,
      sym_comment,
      sym_block_comment,
  [669597] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23423), 1,
      anon_sym_RBRACE,
    STATE(17613), 2,
      sym_comment,
      sym_block_comment,
  [669611] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23425), 1,
      anon_sym_RBRACE,
    STATE(17614), 2,
      sym_comment,
      sym_block_comment,
  [669625] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23387), 1,
      anon_sym_RBRACE,
    STATE(17615), 2,
      sym_comment,
      sym_block_comment,
  [669639] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23427), 1,
      anon_sym_do,
    STATE(17616), 2,
      sym_comment,
      sym_block_comment,
  [669653] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23429), 1,
      sym__indent,
    STATE(17617), 2,
      sym_comment,
      sym_block_comment,
  [669667] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23431), 1,
      anon_sym_RBRACE,
    STATE(17618), 2,
      sym_comment,
      sym_block_comment,
  [669681] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23433), 1,
      sym__outdent,
    STATE(17619), 2,
      sym_comment,
      sym_block_comment,
  [669695] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23435), 1,
      anon_sym_RPAREN,
    STATE(17620), 2,
      sym_comment,
      sym_block_comment,
  [669709] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23437), 1,
      anon_sym_RPAREN,
    STATE(17621), 2,
      sym_comment,
      sym_block_comment,
  [669723] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23439), 1,
      sym__outdent,
    STATE(17622), 2,
      sym_comment,
      sym_block_comment,
  [669737] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23441), 1,
      sym__indent,
    STATE(17623), 2,
      sym_comment,
      sym_block_comment,
  [669751] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23443), 1,
      sym__outdent,
    STATE(17624), 2,
      sym_comment,
      sym_block_comment,
  [669765] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23445), 1,
      anon_sym_RPAREN,
    STATE(17625), 2,
      sym_comment,
      sym_block_comment,
  [669779] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23447), 1,
      anon_sym_else,
    STATE(17626), 2,
      sym_comment,
      sym_block_comment,
  [669793] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23449), 1,
      anon_sym_RBRACE,
    STATE(17627), 2,
      sym_comment,
      sym_block_comment,
  [669807] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23451), 1,
      anon_sym_RPAREN,
    STATE(17628), 2,
      sym_comment,
      sym_block_comment,
  [669821] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23453), 1,
      sym__indent,
    STATE(17629), 2,
      sym_comment,
      sym_block_comment,
  [669835] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23455), 1,
      sym__outdent,
    STATE(17630), 2,
      sym_comment,
      sym_block_comment,
  [669849] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23457), 1,
      anon_sym_RBRACE,
    STATE(17631), 2,
      sym_comment,
      sym_block_comment,
  [669863] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23459), 1,
      anon_sym_else,
    STATE(17632), 2,
      sym_comment,
      sym_block_comment,
  [669877] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23461), 1,
      sym__outdent,
    STATE(17633), 2,
      sym_comment,
      sym_block_comment,
  [669891] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23463), 1,
      anon_sym_RPAREN,
    STATE(17634), 2,
      sym_comment,
      sym_block_comment,
  [669905] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23465), 1,
      sym__indent,
    STATE(17635), 2,
      sym_comment,
      sym_block_comment,
  [669919] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23467), 1,
      anon_sym_do,
    STATE(17636), 2,
      sym_comment,
      sym_block_comment,
  [669933] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23469), 1,
      sym__outdent,
    STATE(17637), 2,
      sym_comment,
      sym_block_comment,
  [669947] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23471), 1,
      anon_sym_RPAREN,
    STATE(17638), 2,
      sym_comment,
      sym_block_comment,
  [669961] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23473), 1,
      anon_sym_RPAREN,
    STATE(17639), 2,
      sym_comment,
      sym_block_comment,
  [669975] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23315), 1,
      anon_sym_RBRACE,
    STATE(17640), 2,
      sym_comment,
      sym_block_comment,
  [669989] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23475), 1,
      sym__indent,
    STATE(17641), 2,
      sym_comment,
      sym_block_comment,
  [670003] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23477), 1,
      anon_sym_RBRACE,
    STATE(17642), 2,
      sym_comment,
      sym_block_comment,
  [670017] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23479), 1,
      anon_sym_RBRACE,
    STATE(17643), 2,
      sym_comment,
      sym_block_comment,
  [670031] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23479), 1,
      anon_sym_RPAREN,
    STATE(17644), 2,
      sym_comment,
      sym_block_comment,
  [670045] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23481), 1,
      anon_sym_EQ_GT_GT,
    STATE(17645), 2,
      sym_comment,
      sym_block_comment,
  [670059] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23483), 1,
      anon_sym_RPAREN,
    STATE(17646), 2,
      sym_comment,
      sym_block_comment,
  [670073] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23485), 1,
      sym__indent,
    STATE(17647), 2,
      sym_comment,
      sym_block_comment,
  [670087] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23487), 1,
      sym__outdent,
    STATE(17648), 2,
      sym_comment,
      sym_block_comment,
  [670101] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23489), 1,
      anon_sym_RPAREN,
    STATE(17649), 2,
      sym_comment,
      sym_block_comment,
  [670115] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23491), 1,
      sym__outdent,
    STATE(17650), 2,
      sym_comment,
      sym_block_comment,
  [670129] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23493), 1,
      sym__outdent,
    STATE(17651), 2,
      sym_comment,
      sym_block_comment,
  [670143] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23495), 1,
      sym__outdent,
    STATE(17652), 2,
      sym_comment,
      sym_block_comment,
  [670157] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23497), 1,
      sym__indent,
    STATE(17653), 2,
      sym_comment,
      sym_block_comment,
  [670171] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23499), 1,
      anon_sym_RBRACE,
    STATE(17654), 2,
      sym_comment,
      sym_block_comment,
  [670185] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23501), 1,
      anon_sym_EQ_GT_GT,
    STATE(17655), 2,
      sym_comment,
      sym_block_comment,
  [670199] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23503), 1,
      sym__outdent,
    STATE(17656), 2,
      sym_comment,
      sym_block_comment,
  [670213] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23505), 1,
      anon_sym_EQ_GT_GT,
    STATE(17657), 2,
      sym_comment,
      sym_block_comment,
  [670227] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23507), 1,
      anon_sym_RPAREN,
    STATE(17658), 2,
      sym_comment,
      sym_block_comment,
  [670241] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23509), 1,
      sym__indent,
    STATE(17659), 2,
      sym_comment,
      sym_block_comment,
  [670255] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23511), 1,
      anon_sym_else,
    STATE(17660), 2,
      sym_comment,
      sym_block_comment,
  [670269] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23513), 1,
      anon_sym_RBRACE,
    STATE(17661), 2,
      sym_comment,
      sym_block_comment,
  [670283] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23515), 1,
      anon_sym_RPAREN,
    STATE(17662), 2,
      sym_comment,
      sym_block_comment,
  [670297] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23517), 1,
      sym__outdent,
    STATE(17663), 2,
      sym_comment,
      sym_block_comment,
  [670311] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23519), 1,
      anon_sym_else,
    STATE(17664), 2,
      sym_comment,
      sym_block_comment,
  [670325] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23521), 1,
      sym__indent,
    STATE(17665), 2,
      sym_comment,
      sym_block_comment,
  [670339] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23523), 1,
      anon_sym_do,
    STATE(17666), 2,
      sym_comment,
      sym_block_comment,
  [670353] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23525), 1,
      anon_sym_EQ_GT,
    STATE(17667), 2,
      sym_comment,
      sym_block_comment,
  [670367] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23527), 1,
      sym__outdent,
    STATE(17668), 2,
      sym_comment,
      sym_block_comment,
  [670381] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23529), 1,
      anon_sym_RPAREN,
    STATE(17669), 2,
      sym_comment,
      sym_block_comment,
  [670395] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23531), 1,
      sym__outdent,
    STATE(17670), 2,
      sym_comment,
      sym_block_comment,
  [670409] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23533), 1,
      sym__indent,
    STATE(17671), 2,
      sym_comment,
      sym_block_comment,
  [670423] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23535), 1,
      anon_sym_RPAREN,
    STATE(17672), 2,
      sym_comment,
      sym_block_comment,
  [670437] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23537), 1,
      anon_sym_else,
    STATE(17673), 2,
      sym_comment,
      sym_block_comment,
  [670451] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23539), 1,
      anon_sym_RBRACE,
    STATE(17674), 2,
      sym_comment,
      sym_block_comment,
  [670465] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23541), 1,
      anon_sym_RBRACE,
    STATE(17675), 2,
      sym_comment,
      sym_block_comment,
  [670479] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23543), 1,
      sym__outdent,
    STATE(17676), 2,
      sym_comment,
      sym_block_comment,
  [670493] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23545), 1,
      sym__indent,
    STATE(17677), 2,
      sym_comment,
      sym_block_comment,
  [670507] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23547), 1,
      anon_sym_RBRACE,
    STATE(17678), 2,
      sym_comment,
      sym_block_comment,
  [670521] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23547), 1,
      anon_sym_RPAREN,
    STATE(17679), 2,
      sym_comment,
      sym_block_comment,
  [670535] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23549), 1,
      anon_sym_RPAREN,
    STATE(17680), 2,
      sym_comment,
      sym_block_comment,
  [670549] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23551), 1,
      sym__outdent,
    STATE(17681), 2,
      sym_comment,
      sym_block_comment,
  [670563] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23553), 1,
      sym__outdent,
    STATE(17682), 2,
      sym_comment,
      sym_block_comment,
  [670577] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23555), 1,
      sym__indent,
    STATE(17683), 2,
      sym_comment,
      sym_block_comment,
  [670591] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23557), 1,
      anon_sym_RPAREN,
    STATE(17684), 2,
      sym_comment,
      sym_block_comment,
  [670605] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23559), 1,
      anon_sym_else,
    STATE(17685), 2,
      sym_comment,
      sym_block_comment,
  [670619] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23561), 1,
      sym__outdent,
    STATE(17686), 2,
      sym_comment,
      sym_block_comment,
  [670633] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23563), 1,
      anon_sym_EQ_GT_GT,
    STATE(17687), 2,
      sym_comment,
      sym_block_comment,
  [670647] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23565), 1,
      anon_sym_RPAREN,
    STATE(17688), 2,
      sym_comment,
      sym_block_comment,
  [670661] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23567), 1,
      sym__indent,
    STATE(17689), 2,
      sym_comment,
      sym_block_comment,
  [670675] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23569), 1,
      anon_sym_RPAREN,
    STATE(17690), 2,
      sym_comment,
      sym_block_comment,
  [670689] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23571), 1,
      sym__outdent,
    STATE(17691), 2,
      sym_comment,
      sym_block_comment,
  [670703] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23573), 1,
      anon_sym_RBRACE,
    STATE(17692), 2,
      sym_comment,
      sym_block_comment,
  [670717] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23575), 1,
      sym__outdent,
    STATE(17693), 2,
      sym_comment,
      sym_block_comment,
  [670731] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23577), 1,
      sym__outdent,
    STATE(17694), 2,
      sym_comment,
      sym_block_comment,
  [670745] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23579), 1,
      sym__indent,
    STATE(17695), 2,
      sym_comment,
      sym_block_comment,
  [670759] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23581), 1,
      anon_sym_else,
    STATE(17696), 2,
      sym_comment,
      sym_block_comment,
  [670773] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23583), 1,
      anon_sym_do,
    STATE(17697), 2,
      sym_comment,
      sym_block_comment,
  [670787] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23585), 1,
      sym__outdent,
    STATE(17698), 2,
      sym_comment,
      sym_block_comment,
  [670801] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23587), 1,
      anon_sym_RPAREN,
    STATE(17699), 2,
      sym_comment,
      sym_block_comment,
  [670815] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23589), 1,
      anon_sym_RBRACE,
    STATE(17700), 2,
      sym_comment,
      sym_block_comment,
  [670829] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23591), 1,
      sym__indent,
    STATE(17701), 2,
      sym_comment,
      sym_block_comment,
  [670843] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23593), 1,
      sym__outdent,
    STATE(17702), 2,
      sym_comment,
      sym_block_comment,
  [670857] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23595), 1,
      anon_sym_RPAREN,
    STATE(17703), 2,
      sym_comment,
      sym_block_comment,
  [670871] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23597), 1,
      anon_sym_RPAREN,
    STATE(17704), 2,
      sym_comment,
      sym_block_comment,
  [670885] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23599), 1,
      anon_sym_RBRACE,
    STATE(17705), 2,
      sym_comment,
      sym_block_comment,
  [670899] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23601), 1,
      anon_sym_RBRACE,
    STATE(17706), 2,
      sym_comment,
      sym_block_comment,
  [670913] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23603), 1,
      sym__indent,
    STATE(17707), 2,
      sym_comment,
      sym_block_comment,
  [670927] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23431), 1,
      anon_sym_RPAREN,
    STATE(17708), 2,
      sym_comment,
      sym_block_comment,
  [670941] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23605), 1,
      anon_sym_RPAREN,
    STATE(17709), 2,
      sym_comment,
      sym_block_comment,
  [670955] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23607), 1,
      sym__outdent,
    STATE(17710), 2,
      sym_comment,
      sym_block_comment,
  [670969] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23609), 1,
      sym__outdent,
    STATE(17711), 2,
      sym_comment,
      sym_block_comment,
  [670983] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23611), 1,
      sym__indent,
    STATE(17712), 2,
      sym_comment,
      sym_block_comment,
  [670997] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23613), 1,
      anon_sym_RPAREN,
    STATE(17713), 2,
      sym_comment,
      sym_block_comment,
  [671011] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23615), 1,
      anon_sym_RPAREN,
    STATE(17714), 2,
      sym_comment,
      sym_block_comment,
  [671025] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23617), 1,
      anon_sym_else,
    STATE(17715), 2,
      sym_comment,
      sym_block_comment,
  [671039] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23619), 1,
      sym__outdent,
    STATE(17716), 2,
      sym_comment,
      sym_block_comment,
  [671053] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23621), 1,
      sym__indent,
    STATE(17717), 2,
      sym_comment,
      sym_block_comment,
  [671067] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23623), 1,
      anon_sym_RPAREN,
    STATE(17718), 2,
      sym_comment,
      sym_block_comment,
  [671081] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23625), 1,
      anon_sym_EQ,
    STATE(17719), 2,
      sym_comment,
      sym_block_comment,
  [671095] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23627), 1,
      anon_sym_RPAREN,
    STATE(17720), 2,
      sym_comment,
      sym_block_comment,
  [671109] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23629), 1,
      anon_sym_EQ,
    STATE(17721), 2,
      sym_comment,
      sym_block_comment,
  [671123] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23631), 1,
      sym__indent,
    STATE(17722), 2,
      sym_comment,
      sym_block_comment,
  [671137] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23633), 1,
      sym__outdent,
    STATE(17723), 2,
      sym_comment,
      sym_block_comment,
  [671151] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23635), 1,
      anon_sym_RBRACE,
    STATE(17724), 2,
      sym_comment,
      sym_block_comment,
  [671165] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23637), 1,
      anon_sym_else,
    STATE(17725), 2,
      sym_comment,
      sym_block_comment,
  [671179] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23639), 1,
      anon_sym_else,
    STATE(17726), 2,
      sym_comment,
      sym_block_comment,
  [671193] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23641), 1,
      sym__indent,
    STATE(17727), 2,
      sym_comment,
      sym_block_comment,
  [671207] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23643), 1,
      anon_sym_do,
    STATE(17728), 2,
      sym_comment,
      sym_block_comment,
  [671221] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23645), 1,
      sym__outdent,
    STATE(17729), 2,
      sym_comment,
      sym_block_comment,
  [671235] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23647), 1,
      anon_sym_RPAREN,
    STATE(17730), 2,
      sym_comment,
      sym_block_comment,
  [671249] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23649), 1,
      anon_sym_RBRACE,
    STATE(17731), 2,
      sym_comment,
      sym_block_comment,
  [671263] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23651), 1,
      sym__indent,
    STATE(17732), 2,
      sym_comment,
      sym_block_comment,
  [671277] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23653), 1,
      sym__outdent,
    STATE(17733), 2,
      sym_comment,
      sym_block_comment,
  [671291] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23655), 1,
      anon_sym_RPAREN,
    STATE(17734), 2,
      sym_comment,
      sym_block_comment,
  [671305] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23657), 1,
      anon_sym_RBRACE,
    STATE(17735), 2,
      sym_comment,
      sym_block_comment,
  [671319] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23657), 1,
      anon_sym_RPAREN,
    STATE(17736), 2,
      sym_comment,
      sym_block_comment,
  [671333] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23659), 1,
      sym__indent,
    STATE(17737), 2,
      sym_comment,
      sym_block_comment,
  [671347] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23661), 1,
      anon_sym_RBRACE,
    STATE(17738), 2,
      sym_comment,
      sym_block_comment,
  [671361] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23663), 1,
      anon_sym_RPAREN,
    STATE(17739), 2,
      sym_comment,
      sym_block_comment,
  [671375] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23665), 1,
      sym__outdent,
    STATE(17740), 2,
      sym_comment,
      sym_block_comment,
  [671389] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23667), 1,
      anon_sym_RBRACE,
    STATE(17741), 2,
      sym_comment,
      sym_block_comment,
  [671403] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23669), 1,
      sym__indent,
    STATE(17742), 2,
      sym_comment,
      sym_block_comment,
  [671417] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23671), 1,
      anon_sym_else,
    STATE(17743), 2,
      sym_comment,
      sym_block_comment,
  [671431] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23673), 1,
      sym__outdent,
    STATE(17744), 2,
      sym_comment,
      sym_block_comment,
  [671445] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23675), 1,
      anon_sym_RPAREN,
    STATE(17745), 2,
      sym_comment,
      sym_block_comment,
  [671459] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23677), 1,
      anon_sym_do,
    STATE(17746), 2,
      sym_comment,
      sym_block_comment,
  [671473] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23679), 1,
      sym__indent,
    STATE(17747), 2,
      sym_comment,
      sym_block_comment,
  [671487] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23681), 1,
      sym__outdent,
    STATE(17748), 2,
      sym_comment,
      sym_block_comment,
  [671501] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23683), 1,
      anon_sym_RPAREN,
    STATE(17749), 2,
      sym_comment,
      sym_block_comment,
  [671515] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23685), 1,
      sym__outdent,
    STATE(17750), 2,
      sym_comment,
      sym_block_comment,
  [671529] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15265), 1,
      anon_sym_def,
    STATE(17751), 2,
      sym_comment,
      sym_block_comment,
  [671543] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23687), 1,
      sym__indent,
    STATE(17752), 2,
      sym_comment,
      sym_block_comment,
  [671557] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23689), 1,
      anon_sym_RBRACE,
    STATE(17753), 2,
      sym_comment,
      sym_block_comment,
  [671571] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23691), 1,
      sym__outdent,
    STATE(17754), 2,
      sym_comment,
      sym_block_comment,
  [671585] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23693), 1,
      anon_sym_else,
    STATE(17755), 2,
      sym_comment,
      sym_block_comment,
  [671599] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23695), 1,
      anon_sym_EQ_GT,
    STATE(17756), 2,
      sym_comment,
      sym_block_comment,
  [671613] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23697), 1,
      sym__indent,
    STATE(17757), 2,
      sym_comment,
      sym_block_comment,
  [671627] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23699), 1,
      anon_sym_do,
    STATE(17758), 2,
      sym_comment,
      sym_block_comment,
  [671641] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23701), 1,
      sym__outdent,
    STATE(17759), 2,
      sym_comment,
      sym_block_comment,
  [671655] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23703), 1,
      anon_sym_RPAREN,
    STATE(17760), 2,
      sym_comment,
      sym_block_comment,
  [671669] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23705), 1,
      anon_sym_RBRACE,
    STATE(17761), 2,
      sym_comment,
      sym_block_comment,
  [671683] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23707), 1,
      sym__indent,
    STATE(17762), 2,
      sym_comment,
      sym_block_comment,
  [671697] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23709), 1,
      sym__indent,
    STATE(17763), 2,
      sym_comment,
      sym_block_comment,
  [671711] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23711), 1,
      sym__indent,
    STATE(17764), 2,
      sym_comment,
      sym_block_comment,
  [671725] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23713), 1,
      sym__indent,
    STATE(17765), 2,
      sym_comment,
      sym_block_comment,
  [671739] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23715), 1,
      sym__indent,
    STATE(17766), 2,
      sym_comment,
      sym_block_comment,
  [671753] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23717), 1,
      sym__indent,
    STATE(17767), 2,
      sym_comment,
      sym_block_comment,
  [671767] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23719), 1,
      sym__indent,
    STATE(17768), 2,
      sym_comment,
      sym_block_comment,
  [671781] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23721), 1,
      sym__indent,
    STATE(17769), 2,
      sym_comment,
      sym_block_comment,
  [671795] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23723), 1,
      sym__indent,
    STATE(17770), 2,
      sym_comment,
      sym_block_comment,
  [671809] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23725), 1,
      sym__indent,
    STATE(17771), 2,
      sym_comment,
      sym_block_comment,
  [671823] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23727), 1,
      sym__indent,
    STATE(17772), 2,
      sym_comment,
      sym_block_comment,
  [671837] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23729), 1,
      sym__indent,
    STATE(17773), 2,
      sym_comment,
      sym_block_comment,
  [671851] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23731), 1,
      sym__indent,
    STATE(17774), 2,
      sym_comment,
      sym_block_comment,
  [671865] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23733), 1,
      sym__indent,
    STATE(17775), 2,
      sym_comment,
      sym_block_comment,
  [671879] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23735), 1,
      sym__indent,
    STATE(17776), 2,
      sym_comment,
      sym_block_comment,
  [671893] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23737), 1,
      sym__indent,
    STATE(17777), 2,
      sym_comment,
      sym_block_comment,
  [671907] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23739), 1,
      sym__indent,
    STATE(17778), 2,
      sym_comment,
      sym_block_comment,
  [671921] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23741), 1,
      sym__indent,
    STATE(17779), 2,
      sym_comment,
      sym_block_comment,
  [671935] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23743), 1,
      sym__indent,
    STATE(17780), 2,
      sym_comment,
      sym_block_comment,
  [671949] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23745), 1,
      sym__indent,
    STATE(17781), 2,
      sym_comment,
      sym_block_comment,
  [671963] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23747), 1,
      sym__indent,
    STATE(17782), 2,
      sym_comment,
      sym_block_comment,
  [671977] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23749), 1,
      sym__indent,
    STATE(17783), 2,
      sym_comment,
      sym_block_comment,
  [671991] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23751), 1,
      sym__indent,
    STATE(17784), 2,
      sym_comment,
      sym_block_comment,
  [672005] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23753), 1,
      sym__indent,
    STATE(17785), 2,
      sym_comment,
      sym_block_comment,
  [672019] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23755), 1,
      sym__indent,
    STATE(17786), 2,
      sym_comment,
      sym_block_comment,
  [672033] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23757), 1,
      sym__indent,
    STATE(17787), 2,
      sym_comment,
      sym_block_comment,
  [672047] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23759), 1,
      sym__indent,
    STATE(17788), 2,
      sym_comment,
      sym_block_comment,
  [672061] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23761), 1,
      sym__indent,
    STATE(17789), 2,
      sym_comment,
      sym_block_comment,
  [672075] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23763), 1,
      sym__indent,
    STATE(17790), 2,
      sym_comment,
      sym_block_comment,
  [672089] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23765), 1,
      sym__indent,
    STATE(17791), 2,
      sym_comment,
      sym_block_comment,
  [672103] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23767), 1,
      sym__indent,
    STATE(17792), 2,
      sym_comment,
      sym_block_comment,
  [672117] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23769), 1,
      sym__indent,
    STATE(17793), 2,
      sym_comment,
      sym_block_comment,
  [672131] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23771), 1,
      sym__indent,
    STATE(17794), 2,
      sym_comment,
      sym_block_comment,
  [672145] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23773), 1,
      sym__indent,
    STATE(17795), 2,
      sym_comment,
      sym_block_comment,
  [672159] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23775), 1,
      sym__indent,
    STATE(17796), 2,
      sym_comment,
      sym_block_comment,
  [672173] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23777), 1,
      sym__indent,
    STATE(17797), 2,
      sym_comment,
      sym_block_comment,
  [672187] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23779), 1,
      sym__indent,
    STATE(17798), 2,
      sym_comment,
      sym_block_comment,
  [672201] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23781), 1,
      sym__indent,
    STATE(17799), 2,
      sym_comment,
      sym_block_comment,
  [672215] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23783), 1,
      sym__indent,
    STATE(17800), 2,
      sym_comment,
      sym_block_comment,
  [672229] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23785), 1,
      sym__indent,
    STATE(17801), 2,
      sym_comment,
      sym_block_comment,
  [672243] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23787), 1,
      sym__indent,
    STATE(17802), 2,
      sym_comment,
      sym_block_comment,
  [672257] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23789), 1,
      sym__indent,
    STATE(17803), 2,
      sym_comment,
      sym_block_comment,
  [672271] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23791), 1,
      sym__indent,
    STATE(17804), 2,
      sym_comment,
      sym_block_comment,
  [672285] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23793), 1,
      sym__indent,
    STATE(17805), 2,
      sym_comment,
      sym_block_comment,
  [672299] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23795), 1,
      sym__indent,
    STATE(17806), 2,
      sym_comment,
      sym_block_comment,
  [672313] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23797), 1,
      sym__indent,
    STATE(17807), 2,
      sym_comment,
      sym_block_comment,
  [672327] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23799), 1,
      sym__indent,
    STATE(17808), 2,
      sym_comment,
      sym_block_comment,
  [672341] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23801), 1,
      sym__indent,
    STATE(17809), 2,
      sym_comment,
      sym_block_comment,
  [672355] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23803), 1,
      sym__indent,
    STATE(17810), 2,
      sym_comment,
      sym_block_comment,
  [672369] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23805), 1,
      sym__indent,
    STATE(17811), 2,
      sym_comment,
      sym_block_comment,
  [672383] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23807), 1,
      sym__indent,
    STATE(17812), 2,
      sym_comment,
      sym_block_comment,
  [672397] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23809), 1,
      sym__indent,
    STATE(17813), 2,
      sym_comment,
      sym_block_comment,
  [672411] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23811), 1,
      anon_sym_RBRACE,
    STATE(17814), 2,
      sym_comment,
      sym_block_comment,
  [672425] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23813), 1,
      anon_sym_type,
    STATE(17815), 2,
      sym_comment,
      sym_block_comment,
  [672439] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23815), 1,
      sym__outdent,
    STATE(17816), 2,
      sym_comment,
      sym_block_comment,
  [672453] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23817), 1,
      anon_sym_RPAREN,
    STATE(17817), 2,
      sym_comment,
      sym_block_comment,
  [672467] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23819), 1,
      anon_sym_RBRACE,
    STATE(17818), 2,
      sym_comment,
      sym_block_comment,
  [672481] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23821), 1,
      anon_sym_RPAREN,
    STATE(17819), 2,
      sym_comment,
      sym_block_comment,
  [672495] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23819), 1,
      anon_sym_RPAREN,
    STATE(17820), 2,
      sym_comment,
      sym_block_comment,
  [672509] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23823), 1,
      anon_sym_RBRACE,
    STATE(17821), 2,
      sym_comment,
      sym_block_comment,
  [672523] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23825), 1,
      anon_sym_RPAREN,
    STATE(17822), 2,
      sym_comment,
      sym_block_comment,
  [672537] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23827), 1,
      sym__outdent,
    STATE(17823), 2,
      sym_comment,
      sym_block_comment,
  [672551] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23829), 1,
      anon_sym_else,
    STATE(17824), 2,
      sym_comment,
      sym_block_comment,
  [672565] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23831), 1,
      sym__outdent,
    STATE(17825), 2,
      sym_comment,
      sym_block_comment,
  [672579] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23833), 1,
      anon_sym_RPAREN,
    STATE(17826), 2,
      sym_comment,
      sym_block_comment,
  [672593] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23835), 1,
      anon_sym_RPAREN,
    STATE(17827), 2,
      sym_comment,
      sym_block_comment,
  [672607] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23837), 1,
      sym__outdent,
    STATE(17828), 2,
      sym_comment,
      sym_block_comment,
  [672621] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23839), 1,
      anon_sym_RPAREN,
    STATE(17829), 2,
      sym_comment,
      sym_block_comment,
  [672635] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23841), 1,
      anon_sym_RBRACK,
    STATE(17830), 2,
      sym_comment,
      sym_block_comment,
  [672649] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23841), 1,
      anon_sym_RBRACE,
    STATE(17831), 2,
      sym_comment,
      sym_block_comment,
  [672663] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23843), 1,
      anon_sym_RBRACK,
    STATE(17832), 2,
      sym_comment,
      sym_block_comment,
  [672677] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23843), 1,
      anon_sym_RBRACE,
    STATE(17833), 2,
      sym_comment,
      sym_block_comment,
  [672691] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23845), 1,
      sym__outdent,
    STATE(17834), 2,
      sym_comment,
      sym_block_comment,
  [672705] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23847), 1,
      anon_sym_RBRACK,
    STATE(17835), 2,
      sym_comment,
      sym_block_comment,
  [672719] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23849), 1,
      anon_sym_RPAREN,
    STATE(17836), 2,
      sym_comment,
      sym_block_comment,
  [672733] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23851), 1,
      anon_sym_RBRACE,
    STATE(17837), 2,
      sym_comment,
      sym_block_comment,
  [672747] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23853), 1,
      sym__outdent,
    STATE(17838), 2,
      sym_comment,
      sym_block_comment,
  [672761] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23855), 1,
      anon_sym_RPAREN,
    STATE(17839), 2,
      sym_comment,
      sym_block_comment,
  [672775] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23855), 1,
      anon_sym_RBRACE,
    STATE(17840), 2,
      sym_comment,
      sym_block_comment,
  [672789] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23857), 1,
      anon_sym_RBRACE,
    STATE(17841), 2,
      sym_comment,
      sym_block_comment,
  [672803] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23859), 1,
      sym__outdent,
    STATE(17842), 2,
      sym_comment,
      sym_block_comment,
  [672817] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23861), 1,
      anon_sym_else,
    STATE(17843), 2,
      sym_comment,
      sym_block_comment,
  [672831] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23863), 1,
      anon_sym_RBRACE,
    STATE(17844), 2,
      sym_comment,
      sym_block_comment,
  [672845] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23865), 1,
      anon_sym_do,
    STATE(17845), 2,
      sym_comment,
      sym_block_comment,
  [672859] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23867), 1,
      anon_sym_RBRACE,
    STATE(17846), 2,
      sym_comment,
      sym_block_comment,
  [672873] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23869), 1,
      sym__outdent,
    STATE(17847), 2,
      sym_comment,
      sym_block_comment,
  [672887] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23871), 1,
      anon_sym_RBRACE,
    STATE(17848), 2,
      sym_comment,
      sym_block_comment,
  [672901] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23873), 1,
      anon_sym_RPAREN,
    STATE(17849), 2,
      sym_comment,
      sym_block_comment,
  [672915] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23875), 1,
      anon_sym_RBRACE,
    STATE(17850), 2,
      sym_comment,
      sym_block_comment,
  [672929] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23877), 1,
      sym__outdent,
    STATE(17851), 2,
      sym_comment,
      sym_block_comment,
  [672943] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23879), 1,
      anon_sym_RPAREN,
    STATE(17852), 2,
      sym_comment,
      sym_block_comment,
  [672957] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23881), 1,
      sym__outdent,
    STATE(17853), 2,
      sym_comment,
      sym_block_comment,
  [672971] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(15263), 1,
      anon_sym_type,
    STATE(17854), 2,
      sym_comment,
      sym_block_comment,
  [672985] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23875), 1,
      anon_sym_RPAREN,
    STATE(17855), 2,
      sym_comment,
      sym_block_comment,
  [672999] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23883), 1,
      anon_sym_RPAREN,
    STATE(17856), 2,
      sym_comment,
      sym_block_comment,
  [673013] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23885), 1,
      anon_sym_RBRACE,
    STATE(17857), 2,
      sym_comment,
      sym_block_comment,
  [673027] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23887), 1,
      sym__outdent,
    STATE(17858), 2,
      sym_comment,
      sym_block_comment,
  [673041] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8108), 1,
      anon_sym_def,
    STATE(17859), 2,
      sym_comment,
      sym_block_comment,
  [673055] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23889), 1,
      anon_sym_else,
    STATE(17860), 2,
      sym_comment,
      sym_block_comment,
  [673069] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23891), 1,
      anon_sym_do,
    STATE(17861), 2,
      sym_comment,
      sym_block_comment,
  [673083] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23893), 1,
      anon_sym_RPAREN,
    STATE(17862), 2,
      sym_comment,
      sym_block_comment,
  [673097] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(13107), 1,
      anon_sym_DOT,
    STATE(17863), 2,
      sym_comment,
      sym_block_comment,
  [673111] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23895), 1,
      sym__outdent,
    STATE(17864), 2,
      sym_comment,
      sym_block_comment,
  [673125] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23897), 1,
      anon_sym_RPAREN,
    STATE(17865), 2,
      sym_comment,
      sym_block_comment,
  [673139] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23899), 1,
      anon_sym_RBRACE,
    STATE(17866), 2,
      sym_comment,
      sym_block_comment,
  [673153] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23901), 1,
      anon_sym_RPAREN,
    STATE(17867), 2,
      sym_comment,
      sym_block_comment,
  [673167] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(8106), 1,
      anon_sym_type,
    STATE(17868), 2,
      sym_comment,
      sym_block_comment,
  [673181] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23903), 1,
      sym__outdent,
    STATE(17869), 2,
      sym_comment,
      sym_block_comment,
  [673195] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23905), 1,
      anon_sym_else,
    STATE(17870), 2,
      sym_comment,
      sym_block_comment,
  [673209] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23907), 1,
      sym__outdent,
    STATE(17871), 2,
      sym_comment,
      sym_block_comment,
  [673223] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(23909), 1,
      anon_sym_RPAREN,
    STATE(17872), 2,
      sym_comment,
      sym_block_comment,
  [673237] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(11916), 1,
      anon_sym_EQ_GT,
    STATE(17873), 2,
      sym_comment,
      sym_block_comment,
  [673251] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(9885), 1,
      anon_sym_EQ_GT,
    STATE(17874), 2,
      sym_comment,
      sym_block_comment,
  [673265] = 1,
    ACTIONS(23911), 1,
      ts_builtin_sym_end,
  [673269] = 1,
    ACTIONS(23913), 1,
      ts_builtin_sym_end,
  [673273] = 1,
    ACTIONS(23915), 1,
      ts_builtin_sym_end,
  [673277] = 1,
    ACTIONS(23917), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2351)] = 0,
  [SMALL_STATE(2352)] = 147,
  [SMALL_STATE(2353)] = 294,
  [SMALL_STATE(2354)] = 441,
  [SMALL_STATE(2355)] = 588,
  [SMALL_STATE(2356)] = 735,
  [SMALL_STATE(2357)] = 882,
  [SMALL_STATE(2358)] = 1029,
  [SMALL_STATE(2359)] = 1176,
  [SMALL_STATE(2360)] = 1323,
  [SMALL_STATE(2361)] = 1470,
  [SMALL_STATE(2362)] = 1617,
  [SMALL_STATE(2363)] = 1764,
  [SMALL_STATE(2364)] = 1911,
  [SMALL_STATE(2365)] = 2058,
  [SMALL_STATE(2366)] = 2205,
  [SMALL_STATE(2367)] = 2352,
  [SMALL_STATE(2368)] = 2499,
  [SMALL_STATE(2369)] = 2646,
  [SMALL_STATE(2370)] = 2793,
  [SMALL_STATE(2371)] = 2940,
  [SMALL_STATE(2372)] = 3087,
  [SMALL_STATE(2373)] = 3234,
  [SMALL_STATE(2374)] = 3381,
  [SMALL_STATE(2375)] = 3528,
  [SMALL_STATE(2376)] = 3675,
  [SMALL_STATE(2377)] = 3822,
  [SMALL_STATE(2378)] = 3969,
  [SMALL_STATE(2379)] = 4116,
  [SMALL_STATE(2380)] = 4263,
  [SMALL_STATE(2381)] = 4410,
  [SMALL_STATE(2382)] = 4557,
  [SMALL_STATE(2383)] = 4704,
  [SMALL_STATE(2384)] = 4851,
  [SMALL_STATE(2385)] = 4998,
  [SMALL_STATE(2386)] = 5145,
  [SMALL_STATE(2387)] = 5292,
  [SMALL_STATE(2388)] = 5439,
  [SMALL_STATE(2389)] = 5586,
  [SMALL_STATE(2390)] = 5733,
  [SMALL_STATE(2391)] = 5880,
  [SMALL_STATE(2392)] = 6027,
  [SMALL_STATE(2393)] = 6174,
  [SMALL_STATE(2394)] = 6321,
  [SMALL_STATE(2395)] = 6468,
  [SMALL_STATE(2396)] = 6615,
  [SMALL_STATE(2397)] = 6762,
  [SMALL_STATE(2398)] = 6909,
  [SMALL_STATE(2399)] = 7056,
  [SMALL_STATE(2400)] = 7130,
  [SMALL_STATE(2401)] = 7204,
  [SMALL_STATE(2402)] = 7278,
  [SMALL_STATE(2403)] = 7352,
  [SMALL_STATE(2404)] = 7426,
  [SMALL_STATE(2405)] = 7500,
  [SMALL_STATE(2406)] = 7574,
  [SMALL_STATE(2407)] = 7721,
  [SMALL_STATE(2408)] = 7868,
  [SMALL_STATE(2409)] = 7941,
  [SMALL_STATE(2410)] = 8086,
  [SMALL_STATE(2411)] = 8231,
  [SMALL_STATE(2412)] = 8376,
  [SMALL_STATE(2413)] = 8512,
  [SMALL_STATE(2414)] = 8648,
  [SMALL_STATE(2415)] = 8784,
  [SMALL_STATE(2416)] = 8920,
  [SMALL_STATE(2417)] = 9056,
  [SMALL_STATE(2418)] = 9192,
  [SMALL_STATE(2419)] = 9328,
  [SMALL_STATE(2420)] = 9464,
  [SMALL_STATE(2421)] = 9600,
  [SMALL_STATE(2422)] = 9736,
  [SMALL_STATE(2423)] = 9872,
  [SMALL_STATE(2424)] = 10008,
  [SMALL_STATE(2425)] = 10144,
  [SMALL_STATE(2426)] = 10280,
  [SMALL_STATE(2427)] = 10416,
  [SMALL_STATE(2428)] = 10552,
  [SMALL_STATE(2429)] = 10688,
  [SMALL_STATE(2430)] = 10824,
  [SMALL_STATE(2431)] = 10960,
  [SMALL_STATE(2432)] = 11096,
  [SMALL_STATE(2433)] = 11232,
  [SMALL_STATE(2434)] = 11368,
  [SMALL_STATE(2435)] = 11504,
  [SMALL_STATE(2436)] = 11640,
  [SMALL_STATE(2437)] = 11771,
  [SMALL_STATE(2438)] = 11902,
  [SMALL_STATE(2439)] = 12033,
  [SMALL_STATE(2440)] = 12164,
  [SMALL_STATE(2441)] = 12295,
  [SMALL_STATE(2442)] = 12426,
  [SMALL_STATE(2443)] = 12557,
  [SMALL_STATE(2444)] = 12688,
  [SMALL_STATE(2445)] = 12819,
  [SMALL_STATE(2446)] = 12950,
  [SMALL_STATE(2447)] = 13081,
  [SMALL_STATE(2448)] = 13212,
  [SMALL_STATE(2449)] = 13343,
  [SMALL_STATE(2450)] = 13474,
  [SMALL_STATE(2451)] = 13605,
  [SMALL_STATE(2452)] = 13736,
  [SMALL_STATE(2453)] = 13867,
  [SMALL_STATE(2454)] = 13998,
  [SMALL_STATE(2455)] = 14129,
  [SMALL_STATE(2456)] = 14260,
  [SMALL_STATE(2457)] = 14391,
  [SMALL_STATE(2458)] = 14522,
  [SMALL_STATE(2459)] = 14653,
  [SMALL_STATE(2460)] = 14784,
  [SMALL_STATE(2461)] = 14915,
  [SMALL_STATE(2462)] = 15046,
  [SMALL_STATE(2463)] = 15177,
  [SMALL_STATE(2464)] = 15308,
  [SMALL_STATE(2465)] = 15439,
  [SMALL_STATE(2466)] = 15570,
  [SMALL_STATE(2467)] = 15701,
  [SMALL_STATE(2468)] = 15832,
  [SMALL_STATE(2469)] = 15963,
  [SMALL_STATE(2470)] = 16094,
  [SMALL_STATE(2471)] = 16225,
  [SMALL_STATE(2472)] = 16356,
  [SMALL_STATE(2473)] = 16487,
  [SMALL_STATE(2474)] = 16618,
  [SMALL_STATE(2475)] = 16749,
  [SMALL_STATE(2476)] = 16880,
  [SMALL_STATE(2477)] = 17011,
  [SMALL_STATE(2478)] = 17142,
  [SMALL_STATE(2479)] = 17273,
  [SMALL_STATE(2480)] = 17404,
  [SMALL_STATE(2481)] = 17535,
  [SMALL_STATE(2482)] = 17666,
  [SMALL_STATE(2483)] = 17797,
  [SMALL_STATE(2484)] = 17928,
  [SMALL_STATE(2485)] = 18059,
  [SMALL_STATE(2486)] = 18190,
  [SMALL_STATE(2487)] = 18321,
  [SMALL_STATE(2488)] = 18394,
  [SMALL_STATE(2489)] = 18525,
  [SMALL_STATE(2490)] = 18656,
  [SMALL_STATE(2491)] = 18787,
  [SMALL_STATE(2492)] = 18918,
  [SMALL_STATE(2493)] = 19049,
  [SMALL_STATE(2494)] = 19180,
  [SMALL_STATE(2495)] = 19311,
  [SMALL_STATE(2496)] = 19442,
  [SMALL_STATE(2497)] = 19573,
  [SMALL_STATE(2498)] = 19704,
  [SMALL_STATE(2499)] = 19835,
  [SMALL_STATE(2500)] = 19966,
  [SMALL_STATE(2501)] = 20097,
  [SMALL_STATE(2502)] = 20228,
  [SMALL_STATE(2503)] = 20359,
  [SMALL_STATE(2504)] = 20490,
  [SMALL_STATE(2505)] = 20621,
  [SMALL_STATE(2506)] = 20752,
  [SMALL_STATE(2507)] = 20883,
  [SMALL_STATE(2508)] = 21014,
  [SMALL_STATE(2509)] = 21145,
  [SMALL_STATE(2510)] = 21276,
  [SMALL_STATE(2511)] = 21407,
  [SMALL_STATE(2512)] = 21538,
  [SMALL_STATE(2513)] = 21669,
  [SMALL_STATE(2514)] = 21800,
  [SMALL_STATE(2515)] = 21931,
  [SMALL_STATE(2516)] = 22062,
  [SMALL_STATE(2517)] = 22193,
  [SMALL_STATE(2518)] = 22324,
  [SMALL_STATE(2519)] = 22455,
  [SMALL_STATE(2520)] = 22586,
  [SMALL_STATE(2521)] = 22717,
  [SMALL_STATE(2522)] = 22848,
  [SMALL_STATE(2523)] = 22979,
  [SMALL_STATE(2524)] = 23110,
  [SMALL_STATE(2525)] = 23241,
  [SMALL_STATE(2526)] = 23372,
  [SMALL_STATE(2527)] = 23503,
  [SMALL_STATE(2528)] = 23634,
  [SMALL_STATE(2529)] = 23765,
  [SMALL_STATE(2530)] = 23896,
  [SMALL_STATE(2531)] = 24027,
  [SMALL_STATE(2532)] = 24158,
  [SMALL_STATE(2533)] = 24289,
  [SMALL_STATE(2534)] = 24420,
  [SMALL_STATE(2535)] = 24551,
  [SMALL_STATE(2536)] = 24682,
  [SMALL_STATE(2537)] = 24813,
  [SMALL_STATE(2538)] = 24944,
  [SMALL_STATE(2539)] = 25075,
  [SMALL_STATE(2540)] = 25206,
  [SMALL_STATE(2541)] = 25337,
  [SMALL_STATE(2542)] = 25468,
  [SMALL_STATE(2543)] = 25599,
  [SMALL_STATE(2544)] = 25730,
  [SMALL_STATE(2545)] = 25861,
  [SMALL_STATE(2546)] = 25992,
  [SMALL_STATE(2547)] = 26123,
  [SMALL_STATE(2548)] = 26254,
  [SMALL_STATE(2549)] = 26385,
  [SMALL_STATE(2550)] = 26516,
  [SMALL_STATE(2551)] = 26647,
  [SMALL_STATE(2552)] = 26778,
  [SMALL_STATE(2553)] = 26909,
  [SMALL_STATE(2554)] = 27040,
  [SMALL_STATE(2555)] = 27171,
  [SMALL_STATE(2556)] = 27302,
  [SMALL_STATE(2557)] = 27433,
  [SMALL_STATE(2558)] = 27564,
  [SMALL_STATE(2559)] = 27695,
  [SMALL_STATE(2560)] = 27826,
  [SMALL_STATE(2561)] = 27957,
  [SMALL_STATE(2562)] = 28088,
  [SMALL_STATE(2563)] = 28219,
  [SMALL_STATE(2564)] = 28347,
  [SMALL_STATE(2565)] = 28475,
  [SMALL_STATE(2566)] = 28603,
  [SMALL_STATE(2567)] = 28675,
  [SMALL_STATE(2568)] = 28803,
  [SMALL_STATE(2569)] = 28931,
  [SMALL_STATE(2570)] = 29059,
  [SMALL_STATE(2571)] = 29131,
  [SMALL_STATE(2572)] = 29259,
  [SMALL_STATE(2573)] = 29387,
  [SMALL_STATE(2574)] = 29515,
  [SMALL_STATE(2575)] = 29643,
  [SMALL_STATE(2576)] = 29768,
  [SMALL_STATE(2577)] = 29839,
  [SMALL_STATE(2578)] = 29910,
  [SMALL_STATE(2579)] = 29981,
  [SMALL_STATE(2580)] = 30052,
  [SMALL_STATE(2581)] = 30176,
  [SMALL_STATE(2582)] = 30300,
  [SMALL_STATE(2583)] = 30424,
  [SMALL_STATE(2584)] = 30548,
  [SMALL_STATE(2585)] = 30672,
  [SMALL_STATE(2586)] = 30796,
  [SMALL_STATE(2587)] = 30920,
  [SMALL_STATE(2588)] = 31044,
  [SMALL_STATE(2589)] = 31168,
  [SMALL_STATE(2590)] = 31292,
  [SMALL_STATE(2591)] = 31416,
  [SMALL_STATE(2592)] = 31540,
  [SMALL_STATE(2593)] = 31664,
  [SMALL_STATE(2594)] = 31788,
  [SMALL_STATE(2595)] = 31912,
  [SMALL_STATE(2596)] = 32036,
  [SMALL_STATE(2597)] = 32160,
  [SMALL_STATE(2598)] = 32284,
  [SMALL_STATE(2599)] = 32408,
  [SMALL_STATE(2600)] = 32532,
  [SMALL_STATE(2601)] = 32656,
  [SMALL_STATE(2602)] = 32726,
  [SMALL_STATE(2603)] = 32850,
  [SMALL_STATE(2604)] = 32974,
  [SMALL_STATE(2605)] = 33044,
  [SMALL_STATE(2606)] = 33168,
  [SMALL_STATE(2607)] = 33292,
  [SMALL_STATE(2608)] = 33416,
  [SMALL_STATE(2609)] = 33540,
  [SMALL_STATE(2610)] = 33664,
  [SMALL_STATE(2611)] = 33788,
  [SMALL_STATE(2612)] = 33912,
  [SMALL_STATE(2613)] = 34036,
  [SMALL_STATE(2614)] = 34160,
  [SMALL_STATE(2615)] = 34284,
  [SMALL_STATE(2616)] = 34408,
  [SMALL_STATE(2617)] = 34532,
  [SMALL_STATE(2618)] = 34656,
  [SMALL_STATE(2619)] = 34780,
  [SMALL_STATE(2620)] = 34904,
  [SMALL_STATE(2621)] = 35028,
  [SMALL_STATE(2622)] = 35152,
  [SMALL_STATE(2623)] = 35276,
  [SMALL_STATE(2624)] = 35400,
  [SMALL_STATE(2625)] = 35524,
  [SMALL_STATE(2626)] = 35648,
  [SMALL_STATE(2627)] = 35772,
  [SMALL_STATE(2628)] = 35896,
  [SMALL_STATE(2629)] = 36020,
  [SMALL_STATE(2630)] = 36144,
  [SMALL_STATE(2631)] = 36268,
  [SMALL_STATE(2632)] = 36392,
  [SMALL_STATE(2633)] = 36516,
  [SMALL_STATE(2634)] = 36640,
  [SMALL_STATE(2635)] = 36764,
  [SMALL_STATE(2636)] = 36888,
  [SMALL_STATE(2637)] = 37012,
  [SMALL_STATE(2638)] = 37136,
  [SMALL_STATE(2639)] = 37260,
  [SMALL_STATE(2640)] = 37384,
  [SMALL_STATE(2641)] = 37508,
  [SMALL_STATE(2642)] = 37632,
  [SMALL_STATE(2643)] = 37756,
  [SMALL_STATE(2644)] = 37880,
  [SMALL_STATE(2645)] = 38004,
  [SMALL_STATE(2646)] = 38128,
  [SMALL_STATE(2647)] = 38252,
  [SMALL_STATE(2648)] = 38376,
  [SMALL_STATE(2649)] = 38500,
  [SMALL_STATE(2650)] = 38624,
  [SMALL_STATE(2651)] = 38748,
  [SMALL_STATE(2652)] = 38872,
  [SMALL_STATE(2653)] = 38996,
  [SMALL_STATE(2654)] = 39120,
  [SMALL_STATE(2655)] = 39244,
  [SMALL_STATE(2656)] = 39368,
  [SMALL_STATE(2657)] = 39492,
  [SMALL_STATE(2658)] = 39616,
  [SMALL_STATE(2659)] = 39740,
  [SMALL_STATE(2660)] = 39864,
  [SMALL_STATE(2661)] = 39988,
  [SMALL_STATE(2662)] = 40112,
  [SMALL_STATE(2663)] = 40236,
  [SMALL_STATE(2664)] = 40360,
  [SMALL_STATE(2665)] = 40484,
  [SMALL_STATE(2666)] = 40608,
  [SMALL_STATE(2667)] = 40732,
  [SMALL_STATE(2668)] = 40856,
  [SMALL_STATE(2669)] = 40980,
  [SMALL_STATE(2670)] = 41104,
  [SMALL_STATE(2671)] = 41228,
  [SMALL_STATE(2672)] = 41352,
  [SMALL_STATE(2673)] = 41476,
  [SMALL_STATE(2674)] = 41600,
  [SMALL_STATE(2675)] = 41724,
  [SMALL_STATE(2676)] = 41848,
  [SMALL_STATE(2677)] = 41972,
  [SMALL_STATE(2678)] = 42096,
  [SMALL_STATE(2679)] = 42220,
  [SMALL_STATE(2680)] = 42344,
  [SMALL_STATE(2681)] = 42468,
  [SMALL_STATE(2682)] = 42592,
  [SMALL_STATE(2683)] = 42716,
  [SMALL_STATE(2684)] = 42840,
  [SMALL_STATE(2685)] = 42964,
  [SMALL_STATE(2686)] = 43088,
  [SMALL_STATE(2687)] = 43212,
  [SMALL_STATE(2688)] = 43336,
  [SMALL_STATE(2689)] = 43460,
  [SMALL_STATE(2690)] = 43584,
  [SMALL_STATE(2691)] = 43708,
  [SMALL_STATE(2692)] = 43832,
  [SMALL_STATE(2693)] = 43956,
  [SMALL_STATE(2694)] = 44080,
  [SMALL_STATE(2695)] = 44204,
  [SMALL_STATE(2696)] = 44328,
  [SMALL_STATE(2697)] = 44452,
  [SMALL_STATE(2698)] = 44576,
  [SMALL_STATE(2699)] = 44700,
  [SMALL_STATE(2700)] = 44824,
  [SMALL_STATE(2701)] = 44948,
  [SMALL_STATE(2702)] = 45072,
  [SMALL_STATE(2703)] = 45196,
  [SMALL_STATE(2704)] = 45320,
  [SMALL_STATE(2705)] = 45444,
  [SMALL_STATE(2706)] = 45568,
  [SMALL_STATE(2707)] = 45692,
  [SMALL_STATE(2708)] = 45816,
  [SMALL_STATE(2709)] = 45940,
  [SMALL_STATE(2710)] = 46064,
  [SMALL_STATE(2711)] = 46188,
  [SMALL_STATE(2712)] = 46312,
  [SMALL_STATE(2713)] = 46436,
  [SMALL_STATE(2714)] = 46560,
  [SMALL_STATE(2715)] = 46684,
  [SMALL_STATE(2716)] = 46808,
  [SMALL_STATE(2717)] = 46932,
  [SMALL_STATE(2718)] = 47056,
  [SMALL_STATE(2719)] = 47180,
  [SMALL_STATE(2720)] = 47304,
  [SMALL_STATE(2721)] = 47428,
  [SMALL_STATE(2722)] = 47552,
  [SMALL_STATE(2723)] = 47676,
  [SMALL_STATE(2724)] = 47800,
  [SMALL_STATE(2725)] = 47924,
  [SMALL_STATE(2726)] = 48048,
  [SMALL_STATE(2727)] = 48172,
  [SMALL_STATE(2728)] = 48296,
  [SMALL_STATE(2729)] = 48420,
  [SMALL_STATE(2730)] = 48544,
  [SMALL_STATE(2731)] = 48668,
  [SMALL_STATE(2732)] = 48792,
  [SMALL_STATE(2733)] = 48916,
  [SMALL_STATE(2734)] = 49040,
  [SMALL_STATE(2735)] = 49164,
  [SMALL_STATE(2736)] = 49288,
  [SMALL_STATE(2737)] = 49412,
  [SMALL_STATE(2738)] = 49536,
  [SMALL_STATE(2739)] = 49660,
  [SMALL_STATE(2740)] = 49784,
  [SMALL_STATE(2741)] = 49908,
  [SMALL_STATE(2742)] = 50032,
  [SMALL_STATE(2743)] = 50156,
  [SMALL_STATE(2744)] = 50280,
  [SMALL_STATE(2745)] = 50404,
  [SMALL_STATE(2746)] = 50528,
  [SMALL_STATE(2747)] = 50652,
  [SMALL_STATE(2748)] = 50776,
  [SMALL_STATE(2749)] = 50900,
  [SMALL_STATE(2750)] = 51024,
  [SMALL_STATE(2751)] = 51148,
  [SMALL_STATE(2752)] = 51272,
  [SMALL_STATE(2753)] = 51396,
  [SMALL_STATE(2754)] = 51520,
  [SMALL_STATE(2755)] = 51644,
  [SMALL_STATE(2756)] = 51768,
  [SMALL_STATE(2757)] = 51892,
  [SMALL_STATE(2758)] = 52016,
  [SMALL_STATE(2759)] = 52140,
  [SMALL_STATE(2760)] = 52264,
  [SMALL_STATE(2761)] = 52388,
  [SMALL_STATE(2762)] = 52512,
  [SMALL_STATE(2763)] = 52636,
  [SMALL_STATE(2764)] = 52760,
  [SMALL_STATE(2765)] = 52884,
  [SMALL_STATE(2766)] = 53008,
  [SMALL_STATE(2767)] = 53132,
  [SMALL_STATE(2768)] = 53256,
  [SMALL_STATE(2769)] = 53380,
  [SMALL_STATE(2770)] = 53504,
  [SMALL_STATE(2771)] = 53628,
  [SMALL_STATE(2772)] = 53752,
  [SMALL_STATE(2773)] = 53876,
  [SMALL_STATE(2774)] = 54000,
  [SMALL_STATE(2775)] = 54124,
  [SMALL_STATE(2776)] = 54248,
  [SMALL_STATE(2777)] = 54372,
  [SMALL_STATE(2778)] = 54496,
  [SMALL_STATE(2779)] = 54620,
  [SMALL_STATE(2780)] = 54744,
  [SMALL_STATE(2781)] = 54868,
  [SMALL_STATE(2782)] = 54992,
  [SMALL_STATE(2783)] = 55116,
  [SMALL_STATE(2784)] = 55240,
  [SMALL_STATE(2785)] = 55364,
  [SMALL_STATE(2786)] = 55488,
  [SMALL_STATE(2787)] = 55612,
  [SMALL_STATE(2788)] = 55736,
  [SMALL_STATE(2789)] = 55860,
  [SMALL_STATE(2790)] = 55984,
  [SMALL_STATE(2791)] = 56108,
  [SMALL_STATE(2792)] = 56232,
  [SMALL_STATE(2793)] = 56356,
  [SMALL_STATE(2794)] = 56480,
  [SMALL_STATE(2795)] = 56604,
  [SMALL_STATE(2796)] = 56728,
  [SMALL_STATE(2797)] = 56852,
  [SMALL_STATE(2798)] = 56976,
  [SMALL_STATE(2799)] = 57100,
  [SMALL_STATE(2800)] = 57224,
  [SMALL_STATE(2801)] = 57348,
  [SMALL_STATE(2802)] = 57472,
  [SMALL_STATE(2803)] = 57596,
  [SMALL_STATE(2804)] = 57720,
  [SMALL_STATE(2805)] = 57844,
  [SMALL_STATE(2806)] = 57968,
  [SMALL_STATE(2807)] = 58092,
  [SMALL_STATE(2808)] = 58216,
  [SMALL_STATE(2809)] = 58340,
  [SMALL_STATE(2810)] = 58464,
  [SMALL_STATE(2811)] = 58588,
  [SMALL_STATE(2812)] = 58712,
  [SMALL_STATE(2813)] = 58836,
  [SMALL_STATE(2814)] = 58960,
  [SMALL_STATE(2815)] = 59084,
  [SMALL_STATE(2816)] = 59208,
  [SMALL_STATE(2817)] = 59332,
  [SMALL_STATE(2818)] = 59456,
  [SMALL_STATE(2819)] = 59580,
  [SMALL_STATE(2820)] = 59704,
  [SMALL_STATE(2821)] = 59828,
  [SMALL_STATE(2822)] = 59952,
  [SMALL_STATE(2823)] = 60076,
  [SMALL_STATE(2824)] = 60200,
  [SMALL_STATE(2825)] = 60324,
  [SMALL_STATE(2826)] = 60448,
  [SMALL_STATE(2827)] = 60572,
  [SMALL_STATE(2828)] = 60696,
  [SMALL_STATE(2829)] = 60820,
  [SMALL_STATE(2830)] = 60944,
  [SMALL_STATE(2831)] = 61068,
  [SMALL_STATE(2832)] = 61192,
  [SMALL_STATE(2833)] = 61316,
  [SMALL_STATE(2834)] = 61440,
  [SMALL_STATE(2835)] = 61564,
  [SMALL_STATE(2836)] = 61688,
  [SMALL_STATE(2837)] = 61812,
  [SMALL_STATE(2838)] = 61936,
  [SMALL_STATE(2839)] = 62060,
  [SMALL_STATE(2840)] = 62184,
  [SMALL_STATE(2841)] = 62308,
  [SMALL_STATE(2842)] = 62432,
  [SMALL_STATE(2843)] = 62556,
  [SMALL_STATE(2844)] = 62680,
  [SMALL_STATE(2845)] = 62804,
  [SMALL_STATE(2846)] = 62928,
  [SMALL_STATE(2847)] = 63052,
  [SMALL_STATE(2848)] = 63176,
  [SMALL_STATE(2849)] = 63300,
  [SMALL_STATE(2850)] = 63424,
  [SMALL_STATE(2851)] = 63548,
  [SMALL_STATE(2852)] = 63672,
  [SMALL_STATE(2853)] = 63796,
  [SMALL_STATE(2854)] = 63920,
  [SMALL_STATE(2855)] = 64044,
  [SMALL_STATE(2856)] = 64168,
  [SMALL_STATE(2857)] = 64292,
  [SMALL_STATE(2858)] = 64416,
  [SMALL_STATE(2859)] = 64540,
  [SMALL_STATE(2860)] = 64664,
  [SMALL_STATE(2861)] = 64788,
  [SMALL_STATE(2862)] = 64912,
  [SMALL_STATE(2863)] = 65036,
  [SMALL_STATE(2864)] = 65160,
  [SMALL_STATE(2865)] = 65284,
  [SMALL_STATE(2866)] = 65408,
  [SMALL_STATE(2867)] = 65532,
  [SMALL_STATE(2868)] = 65656,
  [SMALL_STATE(2869)] = 65780,
  [SMALL_STATE(2870)] = 65904,
  [SMALL_STATE(2871)] = 66028,
  [SMALL_STATE(2872)] = 66152,
  [SMALL_STATE(2873)] = 66276,
  [SMALL_STATE(2874)] = 66400,
  [SMALL_STATE(2875)] = 66524,
  [SMALL_STATE(2876)] = 66648,
  [SMALL_STATE(2877)] = 66772,
  [SMALL_STATE(2878)] = 66896,
  [SMALL_STATE(2879)] = 67020,
  [SMALL_STATE(2880)] = 67144,
  [SMALL_STATE(2881)] = 67268,
  [SMALL_STATE(2882)] = 67392,
  [SMALL_STATE(2883)] = 67516,
  [SMALL_STATE(2884)] = 67640,
  [SMALL_STATE(2885)] = 67764,
  [SMALL_STATE(2886)] = 67888,
  [SMALL_STATE(2887)] = 68012,
  [SMALL_STATE(2888)] = 68136,
  [SMALL_STATE(2889)] = 68260,
  [SMALL_STATE(2890)] = 68384,
  [SMALL_STATE(2891)] = 68508,
  [SMALL_STATE(2892)] = 68632,
  [SMALL_STATE(2893)] = 68756,
  [SMALL_STATE(2894)] = 68880,
  [SMALL_STATE(2895)] = 69004,
  [SMALL_STATE(2896)] = 69128,
  [SMALL_STATE(2897)] = 69252,
  [SMALL_STATE(2898)] = 69376,
  [SMALL_STATE(2899)] = 69500,
  [SMALL_STATE(2900)] = 69624,
  [SMALL_STATE(2901)] = 69748,
  [SMALL_STATE(2902)] = 69872,
  [SMALL_STATE(2903)] = 69996,
  [SMALL_STATE(2904)] = 70120,
  [SMALL_STATE(2905)] = 70244,
  [SMALL_STATE(2906)] = 70368,
  [SMALL_STATE(2907)] = 70492,
  [SMALL_STATE(2908)] = 70616,
  [SMALL_STATE(2909)] = 70740,
  [SMALL_STATE(2910)] = 70864,
  [SMALL_STATE(2911)] = 70988,
  [SMALL_STATE(2912)] = 71112,
  [SMALL_STATE(2913)] = 71236,
  [SMALL_STATE(2914)] = 71360,
  [SMALL_STATE(2915)] = 71484,
  [SMALL_STATE(2916)] = 71608,
  [SMALL_STATE(2917)] = 71732,
  [SMALL_STATE(2918)] = 71856,
  [SMALL_STATE(2919)] = 71980,
  [SMALL_STATE(2920)] = 72104,
  [SMALL_STATE(2921)] = 72228,
  [SMALL_STATE(2922)] = 72352,
  [SMALL_STATE(2923)] = 72476,
  [SMALL_STATE(2924)] = 72600,
  [SMALL_STATE(2925)] = 72724,
  [SMALL_STATE(2926)] = 72848,
  [SMALL_STATE(2927)] = 72972,
  [SMALL_STATE(2928)] = 73096,
  [SMALL_STATE(2929)] = 73220,
  [SMALL_STATE(2930)] = 73344,
  [SMALL_STATE(2931)] = 73468,
  [SMALL_STATE(2932)] = 73592,
  [SMALL_STATE(2933)] = 73716,
  [SMALL_STATE(2934)] = 73840,
  [SMALL_STATE(2935)] = 73964,
  [SMALL_STATE(2936)] = 74088,
  [SMALL_STATE(2937)] = 74212,
  [SMALL_STATE(2938)] = 74336,
  [SMALL_STATE(2939)] = 74460,
  [SMALL_STATE(2940)] = 74584,
  [SMALL_STATE(2941)] = 74708,
  [SMALL_STATE(2942)] = 74832,
  [SMALL_STATE(2943)] = 74956,
  [SMALL_STATE(2944)] = 75080,
  [SMALL_STATE(2945)] = 75204,
  [SMALL_STATE(2946)] = 75328,
  [SMALL_STATE(2947)] = 75452,
  [SMALL_STATE(2948)] = 75576,
  [SMALL_STATE(2949)] = 75700,
  [SMALL_STATE(2950)] = 75824,
  [SMALL_STATE(2951)] = 75948,
  [SMALL_STATE(2952)] = 76072,
  [SMALL_STATE(2953)] = 76196,
  [SMALL_STATE(2954)] = 76320,
  [SMALL_STATE(2955)] = 76444,
  [SMALL_STATE(2956)] = 76568,
  [SMALL_STATE(2957)] = 76692,
  [SMALL_STATE(2958)] = 76816,
  [SMALL_STATE(2959)] = 76940,
  [SMALL_STATE(2960)] = 77064,
  [SMALL_STATE(2961)] = 77188,
  [SMALL_STATE(2962)] = 77312,
  [SMALL_STATE(2963)] = 77436,
  [SMALL_STATE(2964)] = 77560,
  [SMALL_STATE(2965)] = 77684,
  [SMALL_STATE(2966)] = 77808,
  [SMALL_STATE(2967)] = 77932,
  [SMALL_STATE(2968)] = 78056,
  [SMALL_STATE(2969)] = 78180,
  [SMALL_STATE(2970)] = 78304,
  [SMALL_STATE(2971)] = 78428,
  [SMALL_STATE(2972)] = 78552,
  [SMALL_STATE(2973)] = 78676,
  [SMALL_STATE(2974)] = 78800,
  [SMALL_STATE(2975)] = 78924,
  [SMALL_STATE(2976)] = 79048,
  [SMALL_STATE(2977)] = 79172,
  [SMALL_STATE(2978)] = 79296,
  [SMALL_STATE(2979)] = 79420,
  [SMALL_STATE(2980)] = 79544,
  [SMALL_STATE(2981)] = 79614,
  [SMALL_STATE(2982)] = 79738,
  [SMALL_STATE(2983)] = 79862,
  [SMALL_STATE(2984)] = 79986,
  [SMALL_STATE(2985)] = 80110,
  [SMALL_STATE(2986)] = 80234,
  [SMALL_STATE(2987)] = 80358,
  [SMALL_STATE(2988)] = 80482,
  [SMALL_STATE(2989)] = 80606,
  [SMALL_STATE(2990)] = 80730,
  [SMALL_STATE(2991)] = 80854,
  [SMALL_STATE(2992)] = 80978,
  [SMALL_STATE(2993)] = 81102,
  [SMALL_STATE(2994)] = 81226,
  [SMALL_STATE(2995)] = 81350,
  [SMALL_STATE(2996)] = 81474,
  [SMALL_STATE(2997)] = 81598,
  [SMALL_STATE(2998)] = 81722,
  [SMALL_STATE(2999)] = 81846,
  [SMALL_STATE(3000)] = 81970,
  [SMALL_STATE(3001)] = 82094,
  [SMALL_STATE(3002)] = 82218,
  [SMALL_STATE(3003)] = 82342,
  [SMALL_STATE(3004)] = 82466,
  [SMALL_STATE(3005)] = 82590,
  [SMALL_STATE(3006)] = 82714,
  [SMALL_STATE(3007)] = 82838,
  [SMALL_STATE(3008)] = 82962,
  [SMALL_STATE(3009)] = 83086,
  [SMALL_STATE(3010)] = 83210,
  [SMALL_STATE(3011)] = 83280,
  [SMALL_STATE(3012)] = 83404,
  [SMALL_STATE(3013)] = 83528,
  [SMALL_STATE(3014)] = 83652,
  [SMALL_STATE(3015)] = 83776,
  [SMALL_STATE(3016)] = 83900,
  [SMALL_STATE(3017)] = 84024,
  [SMALL_STATE(3018)] = 84148,
  [SMALL_STATE(3019)] = 84272,
  [SMALL_STATE(3020)] = 84396,
  [SMALL_STATE(3021)] = 84520,
  [SMALL_STATE(3022)] = 84644,
  [SMALL_STATE(3023)] = 84768,
  [SMALL_STATE(3024)] = 84892,
  [SMALL_STATE(3025)] = 85016,
  [SMALL_STATE(3026)] = 85140,
  [SMALL_STATE(3027)] = 85264,
  [SMALL_STATE(3028)] = 85388,
  [SMALL_STATE(3029)] = 85512,
  [SMALL_STATE(3030)] = 85636,
  [SMALL_STATE(3031)] = 85760,
  [SMALL_STATE(3032)] = 85884,
  [SMALL_STATE(3033)] = 86008,
  [SMALL_STATE(3034)] = 86132,
  [SMALL_STATE(3035)] = 86256,
  [SMALL_STATE(3036)] = 86380,
  [SMALL_STATE(3037)] = 86504,
  [SMALL_STATE(3038)] = 86628,
  [SMALL_STATE(3039)] = 86752,
  [SMALL_STATE(3040)] = 86876,
  [SMALL_STATE(3041)] = 87000,
  [SMALL_STATE(3042)] = 87124,
  [SMALL_STATE(3043)] = 87248,
  [SMALL_STATE(3044)] = 87372,
  [SMALL_STATE(3045)] = 87496,
  [SMALL_STATE(3046)] = 87620,
  [SMALL_STATE(3047)] = 87744,
  [SMALL_STATE(3048)] = 87868,
  [SMALL_STATE(3049)] = 87992,
  [SMALL_STATE(3050)] = 88116,
  [SMALL_STATE(3051)] = 88240,
  [SMALL_STATE(3052)] = 88364,
  [SMALL_STATE(3053)] = 88488,
  [SMALL_STATE(3054)] = 88612,
  [SMALL_STATE(3055)] = 88736,
  [SMALL_STATE(3056)] = 88860,
  [SMALL_STATE(3057)] = 88984,
  [SMALL_STATE(3058)] = 89108,
  [SMALL_STATE(3059)] = 89232,
  [SMALL_STATE(3060)] = 89356,
  [SMALL_STATE(3061)] = 89480,
  [SMALL_STATE(3062)] = 89604,
  [SMALL_STATE(3063)] = 89728,
  [SMALL_STATE(3064)] = 89852,
  [SMALL_STATE(3065)] = 89976,
  [SMALL_STATE(3066)] = 90100,
  [SMALL_STATE(3067)] = 90224,
  [SMALL_STATE(3068)] = 90348,
  [SMALL_STATE(3069)] = 90472,
  [SMALL_STATE(3070)] = 90596,
  [SMALL_STATE(3071)] = 90720,
  [SMALL_STATE(3072)] = 90844,
  [SMALL_STATE(3073)] = 90968,
  [SMALL_STATE(3074)] = 91092,
  [SMALL_STATE(3075)] = 91216,
  [SMALL_STATE(3076)] = 91340,
  [SMALL_STATE(3077)] = 91464,
  [SMALL_STATE(3078)] = 91588,
  [SMALL_STATE(3079)] = 91712,
  [SMALL_STATE(3080)] = 91836,
  [SMALL_STATE(3081)] = 91960,
  [SMALL_STATE(3082)] = 92084,
  [SMALL_STATE(3083)] = 92205,
  [SMALL_STATE(3084)] = 92326,
  [SMALL_STATE(3085)] = 92447,
  [SMALL_STATE(3086)] = 92568,
  [SMALL_STATE(3087)] = 92689,
  [SMALL_STATE(3088)] = 92810,
  [SMALL_STATE(3089)] = 92931,
  [SMALL_STATE(3090)] = 93000,
  [SMALL_STATE(3091)] = 93121,
  [SMALL_STATE(3092)] = 93242,
  [SMALL_STATE(3093)] = 93363,
  [SMALL_STATE(3094)] = 93484,
  [SMALL_STATE(3095)] = 93605,
  [SMALL_STATE(3096)] = 93726,
  [SMALL_STATE(3097)] = 93847,
  [SMALL_STATE(3098)] = 93968,
  [SMALL_STATE(3099)] = 94089,
  [SMALL_STATE(3100)] = 94210,
  [SMALL_STATE(3101)] = 94331,
  [SMALL_STATE(3102)] = 94452,
  [SMALL_STATE(3103)] = 94573,
  [SMALL_STATE(3104)] = 94694,
  [SMALL_STATE(3105)] = 94815,
  [SMALL_STATE(3106)] = 94936,
  [SMALL_STATE(3107)] = 95057,
  [SMALL_STATE(3108)] = 95126,
  [SMALL_STATE(3109)] = 95247,
  [SMALL_STATE(3110)] = 95368,
  [SMALL_STATE(3111)] = 95489,
  [SMALL_STATE(3112)] = 95610,
  [SMALL_STATE(3113)] = 95731,
  [SMALL_STATE(3114)] = 95852,
  [SMALL_STATE(3115)] = 95973,
  [SMALL_STATE(3116)] = 96094,
  [SMALL_STATE(3117)] = 96215,
  [SMALL_STATE(3118)] = 96336,
  [SMALL_STATE(3119)] = 96457,
  [SMALL_STATE(3120)] = 96578,
  [SMALL_STATE(3121)] = 96699,
  [SMALL_STATE(3122)] = 96820,
  [SMALL_STATE(3123)] = 96941,
  [SMALL_STATE(3124)] = 97062,
  [SMALL_STATE(3125)] = 97183,
  [SMALL_STATE(3126)] = 97304,
  [SMALL_STATE(3127)] = 97425,
  [SMALL_STATE(3128)] = 97546,
  [SMALL_STATE(3129)] = 97667,
  [SMALL_STATE(3130)] = 97788,
  [SMALL_STATE(3131)] = 97909,
  [SMALL_STATE(3132)] = 98030,
  [SMALL_STATE(3133)] = 98151,
  [SMALL_STATE(3134)] = 98272,
  [SMALL_STATE(3135)] = 98393,
  [SMALL_STATE(3136)] = 98514,
  [SMALL_STATE(3137)] = 98635,
  [SMALL_STATE(3138)] = 98756,
  [SMALL_STATE(3139)] = 98877,
  [SMALL_STATE(3140)] = 98998,
  [SMALL_STATE(3141)] = 99119,
  [SMALL_STATE(3142)] = 99240,
  [SMALL_STATE(3143)] = 99361,
  [SMALL_STATE(3144)] = 99482,
  [SMALL_STATE(3145)] = 99603,
  [SMALL_STATE(3146)] = 99724,
  [SMALL_STATE(3147)] = 99845,
  [SMALL_STATE(3148)] = 99966,
  [SMALL_STATE(3149)] = 100087,
  [SMALL_STATE(3150)] = 100208,
  [SMALL_STATE(3151)] = 100329,
  [SMALL_STATE(3152)] = 100450,
  [SMALL_STATE(3153)] = 100571,
  [SMALL_STATE(3154)] = 100692,
  [SMALL_STATE(3155)] = 100813,
  [SMALL_STATE(3156)] = 100934,
  [SMALL_STATE(3157)] = 101055,
  [SMALL_STATE(3158)] = 101176,
  [SMALL_STATE(3159)] = 101297,
  [SMALL_STATE(3160)] = 101418,
  [SMALL_STATE(3161)] = 101539,
  [SMALL_STATE(3162)] = 101660,
  [SMALL_STATE(3163)] = 101781,
  [SMALL_STATE(3164)] = 101902,
  [SMALL_STATE(3165)] = 102023,
  [SMALL_STATE(3166)] = 102144,
  [SMALL_STATE(3167)] = 102265,
  [SMALL_STATE(3168)] = 102386,
  [SMALL_STATE(3169)] = 102507,
  [SMALL_STATE(3170)] = 102628,
  [SMALL_STATE(3171)] = 102749,
  [SMALL_STATE(3172)] = 102870,
  [SMALL_STATE(3173)] = 102991,
  [SMALL_STATE(3174)] = 103112,
  [SMALL_STATE(3175)] = 103233,
  [SMALL_STATE(3176)] = 103354,
  [SMALL_STATE(3177)] = 103475,
  [SMALL_STATE(3178)] = 103596,
  [SMALL_STATE(3179)] = 103717,
  [SMALL_STATE(3180)] = 103838,
  [SMALL_STATE(3181)] = 103959,
  [SMALL_STATE(3182)] = 104080,
  [SMALL_STATE(3183)] = 104201,
  [SMALL_STATE(3184)] = 104322,
  [SMALL_STATE(3185)] = 104443,
  [SMALL_STATE(3186)] = 104564,
  [SMALL_STATE(3187)] = 104685,
  [SMALL_STATE(3188)] = 104806,
  [SMALL_STATE(3189)] = 104927,
  [SMALL_STATE(3190)] = 105048,
  [SMALL_STATE(3191)] = 105169,
  [SMALL_STATE(3192)] = 105290,
  [SMALL_STATE(3193)] = 105411,
  [SMALL_STATE(3194)] = 105532,
  [SMALL_STATE(3195)] = 105653,
  [SMALL_STATE(3196)] = 105774,
  [SMALL_STATE(3197)] = 105895,
  [SMALL_STATE(3198)] = 106016,
  [SMALL_STATE(3199)] = 106137,
  [SMALL_STATE(3200)] = 106258,
  [SMALL_STATE(3201)] = 106379,
  [SMALL_STATE(3202)] = 106500,
  [SMALL_STATE(3203)] = 106621,
  [SMALL_STATE(3204)] = 106742,
  [SMALL_STATE(3205)] = 106863,
  [SMALL_STATE(3206)] = 106984,
  [SMALL_STATE(3207)] = 107105,
  [SMALL_STATE(3208)] = 107226,
  [SMALL_STATE(3209)] = 107347,
  [SMALL_STATE(3210)] = 107468,
  [SMALL_STATE(3211)] = 107589,
  [SMALL_STATE(3212)] = 107710,
  [SMALL_STATE(3213)] = 107831,
  [SMALL_STATE(3214)] = 107952,
  [SMALL_STATE(3215)] = 108073,
  [SMALL_STATE(3216)] = 108194,
  [SMALL_STATE(3217)] = 108315,
  [SMALL_STATE(3218)] = 108436,
  [SMALL_STATE(3219)] = 108557,
  [SMALL_STATE(3220)] = 108678,
  [SMALL_STATE(3221)] = 108799,
  [SMALL_STATE(3222)] = 108920,
  [SMALL_STATE(3223)] = 109041,
  [SMALL_STATE(3224)] = 109162,
  [SMALL_STATE(3225)] = 109283,
  [SMALL_STATE(3226)] = 109404,
  [SMALL_STATE(3227)] = 109525,
  [SMALL_STATE(3228)] = 109646,
  [SMALL_STATE(3229)] = 109767,
  [SMALL_STATE(3230)] = 109888,
  [SMALL_STATE(3231)] = 110009,
  [SMALL_STATE(3232)] = 110130,
  [SMALL_STATE(3233)] = 110251,
  [SMALL_STATE(3234)] = 110372,
  [SMALL_STATE(3235)] = 110493,
  [SMALL_STATE(3236)] = 110614,
  [SMALL_STATE(3237)] = 110735,
  [SMALL_STATE(3238)] = 110856,
  [SMALL_STATE(3239)] = 110977,
  [SMALL_STATE(3240)] = 111098,
  [SMALL_STATE(3241)] = 111219,
  [SMALL_STATE(3242)] = 111340,
  [SMALL_STATE(3243)] = 111461,
  [SMALL_STATE(3244)] = 111582,
  [SMALL_STATE(3245)] = 111703,
  [SMALL_STATE(3246)] = 111824,
  [SMALL_STATE(3247)] = 111945,
  [SMALL_STATE(3248)] = 112066,
  [SMALL_STATE(3249)] = 112187,
  [SMALL_STATE(3250)] = 112308,
  [SMALL_STATE(3251)] = 112429,
  [SMALL_STATE(3252)] = 112550,
  [SMALL_STATE(3253)] = 112671,
  [SMALL_STATE(3254)] = 112792,
  [SMALL_STATE(3255)] = 112913,
  [SMALL_STATE(3256)] = 113034,
  [SMALL_STATE(3257)] = 113155,
  [SMALL_STATE(3258)] = 113276,
  [SMALL_STATE(3259)] = 113397,
  [SMALL_STATE(3260)] = 113518,
  [SMALL_STATE(3261)] = 113639,
  [SMALL_STATE(3262)] = 113760,
  [SMALL_STATE(3263)] = 113881,
  [SMALL_STATE(3264)] = 114002,
  [SMALL_STATE(3265)] = 114123,
  [SMALL_STATE(3266)] = 114244,
  [SMALL_STATE(3267)] = 114365,
  [SMALL_STATE(3268)] = 114486,
  [SMALL_STATE(3269)] = 114607,
  [SMALL_STATE(3270)] = 114728,
  [SMALL_STATE(3271)] = 114849,
  [SMALL_STATE(3272)] = 114970,
  [SMALL_STATE(3273)] = 115091,
  [SMALL_STATE(3274)] = 115212,
  [SMALL_STATE(3275)] = 115333,
  [SMALL_STATE(3276)] = 115454,
  [SMALL_STATE(3277)] = 115575,
  [SMALL_STATE(3278)] = 115696,
  [SMALL_STATE(3279)] = 115817,
  [SMALL_STATE(3280)] = 115938,
  [SMALL_STATE(3281)] = 116059,
  [SMALL_STATE(3282)] = 116180,
  [SMALL_STATE(3283)] = 116301,
  [SMALL_STATE(3284)] = 116422,
  [SMALL_STATE(3285)] = 116543,
  [SMALL_STATE(3286)] = 116664,
  [SMALL_STATE(3287)] = 116785,
  [SMALL_STATE(3288)] = 116906,
  [SMALL_STATE(3289)] = 117027,
  [SMALL_STATE(3290)] = 117148,
  [SMALL_STATE(3291)] = 117269,
  [SMALL_STATE(3292)] = 117390,
  [SMALL_STATE(3293)] = 117511,
  [SMALL_STATE(3294)] = 117632,
  [SMALL_STATE(3295)] = 117753,
  [SMALL_STATE(3296)] = 117874,
  [SMALL_STATE(3297)] = 117995,
  [SMALL_STATE(3298)] = 118116,
  [SMALL_STATE(3299)] = 118237,
  [SMALL_STATE(3300)] = 118358,
  [SMALL_STATE(3301)] = 118479,
  [SMALL_STATE(3302)] = 118600,
  [SMALL_STATE(3303)] = 118721,
  [SMALL_STATE(3304)] = 118842,
  [SMALL_STATE(3305)] = 118963,
  [SMALL_STATE(3306)] = 119084,
  [SMALL_STATE(3307)] = 119205,
  [SMALL_STATE(3308)] = 119326,
  [SMALL_STATE(3309)] = 119447,
  [SMALL_STATE(3310)] = 119568,
  [SMALL_STATE(3311)] = 119689,
  [SMALL_STATE(3312)] = 119810,
  [SMALL_STATE(3313)] = 119931,
  [SMALL_STATE(3314)] = 120052,
  [SMALL_STATE(3315)] = 120173,
  [SMALL_STATE(3316)] = 120294,
  [SMALL_STATE(3317)] = 120415,
  [SMALL_STATE(3318)] = 120536,
  [SMALL_STATE(3319)] = 120657,
  [SMALL_STATE(3320)] = 120778,
  [SMALL_STATE(3321)] = 120899,
  [SMALL_STATE(3322)] = 121020,
  [SMALL_STATE(3323)] = 121141,
  [SMALL_STATE(3324)] = 121262,
  [SMALL_STATE(3325)] = 121383,
  [SMALL_STATE(3326)] = 121504,
  [SMALL_STATE(3327)] = 121625,
  [SMALL_STATE(3328)] = 121746,
  [SMALL_STATE(3329)] = 121867,
  [SMALL_STATE(3330)] = 121988,
  [SMALL_STATE(3331)] = 122109,
  [SMALL_STATE(3332)] = 122230,
  [SMALL_STATE(3333)] = 122351,
  [SMALL_STATE(3334)] = 122472,
  [SMALL_STATE(3335)] = 122593,
  [SMALL_STATE(3336)] = 122714,
  [SMALL_STATE(3337)] = 122835,
  [SMALL_STATE(3338)] = 122956,
  [SMALL_STATE(3339)] = 123077,
  [SMALL_STATE(3340)] = 123198,
  [SMALL_STATE(3341)] = 123319,
  [SMALL_STATE(3342)] = 123440,
  [SMALL_STATE(3343)] = 123561,
  [SMALL_STATE(3344)] = 123682,
  [SMALL_STATE(3345)] = 123803,
  [SMALL_STATE(3346)] = 123924,
  [SMALL_STATE(3347)] = 124045,
  [SMALL_STATE(3348)] = 124166,
  [SMALL_STATE(3349)] = 124287,
  [SMALL_STATE(3350)] = 124408,
  [SMALL_STATE(3351)] = 124529,
  [SMALL_STATE(3352)] = 124650,
  [SMALL_STATE(3353)] = 124771,
  [SMALL_STATE(3354)] = 124892,
  [SMALL_STATE(3355)] = 125013,
  [SMALL_STATE(3356)] = 125134,
  [SMALL_STATE(3357)] = 125255,
  [SMALL_STATE(3358)] = 125376,
  [SMALL_STATE(3359)] = 125497,
  [SMALL_STATE(3360)] = 125618,
  [SMALL_STATE(3361)] = 125739,
  [SMALL_STATE(3362)] = 125860,
  [SMALL_STATE(3363)] = 125981,
  [SMALL_STATE(3364)] = 126102,
  [SMALL_STATE(3365)] = 126223,
  [SMALL_STATE(3366)] = 126344,
  [SMALL_STATE(3367)] = 126465,
  [SMALL_STATE(3368)] = 126586,
  [SMALL_STATE(3369)] = 126707,
  [SMALL_STATE(3370)] = 126828,
  [SMALL_STATE(3371)] = 126949,
  [SMALL_STATE(3372)] = 127070,
  [SMALL_STATE(3373)] = 127191,
  [SMALL_STATE(3374)] = 127312,
  [SMALL_STATE(3375)] = 127433,
  [SMALL_STATE(3376)] = 127554,
  [SMALL_STATE(3377)] = 127675,
  [SMALL_STATE(3378)] = 127796,
  [SMALL_STATE(3379)] = 127917,
  [SMALL_STATE(3380)] = 128038,
  [SMALL_STATE(3381)] = 128159,
  [SMALL_STATE(3382)] = 128280,
  [SMALL_STATE(3383)] = 128401,
  [SMALL_STATE(3384)] = 128522,
  [SMALL_STATE(3385)] = 128643,
  [SMALL_STATE(3386)] = 128764,
  [SMALL_STATE(3387)] = 128885,
  [SMALL_STATE(3388)] = 129006,
  [SMALL_STATE(3389)] = 129127,
  [SMALL_STATE(3390)] = 129248,
  [SMALL_STATE(3391)] = 129369,
  [SMALL_STATE(3392)] = 129490,
  [SMALL_STATE(3393)] = 129611,
  [SMALL_STATE(3394)] = 129732,
  [SMALL_STATE(3395)] = 129853,
  [SMALL_STATE(3396)] = 129974,
  [SMALL_STATE(3397)] = 130095,
  [SMALL_STATE(3398)] = 130216,
  [SMALL_STATE(3399)] = 130337,
  [SMALL_STATE(3400)] = 130458,
  [SMALL_STATE(3401)] = 130579,
  [SMALL_STATE(3402)] = 130700,
  [SMALL_STATE(3403)] = 130821,
  [SMALL_STATE(3404)] = 130942,
  [SMALL_STATE(3405)] = 131063,
  [SMALL_STATE(3406)] = 131184,
  [SMALL_STATE(3407)] = 131305,
  [SMALL_STATE(3408)] = 131426,
  [SMALL_STATE(3409)] = 131547,
  [SMALL_STATE(3410)] = 131668,
  [SMALL_STATE(3411)] = 131789,
  [SMALL_STATE(3412)] = 131910,
  [SMALL_STATE(3413)] = 132031,
  [SMALL_STATE(3414)] = 132152,
  [SMALL_STATE(3415)] = 132273,
  [SMALL_STATE(3416)] = 132394,
  [SMALL_STATE(3417)] = 132515,
  [SMALL_STATE(3418)] = 132636,
  [SMALL_STATE(3419)] = 132757,
  [SMALL_STATE(3420)] = 132878,
  [SMALL_STATE(3421)] = 132999,
  [SMALL_STATE(3422)] = 133120,
  [SMALL_STATE(3423)] = 133241,
  [SMALL_STATE(3424)] = 133362,
  [SMALL_STATE(3425)] = 133483,
  [SMALL_STATE(3426)] = 133604,
  [SMALL_STATE(3427)] = 133725,
  [SMALL_STATE(3428)] = 133846,
  [SMALL_STATE(3429)] = 133967,
  [SMALL_STATE(3430)] = 134088,
  [SMALL_STATE(3431)] = 134209,
  [SMALL_STATE(3432)] = 134330,
  [SMALL_STATE(3433)] = 134451,
  [SMALL_STATE(3434)] = 134572,
  [SMALL_STATE(3435)] = 134693,
  [SMALL_STATE(3436)] = 134814,
  [SMALL_STATE(3437)] = 134935,
  [SMALL_STATE(3438)] = 135056,
  [SMALL_STATE(3439)] = 135177,
  [SMALL_STATE(3440)] = 135298,
  [SMALL_STATE(3441)] = 135419,
  [SMALL_STATE(3442)] = 135540,
  [SMALL_STATE(3443)] = 135609,
  [SMALL_STATE(3444)] = 135730,
  [SMALL_STATE(3445)] = 135851,
  [SMALL_STATE(3446)] = 135972,
  [SMALL_STATE(3447)] = 136093,
  [SMALL_STATE(3448)] = 136214,
  [SMALL_STATE(3449)] = 136335,
  [SMALL_STATE(3450)] = 136456,
  [SMALL_STATE(3451)] = 136577,
  [SMALL_STATE(3452)] = 136698,
  [SMALL_STATE(3453)] = 136819,
  [SMALL_STATE(3454)] = 136940,
  [SMALL_STATE(3455)] = 137061,
  [SMALL_STATE(3456)] = 137182,
  [SMALL_STATE(3457)] = 137303,
  [SMALL_STATE(3458)] = 137424,
  [SMALL_STATE(3459)] = 137545,
  [SMALL_STATE(3460)] = 137666,
  [SMALL_STATE(3461)] = 137787,
  [SMALL_STATE(3462)] = 137908,
  [SMALL_STATE(3463)] = 138029,
  [SMALL_STATE(3464)] = 138150,
  [SMALL_STATE(3465)] = 138271,
  [SMALL_STATE(3466)] = 138392,
  [SMALL_STATE(3467)] = 138513,
  [SMALL_STATE(3468)] = 138634,
  [SMALL_STATE(3469)] = 138755,
  [SMALL_STATE(3470)] = 138876,
  [SMALL_STATE(3471)] = 138997,
  [SMALL_STATE(3472)] = 139118,
  [SMALL_STATE(3473)] = 139239,
  [SMALL_STATE(3474)] = 139360,
  [SMALL_STATE(3475)] = 139481,
  [SMALL_STATE(3476)] = 139602,
  [SMALL_STATE(3477)] = 139723,
  [SMALL_STATE(3478)] = 139844,
  [SMALL_STATE(3479)] = 139965,
  [SMALL_STATE(3480)] = 140086,
  [SMALL_STATE(3481)] = 140207,
  [SMALL_STATE(3482)] = 140328,
  [SMALL_STATE(3483)] = 140397,
  [SMALL_STATE(3484)] = 140518,
  [SMALL_STATE(3485)] = 140639,
  [SMALL_STATE(3486)] = 140760,
  [SMALL_STATE(3487)] = 140881,
  [SMALL_STATE(3488)] = 141002,
  [SMALL_STATE(3489)] = 141123,
  [SMALL_STATE(3490)] = 141244,
  [SMALL_STATE(3491)] = 141365,
  [SMALL_STATE(3492)] = 141486,
  [SMALL_STATE(3493)] = 141607,
  [SMALL_STATE(3494)] = 141728,
  [SMALL_STATE(3495)] = 141849,
  [SMALL_STATE(3496)] = 141970,
  [SMALL_STATE(3497)] = 142091,
  [SMALL_STATE(3498)] = 142212,
  [SMALL_STATE(3499)] = 142333,
  [SMALL_STATE(3500)] = 142454,
  [SMALL_STATE(3501)] = 142575,
  [SMALL_STATE(3502)] = 142696,
  [SMALL_STATE(3503)] = 142817,
  [SMALL_STATE(3504)] = 142938,
  [SMALL_STATE(3505)] = 143059,
  [SMALL_STATE(3506)] = 143180,
  [SMALL_STATE(3507)] = 143301,
  [SMALL_STATE(3508)] = 143422,
  [SMALL_STATE(3509)] = 143543,
  [SMALL_STATE(3510)] = 143664,
  [SMALL_STATE(3511)] = 143785,
  [SMALL_STATE(3512)] = 143906,
  [SMALL_STATE(3513)] = 144027,
  [SMALL_STATE(3514)] = 144148,
  [SMALL_STATE(3515)] = 144269,
  [SMALL_STATE(3516)] = 144390,
  [SMALL_STATE(3517)] = 144511,
  [SMALL_STATE(3518)] = 144632,
  [SMALL_STATE(3519)] = 144753,
  [SMALL_STATE(3520)] = 144874,
  [SMALL_STATE(3521)] = 144995,
  [SMALL_STATE(3522)] = 145116,
  [SMALL_STATE(3523)] = 145237,
  [SMALL_STATE(3524)] = 145358,
  [SMALL_STATE(3525)] = 145479,
  [SMALL_STATE(3526)] = 145600,
  [SMALL_STATE(3527)] = 145721,
  [SMALL_STATE(3528)] = 145842,
  [SMALL_STATE(3529)] = 145963,
  [SMALL_STATE(3530)] = 146084,
  [SMALL_STATE(3531)] = 146205,
  [SMALL_STATE(3532)] = 146326,
  [SMALL_STATE(3533)] = 146447,
  [SMALL_STATE(3534)] = 146568,
  [SMALL_STATE(3535)] = 146689,
  [SMALL_STATE(3536)] = 146810,
  [SMALL_STATE(3537)] = 146931,
  [SMALL_STATE(3538)] = 147052,
  [SMALL_STATE(3539)] = 147173,
  [SMALL_STATE(3540)] = 147294,
  [SMALL_STATE(3541)] = 147415,
  [SMALL_STATE(3542)] = 147536,
  [SMALL_STATE(3543)] = 147657,
  [SMALL_STATE(3544)] = 147778,
  [SMALL_STATE(3545)] = 147899,
  [SMALL_STATE(3546)] = 148020,
  [SMALL_STATE(3547)] = 148141,
  [SMALL_STATE(3548)] = 148262,
  [SMALL_STATE(3549)] = 148383,
  [SMALL_STATE(3550)] = 148504,
  [SMALL_STATE(3551)] = 148625,
  [SMALL_STATE(3552)] = 148746,
  [SMALL_STATE(3553)] = 148867,
  [SMALL_STATE(3554)] = 148988,
  [SMALL_STATE(3555)] = 149109,
  [SMALL_STATE(3556)] = 149230,
  [SMALL_STATE(3557)] = 149351,
  [SMALL_STATE(3558)] = 149472,
  [SMALL_STATE(3559)] = 149593,
  [SMALL_STATE(3560)] = 149714,
  [SMALL_STATE(3561)] = 149835,
  [SMALL_STATE(3562)] = 149956,
  [SMALL_STATE(3563)] = 150077,
  [SMALL_STATE(3564)] = 150198,
  [SMALL_STATE(3565)] = 150319,
  [SMALL_STATE(3566)] = 150440,
  [SMALL_STATE(3567)] = 150561,
  [SMALL_STATE(3568)] = 150682,
  [SMALL_STATE(3569)] = 150803,
  [SMALL_STATE(3570)] = 150924,
  [SMALL_STATE(3571)] = 151045,
  [SMALL_STATE(3572)] = 151166,
  [SMALL_STATE(3573)] = 151287,
  [SMALL_STATE(3574)] = 151408,
  [SMALL_STATE(3575)] = 151529,
  [SMALL_STATE(3576)] = 151650,
  [SMALL_STATE(3577)] = 151771,
  [SMALL_STATE(3578)] = 151892,
  [SMALL_STATE(3579)] = 152013,
  [SMALL_STATE(3580)] = 152134,
  [SMALL_STATE(3581)] = 152255,
  [SMALL_STATE(3582)] = 152376,
  [SMALL_STATE(3583)] = 152497,
  [SMALL_STATE(3584)] = 152618,
  [SMALL_STATE(3585)] = 152739,
  [SMALL_STATE(3586)] = 152860,
  [SMALL_STATE(3587)] = 152981,
  [SMALL_STATE(3588)] = 153102,
  [SMALL_STATE(3589)] = 153223,
  [SMALL_STATE(3590)] = 153344,
  [SMALL_STATE(3591)] = 153465,
  [SMALL_STATE(3592)] = 153586,
  [SMALL_STATE(3593)] = 153707,
  [SMALL_STATE(3594)] = 153828,
  [SMALL_STATE(3595)] = 153949,
  [SMALL_STATE(3596)] = 154070,
  [SMALL_STATE(3597)] = 154191,
  [SMALL_STATE(3598)] = 154312,
  [SMALL_STATE(3599)] = 154433,
  [SMALL_STATE(3600)] = 154554,
  [SMALL_STATE(3601)] = 154675,
  [SMALL_STATE(3602)] = 154796,
  [SMALL_STATE(3603)] = 154917,
  [SMALL_STATE(3604)] = 155038,
  [SMALL_STATE(3605)] = 155159,
  [SMALL_STATE(3606)] = 155280,
  [SMALL_STATE(3607)] = 155401,
  [SMALL_STATE(3608)] = 155522,
  [SMALL_STATE(3609)] = 155643,
  [SMALL_STATE(3610)] = 155764,
  [SMALL_STATE(3611)] = 155885,
  [SMALL_STATE(3612)] = 156006,
  [SMALL_STATE(3613)] = 156127,
  [SMALL_STATE(3614)] = 156248,
  [SMALL_STATE(3615)] = 156369,
  [SMALL_STATE(3616)] = 156490,
  [SMALL_STATE(3617)] = 156611,
  [SMALL_STATE(3618)] = 156732,
  [SMALL_STATE(3619)] = 156853,
  [SMALL_STATE(3620)] = 156974,
  [SMALL_STATE(3621)] = 157095,
  [SMALL_STATE(3622)] = 157216,
  [SMALL_STATE(3623)] = 157337,
  [SMALL_STATE(3624)] = 157458,
  [SMALL_STATE(3625)] = 157579,
  [SMALL_STATE(3626)] = 157700,
  [SMALL_STATE(3627)] = 157821,
  [SMALL_STATE(3628)] = 157942,
  [SMALL_STATE(3629)] = 158063,
  [SMALL_STATE(3630)] = 158184,
  [SMALL_STATE(3631)] = 158305,
  [SMALL_STATE(3632)] = 158426,
  [SMALL_STATE(3633)] = 158547,
  [SMALL_STATE(3634)] = 158668,
  [SMALL_STATE(3635)] = 158789,
  [SMALL_STATE(3636)] = 158910,
  [SMALL_STATE(3637)] = 159031,
  [SMALL_STATE(3638)] = 159152,
  [SMALL_STATE(3639)] = 159273,
  [SMALL_STATE(3640)] = 159394,
  [SMALL_STATE(3641)] = 159515,
  [SMALL_STATE(3642)] = 159636,
  [SMALL_STATE(3643)] = 159757,
  [SMALL_STATE(3644)] = 159878,
  [SMALL_STATE(3645)] = 159999,
  [SMALL_STATE(3646)] = 160120,
  [SMALL_STATE(3647)] = 160241,
  [SMALL_STATE(3648)] = 160362,
  [SMALL_STATE(3649)] = 160483,
  [SMALL_STATE(3650)] = 160604,
  [SMALL_STATE(3651)] = 160725,
  [SMALL_STATE(3652)] = 160846,
  [SMALL_STATE(3653)] = 160967,
  [SMALL_STATE(3654)] = 161088,
  [SMALL_STATE(3655)] = 161209,
  [SMALL_STATE(3656)] = 161330,
  [SMALL_STATE(3657)] = 161451,
  [SMALL_STATE(3658)] = 161572,
  [SMALL_STATE(3659)] = 161693,
  [SMALL_STATE(3660)] = 161814,
  [SMALL_STATE(3661)] = 161935,
  [SMALL_STATE(3662)] = 162056,
  [SMALL_STATE(3663)] = 162177,
  [SMALL_STATE(3664)] = 162298,
  [SMALL_STATE(3665)] = 162419,
  [SMALL_STATE(3666)] = 162540,
  [SMALL_STATE(3667)] = 162661,
  [SMALL_STATE(3668)] = 162782,
  [SMALL_STATE(3669)] = 162903,
  [SMALL_STATE(3670)] = 163024,
  [SMALL_STATE(3671)] = 163145,
  [SMALL_STATE(3672)] = 163266,
  [SMALL_STATE(3673)] = 163387,
  [SMALL_STATE(3674)] = 163508,
  [SMALL_STATE(3675)] = 163629,
  [SMALL_STATE(3676)] = 163750,
  [SMALL_STATE(3677)] = 163871,
  [SMALL_STATE(3678)] = 163992,
  [SMALL_STATE(3679)] = 164113,
  [SMALL_STATE(3680)] = 164234,
  [SMALL_STATE(3681)] = 164355,
  [SMALL_STATE(3682)] = 164476,
  [SMALL_STATE(3683)] = 164597,
  [SMALL_STATE(3684)] = 164718,
  [SMALL_STATE(3685)] = 164839,
  [SMALL_STATE(3686)] = 164960,
  [SMALL_STATE(3687)] = 165081,
  [SMALL_STATE(3688)] = 165202,
  [SMALL_STATE(3689)] = 165323,
  [SMALL_STATE(3690)] = 165444,
  [SMALL_STATE(3691)] = 165565,
  [SMALL_STATE(3692)] = 165686,
  [SMALL_STATE(3693)] = 165807,
  [SMALL_STATE(3694)] = 165928,
  [SMALL_STATE(3695)] = 166049,
  [SMALL_STATE(3696)] = 166170,
  [SMALL_STATE(3697)] = 166291,
  [SMALL_STATE(3698)] = 166412,
  [SMALL_STATE(3699)] = 166533,
  [SMALL_STATE(3700)] = 166654,
  [SMALL_STATE(3701)] = 166775,
  [SMALL_STATE(3702)] = 166896,
  [SMALL_STATE(3703)] = 167017,
  [SMALL_STATE(3704)] = 167138,
  [SMALL_STATE(3705)] = 167259,
  [SMALL_STATE(3706)] = 167380,
  [SMALL_STATE(3707)] = 167501,
  [SMALL_STATE(3708)] = 167622,
  [SMALL_STATE(3709)] = 167743,
  [SMALL_STATE(3710)] = 167864,
  [SMALL_STATE(3711)] = 167985,
  [SMALL_STATE(3712)] = 168106,
  [SMALL_STATE(3713)] = 168227,
  [SMALL_STATE(3714)] = 168348,
  [SMALL_STATE(3715)] = 168469,
  [SMALL_STATE(3716)] = 168590,
  [SMALL_STATE(3717)] = 168711,
  [SMALL_STATE(3718)] = 168832,
  [SMALL_STATE(3719)] = 168953,
  [SMALL_STATE(3720)] = 169074,
  [SMALL_STATE(3721)] = 169195,
  [SMALL_STATE(3722)] = 169316,
  [SMALL_STATE(3723)] = 169437,
  [SMALL_STATE(3724)] = 169558,
  [SMALL_STATE(3725)] = 169679,
  [SMALL_STATE(3726)] = 169800,
  [SMALL_STATE(3727)] = 169921,
  [SMALL_STATE(3728)] = 170042,
  [SMALL_STATE(3729)] = 170163,
  [SMALL_STATE(3730)] = 170284,
  [SMALL_STATE(3731)] = 170405,
  [SMALL_STATE(3732)] = 170526,
  [SMALL_STATE(3733)] = 170647,
  [SMALL_STATE(3734)] = 170768,
  [SMALL_STATE(3735)] = 170889,
  [SMALL_STATE(3736)] = 171010,
  [SMALL_STATE(3737)] = 171131,
  [SMALL_STATE(3738)] = 171252,
  [SMALL_STATE(3739)] = 171373,
  [SMALL_STATE(3740)] = 171494,
  [SMALL_STATE(3741)] = 171615,
  [SMALL_STATE(3742)] = 171736,
  [SMALL_STATE(3743)] = 171857,
  [SMALL_STATE(3744)] = 171978,
  [SMALL_STATE(3745)] = 172099,
  [SMALL_STATE(3746)] = 172220,
  [SMALL_STATE(3747)] = 172341,
  [SMALL_STATE(3748)] = 172462,
  [SMALL_STATE(3749)] = 172583,
  [SMALL_STATE(3750)] = 172704,
  [SMALL_STATE(3751)] = 172825,
  [SMALL_STATE(3752)] = 172946,
  [SMALL_STATE(3753)] = 173067,
  [SMALL_STATE(3754)] = 173188,
  [SMALL_STATE(3755)] = 173309,
  [SMALL_STATE(3756)] = 173430,
  [SMALL_STATE(3757)] = 173551,
  [SMALL_STATE(3758)] = 173672,
  [SMALL_STATE(3759)] = 173793,
  [SMALL_STATE(3760)] = 173914,
  [SMALL_STATE(3761)] = 174035,
  [SMALL_STATE(3762)] = 174156,
  [SMALL_STATE(3763)] = 174277,
  [SMALL_STATE(3764)] = 174398,
  [SMALL_STATE(3765)] = 174467,
  [SMALL_STATE(3766)] = 174588,
  [SMALL_STATE(3767)] = 174709,
  [SMALL_STATE(3768)] = 174830,
  [SMALL_STATE(3769)] = 174951,
  [SMALL_STATE(3770)] = 175072,
  [SMALL_STATE(3771)] = 175193,
  [SMALL_STATE(3772)] = 175314,
  [SMALL_STATE(3773)] = 175435,
  [SMALL_STATE(3774)] = 175556,
  [SMALL_STATE(3775)] = 175677,
  [SMALL_STATE(3776)] = 175798,
  [SMALL_STATE(3777)] = 175919,
  [SMALL_STATE(3778)] = 176040,
  [SMALL_STATE(3779)] = 176161,
  [SMALL_STATE(3780)] = 176282,
  [SMALL_STATE(3781)] = 176403,
  [SMALL_STATE(3782)] = 176524,
  [SMALL_STATE(3783)] = 176645,
  [SMALL_STATE(3784)] = 176766,
  [SMALL_STATE(3785)] = 176887,
  [SMALL_STATE(3786)] = 177008,
  [SMALL_STATE(3787)] = 177129,
  [SMALL_STATE(3788)] = 177250,
  [SMALL_STATE(3789)] = 177371,
  [SMALL_STATE(3790)] = 177492,
  [SMALL_STATE(3791)] = 177613,
  [SMALL_STATE(3792)] = 177734,
  [SMALL_STATE(3793)] = 177855,
  [SMALL_STATE(3794)] = 177976,
  [SMALL_STATE(3795)] = 178097,
  [SMALL_STATE(3796)] = 178218,
  [SMALL_STATE(3797)] = 178339,
  [SMALL_STATE(3798)] = 178460,
  [SMALL_STATE(3799)] = 178581,
  [SMALL_STATE(3800)] = 178702,
  [SMALL_STATE(3801)] = 178823,
  [SMALL_STATE(3802)] = 178944,
  [SMALL_STATE(3803)] = 179065,
  [SMALL_STATE(3804)] = 179186,
  [SMALL_STATE(3805)] = 179307,
  [SMALL_STATE(3806)] = 179428,
  [SMALL_STATE(3807)] = 179549,
  [SMALL_STATE(3808)] = 179670,
  [SMALL_STATE(3809)] = 179791,
  [SMALL_STATE(3810)] = 179912,
  [SMALL_STATE(3811)] = 180033,
  [SMALL_STATE(3812)] = 180154,
  [SMALL_STATE(3813)] = 180275,
  [SMALL_STATE(3814)] = 180396,
  [SMALL_STATE(3815)] = 180517,
  [SMALL_STATE(3816)] = 180638,
  [SMALL_STATE(3817)] = 180759,
  [SMALL_STATE(3818)] = 180880,
  [SMALL_STATE(3819)] = 181001,
  [SMALL_STATE(3820)] = 181122,
  [SMALL_STATE(3821)] = 181243,
  [SMALL_STATE(3822)] = 181364,
  [SMALL_STATE(3823)] = 181485,
  [SMALL_STATE(3824)] = 181606,
  [SMALL_STATE(3825)] = 181727,
  [SMALL_STATE(3826)] = 181848,
  [SMALL_STATE(3827)] = 181969,
  [SMALL_STATE(3828)] = 182090,
  [SMALL_STATE(3829)] = 182211,
  [SMALL_STATE(3830)] = 182332,
  [SMALL_STATE(3831)] = 182453,
  [SMALL_STATE(3832)] = 182574,
  [SMALL_STATE(3833)] = 182695,
  [SMALL_STATE(3834)] = 182816,
  [SMALL_STATE(3835)] = 182937,
  [SMALL_STATE(3836)] = 183058,
  [SMALL_STATE(3837)] = 183179,
  [SMALL_STATE(3838)] = 183300,
  [SMALL_STATE(3839)] = 183369,
  [SMALL_STATE(3840)] = 183490,
  [SMALL_STATE(3841)] = 183611,
  [SMALL_STATE(3842)] = 183679,
  [SMALL_STATE(3843)] = 183747,
  [SMALL_STATE(3844)] = 183815,
  [SMALL_STATE(3845)] = 183883,
  [SMALL_STATE(3846)] = 183951,
  [SMALL_STATE(3847)] = 184018,
  [SMALL_STATE(3848)] = 184133,
  [SMALL_STATE(3849)] = 184248,
  [SMALL_STATE(3850)] = 184363,
  [SMALL_STATE(3851)] = 184478,
  [SMALL_STATE(3852)] = 184593,
  [SMALL_STATE(3853)] = 184708,
  [SMALL_STATE(3854)] = 184823,
  [SMALL_STATE(3855)] = 184938,
  [SMALL_STATE(3856)] = 185053,
  [SMALL_STATE(3857)] = 185168,
  [SMALL_STATE(3858)] = 185283,
  [SMALL_STATE(3859)] = 185398,
  [SMALL_STATE(3860)] = 185513,
  [SMALL_STATE(3861)] = 185628,
  [SMALL_STATE(3862)] = 185743,
  [SMALL_STATE(3863)] = 185858,
  [SMALL_STATE(3864)] = 185973,
  [SMALL_STATE(3865)] = 186088,
  [SMALL_STATE(3866)] = 186203,
  [SMALL_STATE(3867)] = 186318,
  [SMALL_STATE(3868)] = 186433,
  [SMALL_STATE(3869)] = 186548,
  [SMALL_STATE(3870)] = 186663,
  [SMALL_STATE(3871)] = 186778,
  [SMALL_STATE(3872)] = 186893,
  [SMALL_STATE(3873)] = 187008,
  [SMALL_STATE(3874)] = 187123,
  [SMALL_STATE(3875)] = 187238,
  [SMALL_STATE(3876)] = 187353,
  [SMALL_STATE(3877)] = 187468,
  [SMALL_STATE(3878)] = 187583,
  [SMALL_STATE(3879)] = 187698,
  [SMALL_STATE(3880)] = 187813,
  [SMALL_STATE(3881)] = 187928,
  [SMALL_STATE(3882)] = 188043,
  [SMALL_STATE(3883)] = 188158,
  [SMALL_STATE(3884)] = 188273,
  [SMALL_STATE(3885)] = 188388,
  [SMALL_STATE(3886)] = 188503,
  [SMALL_STATE(3887)] = 188618,
  [SMALL_STATE(3888)] = 188681,
  [SMALL_STATE(3889)] = 188796,
  [SMALL_STATE(3890)] = 188911,
  [SMALL_STATE(3891)] = 188974,
  [SMALL_STATE(3892)] = 189089,
  [SMALL_STATE(3893)] = 189204,
  [SMALL_STATE(3894)] = 189319,
  [SMALL_STATE(3895)] = 189434,
  [SMALL_STATE(3896)] = 189549,
  [SMALL_STATE(3897)] = 189664,
  [SMALL_STATE(3898)] = 189779,
  [SMALL_STATE(3899)] = 189894,
  [SMALL_STATE(3900)] = 190009,
  [SMALL_STATE(3901)] = 190124,
  [SMALL_STATE(3902)] = 190239,
  [SMALL_STATE(3903)] = 190354,
  [SMALL_STATE(3904)] = 190469,
  [SMALL_STATE(3905)] = 190584,
  [SMALL_STATE(3906)] = 190696,
  [SMALL_STATE(3907)] = 190808,
  [SMALL_STATE(3908)] = 190920,
  [SMALL_STATE(3909)] = 191032,
  [SMALL_STATE(3910)] = 191144,
  [SMALL_STATE(3911)] = 191256,
  [SMALL_STATE(3912)] = 191368,
  [SMALL_STATE(3913)] = 191480,
  [SMALL_STATE(3914)] = 191542,
  [SMALL_STATE(3915)] = 191654,
  [SMALL_STATE(3916)] = 191766,
  [SMALL_STATE(3917)] = 191828,
  [SMALL_STATE(3918)] = 191940,
  [SMALL_STATE(3919)] = 192052,
  [SMALL_STATE(3920)] = 192164,
  [SMALL_STATE(3921)] = 192276,
  [SMALL_STATE(3922)] = 192388,
  [SMALL_STATE(3923)] = 192500,
  [SMALL_STATE(3924)] = 192612,
  [SMALL_STATE(3925)] = 192724,
  [SMALL_STATE(3926)] = 192836,
  [SMALL_STATE(3927)] = 192948,
  [SMALL_STATE(3928)] = 193058,
  [SMALL_STATE(3929)] = 193170,
  [SMALL_STATE(3930)] = 193282,
  [SMALL_STATE(3931)] = 193394,
  [SMALL_STATE(3932)] = 193506,
  [SMALL_STATE(3933)] = 193618,
  [SMALL_STATE(3934)] = 193730,
  [SMALL_STATE(3935)] = 193842,
  [SMALL_STATE(3936)] = 193954,
  [SMALL_STATE(3937)] = 194066,
  [SMALL_STATE(3938)] = 194178,
  [SMALL_STATE(3939)] = 194290,
  [SMALL_STATE(3940)] = 194402,
  [SMALL_STATE(3941)] = 194514,
  [SMALL_STATE(3942)] = 194626,
  [SMALL_STATE(3943)] = 194688,
  [SMALL_STATE(3944)] = 194800,
  [SMALL_STATE(3945)] = 194912,
  [SMALL_STATE(3946)] = 195024,
  [SMALL_STATE(3947)] = 195136,
  [SMALL_STATE(3948)] = 195248,
  [SMALL_STATE(3949)] = 195310,
  [SMALL_STATE(3950)] = 195422,
  [SMALL_STATE(3951)] = 195534,
  [SMALL_STATE(3952)] = 195646,
  [SMALL_STATE(3953)] = 195756,
  [SMALL_STATE(3954)] = 195868,
  [SMALL_STATE(3955)] = 195980,
  [SMALL_STATE(3956)] = 196092,
  [SMALL_STATE(3957)] = 196204,
  [SMALL_STATE(3958)] = 196316,
  [SMALL_STATE(3959)] = 196428,
  [SMALL_STATE(3960)] = 196540,
  [SMALL_STATE(3961)] = 196652,
  [SMALL_STATE(3962)] = 196764,
  [SMALL_STATE(3963)] = 196876,
  [SMALL_STATE(3964)] = 196988,
  [SMALL_STATE(3965)] = 197100,
  [SMALL_STATE(3966)] = 197212,
  [SMALL_STATE(3967)] = 197324,
  [SMALL_STATE(3968)] = 197436,
  [SMALL_STATE(3969)] = 197548,
  [SMALL_STATE(3970)] = 197660,
  [SMALL_STATE(3971)] = 197772,
  [SMALL_STATE(3972)] = 197884,
  [SMALL_STATE(3973)] = 197996,
  [SMALL_STATE(3974)] = 198108,
  [SMALL_STATE(3975)] = 198220,
  [SMALL_STATE(3976)] = 198332,
  [SMALL_STATE(3977)] = 198444,
  [SMALL_STATE(3978)] = 198556,
  [SMALL_STATE(3979)] = 198668,
  [SMALL_STATE(3980)] = 198780,
  [SMALL_STATE(3981)] = 198892,
  [SMALL_STATE(3982)] = 199002,
  [SMALL_STATE(3983)] = 199114,
  [SMALL_STATE(3984)] = 199226,
  [SMALL_STATE(3985)] = 199338,
  [SMALL_STATE(3986)] = 199450,
  [SMALL_STATE(3987)] = 199562,
  [SMALL_STATE(3988)] = 199674,
  [SMALL_STATE(3989)] = 199786,
  [SMALL_STATE(3990)] = 199898,
  [SMALL_STATE(3991)] = 200010,
  [SMALL_STATE(3992)] = 200122,
  [SMALL_STATE(3993)] = 200234,
  [SMALL_STATE(3994)] = 200346,
  [SMALL_STATE(3995)] = 200458,
  [SMALL_STATE(3996)] = 200570,
  [SMALL_STATE(3997)] = 200682,
  [SMALL_STATE(3998)] = 200794,
  [SMALL_STATE(3999)] = 200906,
  [SMALL_STATE(4000)] = 201018,
  [SMALL_STATE(4001)] = 201128,
  [SMALL_STATE(4002)] = 201240,
  [SMALL_STATE(4003)] = 201352,
  [SMALL_STATE(4004)] = 201464,
  [SMALL_STATE(4005)] = 201576,
  [SMALL_STATE(4006)] = 201688,
  [SMALL_STATE(4007)] = 201800,
  [SMALL_STATE(4008)] = 201912,
  [SMALL_STATE(4009)] = 202024,
  [SMALL_STATE(4010)] = 202136,
  [SMALL_STATE(4011)] = 202248,
  [SMALL_STATE(4012)] = 202360,
  [SMALL_STATE(4013)] = 202472,
  [SMALL_STATE(4014)] = 202584,
  [SMALL_STATE(4015)] = 202696,
  [SMALL_STATE(4016)] = 202808,
  [SMALL_STATE(4017)] = 202920,
  [SMALL_STATE(4018)] = 203032,
  [SMALL_STATE(4019)] = 203144,
  [SMALL_STATE(4020)] = 203256,
  [SMALL_STATE(4021)] = 203368,
  [SMALL_STATE(4022)] = 203480,
  [SMALL_STATE(4023)] = 203592,
  [SMALL_STATE(4024)] = 203704,
  [SMALL_STATE(4025)] = 203816,
  [SMALL_STATE(4026)] = 203877,
  [SMALL_STATE(4027)] = 203938,
  [SMALL_STATE(4028)] = 203999,
  [SMALL_STATE(4029)] = 204060,
  [SMALL_STATE(4030)] = 204121,
  [SMALL_STATE(4031)] = 204182,
  [SMALL_STATE(4032)] = 204291,
  [SMALL_STATE(4033)] = 204352,
  [SMALL_STATE(4034)] = 204413,
  [SMALL_STATE(4035)] = 204522,
  [SMALL_STATE(4036)] = 204582,
  [SMALL_STATE(4037)] = 204642,
  [SMALL_STATE(4038)] = 204702,
  [SMALL_STATE(4039)] = 204808,
  [SMALL_STATE(4040)] = 204868,
  [SMALL_STATE(4041)] = 204974,
  [SMALL_STATE(4042)] = 205034,
  [SMALL_STATE(4043)] = 205094,
  [SMALL_STATE(4044)] = 205154,
  [SMALL_STATE(4045)] = 205260,
  [SMALL_STATE(4046)] = 205320,
  [SMALL_STATE(4047)] = 205380,
  [SMALL_STATE(4048)] = 205440,
  [SMALL_STATE(4049)] = 205546,
  [SMALL_STATE(4050)] = 205603,
  [SMALL_STATE(4051)] = 205662,
  [SMALL_STATE(4052)] = 205721,
  [SMALL_STATE(4053)] = 205780,
  [SMALL_STATE(4054)] = 205839,
  [SMALL_STATE(4055)] = 205898,
  [SMALL_STATE(4056)] = 205957,
  [SMALL_STATE(4057)] = 206016,
  [SMALL_STATE(4058)] = 206075,
  [SMALL_STATE(4059)] = 206134,
  [SMALL_STATE(4060)] = 206193,
  [SMALL_STATE(4061)] = 206250,
  [SMALL_STATE(4062)] = 206309,
  [SMALL_STATE(4063)] = 206368,
  [SMALL_STATE(4064)] = 206426,
  [SMALL_STATE(4065)] = 206526,
  [SMALL_STATE(4066)] = 206584,
  [SMALL_STATE(4067)] = 206642,
  [SMALL_STATE(4068)] = 206708,
  [SMALL_STATE(4069)] = 206766,
  [SMALL_STATE(4070)] = 206824,
  [SMALL_STATE(4071)] = 206882,
  [SMALL_STATE(4072)] = 206940,
  [SMALL_STATE(4073)] = 207040,
  [SMALL_STATE(4074)] = 207098,
  [SMALL_STATE(4075)] = 207156,
  [SMALL_STATE(4076)] = 207213,
  [SMALL_STATE(4077)] = 207270,
  [SMALL_STATE(4078)] = 207327,
  [SMALL_STATE(4079)] = 207384,
  [SMALL_STATE(4080)] = 207478,
  [SMALL_STATE(4081)] = 207572,
  [SMALL_STATE(4082)] = 207666,
  [SMALL_STATE(4083)] = 207760,
  [SMALL_STATE(4084)] = 207854,
  [SMALL_STATE(4085)] = 207948,
  [SMALL_STATE(4086)] = 208042,
  [SMALL_STATE(4087)] = 208136,
  [SMALL_STATE(4088)] = 208230,
  [SMALL_STATE(4089)] = 208324,
  [SMALL_STATE(4090)] = 208418,
  [SMALL_STATE(4091)] = 208512,
  [SMALL_STATE(4092)] = 208606,
  [SMALL_STATE(4093)] = 208700,
  [SMALL_STATE(4094)] = 208794,
  [SMALL_STATE(4095)] = 208888,
  [SMALL_STATE(4096)] = 208982,
  [SMALL_STATE(4097)] = 209076,
  [SMALL_STATE(4098)] = 209170,
  [SMALL_STATE(4099)] = 209264,
  [SMALL_STATE(4100)] = 209358,
  [SMALL_STATE(4101)] = 209452,
  [SMALL_STATE(4102)] = 209546,
  [SMALL_STATE(4103)] = 209640,
  [SMALL_STATE(4104)] = 209734,
  [SMALL_STATE(4105)] = 209828,
  [SMALL_STATE(4106)] = 209922,
  [SMALL_STATE(4107)] = 210016,
  [SMALL_STATE(4108)] = 210110,
  [SMALL_STATE(4109)] = 210204,
  [SMALL_STATE(4110)] = 210298,
  [SMALL_STATE(4111)] = 210392,
  [SMALL_STATE(4112)] = 210486,
  [SMALL_STATE(4113)] = 210580,
  [SMALL_STATE(4114)] = 210636,
  [SMALL_STATE(4115)] = 210730,
  [SMALL_STATE(4116)] = 210824,
  [SMALL_STATE(4117)] = 210918,
  [SMALL_STATE(4118)] = 211012,
  [SMALL_STATE(4119)] = 211106,
  [SMALL_STATE(4120)] = 211200,
  [SMALL_STATE(4121)] = 211294,
  [SMALL_STATE(4122)] = 211388,
  [SMALL_STATE(4123)] = 211482,
  [SMALL_STATE(4124)] = 211576,
  [SMALL_STATE(4125)] = 211670,
  [SMALL_STATE(4126)] = 211764,
  [SMALL_STATE(4127)] = 211858,
  [SMALL_STATE(4128)] = 211952,
  [SMALL_STATE(4129)] = 212046,
  [SMALL_STATE(4130)] = 212140,
  [SMALL_STATE(4131)] = 212234,
  [SMALL_STATE(4132)] = 212328,
  [SMALL_STATE(4133)] = 212422,
  [SMALL_STATE(4134)] = 212516,
  [SMALL_STATE(4135)] = 212610,
  [SMALL_STATE(4136)] = 212704,
  [SMALL_STATE(4137)] = 212798,
  [SMALL_STATE(4138)] = 212905,
  [SMALL_STATE(4139)] = 213012,
  [SMALL_STATE(4140)] = 213119,
  [SMALL_STATE(4141)] = 213176,
  [SMALL_STATE(4142)] = 213233,
  [SMALL_STATE(4143)] = 213290,
  [SMALL_STATE(4144)] = 213397,
  [SMALL_STATE(4145)] = 213454,
  [SMALL_STATE(4146)] = 213511,
  [SMALL_STATE(4147)] = 213618,
  [SMALL_STATE(4148)] = 213709,
  [SMALL_STATE(4149)] = 213816,
  [SMALL_STATE(4150)] = 213907,
  [SMALL_STATE(4151)] = 213998,
  [SMALL_STATE(4152)] = 214105,
  [SMALL_STATE(4153)] = 214212,
  [SMALL_STATE(4154)] = 214319,
  [SMALL_STATE(4155)] = 214410,
  [SMALL_STATE(4156)] = 214517,
  [SMALL_STATE(4157)] = 214608,
  [SMALL_STATE(4158)] = 214665,
  [SMALL_STATE(4159)] = 214772,
  [SMALL_STATE(4160)] = 214863,
  [SMALL_STATE(4161)] = 214970,
  [SMALL_STATE(4162)] = 215077,
  [SMALL_STATE(4163)] = 215134,
  [SMALL_STATE(4164)] = 215191,
  [SMALL_STATE(4165)] = 215248,
  [SMALL_STATE(4166)] = 215339,
  [SMALL_STATE(4167)] = 215430,
  [SMALL_STATE(4168)] = 215521,
  [SMALL_STATE(4169)] = 215628,
  [SMALL_STATE(4170)] = 215719,
  [SMALL_STATE(4171)] = 215774,
  [SMALL_STATE(4172)] = 215865,
  [SMALL_STATE(4173)] = 215956,
  [SMALL_STATE(4174)] = 216047,
  [SMALL_STATE(4175)] = 216138,
  [SMALL_STATE(4176)] = 216229,
  [SMALL_STATE(4177)] = 216336,
  [SMALL_STATE(4178)] = 216391,
  [SMALL_STATE(4179)] = 216482,
  [SMALL_STATE(4180)] = 216534,
  [SMALL_STATE(4181)] = 216625,
  [SMALL_STATE(4182)] = 216716,
  [SMALL_STATE(4183)] = 216807,
  [SMALL_STATE(4184)] = 216898,
  [SMALL_STATE(4185)] = 216989,
  [SMALL_STATE(4186)] = 217080,
  [SMALL_STATE(4187)] = 217171,
  [SMALL_STATE(4188)] = 217262,
  [SMALL_STATE(4189)] = 217353,
  [SMALL_STATE(4190)] = 217444,
  [SMALL_STATE(4191)] = 217535,
  [SMALL_STATE(4192)] = 217626,
  [SMALL_STATE(4193)] = 217717,
  [SMALL_STATE(4194)] = 217808,
  [SMALL_STATE(4195)] = 217899,
  [SMALL_STATE(4196)] = 217990,
  [SMALL_STATE(4197)] = 218081,
  [SMALL_STATE(4198)] = 218172,
  [SMALL_STATE(4199)] = 218263,
  [SMALL_STATE(4200)] = 218354,
  [SMALL_STATE(4201)] = 218445,
  [SMALL_STATE(4202)] = 218536,
  [SMALL_STATE(4203)] = 218627,
  [SMALL_STATE(4204)] = 218718,
  [SMALL_STATE(4205)] = 218809,
  [SMALL_STATE(4206)] = 218900,
  [SMALL_STATE(4207)] = 218991,
  [SMALL_STATE(4208)] = 219082,
  [SMALL_STATE(4209)] = 219173,
  [SMALL_STATE(4210)] = 219264,
  [SMALL_STATE(4211)] = 219355,
  [SMALL_STATE(4212)] = 219446,
  [SMALL_STATE(4213)] = 219537,
  [SMALL_STATE(4214)] = 219628,
  [SMALL_STATE(4215)] = 219719,
  [SMALL_STATE(4216)] = 219810,
  [SMALL_STATE(4217)] = 219901,
  [SMALL_STATE(4218)] = 219992,
  [SMALL_STATE(4219)] = 220083,
  [SMALL_STATE(4220)] = 220174,
  [SMALL_STATE(4221)] = 220265,
  [SMALL_STATE(4222)] = 220356,
  [SMALL_STATE(4223)] = 220447,
  [SMALL_STATE(4224)] = 220538,
  [SMALL_STATE(4225)] = 220629,
  [SMALL_STATE(4226)] = 220720,
  [SMALL_STATE(4227)] = 220811,
  [SMALL_STATE(4228)] = 220902,
  [SMALL_STATE(4229)] = 220993,
  [SMALL_STATE(4230)] = 221084,
  [SMALL_STATE(4231)] = 221175,
  [SMALL_STATE(4232)] = 221266,
  [SMALL_STATE(4233)] = 221357,
  [SMALL_STATE(4234)] = 221448,
  [SMALL_STATE(4235)] = 221539,
  [SMALL_STATE(4236)] = 221630,
  [SMALL_STATE(4237)] = 221721,
  [SMALL_STATE(4238)] = 221812,
  [SMALL_STATE(4239)] = 221903,
  [SMALL_STATE(4240)] = 221994,
  [SMALL_STATE(4241)] = 222085,
  [SMALL_STATE(4242)] = 222176,
  [SMALL_STATE(4243)] = 222267,
  [SMALL_STATE(4244)] = 222358,
  [SMALL_STATE(4245)] = 222410,
  [SMALL_STATE(4246)] = 222461,
  [SMALL_STATE(4247)] = 222553,
  [SMALL_STATE(4248)] = 222645,
  [SMALL_STATE(4249)] = 222693,
  [SMALL_STATE(4250)] = 222785,
  [SMALL_STATE(4251)] = 222849,
  [SMALL_STATE(4252)] = 222941,
  [SMALL_STATE(4253)] = 223005,
  [SMALL_STATE(4254)] = 223097,
  [SMALL_STATE(4255)] = 223188,
  [SMALL_STATE(4256)] = 223279,
  [SMALL_STATE(4257)] = 223370,
  [SMALL_STATE(4258)] = 223463,
  [SMALL_STATE(4259)] = 223556,
  [SMALL_STATE(4260)] = 223617,
  [SMALL_STATE(4261)] = 223666,
  [SMALL_STATE(4262)] = 223759,
  [SMALL_STATE(4263)] = 223852,
  [SMALL_STATE(4264)] = 223913,
  [SMALL_STATE(4265)] = 224006,
  [SMALL_STATE(4266)] = 224099,
  [SMALL_STATE(4267)] = 224190,
  [SMALL_STATE(4268)] = 224253,
  [SMALL_STATE(4269)] = 224344,
  [SMALL_STATE(4270)] = 224435,
  [SMALL_STATE(4271)] = 224526,
  [SMALL_STATE(4272)] = 224617,
  [SMALL_STATE(4273)] = 224710,
  [SMALL_STATE(4274)] = 224801,
  [SMALL_STATE(4275)] = 224866,
  [SMALL_STATE(4276)] = 224957,
  [SMALL_STATE(4277)] = 225043,
  [SMALL_STATE(4278)] = 225129,
  [SMALL_STATE(4279)] = 225215,
  [SMALL_STATE(4280)] = 225275,
  [SMALL_STATE(4281)] = 225361,
  [SMALL_STATE(4282)] = 225419,
  [SMALL_STATE(4283)] = 225505,
  [SMALL_STATE(4284)] = 225591,
  [SMALL_STATE(4285)] = 225677,
  [SMALL_STATE(4286)] = 225723,
  [SMALL_STATE(4287)] = 225809,
  [SMALL_STATE(4288)] = 225895,
  [SMALL_STATE(4289)] = 225981,
  [SMALL_STATE(4290)] = 226067,
  [SMALL_STATE(4291)] = 226131,
  [SMALL_STATE(4292)] = 226217,
  [SMALL_STATE(4293)] = 226279,
  [SMALL_STATE(4294)] = 226365,
  [SMALL_STATE(4295)] = 226427,
  [SMALL_STATE(4296)] = 226513,
  [SMALL_STATE(4297)] = 226599,
  [SMALL_STATE(4298)] = 226685,
  [SMALL_STATE(4299)] = 226745,
  [SMALL_STATE(4300)] = 226791,
  [SMALL_STATE(4301)] = 226877,
  [SMALL_STATE(4302)] = 226923,
  [SMALL_STATE(4303)] = 227009,
  [SMALL_STATE(4304)] = 227055,
  [SMALL_STATE(4305)] = 227101,
  [SMALL_STATE(4306)] = 227147,
  [SMALL_STATE(4307)] = 227233,
  [SMALL_STATE(4308)] = 227319,
  [SMALL_STATE(4309)] = 227405,
  [SMALL_STATE(4310)] = 227451,
  [SMALL_STATE(4311)] = 227537,
  [SMALL_STATE(4312)] = 227583,
  [SMALL_STATE(4313)] = 227669,
  [SMALL_STATE(4314)] = 227755,
  [SMALL_STATE(4315)] = 227841,
  [SMALL_STATE(4316)] = 227927,
  [SMALL_STATE(4317)] = 227987,
  [SMALL_STATE(4318)] = 228073,
  [SMALL_STATE(4319)] = 228133,
  [SMALL_STATE(4320)] = 228219,
  [SMALL_STATE(4321)] = 228279,
  [SMALL_STATE(4322)] = 228365,
  [SMALL_STATE(4323)] = 228429,
  [SMALL_STATE(4324)] = 228515,
  [SMALL_STATE(4325)] = 228575,
  [SMALL_STATE(4326)] = 228635,
  [SMALL_STATE(4327)] = 228721,
  [SMALL_STATE(4328)] = 228767,
  [SMALL_STATE(4329)] = 228813,
  [SMALL_STATE(4330)] = 228899,
  [SMALL_STATE(4331)] = 228985,
  [SMALL_STATE(4332)] = 229071,
  [SMALL_STATE(4333)] = 229157,
  [SMALL_STATE(4334)] = 229243,
  [SMALL_STATE(4335)] = 229329,
  [SMALL_STATE(4336)] = 229397,
  [SMALL_STATE(4337)] = 229483,
  [SMALL_STATE(4338)] = 229569,
  [SMALL_STATE(4339)] = 229655,
  [SMALL_STATE(4340)] = 229741,
  [SMALL_STATE(4341)] = 229827,
  [SMALL_STATE(4342)] = 229887,
  [SMALL_STATE(4343)] = 229973,
  [SMALL_STATE(4344)] = 230019,
  [SMALL_STATE(4345)] = 230105,
  [SMALL_STATE(4346)] = 230191,
  [SMALL_STATE(4347)] = 230249,
  [SMALL_STATE(4348)] = 230335,
  [SMALL_STATE(4349)] = 230421,
  [SMALL_STATE(4350)] = 230507,
  [SMALL_STATE(4351)] = 230593,
  [SMALL_STATE(4352)] = 230679,
  [SMALL_STATE(4353)] = 230765,
  [SMALL_STATE(4354)] = 230851,
  [SMALL_STATE(4355)] = 230937,
  [SMALL_STATE(4356)] = 231023,
  [SMALL_STATE(4357)] = 231109,
  [SMALL_STATE(4358)] = 231195,
  [SMALL_STATE(4359)] = 231281,
  [SMALL_STATE(4360)] = 231367,
  [SMALL_STATE(4361)] = 231453,
  [SMALL_STATE(4362)] = 231539,
  [SMALL_STATE(4363)] = 231625,
  [SMALL_STATE(4364)] = 231711,
  [SMALL_STATE(4365)] = 231797,
  [SMALL_STATE(4366)] = 231883,
  [SMALL_STATE(4367)] = 231969,
  [SMALL_STATE(4368)] = 232055,
  [SMALL_STATE(4369)] = 232141,
  [SMALL_STATE(4370)] = 232227,
  [SMALL_STATE(4371)] = 232313,
  [SMALL_STATE(4372)] = 232399,
  [SMALL_STATE(4373)] = 232485,
  [SMALL_STATE(4374)] = 232571,
  [SMALL_STATE(4375)] = 232657,
  [SMALL_STATE(4376)] = 232743,
  [SMALL_STATE(4377)] = 232829,
  [SMALL_STATE(4378)] = 232915,
  [SMALL_STATE(4379)] = 233001,
  [SMALL_STATE(4380)] = 233087,
  [SMALL_STATE(4381)] = 233173,
  [SMALL_STATE(4382)] = 233256,
  [SMALL_STATE(4383)] = 233339,
  [SMALL_STATE(4384)] = 233410,
  [SMALL_STATE(4385)] = 233457,
  [SMALL_STATE(4386)] = 233518,
  [SMALL_STATE(4387)] = 233577,
  [SMALL_STATE(4388)] = 233624,
  [SMALL_STATE(4389)] = 233707,
  [SMALL_STATE(4390)] = 233790,
  [SMALL_STATE(4391)] = 233873,
  [SMALL_STATE(4392)] = 233934,
  [SMALL_STATE(4393)] = 233983,
  [SMALL_STATE(4394)] = 234066,
  [SMALL_STATE(4395)] = 234149,
  [SMALL_STATE(4396)] = 234232,
  [SMALL_STATE(4397)] = 234315,
  [SMALL_STATE(4398)] = 234398,
  [SMALL_STATE(4399)] = 234481,
  [SMALL_STATE(4400)] = 234540,
  [SMALL_STATE(4401)] = 234599,
  [SMALL_STATE(4402)] = 234682,
  [SMALL_STATE(4403)] = 234743,
  [SMALL_STATE(4404)] = 234806,
  [SMALL_STATE(4405)] = 234889,
  [SMALL_STATE(4406)] = 234972,
  [SMALL_STATE(4407)] = 235033,
  [SMALL_STATE(4408)] = 235092,
  [SMALL_STATE(4409)] = 235175,
  [SMALL_STATE(4410)] = 235236,
  [SMALL_STATE(4411)] = 235285,
  [SMALL_STATE(4412)] = 235368,
  [SMALL_STATE(4413)] = 235431,
  [SMALL_STATE(4414)] = 235514,
  [SMALL_STATE(4415)] = 235573,
  [SMALL_STATE(4416)] = 235620,
  [SMALL_STATE(4417)] = 235687,
  [SMALL_STATE(4418)] = 235732,
  [SMALL_STATE(4419)] = 235815,
  [SMALL_STATE(4420)] = 235898,
  [SMALL_STATE(4421)] = 235957,
  [SMALL_STATE(4422)] = 236016,
  [SMALL_STATE(4423)] = 236077,
  [SMALL_STATE(4424)] = 236160,
  [SMALL_STATE(4425)] = 236223,
  [SMALL_STATE(4426)] = 236306,
  [SMALL_STATE(4427)] = 236365,
  [SMALL_STATE(4428)] = 236422,
  [SMALL_STATE(4429)] = 236505,
  [SMALL_STATE(4430)] = 236588,
  [SMALL_STATE(4431)] = 236671,
  [SMALL_STATE(4432)] = 236754,
  [SMALL_STATE(4433)] = 236813,
  [SMALL_STATE(4434)] = 236896,
  [SMALL_STATE(4435)] = 236957,
  [SMALL_STATE(4436)] = 237040,
  [SMALL_STATE(4437)] = 237123,
  [SMALL_STATE(4438)] = 237180,
  [SMALL_STATE(4439)] = 237239,
  [SMALL_STATE(4440)] = 237286,
  [SMALL_STATE(4441)] = 237369,
  [SMALL_STATE(4442)] = 237426,
  [SMALL_STATE(4443)] = 237485,
  [SMALL_STATE(4444)] = 237568,
  [SMALL_STATE(4445)] = 237627,
  [SMALL_STATE(4446)] = 237674,
  [SMALL_STATE(4447)] = 237741,
  [SMALL_STATE(4448)] = 237824,
  [SMALL_STATE(4449)] = 237871,
  [SMALL_STATE(4450)] = 237930,
  [SMALL_STATE(4451)] = 237987,
  [SMALL_STATE(4452)] = 238070,
  [SMALL_STATE(4453)] = 238153,
  [SMALL_STATE(4454)] = 238212,
  [SMALL_STATE(4455)] = 238271,
  [SMALL_STATE(4456)] = 238324,
  [SMALL_STATE(4457)] = 238383,
  [SMALL_STATE(4458)] = 238444,
  [SMALL_STATE(4459)] = 238527,
  [SMALL_STATE(4460)] = 238578,
  [SMALL_STATE(4461)] = 238661,
  [SMALL_STATE(4462)] = 238728,
  [SMALL_STATE(4463)] = 238811,
  [SMALL_STATE(4464)] = 238858,
  [SMALL_STATE(4465)] = 238916,
  [SMALL_STATE(4466)] = 238968,
  [SMALL_STATE(4467)] = 239026,
  [SMALL_STATE(4468)] = 239076,
  [SMALL_STATE(4469)] = 239122,
  [SMALL_STATE(4470)] = 239178,
  [SMALL_STATE(4471)] = 239236,
  [SMALL_STATE(4472)] = 239284,
  [SMALL_STATE(4473)] = 239342,
  [SMALL_STATE(4474)] = 239412,
  [SMALL_STATE(4475)] = 239460,
  [SMALL_STATE(4476)] = 239516,
  [SMALL_STATE(4477)] = 239574,
  [SMALL_STATE(4478)] = 239634,
  [SMALL_STATE(4479)] = 239680,
  [SMALL_STATE(4480)] = 239738,
  [SMALL_STATE(4481)] = 239796,
  [SMALL_STATE(4482)] = 239842,
  [SMALL_STATE(4483)] = 239892,
  [SMALL_STATE(4484)] = 239950,
  [SMALL_STATE(4485)] = 240002,
  [SMALL_STATE(4486)] = 240048,
  [SMALL_STATE(4487)] = 240094,
  [SMALL_STATE(4488)] = 240152,
  [SMALL_STATE(4489)] = 240212,
  [SMALL_STATE(4490)] = 240270,
  [SMALL_STATE(4491)] = 240336,
  [SMALL_STATE(4492)] = 240394,
  [SMALL_STATE(4493)] = 240452,
  [SMALL_STATE(4494)] = 240498,
  [SMALL_STATE(4495)] = 240558,
  [SMALL_STATE(4496)] = 240610,
  [SMALL_STATE(4497)] = 240656,
  [SMALL_STATE(4498)] = 240714,
  [SMALL_STATE(4499)] = 240784,
  [SMALL_STATE(4500)] = 240846,
  [SMALL_STATE(4501)] = 240904,
  [SMALL_STATE(4502)] = 240960,
  [SMALL_STATE(4503)] = 241026,
  [SMALL_STATE(4504)] = 241086,
  [SMALL_STATE(4505)] = 241142,
  [SMALL_STATE(4506)] = 241200,
  [SMALL_STATE(4507)] = 241260,
  [SMALL_STATE(4508)] = 241310,
  [SMALL_STATE(4509)] = 241368,
  [SMALL_STATE(4510)] = 241414,
  [SMALL_STATE(4511)] = 241472,
  [SMALL_STATE(4512)] = 241530,
  [SMALL_STATE(4513)] = 241576,
  [SMALL_STATE(4514)] = 241638,
  [SMALL_STATE(4515)] = 241698,
  [SMALL_STATE(4516)] = 241756,
  [SMALL_STATE(4517)] = 241822,
  [SMALL_STATE(4518)] = 241868,
  [SMALL_STATE(4519)] = 241928,
  [SMALL_STATE(4520)] = 241976,
  [SMALL_STATE(4521)] = 242036,
  [SMALL_STATE(4522)] = 242082,
  [SMALL_STATE(4523)] = 242140,
  [SMALL_STATE(4524)] = 242186,
  [SMALL_STATE(4525)] = 242232,
  [SMALL_STATE(4526)] = 242278,
  [SMALL_STATE(4527)] = 242324,
  [SMALL_STATE(4528)] = 242384,
  [SMALL_STATE(4529)] = 242430,
  [SMALL_STATE(4530)] = 242488,
  [SMALL_STATE(4531)] = 242536,
  [SMALL_STATE(4532)] = 242616,
  [SMALL_STATE(4533)] = 242664,
  [SMALL_STATE(4534)] = 242730,
  [SMALL_STATE(4535)] = 242790,
  [SMALL_STATE(4536)] = 242836,
  [SMALL_STATE(4537)] = 242896,
  [SMALL_STATE(4538)] = 242942,
  [SMALL_STATE(4539)] = 242998,
  [SMALL_STATE(4540)] = 243060,
  [SMALL_STATE(4541)] = 243110,
  [SMALL_STATE(4542)] = 243160,
  [SMALL_STATE(4543)] = 243212,
  [SMALL_STATE(4544)] = 243270,
  [SMALL_STATE(4545)] = 243316,
  [SMALL_STATE(4546)] = 243362,
  [SMALL_STATE(4547)] = 243408,
  [SMALL_STATE(4548)] = 243458,
  [SMALL_STATE(4549)] = 243504,
  [SMALL_STATE(4550)] = 243554,
  [SMALL_STATE(4551)] = 243610,
  [SMALL_STATE(4552)] = 243668,
  [SMALL_STATE(4553)] = 243714,
  [SMALL_STATE(4554)] = 243762,
  [SMALL_STATE(4555)] = 243814,
  [SMALL_STATE(4556)] = 243866,
  [SMALL_STATE(4557)] = 243926,
  [SMALL_STATE(4558)] = 243972,
  [SMALL_STATE(4559)] = 244038,
  [SMALL_STATE(4560)] = 244084,
  [SMALL_STATE(4561)] = 244130,
  [SMALL_STATE(4562)] = 244177,
  [SMALL_STATE(4563)] = 244224,
  [SMALL_STATE(4564)] = 244269,
  [SMALL_STATE(4565)] = 244314,
  [SMALL_STATE(4566)] = 244359,
  [SMALL_STATE(4567)] = 244414,
  [SMALL_STATE(4568)] = 244459,
  [SMALL_STATE(4569)] = 244524,
  [SMALL_STATE(4570)] = 244569,
  [SMALL_STATE(4571)] = 244614,
  [SMALL_STATE(4572)] = 244659,
  [SMALL_STATE(4573)] = 244714,
  [SMALL_STATE(4574)] = 244769,
  [SMALL_STATE(4575)] = 244814,
  [SMALL_STATE(4576)] = 244861,
  [SMALL_STATE(4577)] = 244906,
  [SMALL_STATE(4578)] = 244957,
  [SMALL_STATE(4579)] = 245002,
  [SMALL_STATE(4580)] = 245047,
  [SMALL_STATE(4581)] = 245106,
  [SMALL_STATE(4582)] = 245153,
  [SMALL_STATE(4583)] = 245198,
  [SMALL_STATE(4584)] = 245243,
  [SMALL_STATE(4585)] = 245288,
  [SMALL_STATE(4586)] = 245335,
  [SMALL_STATE(4587)] = 245380,
  [SMALL_STATE(4588)] = 245425,
  [SMALL_STATE(4589)] = 245486,
  [SMALL_STATE(4590)] = 245545,
  [SMALL_STATE(4591)] = 245590,
  [SMALL_STATE(4592)] = 245641,
  [SMALL_STATE(4593)] = 245688,
  [SMALL_STATE(4594)] = 245745,
  [SMALL_STATE(4595)] = 245802,
  [SMALL_STATE(4596)] = 245847,
  [SMALL_STATE(4597)] = 245902,
  [SMALL_STATE(4598)] = 245959,
  [SMALL_STATE(4599)] = 246016,
  [SMALL_STATE(4600)] = 246081,
  [SMALL_STATE(4601)] = 246130,
  [SMALL_STATE(4602)] = 246187,
  [SMALL_STATE(4603)] = 246246,
  [SMALL_STATE(4604)] = 246291,
  [SMALL_STATE(4605)] = 246348,
  [SMALL_STATE(4606)] = 246393,
  [SMALL_STATE(4607)] = 246450,
  [SMALL_STATE(4608)] = 246495,
  [SMALL_STATE(4609)] = 246550,
  [SMALL_STATE(4610)] = 246601,
  [SMALL_STATE(4611)] = 246648,
  [SMALL_STATE(4612)] = 246713,
  [SMALL_STATE(4613)] = 246758,
  [SMALL_STATE(4614)] = 246803,
  [SMALL_STATE(4615)] = 246848,
  [SMALL_STATE(4616)] = 246897,
  [SMALL_STATE(4617)] = 246942,
  [SMALL_STATE(4618)] = 246987,
  [SMALL_STATE(4619)] = 247032,
  [SMALL_STATE(4620)] = 247083,
  [SMALL_STATE(4621)] = 247140,
  [SMALL_STATE(4622)] = 247201,
  [SMALL_STATE(4623)] = 247246,
  [SMALL_STATE(4624)] = 247303,
  [SMALL_STATE(4625)] = 247364,
  [SMALL_STATE(4626)] = 247423,
  [SMALL_STATE(4627)] = 247472,
  [SMALL_STATE(4628)] = 247517,
  [SMALL_STATE(4629)] = 247568,
  [SMALL_STATE(4630)] = 247629,
  [SMALL_STATE(4631)] = 247686,
  [SMALL_STATE(4632)] = 247743,
  [SMALL_STATE(4633)] = 247788,
  [SMALL_STATE(4634)] = 247837,
  [SMALL_STATE(4635)] = 247892,
  [SMALL_STATE(4636)] = 247951,
  [SMALL_STATE(4637)] = 247996,
  [SMALL_STATE(4638)] = 248041,
  [SMALL_STATE(4639)] = 248106,
  [SMALL_STATE(4640)] = 248151,
  [SMALL_STATE(4641)] = 248210,
  [SMALL_STATE(4642)] = 248267,
  [SMALL_STATE(4643)] = 248312,
  [SMALL_STATE(4644)] = 248359,
  [SMALL_STATE(4645)] = 248404,
  [SMALL_STATE(4646)] = 248459,
  [SMALL_STATE(4647)] = 248516,
  [SMALL_STATE(4648)] = 248573,
  [SMALL_STATE(4649)] = 248622,
  [SMALL_STATE(4650)] = 248667,
  [SMALL_STATE(4651)] = 248712,
  [SMALL_STATE(4652)] = 248771,
  [SMALL_STATE(4653)] = 248828,
  [SMALL_STATE(4654)] = 248897,
  [SMALL_STATE(4655)] = 248954,
  [SMALL_STATE(4656)] = 248999,
  [SMALL_STATE(4657)] = 249058,
  [SMALL_STATE(4658)] = 249111,
  [SMALL_STATE(4659)] = 249156,
  [SMALL_STATE(4660)] = 249201,
  [SMALL_STATE(4661)] = 249246,
  [SMALL_STATE(4662)] = 249291,
  [SMALL_STATE(4663)] = 249336,
  [SMALL_STATE(4664)] = 249391,
  [SMALL_STATE(4665)] = 249438,
  [SMALL_STATE(4666)] = 249483,
  [SMALL_STATE(4667)] = 249528,
  [SMALL_STATE(4668)] = 249577,
  [SMALL_STATE(4669)] = 249646,
  [SMALL_STATE(4670)] = 249691,
  [SMALL_STATE(4671)] = 249736,
  [SMALL_STATE(4672)] = 249781,
  [SMALL_STATE(4673)] = 249826,
  [SMALL_STATE(4674)] = 249895,
  [SMALL_STATE(4675)] = 249940,
  [SMALL_STATE(4676)] = 249999,
  [SMALL_STATE(4677)] = 250064,
  [SMALL_STATE(4678)] = 250109,
  [SMALL_STATE(4679)] = 250154,
  [SMALL_STATE(4680)] = 250211,
  [SMALL_STATE(4681)] = 250260,
  [SMALL_STATE(4682)] = 250305,
  [SMALL_STATE(4683)] = 250350,
  [SMALL_STATE(4684)] = 250395,
  [SMALL_STATE(4685)] = 250440,
  [SMALL_STATE(4686)] = 250485,
  [SMALL_STATE(4687)] = 250536,
  [SMALL_STATE(4688)] = 250581,
  [SMALL_STATE(4689)] = 250638,
  [SMALL_STATE(4690)] = 250683,
  [SMALL_STATE(4691)] = 250742,
  [SMALL_STATE(4692)] = 250787,
  [SMALL_STATE(4693)] = 250838,
  [SMALL_STATE(4694)] = 250883,
  [SMALL_STATE(4695)] = 250940,
  [SMALL_STATE(4696)] = 250997,
  [SMALL_STATE(4697)] = 251056,
  [SMALL_STATE(4698)] = 251101,
  [SMALL_STATE(4699)] = 251160,
  [SMALL_STATE(4700)] = 251207,
  [SMALL_STATE(4701)] = 251254,
  [SMALL_STATE(4702)] = 251311,
  [SMALL_STATE(4703)] = 251370,
  [SMALL_STATE(4704)] = 251415,
  [SMALL_STATE(4705)] = 251474,
  [SMALL_STATE(4706)] = 251519,
  [SMALL_STATE(4707)] = 251576,
  [SMALL_STATE(4708)] = 251621,
  [SMALL_STATE(4709)] = 251686,
  [SMALL_STATE(4710)] = 251743,
  [SMALL_STATE(4711)] = 251792,
  [SMALL_STATE(4712)] = 251843,
  [SMALL_STATE(4713)] = 251888,
  [SMALL_STATE(4714)] = 251933,
  [SMALL_STATE(4715)] = 251992,
  [SMALL_STATE(4716)] = 252043,
  [SMALL_STATE(4717)] = 252088,
  [SMALL_STATE(4718)] = 252133,
  [SMALL_STATE(4719)] = 252180,
  [SMALL_STATE(4720)] = 252225,
  [SMALL_STATE(4721)] = 252270,
  [SMALL_STATE(4722)] = 252315,
  [SMALL_STATE(4723)] = 252364,
  [SMALL_STATE(4724)] = 252413,
  [SMALL_STATE(4725)] = 252464,
  [SMALL_STATE(4726)] = 252509,
  [SMALL_STATE(4727)] = 252556,
  [SMALL_STATE(4728)] = 252607,
  [SMALL_STATE(4729)] = 252666,
  [SMALL_STATE(4730)] = 252721,
  [SMALL_STATE(4731)] = 252778,
  [SMALL_STATE(4732)] = 252827,
  [SMALL_STATE(4733)] = 252872,
  [SMALL_STATE(4734)] = 252931,
  [SMALL_STATE(4735)] = 252988,
  [SMALL_STATE(4736)] = 253037,
  [SMALL_STATE(4737)] = 253082,
  [SMALL_STATE(4738)] = 253133,
  [SMALL_STATE(4739)] = 253182,
  [SMALL_STATE(4740)] = 253227,
  [SMALL_STATE(4741)] = 253276,
  [SMALL_STATE(4742)] = 253321,
  [SMALL_STATE(4743)] = 253386,
  [SMALL_STATE(4744)] = 253443,
  [SMALL_STATE(4745)] = 253488,
  [SMALL_STATE(4746)] = 253545,
  [SMALL_STATE(4747)] = 253591,
  [SMALL_STATE(4748)] = 253635,
  [SMALL_STATE(4749)] = 253679,
  [SMALL_STATE(4750)] = 253723,
  [SMALL_STATE(4751)] = 253777,
  [SMALL_STATE(4752)] = 253821,
  [SMALL_STATE(4753)] = 253885,
  [SMALL_STATE(4754)] = 253941,
  [SMALL_STATE(4755)] = 253989,
  [SMALL_STATE(4756)] = 254033,
  [SMALL_STATE(4757)] = 254093,
  [SMALL_STATE(4758)] = 254149,
  [SMALL_STATE(4759)] = 254207,
  [SMALL_STATE(4760)] = 254261,
  [SMALL_STATE(4761)] = 254305,
  [SMALL_STATE(4762)] = 254349,
  [SMALL_STATE(4763)] = 254395,
  [SMALL_STATE(4764)] = 254441,
  [SMALL_STATE(4765)] = 254505,
  [SMALL_STATE(4766)] = 254561,
  [SMALL_STATE(4767)] = 254605,
  [SMALL_STATE(4768)] = 254649,
  [SMALL_STATE(4769)] = 254693,
  [SMALL_STATE(4770)] = 254751,
  [SMALL_STATE(4771)] = 254807,
  [SMALL_STATE(4772)] = 254851,
  [SMALL_STATE(4773)] = 254895,
  [SMALL_STATE(4774)] = 254939,
  [SMALL_STATE(4775)] = 254983,
  [SMALL_STATE(4776)] = 255027,
  [SMALL_STATE(4777)] = 255071,
  [SMALL_STATE(4778)] = 255115,
  [SMALL_STATE(4779)] = 255159,
  [SMALL_STATE(4780)] = 255203,
  [SMALL_STATE(4781)] = 255247,
  [SMALL_STATE(4782)] = 255291,
  [SMALL_STATE(4783)] = 255335,
  [SMALL_STATE(4784)] = 255379,
  [SMALL_STATE(4785)] = 255423,
  [SMALL_STATE(4786)] = 255481,
  [SMALL_STATE(4787)] = 255525,
  [SMALL_STATE(4788)] = 255571,
  [SMALL_STATE(4789)] = 255615,
  [SMALL_STATE(4790)] = 255659,
  [SMALL_STATE(4791)] = 255703,
  [SMALL_STATE(4792)] = 255749,
  [SMALL_STATE(4793)] = 255793,
  [SMALL_STATE(4794)] = 255837,
  [SMALL_STATE(4795)] = 255881,
  [SMALL_STATE(4796)] = 255929,
  [SMALL_STATE(4797)] = 255977,
  [SMALL_STATE(4798)] = 256021,
  [SMALL_STATE(4799)] = 256077,
  [SMALL_STATE(4800)] = 256125,
  [SMALL_STATE(4801)] = 256169,
  [SMALL_STATE(4802)] = 256229,
  [SMALL_STATE(4803)] = 256279,
  [SMALL_STATE(4804)] = 256323,
  [SMALL_STATE(4805)] = 256367,
  [SMALL_STATE(4806)] = 256411,
  [SMALL_STATE(4807)] = 256457,
  [SMALL_STATE(4808)] = 256521,
  [SMALL_STATE(4809)] = 256567,
  [SMALL_STATE(4810)] = 256611,
  [SMALL_STATE(4811)] = 256655,
  [SMALL_STATE(4812)] = 256711,
  [SMALL_STATE(4813)] = 256767,
  [SMALL_STATE(4814)] = 256811,
  [SMALL_STATE(4815)] = 256855,
  [SMALL_STATE(4816)] = 256911,
  [SMALL_STATE(4817)] = 256955,
  [SMALL_STATE(4818)] = 256999,
  [SMALL_STATE(4819)] = 257043,
  [SMALL_STATE(4820)] = 257097,
  [SMALL_STATE(4821)] = 257153,
  [SMALL_STATE(4822)] = 257211,
  [SMALL_STATE(4823)] = 257255,
  [SMALL_STATE(4824)] = 257303,
  [SMALL_STATE(4825)] = 257347,
  [SMALL_STATE(4826)] = 257391,
  [SMALL_STATE(4827)] = 257441,
  [SMALL_STATE(4828)] = 257499,
  [SMALL_STATE(4829)] = 257543,
  [SMALL_STATE(4830)] = 257587,
  [SMALL_STATE(4831)] = 257651,
  [SMALL_STATE(4832)] = 257699,
  [SMALL_STATE(4833)] = 257743,
  [SMALL_STATE(4834)] = 257787,
  [SMALL_STATE(4835)] = 257831,
  [SMALL_STATE(4836)] = 257879,
  [SMALL_STATE(4837)] = 257927,
  [SMALL_STATE(4838)] = 257971,
  [SMALL_STATE(4839)] = 258017,
  [SMALL_STATE(4840)] = 258071,
  [SMALL_STATE(4841)] = 258115,
  [SMALL_STATE(4842)] = 258161,
  [SMALL_STATE(4843)] = 258205,
  [SMALL_STATE(4844)] = 258255,
  [SMALL_STATE(4845)] = 258323,
  [SMALL_STATE(4846)] = 258379,
  [SMALL_STATE(4847)] = 258439,
  [SMALL_STATE(4848)] = 258483,
  [SMALL_STATE(4849)] = 258527,
  [SMALL_STATE(4850)] = 258571,
  [SMALL_STATE(4851)] = 258615,
  [SMALL_STATE(4852)] = 258673,
  [SMALL_STATE(4853)] = 258717,
  [SMALL_STATE(4854)] = 258761,
  [SMALL_STATE(4855)] = 258805,
  [SMALL_STATE(4856)] = 258859,
  [SMALL_STATE(4857)] = 258903,
  [SMALL_STATE(4858)] = 258947,
  [SMALL_STATE(4859)] = 258993,
  [SMALL_STATE(4860)] = 259037,
  [SMALL_STATE(4861)] = 259085,
  [SMALL_STATE(4862)] = 259129,
  [SMALL_STATE(4863)] = 259185,
  [SMALL_STATE(4864)] = 259233,
  [SMALL_STATE(4865)] = 259287,
  [SMALL_STATE(4866)] = 259337,
  [SMALL_STATE(4867)] = 259395,
  [SMALL_STATE(4868)] = 259451,
  [SMALL_STATE(4869)] = 259509,
  [SMALL_STATE(4870)] = 259555,
  [SMALL_STATE(4871)] = 259611,
  [SMALL_STATE(4872)] = 259655,
  [SMALL_STATE(4873)] = 259699,
  [SMALL_STATE(4874)] = 259743,
  [SMALL_STATE(4875)] = 259797,
  [SMALL_STATE(4876)] = 259855,
  [SMALL_STATE(4877)] = 259899,
  [SMALL_STATE(4878)] = 259947,
  [SMALL_STATE(4879)] = 259991,
  [SMALL_STATE(4880)] = 260037,
  [SMALL_STATE(4881)] = 260081,
  [SMALL_STATE(4882)] = 260137,
  [SMALL_STATE(4883)] = 260195,
  [SMALL_STATE(4884)] = 260251,
  [SMALL_STATE(4885)] = 260297,
  [SMALL_STATE(4886)] = 260355,
  [SMALL_STATE(4887)] = 260405,
  [SMALL_STATE(4888)] = 260461,
  [SMALL_STATE(4889)] = 260517,
  [SMALL_STATE(4890)] = 260561,
  [SMALL_STATE(4891)] = 260611,
  [SMALL_STATE(4892)] = 260657,
  [SMALL_STATE(4893)] = 260701,
  [SMALL_STATE(4894)] = 260755,
  [SMALL_STATE(4895)] = 260809,
  [SMALL_STATE(4896)] = 260853,
  [SMALL_STATE(4897)] = 260909,
  [SMALL_STATE(4898)] = 260963,
  [SMALL_STATE(4899)] = 261011,
  [SMALL_STATE(4900)] = 261067,
  [SMALL_STATE(4901)] = 261111,
  [SMALL_STATE(4902)] = 261155,
  [SMALL_STATE(4903)] = 261199,
  [SMALL_STATE(4904)] = 261249,
  [SMALL_STATE(4905)] = 261293,
  [SMALL_STATE(4906)] = 261349,
  [SMALL_STATE(4907)] = 261395,
  [SMALL_STATE(4908)] = 261439,
  [SMALL_STATE(4909)] = 261507,
  [SMALL_STATE(4910)] = 261555,
  [SMALL_STATE(4911)] = 261599,
  [SMALL_STATE(4912)] = 261643,
  [SMALL_STATE(4913)] = 261687,
  [SMALL_STATE(4914)] = 261743,
  [SMALL_STATE(4915)] = 261787,
  [SMALL_STATE(4916)] = 261831,
  [SMALL_STATE(4917)] = 261885,
  [SMALL_STATE(4918)] = 261939,
  [SMALL_STATE(4919)] = 261983,
  [SMALL_STATE(4920)] = 262027,
  [SMALL_STATE(4921)] = 262071,
  [SMALL_STATE(4922)] = 262127,
  [SMALL_STATE(4923)] = 262181,
  [SMALL_STATE(4924)] = 262235,
  [SMALL_STATE(4925)] = 262279,
  [SMALL_STATE(4926)] = 262323,
  [SMALL_STATE(4927)] = 262367,
  [SMALL_STATE(4928)] = 262411,
  [SMALL_STATE(4929)] = 262457,
  [SMALL_STATE(4930)] = 262507,
  [SMALL_STATE(4931)] = 262551,
  [SMALL_STATE(4932)] = 262595,
  [SMALL_STATE(4933)] = 262651,
  [SMALL_STATE(4934)] = 262697,
  [SMALL_STATE(4935)] = 262741,
  [SMALL_STATE(4936)] = 262785,
  [SMALL_STATE(4937)] = 262835,
  [SMALL_STATE(4938)] = 262891,
  [SMALL_STATE(4939)] = 262943,
  [SMALL_STATE(4940)] = 262989,
  [SMALL_STATE(4941)] = 263045,
  [SMALL_STATE(4942)] = 263091,
  [SMALL_STATE(4943)] = 263147,
  [SMALL_STATE(4944)] = 263215,
  [SMALL_STATE(4945)] = 263263,
  [SMALL_STATE(4946)] = 263309,
  [SMALL_STATE(4947)] = 263353,
  [SMALL_STATE(4948)] = 263397,
  [SMALL_STATE(4949)] = 263445,
  [SMALL_STATE(4950)] = 263495,
  [SMALL_STATE(4951)] = 263541,
  [SMALL_STATE(4952)] = 263599,
  [SMALL_STATE(4953)] = 263643,
  [SMALL_STATE(4954)] = 263687,
  [SMALL_STATE(4955)] = 263731,
  [SMALL_STATE(4956)] = 263777,
  [SMALL_STATE(4957)] = 263827,
  [SMALL_STATE(4958)] = 263871,
  [SMALL_STATE(4959)] = 263915,
  [SMALL_STATE(4960)] = 263963,
  [SMALL_STATE(4961)] = 264007,
  [SMALL_STATE(4962)] = 264053,
  [SMALL_STATE(4963)] = 264103,
  [SMALL_STATE(4964)] = 264159,
  [SMALL_STATE(4965)] = 264213,
  [SMALL_STATE(4966)] = 264265,
  [SMALL_STATE(4967)] = 264313,
  [SMALL_STATE(4968)] = 264377,
  [SMALL_STATE(4969)] = 264427,
  [SMALL_STATE(4970)] = 264477,
  [SMALL_STATE(4971)] = 264521,
  [SMALL_STATE(4972)] = 264565,
  [SMALL_STATE(4973)] = 264623,
  [SMALL_STATE(4974)] = 264667,
  [SMALL_STATE(4975)] = 264717,
  [SMALL_STATE(4976)] = 264761,
  [SMALL_STATE(4977)] = 264811,
  [SMALL_STATE(4978)] = 264855,
  [SMALL_STATE(4979)] = 264899,
  [SMALL_STATE(4980)] = 264943,
  [SMALL_STATE(4981)] = 265001,
  [SMALL_STATE(4982)] = 265059,
  [SMALL_STATE(4983)] = 265107,
  [SMALL_STATE(4984)] = 265151,
  [SMALL_STATE(4985)] = 265195,
  [SMALL_STATE(4986)] = 265253,
  [SMALL_STATE(4987)] = 265311,
  [SMALL_STATE(4988)] = 265367,
  [SMALL_STATE(4989)] = 265411,
  [SMALL_STATE(4990)] = 265455,
  [SMALL_STATE(4991)] = 265499,
  [SMALL_STATE(4992)] = 265555,
  [SMALL_STATE(4993)] = 265603,
  [SMALL_STATE(4994)] = 265667,
  [SMALL_STATE(4995)] = 265735,
  [SMALL_STATE(4996)] = 265779,
  [SMALL_STATE(4997)] = 265823,
  [SMALL_STATE(4998)] = 265873,
  [SMALL_STATE(4999)] = 265917,
  [SMALL_STATE(5000)] = 265967,
  [SMALL_STATE(5001)] = 266011,
  [SMALL_STATE(5002)] = 266067,
  [SMALL_STATE(5003)] = 266131,
  [SMALL_STATE(5004)] = 266175,
  [SMALL_STATE(5005)] = 266231,
  [SMALL_STATE(5006)] = 266275,
  [SMALL_STATE(5007)] = 266319,
  [SMALL_STATE(5008)] = 266363,
  [SMALL_STATE(5009)] = 266409,
  [SMALL_STATE(5010)] = 266453,
  [SMALL_STATE(5011)] = 266497,
  [SMALL_STATE(5012)] = 266541,
  [SMALL_STATE(5013)] = 266585,
  [SMALL_STATE(5014)] = 266629,
  [SMALL_STATE(5015)] = 266673,
  [SMALL_STATE(5016)] = 266721,
  [SMALL_STATE(5017)] = 266765,
  [SMALL_STATE(5018)] = 266809,
  [SMALL_STATE(5019)] = 266865,
  [SMALL_STATE(5020)] = 266909,
  [SMALL_STATE(5021)] = 266953,
  [SMALL_STATE(5022)] = 267009,
  [SMALL_STATE(5023)] = 267053,
  [SMALL_STATE(5024)] = 267113,
  [SMALL_STATE(5025)] = 267157,
  [SMALL_STATE(5026)] = 267211,
  [SMALL_STATE(5027)] = 267255,
  [SMALL_STATE(5028)] = 267303,
  [SMALL_STATE(5029)] = 267347,
  [SMALL_STATE(5030)] = 267391,
  [SMALL_STATE(5031)] = 267435,
  [SMALL_STATE(5032)] = 267479,
  [SMALL_STATE(5033)] = 267522,
  [SMALL_STATE(5034)] = 267565,
  [SMALL_STATE(5035)] = 267612,
  [SMALL_STATE(5036)] = 267669,
  [SMALL_STATE(5037)] = 267712,
  [SMALL_STATE(5038)] = 267755,
  [SMALL_STATE(5039)] = 267798,
  [SMALL_STATE(5040)] = 267841,
  [SMALL_STATE(5041)] = 267884,
  [SMALL_STATE(5042)] = 267927,
  [SMALL_STATE(5043)] = 267970,
  [SMALL_STATE(5044)] = 268027,
  [SMALL_STATE(5045)] = 268076,
  [SMALL_STATE(5046)] = 268119,
  [SMALL_STATE(5047)] = 268162,
  [SMALL_STATE(5048)] = 268205,
  [SMALL_STATE(5049)] = 268250,
  [SMALL_STATE(5050)] = 268297,
  [SMALL_STATE(5051)] = 268364,
  [SMALL_STATE(5052)] = 268407,
  [SMALL_STATE(5053)] = 268450,
  [SMALL_STATE(5054)] = 268493,
  [SMALL_STATE(5055)] = 268536,
  [SMALL_STATE(5056)] = 268579,
  [SMALL_STATE(5057)] = 268622,
  [SMALL_STATE(5058)] = 268665,
  [SMALL_STATE(5059)] = 268718,
  [SMALL_STATE(5060)] = 268773,
  [SMALL_STATE(5061)] = 268818,
  [SMALL_STATE(5062)] = 268861,
  [SMALL_STATE(5063)] = 268916,
  [SMALL_STATE(5064)] = 268971,
  [SMALL_STATE(5065)] = 269014,
  [SMALL_STATE(5066)] = 269057,
  [SMALL_STATE(5067)] = 269110,
  [SMALL_STATE(5068)] = 269153,
  [SMALL_STATE(5069)] = 269206,
  [SMALL_STATE(5070)] = 269249,
  [SMALL_STATE(5071)] = 269312,
  [SMALL_STATE(5072)] = 269379,
  [SMALL_STATE(5073)] = 269422,
  [SMALL_STATE(5074)] = 269479,
  [SMALL_STATE(5075)] = 269534,
  [SMALL_STATE(5076)] = 269577,
  [SMALL_STATE(5077)] = 269630,
  [SMALL_STATE(5078)] = 269675,
  [SMALL_STATE(5079)] = 269718,
  [SMALL_STATE(5080)] = 269761,
  [SMALL_STATE(5081)] = 269804,
  [SMALL_STATE(5082)] = 269847,
  [SMALL_STATE(5083)] = 269900,
  [SMALL_STATE(5084)] = 269943,
  [SMALL_STATE(5085)] = 269986,
  [SMALL_STATE(5086)] = 270039,
  [SMALL_STATE(5087)] = 270094,
  [SMALL_STATE(5088)] = 270137,
  [SMALL_STATE(5089)] = 270192,
  [SMALL_STATE(5090)] = 270247,
  [SMALL_STATE(5091)] = 270304,
  [SMALL_STATE(5092)] = 270349,
  [SMALL_STATE(5093)] = 270404,
  [SMALL_STATE(5094)] = 270447,
  [SMALL_STATE(5095)] = 270496,
  [SMALL_STATE(5096)] = 270539,
  [SMALL_STATE(5097)] = 270592,
  [SMALL_STATE(5098)] = 270649,
  [SMALL_STATE(5099)] = 270694,
  [SMALL_STATE(5100)] = 270737,
  [SMALL_STATE(5101)] = 270786,
  [SMALL_STATE(5102)] = 270829,
  [SMALL_STATE(5103)] = 270872,
  [SMALL_STATE(5104)] = 270929,
  [SMALL_STATE(5105)] = 270972,
  [SMALL_STATE(5106)] = 271027,
  [SMALL_STATE(5107)] = 271072,
  [SMALL_STATE(5108)] = 271125,
  [SMALL_STATE(5109)] = 271172,
  [SMALL_STATE(5110)] = 271217,
  [SMALL_STATE(5111)] = 271276,
  [SMALL_STATE(5112)] = 271321,
  [SMALL_STATE(5113)] = 271368,
  [SMALL_STATE(5114)] = 271423,
  [SMALL_STATE(5115)] = 271466,
  [SMALL_STATE(5116)] = 271513,
  [SMALL_STATE(5117)] = 271562,
  [SMALL_STATE(5118)] = 271605,
  [SMALL_STATE(5119)] = 271668,
  [SMALL_STATE(5120)] = 271715,
  [SMALL_STATE(5121)] = 271770,
  [SMALL_STATE(5122)] = 271823,
  [SMALL_STATE(5123)] = 271882,
  [SMALL_STATE(5124)] = 271927,
  [SMALL_STATE(5125)] = 271970,
  [SMALL_STATE(5126)] = 272025,
  [SMALL_STATE(5127)] = 272082,
  [SMALL_STATE(5128)] = 272129,
  [SMALL_STATE(5129)] = 272174,
  [SMALL_STATE(5130)] = 272223,
  [SMALL_STATE(5131)] = 272266,
  [SMALL_STATE(5132)] = 272315,
  [SMALL_STATE(5133)] = 272358,
  [SMALL_STATE(5134)] = 272415,
  [SMALL_STATE(5135)] = 272464,
  [SMALL_STATE(5136)] = 272507,
  [SMALL_STATE(5137)] = 272556,
  [SMALL_STATE(5138)] = 272613,
  [SMALL_STATE(5139)] = 272656,
  [SMALL_STATE(5140)] = 272701,
  [SMALL_STATE(5141)] = 272748,
  [SMALL_STATE(5142)] = 272801,
  [SMALL_STATE(5143)] = 272844,
  [SMALL_STATE(5144)] = 272887,
  [SMALL_STATE(5145)] = 272930,
  [SMALL_STATE(5146)] = 272997,
  [SMALL_STATE(5147)] = 273044,
  [SMALL_STATE(5148)] = 273093,
  [SMALL_STATE(5149)] = 273136,
  [SMALL_STATE(5150)] = 273179,
  [SMALL_STATE(5151)] = 273226,
  [SMALL_STATE(5152)] = 273269,
  [SMALL_STATE(5153)] = 273314,
  [SMALL_STATE(5154)] = 273361,
  [SMALL_STATE(5155)] = 273404,
  [SMALL_STATE(5156)] = 273447,
  [SMALL_STATE(5157)] = 273490,
  [SMALL_STATE(5158)] = 273553,
  [SMALL_STATE(5159)] = 273606,
  [SMALL_STATE(5160)] = 273653,
  [SMALL_STATE(5161)] = 273696,
  [SMALL_STATE(5162)] = 273739,
  [SMALL_STATE(5163)] = 273782,
  [SMALL_STATE(5164)] = 273837,
  [SMALL_STATE(5165)] = 273904,
  [SMALL_STATE(5166)] = 273947,
  [SMALL_STATE(5167)] = 273996,
  [SMALL_STATE(5168)] = 274039,
  [SMALL_STATE(5169)] = 274084,
  [SMALL_STATE(5170)] = 274151,
  [SMALL_STATE(5171)] = 274198,
  [SMALL_STATE(5172)] = 274241,
  [SMALL_STATE(5173)] = 274286,
  [SMALL_STATE(5174)] = 274335,
  [SMALL_STATE(5175)] = 274382,
  [SMALL_STATE(5176)] = 274445,
  [SMALL_STATE(5177)] = 274494,
  [SMALL_STATE(5178)] = 274539,
  [SMALL_STATE(5179)] = 274586,
  [SMALL_STATE(5180)] = 274629,
  [SMALL_STATE(5181)] = 274686,
  [SMALL_STATE(5182)] = 274741,
  [SMALL_STATE(5183)] = 274796,
  [SMALL_STATE(5184)] = 274853,
  [SMALL_STATE(5185)] = 274896,
  [SMALL_STATE(5186)] = 274949,
  [SMALL_STATE(5187)] = 274992,
  [SMALL_STATE(5188)] = 275035,
  [SMALL_STATE(5189)] = 275090,
  [SMALL_STATE(5190)] = 275133,
  [SMALL_STATE(5191)] = 275190,
  [SMALL_STATE(5192)] = 275233,
  [SMALL_STATE(5193)] = 275278,
  [SMALL_STATE(5194)] = 275333,
  [SMALL_STATE(5195)] = 275376,
  [SMALL_STATE(5196)] = 275429,
  [SMALL_STATE(5197)] = 275472,
  [SMALL_STATE(5198)] = 275527,
  [SMALL_STATE(5199)] = 275572,
  [SMALL_STATE(5200)] = 275615,
  [SMALL_STATE(5201)] = 275658,
  [SMALL_STATE(5202)] = 275721,
  [SMALL_STATE(5203)] = 275788,
  [SMALL_STATE(5204)] = 275831,
  [SMALL_STATE(5205)] = 275884,
  [SMALL_STATE(5206)] = 275927,
  [SMALL_STATE(5207)] = 275990,
  [SMALL_STATE(5208)] = 276033,
  [SMALL_STATE(5209)] = 276096,
  [SMALL_STATE(5210)] = 276163,
  [SMALL_STATE(5211)] = 276210,
  [SMALL_STATE(5212)] = 276267,
  [SMALL_STATE(5213)] = 276310,
  [SMALL_STATE(5214)] = 276355,
  [SMALL_STATE(5215)] = 276398,
  [SMALL_STATE(5216)] = 276441,
  [SMALL_STATE(5217)] = 276484,
  [SMALL_STATE(5218)] = 276537,
  [SMALL_STATE(5219)] = 276580,
  [SMALL_STATE(5220)] = 276633,
  [SMALL_STATE(5221)] = 276676,
  [SMALL_STATE(5222)] = 276719,
  [SMALL_STATE(5223)] = 276762,
  [SMALL_STATE(5224)] = 276805,
  [SMALL_STATE(5225)] = 276848,
  [SMALL_STATE(5226)] = 276891,
  [SMALL_STATE(5227)] = 276936,
  [SMALL_STATE(5228)] = 276979,
  [SMALL_STATE(5229)] = 277034,
  [SMALL_STATE(5230)] = 277077,
  [SMALL_STATE(5231)] = 277132,
  [SMALL_STATE(5232)] = 277175,
  [SMALL_STATE(5233)] = 277232,
  [SMALL_STATE(5234)] = 277275,
  [SMALL_STATE(5235)] = 277332,
  [SMALL_STATE(5236)] = 277375,
  [SMALL_STATE(5237)] = 277418,
  [SMALL_STATE(5238)] = 277461,
  [SMALL_STATE(5239)] = 277504,
  [SMALL_STATE(5240)] = 277547,
  [SMALL_STATE(5241)] = 277590,
  [SMALL_STATE(5242)] = 277633,
  [SMALL_STATE(5243)] = 277676,
  [SMALL_STATE(5244)] = 277719,
  [SMALL_STATE(5245)] = 277774,
  [SMALL_STATE(5246)] = 277817,
  [SMALL_STATE(5247)] = 277860,
  [SMALL_STATE(5248)] = 277917,
  [SMALL_STATE(5249)] = 277972,
  [SMALL_STATE(5250)] = 278017,
  [SMALL_STATE(5251)] = 278060,
  [SMALL_STATE(5252)] = 278115,
  [SMALL_STATE(5253)] = 278158,
  [SMALL_STATE(5254)] = 278211,
  [SMALL_STATE(5255)] = 278254,
  [SMALL_STATE(5256)] = 278309,
  [SMALL_STATE(5257)] = 278352,
  [SMALL_STATE(5258)] = 278395,
  [SMALL_STATE(5259)] = 278452,
  [SMALL_STATE(5260)] = 278505,
  [SMALL_STATE(5261)] = 278560,
  [SMALL_STATE(5262)] = 278603,
  [SMALL_STATE(5263)] = 278656,
  [SMALL_STATE(5264)] = 278699,
  [SMALL_STATE(5265)] = 278744,
  [SMALL_STATE(5266)] = 278787,
  [SMALL_STATE(5267)] = 278830,
  [SMALL_STATE(5268)] = 278873,
  [SMALL_STATE(5269)] = 278916,
  [SMALL_STATE(5270)] = 278967,
  [SMALL_STATE(5271)] = 279012,
  [SMALL_STATE(5272)] = 279055,
  [SMALL_STATE(5273)] = 279098,
  [SMALL_STATE(5274)] = 279141,
  [SMALL_STATE(5275)] = 279188,
  [SMALL_STATE(5276)] = 279251,
  [SMALL_STATE(5277)] = 279294,
  [SMALL_STATE(5278)] = 279337,
  [SMALL_STATE(5279)] = 279404,
  [SMALL_STATE(5280)] = 279447,
  [SMALL_STATE(5281)] = 279490,
  [SMALL_STATE(5282)] = 279559,
  [SMALL_STATE(5283)] = 279602,
  [SMALL_STATE(5284)] = 279645,
  [SMALL_STATE(5285)] = 279688,
  [SMALL_STATE(5286)] = 279737,
  [SMALL_STATE(5287)] = 279780,
  [SMALL_STATE(5288)] = 279833,
  [SMALL_STATE(5289)] = 279876,
  [SMALL_STATE(5290)] = 279923,
  [SMALL_STATE(5291)] = 279968,
  [SMALL_STATE(5292)] = 280011,
  [SMALL_STATE(5293)] = 280054,
  [SMALL_STATE(5294)] = 280121,
  [SMALL_STATE(5295)] = 280164,
  [SMALL_STATE(5296)] = 280215,
  [SMALL_STATE(5297)] = 280258,
  [SMALL_STATE(5298)] = 280303,
  [SMALL_STATE(5299)] = 280346,
  [SMALL_STATE(5300)] = 280389,
  [SMALL_STATE(5301)] = 280432,
  [SMALL_STATE(5302)] = 280487,
  [SMALL_STATE(5303)] = 280530,
  [SMALL_STATE(5304)] = 280583,
  [SMALL_STATE(5305)] = 280628,
  [SMALL_STATE(5306)] = 280677,
  [SMALL_STATE(5307)] = 280720,
  [SMALL_STATE(5308)] = 280763,
  [SMALL_STATE(5309)] = 280816,
  [SMALL_STATE(5310)] = 280865,
  [SMALL_STATE(5311)] = 280932,
  [SMALL_STATE(5312)] = 280987,
  [SMALL_STATE(5313)] = 281042,
  [SMALL_STATE(5314)] = 281087,
  [SMALL_STATE(5315)] = 281130,
  [SMALL_STATE(5316)] = 281173,
  [SMALL_STATE(5317)] = 281228,
  [SMALL_STATE(5318)] = 281271,
  [SMALL_STATE(5319)] = 281314,
  [SMALL_STATE(5320)] = 281357,
  [SMALL_STATE(5321)] = 281400,
  [SMALL_STATE(5322)] = 281447,
  [SMALL_STATE(5323)] = 281490,
  [SMALL_STATE(5324)] = 281533,
  [SMALL_STATE(5325)] = 281576,
  [SMALL_STATE(5326)] = 281631,
  [SMALL_STATE(5327)] = 281674,
  [SMALL_STATE(5328)] = 281717,
  [SMALL_STATE(5329)] = 281760,
  [SMALL_STATE(5330)] = 281803,
  [SMALL_STATE(5331)] = 281846,
  [SMALL_STATE(5332)] = 281903,
  [SMALL_STATE(5333)] = 281946,
  [SMALL_STATE(5334)] = 281995,
  [SMALL_STATE(5335)] = 282038,
  [SMALL_STATE(5336)] = 282081,
  [SMALL_STATE(5337)] = 282124,
  [SMALL_STATE(5338)] = 282167,
  [SMALL_STATE(5339)] = 282210,
  [SMALL_STATE(5340)] = 282265,
  [SMALL_STATE(5341)] = 282308,
  [SMALL_STATE(5342)] = 282365,
  [SMALL_STATE(5343)] = 282408,
  [SMALL_STATE(5344)] = 282451,
  [SMALL_STATE(5345)] = 282506,
  [SMALL_STATE(5346)] = 282551,
  [SMALL_STATE(5347)] = 282606,
  [SMALL_STATE(5348)] = 282649,
  [SMALL_STATE(5349)] = 282716,
  [SMALL_STATE(5350)] = 282771,
  [SMALL_STATE(5351)] = 282814,
  [SMALL_STATE(5352)] = 282869,
  [SMALL_STATE(5353)] = 282912,
  [SMALL_STATE(5354)] = 282957,
  [SMALL_STATE(5355)] = 283014,
  [SMALL_STATE(5356)] = 283081,
  [SMALL_STATE(5357)] = 283124,
  [SMALL_STATE(5358)] = 283169,
  [SMALL_STATE(5359)] = 283212,
  [SMALL_STATE(5360)] = 283255,
  [SMALL_STATE(5361)] = 283300,
  [SMALL_STATE(5362)] = 283343,
  [SMALL_STATE(5363)] = 283402,
  [SMALL_STATE(5364)] = 283457,
  [SMALL_STATE(5365)] = 283500,
  [SMALL_STATE(5366)] = 283543,
  [SMALL_STATE(5367)] = 283586,
  [SMALL_STATE(5368)] = 283635,
  [SMALL_STATE(5369)] = 283682,
  [SMALL_STATE(5370)] = 283725,
  [SMALL_STATE(5371)] = 283768,
  [SMALL_STATE(5372)] = 283811,
  [SMALL_STATE(5373)] = 283866,
  [SMALL_STATE(5374)] = 283921,
  [SMALL_STATE(5375)] = 283988,
  [SMALL_STATE(5376)] = 284031,
  [SMALL_STATE(5377)] = 284074,
  [SMALL_STATE(5378)] = 284117,
  [SMALL_STATE(5379)] = 284160,
  [SMALL_STATE(5380)] = 284203,
  [SMALL_STATE(5381)] = 284246,
  [SMALL_STATE(5382)] = 284303,
  [SMALL_STATE(5383)] = 284346,
  [SMALL_STATE(5384)] = 284389,
  [SMALL_STATE(5385)] = 284432,
  [SMALL_STATE(5386)] = 284495,
  [SMALL_STATE(5387)] = 284542,
  [SMALL_STATE(5388)] = 284585,
  [SMALL_STATE(5389)] = 284628,
  [SMALL_STATE(5390)] = 284671,
  [SMALL_STATE(5391)] = 284714,
  [SMALL_STATE(5392)] = 284757,
  [SMALL_STATE(5393)] = 284800,
  [SMALL_STATE(5394)] = 284843,
  [SMALL_STATE(5395)] = 284886,
  [SMALL_STATE(5396)] = 284929,
  [SMALL_STATE(5397)] = 284972,
  [SMALL_STATE(5398)] = 285015,
  [SMALL_STATE(5399)] = 285058,
  [SMALL_STATE(5400)] = 285107,
  [SMALL_STATE(5401)] = 285150,
  [SMALL_STATE(5402)] = 285197,
  [SMALL_STATE(5403)] = 285240,
  [SMALL_STATE(5404)] = 285299,
  [SMALL_STATE(5405)] = 285350,
  [SMALL_STATE(5406)] = 285393,
  [SMALL_STATE(5407)] = 285438,
  [SMALL_STATE(5408)] = 285481,
  [SMALL_STATE(5409)] = 285524,
  [SMALL_STATE(5410)] = 285573,
  [SMALL_STATE(5411)] = 285622,
  [SMALL_STATE(5412)] = 285665,
  [SMALL_STATE(5413)] = 285710,
  [SMALL_STATE(5414)] = 285757,
  [SMALL_STATE(5415)] = 285800,
  [SMALL_STATE(5416)] = 285843,
  [SMALL_STATE(5417)] = 285886,
  [SMALL_STATE(5418)] = 285929,
  [SMALL_STATE(5419)] = 285972,
  [SMALL_STATE(5420)] = 286017,
  [SMALL_STATE(5421)] = 286072,
  [SMALL_STATE(5422)] = 286115,
  [SMALL_STATE(5423)] = 286158,
  [SMALL_STATE(5424)] = 286201,
  [SMALL_STATE(5425)] = 286244,
  [SMALL_STATE(5426)] = 286297,
  [SMALL_STATE(5427)] = 286342,
  [SMALL_STATE(5428)] = 286385,
  [SMALL_STATE(5429)] = 286442,
  [SMALL_STATE(5430)] = 286485,
  [SMALL_STATE(5431)] = 286528,
  [SMALL_STATE(5432)] = 286571,
  [SMALL_STATE(5433)] = 286614,
  [SMALL_STATE(5434)] = 286657,
  [SMALL_STATE(5435)] = 286712,
  [SMALL_STATE(5436)] = 286755,
  [SMALL_STATE(5437)] = 286798,
  [SMALL_STATE(5438)] = 286845,
  [SMALL_STATE(5439)] = 286888,
  [SMALL_STATE(5440)] = 286941,
  [SMALL_STATE(5441)] = 286998,
  [SMALL_STATE(5442)] = 287041,
  [SMALL_STATE(5443)] = 287094,
  [SMALL_STATE(5444)] = 287137,
  [SMALL_STATE(5445)] = 287180,
  [SMALL_STATE(5446)] = 287223,
  [SMALL_STATE(5447)] = 287266,
  [SMALL_STATE(5448)] = 287322,
  [SMALL_STATE(5449)] = 287376,
  [SMALL_STATE(5450)] = 287422,
  [SMALL_STATE(5451)] = 287464,
  [SMALL_STATE(5452)] = 287506,
  [SMALL_STATE(5453)] = 287548,
  [SMALL_STATE(5454)] = 287596,
  [SMALL_STATE(5455)] = 287638,
  [SMALL_STATE(5456)] = 287680,
  [SMALL_STATE(5457)] = 287722,
  [SMALL_STATE(5458)] = 287778,
  [SMALL_STATE(5459)] = 287824,
  [SMALL_STATE(5460)] = 287866,
  [SMALL_STATE(5461)] = 287908,
  [SMALL_STATE(5462)] = 287950,
  [SMALL_STATE(5463)] = 288004,
  [SMALL_STATE(5464)] = 288046,
  [SMALL_STATE(5465)] = 288088,
  [SMALL_STATE(5466)] = 288130,
  [SMALL_STATE(5467)] = 288172,
  [SMALL_STATE(5468)] = 288214,
  [SMALL_STATE(5469)] = 288256,
  [SMALL_STATE(5470)] = 288298,
  [SMALL_STATE(5471)] = 288346,
  [SMALL_STATE(5472)] = 288388,
  [SMALL_STATE(5473)] = 288436,
  [SMALL_STATE(5474)] = 288478,
  [SMALL_STATE(5475)] = 288524,
  [SMALL_STATE(5476)] = 288566,
  [SMALL_STATE(5477)] = 288620,
  [SMALL_STATE(5478)] = 288662,
  [SMALL_STATE(5479)] = 288706,
  [SMALL_STATE(5480)] = 288748,
  [SMALL_STATE(5481)] = 288802,
  [SMALL_STATE(5482)] = 288858,
  [SMALL_STATE(5483)] = 288900,
  [SMALL_STATE(5484)] = 288946,
  [SMALL_STATE(5485)] = 288988,
  [SMALL_STATE(5486)] = 289050,
  [SMALL_STATE(5487)] = 289094,
  [SMALL_STATE(5488)] = 289138,
  [SMALL_STATE(5489)] = 289190,
  [SMALL_STATE(5490)] = 289244,
  [SMALL_STATE(5491)] = 289290,
  [SMALL_STATE(5492)] = 289338,
  [SMALL_STATE(5493)] = 289380,
  [SMALL_STATE(5494)] = 289424,
  [SMALL_STATE(5495)] = 289466,
  [SMALL_STATE(5496)] = 289514,
  [SMALL_STATE(5497)] = 289556,
  [SMALL_STATE(5498)] = 289612,
  [SMALL_STATE(5499)] = 289654,
  [SMALL_STATE(5500)] = 289702,
  [SMALL_STATE(5501)] = 289746,
  [SMALL_STATE(5502)] = 289788,
  [SMALL_STATE(5503)] = 289830,
  [SMALL_STATE(5504)] = 289896,
  [SMALL_STATE(5505)] = 289938,
  [SMALL_STATE(5506)] = 289990,
  [SMALL_STATE(5507)] = 290032,
  [SMALL_STATE(5508)] = 290078,
  [SMALL_STATE(5509)] = 290122,
  [SMALL_STATE(5510)] = 290170,
  [SMALL_STATE(5511)] = 290218,
  [SMALL_STATE(5512)] = 290276,
  [SMALL_STATE(5513)] = 290322,
  [SMALL_STATE(5514)] = 290376,
  [SMALL_STATE(5515)] = 290418,
  [SMALL_STATE(5516)] = 290472,
  [SMALL_STATE(5517)] = 290514,
  [SMALL_STATE(5518)] = 290576,
  [SMALL_STATE(5519)] = 290622,
  [SMALL_STATE(5520)] = 290676,
  [SMALL_STATE(5521)] = 290730,
  [SMALL_STATE(5522)] = 290796,
  [SMALL_STATE(5523)] = 290838,
  [SMALL_STATE(5524)] = 290880,
  [SMALL_STATE(5525)] = 290926,
  [SMALL_STATE(5526)] = 290980,
  [SMALL_STATE(5527)] = 291024,
  [SMALL_STATE(5528)] = 291070,
  [SMALL_STATE(5529)] = 291122,
  [SMALL_STATE(5530)] = 291170,
  [SMALL_STATE(5531)] = 291224,
  [SMALL_STATE(5532)] = 291280,
  [SMALL_STATE(5533)] = 291336,
  [SMALL_STATE(5534)] = 291380,
  [SMALL_STATE(5535)] = 291424,
  [SMALL_STATE(5536)] = 291466,
  [SMALL_STATE(5537)] = 291508,
  [SMALL_STATE(5538)] = 291550,
  [SMALL_STATE(5539)] = 291592,
  [SMALL_STATE(5540)] = 291636,
  [SMALL_STATE(5541)] = 291678,
  [SMALL_STATE(5542)] = 291720,
  [SMALL_STATE(5543)] = 291772,
  [SMALL_STATE(5544)] = 291816,
  [SMALL_STATE(5545)] = 291858,
  [SMALL_STATE(5546)] = 291900,
  [SMALL_STATE(5547)] = 291946,
  [SMALL_STATE(5548)] = 291988,
  [SMALL_STATE(5549)] = 292054,
  [SMALL_STATE(5550)] = 292098,
  [SMALL_STATE(5551)] = 292142,
  [SMALL_STATE(5552)] = 292196,
  [SMALL_STATE(5553)] = 292248,
  [SMALL_STATE(5554)] = 292304,
  [SMALL_STATE(5555)] = 292346,
  [SMALL_STATE(5556)] = 292390,
  [SMALL_STATE(5557)] = 292432,
  [SMALL_STATE(5558)] = 292484,
  [SMALL_STATE(5559)] = 292532,
  [SMALL_STATE(5560)] = 292574,
  [SMALL_STATE(5561)] = 292620,
  [SMALL_STATE(5562)] = 292666,
  [SMALL_STATE(5563)] = 292708,
  [SMALL_STATE(5564)] = 292760,
  [SMALL_STATE(5565)] = 292826,
  [SMALL_STATE(5566)] = 292868,
  [SMALL_STATE(5567)] = 292934,
  [SMALL_STATE(5568)] = 292990,
  [SMALL_STATE(5569)] = 293042,
  [SMALL_STATE(5570)] = 293096,
  [SMALL_STATE(5571)] = 293150,
  [SMALL_STATE(5572)] = 293194,
  [SMALL_STATE(5573)] = 293236,
  [SMALL_STATE(5574)] = 293280,
  [SMALL_STATE(5575)] = 293322,
  [SMALL_STATE(5576)] = 293366,
  [SMALL_STATE(5577)] = 293432,
  [SMALL_STATE(5578)] = 293474,
  [SMALL_STATE(5579)] = 293516,
  [SMALL_STATE(5580)] = 293558,
  [SMALL_STATE(5581)] = 293602,
  [SMALL_STATE(5582)] = 293644,
  [SMALL_STATE(5583)] = 293710,
  [SMALL_STATE(5584)] = 293762,
  [SMALL_STATE(5585)] = 293818,
  [SMALL_STATE(5586)] = 293884,
  [SMALL_STATE(5587)] = 293936,
  [SMALL_STATE(5588)] = 293986,
  [SMALL_STATE(5589)] = 294038,
  [SMALL_STATE(5590)] = 294086,
  [SMALL_STATE(5591)] = 294128,
  [SMALL_STATE(5592)] = 294170,
  [SMALL_STATE(5593)] = 294212,
  [SMALL_STATE(5594)] = 294266,
  [SMALL_STATE(5595)] = 294332,
  [SMALL_STATE(5596)] = 294398,
  [SMALL_STATE(5597)] = 294446,
  [SMALL_STATE(5598)] = 294488,
  [SMALL_STATE(5599)] = 294554,
  [SMALL_STATE(5600)] = 294598,
  [SMALL_STATE(5601)] = 294640,
  [SMALL_STATE(5602)] = 294694,
  [SMALL_STATE(5603)] = 294736,
  [SMALL_STATE(5604)] = 294778,
  [SMALL_STATE(5605)] = 294830,
  [SMALL_STATE(5606)] = 294872,
  [SMALL_STATE(5607)] = 294914,
  [SMALL_STATE(5608)] = 294956,
  [SMALL_STATE(5609)] = 294998,
  [SMALL_STATE(5610)] = 295040,
  [SMALL_STATE(5611)] = 295082,
  [SMALL_STATE(5612)] = 295124,
  [SMALL_STATE(5613)] = 295166,
  [SMALL_STATE(5614)] = 295220,
  [SMALL_STATE(5615)] = 295262,
  [SMALL_STATE(5616)] = 295324,
  [SMALL_STATE(5617)] = 295368,
  [SMALL_STATE(5618)] = 295410,
  [SMALL_STATE(5619)] = 295454,
  [SMALL_STATE(5620)] = 295496,
  [SMALL_STATE(5621)] = 295538,
  [SMALL_STATE(5622)] = 295580,
  [SMALL_STATE(5623)] = 295622,
  [SMALL_STATE(5624)] = 295670,
  [SMALL_STATE(5625)] = 295726,
  [SMALL_STATE(5626)] = 295768,
  [SMALL_STATE(5627)] = 295810,
  [SMALL_STATE(5628)] = 295852,
  [SMALL_STATE(5629)] = 295894,
  [SMALL_STATE(5630)] = 295936,
  [SMALL_STATE(5631)] = 295978,
  [SMALL_STATE(5632)] = 296020,
  [SMALL_STATE(5633)] = 296062,
  [SMALL_STATE(5634)] = 296104,
  [SMALL_STATE(5635)] = 296146,
  [SMALL_STATE(5636)] = 296188,
  [SMALL_STATE(5637)] = 296230,
  [SMALL_STATE(5638)] = 296272,
  [SMALL_STATE(5639)] = 296314,
  [SMALL_STATE(5640)] = 296356,
  [SMALL_STATE(5641)] = 296398,
  [SMALL_STATE(5642)] = 296454,
  [SMALL_STATE(5643)] = 296496,
  [SMALL_STATE(5644)] = 296538,
  [SMALL_STATE(5645)] = 296594,
  [SMALL_STATE(5646)] = 296648,
  [SMALL_STATE(5647)] = 296690,
  [SMALL_STATE(5648)] = 296732,
  [SMALL_STATE(5649)] = 296774,
  [SMALL_STATE(5650)] = 296816,
  [SMALL_STATE(5651)] = 296858,
  [SMALL_STATE(5652)] = 296900,
  [SMALL_STATE(5653)] = 296946,
  [SMALL_STATE(5654)] = 297000,
  [SMALL_STATE(5655)] = 297042,
  [SMALL_STATE(5656)] = 297084,
  [SMALL_STATE(5657)] = 297128,
  [SMALL_STATE(5658)] = 297170,
  [SMALL_STATE(5659)] = 297212,
  [SMALL_STATE(5660)] = 297254,
  [SMALL_STATE(5661)] = 297296,
  [SMALL_STATE(5662)] = 297338,
  [SMALL_STATE(5663)] = 297380,
  [SMALL_STATE(5664)] = 297436,
  [SMALL_STATE(5665)] = 297488,
  [SMALL_STATE(5666)] = 297550,
  [SMALL_STATE(5667)] = 297592,
  [SMALL_STATE(5668)] = 297636,
  [SMALL_STATE(5669)] = 297690,
  [SMALL_STATE(5670)] = 297732,
  [SMALL_STATE(5671)] = 297774,
  [SMALL_STATE(5672)] = 297816,
  [SMALL_STATE(5673)] = 297858,
  [SMALL_STATE(5674)] = 297908,
  [SMALL_STATE(5675)] = 297950,
  [SMALL_STATE(5676)] = 297996,
  [SMALL_STATE(5677)] = 298038,
  [SMALL_STATE(5678)] = 298080,
  [SMALL_STATE(5679)] = 298122,
  [SMALL_STATE(5680)] = 298184,
  [SMALL_STATE(5681)] = 298226,
  [SMALL_STATE(5682)] = 298268,
  [SMALL_STATE(5683)] = 298310,
  [SMALL_STATE(5684)] = 298352,
  [SMALL_STATE(5685)] = 298400,
  [SMALL_STATE(5686)] = 298442,
  [SMALL_STATE(5687)] = 298488,
  [SMALL_STATE(5688)] = 298530,
  [SMALL_STATE(5689)] = 298572,
  [SMALL_STATE(5690)] = 298620,
  [SMALL_STATE(5691)] = 298662,
  [SMALL_STATE(5692)] = 298704,
  [SMALL_STATE(5693)] = 298762,
  [SMALL_STATE(5694)] = 298814,
  [SMALL_STATE(5695)] = 298856,
  [SMALL_STATE(5696)] = 298898,
  [SMALL_STATE(5697)] = 298942,
  [SMALL_STATE(5698)] = 298988,
  [SMALL_STATE(5699)] = 299050,
  [SMALL_STATE(5700)] = 299092,
  [SMALL_STATE(5701)] = 299134,
  [SMALL_STATE(5702)] = 299176,
  [SMALL_STATE(5703)] = 299218,
  [SMALL_STATE(5704)] = 299260,
  [SMALL_STATE(5705)] = 299302,
  [SMALL_STATE(5706)] = 299346,
  [SMALL_STATE(5707)] = 299388,
  [SMALL_STATE(5708)] = 299430,
  [SMALL_STATE(5709)] = 299472,
  [SMALL_STATE(5710)] = 299528,
  [SMALL_STATE(5711)] = 299570,
  [SMALL_STATE(5712)] = 299612,
  [SMALL_STATE(5713)] = 299666,
  [SMALL_STATE(5714)] = 299708,
  [SMALL_STATE(5715)] = 299764,
  [SMALL_STATE(5716)] = 299820,
  [SMALL_STATE(5717)] = 299874,
  [SMALL_STATE(5718)] = 299916,
  [SMALL_STATE(5719)] = 299960,
  [SMALL_STATE(5720)] = 300002,
  [SMALL_STATE(5721)] = 300046,
  [SMALL_STATE(5722)] = 300112,
  [SMALL_STATE(5723)] = 300156,
  [SMALL_STATE(5724)] = 300202,
  [SMALL_STATE(5725)] = 300256,
  [SMALL_STATE(5726)] = 300298,
  [SMALL_STATE(5727)] = 300340,
  [SMALL_STATE(5728)] = 300382,
  [SMALL_STATE(5729)] = 300424,
  [SMALL_STATE(5730)] = 300468,
  [SMALL_STATE(5731)] = 300510,
  [SMALL_STATE(5732)] = 300552,
  [SMALL_STATE(5733)] = 300594,
  [SMALL_STATE(5734)] = 300636,
  [SMALL_STATE(5735)] = 300678,
  [SMALL_STATE(5736)] = 300720,
  [SMALL_STATE(5737)] = 300762,
  [SMALL_STATE(5738)] = 300804,
  [SMALL_STATE(5739)] = 300846,
  [SMALL_STATE(5740)] = 300900,
  [SMALL_STATE(5741)] = 300942,
  [SMALL_STATE(5742)] = 300984,
  [SMALL_STATE(5743)] = 301046,
  [SMALL_STATE(5744)] = 301088,
  [SMALL_STATE(5745)] = 301130,
  [SMALL_STATE(5746)] = 301186,
  [SMALL_STATE(5747)] = 301230,
  [SMALL_STATE(5748)] = 301296,
  [SMALL_STATE(5749)] = 301338,
  [SMALL_STATE(5750)] = 301380,
  [SMALL_STATE(5751)] = 301436,
  [SMALL_STATE(5752)] = 301486,
  [SMALL_STATE(5753)] = 301534,
  [SMALL_STATE(5754)] = 301586,
  [SMALL_STATE(5755)] = 301628,
  [SMALL_STATE(5756)] = 301670,
  [SMALL_STATE(5757)] = 301712,
  [SMALL_STATE(5758)] = 301754,
  [SMALL_STATE(5759)] = 301800,
  [SMALL_STATE(5760)] = 301846,
  [SMALL_STATE(5761)] = 301888,
  [SMALL_STATE(5762)] = 301930,
  [SMALL_STATE(5763)] = 301972,
  [SMALL_STATE(5764)] = 302024,
  [SMALL_STATE(5765)] = 302066,
  [SMALL_STATE(5766)] = 302108,
  [SMALL_STATE(5767)] = 302150,
  [SMALL_STATE(5768)] = 302192,
  [SMALL_STATE(5769)] = 302234,
  [SMALL_STATE(5770)] = 302276,
  [SMALL_STATE(5771)] = 302318,
  [SMALL_STATE(5772)] = 302384,
  [SMALL_STATE(5773)] = 302426,
  [SMALL_STATE(5774)] = 302468,
  [SMALL_STATE(5775)] = 302510,
  [SMALL_STATE(5776)] = 302552,
  [SMALL_STATE(5777)] = 302594,
  [SMALL_STATE(5778)] = 302636,
  [SMALL_STATE(5779)] = 302678,
  [SMALL_STATE(5780)] = 302720,
  [SMALL_STATE(5781)] = 302762,
  [SMALL_STATE(5782)] = 302806,
  [SMALL_STATE(5783)] = 302848,
  [SMALL_STATE(5784)] = 302890,
  [SMALL_STATE(5785)] = 302952,
  [SMALL_STATE(5786)] = 303006,
  [SMALL_STATE(5787)] = 303060,
  [SMALL_STATE(5788)] = 303102,
  [SMALL_STATE(5789)] = 303144,
  [SMALL_STATE(5790)] = 303188,
  [SMALL_STATE(5791)] = 303230,
  [SMALL_STATE(5792)] = 303272,
  [SMALL_STATE(5793)] = 303314,
  [SMALL_STATE(5794)] = 303356,
  [SMALL_STATE(5795)] = 303398,
  [SMALL_STATE(5796)] = 303442,
  [SMALL_STATE(5797)] = 303484,
  [SMALL_STATE(5798)] = 303526,
  [SMALL_STATE(5799)] = 303568,
  [SMALL_STATE(5800)] = 303610,
  [SMALL_STATE(5801)] = 303662,
  [SMALL_STATE(5802)] = 303704,
  [SMALL_STATE(5803)] = 303748,
  [SMALL_STATE(5804)] = 303800,
  [SMALL_STATE(5805)] = 303844,
  [SMALL_STATE(5806)] = 303886,
  [SMALL_STATE(5807)] = 303928,
  [SMALL_STATE(5808)] = 303970,
  [SMALL_STATE(5809)] = 304012,
  [SMALL_STATE(5810)] = 304058,
  [SMALL_STATE(5811)] = 304100,
  [SMALL_STATE(5812)] = 304148,
  [SMALL_STATE(5813)] = 304202,
  [SMALL_STATE(5814)] = 304244,
  [SMALL_STATE(5815)] = 304288,
  [SMALL_STATE(5816)] = 304330,
  [SMALL_STATE(5817)] = 304372,
  [SMALL_STATE(5818)] = 304414,
  [SMALL_STATE(5819)] = 304456,
  [SMALL_STATE(5820)] = 304502,
  [SMALL_STATE(5821)] = 304556,
  [SMALL_STATE(5822)] = 304598,
  [SMALL_STATE(5823)] = 304640,
  [SMALL_STATE(5824)] = 304682,
  [SMALL_STATE(5825)] = 304724,
  [SMALL_STATE(5826)] = 304768,
  [SMALL_STATE(5827)] = 304810,
  [SMALL_STATE(5828)] = 304852,
  [SMALL_STATE(5829)] = 304894,
  [SMALL_STATE(5830)] = 304942,
  [SMALL_STATE(5831)] = 304984,
  [SMALL_STATE(5832)] = 305028,
  [SMALL_STATE(5833)] = 305070,
  [SMALL_STATE(5834)] = 305112,
  [SMALL_STATE(5835)] = 305156,
  [SMALL_STATE(5836)] = 305198,
  [SMALL_STATE(5837)] = 305242,
  [SMALL_STATE(5838)] = 305284,
  [SMALL_STATE(5839)] = 305326,
  [SMALL_STATE(5840)] = 305368,
  [SMALL_STATE(5841)] = 305410,
  [SMALL_STATE(5842)] = 305452,
  [SMALL_STATE(5843)] = 305494,
  [SMALL_STATE(5844)] = 305536,
  [SMALL_STATE(5845)] = 305578,
  [SMALL_STATE(5846)] = 305620,
  [SMALL_STATE(5847)] = 305664,
  [SMALL_STATE(5848)] = 305718,
  [SMALL_STATE(5849)] = 305772,
  [SMALL_STATE(5850)] = 305814,
  [SMALL_STATE(5851)] = 305862,
  [SMALL_STATE(5852)] = 305916,
  [SMALL_STATE(5853)] = 305958,
  [SMALL_STATE(5854)] = 306000,
  [SMALL_STATE(5855)] = 306046,
  [SMALL_STATE(5856)] = 306092,
  [SMALL_STATE(5857)] = 306146,
  [SMALL_STATE(5858)] = 306188,
  [SMALL_STATE(5859)] = 306234,
  [SMALL_STATE(5860)] = 306276,
  [SMALL_STATE(5861)] = 306318,
  [SMALL_STATE(5862)] = 306360,
  [SMALL_STATE(5863)] = 306402,
  [SMALL_STATE(5864)] = 306450,
  [SMALL_STATE(5865)] = 306492,
  [SMALL_STATE(5866)] = 306534,
  [SMALL_STATE(5867)] = 306576,
  [SMALL_STATE(5868)] = 306628,
  [SMALL_STATE(5869)] = 306670,
  [SMALL_STATE(5870)] = 306714,
  [SMALL_STATE(5871)] = 306756,
  [SMALL_STATE(5872)] = 306798,
  [SMALL_STATE(5873)] = 306840,
  [SMALL_STATE(5874)] = 306892,
  [SMALL_STATE(5875)] = 306936,
  [SMALL_STATE(5876)] = 306978,
  [SMALL_STATE(5877)] = 307020,
  [SMALL_STATE(5878)] = 307064,
  [SMALL_STATE(5879)] = 307106,
  [SMALL_STATE(5880)] = 307148,
  [SMALL_STATE(5881)] = 307190,
  [SMALL_STATE(5882)] = 307232,
  [SMALL_STATE(5883)] = 307274,
  [SMALL_STATE(5884)] = 307316,
  [SMALL_STATE(5885)] = 307360,
  [SMALL_STATE(5886)] = 307402,
  [SMALL_STATE(5887)] = 307444,
  [SMALL_STATE(5888)] = 307488,
  [SMALL_STATE(5889)] = 307530,
  [SMALL_STATE(5890)] = 307572,
  [SMALL_STATE(5891)] = 307614,
  [SMALL_STATE(5892)] = 307656,
  [SMALL_STATE(5893)] = 307698,
  [SMALL_STATE(5894)] = 307754,
  [SMALL_STATE(5895)] = 307796,
  [SMALL_STATE(5896)] = 307838,
  [SMALL_STATE(5897)] = 307880,
  [SMALL_STATE(5898)] = 307922,
  [SMALL_STATE(5899)] = 307964,
  [SMALL_STATE(5900)] = 308006,
  [SMALL_STATE(5901)] = 308048,
  [SMALL_STATE(5902)] = 308090,
  [SMALL_STATE(5903)] = 308132,
  [SMALL_STATE(5904)] = 308174,
  [SMALL_STATE(5905)] = 308216,
  [SMALL_STATE(5906)] = 308270,
  [SMALL_STATE(5907)] = 308318,
  [SMALL_STATE(5908)] = 308372,
  [SMALL_STATE(5909)] = 308414,
  [SMALL_STATE(5910)] = 308456,
  [SMALL_STATE(5911)] = 308498,
  [SMALL_STATE(5912)] = 308540,
  [SMALL_STATE(5913)] = 308582,
  [SMALL_STATE(5914)] = 308624,
  [SMALL_STATE(5915)] = 308666,
  [SMALL_STATE(5916)] = 308708,
  [SMALL_STATE(5917)] = 308774,
  [SMALL_STATE(5918)] = 308816,
  [SMALL_STATE(5919)] = 308858,
  [SMALL_STATE(5920)] = 308914,
  [SMALL_STATE(5921)] = 308956,
  [SMALL_STATE(5922)] = 308998,
  [SMALL_STATE(5923)] = 309040,
  [SMALL_STATE(5924)] = 309082,
  [SMALL_STATE(5925)] = 309124,
  [SMALL_STATE(5926)] = 309166,
  [SMALL_STATE(5927)] = 309220,
  [SMALL_STATE(5928)] = 309262,
  [SMALL_STATE(5929)] = 309304,
  [SMALL_STATE(5930)] = 309346,
  [SMALL_STATE(5931)] = 309392,
  [SMALL_STATE(5932)] = 309434,
  [SMALL_STATE(5933)] = 309480,
  [SMALL_STATE(5934)] = 309522,
  [SMALL_STATE(5935)] = 309564,
  [SMALL_STATE(5936)] = 309606,
  [SMALL_STATE(5937)] = 309648,
  [SMALL_STATE(5938)] = 309702,
  [SMALL_STATE(5939)] = 309768,
  [SMALL_STATE(5940)] = 309816,
  [SMALL_STATE(5941)] = 309860,
  [SMALL_STATE(5942)] = 309902,
  [SMALL_STATE(5943)] = 309944,
  [SMALL_STATE(5944)] = 309986,
  [SMALL_STATE(5945)] = 310028,
  [SMALL_STATE(5946)] = 310072,
  [SMALL_STATE(5947)] = 310124,
  [SMALL_STATE(5948)] = 310166,
  [SMALL_STATE(5949)] = 310208,
  [SMALL_STATE(5950)] = 310250,
  [SMALL_STATE(5951)] = 310292,
  [SMALL_STATE(5952)] = 310334,
  [SMALL_STATE(5953)] = 310380,
  [SMALL_STATE(5954)] = 310422,
  [SMALL_STATE(5955)] = 310464,
  [SMALL_STATE(5956)] = 310508,
  [SMALL_STATE(5957)] = 310550,
  [SMALL_STATE(5958)] = 310598,
  [SMALL_STATE(5959)] = 310644,
  [SMALL_STATE(5960)] = 310692,
  [SMALL_STATE(5961)] = 310734,
  [SMALL_STATE(5962)] = 310776,
  [SMALL_STATE(5963)] = 310838,
  [SMALL_STATE(5964)] = 310880,
  [SMALL_STATE(5965)] = 310922,
  [SMALL_STATE(5966)] = 310964,
  [SMALL_STATE(5967)] = 311006,
  [SMALL_STATE(5968)] = 311048,
  [SMALL_STATE(5969)] = 311090,
  [SMALL_STATE(5970)] = 311132,
  [SMALL_STATE(5971)] = 311184,
  [SMALL_STATE(5972)] = 311230,
  [SMALL_STATE(5973)] = 311272,
  [SMALL_STATE(5974)] = 311334,
  [SMALL_STATE(5975)] = 311376,
  [SMALL_STATE(5976)] = 311418,
  [SMALL_STATE(5977)] = 311460,
  [SMALL_STATE(5978)] = 311502,
  [SMALL_STATE(5979)] = 311546,
  [SMALL_STATE(5980)] = 311588,
  [SMALL_STATE(5981)] = 311635,
  [SMALL_STATE(5982)] = 311676,
  [SMALL_STATE(5983)] = 311717,
  [SMALL_STATE(5984)] = 311758,
  [SMALL_STATE(5985)] = 311799,
  [SMALL_STATE(5986)] = 311840,
  [SMALL_STATE(5987)] = 311887,
  [SMALL_STATE(5988)] = 311948,
  [SMALL_STATE(5989)] = 311989,
  [SMALL_STATE(5990)] = 312030,
  [SMALL_STATE(5991)] = 312073,
  [SMALL_STATE(5992)] = 312114,
  [SMALL_STATE(5993)] = 312155,
  [SMALL_STATE(5994)] = 312196,
  [SMALL_STATE(5995)] = 312257,
  [SMALL_STATE(5996)] = 312298,
  [SMALL_STATE(5997)] = 312339,
  [SMALL_STATE(5998)] = 312392,
  [SMALL_STATE(5999)] = 312433,
  [SMALL_STATE(6000)] = 312474,
  [SMALL_STATE(6001)] = 312515,
  [SMALL_STATE(6002)] = 312558,
  [SMALL_STATE(6003)] = 312599,
  [SMALL_STATE(6004)] = 312640,
  [SMALL_STATE(6005)] = 312681,
  [SMALL_STATE(6006)] = 312722,
  [SMALL_STATE(6007)] = 312767,
  [SMALL_STATE(6008)] = 312808,
  [SMALL_STATE(6009)] = 312849,
  [SMALL_STATE(6010)] = 312890,
  [SMALL_STATE(6011)] = 312945,
  [SMALL_STATE(6012)] = 312988,
  [SMALL_STATE(6013)] = 313035,
  [SMALL_STATE(6014)] = 313084,
  [SMALL_STATE(6015)] = 313125,
  [SMALL_STATE(6016)] = 313166,
  [SMALL_STATE(6017)] = 313207,
  [SMALL_STATE(6018)] = 313248,
  [SMALL_STATE(6019)] = 313289,
  [SMALL_STATE(6020)] = 313336,
  [SMALL_STATE(6021)] = 313379,
  [SMALL_STATE(6022)] = 313420,
  [SMALL_STATE(6023)] = 313465,
  [SMALL_STATE(6024)] = 313508,
  [SMALL_STATE(6025)] = 313549,
  [SMALL_STATE(6026)] = 313590,
  [SMALL_STATE(6027)] = 313631,
  [SMALL_STATE(6028)] = 313672,
  [SMALL_STATE(6029)] = 313713,
  [SMALL_STATE(6030)] = 313768,
  [SMALL_STATE(6031)] = 313809,
  [SMALL_STATE(6032)] = 313850,
  [SMALL_STATE(6033)] = 313891,
  [SMALL_STATE(6034)] = 313932,
  [SMALL_STATE(6035)] = 313973,
  [SMALL_STATE(6036)] = 314014,
  [SMALL_STATE(6037)] = 314055,
  [SMALL_STATE(6038)] = 314096,
  [SMALL_STATE(6039)] = 314137,
  [SMALL_STATE(6040)] = 314178,
  [SMALL_STATE(6041)] = 314221,
  [SMALL_STATE(6042)] = 314262,
  [SMALL_STATE(6043)] = 314303,
  [SMALL_STATE(6044)] = 314344,
  [SMALL_STATE(6045)] = 314395,
  [SMALL_STATE(6046)] = 314436,
  [SMALL_STATE(6047)] = 314477,
  [SMALL_STATE(6048)] = 314518,
  [SMALL_STATE(6049)] = 314559,
  [SMALL_STATE(6050)] = 314600,
  [SMALL_STATE(6051)] = 314641,
  [SMALL_STATE(6052)] = 314682,
  [SMALL_STATE(6053)] = 314723,
  [SMALL_STATE(6054)] = 314764,
  [SMALL_STATE(6055)] = 314805,
  [SMALL_STATE(6056)] = 314850,
  [SMALL_STATE(6057)] = 314891,
  [SMALL_STATE(6058)] = 314938,
  [SMALL_STATE(6059)] = 314979,
  [SMALL_STATE(6060)] = 315020,
  [SMALL_STATE(6061)] = 315061,
  [SMALL_STATE(6062)] = 315108,
  [SMALL_STATE(6063)] = 315149,
  [SMALL_STATE(6064)] = 315190,
  [SMALL_STATE(6065)] = 315231,
  [SMALL_STATE(6066)] = 315272,
  [SMALL_STATE(6067)] = 315315,
  [SMALL_STATE(6068)] = 315356,
  [SMALL_STATE(6069)] = 315397,
  [SMALL_STATE(6070)] = 315440,
  [SMALL_STATE(6071)] = 315481,
  [SMALL_STATE(6072)] = 315522,
  [SMALL_STATE(6073)] = 315563,
  [SMALL_STATE(6074)] = 315604,
  [SMALL_STATE(6075)] = 315649,
  [SMALL_STATE(6076)] = 315690,
  [SMALL_STATE(6077)] = 315731,
  [SMALL_STATE(6078)] = 315772,
  [SMALL_STATE(6079)] = 315815,
  [SMALL_STATE(6080)] = 315856,
  [SMALL_STATE(6081)] = 315897,
  [SMALL_STATE(6082)] = 315938,
  [SMALL_STATE(6083)] = 315979,
  [SMALL_STATE(6084)] = 316024,
  [SMALL_STATE(6085)] = 316079,
  [SMALL_STATE(6086)] = 316126,
  [SMALL_STATE(6087)] = 316167,
  [SMALL_STATE(6088)] = 316208,
  [SMALL_STATE(6089)] = 316273,
  [SMALL_STATE(6090)] = 316314,
  [SMALL_STATE(6091)] = 316361,
  [SMALL_STATE(6092)] = 316408,
  [SMALL_STATE(6093)] = 316463,
  [SMALL_STATE(6094)] = 316504,
  [SMALL_STATE(6095)] = 316545,
  [SMALL_STATE(6096)] = 316586,
  [SMALL_STATE(6097)] = 316627,
  [SMALL_STATE(6098)] = 316668,
  [SMALL_STATE(6099)] = 316709,
  [SMALL_STATE(6100)] = 316750,
  [SMALL_STATE(6101)] = 316791,
  [SMALL_STATE(6102)] = 316832,
  [SMALL_STATE(6103)] = 316873,
  [SMALL_STATE(6104)] = 316914,
  [SMALL_STATE(6105)] = 316955,
  [SMALL_STATE(6106)] = 316996,
  [SMALL_STATE(6107)] = 317037,
  [SMALL_STATE(6108)] = 317080,
  [SMALL_STATE(6109)] = 317123,
  [SMALL_STATE(6110)] = 317164,
  [SMALL_STATE(6111)] = 317205,
  [SMALL_STATE(6112)] = 317254,
  [SMALL_STATE(6113)] = 317299,
  [SMALL_STATE(6114)] = 317340,
  [SMALL_STATE(6115)] = 317381,
  [SMALL_STATE(6116)] = 317422,
  [SMALL_STATE(6117)] = 317463,
  [SMALL_STATE(6118)] = 317504,
  [SMALL_STATE(6119)] = 317545,
  [SMALL_STATE(6120)] = 317586,
  [SMALL_STATE(6121)] = 317629,
  [SMALL_STATE(6122)] = 317672,
  [SMALL_STATE(6123)] = 317713,
  [SMALL_STATE(6124)] = 317760,
  [SMALL_STATE(6125)] = 317805,
  [SMALL_STATE(6126)] = 317850,
  [SMALL_STATE(6127)] = 317915,
  [SMALL_STATE(6128)] = 317958,
  [SMALL_STATE(6129)] = 317999,
  [SMALL_STATE(6130)] = 318040,
  [SMALL_STATE(6131)] = 318081,
  [SMALL_STATE(6132)] = 318122,
  [SMALL_STATE(6133)] = 318163,
  [SMALL_STATE(6134)] = 318204,
  [SMALL_STATE(6135)] = 318257,
  [SMALL_STATE(6136)] = 318310,
  [SMALL_STATE(6137)] = 318351,
  [SMALL_STATE(6138)] = 318398,
  [SMALL_STATE(6139)] = 318439,
  [SMALL_STATE(6140)] = 318480,
  [SMALL_STATE(6141)] = 318521,
  [SMALL_STATE(6142)] = 318564,
  [SMALL_STATE(6143)] = 318605,
  [SMALL_STATE(6144)] = 318646,
  [SMALL_STATE(6145)] = 318699,
  [SMALL_STATE(6146)] = 318740,
  [SMALL_STATE(6147)] = 318781,
  [SMALL_STATE(6148)] = 318822,
  [SMALL_STATE(6149)] = 318883,
  [SMALL_STATE(6150)] = 318924,
  [SMALL_STATE(6151)] = 318965,
  [SMALL_STATE(6152)] = 319008,
  [SMALL_STATE(6153)] = 319049,
  [SMALL_STATE(6154)] = 319090,
  [SMALL_STATE(6155)] = 319131,
  [SMALL_STATE(6156)] = 319172,
  [SMALL_STATE(6157)] = 319213,
  [SMALL_STATE(6158)] = 319254,
  [SMALL_STATE(6159)] = 319295,
  [SMALL_STATE(6160)] = 319336,
  [SMALL_STATE(6161)] = 319377,
  [SMALL_STATE(6162)] = 319418,
  [SMALL_STATE(6163)] = 319461,
  [SMALL_STATE(6164)] = 319502,
  [SMALL_STATE(6165)] = 319553,
  [SMALL_STATE(6166)] = 319594,
  [SMALL_STATE(6167)] = 319635,
  [SMALL_STATE(6168)] = 319676,
  [SMALL_STATE(6169)] = 319717,
  [SMALL_STATE(6170)] = 319762,
  [SMALL_STATE(6171)] = 319803,
  [SMALL_STATE(6172)] = 319844,
  [SMALL_STATE(6173)] = 319897,
  [SMALL_STATE(6174)] = 319938,
  [SMALL_STATE(6175)] = 319979,
  [SMALL_STATE(6176)] = 320020,
  [SMALL_STATE(6177)] = 320063,
  [SMALL_STATE(6178)] = 320128,
  [SMALL_STATE(6179)] = 320169,
  [SMALL_STATE(6180)] = 320214,
  [SMALL_STATE(6181)] = 320257,
  [SMALL_STATE(6182)] = 320304,
  [SMALL_STATE(6183)] = 320345,
  [SMALL_STATE(6184)] = 320388,
  [SMALL_STATE(6185)] = 320429,
  [SMALL_STATE(6186)] = 320470,
  [SMALL_STATE(6187)] = 320511,
  [SMALL_STATE(6188)] = 320552,
  [SMALL_STATE(6189)] = 320607,
  [SMALL_STATE(6190)] = 320648,
  [SMALL_STATE(6191)] = 320689,
  [SMALL_STATE(6192)] = 320730,
  [SMALL_STATE(6193)] = 320791,
  [SMALL_STATE(6194)] = 320832,
  [SMALL_STATE(6195)] = 320873,
  [SMALL_STATE(6196)] = 320914,
  [SMALL_STATE(6197)] = 320955,
  [SMALL_STATE(6198)] = 320996,
  [SMALL_STATE(6199)] = 321037,
  [SMALL_STATE(6200)] = 321092,
  [SMALL_STATE(6201)] = 321137,
  [SMALL_STATE(6202)] = 321178,
  [SMALL_STATE(6203)] = 321219,
  [SMALL_STATE(6204)] = 321272,
  [SMALL_STATE(6205)] = 321313,
  [SMALL_STATE(6206)] = 321354,
  [SMALL_STATE(6207)] = 321395,
  [SMALL_STATE(6208)] = 321436,
  [SMALL_STATE(6209)] = 321479,
  [SMALL_STATE(6210)] = 321532,
  [SMALL_STATE(6211)] = 321573,
  [SMALL_STATE(6212)] = 321614,
  [SMALL_STATE(6213)] = 321655,
  [SMALL_STATE(6214)] = 321696,
  [SMALL_STATE(6215)] = 321737,
  [SMALL_STATE(6216)] = 321778,
  [SMALL_STATE(6217)] = 321819,
  [SMALL_STATE(6218)] = 321866,
  [SMALL_STATE(6219)] = 321907,
  [SMALL_STATE(6220)] = 321948,
  [SMALL_STATE(6221)] = 321993,
  [SMALL_STATE(6222)] = 322036,
  [SMALL_STATE(6223)] = 322077,
  [SMALL_STATE(6224)] = 322120,
  [SMALL_STATE(6225)] = 322161,
  [SMALL_STATE(6226)] = 322202,
  [SMALL_STATE(6227)] = 322243,
  [SMALL_STATE(6228)] = 322298,
  [SMALL_STATE(6229)] = 322341,
  [SMALL_STATE(6230)] = 322382,
  [SMALL_STATE(6231)] = 322425,
  [SMALL_STATE(6232)] = 322468,
  [SMALL_STATE(6233)] = 322509,
  [SMALL_STATE(6234)] = 322550,
  [SMALL_STATE(6235)] = 322595,
  [SMALL_STATE(6236)] = 322636,
  [SMALL_STATE(6237)] = 322677,
  [SMALL_STATE(6238)] = 322718,
  [SMALL_STATE(6239)] = 322759,
  [SMALL_STATE(6240)] = 322800,
  [SMALL_STATE(6241)] = 322843,
  [SMALL_STATE(6242)] = 322888,
  [SMALL_STATE(6243)] = 322935,
  [SMALL_STATE(6244)] = 322976,
  [SMALL_STATE(6245)] = 323017,
  [SMALL_STATE(6246)] = 323058,
  [SMALL_STATE(6247)] = 323099,
  [SMALL_STATE(6248)] = 323154,
  [SMALL_STATE(6249)] = 323195,
  [SMALL_STATE(6250)] = 323236,
  [SMALL_STATE(6251)] = 323277,
  [SMALL_STATE(6252)] = 323318,
  [SMALL_STATE(6253)] = 323359,
  [SMALL_STATE(6254)] = 323412,
  [SMALL_STATE(6255)] = 323453,
  [SMALL_STATE(6256)] = 323494,
  [SMALL_STATE(6257)] = 323537,
  [SMALL_STATE(6258)] = 323578,
  [SMALL_STATE(6259)] = 323619,
  [SMALL_STATE(6260)] = 323662,
  [SMALL_STATE(6261)] = 323703,
  [SMALL_STATE(6262)] = 323744,
  [SMALL_STATE(6263)] = 323789,
  [SMALL_STATE(6264)] = 323830,
  [SMALL_STATE(6265)] = 323885,
  [SMALL_STATE(6266)] = 323926,
  [SMALL_STATE(6267)] = 323967,
  [SMALL_STATE(6268)] = 324008,
  [SMALL_STATE(6269)] = 324049,
  [SMALL_STATE(6270)] = 324090,
  [SMALL_STATE(6271)] = 324131,
  [SMALL_STATE(6272)] = 324182,
  [SMALL_STATE(6273)] = 324223,
  [SMALL_STATE(6274)] = 324264,
  [SMALL_STATE(6275)] = 324305,
  [SMALL_STATE(6276)] = 324350,
  [SMALL_STATE(6277)] = 324411,
  [SMALL_STATE(6278)] = 324452,
  [SMALL_STATE(6279)] = 324493,
  [SMALL_STATE(6280)] = 324540,
  [SMALL_STATE(6281)] = 324581,
  [SMALL_STATE(6282)] = 324622,
  [SMALL_STATE(6283)] = 324663,
  [SMALL_STATE(6284)] = 324710,
  [SMALL_STATE(6285)] = 324751,
  [SMALL_STATE(6286)] = 324792,
  [SMALL_STATE(6287)] = 324833,
  [SMALL_STATE(6288)] = 324874,
  [SMALL_STATE(6289)] = 324939,
  [SMALL_STATE(6290)] = 324980,
  [SMALL_STATE(6291)] = 325021,
  [SMALL_STATE(6292)] = 325066,
  [SMALL_STATE(6293)] = 325107,
  [SMALL_STATE(6294)] = 325148,
  [SMALL_STATE(6295)] = 325193,
  [SMALL_STATE(6296)] = 325246,
  [SMALL_STATE(6297)] = 325301,
  [SMALL_STATE(6298)] = 325356,
  [SMALL_STATE(6299)] = 325397,
  [SMALL_STATE(6300)] = 325438,
  [SMALL_STATE(6301)] = 325479,
  [SMALL_STATE(6302)] = 325520,
  [SMALL_STATE(6303)] = 325561,
  [SMALL_STATE(6304)] = 325602,
  [SMALL_STATE(6305)] = 325643,
  [SMALL_STATE(6306)] = 325684,
  [SMALL_STATE(6307)] = 325725,
  [SMALL_STATE(6308)] = 325766,
  [SMALL_STATE(6309)] = 325811,
  [SMALL_STATE(6310)] = 325852,
  [SMALL_STATE(6311)] = 325893,
  [SMALL_STATE(6312)] = 325934,
  [SMALL_STATE(6313)] = 325975,
  [SMALL_STATE(6314)] = 326016,
  [SMALL_STATE(6315)] = 326057,
  [SMALL_STATE(6316)] = 326108,
  [SMALL_STATE(6317)] = 326149,
  [SMALL_STATE(6318)] = 326190,
  [SMALL_STATE(6319)] = 326235,
  [SMALL_STATE(6320)] = 326276,
  [SMALL_STATE(6321)] = 326319,
  [SMALL_STATE(6322)] = 326364,
  [SMALL_STATE(6323)] = 326405,
  [SMALL_STATE(6324)] = 326446,
  [SMALL_STATE(6325)] = 326493,
  [SMALL_STATE(6326)] = 326534,
  [SMALL_STATE(6327)] = 326575,
  [SMALL_STATE(6328)] = 326616,
  [SMALL_STATE(6329)] = 326657,
  [SMALL_STATE(6330)] = 326698,
  [SMALL_STATE(6331)] = 326739,
  [SMALL_STATE(6332)] = 326780,
  [SMALL_STATE(6333)] = 326821,
  [SMALL_STATE(6334)] = 326862,
  [SMALL_STATE(6335)] = 326903,
  [SMALL_STATE(6336)] = 326944,
  [SMALL_STATE(6337)] = 326985,
  [SMALL_STATE(6338)] = 327026,
  [SMALL_STATE(6339)] = 327067,
  [SMALL_STATE(6340)] = 327108,
  [SMALL_STATE(6341)] = 327149,
  [SMALL_STATE(6342)] = 327202,
  [SMALL_STATE(6343)] = 327243,
  [SMALL_STATE(6344)] = 327298,
  [SMALL_STATE(6345)] = 327339,
  [SMALL_STATE(6346)] = 327380,
  [SMALL_STATE(6347)] = 327421,
  [SMALL_STATE(6348)] = 327462,
  [SMALL_STATE(6349)] = 327505,
  [SMALL_STATE(6350)] = 327558,
  [SMALL_STATE(6351)] = 327605,
  [SMALL_STATE(6352)] = 327646,
  [SMALL_STATE(6353)] = 327687,
  [SMALL_STATE(6354)] = 327728,
  [SMALL_STATE(6355)] = 327769,
  [SMALL_STATE(6356)] = 327810,
  [SMALL_STATE(6357)] = 327855,
  [SMALL_STATE(6358)] = 327898,
  [SMALL_STATE(6359)] = 327939,
  [SMALL_STATE(6360)] = 327980,
  [SMALL_STATE(6361)] = 328023,
  [SMALL_STATE(6362)] = 328064,
  [SMALL_STATE(6363)] = 328115,
  [SMALL_STATE(6364)] = 328156,
  [SMALL_STATE(6365)] = 328209,
  [SMALL_STATE(6366)] = 328252,
  [SMALL_STATE(6367)] = 328293,
  [SMALL_STATE(6368)] = 328334,
  [SMALL_STATE(6369)] = 328375,
  [SMALL_STATE(6370)] = 328416,
  [SMALL_STATE(6371)] = 328457,
  [SMALL_STATE(6372)] = 328498,
  [SMALL_STATE(6373)] = 328539,
  [SMALL_STATE(6374)] = 328580,
  [SMALL_STATE(6375)] = 328621,
  [SMALL_STATE(6376)] = 328662,
  [SMALL_STATE(6377)] = 328703,
  [SMALL_STATE(6378)] = 328768,
  [SMALL_STATE(6379)] = 328809,
  [SMALL_STATE(6380)] = 328850,
  [SMALL_STATE(6381)] = 328891,
  [SMALL_STATE(6382)] = 328938,
  [SMALL_STATE(6383)] = 328979,
  [SMALL_STATE(6384)] = 329020,
  [SMALL_STATE(6385)] = 329061,
  [SMALL_STATE(6386)] = 329102,
  [SMALL_STATE(6387)] = 329143,
  [SMALL_STATE(6388)] = 329184,
  [SMALL_STATE(6389)] = 329227,
  [SMALL_STATE(6390)] = 329268,
  [SMALL_STATE(6391)] = 329309,
  [SMALL_STATE(6392)] = 329350,
  [SMALL_STATE(6393)] = 329393,
  [SMALL_STATE(6394)] = 329434,
  [SMALL_STATE(6395)] = 329475,
  [SMALL_STATE(6396)] = 329536,
  [SMALL_STATE(6397)] = 329577,
  [SMALL_STATE(6398)] = 329618,
  [SMALL_STATE(6399)] = 329659,
  [SMALL_STATE(6400)] = 329700,
  [SMALL_STATE(6401)] = 329741,
  [SMALL_STATE(6402)] = 329794,
  [SMALL_STATE(6403)] = 329835,
  [SMALL_STATE(6404)] = 329876,
  [SMALL_STATE(6405)] = 329929,
  [SMALL_STATE(6406)] = 329970,
  [SMALL_STATE(6407)] = 330013,
  [SMALL_STATE(6408)] = 330054,
  [SMALL_STATE(6409)] = 330107,
  [SMALL_STATE(6410)] = 330160,
  [SMALL_STATE(6411)] = 330201,
  [SMALL_STATE(6412)] = 330242,
  [SMALL_STATE(6413)] = 330283,
  [SMALL_STATE(6414)] = 330324,
  [SMALL_STATE(6415)] = 330367,
  [SMALL_STATE(6416)] = 330408,
  [SMALL_STATE(6417)] = 330449,
  [SMALL_STATE(6418)] = 330490,
  [SMALL_STATE(6419)] = 330531,
  [SMALL_STATE(6420)] = 330572,
  [SMALL_STATE(6421)] = 330613,
  [SMALL_STATE(6422)] = 330654,
  [SMALL_STATE(6423)] = 330697,
  [SMALL_STATE(6424)] = 330742,
  [SMALL_STATE(6425)] = 330783,
  [SMALL_STATE(6426)] = 330828,
  [SMALL_STATE(6427)] = 330885,
  [SMALL_STATE(6428)] = 330926,
  [SMALL_STATE(6429)] = 330981,
  [SMALL_STATE(6430)] = 331022,
  [SMALL_STATE(6431)] = 331087,
  [SMALL_STATE(6432)] = 331128,
  [SMALL_STATE(6433)] = 331189,
  [SMALL_STATE(6434)] = 331246,
  [SMALL_STATE(6435)] = 331297,
  [SMALL_STATE(6436)] = 331338,
  [SMALL_STATE(6437)] = 331379,
  [SMALL_STATE(6438)] = 331420,
  [SMALL_STATE(6439)] = 331461,
  [SMALL_STATE(6440)] = 331502,
  [SMALL_STATE(6441)] = 331567,
  [SMALL_STATE(6442)] = 331608,
  [SMALL_STATE(6443)] = 331653,
  [SMALL_STATE(6444)] = 331696,
  [SMALL_STATE(6445)] = 331743,
  [SMALL_STATE(6446)] = 331796,
  [SMALL_STATE(6447)] = 331861,
  [SMALL_STATE(6448)] = 331902,
  [SMALL_STATE(6449)] = 331967,
  [SMALL_STATE(6450)] = 332022,
  [SMALL_STATE(6451)] = 332087,
  [SMALL_STATE(6452)] = 332128,
  [SMALL_STATE(6453)] = 332171,
  [SMALL_STATE(6454)] = 332212,
  [SMALL_STATE(6455)] = 332253,
  [SMALL_STATE(6456)] = 332296,
  [SMALL_STATE(6457)] = 332337,
  [SMALL_STATE(6458)] = 332382,
  [SMALL_STATE(6459)] = 332439,
  [SMALL_STATE(6460)] = 332480,
  [SMALL_STATE(6461)] = 332521,
  [SMALL_STATE(6462)] = 332562,
  [SMALL_STATE(6463)] = 332603,
  [SMALL_STATE(6464)] = 332644,
  [SMALL_STATE(6465)] = 332685,
  [SMALL_STATE(6466)] = 332726,
  [SMALL_STATE(6467)] = 332777,
  [SMALL_STATE(6468)] = 332818,
  [SMALL_STATE(6469)] = 332861,
  [SMALL_STATE(6470)] = 332902,
  [SMALL_STATE(6471)] = 332943,
  [SMALL_STATE(6472)] = 332984,
  [SMALL_STATE(6473)] = 333025,
  [SMALL_STATE(6474)] = 333066,
  [SMALL_STATE(6475)] = 333107,
  [SMALL_STATE(6476)] = 333148,
  [SMALL_STATE(6477)] = 333189,
  [SMALL_STATE(6478)] = 333236,
  [SMALL_STATE(6479)] = 333283,
  [SMALL_STATE(6480)] = 333328,
  [SMALL_STATE(6481)] = 333369,
  [SMALL_STATE(6482)] = 333426,
  [SMALL_STATE(6483)] = 333491,
  [SMALL_STATE(6484)] = 333542,
  [SMALL_STATE(6485)] = 333593,
  [SMALL_STATE(6486)] = 333634,
  [SMALL_STATE(6487)] = 333685,
  [SMALL_STATE(6488)] = 333728,
  [SMALL_STATE(6489)] = 333769,
  [SMALL_STATE(6490)] = 333810,
  [SMALL_STATE(6491)] = 333875,
  [SMALL_STATE(6492)] = 333918,
  [SMALL_STATE(6493)] = 333959,
  [SMALL_STATE(6494)] = 334010,
  [SMALL_STATE(6495)] = 334051,
  [SMALL_STATE(6496)] = 334092,
  [SMALL_STATE(6497)] = 334157,
  [SMALL_STATE(6498)] = 334198,
  [SMALL_STATE(6499)] = 334239,
  [SMALL_STATE(6500)] = 334280,
  [SMALL_STATE(6501)] = 334321,
  [SMALL_STATE(6502)] = 334364,
  [SMALL_STATE(6503)] = 334405,
  [SMALL_STATE(6504)] = 334446,
  [SMALL_STATE(6505)] = 334491,
  [SMALL_STATE(6506)] = 334532,
  [SMALL_STATE(6507)] = 334579,
  [SMALL_STATE(6508)] = 334620,
  [SMALL_STATE(6509)] = 334661,
  [SMALL_STATE(6510)] = 334702,
  [SMALL_STATE(6511)] = 334743,
  [SMALL_STATE(6512)] = 334790,
  [SMALL_STATE(6513)] = 334833,
  [SMALL_STATE(6514)] = 334874,
  [SMALL_STATE(6515)] = 334915,
  [SMALL_STATE(6516)] = 334956,
  [SMALL_STATE(6517)] = 334997,
  [SMALL_STATE(6518)] = 335038,
  [SMALL_STATE(6519)] = 335079,
  [SMALL_STATE(6520)] = 335120,
  [SMALL_STATE(6521)] = 335163,
  [SMALL_STATE(6522)] = 335204,
  [SMALL_STATE(6523)] = 335247,
  [SMALL_STATE(6524)] = 335288,
  [SMALL_STATE(6525)] = 335331,
  [SMALL_STATE(6526)] = 335384,
  [SMALL_STATE(6527)] = 335425,
  [SMALL_STATE(6528)] = 335466,
  [SMALL_STATE(6529)] = 335507,
  [SMALL_STATE(6530)] = 335548,
  [SMALL_STATE(6531)] = 335589,
  [SMALL_STATE(6532)] = 335630,
  [SMALL_STATE(6533)] = 335675,
  [SMALL_STATE(6534)] = 335726,
  [SMALL_STATE(6535)] = 335771,
  [SMALL_STATE(6536)] = 335812,
  [SMALL_STATE(6537)] = 335859,
  [SMALL_STATE(6538)] = 335920,
  [SMALL_STATE(6539)] = 335963,
  [SMALL_STATE(6540)] = 336004,
  [SMALL_STATE(6541)] = 336051,
  [SMALL_STATE(6542)] = 336092,
  [SMALL_STATE(6543)] = 336133,
  [SMALL_STATE(6544)] = 336174,
  [SMALL_STATE(6545)] = 336215,
  [SMALL_STATE(6546)] = 336262,
  [SMALL_STATE(6547)] = 336303,
  [SMALL_STATE(6548)] = 336344,
  [SMALL_STATE(6549)] = 336385,
  [SMALL_STATE(6550)] = 336426,
  [SMALL_STATE(6551)] = 336467,
  [SMALL_STATE(6552)] = 336508,
  [SMALL_STATE(6553)] = 336549,
  [SMALL_STATE(6554)] = 336602,
  [SMALL_STATE(6555)] = 336667,
  [SMALL_STATE(6556)] = 336708,
  [SMALL_STATE(6557)] = 336751,
  [SMALL_STATE(6558)] = 336828,
  [SMALL_STATE(6559)] = 336869,
  [SMALL_STATE(6560)] = 336910,
  [SMALL_STATE(6561)] = 336967,
  [SMALL_STATE(6562)] = 337020,
  [SMALL_STATE(6563)] = 337061,
  [SMALL_STATE(6564)] = 337102,
  [SMALL_STATE(6565)] = 337155,
  [SMALL_STATE(6566)] = 337196,
  [SMALL_STATE(6567)] = 337239,
  [SMALL_STATE(6568)] = 337280,
  [SMALL_STATE(6569)] = 337325,
  [SMALL_STATE(6570)] = 337378,
  [SMALL_STATE(6571)] = 337419,
  [SMALL_STATE(6572)] = 337474,
  [SMALL_STATE(6573)] = 337515,
  [SMALL_STATE(6574)] = 337558,
  [SMALL_STATE(6575)] = 337599,
  [SMALL_STATE(6576)] = 337640,
  [SMALL_STATE(6577)] = 337683,
  [SMALL_STATE(6578)] = 337724,
  [SMALL_STATE(6579)] = 337767,
  [SMALL_STATE(6580)] = 337808,
  [SMALL_STATE(6581)] = 337849,
  [SMALL_STATE(6582)] = 337890,
  [SMALL_STATE(6583)] = 337955,
  [SMALL_STATE(6584)] = 337996,
  [SMALL_STATE(6585)] = 338037,
  [SMALL_STATE(6586)] = 338078,
  [SMALL_STATE(6587)] = 338123,
  [SMALL_STATE(6588)] = 338164,
  [SMALL_STATE(6589)] = 338217,
  [SMALL_STATE(6590)] = 338258,
  [SMALL_STATE(6591)] = 338303,
  [SMALL_STATE(6592)] = 338356,
  [SMALL_STATE(6593)] = 338397,
  [SMALL_STATE(6594)] = 338438,
  [SMALL_STATE(6595)] = 338481,
  [SMALL_STATE(6596)] = 338524,
  [SMALL_STATE(6597)] = 338565,
  [SMALL_STATE(6598)] = 338606,
  [SMALL_STATE(6599)] = 338647,
  [SMALL_STATE(6600)] = 338688,
  [SMALL_STATE(6601)] = 338729,
  [SMALL_STATE(6602)] = 338778,
  [SMALL_STATE(6603)] = 338827,
  [SMALL_STATE(6604)] = 338868,
  [SMALL_STATE(6605)] = 338909,
  [SMALL_STATE(6606)] = 338950,
  [SMALL_STATE(6607)] = 338991,
  [SMALL_STATE(6608)] = 339032,
  [SMALL_STATE(6609)] = 339073,
  [SMALL_STATE(6610)] = 339114,
  [SMALL_STATE(6611)] = 339155,
  [SMALL_STATE(6612)] = 339196,
  [SMALL_STATE(6613)] = 339237,
  [SMALL_STATE(6614)] = 339278,
  [SMALL_STATE(6615)] = 339319,
  [SMALL_STATE(6616)] = 339374,
  [SMALL_STATE(6617)] = 339439,
  [SMALL_STATE(6618)] = 339486,
  [SMALL_STATE(6619)] = 339539,
  [SMALL_STATE(6620)] = 339580,
  [SMALL_STATE(6621)] = 339621,
  [SMALL_STATE(6622)] = 339662,
  [SMALL_STATE(6623)] = 339705,
  [SMALL_STATE(6624)] = 339746,
  [SMALL_STATE(6625)] = 339787,
  [SMALL_STATE(6626)] = 339828,
  [SMALL_STATE(6627)] = 339869,
  [SMALL_STATE(6628)] = 339910,
  [SMALL_STATE(6629)] = 339953,
  [SMALL_STATE(6630)] = 339994,
  [SMALL_STATE(6631)] = 340035,
  [SMALL_STATE(6632)] = 340078,
  [SMALL_STATE(6633)] = 340119,
  [SMALL_STATE(6634)] = 340160,
  [SMALL_STATE(6635)] = 340205,
  [SMALL_STATE(6636)] = 340246,
  [SMALL_STATE(6637)] = 340287,
  [SMALL_STATE(6638)] = 340330,
  [SMALL_STATE(6639)] = 340371,
  [SMALL_STATE(6640)] = 340412,
  [SMALL_STATE(6641)] = 340453,
  [SMALL_STATE(6642)] = 340494,
  [SMALL_STATE(6643)] = 340535,
  [SMALL_STATE(6644)] = 340588,
  [SMALL_STATE(6645)] = 340629,
  [SMALL_STATE(6646)] = 340694,
  [SMALL_STATE(6647)] = 340735,
  [SMALL_STATE(6648)] = 340776,
  [SMALL_STATE(6649)] = 340819,
  [SMALL_STATE(6650)] = 340861,
  [SMALL_STATE(6651)] = 340921,
  [SMALL_STATE(6652)] = 340961,
  [SMALL_STATE(6653)] = 341003,
  [SMALL_STATE(6654)] = 341043,
  [SMALL_STATE(6655)] = 341085,
  [SMALL_STATE(6656)] = 341125,
  [SMALL_STATE(6657)] = 341165,
  [SMALL_STATE(6658)] = 341205,
  [SMALL_STATE(6659)] = 341245,
  [SMALL_STATE(6660)] = 341297,
  [SMALL_STATE(6661)] = 341337,
  [SMALL_STATE(6662)] = 341377,
  [SMALL_STATE(6663)] = 341417,
  [SMALL_STATE(6664)] = 341457,
  [SMALL_STATE(6665)] = 341497,
  [SMALL_STATE(6666)] = 341547,
  [SMALL_STATE(6667)] = 341587,
  [SMALL_STATE(6668)] = 341633,
  [SMALL_STATE(6669)] = 341673,
  [SMALL_STATE(6670)] = 341713,
  [SMALL_STATE(6671)] = 341753,
  [SMALL_STATE(6672)] = 341793,
  [SMALL_STATE(6673)] = 341833,
  [SMALL_STATE(6674)] = 341873,
  [SMALL_STATE(6675)] = 341913,
  [SMALL_STATE(6676)] = 341953,
  [SMALL_STATE(6677)] = 341993,
  [SMALL_STATE(6678)] = 342037,
  [SMALL_STATE(6679)] = 342077,
  [SMALL_STATE(6680)] = 342119,
  [SMALL_STATE(6681)] = 342159,
  [SMALL_STATE(6682)] = 342199,
  [SMALL_STATE(6683)] = 342239,
  [SMALL_STATE(6684)] = 342279,
  [SMALL_STATE(6685)] = 342331,
  [SMALL_STATE(6686)] = 342391,
  [SMALL_STATE(6687)] = 342431,
  [SMALL_STATE(6688)] = 342471,
  [SMALL_STATE(6689)] = 342511,
  [SMALL_STATE(6690)] = 342551,
  [SMALL_STATE(6691)] = 342593,
  [SMALL_STATE(6692)] = 342637,
  [SMALL_STATE(6693)] = 342677,
  [SMALL_STATE(6694)] = 342717,
  [SMALL_STATE(6695)] = 342757,
  [SMALL_STATE(6696)] = 342797,
  [SMALL_STATE(6697)] = 342837,
  [SMALL_STATE(6698)] = 342879,
  [SMALL_STATE(6699)] = 342919,
  [SMALL_STATE(6700)] = 342961,
  [SMALL_STATE(6701)] = 343001,
  [SMALL_STATE(6702)] = 343041,
  [SMALL_STATE(6703)] = 343081,
  [SMALL_STATE(6704)] = 343125,
  [SMALL_STATE(6705)] = 343165,
  [SMALL_STATE(6706)] = 343205,
  [SMALL_STATE(6707)] = 343251,
  [SMALL_STATE(6708)] = 343291,
  [SMALL_STATE(6709)] = 343335,
  [SMALL_STATE(6710)] = 343381,
  [SMALL_STATE(6711)] = 343421,
  [SMALL_STATE(6712)] = 343461,
  [SMALL_STATE(6713)] = 343501,
  [SMALL_STATE(6714)] = 343541,
  [SMALL_STATE(6715)] = 343587,
  [SMALL_STATE(6716)] = 343627,
  [SMALL_STATE(6717)] = 343667,
  [SMALL_STATE(6718)] = 343709,
  [SMALL_STATE(6719)] = 343749,
  [SMALL_STATE(6720)] = 343789,
  [SMALL_STATE(6721)] = 343829,
  [SMALL_STATE(6722)] = 343869,
  [SMALL_STATE(6723)] = 343909,
  [SMALL_STATE(6724)] = 343949,
  [SMALL_STATE(6725)] = 344019,
  [SMALL_STATE(6726)] = 344059,
  [SMALL_STATE(6727)] = 344101,
  [SMALL_STATE(6728)] = 344141,
  [SMALL_STATE(6729)] = 344211,
  [SMALL_STATE(6730)] = 344251,
  [SMALL_STATE(6731)] = 344309,
  [SMALL_STATE(6732)] = 344353,
  [SMALL_STATE(6733)] = 344393,
  [SMALL_STATE(6734)] = 344439,
  [SMALL_STATE(6735)] = 344481,
  [SMALL_STATE(6736)] = 344521,
  [SMALL_STATE(6737)] = 344579,
  [SMALL_STATE(6738)] = 344619,
  [SMALL_STATE(6739)] = 344659,
  [SMALL_STATE(6740)] = 344699,
  [SMALL_STATE(6741)] = 344743,
  [SMALL_STATE(6742)] = 344783,
  [SMALL_STATE(6743)] = 344827,
  [SMALL_STATE(6744)] = 344867,
  [SMALL_STATE(6745)] = 344907,
  [SMALL_STATE(6746)] = 344977,
  [SMALL_STATE(6747)] = 345023,
  [SMALL_STATE(6748)] = 345063,
  [SMALL_STATE(6749)] = 345103,
  [SMALL_STATE(6750)] = 345145,
  [SMALL_STATE(6751)] = 345185,
  [SMALL_STATE(6752)] = 345225,
  [SMALL_STATE(6753)] = 345265,
  [SMALL_STATE(6754)] = 345307,
  [SMALL_STATE(6755)] = 345347,
  [SMALL_STATE(6756)] = 345387,
  [SMALL_STATE(6757)] = 345427,
  [SMALL_STATE(6758)] = 345469,
  [SMALL_STATE(6759)] = 345509,
  [SMALL_STATE(6760)] = 345551,
  [SMALL_STATE(6761)] = 345591,
  [SMALL_STATE(6762)] = 345631,
  [SMALL_STATE(6763)] = 345671,
  [SMALL_STATE(6764)] = 345711,
  [SMALL_STATE(6765)] = 345761,
  [SMALL_STATE(6766)] = 345809,
  [SMALL_STATE(6767)] = 345849,
  [SMALL_STATE(6768)] = 345897,
  [SMALL_STATE(6769)] = 345937,
  [SMALL_STATE(6770)] = 345977,
  [SMALL_STATE(6771)] = 346017,
  [SMALL_STATE(6772)] = 346063,
  [SMALL_STATE(6773)] = 346103,
  [SMALL_STATE(6774)] = 346143,
  [SMALL_STATE(6775)] = 346183,
  [SMALL_STATE(6776)] = 346225,
  [SMALL_STATE(6777)] = 346265,
  [SMALL_STATE(6778)] = 346309,
  [SMALL_STATE(6779)] = 346349,
  [SMALL_STATE(6780)] = 346391,
  [SMALL_STATE(6781)] = 346431,
  [SMALL_STATE(6782)] = 346471,
  [SMALL_STATE(6783)] = 346521,
  [SMALL_STATE(6784)] = 346567,
  [SMALL_STATE(6785)] = 346609,
  [SMALL_STATE(6786)] = 346649,
  [SMALL_STATE(6787)] = 346689,
  [SMALL_STATE(6788)] = 346733,
  [SMALL_STATE(6789)] = 346773,
  [SMALL_STATE(6790)] = 346813,
  [SMALL_STATE(6791)] = 346855,
  [SMALL_STATE(6792)] = 346895,
  [SMALL_STATE(6793)] = 346935,
  [SMALL_STATE(6794)] = 346975,
  [SMALL_STATE(6795)] = 347015,
  [SMALL_STATE(6796)] = 347055,
  [SMALL_STATE(6797)] = 347095,
  [SMALL_STATE(6798)] = 347135,
  [SMALL_STATE(6799)] = 347175,
  [SMALL_STATE(6800)] = 347229,
  [SMALL_STATE(6801)] = 347269,
  [SMALL_STATE(6802)] = 347311,
  [SMALL_STATE(6803)] = 347365,
  [SMALL_STATE(6804)] = 347405,
  [SMALL_STATE(6805)] = 347449,
  [SMALL_STATE(6806)] = 347489,
  [SMALL_STATE(6807)] = 347529,
  [SMALL_STATE(6808)] = 347575,
  [SMALL_STATE(6809)] = 347615,
  [SMALL_STATE(6810)] = 347655,
  [SMALL_STATE(6811)] = 347695,
  [SMALL_STATE(6812)] = 347737,
  [SMALL_STATE(6813)] = 347777,
  [SMALL_STATE(6814)] = 347817,
  [SMALL_STATE(6815)] = 347857,
  [SMALL_STATE(6816)] = 347897,
  [SMALL_STATE(6817)] = 347937,
  [SMALL_STATE(6818)] = 347977,
  [SMALL_STATE(6819)] = 348019,
  [SMALL_STATE(6820)] = 348059,
  [SMALL_STATE(6821)] = 348103,
  [SMALL_STATE(6822)] = 348143,
  [SMALL_STATE(6823)] = 348183,
  [SMALL_STATE(6824)] = 348223,
  [SMALL_STATE(6825)] = 348263,
  [SMALL_STATE(6826)] = 348303,
  [SMALL_STATE(6827)] = 348343,
  [SMALL_STATE(6828)] = 348383,
  [SMALL_STATE(6829)] = 348423,
  [SMALL_STATE(6830)] = 348463,
  [SMALL_STATE(6831)] = 348503,
  [SMALL_STATE(6832)] = 348543,
  [SMALL_STATE(6833)] = 348583,
  [SMALL_STATE(6834)] = 348623,
  [SMALL_STATE(6835)] = 348663,
  [SMALL_STATE(6836)] = 348703,
  [SMALL_STATE(6837)] = 348743,
  [SMALL_STATE(6838)] = 348783,
  [SMALL_STATE(6839)] = 348823,
  [SMALL_STATE(6840)] = 348863,
  [SMALL_STATE(6841)] = 348917,
  [SMALL_STATE(6842)] = 348965,
  [SMALL_STATE(6843)] = 349005,
  [SMALL_STATE(6844)] = 349045,
  [SMALL_STATE(6845)] = 349085,
  [SMALL_STATE(6846)] = 349125,
  [SMALL_STATE(6847)] = 349165,
  [SMALL_STATE(6848)] = 349205,
  [SMALL_STATE(6849)] = 349245,
  [SMALL_STATE(6850)] = 349285,
  [SMALL_STATE(6851)] = 349325,
  [SMALL_STATE(6852)] = 349365,
  [SMALL_STATE(6853)] = 349407,
  [SMALL_STATE(6854)] = 349447,
  [SMALL_STATE(6855)] = 349487,
  [SMALL_STATE(6856)] = 349533,
  [SMALL_STATE(6857)] = 349573,
  [SMALL_STATE(6858)] = 349613,
  [SMALL_STATE(6859)] = 349653,
  [SMALL_STATE(6860)] = 349695,
  [SMALL_STATE(6861)] = 349735,
  [SMALL_STATE(6862)] = 349775,
  [SMALL_STATE(6863)] = 349821,
  [SMALL_STATE(6864)] = 349861,
  [SMALL_STATE(6865)] = 349901,
  [SMALL_STATE(6866)] = 349957,
  [SMALL_STATE(6867)] = 350003,
  [SMALL_STATE(6868)] = 350049,
  [SMALL_STATE(6869)] = 350089,
  [SMALL_STATE(6870)] = 350129,
  [SMALL_STATE(6871)] = 350169,
  [SMALL_STATE(6872)] = 350211,
  [SMALL_STATE(6873)] = 350251,
  [SMALL_STATE(6874)] = 350291,
  [SMALL_STATE(6875)] = 350333,
  [SMALL_STATE(6876)] = 350373,
  [SMALL_STATE(6877)] = 350413,
  [SMALL_STATE(6878)] = 350455,
  [SMALL_STATE(6879)] = 350499,
  [SMALL_STATE(6880)] = 350541,
  [SMALL_STATE(6881)] = 350581,
  [SMALL_STATE(6882)] = 350623,
  [SMALL_STATE(6883)] = 350663,
  [SMALL_STATE(6884)] = 350703,
  [SMALL_STATE(6885)] = 350743,
  [SMALL_STATE(6886)] = 350783,
  [SMALL_STATE(6887)] = 350823,
  [SMALL_STATE(6888)] = 350863,
  [SMALL_STATE(6889)] = 350903,
  [SMALL_STATE(6890)] = 350943,
  [SMALL_STATE(6891)] = 350983,
  [SMALL_STATE(6892)] = 351023,
  [SMALL_STATE(6893)] = 351063,
  [SMALL_STATE(6894)] = 351105,
  [SMALL_STATE(6895)] = 351149,
  [SMALL_STATE(6896)] = 351189,
  [SMALL_STATE(6897)] = 351229,
  [SMALL_STATE(6898)] = 351269,
  [SMALL_STATE(6899)] = 351309,
  [SMALL_STATE(6900)] = 351349,
  [SMALL_STATE(6901)] = 351389,
  [SMALL_STATE(6902)] = 351429,
  [SMALL_STATE(6903)] = 351489,
  [SMALL_STATE(6904)] = 351529,
  [SMALL_STATE(6905)] = 351569,
  [SMALL_STATE(6906)] = 351613,
  [SMALL_STATE(6907)] = 351653,
  [SMALL_STATE(6908)] = 351713,
  [SMALL_STATE(6909)] = 351753,
  [SMALL_STATE(6910)] = 351795,
  [SMALL_STATE(6911)] = 351839,
  [SMALL_STATE(6912)] = 351879,
  [SMALL_STATE(6913)] = 351919,
  [SMALL_STATE(6914)] = 351961,
  [SMALL_STATE(6915)] = 352001,
  [SMALL_STATE(6916)] = 352045,
  [SMALL_STATE(6917)] = 352085,
  [SMALL_STATE(6918)] = 352125,
  [SMALL_STATE(6919)] = 352165,
  [SMALL_STATE(6920)] = 352205,
  [SMALL_STATE(6921)] = 352247,
  [SMALL_STATE(6922)] = 352287,
  [SMALL_STATE(6923)] = 352341,
  [SMALL_STATE(6924)] = 352387,
  [SMALL_STATE(6925)] = 352427,
  [SMALL_STATE(6926)] = 352479,
  [SMALL_STATE(6927)] = 352519,
  [SMALL_STATE(6928)] = 352559,
  [SMALL_STATE(6929)] = 352599,
  [SMALL_STATE(6930)] = 352663,
  [SMALL_STATE(6931)] = 352703,
  [SMALL_STATE(6932)] = 352773,
  [SMALL_STATE(6933)] = 352813,
  [SMALL_STATE(6934)] = 352853,
  [SMALL_STATE(6935)] = 352893,
  [SMALL_STATE(6936)] = 352963,
  [SMALL_STATE(6937)] = 353003,
  [SMALL_STATE(6938)] = 353043,
  [SMALL_STATE(6939)] = 353083,
  [SMALL_STATE(6940)] = 353137,
  [SMALL_STATE(6941)] = 353177,
  [SMALL_STATE(6942)] = 353217,
  [SMALL_STATE(6943)] = 353257,
  [SMALL_STATE(6944)] = 353297,
  [SMALL_STATE(6945)] = 353339,
  [SMALL_STATE(6946)] = 353379,
  [SMALL_STATE(6947)] = 353419,
  [SMALL_STATE(6948)] = 353465,
  [SMALL_STATE(6949)] = 353509,
  [SMALL_STATE(6950)] = 353561,
  [SMALL_STATE(6951)] = 353631,
  [SMALL_STATE(6952)] = 353671,
  [SMALL_STATE(6953)] = 353711,
  [SMALL_STATE(6954)] = 353751,
  [SMALL_STATE(6955)] = 353805,
  [SMALL_STATE(6956)] = 353875,
  [SMALL_STATE(6957)] = 353915,
  [SMALL_STATE(6958)] = 353955,
  [SMALL_STATE(6959)] = 353995,
  [SMALL_STATE(6960)] = 354035,
  [SMALL_STATE(6961)] = 354075,
  [SMALL_STATE(6962)] = 354115,
  [SMALL_STATE(6963)] = 354155,
  [SMALL_STATE(6964)] = 354195,
  [SMALL_STATE(6965)] = 354235,
  [SMALL_STATE(6966)] = 354287,
  [SMALL_STATE(6967)] = 354347,
  [SMALL_STATE(6968)] = 354387,
  [SMALL_STATE(6969)] = 354427,
  [SMALL_STATE(6970)] = 354467,
  [SMALL_STATE(6971)] = 354507,
  [SMALL_STATE(6972)] = 354577,
  [SMALL_STATE(6973)] = 354623,
  [SMALL_STATE(6974)] = 354665,
  [SMALL_STATE(6975)] = 354705,
  [SMALL_STATE(6976)] = 354745,
  [SMALL_STATE(6977)] = 354785,
  [SMALL_STATE(6978)] = 354855,
  [SMALL_STATE(6979)] = 354895,
  [SMALL_STATE(6980)] = 354935,
  [SMALL_STATE(6981)] = 354975,
  [SMALL_STATE(6982)] = 355015,
  [SMALL_STATE(6983)] = 355055,
  [SMALL_STATE(6984)] = 355095,
  [SMALL_STATE(6985)] = 355135,
  [SMALL_STATE(6986)] = 355175,
  [SMALL_STATE(6987)] = 355217,
  [SMALL_STATE(6988)] = 355281,
  [SMALL_STATE(6989)] = 355321,
  [SMALL_STATE(6990)] = 355361,
  [SMALL_STATE(6991)] = 355421,
  [SMALL_STATE(6992)] = 355461,
  [SMALL_STATE(6993)] = 355513,
  [SMALL_STATE(6994)] = 355553,
  [SMALL_STATE(6995)] = 355593,
  [SMALL_STATE(6996)] = 355633,
  [SMALL_STATE(6997)] = 355673,
  [SMALL_STATE(6998)] = 355713,
  [SMALL_STATE(6999)] = 355753,
  [SMALL_STATE(7000)] = 355793,
  [SMALL_STATE(7001)] = 355833,
  [SMALL_STATE(7002)] = 355875,
  [SMALL_STATE(7003)] = 355915,
  [SMALL_STATE(7004)] = 355955,
  [SMALL_STATE(7005)] = 355997,
  [SMALL_STATE(7006)] = 356041,
  [SMALL_STATE(7007)] = 356081,
  [SMALL_STATE(7008)] = 356121,
  [SMALL_STATE(7009)] = 356171,
  [SMALL_STATE(7010)] = 356211,
  [SMALL_STATE(7011)] = 356251,
  [SMALL_STATE(7012)] = 356291,
  [SMALL_STATE(7013)] = 356331,
  [SMALL_STATE(7014)] = 356373,
  [SMALL_STATE(7015)] = 356413,
  [SMALL_STATE(7016)] = 356457,
  [SMALL_STATE(7017)] = 356517,
  [SMALL_STATE(7018)] = 356557,
  [SMALL_STATE(7019)] = 356597,
  [SMALL_STATE(7020)] = 356661,
  [SMALL_STATE(7021)] = 356701,
  [SMALL_STATE(7022)] = 356741,
  [SMALL_STATE(7023)] = 356791,
  [SMALL_STATE(7024)] = 356831,
  [SMALL_STATE(7025)] = 356871,
  [SMALL_STATE(7026)] = 356937,
  [SMALL_STATE(7027)] = 356979,
  [SMALL_STATE(7028)] = 357033,
  [SMALL_STATE(7029)] = 357073,
  [SMALL_STATE(7030)] = 357119,
  [SMALL_STATE(7031)] = 357159,
  [SMALL_STATE(7032)] = 357199,
  [SMALL_STATE(7033)] = 357239,
  [SMALL_STATE(7034)] = 357281,
  [SMALL_STATE(7035)] = 357329,
  [SMALL_STATE(7036)] = 357373,
  [SMALL_STATE(7037)] = 357427,
  [SMALL_STATE(7038)] = 357467,
  [SMALL_STATE(7039)] = 357519,
  [SMALL_STATE(7040)] = 357559,
  [SMALL_STATE(7041)] = 357599,
  [SMALL_STATE(7042)] = 357639,
  [SMALL_STATE(7043)] = 357709,
  [SMALL_STATE(7044)] = 357749,
  [SMALL_STATE(7045)] = 357789,
  [SMALL_STATE(7046)] = 357829,
  [SMALL_STATE(7047)] = 357899,
  [SMALL_STATE(7048)] = 357939,
  [SMALL_STATE(7049)] = 357979,
  [SMALL_STATE(7050)] = 358019,
  [SMALL_STATE(7051)] = 358059,
  [SMALL_STATE(7052)] = 358105,
  [SMALL_STATE(7053)] = 358145,
  [SMALL_STATE(7054)] = 358185,
  [SMALL_STATE(7055)] = 358225,
  [SMALL_STATE(7056)] = 358265,
  [SMALL_STATE(7057)] = 358305,
  [SMALL_STATE(7058)] = 358345,
  [SMALL_STATE(7059)] = 358385,
  [SMALL_STATE(7060)] = 358425,
  [SMALL_STATE(7061)] = 358471,
  [SMALL_STATE(7062)] = 358511,
  [SMALL_STATE(7063)] = 358551,
  [SMALL_STATE(7064)] = 358591,
  [SMALL_STATE(7065)] = 358631,
  [SMALL_STATE(7066)] = 358671,
  [SMALL_STATE(7067)] = 358711,
  [SMALL_STATE(7068)] = 358751,
  [SMALL_STATE(7069)] = 358791,
  [SMALL_STATE(7070)] = 358831,
  [SMALL_STATE(7071)] = 358871,
  [SMALL_STATE(7072)] = 358911,
  [SMALL_STATE(7073)] = 358955,
  [SMALL_STATE(7074)] = 359007,
  [SMALL_STATE(7075)] = 359051,
  [SMALL_STATE(7076)] = 359091,
  [SMALL_STATE(7077)] = 359131,
  [SMALL_STATE(7078)] = 359175,
  [SMALL_STATE(7079)] = 359215,
  [SMALL_STATE(7080)] = 359257,
  [SMALL_STATE(7081)] = 359297,
  [SMALL_STATE(7082)] = 359337,
  [SMALL_STATE(7083)] = 359379,
  [SMALL_STATE(7084)] = 359425,
  [SMALL_STATE(7085)] = 359467,
  [SMALL_STATE(7086)] = 359513,
  [SMALL_STATE(7087)] = 359553,
  [SMALL_STATE(7088)] = 359593,
  [SMALL_STATE(7089)] = 359657,
  [SMALL_STATE(7090)] = 359697,
  [SMALL_STATE(7091)] = 359753,
  [SMALL_STATE(7092)] = 359793,
  [SMALL_STATE(7093)] = 359833,
  [SMALL_STATE(7094)] = 359873,
  [SMALL_STATE(7095)] = 359913,
  [SMALL_STATE(7096)] = 359959,
  [SMALL_STATE(7097)] = 360001,
  [SMALL_STATE(7098)] = 360041,
  [SMALL_STATE(7099)] = 360081,
  [SMALL_STATE(7100)] = 360121,
  [SMALL_STATE(7101)] = 360161,
  [SMALL_STATE(7102)] = 360201,
  [SMALL_STATE(7103)] = 360241,
  [SMALL_STATE(7104)] = 360281,
  [SMALL_STATE(7105)] = 360325,
  [SMALL_STATE(7106)] = 360365,
  [SMALL_STATE(7107)] = 360407,
  [SMALL_STATE(7108)] = 360453,
  [SMALL_STATE(7109)] = 360501,
  [SMALL_STATE(7110)] = 360541,
  [SMALL_STATE(7111)] = 360595,
  [SMALL_STATE(7112)] = 360635,
  [SMALL_STATE(7113)] = 360675,
  [SMALL_STATE(7114)] = 360729,
  [SMALL_STATE(7115)] = 360769,
  [SMALL_STATE(7116)] = 360809,
  [SMALL_STATE(7117)] = 360853,
  [SMALL_STATE(7118)] = 360893,
  [SMALL_STATE(7119)] = 360933,
  [SMALL_STATE(7120)] = 360973,
  [SMALL_STATE(7121)] = 361023,
  [SMALL_STATE(7122)] = 361063,
  [SMALL_STATE(7123)] = 361103,
  [SMALL_STATE(7124)] = 361143,
  [SMALL_STATE(7125)] = 361183,
  [SMALL_STATE(7126)] = 361225,
  [SMALL_STATE(7127)] = 361265,
  [SMALL_STATE(7128)] = 361329,
  [SMALL_STATE(7129)] = 361369,
  [SMALL_STATE(7130)] = 361409,
  [SMALL_STATE(7131)] = 361473,
  [SMALL_STATE(7132)] = 361513,
  [SMALL_STATE(7133)] = 361563,
  [SMALL_STATE(7134)] = 361603,
  [SMALL_STATE(7135)] = 361643,
  [SMALL_STATE(7136)] = 361685,
  [SMALL_STATE(7137)] = 361725,
  [SMALL_STATE(7138)] = 361765,
  [SMALL_STATE(7139)] = 361805,
  [SMALL_STATE(7140)] = 361845,
  [SMALL_STATE(7141)] = 361889,
  [SMALL_STATE(7142)] = 361929,
  [SMALL_STATE(7143)] = 361969,
  [SMALL_STATE(7144)] = 362009,
  [SMALL_STATE(7145)] = 362049,
  [SMALL_STATE(7146)] = 362089,
  [SMALL_STATE(7147)] = 362129,
  [SMALL_STATE(7148)] = 362169,
  [SMALL_STATE(7149)] = 362209,
  [SMALL_STATE(7150)] = 362249,
  [SMALL_STATE(7151)] = 362289,
  [SMALL_STATE(7152)] = 362329,
  [SMALL_STATE(7153)] = 362371,
  [SMALL_STATE(7154)] = 362411,
  [SMALL_STATE(7155)] = 362475,
  [SMALL_STATE(7156)] = 362539,
  [SMALL_STATE(7157)] = 362585,
  [SMALL_STATE(7158)] = 362625,
  [SMALL_STATE(7159)] = 362665,
  [SMALL_STATE(7160)] = 362719,
  [SMALL_STATE(7161)] = 362761,
  [SMALL_STATE(7162)] = 362801,
  [SMALL_STATE(7163)] = 362845,
  [SMALL_STATE(7164)] = 362885,
  [SMALL_STATE(7165)] = 362925,
  [SMALL_STATE(7166)] = 362989,
  [SMALL_STATE(7167)] = 363059,
  [SMALL_STATE(7168)] = 363099,
  [SMALL_STATE(7169)] = 363139,
  [SMALL_STATE(7170)] = 363179,
  [SMALL_STATE(7171)] = 363219,
  [SMALL_STATE(7172)] = 363259,
  [SMALL_STATE(7173)] = 363329,
  [SMALL_STATE(7174)] = 363369,
  [SMALL_STATE(7175)] = 363409,
  [SMALL_STATE(7176)] = 363449,
  [SMALL_STATE(7177)] = 363489,
  [SMALL_STATE(7178)] = 363529,
  [SMALL_STATE(7179)] = 363569,
  [SMALL_STATE(7180)] = 363609,
  [SMALL_STATE(7181)] = 363649,
  [SMALL_STATE(7182)] = 363689,
  [SMALL_STATE(7183)] = 363729,
  [SMALL_STATE(7184)] = 363769,
  [SMALL_STATE(7185)] = 363809,
  [SMALL_STATE(7186)] = 363849,
  [SMALL_STATE(7187)] = 363889,
  [SMALL_STATE(7188)] = 363929,
  [SMALL_STATE(7189)] = 363973,
  [SMALL_STATE(7190)] = 364013,
  [SMALL_STATE(7191)] = 364067,
  [SMALL_STATE(7192)] = 364107,
  [SMALL_STATE(7193)] = 364153,
  [SMALL_STATE(7194)] = 364195,
  [SMALL_STATE(7195)] = 364235,
  [SMALL_STATE(7196)] = 364275,
  [SMALL_STATE(7197)] = 364315,
  [SMALL_STATE(7198)] = 364355,
  [SMALL_STATE(7199)] = 364395,
  [SMALL_STATE(7200)] = 364435,
  [SMALL_STATE(7201)] = 364475,
  [SMALL_STATE(7202)] = 364515,
  [SMALL_STATE(7203)] = 364555,
  [SMALL_STATE(7204)] = 364595,
  [SMALL_STATE(7205)] = 364635,
  [SMALL_STATE(7206)] = 364675,
  [SMALL_STATE(7207)] = 364715,
  [SMALL_STATE(7208)] = 364755,
  [SMALL_STATE(7209)] = 364795,
  [SMALL_STATE(7210)] = 364835,
  [SMALL_STATE(7211)] = 364875,
  [SMALL_STATE(7212)] = 364925,
  [SMALL_STATE(7213)] = 364967,
  [SMALL_STATE(7214)] = 365007,
  [SMALL_STATE(7215)] = 365047,
  [SMALL_STATE(7216)] = 365087,
  [SMALL_STATE(7217)] = 365127,
  [SMALL_STATE(7218)] = 365167,
  [SMALL_STATE(7219)] = 365219,
  [SMALL_STATE(7220)] = 365261,
  [SMALL_STATE(7221)] = 365321,
  [SMALL_STATE(7222)] = 365361,
  [SMALL_STATE(7223)] = 365401,
  [SMALL_STATE(7224)] = 365441,
  [SMALL_STATE(7225)] = 365493,
  [SMALL_STATE(7226)] = 365533,
  [SMALL_STATE(7227)] = 365573,
  [SMALL_STATE(7228)] = 365613,
  [SMALL_STATE(7229)] = 365653,
  [SMALL_STATE(7230)] = 365693,
  [SMALL_STATE(7231)] = 365733,
  [SMALL_STATE(7232)] = 365773,
  [SMALL_STATE(7233)] = 365813,
  [SMALL_STATE(7234)] = 365853,
  [SMALL_STATE(7235)] = 365891,
  [SMALL_STATE(7236)] = 365931,
  [SMALL_STATE(7237)] = 365971,
  [SMALL_STATE(7238)] = 366011,
  [SMALL_STATE(7239)] = 366055,
  [SMALL_STATE(7240)] = 366095,
  [SMALL_STATE(7241)] = 366135,
  [SMALL_STATE(7242)] = 366175,
  [SMALL_STATE(7243)] = 366215,
  [SMALL_STATE(7244)] = 366255,
  [SMALL_STATE(7245)] = 366309,
  [SMALL_STATE(7246)] = 366349,
  [SMALL_STATE(7247)] = 366389,
  [SMALL_STATE(7248)] = 366429,
  [SMALL_STATE(7249)] = 366471,
  [SMALL_STATE(7250)] = 366511,
  [SMALL_STATE(7251)] = 366551,
  [SMALL_STATE(7252)] = 366591,
  [SMALL_STATE(7253)] = 366631,
  [SMALL_STATE(7254)] = 366671,
  [SMALL_STATE(7255)] = 366711,
  [SMALL_STATE(7256)] = 366763,
  [SMALL_STATE(7257)] = 366801,
  [SMALL_STATE(7258)] = 366841,
  [SMALL_STATE(7259)] = 366881,
  [SMALL_STATE(7260)] = 366921,
  [SMALL_STATE(7261)] = 366961,
  [SMALL_STATE(7262)] = 367005,
  [SMALL_STATE(7263)] = 367049,
  [SMALL_STATE(7264)] = 367089,
  [SMALL_STATE(7265)] = 367129,
  [SMALL_STATE(7266)] = 367169,
  [SMALL_STATE(7267)] = 367209,
  [SMALL_STATE(7268)] = 367255,
  [SMALL_STATE(7269)] = 367295,
  [SMALL_STATE(7270)] = 367347,
  [SMALL_STATE(7271)] = 367387,
  [SMALL_STATE(7272)] = 367427,
  [SMALL_STATE(7273)] = 367467,
  [SMALL_STATE(7274)] = 367531,
  [SMALL_STATE(7275)] = 367571,
  [SMALL_STATE(7276)] = 367609,
  [SMALL_STATE(7277)] = 367649,
  [SMALL_STATE(7278)] = 367689,
  [SMALL_STATE(7279)] = 367729,
  [SMALL_STATE(7280)] = 367769,
  [SMALL_STATE(7281)] = 367809,
  [SMALL_STATE(7282)] = 367853,
  [SMALL_STATE(7283)] = 367893,
  [SMALL_STATE(7284)] = 367933,
  [SMALL_STATE(7285)] = 367975,
  [SMALL_STATE(7286)] = 368015,
  [SMALL_STATE(7287)] = 368055,
  [SMALL_STATE(7288)] = 368097,
  [SMALL_STATE(7289)] = 368137,
  [SMALL_STATE(7290)] = 368177,
  [SMALL_STATE(7291)] = 368217,
  [SMALL_STATE(7292)] = 368257,
  [SMALL_STATE(7293)] = 368297,
  [SMALL_STATE(7294)] = 368337,
  [SMALL_STATE(7295)] = 368389,
  [SMALL_STATE(7296)] = 368429,
  [SMALL_STATE(7297)] = 368469,
  [SMALL_STATE(7298)] = 368509,
  [SMALL_STATE(7299)] = 368549,
  [SMALL_STATE(7300)] = 368589,
  [SMALL_STATE(7301)] = 368629,
  [SMALL_STATE(7302)] = 368669,
  [SMALL_STATE(7303)] = 368713,
  [SMALL_STATE(7304)] = 368777,
  [SMALL_STATE(7305)] = 368817,
  [SMALL_STATE(7306)] = 368857,
  [SMALL_STATE(7307)] = 368921,
  [SMALL_STATE(7308)] = 368961,
  [SMALL_STATE(7309)] = 369001,
  [SMALL_STATE(7310)] = 369041,
  [SMALL_STATE(7311)] = 369081,
  [SMALL_STATE(7312)] = 369121,
  [SMALL_STATE(7313)] = 369161,
  [SMALL_STATE(7314)] = 369201,
  [SMALL_STATE(7315)] = 369251,
  [SMALL_STATE(7316)] = 369291,
  [SMALL_STATE(7317)] = 369331,
  [SMALL_STATE(7318)] = 369377,
  [SMALL_STATE(7319)] = 369417,
  [SMALL_STATE(7320)] = 369457,
  [SMALL_STATE(7321)] = 369497,
  [SMALL_STATE(7322)] = 369541,
  [SMALL_STATE(7323)] = 369581,
  [SMALL_STATE(7324)] = 369621,
  [SMALL_STATE(7325)] = 369685,
  [SMALL_STATE(7326)] = 369725,
  [SMALL_STATE(7327)] = 369765,
  [SMALL_STATE(7328)] = 369811,
  [SMALL_STATE(7329)] = 369851,
  [SMALL_STATE(7330)] = 369897,
  [SMALL_STATE(7331)] = 369937,
  [SMALL_STATE(7332)] = 369991,
  [SMALL_STATE(7333)] = 370031,
  [SMALL_STATE(7334)] = 370071,
  [SMALL_STATE(7335)] = 370111,
  [SMALL_STATE(7336)] = 370151,
  [SMALL_STATE(7337)] = 370191,
  [SMALL_STATE(7338)] = 370231,
  [SMALL_STATE(7339)] = 370271,
  [SMALL_STATE(7340)] = 370311,
  [SMALL_STATE(7341)] = 370351,
  [SMALL_STATE(7342)] = 370391,
  [SMALL_STATE(7343)] = 370431,
  [SMALL_STATE(7344)] = 370471,
  [SMALL_STATE(7345)] = 370513,
  [SMALL_STATE(7346)] = 370559,
  [SMALL_STATE(7347)] = 370599,
  [SMALL_STATE(7348)] = 370639,
  [SMALL_STATE(7349)] = 370679,
  [SMALL_STATE(7350)] = 370723,
  [SMALL_STATE(7351)] = 370763,
  [SMALL_STATE(7352)] = 370803,
  [SMALL_STATE(7353)] = 370847,
  [SMALL_STATE(7354)] = 370887,
  [SMALL_STATE(7355)] = 370927,
  [SMALL_STATE(7356)] = 370967,
  [SMALL_STATE(7357)] = 371019,
  [SMALL_STATE(7358)] = 371059,
  [SMALL_STATE(7359)] = 371099,
  [SMALL_STATE(7360)] = 371139,
  [SMALL_STATE(7361)] = 371179,
  [SMALL_STATE(7362)] = 371219,
  [SMALL_STATE(7363)] = 371259,
  [SMALL_STATE(7364)] = 371301,
  [SMALL_STATE(7365)] = 371340,
  [SMALL_STATE(7366)] = 371397,
  [SMALL_STATE(7367)] = 371438,
  [SMALL_STATE(7368)] = 371477,
  [SMALL_STATE(7369)] = 371538,
  [SMALL_STATE(7370)] = 371577,
  [SMALL_STATE(7371)] = 371616,
  [SMALL_STATE(7372)] = 371661,
  [SMALL_STATE(7373)] = 371700,
  [SMALL_STATE(7374)] = 371739,
  [SMALL_STATE(7375)] = 371800,
  [SMALL_STATE(7376)] = 371841,
  [SMALL_STATE(7377)] = 371880,
  [SMALL_STATE(7378)] = 371921,
  [SMALL_STATE(7379)] = 371966,
  [SMALL_STATE(7380)] = 372009,
  [SMALL_STATE(7381)] = 372046,
  [SMALL_STATE(7382)] = 372085,
  [SMALL_STATE(7383)] = 372124,
  [SMALL_STATE(7384)] = 372165,
  [SMALL_STATE(7385)] = 372204,
  [SMALL_STATE(7386)] = 372243,
  [SMALL_STATE(7387)] = 372284,
  [SMALL_STATE(7388)] = 372347,
  [SMALL_STATE(7389)] = 372386,
  [SMALL_STATE(7390)] = 372447,
  [SMALL_STATE(7391)] = 372488,
  [SMALL_STATE(7392)] = 372527,
  [SMALL_STATE(7393)] = 372566,
  [SMALL_STATE(7394)] = 372605,
  [SMALL_STATE(7395)] = 372644,
  [SMALL_STATE(7396)] = 372685,
  [SMALL_STATE(7397)] = 372724,
  [SMALL_STATE(7398)] = 372785,
  [SMALL_STATE(7399)] = 372824,
  [SMALL_STATE(7400)] = 372863,
  [SMALL_STATE(7401)] = 372902,
  [SMALL_STATE(7402)] = 372941,
  [SMALL_STATE(7403)] = 372980,
  [SMALL_STATE(7404)] = 373019,
  [SMALL_STATE(7405)] = 373086,
  [SMALL_STATE(7406)] = 373125,
  [SMALL_STATE(7407)] = 373164,
  [SMALL_STATE(7408)] = 373215,
  [SMALL_STATE(7409)] = 373254,
  [SMALL_STATE(7410)] = 373293,
  [SMALL_STATE(7411)] = 373332,
  [SMALL_STATE(7412)] = 373371,
  [SMALL_STATE(7413)] = 373432,
  [SMALL_STATE(7414)] = 373471,
  [SMALL_STATE(7415)] = 373510,
  [SMALL_STATE(7416)] = 373549,
  [SMALL_STATE(7417)] = 373588,
  [SMALL_STATE(7418)] = 373627,
  [SMALL_STATE(7419)] = 373688,
  [SMALL_STATE(7420)] = 373727,
  [SMALL_STATE(7421)] = 373766,
  [SMALL_STATE(7422)] = 373805,
  [SMALL_STATE(7423)] = 373866,
  [SMALL_STATE(7424)] = 373905,
  [SMALL_STATE(7425)] = 373966,
  [SMALL_STATE(7426)] = 374005,
  [SMALL_STATE(7427)] = 374044,
  [SMALL_STATE(7428)] = 374083,
  [SMALL_STATE(7429)] = 374122,
  [SMALL_STATE(7430)] = 374161,
  [SMALL_STATE(7431)] = 374200,
  [SMALL_STATE(7432)] = 374261,
  [SMALL_STATE(7433)] = 374300,
  [SMALL_STATE(7434)] = 374341,
  [SMALL_STATE(7435)] = 374402,
  [SMALL_STATE(7436)] = 374441,
  [SMALL_STATE(7437)] = 374480,
  [SMALL_STATE(7438)] = 374519,
  [SMALL_STATE(7439)] = 374558,
  [SMALL_STATE(7440)] = 374597,
  [SMALL_STATE(7441)] = 374636,
  [SMALL_STATE(7442)] = 374675,
  [SMALL_STATE(7443)] = 374714,
  [SMALL_STATE(7444)] = 374753,
  [SMALL_STATE(7445)] = 374792,
  [SMALL_STATE(7446)] = 374831,
  [SMALL_STATE(7447)] = 374876,
  [SMALL_STATE(7448)] = 374939,
  [SMALL_STATE(7449)] = 374978,
  [SMALL_STATE(7450)] = 375019,
  [SMALL_STATE(7451)] = 375058,
  [SMALL_STATE(7452)] = 375097,
  [SMALL_STATE(7453)] = 375136,
  [SMALL_STATE(7454)] = 375175,
  [SMALL_STATE(7455)] = 375218,
  [SMALL_STATE(7456)] = 375279,
  [SMALL_STATE(7457)] = 375318,
  [SMALL_STATE(7458)] = 375379,
  [SMALL_STATE(7459)] = 375418,
  [SMALL_STATE(7460)] = 375457,
  [SMALL_STATE(7461)] = 375504,
  [SMALL_STATE(7462)] = 375543,
  [SMALL_STATE(7463)] = 375582,
  [SMALL_STATE(7464)] = 375643,
  [SMALL_STATE(7465)] = 375682,
  [SMALL_STATE(7466)] = 375721,
  [SMALL_STATE(7467)] = 375760,
  [SMALL_STATE(7468)] = 375801,
  [SMALL_STATE(7469)] = 375840,
  [SMALL_STATE(7470)] = 375879,
  [SMALL_STATE(7471)] = 375918,
  [SMALL_STATE(7472)] = 375971,
  [SMALL_STATE(7473)] = 376032,
  [SMALL_STATE(7474)] = 376071,
  [SMALL_STATE(7475)] = 376114,
  [SMALL_STATE(7476)] = 376177,
  [SMALL_STATE(7477)] = 376228,
  [SMALL_STATE(7478)] = 376301,
  [SMALL_STATE(7479)] = 376340,
  [SMALL_STATE(7480)] = 376413,
  [SMALL_STATE(7481)] = 376452,
  [SMALL_STATE(7482)] = 376491,
  [SMALL_STATE(7483)] = 376564,
  [SMALL_STATE(7484)] = 376605,
  [SMALL_STATE(7485)] = 376644,
  [SMALL_STATE(7486)] = 376683,
  [SMALL_STATE(7487)] = 376722,
  [SMALL_STATE(7488)] = 376761,
  [SMALL_STATE(7489)] = 376800,
  [SMALL_STATE(7490)] = 376839,
  [SMALL_STATE(7491)] = 376878,
  [SMALL_STATE(7492)] = 376917,
  [SMALL_STATE(7493)] = 376962,
  [SMALL_STATE(7494)] = 377001,
  [SMALL_STATE(7495)] = 377062,
  [SMALL_STATE(7496)] = 377101,
  [SMALL_STATE(7497)] = 377140,
  [SMALL_STATE(7498)] = 377179,
  [SMALL_STATE(7499)] = 377218,
  [SMALL_STATE(7500)] = 377257,
  [SMALL_STATE(7501)] = 377318,
  [SMALL_STATE(7502)] = 377391,
  [SMALL_STATE(7503)] = 377430,
  [SMALL_STATE(7504)] = 377469,
  [SMALL_STATE(7505)] = 377512,
  [SMALL_STATE(7506)] = 377551,
  [SMALL_STATE(7507)] = 377592,
  [SMALL_STATE(7508)] = 377631,
  [SMALL_STATE(7509)] = 377684,
  [SMALL_STATE(7510)] = 377723,
  [SMALL_STATE(7511)] = 377762,
  [SMALL_STATE(7512)] = 377801,
  [SMALL_STATE(7513)] = 377842,
  [SMALL_STATE(7514)] = 377881,
  [SMALL_STATE(7515)] = 377920,
  [SMALL_STATE(7516)] = 377959,
  [SMALL_STATE(7517)] = 378000,
  [SMALL_STATE(7518)] = 378039,
  [SMALL_STATE(7519)] = 378082,
  [SMALL_STATE(7520)] = 378121,
  [SMALL_STATE(7521)] = 378162,
  [SMALL_STATE(7522)] = 378223,
  [SMALL_STATE(7523)] = 378268,
  [SMALL_STATE(7524)] = 378309,
  [SMALL_STATE(7525)] = 378348,
  [SMALL_STATE(7526)] = 378387,
  [SMALL_STATE(7527)] = 378426,
  [SMALL_STATE(7528)] = 378487,
  [SMALL_STATE(7529)] = 378526,
  [SMALL_STATE(7530)] = 378571,
  [SMALL_STATE(7531)] = 378610,
  [SMALL_STATE(7532)] = 378671,
  [SMALL_STATE(7533)] = 378716,
  [SMALL_STATE(7534)] = 378761,
  [SMALL_STATE(7535)] = 378800,
  [SMALL_STATE(7536)] = 378861,
  [SMALL_STATE(7537)] = 378900,
  [SMALL_STATE(7538)] = 378939,
  [SMALL_STATE(7539)] = 378978,
  [SMALL_STATE(7540)] = 379017,
  [SMALL_STATE(7541)] = 379068,
  [SMALL_STATE(7542)] = 379129,
  [SMALL_STATE(7543)] = 379168,
  [SMALL_STATE(7544)] = 379207,
  [SMALL_STATE(7545)] = 379246,
  [SMALL_STATE(7546)] = 379285,
  [SMALL_STATE(7547)] = 379324,
  [SMALL_STATE(7548)] = 379397,
  [SMALL_STATE(7549)] = 379442,
  [SMALL_STATE(7550)] = 379481,
  [SMALL_STATE(7551)] = 379520,
  [SMALL_STATE(7552)] = 379563,
  [SMALL_STATE(7553)] = 379602,
  [SMALL_STATE(7554)] = 379645,
  [SMALL_STATE(7555)] = 379688,
  [SMALL_STATE(7556)] = 379727,
  [SMALL_STATE(7557)] = 379766,
  [SMALL_STATE(7558)] = 379805,
  [SMALL_STATE(7559)] = 379866,
  [SMALL_STATE(7560)] = 379927,
  [SMALL_STATE(7561)] = 379966,
  [SMALL_STATE(7562)] = 380005,
  [SMALL_STATE(7563)] = 380044,
  [SMALL_STATE(7564)] = 380083,
  [SMALL_STATE(7565)] = 380126,
  [SMALL_STATE(7566)] = 380165,
  [SMALL_STATE(7567)] = 380204,
  [SMALL_STATE(7568)] = 380243,
  [SMALL_STATE(7569)] = 380282,
  [SMALL_STATE(7570)] = 380321,
  [SMALL_STATE(7571)] = 380376,
  [SMALL_STATE(7572)] = 380417,
  [SMALL_STATE(7573)] = 380478,
  [SMALL_STATE(7574)] = 380517,
  [SMALL_STATE(7575)] = 380562,
  [SMALL_STATE(7576)] = 380601,
  [SMALL_STATE(7577)] = 380640,
  [SMALL_STATE(7578)] = 380679,
  [SMALL_STATE(7579)] = 380718,
  [SMALL_STATE(7580)] = 380757,
  [SMALL_STATE(7581)] = 380796,
  [SMALL_STATE(7582)] = 380835,
  [SMALL_STATE(7583)] = 380880,
  [SMALL_STATE(7584)] = 380919,
  [SMALL_STATE(7585)] = 380980,
  [SMALL_STATE(7586)] = 381019,
  [SMALL_STATE(7587)] = 381058,
  [SMALL_STATE(7588)] = 381125,
  [SMALL_STATE(7589)] = 381164,
  [SMALL_STATE(7590)] = 381203,
  [SMALL_STATE(7591)] = 381242,
  [SMALL_STATE(7592)] = 381281,
  [SMALL_STATE(7593)] = 381320,
  [SMALL_STATE(7594)] = 381359,
  [SMALL_STATE(7595)] = 381398,
  [SMALL_STATE(7596)] = 381459,
  [SMALL_STATE(7597)] = 381498,
  [SMALL_STATE(7598)] = 381557,
  [SMALL_STATE(7599)] = 381596,
  [SMALL_STATE(7600)] = 381635,
  [SMALL_STATE(7601)] = 381674,
  [SMALL_STATE(7602)] = 381713,
  [SMALL_STATE(7603)] = 381752,
  [SMALL_STATE(7604)] = 381791,
  [SMALL_STATE(7605)] = 381830,
  [SMALL_STATE(7606)] = 381869,
  [SMALL_STATE(7607)] = 381932,
  [SMALL_STATE(7608)] = 381977,
  [SMALL_STATE(7609)] = 382016,
  [SMALL_STATE(7610)] = 382077,
  [SMALL_STATE(7611)] = 382138,
  [SMALL_STATE(7612)] = 382177,
  [SMALL_STATE(7613)] = 382216,
  [SMALL_STATE(7614)] = 382255,
  [SMALL_STATE(7615)] = 382294,
  [SMALL_STATE(7616)] = 382333,
  [SMALL_STATE(7617)] = 382372,
  [SMALL_STATE(7618)] = 382413,
  [SMALL_STATE(7619)] = 382474,
  [SMALL_STATE(7620)] = 382513,
  [SMALL_STATE(7621)] = 382558,
  [SMALL_STATE(7622)] = 382597,
  [SMALL_STATE(7623)] = 382636,
  [SMALL_STATE(7624)] = 382681,
  [SMALL_STATE(7625)] = 382720,
  [SMALL_STATE(7626)] = 382759,
  [SMALL_STATE(7627)] = 382798,
  [SMALL_STATE(7628)] = 382837,
  [SMALL_STATE(7629)] = 382876,
  [SMALL_STATE(7630)] = 382915,
  [SMALL_STATE(7631)] = 382954,
  [SMALL_STATE(7632)] = 382993,
  [SMALL_STATE(7633)] = 383066,
  [SMALL_STATE(7634)] = 383139,
  [SMALL_STATE(7635)] = 383178,
  [SMALL_STATE(7636)] = 383217,
  [SMALL_STATE(7637)] = 383258,
  [SMALL_STATE(7638)] = 383297,
  [SMALL_STATE(7639)] = 383336,
  [SMALL_STATE(7640)] = 383409,
  [SMALL_STATE(7641)] = 383448,
  [SMALL_STATE(7642)] = 383487,
  [SMALL_STATE(7643)] = 383526,
  [SMALL_STATE(7644)] = 383587,
  [SMALL_STATE(7645)] = 383626,
  [SMALL_STATE(7646)] = 383665,
  [SMALL_STATE(7647)] = 383704,
  [SMALL_STATE(7648)] = 383765,
  [SMALL_STATE(7649)] = 383804,
  [SMALL_STATE(7650)] = 383843,
  [SMALL_STATE(7651)] = 383904,
  [SMALL_STATE(7652)] = 383977,
  [SMALL_STATE(7653)] = 384016,
  [SMALL_STATE(7654)] = 384055,
  [SMALL_STATE(7655)] = 384094,
  [SMALL_STATE(7656)] = 384133,
  [SMALL_STATE(7657)] = 384176,
  [SMALL_STATE(7658)] = 384215,
  [SMALL_STATE(7659)] = 384276,
  [SMALL_STATE(7660)] = 384315,
  [SMALL_STATE(7661)] = 384354,
  [SMALL_STATE(7662)] = 384393,
  [SMALL_STATE(7663)] = 384448,
  [SMALL_STATE(7664)] = 384487,
  [SMALL_STATE(7665)] = 384526,
  [SMALL_STATE(7666)] = 384587,
  [SMALL_STATE(7667)] = 384626,
  [SMALL_STATE(7668)] = 384665,
  [SMALL_STATE(7669)] = 384720,
  [SMALL_STATE(7670)] = 384761,
  [SMALL_STATE(7671)] = 384800,
  [SMALL_STATE(7672)] = 384839,
  [SMALL_STATE(7673)] = 384878,
  [SMALL_STATE(7674)] = 384917,
  [SMALL_STATE(7675)] = 384956,
  [SMALL_STATE(7676)] = 384995,
  [SMALL_STATE(7677)] = 385056,
  [SMALL_STATE(7678)] = 385095,
  [SMALL_STATE(7679)] = 385134,
  [SMALL_STATE(7680)] = 385173,
  [SMALL_STATE(7681)] = 385212,
  [SMALL_STATE(7682)] = 385253,
  [SMALL_STATE(7683)] = 385292,
  [SMALL_STATE(7684)] = 385331,
  [SMALL_STATE(7685)] = 385404,
  [SMALL_STATE(7686)] = 385443,
  [SMALL_STATE(7687)] = 385504,
  [SMALL_STATE(7688)] = 385543,
  [SMALL_STATE(7689)] = 385584,
  [SMALL_STATE(7690)] = 385627,
  [SMALL_STATE(7691)] = 385666,
  [SMALL_STATE(7692)] = 385727,
  [SMALL_STATE(7693)] = 385766,
  [SMALL_STATE(7694)] = 385805,
  [SMALL_STATE(7695)] = 385866,
  [SMALL_STATE(7696)] = 385905,
  [SMALL_STATE(7697)] = 385946,
  [SMALL_STATE(7698)] = 385989,
  [SMALL_STATE(7699)] = 386028,
  [SMALL_STATE(7700)] = 386067,
  [SMALL_STATE(7701)] = 386106,
  [SMALL_STATE(7702)] = 386159,
  [SMALL_STATE(7703)] = 386198,
  [SMALL_STATE(7704)] = 386237,
  [SMALL_STATE(7705)] = 386276,
  [SMALL_STATE(7706)] = 386337,
  [SMALL_STATE(7707)] = 386376,
  [SMALL_STATE(7708)] = 386419,
  [SMALL_STATE(7709)] = 386458,
  [SMALL_STATE(7710)] = 386503,
  [SMALL_STATE(7711)] = 386542,
  [SMALL_STATE(7712)] = 386611,
  [SMALL_STATE(7713)] = 386668,
  [SMALL_STATE(7714)] = 386729,
  [SMALL_STATE(7715)] = 386780,
  [SMALL_STATE(7716)] = 386819,
  [SMALL_STATE(7717)] = 386858,
  [SMALL_STATE(7718)] = 386901,
  [SMALL_STATE(7719)] = 386940,
  [SMALL_STATE(7720)] = 386979,
  [SMALL_STATE(7721)] = 387020,
  [SMALL_STATE(7722)] = 387087,
  [SMALL_STATE(7723)] = 387130,
  [SMALL_STATE(7724)] = 387169,
  [SMALL_STATE(7725)] = 387208,
  [SMALL_STATE(7726)] = 387271,
  [SMALL_STATE(7727)] = 387316,
  [SMALL_STATE(7728)] = 387357,
  [SMALL_STATE(7729)] = 387396,
  [SMALL_STATE(7730)] = 387435,
  [SMALL_STATE(7731)] = 387474,
  [SMALL_STATE(7732)] = 387513,
  [SMALL_STATE(7733)] = 387552,
  [SMALL_STATE(7734)] = 387593,
  [SMALL_STATE(7735)] = 387632,
  [SMALL_STATE(7736)] = 387671,
  [SMALL_STATE(7737)] = 387710,
  [SMALL_STATE(7738)] = 387773,
  [SMALL_STATE(7739)] = 387812,
  [SMALL_STATE(7740)] = 387873,
  [SMALL_STATE(7741)] = 387914,
  [SMALL_STATE(7742)] = 387959,
  [SMALL_STATE(7743)] = 388020,
  [SMALL_STATE(7744)] = 388059,
  [SMALL_STATE(7745)] = 388098,
  [SMALL_STATE(7746)] = 388137,
  [SMALL_STATE(7747)] = 388176,
  [SMALL_STATE(7748)] = 388215,
  [SMALL_STATE(7749)] = 388254,
  [SMALL_STATE(7750)] = 388321,
  [SMALL_STATE(7751)] = 388360,
  [SMALL_STATE(7752)] = 388399,
  [SMALL_STATE(7753)] = 388438,
  [SMALL_STATE(7754)] = 388479,
  [SMALL_STATE(7755)] = 388540,
  [SMALL_STATE(7756)] = 388579,
  [SMALL_STATE(7757)] = 388618,
  [SMALL_STATE(7758)] = 388657,
  [SMALL_STATE(7759)] = 388696,
  [SMALL_STATE(7760)] = 388737,
  [SMALL_STATE(7761)] = 388776,
  [SMALL_STATE(7762)] = 388815,
  [SMALL_STATE(7763)] = 388854,
  [SMALL_STATE(7764)] = 388895,
  [SMALL_STATE(7765)] = 388934,
  [SMALL_STATE(7766)] = 388973,
  [SMALL_STATE(7767)] = 389012,
  [SMALL_STATE(7768)] = 389051,
  [SMALL_STATE(7769)] = 389112,
  [SMALL_STATE(7770)] = 389151,
  [SMALL_STATE(7771)] = 389190,
  [SMALL_STATE(7772)] = 389229,
  [SMALL_STATE(7773)] = 389268,
  [SMALL_STATE(7774)] = 389307,
  [SMALL_STATE(7775)] = 389348,
  [SMALL_STATE(7776)] = 389387,
  [SMALL_STATE(7777)] = 389426,
  [SMALL_STATE(7778)] = 389465,
  [SMALL_STATE(7779)] = 389504,
  [SMALL_STATE(7780)] = 389571,
  [SMALL_STATE(7781)] = 389610,
  [SMALL_STATE(7782)] = 389649,
  [SMALL_STATE(7783)] = 389688,
  [SMALL_STATE(7784)] = 389749,
  [SMALL_STATE(7785)] = 389790,
  [SMALL_STATE(7786)] = 389831,
  [SMALL_STATE(7787)] = 389870,
  [SMALL_STATE(7788)] = 389931,
  [SMALL_STATE(7789)] = 389980,
  [SMALL_STATE(7790)] = 390019,
  [SMALL_STATE(7791)] = 390062,
  [SMALL_STATE(7792)] = 390101,
  [SMALL_STATE(7793)] = 390146,
  [SMALL_STATE(7794)] = 390187,
  [SMALL_STATE(7795)] = 390230,
  [SMALL_STATE(7796)] = 390269,
  [SMALL_STATE(7797)] = 390314,
  [SMALL_STATE(7798)] = 390381,
  [SMALL_STATE(7799)] = 390420,
  [SMALL_STATE(7800)] = 390459,
  [SMALL_STATE(7801)] = 390498,
  [SMALL_STATE(7802)] = 390537,
  [SMALL_STATE(7803)] = 390576,
  [SMALL_STATE(7804)] = 390615,
  [SMALL_STATE(7805)] = 390654,
  [SMALL_STATE(7806)] = 390693,
  [SMALL_STATE(7807)] = 390732,
  [SMALL_STATE(7808)] = 390771,
  [SMALL_STATE(7809)] = 390812,
  [SMALL_STATE(7810)] = 390853,
  [SMALL_STATE(7811)] = 390898,
  [SMALL_STATE(7812)] = 390939,
  [SMALL_STATE(7813)] = 390980,
  [SMALL_STATE(7814)] = 391041,
  [SMALL_STATE(7815)] = 391080,
  [SMALL_STATE(7816)] = 391121,
  [SMALL_STATE(7817)] = 391160,
  [SMALL_STATE(7818)] = 391227,
  [SMALL_STATE(7819)] = 391266,
  [SMALL_STATE(7820)] = 391305,
  [SMALL_STATE(7821)] = 391348,
  [SMALL_STATE(7822)] = 391387,
  [SMALL_STATE(7823)] = 391448,
  [SMALL_STATE(7824)] = 391487,
  [SMALL_STATE(7825)] = 391526,
  [SMALL_STATE(7826)] = 391565,
  [SMALL_STATE(7827)] = 391604,
  [SMALL_STATE(7828)] = 391643,
  [SMALL_STATE(7829)] = 391682,
  [SMALL_STATE(7830)] = 391735,
  [SMALL_STATE(7831)] = 391774,
  [SMALL_STATE(7832)] = 391813,
  [SMALL_STATE(7833)] = 391852,
  [SMALL_STATE(7834)] = 391897,
  [SMALL_STATE(7835)] = 391952,
  [SMALL_STATE(7836)] = 391993,
  [SMALL_STATE(7837)] = 392054,
  [SMALL_STATE(7838)] = 392099,
  [SMALL_STATE(7839)] = 392140,
  [SMALL_STATE(7840)] = 392179,
  [SMALL_STATE(7841)] = 392218,
  [SMALL_STATE(7842)] = 392259,
  [SMALL_STATE(7843)] = 392320,
  [SMALL_STATE(7844)] = 392373,
  [SMALL_STATE(7845)] = 392434,
  [SMALL_STATE(7846)] = 392473,
  [SMALL_STATE(7847)] = 392514,
  [SMALL_STATE(7848)] = 392553,
  [SMALL_STATE(7849)] = 392592,
  [SMALL_STATE(7850)] = 392639,
  [SMALL_STATE(7851)] = 392678,
  [SMALL_STATE(7852)] = 392717,
  [SMALL_STATE(7853)] = 392756,
  [SMALL_STATE(7854)] = 392815,
  [SMALL_STATE(7855)] = 392858,
  [SMALL_STATE(7856)] = 392897,
  [SMALL_STATE(7857)] = 392936,
  [SMALL_STATE(7858)] = 392997,
  [SMALL_STATE(7859)] = 393036,
  [SMALL_STATE(7860)] = 393075,
  [SMALL_STATE(7861)] = 393114,
  [SMALL_STATE(7862)] = 393153,
  [SMALL_STATE(7863)] = 393192,
  [SMALL_STATE(7864)] = 393255,
  [SMALL_STATE(7865)] = 393328,
  [SMALL_STATE(7866)] = 393367,
  [SMALL_STATE(7867)] = 393440,
  [SMALL_STATE(7868)] = 393481,
  [SMALL_STATE(7869)] = 393520,
  [SMALL_STATE(7870)] = 393559,
  [SMALL_STATE(7871)] = 393602,
  [SMALL_STATE(7872)] = 393641,
  [SMALL_STATE(7873)] = 393680,
  [SMALL_STATE(7874)] = 393741,
  [SMALL_STATE(7875)] = 393780,
  [SMALL_STATE(7876)] = 393819,
  [SMALL_STATE(7877)] = 393880,
  [SMALL_STATE(7878)] = 393953,
  [SMALL_STATE(7879)] = 393992,
  [SMALL_STATE(7880)] = 394033,
  [SMALL_STATE(7881)] = 394086,
  [SMALL_STATE(7882)] = 394125,
  [SMALL_STATE(7883)] = 394164,
  [SMALL_STATE(7884)] = 394203,
  [SMALL_STATE(7885)] = 394276,
  [SMALL_STATE(7886)] = 394315,
  [SMALL_STATE(7887)] = 394354,
  [SMALL_STATE(7888)] = 394393,
  [SMALL_STATE(7889)] = 394432,
  [SMALL_STATE(7890)] = 394471,
  [SMALL_STATE(7891)] = 394522,
  [SMALL_STATE(7892)] = 394561,
  [SMALL_STATE(7893)] = 394602,
  [SMALL_STATE(7894)] = 394641,
  [SMALL_STATE(7895)] = 394702,
  [SMALL_STATE(7896)] = 394741,
  [SMALL_STATE(7897)] = 394792,
  [SMALL_STATE(7898)] = 394831,
  [SMALL_STATE(7899)] = 394870,
  [SMALL_STATE(7900)] = 394909,
  [SMALL_STATE(7901)] = 394948,
  [SMALL_STATE(7902)] = 394987,
  [SMALL_STATE(7903)] = 395026,
  [SMALL_STATE(7904)] = 395067,
  [SMALL_STATE(7905)] = 395110,
  [SMALL_STATE(7906)] = 395151,
  [SMALL_STATE(7907)] = 395190,
  [SMALL_STATE(7908)] = 395233,
  [SMALL_STATE(7909)] = 395280,
  [SMALL_STATE(7910)] = 395319,
  [SMALL_STATE(7911)] = 395358,
  [SMALL_STATE(7912)] = 395419,
  [SMALL_STATE(7913)] = 395458,
  [SMALL_STATE(7914)] = 395497,
  [SMALL_STATE(7915)] = 395536,
  [SMALL_STATE(7916)] = 395575,
  [SMALL_STATE(7917)] = 395626,
  [SMALL_STATE(7918)] = 395665,
  [SMALL_STATE(7919)] = 395726,
  [SMALL_STATE(7920)] = 395765,
  [SMALL_STATE(7921)] = 395826,
  [SMALL_STATE(7922)] = 395865,
  [SMALL_STATE(7923)] = 395904,
  [SMALL_STATE(7924)] = 395945,
  [SMALL_STATE(7925)] = 395988,
  [SMALL_STATE(7926)] = 396049,
  [SMALL_STATE(7927)] = 396090,
  [SMALL_STATE(7928)] = 396133,
  [SMALL_STATE(7929)] = 396172,
  [SMALL_STATE(7930)] = 396211,
  [SMALL_STATE(7931)] = 396250,
  [SMALL_STATE(7932)] = 396289,
  [SMALL_STATE(7933)] = 396330,
  [SMALL_STATE(7934)] = 396369,
  [SMALL_STATE(7935)] = 396408,
  [SMALL_STATE(7936)] = 396447,
  [SMALL_STATE(7937)] = 396486,
  [SMALL_STATE(7938)] = 396525,
  [SMALL_STATE(7939)] = 396564,
  [SMALL_STATE(7940)] = 396603,
  [SMALL_STATE(7941)] = 396642,
  [SMALL_STATE(7942)] = 396681,
  [SMALL_STATE(7943)] = 396742,
  [SMALL_STATE(7944)] = 396781,
  [SMALL_STATE(7945)] = 396820,
  [SMALL_STATE(7946)] = 396881,
  [SMALL_STATE(7947)] = 396920,
  [SMALL_STATE(7948)] = 396959,
  [SMALL_STATE(7949)] = 396998,
  [SMALL_STATE(7950)] = 397039,
  [SMALL_STATE(7951)] = 397090,
  [SMALL_STATE(7952)] = 397129,
  [SMALL_STATE(7953)] = 397190,
  [SMALL_STATE(7954)] = 397253,
  [SMALL_STATE(7955)] = 397294,
  [SMALL_STATE(7956)] = 397333,
  [SMALL_STATE(7957)] = 397394,
  [SMALL_STATE(7958)] = 397433,
  [SMALL_STATE(7959)] = 397474,
  [SMALL_STATE(7960)] = 397513,
  [SMALL_STATE(7961)] = 397574,
  [SMALL_STATE(7962)] = 397635,
  [SMALL_STATE(7963)] = 397676,
  [SMALL_STATE(7964)] = 397715,
  [SMALL_STATE(7965)] = 397754,
  [SMALL_STATE(7966)] = 397793,
  [SMALL_STATE(7967)] = 397832,
  [SMALL_STATE(7968)] = 397895,
  [SMALL_STATE(7969)] = 397934,
  [SMALL_STATE(7970)] = 397979,
  [SMALL_STATE(7971)] = 398040,
  [SMALL_STATE(7972)] = 398081,
  [SMALL_STATE(7973)] = 398120,
  [SMALL_STATE(7974)] = 398181,
  [SMALL_STATE(7975)] = 398220,
  [SMALL_STATE(7976)] = 398259,
  [SMALL_STATE(7977)] = 398298,
  [SMALL_STATE(7978)] = 398359,
  [SMALL_STATE(7979)] = 398398,
  [SMALL_STATE(7980)] = 398437,
  [SMALL_STATE(7981)] = 398476,
  [SMALL_STATE(7982)] = 398515,
  [SMALL_STATE(7983)] = 398556,
  [SMALL_STATE(7984)] = 398595,
  [SMALL_STATE(7985)] = 398634,
  [SMALL_STATE(7986)] = 398695,
  [SMALL_STATE(7987)] = 398734,
  [SMALL_STATE(7988)] = 398795,
  [SMALL_STATE(7989)] = 398836,
  [SMALL_STATE(7990)] = 398877,
  [SMALL_STATE(7991)] = 398938,
  [SMALL_STATE(7992)] = 398977,
  [SMALL_STATE(7993)] = 399016,
  [SMALL_STATE(7994)] = 399077,
  [SMALL_STATE(7995)] = 399118,
  [SMALL_STATE(7996)] = 399179,
  [SMALL_STATE(7997)] = 399240,
  [SMALL_STATE(7998)] = 399281,
  [SMALL_STATE(7999)] = 399320,
  [SMALL_STATE(8000)] = 399359,
  [SMALL_STATE(8001)] = 399398,
  [SMALL_STATE(8002)] = 399437,
  [SMALL_STATE(8003)] = 399480,
  [SMALL_STATE(8004)] = 399541,
  [SMALL_STATE(8005)] = 399580,
  [SMALL_STATE(8006)] = 399619,
  [SMALL_STATE(8007)] = 399658,
  [SMALL_STATE(8008)] = 399697,
  [SMALL_STATE(8009)] = 399736,
  [SMALL_STATE(8010)] = 399775,
  [SMALL_STATE(8011)] = 399814,
  [SMALL_STATE(8012)] = 399855,
  [SMALL_STATE(8013)] = 399916,
  [SMALL_STATE(8014)] = 399955,
  [SMALL_STATE(8015)] = 399994,
  [SMALL_STATE(8016)] = 400033,
  [SMALL_STATE(8017)] = 400072,
  [SMALL_STATE(8018)] = 400133,
  [SMALL_STATE(8019)] = 400172,
  [SMALL_STATE(8020)] = 400233,
  [SMALL_STATE(8021)] = 400276,
  [SMALL_STATE(8022)] = 400337,
  [SMALL_STATE(8023)] = 400378,
  [SMALL_STATE(8024)] = 400439,
  [SMALL_STATE(8025)] = 400480,
  [SMALL_STATE(8026)] = 400541,
  [SMALL_STATE(8027)] = 400580,
  [SMALL_STATE(8028)] = 400619,
  [SMALL_STATE(8029)] = 400680,
  [SMALL_STATE(8030)] = 400729,
  [SMALL_STATE(8031)] = 400768,
  [SMALL_STATE(8032)] = 400807,
  [SMALL_STATE(8033)] = 400868,
  [SMALL_STATE(8034)] = 400907,
  [SMALL_STATE(8035)] = 400952,
  [SMALL_STATE(8036)] = 400991,
  [SMALL_STATE(8037)] = 401030,
  [SMALL_STATE(8038)] = 401069,
  [SMALL_STATE(8039)] = 401108,
  [SMALL_STATE(8040)] = 401147,
  [SMALL_STATE(8041)] = 401194,
  [SMALL_STATE(8042)] = 401233,
  [SMALL_STATE(8043)] = 401272,
  [SMALL_STATE(8044)] = 401311,
  [SMALL_STATE(8045)] = 401350,
  [SMALL_STATE(8046)] = 401411,
  [SMALL_STATE(8047)] = 401472,
  [SMALL_STATE(8048)] = 401545,
  [SMALL_STATE(8049)] = 401584,
  [SMALL_STATE(8050)] = 401623,
  [SMALL_STATE(8051)] = 401684,
  [SMALL_STATE(8052)] = 401723,
  [SMALL_STATE(8053)] = 401796,
  [SMALL_STATE(8054)] = 401835,
  [SMALL_STATE(8055)] = 401874,
  [SMALL_STATE(8056)] = 401913,
  [SMALL_STATE(8057)] = 401952,
  [SMALL_STATE(8058)] = 402025,
  [SMALL_STATE(8059)] = 402086,
  [SMALL_STATE(8060)] = 402159,
  [SMALL_STATE(8061)] = 402220,
  [SMALL_STATE(8062)] = 402259,
  [SMALL_STATE(8063)] = 402320,
  [SMALL_STATE(8064)] = 402359,
  [SMALL_STATE(8065)] = 402398,
  [SMALL_STATE(8066)] = 402441,
  [SMALL_STATE(8067)] = 402482,
  [SMALL_STATE(8068)] = 402521,
  [SMALL_STATE(8069)] = 402560,
  [SMALL_STATE(8070)] = 402599,
  [SMALL_STATE(8071)] = 402638,
  [SMALL_STATE(8072)] = 402699,
  [SMALL_STATE(8073)] = 402738,
  [SMALL_STATE(8074)] = 402777,
  [SMALL_STATE(8075)] = 402818,
  [SMALL_STATE(8076)] = 402857,
  [SMALL_STATE(8077)] = 402895,
  [SMALL_STATE(8078)] = 402933,
  [SMALL_STATE(8079)] = 402971,
  [SMALL_STATE(8080)] = 403009,
  [SMALL_STATE(8081)] = 403047,
  [SMALL_STATE(8082)] = 403087,
  [SMALL_STATE(8083)] = 403127,
  [SMALL_STATE(8084)] = 403165,
  [SMALL_STATE(8085)] = 403203,
  [SMALL_STATE(8086)] = 403245,
  [SMALL_STATE(8087)] = 403283,
  [SMALL_STATE(8088)] = 403321,
  [SMALL_STATE(8089)] = 403359,
  [SMALL_STATE(8090)] = 403397,
  [SMALL_STATE(8091)] = 403447,
  [SMALL_STATE(8092)] = 403485,
  [SMALL_STATE(8093)] = 403523,
  [SMALL_STATE(8094)] = 403563,
  [SMALL_STATE(8095)] = 403601,
  [SMALL_STATE(8096)] = 403639,
  [SMALL_STATE(8097)] = 403679,
  [SMALL_STATE(8098)] = 403717,
  [SMALL_STATE(8099)] = 403755,
  [SMALL_STATE(8100)] = 403795,
  [SMALL_STATE(8101)] = 403837,
  [SMALL_STATE(8102)] = 403879,
  [SMALL_STATE(8103)] = 403921,
  [SMALL_STATE(8104)] = 403959,
  [SMALL_STATE(8105)] = 403999,
  [SMALL_STATE(8106)] = 404037,
  [SMALL_STATE(8107)] = 404075,
  [SMALL_STATE(8108)] = 404115,
  [SMALL_STATE(8109)] = 404155,
  [SMALL_STATE(8110)] = 404193,
  [SMALL_STATE(8111)] = 404231,
  [SMALL_STATE(8112)] = 404269,
  [SMALL_STATE(8113)] = 404307,
  [SMALL_STATE(8114)] = 404345,
  [SMALL_STATE(8115)] = 404383,
  [SMALL_STATE(8116)] = 404423,
  [SMALL_STATE(8117)] = 404461,
  [SMALL_STATE(8118)] = 404499,
  [SMALL_STATE(8119)] = 404537,
  [SMALL_STATE(8120)] = 404577,
  [SMALL_STATE(8121)] = 404639,
  [SMALL_STATE(8122)] = 404677,
  [SMALL_STATE(8123)] = 404715,
  [SMALL_STATE(8124)] = 404753,
  [SMALL_STATE(8125)] = 404791,
  [SMALL_STATE(8126)] = 404829,
  [SMALL_STATE(8127)] = 404867,
  [SMALL_STATE(8128)] = 404905,
  [SMALL_STATE(8129)] = 404943,
  [SMALL_STATE(8130)] = 404987,
  [SMALL_STATE(8131)] = 405025,
  [SMALL_STATE(8132)] = 405063,
  [SMALL_STATE(8133)] = 405107,
  [SMALL_STATE(8134)] = 405145,
  [SMALL_STATE(8135)] = 405183,
  [SMALL_STATE(8136)] = 405235,
  [SMALL_STATE(8137)] = 405289,
  [SMALL_STATE(8138)] = 405327,
  [SMALL_STATE(8139)] = 405365,
  [SMALL_STATE(8140)] = 405403,
  [SMALL_STATE(8141)] = 405441,
  [SMALL_STATE(8142)] = 405479,
  [SMALL_STATE(8143)] = 405517,
  [SMALL_STATE(8144)] = 405555,
  [SMALL_STATE(8145)] = 405593,
  [SMALL_STATE(8146)] = 405631,
  [SMALL_STATE(8147)] = 405669,
  [SMALL_STATE(8148)] = 405707,
  [SMALL_STATE(8149)] = 405745,
  [SMALL_STATE(8150)] = 405783,
  [SMALL_STATE(8151)] = 405831,
  [SMALL_STATE(8152)] = 405869,
  [SMALL_STATE(8153)] = 405907,
  [SMALL_STATE(8154)] = 405947,
  [SMALL_STATE(8155)] = 405989,
  [SMALL_STATE(8156)] = 406027,
  [SMALL_STATE(8157)] = 406073,
  [SMALL_STATE(8158)] = 406111,
  [SMALL_STATE(8159)] = 406149,
  [SMALL_STATE(8160)] = 406193,
  [SMALL_STATE(8161)] = 406231,
  [SMALL_STATE(8162)] = 406269,
  [SMALL_STATE(8163)] = 406307,
  [SMALL_STATE(8164)] = 406345,
  [SMALL_STATE(8165)] = 406383,
  [SMALL_STATE(8166)] = 406421,
  [SMALL_STATE(8167)] = 406469,
  [SMALL_STATE(8168)] = 406525,
  [SMALL_STATE(8169)] = 406569,
  [SMALL_STATE(8170)] = 406607,
  [SMALL_STATE(8171)] = 406645,
  [SMALL_STATE(8172)] = 406683,
  [SMALL_STATE(8173)] = 406723,
  [SMALL_STATE(8174)] = 406789,
  [SMALL_STATE(8175)] = 406845,
  [SMALL_STATE(8176)] = 406883,
  [SMALL_STATE(8177)] = 406921,
  [SMALL_STATE(8178)] = 406959,
  [SMALL_STATE(8179)] = 406997,
  [SMALL_STATE(8180)] = 407035,
  [SMALL_STATE(8181)] = 407073,
  [SMALL_STATE(8182)] = 407111,
  [SMALL_STATE(8183)] = 407149,
  [SMALL_STATE(8184)] = 407187,
  [SMALL_STATE(8185)] = 407225,
  [SMALL_STATE(8186)] = 407263,
  [SMALL_STATE(8187)] = 407301,
  [SMALL_STATE(8188)] = 407339,
  [SMALL_STATE(8189)] = 407377,
  [SMALL_STATE(8190)] = 407415,
  [SMALL_STATE(8191)] = 407453,
  [SMALL_STATE(8192)] = 407491,
  [SMALL_STATE(8193)] = 407529,
  [SMALL_STATE(8194)] = 407567,
  [SMALL_STATE(8195)] = 407605,
  [SMALL_STATE(8196)] = 407643,
  [SMALL_STATE(8197)] = 407681,
  [SMALL_STATE(8198)] = 407719,
  [SMALL_STATE(8199)] = 407757,
  [SMALL_STATE(8200)] = 407795,
  [SMALL_STATE(8201)] = 407833,
  [SMALL_STATE(8202)] = 407871,
  [SMALL_STATE(8203)] = 407909,
  [SMALL_STATE(8204)] = 407953,
  [SMALL_STATE(8205)] = 407991,
  [SMALL_STATE(8206)] = 408029,
  [SMALL_STATE(8207)] = 408067,
  [SMALL_STATE(8208)] = 408105,
  [SMALL_STATE(8209)] = 408143,
  [SMALL_STATE(8210)] = 408183,
  [SMALL_STATE(8211)] = 408221,
  [SMALL_STATE(8212)] = 408259,
  [SMALL_STATE(8213)] = 408297,
  [SMALL_STATE(8214)] = 408335,
  [SMALL_STATE(8215)] = 408373,
  [SMALL_STATE(8216)] = 408411,
  [SMALL_STATE(8217)] = 408451,
  [SMALL_STATE(8218)] = 408489,
  [SMALL_STATE(8219)] = 408543,
  [SMALL_STATE(8220)] = 408581,
  [SMALL_STATE(8221)] = 408619,
  [SMALL_STATE(8222)] = 408657,
  [SMALL_STATE(8223)] = 408695,
  [SMALL_STATE(8224)] = 408733,
  [SMALL_STATE(8225)] = 408771,
  [SMALL_STATE(8226)] = 408809,
  [SMALL_STATE(8227)] = 408847,
  [SMALL_STATE(8228)] = 408885,
  [SMALL_STATE(8229)] = 408923,
  [SMALL_STATE(8230)] = 408961,
  [SMALL_STATE(8231)] = 408999,
  [SMALL_STATE(8232)] = 409037,
  [SMALL_STATE(8233)] = 409075,
  [SMALL_STATE(8234)] = 409113,
  [SMALL_STATE(8235)] = 409155,
  [SMALL_STATE(8236)] = 409193,
  [SMALL_STATE(8237)] = 409231,
  [SMALL_STATE(8238)] = 409269,
  [SMALL_STATE(8239)] = 409307,
  [SMALL_STATE(8240)] = 409345,
  [SMALL_STATE(8241)] = 409383,
  [SMALL_STATE(8242)] = 409421,
  [SMALL_STATE(8243)] = 409459,
  [SMALL_STATE(8244)] = 409499,
  [SMALL_STATE(8245)] = 409537,
  [SMALL_STATE(8246)] = 409577,
  [SMALL_STATE(8247)] = 409615,
  [SMALL_STATE(8248)] = 409653,
  [SMALL_STATE(8249)] = 409691,
  [SMALL_STATE(8250)] = 409729,
  [SMALL_STATE(8251)] = 409767,
  [SMALL_STATE(8252)] = 409807,
  [SMALL_STATE(8253)] = 409845,
  [SMALL_STATE(8254)] = 409883,
  [SMALL_STATE(8255)] = 409921,
  [SMALL_STATE(8256)] = 409959,
  [SMALL_STATE(8257)] = 409997,
  [SMALL_STATE(8258)] = 410035,
  [SMALL_STATE(8259)] = 410075,
  [SMALL_STATE(8260)] = 410127,
  [SMALL_STATE(8261)] = 410165,
  [SMALL_STATE(8262)] = 410203,
  [SMALL_STATE(8263)] = 410241,
  [SMALL_STATE(8264)] = 410281,
  [SMALL_STATE(8265)] = 410319,
  [SMALL_STATE(8266)] = 410357,
  [SMALL_STATE(8267)] = 410397,
  [SMALL_STATE(8268)] = 410437,
  [SMALL_STATE(8269)] = 410505,
  [SMALL_STATE(8270)] = 410543,
  [SMALL_STATE(8271)] = 410581,
  [SMALL_STATE(8272)] = 410631,
  [SMALL_STATE(8273)] = 410669,
  [SMALL_STATE(8274)] = 410707,
  [SMALL_STATE(8275)] = 410745,
  [SMALL_STATE(8276)] = 410783,
  [SMALL_STATE(8277)] = 410821,
  [SMALL_STATE(8278)] = 410859,
  [SMALL_STATE(8279)] = 410897,
  [SMALL_STATE(8280)] = 410935,
  [SMALL_STATE(8281)] = 410977,
  [SMALL_STATE(8282)] = 411045,
  [SMALL_STATE(8283)] = 411083,
  [SMALL_STATE(8284)] = 411125,
  [SMALL_STATE(8285)] = 411163,
  [SMALL_STATE(8286)] = 411205,
  [SMALL_STATE(8287)] = 411243,
  [SMALL_STATE(8288)] = 411281,
  [SMALL_STATE(8289)] = 411319,
  [SMALL_STATE(8290)] = 411357,
  [SMALL_STATE(8291)] = 411395,
  [SMALL_STATE(8292)] = 411433,
  [SMALL_STATE(8293)] = 411471,
  [SMALL_STATE(8294)] = 411509,
  [SMALL_STATE(8295)] = 411547,
  [SMALL_STATE(8296)] = 411589,
  [SMALL_STATE(8297)] = 411645,
  [SMALL_STATE(8298)] = 411685,
  [SMALL_STATE(8299)] = 411723,
  [SMALL_STATE(8300)] = 411761,
  [SMALL_STATE(8301)] = 411799,
  [SMALL_STATE(8302)] = 411867,
  [SMALL_STATE(8303)] = 411907,
  [SMALL_STATE(8304)] = 411945,
  [SMALL_STATE(8305)] = 411983,
  [SMALL_STATE(8306)] = 412021,
  [SMALL_STATE(8307)] = 412059,
  [SMALL_STATE(8308)] = 412097,
  [SMALL_STATE(8309)] = 412135,
  [SMALL_STATE(8310)] = 412173,
  [SMALL_STATE(8311)] = 412211,
  [SMALL_STATE(8312)] = 412255,
  [SMALL_STATE(8313)] = 412293,
  [SMALL_STATE(8314)] = 412331,
  [SMALL_STATE(8315)] = 412369,
  [SMALL_STATE(8316)] = 412409,
  [SMALL_STATE(8317)] = 412477,
  [SMALL_STATE(8318)] = 412517,
  [SMALL_STATE(8319)] = 412555,
  [SMALL_STATE(8320)] = 412597,
  [SMALL_STATE(8321)] = 412635,
  [SMALL_STATE(8322)] = 412673,
  [SMALL_STATE(8323)] = 412711,
  [SMALL_STATE(8324)] = 412749,
  [SMALL_STATE(8325)] = 412787,
  [SMALL_STATE(8326)] = 412825,
  [SMALL_STATE(8327)] = 412863,
  [SMALL_STATE(8328)] = 412901,
  [SMALL_STATE(8329)] = 412939,
  [SMALL_STATE(8330)] = 412977,
  [SMALL_STATE(8331)] = 413015,
  [SMALL_STATE(8332)] = 413055,
  [SMALL_STATE(8333)] = 413093,
  [SMALL_STATE(8334)] = 413131,
  [SMALL_STATE(8335)] = 413169,
  [SMALL_STATE(8336)] = 413211,
  [SMALL_STATE(8337)] = 413249,
  [SMALL_STATE(8338)] = 413289,
  [SMALL_STATE(8339)] = 413351,
  [SMALL_STATE(8340)] = 413389,
  [SMALL_STATE(8341)] = 413427,
  [SMALL_STATE(8342)] = 413465,
  [SMALL_STATE(8343)] = 413503,
  [SMALL_STATE(8344)] = 413541,
  [SMALL_STATE(8345)] = 413579,
  [SMALL_STATE(8346)] = 413617,
  [SMALL_STATE(8347)] = 413655,
  [SMALL_STATE(8348)] = 413693,
  [SMALL_STATE(8349)] = 413747,
  [SMALL_STATE(8350)] = 413785,
  [SMALL_STATE(8351)] = 413827,
  [SMALL_STATE(8352)] = 413865,
  [SMALL_STATE(8353)] = 413903,
  [SMALL_STATE(8354)] = 413943,
  [SMALL_STATE(8355)] = 413981,
  [SMALL_STATE(8356)] = 414019,
  [SMALL_STATE(8357)] = 414057,
  [SMALL_STATE(8358)] = 414095,
  [SMALL_STATE(8359)] = 414133,
  [SMALL_STATE(8360)] = 414173,
  [SMALL_STATE(8361)] = 414211,
  [SMALL_STATE(8362)] = 414249,
  [SMALL_STATE(8363)] = 414287,
  [SMALL_STATE(8364)] = 414325,
  [SMALL_STATE(8365)] = 414363,
  [SMALL_STATE(8366)] = 414401,
  [SMALL_STATE(8367)] = 414439,
  [SMALL_STATE(8368)] = 414477,
  [SMALL_STATE(8369)] = 414515,
  [SMALL_STATE(8370)] = 414563,
  [SMALL_STATE(8371)] = 414601,
  [SMALL_STATE(8372)] = 414639,
  [SMALL_STATE(8373)] = 414677,
  [SMALL_STATE(8374)] = 414717,
  [SMALL_STATE(8375)] = 414755,
  [SMALL_STATE(8376)] = 414793,
  [SMALL_STATE(8377)] = 414831,
  [SMALL_STATE(8378)] = 414869,
  [SMALL_STATE(8379)] = 414907,
  [SMALL_STATE(8380)] = 414945,
  [SMALL_STATE(8381)] = 414989,
  [SMALL_STATE(8382)] = 415027,
  [SMALL_STATE(8383)] = 415065,
  [SMALL_STATE(8384)] = 415103,
  [SMALL_STATE(8385)] = 415141,
  [SMALL_STATE(8386)] = 415179,
  [SMALL_STATE(8387)] = 415217,
  [SMALL_STATE(8388)] = 415255,
  [SMALL_STATE(8389)] = 415293,
  [SMALL_STATE(8390)] = 415331,
  [SMALL_STATE(8391)] = 415371,
  [SMALL_STATE(8392)] = 415409,
  [SMALL_STATE(8393)] = 415447,
  [SMALL_STATE(8394)] = 415485,
  [SMALL_STATE(8395)] = 415523,
  [SMALL_STATE(8396)] = 415561,
  [SMALL_STATE(8397)] = 415599,
  [SMALL_STATE(8398)] = 415637,
  [SMALL_STATE(8399)] = 415675,
  [SMALL_STATE(8400)] = 415713,
  [SMALL_STATE(8401)] = 415751,
  [SMALL_STATE(8402)] = 415789,
  [SMALL_STATE(8403)] = 415827,
  [SMALL_STATE(8404)] = 415865,
  [SMALL_STATE(8405)] = 415903,
  [SMALL_STATE(8406)] = 415941,
  [SMALL_STATE(8407)] = 415979,
  [SMALL_STATE(8408)] = 416021,
  [SMALL_STATE(8409)] = 416065,
  [SMALL_STATE(8410)] = 416103,
  [SMALL_STATE(8411)] = 416143,
  [SMALL_STATE(8412)] = 416183,
  [SMALL_STATE(8413)] = 416235,
  [SMALL_STATE(8414)] = 416273,
  [SMALL_STATE(8415)] = 416311,
  [SMALL_STATE(8416)] = 416349,
  [SMALL_STATE(8417)] = 416387,
  [SMALL_STATE(8418)] = 416437,
  [SMALL_STATE(8419)] = 416475,
  [SMALL_STATE(8420)] = 416515,
  [SMALL_STATE(8421)] = 416553,
  [SMALL_STATE(8422)] = 416591,
  [SMALL_STATE(8423)] = 416629,
  [SMALL_STATE(8424)] = 416667,
  [SMALL_STATE(8425)] = 416711,
  [SMALL_STATE(8426)] = 416749,
  [SMALL_STATE(8427)] = 416787,
  [SMALL_STATE(8428)] = 416825,
  [SMALL_STATE(8429)] = 416869,
  [SMALL_STATE(8430)] = 416919,
  [SMALL_STATE(8431)] = 416957,
  [SMALL_STATE(8432)] = 416999,
  [SMALL_STATE(8433)] = 417037,
  [SMALL_STATE(8434)] = 417075,
  [SMALL_STATE(8435)] = 417115,
  [SMALL_STATE(8436)] = 417153,
  [SMALL_STATE(8437)] = 417191,
  [SMALL_STATE(8438)] = 417229,
  [SMALL_STATE(8439)] = 417267,
  [SMALL_STATE(8440)] = 417305,
  [SMALL_STATE(8441)] = 417343,
  [SMALL_STATE(8442)] = 417381,
  [SMALL_STATE(8443)] = 417419,
  [SMALL_STATE(8444)] = 417457,
  [SMALL_STATE(8445)] = 417495,
  [SMALL_STATE(8446)] = 417533,
  [SMALL_STATE(8447)] = 417571,
  [SMALL_STATE(8448)] = 417631,
  [SMALL_STATE(8449)] = 417669,
  [SMALL_STATE(8450)] = 417707,
  [SMALL_STATE(8451)] = 417759,
  [SMALL_STATE(8452)] = 417797,
  [SMALL_STATE(8453)] = 417835,
  [SMALL_STATE(8454)] = 417873,
  [SMALL_STATE(8455)] = 417911,
  [SMALL_STATE(8456)] = 417949,
  [SMALL_STATE(8457)] = 417987,
  [SMALL_STATE(8458)] = 418027,
  [SMALL_STATE(8459)] = 418065,
  [SMALL_STATE(8460)] = 418107,
  [SMALL_STATE(8461)] = 418145,
  [SMALL_STATE(8462)] = 418183,
  [SMALL_STATE(8463)] = 418221,
  [SMALL_STATE(8464)] = 418259,
  [SMALL_STATE(8465)] = 418299,
  [SMALL_STATE(8466)] = 418339,
  [SMALL_STATE(8467)] = 418377,
  [SMALL_STATE(8468)] = 418415,
  [SMALL_STATE(8469)] = 418453,
  [SMALL_STATE(8470)] = 418491,
  [SMALL_STATE(8471)] = 418529,
  [SMALL_STATE(8472)] = 418567,
  [SMALL_STATE(8473)] = 418605,
  [SMALL_STATE(8474)] = 418649,
  [SMALL_STATE(8475)] = 418687,
  [SMALL_STATE(8476)] = 418725,
  [SMALL_STATE(8477)] = 418763,
  [SMALL_STATE(8478)] = 418801,
  [SMALL_STATE(8479)] = 418853,
  [SMALL_STATE(8480)] = 418897,
  [SMALL_STATE(8481)] = 418935,
  [SMALL_STATE(8482)] = 418973,
  [SMALL_STATE(8483)] = 419011,
  [SMALL_STATE(8484)] = 419049,
  [SMALL_STATE(8485)] = 419087,
  [SMALL_STATE(8486)] = 419125,
  [SMALL_STATE(8487)] = 419163,
  [SMALL_STATE(8488)] = 419201,
  [SMALL_STATE(8489)] = 419239,
  [SMALL_STATE(8490)] = 419277,
  [SMALL_STATE(8491)] = 419315,
  [SMALL_STATE(8492)] = 419353,
  [SMALL_STATE(8493)] = 419391,
  [SMALL_STATE(8494)] = 419429,
  [SMALL_STATE(8495)] = 419467,
  [SMALL_STATE(8496)] = 419505,
  [SMALL_STATE(8497)] = 419543,
  [SMALL_STATE(8498)] = 419611,
  [SMALL_STATE(8499)] = 419649,
  [SMALL_STATE(8500)] = 419687,
  [SMALL_STATE(8501)] = 419727,
  [SMALL_STATE(8502)] = 419765,
  [SMALL_STATE(8503)] = 419807,
  [SMALL_STATE(8504)] = 419845,
  [SMALL_STATE(8505)] = 419883,
  [SMALL_STATE(8506)] = 419921,
  [SMALL_STATE(8507)] = 419959,
  [SMALL_STATE(8508)] = 419997,
  [SMALL_STATE(8509)] = 420035,
  [SMALL_STATE(8510)] = 420079,
  [SMALL_STATE(8511)] = 420117,
  [SMALL_STATE(8512)] = 420155,
  [SMALL_STATE(8513)] = 420193,
  [SMALL_STATE(8514)] = 420231,
  [SMALL_STATE(8515)] = 420271,
  [SMALL_STATE(8516)] = 420309,
  [SMALL_STATE(8517)] = 420347,
  [SMALL_STATE(8518)] = 420385,
  [SMALL_STATE(8519)] = 420423,
  [SMALL_STATE(8520)] = 420461,
  [SMALL_STATE(8521)] = 420501,
  [SMALL_STATE(8522)] = 420539,
  [SMALL_STATE(8523)] = 420579,
  [SMALL_STATE(8524)] = 420617,
  [SMALL_STATE(8525)] = 420655,
  [SMALL_STATE(8526)] = 420693,
  [SMALL_STATE(8527)] = 420731,
  [SMALL_STATE(8528)] = 420769,
  [SMALL_STATE(8529)] = 420807,
  [SMALL_STATE(8530)] = 420845,
  [SMALL_STATE(8531)] = 420883,
  [SMALL_STATE(8532)] = 420921,
  [SMALL_STATE(8533)] = 420959,
  [SMALL_STATE(8534)] = 420997,
  [SMALL_STATE(8535)] = 421035,
  [SMALL_STATE(8536)] = 421073,
  [SMALL_STATE(8537)] = 421111,
  [SMALL_STATE(8538)] = 421149,
  [SMALL_STATE(8539)] = 421187,
  [SMALL_STATE(8540)] = 421225,
  [SMALL_STATE(8541)] = 421263,
  [SMALL_STATE(8542)] = 421301,
  [SMALL_STATE(8543)] = 421339,
  [SMALL_STATE(8544)] = 421377,
  [SMALL_STATE(8545)] = 421415,
  [SMALL_STATE(8546)] = 421453,
  [SMALL_STATE(8547)] = 421491,
  [SMALL_STATE(8548)] = 421529,
  [SMALL_STATE(8549)] = 421567,
  [SMALL_STATE(8550)] = 421605,
  [SMALL_STATE(8551)] = 421645,
  [SMALL_STATE(8552)] = 421683,
  [SMALL_STATE(8553)] = 421721,
  [SMALL_STATE(8554)] = 421759,
  [SMALL_STATE(8555)] = 421797,
  [SMALL_STATE(8556)] = 421837,
  [SMALL_STATE(8557)] = 421875,
  [SMALL_STATE(8558)] = 421913,
  [SMALL_STATE(8559)] = 421955,
  [SMALL_STATE(8560)] = 421993,
  [SMALL_STATE(8561)] = 422031,
  [SMALL_STATE(8562)] = 422069,
  [SMALL_STATE(8563)] = 422107,
  [SMALL_STATE(8564)] = 422145,
  [SMALL_STATE(8565)] = 422183,
  [SMALL_STATE(8566)] = 422221,
  [SMALL_STATE(8567)] = 422259,
  [SMALL_STATE(8568)] = 422297,
  [SMALL_STATE(8569)] = 422335,
  [SMALL_STATE(8570)] = 422373,
  [SMALL_STATE(8571)] = 422427,
  [SMALL_STATE(8572)] = 422465,
  [SMALL_STATE(8573)] = 422503,
  [SMALL_STATE(8574)] = 422541,
  [SMALL_STATE(8575)] = 422579,
  [SMALL_STATE(8576)] = 422617,
  [SMALL_STATE(8577)] = 422655,
  [SMALL_STATE(8578)] = 422693,
  [SMALL_STATE(8579)] = 422731,
  [SMALL_STATE(8580)] = 422769,
  [SMALL_STATE(8581)] = 422807,
  [SMALL_STATE(8582)] = 422845,
  [SMALL_STATE(8583)] = 422883,
  [SMALL_STATE(8584)] = 422925,
  [SMALL_STATE(8585)] = 422963,
  [SMALL_STATE(8586)] = 423003,
  [SMALL_STATE(8587)] = 423041,
  [SMALL_STATE(8588)] = 423079,
  [SMALL_STATE(8589)] = 423131,
  [SMALL_STATE(8590)] = 423169,
  [SMALL_STATE(8591)] = 423207,
  [SMALL_STATE(8592)] = 423245,
  [SMALL_STATE(8593)] = 423283,
  [SMALL_STATE(8594)] = 423321,
  [SMALL_STATE(8595)] = 423359,
  [SMALL_STATE(8596)] = 423397,
  [SMALL_STATE(8597)] = 423435,
  [SMALL_STATE(8598)] = 423473,
  [SMALL_STATE(8599)] = 423511,
  [SMALL_STATE(8600)] = 423549,
  [SMALL_STATE(8601)] = 423587,
  [SMALL_STATE(8602)] = 423655,
  [SMALL_STATE(8603)] = 423693,
  [SMALL_STATE(8604)] = 423731,
  [SMALL_STATE(8605)] = 423769,
  [SMALL_STATE(8606)] = 423807,
  [SMALL_STATE(8607)] = 423845,
  [SMALL_STATE(8608)] = 423883,
  [SMALL_STATE(8609)] = 423921,
  [SMALL_STATE(8610)] = 423959,
  [SMALL_STATE(8611)] = 423999,
  [SMALL_STATE(8612)] = 424037,
  [SMALL_STATE(8613)] = 424075,
  [SMALL_STATE(8614)] = 424139,
  [SMALL_STATE(8615)] = 424177,
  [SMALL_STATE(8616)] = 424215,
  [SMALL_STATE(8617)] = 424253,
  [SMALL_STATE(8618)] = 424291,
  [SMALL_STATE(8619)] = 424329,
  [SMALL_STATE(8620)] = 424367,
  [SMALL_STATE(8621)] = 424405,
  [SMALL_STATE(8622)] = 424443,
  [SMALL_STATE(8623)] = 424481,
  [SMALL_STATE(8624)] = 424519,
  [SMALL_STATE(8625)] = 424559,
  [SMALL_STATE(8626)] = 424597,
  [SMALL_STATE(8627)] = 424665,
  [SMALL_STATE(8628)] = 424703,
  [SMALL_STATE(8629)] = 424741,
  [SMALL_STATE(8630)] = 424787,
  [SMALL_STATE(8631)] = 424825,
  [SMALL_STATE(8632)] = 424863,
  [SMALL_STATE(8633)] = 424901,
  [SMALL_STATE(8634)] = 424939,
  [SMALL_STATE(8635)] = 424977,
  [SMALL_STATE(8636)] = 425015,
  [SMALL_STATE(8637)] = 425053,
  [SMALL_STATE(8638)] = 425091,
  [SMALL_STATE(8639)] = 425133,
  [SMALL_STATE(8640)] = 425177,
  [SMALL_STATE(8641)] = 425221,
  [SMALL_STATE(8642)] = 425259,
  [SMALL_STATE(8643)] = 425303,
  [SMALL_STATE(8644)] = 425341,
  [SMALL_STATE(8645)] = 425401,
  [SMALL_STATE(8646)] = 425439,
  [SMALL_STATE(8647)] = 425477,
  [SMALL_STATE(8648)] = 425515,
  [SMALL_STATE(8649)] = 425553,
  [SMALL_STATE(8650)] = 425591,
  [SMALL_STATE(8651)] = 425629,
  [SMALL_STATE(8652)] = 425667,
  [SMALL_STATE(8653)] = 425705,
  [SMALL_STATE(8654)] = 425743,
  [SMALL_STATE(8655)] = 425781,
  [SMALL_STATE(8656)] = 425819,
  [SMALL_STATE(8657)] = 425869,
  [SMALL_STATE(8658)] = 425907,
  [SMALL_STATE(8659)] = 425945,
  [SMALL_STATE(8660)] = 425983,
  [SMALL_STATE(8661)] = 426021,
  [SMALL_STATE(8662)] = 426059,
  [SMALL_STATE(8663)] = 426097,
  [SMALL_STATE(8664)] = 426137,
  [SMALL_STATE(8665)] = 426175,
  [SMALL_STATE(8666)] = 426215,
  [SMALL_STATE(8667)] = 426259,
  [SMALL_STATE(8668)] = 426299,
  [SMALL_STATE(8669)] = 426337,
  [SMALL_STATE(8670)] = 426375,
  [SMALL_STATE(8671)] = 426415,
  [SMALL_STATE(8672)] = 426453,
  [SMALL_STATE(8673)] = 426491,
  [SMALL_STATE(8674)] = 426529,
  [SMALL_STATE(8675)] = 426567,
  [SMALL_STATE(8676)] = 426605,
  [SMALL_STATE(8677)] = 426643,
  [SMALL_STATE(8678)] = 426703,
  [SMALL_STATE(8679)] = 426743,
  [SMALL_STATE(8680)] = 426781,
  [SMALL_STATE(8681)] = 426819,
  [SMALL_STATE(8682)] = 426857,
  [SMALL_STATE(8683)] = 426899,
  [SMALL_STATE(8684)] = 426937,
  [SMALL_STATE(8685)] = 426975,
  [SMALL_STATE(8686)] = 427013,
  [SMALL_STATE(8687)] = 427051,
  [SMALL_STATE(8688)] = 427089,
  [SMALL_STATE(8689)] = 427127,
  [SMALL_STATE(8690)] = 427165,
  [SMALL_STATE(8691)] = 427203,
  [SMALL_STATE(8692)] = 427245,
  [SMALL_STATE(8693)] = 427289,
  [SMALL_STATE(8694)] = 427327,
  [SMALL_STATE(8695)] = 427365,
  [SMALL_STATE(8696)] = 427403,
  [SMALL_STATE(8697)] = 427441,
  [SMALL_STATE(8698)] = 427479,
  [SMALL_STATE(8699)] = 427517,
  [SMALL_STATE(8700)] = 427555,
  [SMALL_STATE(8701)] = 427593,
  [SMALL_STATE(8702)] = 427631,
  [SMALL_STATE(8703)] = 427669,
  [SMALL_STATE(8704)] = 427707,
  [SMALL_STATE(8705)] = 427765,
  [SMALL_STATE(8706)] = 427803,
  [SMALL_STATE(8707)] = 427841,
  [SMALL_STATE(8708)] = 427881,
  [SMALL_STATE(8709)] = 427919,
  [SMALL_STATE(8710)] = 427957,
  [SMALL_STATE(8711)] = 427995,
  [SMALL_STATE(8712)] = 428050,
  [SMALL_STATE(8713)] = 428087,
  [SMALL_STATE(8714)] = 428124,
  [SMALL_STATE(8715)] = 428161,
  [SMALL_STATE(8716)] = 428198,
  [SMALL_STATE(8717)] = 428253,
  [SMALL_STATE(8718)] = 428290,
  [SMALL_STATE(8719)] = 428327,
  [SMALL_STATE(8720)] = 428364,
  [SMALL_STATE(8721)] = 428419,
  [SMALL_STATE(8722)] = 428456,
  [SMALL_STATE(8723)] = 428493,
  [SMALL_STATE(8724)] = 428534,
  [SMALL_STATE(8725)] = 428571,
  [SMALL_STATE(8726)] = 428608,
  [SMALL_STATE(8727)] = 428645,
  [SMALL_STATE(8728)] = 428682,
  [SMALL_STATE(8729)] = 428737,
  [SMALL_STATE(8730)] = 428774,
  [SMALL_STATE(8731)] = 428829,
  [SMALL_STATE(8732)] = 428866,
  [SMALL_STATE(8733)] = 428903,
  [SMALL_STATE(8734)] = 428942,
  [SMALL_STATE(8735)] = 428979,
  [SMALL_STATE(8736)] = 429016,
  [SMALL_STATE(8737)] = 429071,
  [SMALL_STATE(8738)] = 429108,
  [SMALL_STATE(8739)] = 429145,
  [SMALL_STATE(8740)] = 429182,
  [SMALL_STATE(8741)] = 429237,
  [SMALL_STATE(8742)] = 429274,
  [SMALL_STATE(8743)] = 429329,
  [SMALL_STATE(8744)] = 429366,
  [SMALL_STATE(8745)] = 429403,
  [SMALL_STATE(8746)] = 429440,
  [SMALL_STATE(8747)] = 429477,
  [SMALL_STATE(8748)] = 429520,
  [SMALL_STATE(8749)] = 429557,
  [SMALL_STATE(8750)] = 429594,
  [SMALL_STATE(8751)] = 429631,
  [SMALL_STATE(8752)] = 429668,
  [SMALL_STATE(8753)] = 429705,
  [SMALL_STATE(8754)] = 429742,
  [SMALL_STATE(8755)] = 429797,
  [SMALL_STATE(8756)] = 429852,
  [SMALL_STATE(8757)] = 429889,
  [SMALL_STATE(8758)] = 429934,
  [SMALL_STATE(8759)] = 429971,
  [SMALL_STATE(8760)] = 430026,
  [SMALL_STATE(8761)] = 430063,
  [SMALL_STATE(8762)] = 430104,
  [SMALL_STATE(8763)] = 430165,
  [SMALL_STATE(8764)] = 430220,
  [SMALL_STATE(8765)] = 430257,
  [SMALL_STATE(8766)] = 430312,
  [SMALL_STATE(8767)] = 430349,
  [SMALL_STATE(8768)] = 430390,
  [SMALL_STATE(8769)] = 430427,
  [SMALL_STATE(8770)] = 430482,
  [SMALL_STATE(8771)] = 430519,
  [SMALL_STATE(8772)] = 430556,
  [SMALL_STATE(8773)] = 430595,
  [SMALL_STATE(8774)] = 430634,
  [SMALL_STATE(8775)] = 430689,
  [SMALL_STATE(8776)] = 430742,
  [SMALL_STATE(8777)] = 430779,
  [SMALL_STATE(8778)] = 430816,
  [SMALL_STATE(8779)] = 430853,
  [SMALL_STATE(8780)] = 430908,
  [SMALL_STATE(8781)] = 430963,
  [SMALL_STATE(8782)] = 431000,
  [SMALL_STATE(8783)] = 431037,
  [SMALL_STATE(8784)] = 431074,
  [SMALL_STATE(8785)] = 431113,
  [SMALL_STATE(8786)] = 431150,
  [SMALL_STATE(8787)] = 431189,
  [SMALL_STATE(8788)] = 431244,
  [SMALL_STATE(8789)] = 431281,
  [SMALL_STATE(8790)] = 431318,
  [SMALL_STATE(8791)] = 431357,
  [SMALL_STATE(8792)] = 431394,
  [SMALL_STATE(8793)] = 431449,
  [SMALL_STATE(8794)] = 431486,
  [SMALL_STATE(8795)] = 431523,
  [SMALL_STATE(8796)] = 431560,
  [SMALL_STATE(8797)] = 431597,
  [SMALL_STATE(8798)] = 431652,
  [SMALL_STATE(8799)] = 431705,
  [SMALL_STATE(8800)] = 431758,
  [SMALL_STATE(8801)] = 431795,
  [SMALL_STATE(8802)] = 431832,
  [SMALL_STATE(8803)] = 431869,
  [SMALL_STATE(8804)] = 431906,
  [SMALL_STATE(8805)] = 431945,
  [SMALL_STATE(8806)] = 431982,
  [SMALL_STATE(8807)] = 432019,
  [SMALL_STATE(8808)] = 432056,
  [SMALL_STATE(8809)] = 432093,
  [SMALL_STATE(8810)] = 432148,
  [SMALL_STATE(8811)] = 432197,
  [SMALL_STATE(8812)] = 432234,
  [SMALL_STATE(8813)] = 432273,
  [SMALL_STATE(8814)] = 432328,
  [SMALL_STATE(8815)] = 432365,
  [SMALL_STATE(8816)] = 432416,
  [SMALL_STATE(8817)] = 432471,
  [SMALL_STATE(8818)] = 432526,
  [SMALL_STATE(8819)] = 432563,
  [SMALL_STATE(8820)] = 432618,
  [SMALL_STATE(8821)] = 432669,
  [SMALL_STATE(8822)] = 432706,
  [SMALL_STATE(8823)] = 432743,
  [SMALL_STATE(8824)] = 432780,
  [SMALL_STATE(8825)] = 432817,
  [SMALL_STATE(8826)] = 432854,
  [SMALL_STATE(8827)] = 432909,
  [SMALL_STATE(8828)] = 432964,
  [SMALL_STATE(8829)] = 433001,
  [SMALL_STATE(8830)] = 433038,
  [SMALL_STATE(8831)] = 433075,
  [SMALL_STATE(8832)] = 433114,
  [SMALL_STATE(8833)] = 433151,
  [SMALL_STATE(8834)] = 433190,
  [SMALL_STATE(8835)] = 433227,
  [SMALL_STATE(8836)] = 433264,
  [SMALL_STATE(8837)] = 433313,
  [SMALL_STATE(8838)] = 433350,
  [SMALL_STATE(8839)] = 433405,
  [SMALL_STATE(8840)] = 433460,
  [SMALL_STATE(8841)] = 433497,
  [SMALL_STATE(8842)] = 433536,
  [SMALL_STATE(8843)] = 433579,
  [SMALL_STATE(8844)] = 433616,
  [SMALL_STATE(8845)] = 433653,
  [SMALL_STATE(8846)] = 433714,
  [SMALL_STATE(8847)] = 433769,
  [SMALL_STATE(8848)] = 433822,
  [SMALL_STATE(8849)] = 433859,
  [SMALL_STATE(8850)] = 433914,
  [SMALL_STATE(8851)] = 433951,
  [SMALL_STATE(8852)] = 433988,
  [SMALL_STATE(8853)] = 434025,
  [SMALL_STATE(8854)] = 434064,
  [SMALL_STATE(8855)] = 434101,
  [SMALL_STATE(8856)] = 434152,
  [SMALL_STATE(8857)] = 434189,
  [SMALL_STATE(8858)] = 434226,
  [SMALL_STATE(8859)] = 434263,
  [SMALL_STATE(8860)] = 434300,
  [SMALL_STATE(8861)] = 434337,
  [SMALL_STATE(8862)] = 434374,
  [SMALL_STATE(8863)] = 434415,
  [SMALL_STATE(8864)] = 434452,
  [SMALL_STATE(8865)] = 434489,
  [SMALL_STATE(8866)] = 434526,
  [SMALL_STATE(8867)] = 434563,
  [SMALL_STATE(8868)] = 434618,
  [SMALL_STATE(8869)] = 434655,
  [SMALL_STATE(8870)] = 434692,
  [SMALL_STATE(8871)] = 434747,
  [SMALL_STATE(8872)] = 434784,
  [SMALL_STATE(8873)] = 434821,
  [SMALL_STATE(8874)] = 434858,
  [SMALL_STATE(8875)] = 434895,
  [SMALL_STATE(8876)] = 434932,
  [SMALL_STATE(8877)] = 434987,
  [SMALL_STATE(8878)] = 435024,
  [SMALL_STATE(8879)] = 435077,
  [SMALL_STATE(8880)] = 435114,
  [SMALL_STATE(8881)] = 435169,
  [SMALL_STATE(8882)] = 435206,
  [SMALL_STATE(8883)] = 435245,
  [SMALL_STATE(8884)] = 435282,
  [SMALL_STATE(8885)] = 435319,
  [SMALL_STATE(8886)] = 435374,
  [SMALL_STATE(8887)] = 435413,
  [SMALL_STATE(8888)] = 435450,
  [SMALL_STATE(8889)] = 435505,
  [SMALL_STATE(8890)] = 435542,
  [SMALL_STATE(8891)] = 435585,
  [SMALL_STATE(8892)] = 435622,
  [SMALL_STATE(8893)] = 435659,
  [SMALL_STATE(8894)] = 435696,
  [SMALL_STATE(8895)] = 435733,
  [SMALL_STATE(8896)] = 435770,
  [SMALL_STATE(8897)] = 435807,
  [SMALL_STATE(8898)] = 435844,
  [SMALL_STATE(8899)] = 435881,
  [SMALL_STATE(8900)] = 435918,
  [SMALL_STATE(8901)] = 435955,
  [SMALL_STATE(8902)] = 435994,
  [SMALL_STATE(8903)] = 436049,
  [SMALL_STATE(8904)] = 436088,
  [SMALL_STATE(8905)] = 436125,
  [SMALL_STATE(8906)] = 436180,
  [SMALL_STATE(8907)] = 436235,
  [SMALL_STATE(8908)] = 436272,
  [SMALL_STATE(8909)] = 436309,
  [SMALL_STATE(8910)] = 436346,
  [SMALL_STATE(8911)] = 436383,
  [SMALL_STATE(8912)] = 436420,
  [SMALL_STATE(8913)] = 436457,
  [SMALL_STATE(8914)] = 436494,
  [SMALL_STATE(8915)] = 436549,
  [SMALL_STATE(8916)] = 436604,
  [SMALL_STATE(8917)] = 436643,
  [SMALL_STATE(8918)] = 436680,
  [SMALL_STATE(8919)] = 436719,
  [SMALL_STATE(8920)] = 436780,
  [SMALL_STATE(8921)] = 436825,
  [SMALL_STATE(8922)] = 436862,
  [SMALL_STATE(8923)] = 436899,
  [SMALL_STATE(8924)] = 436936,
  [SMALL_STATE(8925)] = 436973,
  [SMALL_STATE(8926)] = 437010,
  [SMALL_STATE(8927)] = 437047,
  [SMALL_STATE(8928)] = 437102,
  [SMALL_STATE(8929)] = 437157,
  [SMALL_STATE(8930)] = 437194,
  [SMALL_STATE(8931)] = 437231,
  [SMALL_STATE(8932)] = 437270,
  [SMALL_STATE(8933)] = 437307,
  [SMALL_STATE(8934)] = 437362,
  [SMALL_STATE(8935)] = 437399,
  [SMALL_STATE(8936)] = 437436,
  [SMALL_STATE(8937)] = 437473,
  [SMALL_STATE(8938)] = 437510,
  [SMALL_STATE(8939)] = 437547,
  [SMALL_STATE(8940)] = 437584,
  [SMALL_STATE(8941)] = 437621,
  [SMALL_STATE(8942)] = 437676,
  [SMALL_STATE(8943)] = 437713,
  [SMALL_STATE(8944)] = 437752,
  [SMALL_STATE(8945)] = 437789,
  [SMALL_STATE(8946)] = 437844,
  [SMALL_STATE(8947)] = 437887,
  [SMALL_STATE(8948)] = 437924,
  [SMALL_STATE(8949)] = 437961,
  [SMALL_STATE(8950)] = 437998,
  [SMALL_STATE(8951)] = 438035,
  [SMALL_STATE(8952)] = 438090,
  [SMALL_STATE(8953)] = 438127,
  [SMALL_STATE(8954)] = 438172,
  [SMALL_STATE(8955)] = 438215,
  [SMALL_STATE(8956)] = 438252,
  [SMALL_STATE(8957)] = 438307,
  [SMALL_STATE(8958)] = 438344,
  [SMALL_STATE(8959)] = 438381,
  [SMALL_STATE(8960)] = 438418,
  [SMALL_STATE(8961)] = 438455,
  [SMALL_STATE(8962)] = 438492,
  [SMALL_STATE(8963)] = 438531,
  [SMALL_STATE(8964)] = 438568,
  [SMALL_STATE(8965)] = 438623,
  [SMALL_STATE(8966)] = 438678,
  [SMALL_STATE(8967)] = 438733,
  [SMALL_STATE(8968)] = 438770,
  [SMALL_STATE(8969)] = 438807,
  [SMALL_STATE(8970)] = 438844,
  [SMALL_STATE(8971)] = 438881,
  [SMALL_STATE(8972)] = 438918,
  [SMALL_STATE(8973)] = 438955,
  [SMALL_STATE(8974)] = 438994,
  [SMALL_STATE(8975)] = 439031,
  [SMALL_STATE(8976)] = 439068,
  [SMALL_STATE(8977)] = 439105,
  [SMALL_STATE(8978)] = 439142,
  [SMALL_STATE(8979)] = 439207,
  [SMALL_STATE(8980)] = 439262,
  [SMALL_STATE(8981)] = 439299,
  [SMALL_STATE(8982)] = 439354,
  [SMALL_STATE(8983)] = 439391,
  [SMALL_STATE(8984)] = 439428,
  [SMALL_STATE(8985)] = 439465,
  [SMALL_STATE(8986)] = 439502,
  [SMALL_STATE(8987)] = 439557,
  [SMALL_STATE(8988)] = 439608,
  [SMALL_STATE(8989)] = 439665,
  [SMALL_STATE(8990)] = 439718,
  [SMALL_STATE(8991)] = 439755,
  [SMALL_STATE(8992)] = 439792,
  [SMALL_STATE(8993)] = 439847,
  [SMALL_STATE(8994)] = 439902,
  [SMALL_STATE(8995)] = 439939,
  [SMALL_STATE(8996)] = 439976,
  [SMALL_STATE(8997)] = 440013,
  [SMALL_STATE(8998)] = 440068,
  [SMALL_STATE(8999)] = 440105,
  [SMALL_STATE(9000)] = 440142,
  [SMALL_STATE(9001)] = 440197,
  [SMALL_STATE(9002)] = 440234,
  [SMALL_STATE(9003)] = 440271,
  [SMALL_STATE(9004)] = 440308,
  [SMALL_STATE(9005)] = 440363,
  [SMALL_STATE(9006)] = 440400,
  [SMALL_STATE(9007)] = 440437,
  [SMALL_STATE(9008)] = 440474,
  [SMALL_STATE(9009)] = 440529,
  [SMALL_STATE(9010)] = 440570,
  [SMALL_STATE(9011)] = 440607,
  [SMALL_STATE(9012)] = 440662,
  [SMALL_STATE(9013)] = 440701,
  [SMALL_STATE(9014)] = 440738,
  [SMALL_STATE(9015)] = 440791,
  [SMALL_STATE(9016)] = 440828,
  [SMALL_STATE(9017)] = 440883,
  [SMALL_STATE(9018)] = 440920,
  [SMALL_STATE(9019)] = 440957,
  [SMALL_STATE(9020)] = 440994,
  [SMALL_STATE(9021)] = 441031,
  [SMALL_STATE(9022)] = 441068,
  [SMALL_STATE(9023)] = 441105,
  [SMALL_STATE(9024)] = 441142,
  [SMALL_STATE(9025)] = 441179,
  [SMALL_STATE(9026)] = 441234,
  [SMALL_STATE(9027)] = 441271,
  [SMALL_STATE(9028)] = 441310,
  [SMALL_STATE(9029)] = 441353,
  [SMALL_STATE(9030)] = 441408,
  [SMALL_STATE(9031)] = 441445,
  [SMALL_STATE(9032)] = 441482,
  [SMALL_STATE(9033)] = 441519,
  [SMALL_STATE(9034)] = 441556,
  [SMALL_STATE(9035)] = 441593,
  [SMALL_STATE(9036)] = 441630,
  [SMALL_STATE(9037)] = 441667,
  [SMALL_STATE(9038)] = 441718,
  [SMALL_STATE(9039)] = 441773,
  [SMALL_STATE(9040)] = 441810,
  [SMALL_STATE(9041)] = 441847,
  [SMALL_STATE(9042)] = 441884,
  [SMALL_STATE(9043)] = 441921,
  [SMALL_STATE(9044)] = 441958,
  [SMALL_STATE(9045)] = 441995,
  [SMALL_STATE(9046)] = 442050,
  [SMALL_STATE(9047)] = 442091,
  [SMALL_STATE(9048)] = 442146,
  [SMALL_STATE(9049)] = 442183,
  [SMALL_STATE(9050)] = 442222,
  [SMALL_STATE(9051)] = 442265,
  [SMALL_STATE(9052)] = 442302,
  [SMALL_STATE(9053)] = 442339,
  [SMALL_STATE(9054)] = 442394,
  [SMALL_STATE(9055)] = 442431,
  [SMALL_STATE(9056)] = 442468,
  [SMALL_STATE(9057)] = 442523,
  [SMALL_STATE(9058)] = 442560,
  [SMALL_STATE(9059)] = 442597,
  [SMALL_STATE(9060)] = 442652,
  [SMALL_STATE(9061)] = 442689,
  [SMALL_STATE(9062)] = 442726,
  [SMALL_STATE(9063)] = 442781,
  [SMALL_STATE(9064)] = 442822,
  [SMALL_STATE(9065)] = 442859,
  [SMALL_STATE(9066)] = 442898,
  [SMALL_STATE(9067)] = 442935,
  [SMALL_STATE(9068)] = 442972,
  [SMALL_STATE(9069)] = 443009,
  [SMALL_STATE(9070)] = 443046,
  [SMALL_STATE(9071)] = 443083,
  [SMALL_STATE(9072)] = 443120,
  [SMALL_STATE(9073)] = 443175,
  [SMALL_STATE(9074)] = 443218,
  [SMALL_STATE(9075)] = 443273,
  [SMALL_STATE(9076)] = 443310,
  [SMALL_STATE(9077)] = 443347,
  [SMALL_STATE(9078)] = 443384,
  [SMALL_STATE(9079)] = 443439,
  [SMALL_STATE(9080)] = 443476,
  [SMALL_STATE(9081)] = 443513,
  [SMALL_STATE(9082)] = 443568,
  [SMALL_STATE(9083)] = 443623,
  [SMALL_STATE(9084)] = 443660,
  [SMALL_STATE(9085)] = 443697,
  [SMALL_STATE(9086)] = 443734,
  [SMALL_STATE(9087)] = 443771,
  [SMALL_STATE(9088)] = 443808,
  [SMALL_STATE(9089)] = 443863,
  [SMALL_STATE(9090)] = 443900,
  [SMALL_STATE(9091)] = 443937,
  [SMALL_STATE(9092)] = 443974,
  [SMALL_STATE(9093)] = 444015,
  [SMALL_STATE(9094)] = 444052,
  [SMALL_STATE(9095)] = 444107,
  [SMALL_STATE(9096)] = 444148,
  [SMALL_STATE(9097)] = 444185,
  [SMALL_STATE(9098)] = 444222,
  [SMALL_STATE(9099)] = 444259,
  [SMALL_STATE(9100)] = 444296,
  [SMALL_STATE(9101)] = 444333,
  [SMALL_STATE(9102)] = 444370,
  [SMALL_STATE(9103)] = 444407,
  [SMALL_STATE(9104)] = 444444,
  [SMALL_STATE(9105)] = 444499,
  [SMALL_STATE(9106)] = 444536,
  [SMALL_STATE(9107)] = 444573,
  [SMALL_STATE(9108)] = 444610,
  [SMALL_STATE(9109)] = 444665,
  [SMALL_STATE(9110)] = 444702,
  [SMALL_STATE(9111)] = 444739,
  [SMALL_STATE(9112)] = 444776,
  [SMALL_STATE(9113)] = 444817,
  [SMALL_STATE(9114)] = 444872,
  [SMALL_STATE(9115)] = 444911,
  [SMALL_STATE(9116)] = 444950,
  [SMALL_STATE(9117)] = 444987,
  [SMALL_STATE(9118)] = 445028,
  [SMALL_STATE(9119)] = 445083,
  [SMALL_STATE(9120)] = 445120,
  [SMALL_STATE(9121)] = 445157,
  [SMALL_STATE(9122)] = 445194,
  [SMALL_STATE(9123)] = 445249,
  [SMALL_STATE(9124)] = 445286,
  [SMALL_STATE(9125)] = 445329,
  [SMALL_STATE(9126)] = 445372,
  [SMALL_STATE(9127)] = 445409,
  [SMALL_STATE(9128)] = 445446,
  [SMALL_STATE(9129)] = 445501,
  [SMALL_STATE(9130)] = 445538,
  [SMALL_STATE(9131)] = 445575,
  [SMALL_STATE(9132)] = 445612,
  [SMALL_STATE(9133)] = 445649,
  [SMALL_STATE(9134)] = 445686,
  [SMALL_STATE(9135)] = 445723,
  [SMALL_STATE(9136)] = 445760,
  [SMALL_STATE(9137)] = 445815,
  [SMALL_STATE(9138)] = 445852,
  [SMALL_STATE(9139)] = 445889,
  [SMALL_STATE(9140)] = 445932,
  [SMALL_STATE(9141)] = 445987,
  [SMALL_STATE(9142)] = 446024,
  [SMALL_STATE(9143)] = 446061,
  [SMALL_STATE(9144)] = 446098,
  [SMALL_STATE(9145)] = 446135,
  [SMALL_STATE(9146)] = 446172,
  [SMALL_STATE(9147)] = 446227,
  [SMALL_STATE(9148)] = 446280,
  [SMALL_STATE(9149)] = 446317,
  [SMALL_STATE(9150)] = 446354,
  [SMALL_STATE(9151)] = 446397,
  [SMALL_STATE(9152)] = 446438,
  [SMALL_STATE(9153)] = 446475,
  [SMALL_STATE(9154)] = 446512,
  [SMALL_STATE(9155)] = 446549,
  [SMALL_STATE(9156)] = 446604,
  [SMALL_STATE(9157)] = 446641,
  [SMALL_STATE(9158)] = 446678,
  [SMALL_STATE(9159)] = 446715,
  [SMALL_STATE(9160)] = 446752,
  [SMALL_STATE(9161)] = 446807,
  [SMALL_STATE(9162)] = 446844,
  [SMALL_STATE(9163)] = 446881,
  [SMALL_STATE(9164)] = 446918,
  [SMALL_STATE(9165)] = 446955,
  [SMALL_STATE(9166)] = 446992,
  [SMALL_STATE(9167)] = 447033,
  [SMALL_STATE(9168)] = 447074,
  [SMALL_STATE(9169)] = 447129,
  [SMALL_STATE(9170)] = 447184,
  [SMALL_STATE(9171)] = 447239,
  [SMALL_STATE(9172)] = 447276,
  [SMALL_STATE(9173)] = 447331,
  [SMALL_STATE(9174)] = 447368,
  [SMALL_STATE(9175)] = 447405,
  [SMALL_STATE(9176)] = 447442,
  [SMALL_STATE(9177)] = 447479,
  [SMALL_STATE(9178)] = 447534,
  [SMALL_STATE(9179)] = 447571,
  [SMALL_STATE(9180)] = 447608,
  [SMALL_STATE(9181)] = 447645,
  [SMALL_STATE(9182)] = 447682,
  [SMALL_STATE(9183)] = 447719,
  [SMALL_STATE(9184)] = 447756,
  [SMALL_STATE(9185)] = 447799,
  [SMALL_STATE(9186)] = 447854,
  [SMALL_STATE(9187)] = 447891,
  [SMALL_STATE(9188)] = 447928,
  [SMALL_STATE(9189)] = 447977,
  [SMALL_STATE(9190)] = 448014,
  [SMALL_STATE(9191)] = 448069,
  [SMALL_STATE(9192)] = 448106,
  [SMALL_STATE(9193)] = 448143,
  [SMALL_STATE(9194)] = 448198,
  [SMALL_STATE(9195)] = 448237,
  [SMALL_STATE(9196)] = 448274,
  [SMALL_STATE(9197)] = 448311,
  [SMALL_STATE(9198)] = 448348,
  [SMALL_STATE(9199)] = 448385,
  [SMALL_STATE(9200)] = 448422,
  [SMALL_STATE(9201)] = 448459,
  [SMALL_STATE(9202)] = 448514,
  [SMALL_STATE(9203)] = 448551,
  [SMALL_STATE(9204)] = 448588,
  [SMALL_STATE(9205)] = 448625,
  [SMALL_STATE(9206)] = 448662,
  [SMALL_STATE(9207)] = 448699,
  [SMALL_STATE(9208)] = 448736,
  [SMALL_STATE(9209)] = 448773,
  [SMALL_STATE(9210)] = 448810,
  [SMALL_STATE(9211)] = 448847,
  [SMALL_STATE(9212)] = 448884,
  [SMALL_STATE(9213)] = 448925,
  [SMALL_STATE(9214)] = 448978,
  [SMALL_STATE(9215)] = 449033,
  [SMALL_STATE(9216)] = 449070,
  [SMALL_STATE(9217)] = 449107,
  [SMALL_STATE(9218)] = 449144,
  [SMALL_STATE(9219)] = 449197,
  [SMALL_STATE(9220)] = 449234,
  [SMALL_STATE(9221)] = 449271,
  [SMALL_STATE(9222)] = 449322,
  [SMALL_STATE(9223)] = 449361,
  [SMALL_STATE(9224)] = 449412,
  [SMALL_STATE(9225)] = 449449,
  [SMALL_STATE(9226)] = 449486,
  [SMALL_STATE(9227)] = 449523,
  [SMALL_STATE(9228)] = 449578,
  [SMALL_STATE(9229)] = 449633,
  [SMALL_STATE(9230)] = 449672,
  [SMALL_STATE(9231)] = 449725,
  [SMALL_STATE(9232)] = 449764,
  [SMALL_STATE(9233)] = 449801,
  [SMALL_STATE(9234)] = 449838,
  [SMALL_STATE(9235)] = 449875,
  [SMALL_STATE(9236)] = 449912,
  [SMALL_STATE(9237)] = 449967,
  [SMALL_STATE(9238)] = 450004,
  [SMALL_STATE(9239)] = 450043,
  [SMALL_STATE(9240)] = 450080,
  [SMALL_STATE(9241)] = 450117,
  [SMALL_STATE(9242)] = 450154,
  [SMALL_STATE(9243)] = 450209,
  [SMALL_STATE(9244)] = 450246,
  [SMALL_STATE(9245)] = 450299,
  [SMALL_STATE(9246)] = 450338,
  [SMALL_STATE(9247)] = 450375,
  [SMALL_STATE(9248)] = 450412,
  [SMALL_STATE(9249)] = 450461,
  [SMALL_STATE(9250)] = 450498,
  [SMALL_STATE(9251)] = 450535,
  [SMALL_STATE(9252)] = 450572,
  [SMALL_STATE(9253)] = 450609,
  [SMALL_STATE(9254)] = 450646,
  [SMALL_STATE(9255)] = 450683,
  [SMALL_STATE(9256)] = 450738,
  [SMALL_STATE(9257)] = 450775,
  [SMALL_STATE(9258)] = 450820,
  [SMALL_STATE(9259)] = 450861,
  [SMALL_STATE(9260)] = 450916,
  [SMALL_STATE(9261)] = 450953,
  [SMALL_STATE(9262)] = 450990,
  [SMALL_STATE(9263)] = 451027,
  [SMALL_STATE(9264)] = 451064,
  [SMALL_STATE(9265)] = 451117,
  [SMALL_STATE(9266)] = 451160,
  [SMALL_STATE(9267)] = 451197,
  [SMALL_STATE(9268)] = 451234,
  [SMALL_STATE(9269)] = 451271,
  [SMALL_STATE(9270)] = 451308,
  [SMALL_STATE(9271)] = 451345,
  [SMALL_STATE(9272)] = 451400,
  [SMALL_STATE(9273)] = 451455,
  [SMALL_STATE(9274)] = 451492,
  [SMALL_STATE(9275)] = 451529,
  [SMALL_STATE(9276)] = 451566,
  [SMALL_STATE(9277)] = 451607,
  [SMALL_STATE(9278)] = 451644,
  [SMALL_STATE(9279)] = 451681,
  [SMALL_STATE(9280)] = 451736,
  [SMALL_STATE(9281)] = 451773,
  [SMALL_STATE(9282)] = 451810,
  [SMALL_STATE(9283)] = 451847,
  [SMALL_STATE(9284)] = 451888,
  [SMALL_STATE(9285)] = 451925,
  [SMALL_STATE(9286)] = 451962,
  [SMALL_STATE(9287)] = 452017,
  [SMALL_STATE(9288)] = 452054,
  [SMALL_STATE(9289)] = 452091,
  [SMALL_STATE(9290)] = 452130,
  [SMALL_STATE(9291)] = 452167,
  [SMALL_STATE(9292)] = 452204,
  [SMALL_STATE(9293)] = 452241,
  [SMALL_STATE(9294)] = 452278,
  [SMALL_STATE(9295)] = 452315,
  [SMALL_STATE(9296)] = 452370,
  [SMALL_STATE(9297)] = 452407,
  [SMALL_STATE(9298)] = 452444,
  [SMALL_STATE(9299)] = 452485,
  [SMALL_STATE(9300)] = 452522,
  [SMALL_STATE(9301)] = 452559,
  [SMALL_STATE(9302)] = 452614,
  [SMALL_STATE(9303)] = 452651,
  [SMALL_STATE(9304)] = 452688,
  [SMALL_STATE(9305)] = 452725,
  [SMALL_STATE(9306)] = 452762,
  [SMALL_STATE(9307)] = 452799,
  [SMALL_STATE(9308)] = 452836,
  [SMALL_STATE(9309)] = 452873,
  [SMALL_STATE(9310)] = 452910,
  [SMALL_STATE(9311)] = 452965,
  [SMALL_STATE(9312)] = 453002,
  [SMALL_STATE(9313)] = 453041,
  [SMALL_STATE(9314)] = 453078,
  [SMALL_STATE(9315)] = 453115,
  [SMALL_STATE(9316)] = 453152,
  [SMALL_STATE(9317)] = 453189,
  [SMALL_STATE(9318)] = 453226,
  [SMALL_STATE(9319)] = 453263,
  [SMALL_STATE(9320)] = 453300,
  [SMALL_STATE(9321)] = 453355,
  [SMALL_STATE(9322)] = 453410,
  [SMALL_STATE(9323)] = 453447,
  [SMALL_STATE(9324)] = 453484,
  [SMALL_STATE(9325)] = 453521,
  [SMALL_STATE(9326)] = 453558,
  [SMALL_STATE(9327)] = 453596,
  [SMALL_STATE(9328)] = 453642,
  [SMALL_STATE(9329)] = 453682,
  [SMALL_STATE(9330)] = 453718,
  [SMALL_STATE(9331)] = 453754,
  [SMALL_STATE(9332)] = 453790,
  [SMALL_STATE(9333)] = 453826,
  [SMALL_STATE(9334)] = 453862,
  [SMALL_STATE(9335)] = 453898,
  [SMALL_STATE(9336)] = 453938,
  [SMALL_STATE(9337)] = 453980,
  [SMALL_STATE(9338)] = 454016,
  [SMALL_STATE(9339)] = 454052,
  [SMALL_STATE(9340)] = 454088,
  [SMALL_STATE(9341)] = 454126,
  [SMALL_STATE(9342)] = 454162,
  [SMALL_STATE(9343)] = 454198,
  [SMALL_STATE(9344)] = 454250,
  [SMALL_STATE(9345)] = 454290,
  [SMALL_STATE(9346)] = 454328,
  [SMALL_STATE(9347)] = 454364,
  [SMALL_STATE(9348)] = 454400,
  [SMALL_STATE(9349)] = 454436,
  [SMALL_STATE(9350)] = 454472,
  [SMALL_STATE(9351)] = 454510,
  [SMALL_STATE(9352)] = 454546,
  [SMALL_STATE(9353)] = 454582,
  [SMALL_STATE(9354)] = 454622,
  [SMALL_STATE(9355)] = 454658,
  [SMALL_STATE(9356)] = 454694,
  [SMALL_STATE(9357)] = 454730,
  [SMALL_STATE(9358)] = 454768,
  [SMALL_STATE(9359)] = 454804,
  [SMALL_STATE(9360)] = 454840,
  [SMALL_STATE(9361)] = 454876,
  [SMALL_STATE(9362)] = 454912,
  [SMALL_STATE(9363)] = 454964,
  [SMALL_STATE(9364)] = 455000,
  [SMALL_STATE(9365)] = 455036,
  [SMALL_STATE(9366)] = 455072,
  [SMALL_STATE(9367)] = 455108,
  [SMALL_STATE(9368)] = 455144,
  [SMALL_STATE(9369)] = 455180,
  [SMALL_STATE(9370)] = 455216,
  [SMALL_STATE(9371)] = 455262,
  [SMALL_STATE(9372)] = 455298,
  [SMALL_STATE(9373)] = 455334,
  [SMALL_STATE(9374)] = 455370,
  [SMALL_STATE(9375)] = 455406,
  [SMALL_STATE(9376)] = 455442,
  [SMALL_STATE(9377)] = 455478,
  [SMALL_STATE(9378)] = 455514,
  [SMALL_STATE(9379)] = 455550,
  [SMALL_STATE(9380)] = 455586,
  [SMALL_STATE(9381)] = 455622,
  [SMALL_STATE(9382)] = 455658,
  [SMALL_STATE(9383)] = 455694,
  [SMALL_STATE(9384)] = 455730,
  [SMALL_STATE(9385)] = 455766,
  [SMALL_STATE(9386)] = 455802,
  [SMALL_STATE(9387)] = 455838,
  [SMALL_STATE(9388)] = 455874,
  [SMALL_STATE(9389)] = 455910,
  [SMALL_STATE(9390)] = 455946,
  [SMALL_STATE(9391)] = 455982,
  [SMALL_STATE(9392)] = 456018,
  [SMALL_STATE(9393)] = 456054,
  [SMALL_STATE(9394)] = 456090,
  [SMALL_STATE(9395)] = 456126,
  [SMALL_STATE(9396)] = 456162,
  [SMALL_STATE(9397)] = 456200,
  [SMALL_STATE(9398)] = 456236,
  [SMALL_STATE(9399)] = 456272,
  [SMALL_STATE(9400)] = 456308,
  [SMALL_STATE(9401)] = 456344,
  [SMALL_STATE(9402)] = 456384,
  [SMALL_STATE(9403)] = 456424,
  [SMALL_STATE(9404)] = 456460,
  [SMALL_STATE(9405)] = 456500,
  [SMALL_STATE(9406)] = 456536,
  [SMALL_STATE(9407)] = 456572,
  [SMALL_STATE(9408)] = 456608,
  [SMALL_STATE(9409)] = 456644,
  [SMALL_STATE(9410)] = 456696,
  [SMALL_STATE(9411)] = 456734,
  [SMALL_STATE(9412)] = 456776,
  [SMALL_STATE(9413)] = 456822,
  [SMALL_STATE(9414)] = 456858,
  [SMALL_STATE(9415)] = 456910,
  [SMALL_STATE(9416)] = 456956,
  [SMALL_STATE(9417)] = 456992,
  [SMALL_STATE(9418)] = 457028,
  [SMALL_STATE(9419)] = 457064,
  [SMALL_STATE(9420)] = 457100,
  [SMALL_STATE(9421)] = 457152,
  [SMALL_STATE(9422)] = 457188,
  [SMALL_STATE(9423)] = 457224,
  [SMALL_STATE(9424)] = 457260,
  [SMALL_STATE(9425)] = 457296,
  [SMALL_STATE(9426)] = 457332,
  [SMALL_STATE(9427)] = 457368,
  [SMALL_STATE(9428)] = 457404,
  [SMALL_STATE(9429)] = 457440,
  [SMALL_STATE(9430)] = 457476,
  [SMALL_STATE(9431)] = 457512,
  [SMALL_STATE(9432)] = 457548,
  [SMALL_STATE(9433)] = 457584,
  [SMALL_STATE(9434)] = 457620,
  [SMALL_STATE(9435)] = 457656,
  [SMALL_STATE(9436)] = 457692,
  [SMALL_STATE(9437)] = 457744,
  [SMALL_STATE(9438)] = 457780,
  [SMALL_STATE(9439)] = 457816,
  [SMALL_STATE(9440)] = 457852,
  [SMALL_STATE(9441)] = 457890,
  [SMALL_STATE(9442)] = 457926,
  [SMALL_STATE(9443)] = 457966,
  [SMALL_STATE(9444)] = 458002,
  [SMALL_STATE(9445)] = 458038,
  [SMALL_STATE(9446)] = 458074,
  [SMALL_STATE(9447)] = 458116,
  [SMALL_STATE(9448)] = 458152,
  [SMALL_STATE(9449)] = 458188,
  [SMALL_STATE(9450)] = 458224,
  [SMALL_STATE(9451)] = 458260,
  [SMALL_STATE(9452)] = 458296,
  [SMALL_STATE(9453)] = 458332,
  [SMALL_STATE(9454)] = 458368,
  [SMALL_STATE(9455)] = 458404,
  [SMALL_STATE(9456)] = 458440,
  [SMALL_STATE(9457)] = 458476,
  [SMALL_STATE(9458)] = 458512,
  [SMALL_STATE(9459)] = 458548,
  [SMALL_STATE(9460)] = 458584,
  [SMALL_STATE(9461)] = 458620,
  [SMALL_STATE(9462)] = 458658,
  [SMALL_STATE(9463)] = 458694,
  [SMALL_STATE(9464)] = 458730,
  [SMALL_STATE(9465)] = 458766,
  [SMALL_STATE(9466)] = 458802,
  [SMALL_STATE(9467)] = 458848,
  [SMALL_STATE(9468)] = 458884,
  [SMALL_STATE(9469)] = 458922,
  [SMALL_STATE(9470)] = 458958,
  [SMALL_STATE(9471)] = 458994,
  [SMALL_STATE(9472)] = 459034,
  [SMALL_STATE(9473)] = 459072,
  [SMALL_STATE(9474)] = 459114,
  [SMALL_STATE(9475)] = 459150,
  [SMALL_STATE(9476)] = 459190,
  [SMALL_STATE(9477)] = 459226,
  [SMALL_STATE(9478)] = 459272,
  [SMALL_STATE(9479)] = 459318,
  [SMALL_STATE(9480)] = 459354,
  [SMALL_STATE(9481)] = 459390,
  [SMALL_STATE(9482)] = 459442,
  [SMALL_STATE(9483)] = 459478,
  [SMALL_STATE(9484)] = 459514,
  [SMALL_STATE(9485)] = 459550,
  [SMALL_STATE(9486)] = 459586,
  [SMALL_STATE(9487)] = 459636,
  [SMALL_STATE(9488)] = 459682,
  [SMALL_STATE(9489)] = 459718,
  [SMALL_STATE(9490)] = 459754,
  [SMALL_STATE(9491)] = 459790,
  [SMALL_STATE(9492)] = 459826,
  [SMALL_STATE(9493)] = 459862,
  [SMALL_STATE(9494)] = 459898,
  [SMALL_STATE(9495)] = 459934,
  [SMALL_STATE(9496)] = 459970,
  [SMALL_STATE(9497)] = 460006,
  [SMALL_STATE(9498)] = 460042,
  [SMALL_STATE(9499)] = 460078,
  [SMALL_STATE(9500)] = 460114,
  [SMALL_STATE(9501)] = 460150,
  [SMALL_STATE(9502)] = 460192,
  [SMALL_STATE(9503)] = 460228,
  [SMALL_STATE(9504)] = 460266,
  [SMALL_STATE(9505)] = 460302,
  [SMALL_STATE(9506)] = 460338,
  [SMALL_STATE(9507)] = 460374,
  [SMALL_STATE(9508)] = 460410,
  [SMALL_STATE(9509)] = 460452,
  [SMALL_STATE(9510)] = 460486,
  [SMALL_STATE(9511)] = 460536,
  [SMALL_STATE(9512)] = 460572,
  [SMALL_STATE(9513)] = 460608,
  [SMALL_STATE(9514)] = 460650,
  [SMALL_STATE(9515)] = 460686,
  [SMALL_STATE(9516)] = 460738,
  [SMALL_STATE(9517)] = 460778,
  [SMALL_STATE(9518)] = 460814,
  [SMALL_STATE(9519)] = 460850,
  [SMALL_STATE(9520)] = 460900,
  [SMALL_STATE(9521)] = 460950,
  [SMALL_STATE(9522)] = 460986,
  [SMALL_STATE(9523)] = 461024,
  [SMALL_STATE(9524)] = 461062,
  [SMALL_STATE(9525)] = 461098,
  [SMALL_STATE(9526)] = 461134,
  [SMALL_STATE(9527)] = 461186,
  [SMALL_STATE(9528)] = 461222,
  [SMALL_STATE(9529)] = 461258,
  [SMALL_STATE(9530)] = 461294,
  [SMALL_STATE(9531)] = 461332,
  [SMALL_STATE(9532)] = 461368,
  [SMALL_STATE(9533)] = 461404,
  [SMALL_STATE(9534)] = 461456,
  [SMALL_STATE(9535)] = 461492,
  [SMALL_STATE(9536)] = 461528,
  [SMALL_STATE(9537)] = 461564,
  [SMALL_STATE(9538)] = 461610,
  [SMALL_STATE(9539)] = 461662,
  [SMALL_STATE(9540)] = 461698,
  [SMALL_STATE(9541)] = 461734,
  [SMALL_STATE(9542)] = 461770,
  [SMALL_STATE(9543)] = 461806,
  [SMALL_STATE(9544)] = 461842,
  [SMALL_STATE(9545)] = 461878,
  [SMALL_STATE(9546)] = 461914,
  [SMALL_STATE(9547)] = 461954,
  [SMALL_STATE(9548)] = 461990,
  [SMALL_STATE(9549)] = 462026,
  [SMALL_STATE(9550)] = 462062,
  [SMALL_STATE(9551)] = 462098,
  [SMALL_STATE(9552)] = 462134,
  [SMALL_STATE(9553)] = 462170,
  [SMALL_STATE(9554)] = 462206,
  [SMALL_STATE(9555)] = 462242,
  [SMALL_STATE(9556)] = 462278,
  [SMALL_STATE(9557)] = 462314,
  [SMALL_STATE(9558)] = 462350,
  [SMALL_STATE(9559)] = 462390,
  [SMALL_STATE(9560)] = 462426,
  [SMALL_STATE(9561)] = 462462,
  [SMALL_STATE(9562)] = 462498,
  [SMALL_STATE(9563)] = 462538,
  [SMALL_STATE(9564)] = 462574,
  [SMALL_STATE(9565)] = 462614,
  [SMALL_STATE(9566)] = 462650,
  [SMALL_STATE(9567)] = 462686,
  [SMALL_STATE(9568)] = 462722,
  [SMALL_STATE(9569)] = 462758,
  [SMALL_STATE(9570)] = 462794,
  [SMALL_STATE(9571)] = 462830,
  [SMALL_STATE(9572)] = 462866,
  [SMALL_STATE(9573)] = 462902,
  [SMALL_STATE(9574)] = 462938,
  [SMALL_STATE(9575)] = 462974,
  [SMALL_STATE(9576)] = 463012,
  [SMALL_STATE(9577)] = 463048,
  [SMALL_STATE(9578)] = 463088,
  [SMALL_STATE(9579)] = 463124,
  [SMALL_STATE(9580)] = 463160,
  [SMALL_STATE(9581)] = 463196,
  [SMALL_STATE(9582)] = 463232,
  [SMALL_STATE(9583)] = 463268,
  [SMALL_STATE(9584)] = 463304,
  [SMALL_STATE(9585)] = 463344,
  [SMALL_STATE(9586)] = 463380,
  [SMALL_STATE(9587)] = 463416,
  [SMALL_STATE(9588)] = 463468,
  [SMALL_STATE(9589)] = 463504,
  [SMALL_STATE(9590)] = 463540,
  [SMALL_STATE(9591)] = 463576,
  [SMALL_STATE(9592)] = 463612,
  [SMALL_STATE(9593)] = 463658,
  [SMALL_STATE(9594)] = 463694,
  [SMALL_STATE(9595)] = 463730,
  [SMALL_STATE(9596)] = 463766,
  [SMALL_STATE(9597)] = 463802,
  [SMALL_STATE(9598)] = 463838,
  [SMALL_STATE(9599)] = 463874,
  [SMALL_STATE(9600)] = 463910,
  [SMALL_STATE(9601)] = 463946,
  [SMALL_STATE(9602)] = 463982,
  [SMALL_STATE(9603)] = 464032,
  [SMALL_STATE(9604)] = 464068,
  [SMALL_STATE(9605)] = 464114,
  [SMALL_STATE(9606)] = 464150,
  [SMALL_STATE(9607)] = 464186,
  [SMALL_STATE(9608)] = 464224,
  [SMALL_STATE(9609)] = 464260,
  [SMALL_STATE(9610)] = 464296,
  [SMALL_STATE(9611)] = 464342,
  [SMALL_STATE(9612)] = 464378,
  [SMALL_STATE(9613)] = 464414,
  [SMALL_STATE(9614)] = 464456,
  [SMALL_STATE(9615)] = 464492,
  [SMALL_STATE(9616)] = 464528,
  [SMALL_STATE(9617)] = 464564,
  [SMALL_STATE(9618)] = 464600,
  [SMALL_STATE(9619)] = 464636,
  [SMALL_STATE(9620)] = 464672,
  [SMALL_STATE(9621)] = 464718,
  [SMALL_STATE(9622)] = 464754,
  [SMALL_STATE(9623)] = 464790,
  [SMALL_STATE(9624)] = 464826,
  [SMALL_STATE(9625)] = 464868,
  [SMALL_STATE(9626)] = 464904,
  [SMALL_STATE(9627)] = 464940,
  [SMALL_STATE(9628)] = 464976,
  [SMALL_STATE(9629)] = 465028,
  [SMALL_STATE(9630)] = 465064,
  [SMALL_STATE(9631)] = 465104,
  [SMALL_STATE(9632)] = 465140,
  [SMALL_STATE(9633)] = 465176,
  [SMALL_STATE(9634)] = 465222,
  [SMALL_STATE(9635)] = 465258,
  [SMALL_STATE(9636)] = 465294,
  [SMALL_STATE(9637)] = 465332,
  [SMALL_STATE(9638)] = 465384,
  [SMALL_STATE(9639)] = 465420,
  [SMALL_STATE(9640)] = 465456,
  [SMALL_STATE(9641)] = 465492,
  [SMALL_STATE(9642)] = 465528,
  [SMALL_STATE(9643)] = 465564,
  [SMALL_STATE(9644)] = 465600,
  [SMALL_STATE(9645)] = 465636,
  [SMALL_STATE(9646)] = 465672,
  [SMALL_STATE(9647)] = 465708,
  [SMALL_STATE(9648)] = 465744,
  [SMALL_STATE(9649)] = 465780,
  [SMALL_STATE(9650)] = 465816,
  [SMALL_STATE(9651)] = 465852,
  [SMALL_STATE(9652)] = 465888,
  [SMALL_STATE(9653)] = 465924,
  [SMALL_STATE(9654)] = 465964,
  [SMALL_STATE(9655)] = 466014,
  [SMALL_STATE(9656)] = 466050,
  [SMALL_STATE(9657)] = 466086,
  [SMALL_STATE(9658)] = 466122,
  [SMALL_STATE(9659)] = 466158,
  [SMALL_STATE(9660)] = 466194,
  [SMALL_STATE(9661)] = 466230,
  [SMALL_STATE(9662)] = 466266,
  [SMALL_STATE(9663)] = 466302,
  [SMALL_STATE(9664)] = 466340,
  [SMALL_STATE(9665)] = 466386,
  [SMALL_STATE(9666)] = 466422,
  [SMALL_STATE(9667)] = 466458,
  [SMALL_STATE(9668)] = 466510,
  [SMALL_STATE(9669)] = 466550,
  [SMALL_STATE(9670)] = 466586,
  [SMALL_STATE(9671)] = 466632,
  [SMALL_STATE(9672)] = 466668,
  [SMALL_STATE(9673)] = 466704,
  [SMALL_STATE(9674)] = 466740,
  [SMALL_STATE(9675)] = 466782,
  [SMALL_STATE(9676)] = 466818,
  [SMALL_STATE(9677)] = 466864,
  [SMALL_STATE(9678)] = 466900,
  [SMALL_STATE(9679)] = 466950,
  [SMALL_STATE(9680)] = 466986,
  [SMALL_STATE(9681)] = 467022,
  [SMALL_STATE(9682)] = 467062,
  [SMALL_STATE(9683)] = 467098,
  [SMALL_STATE(9684)] = 467140,
  [SMALL_STATE(9685)] = 467176,
  [SMALL_STATE(9686)] = 467212,
  [SMALL_STATE(9687)] = 467248,
  [SMALL_STATE(9688)] = 467284,
  [SMALL_STATE(9689)] = 467324,
  [SMALL_STATE(9690)] = 467360,
  [SMALL_STATE(9691)] = 467396,
  [SMALL_STATE(9692)] = 467432,
  [SMALL_STATE(9693)] = 467468,
  [SMALL_STATE(9694)] = 467504,
  [SMALL_STATE(9695)] = 467540,
  [SMALL_STATE(9696)] = 467576,
  [SMALL_STATE(9697)] = 467626,
  [SMALL_STATE(9698)] = 467662,
  [SMALL_STATE(9699)] = 467708,
  [SMALL_STATE(9700)] = 467744,
  [SMALL_STATE(9701)] = 467780,
  [SMALL_STATE(9702)] = 467830,
  [SMALL_STATE(9703)] = 467872,
  [SMALL_STATE(9704)] = 467912,
  [SMALL_STATE(9705)] = 467948,
  [SMALL_STATE(9706)] = 468006,
  [SMALL_STATE(9707)] = 468042,
  [SMALL_STATE(9708)] = 468088,
  [SMALL_STATE(9709)] = 468124,
  [SMALL_STATE(9710)] = 468174,
  [SMALL_STATE(9711)] = 468226,
  [SMALL_STATE(9712)] = 468262,
  [SMALL_STATE(9713)] = 468298,
  [SMALL_STATE(9714)] = 468334,
  [SMALL_STATE(9715)] = 468374,
  [SMALL_STATE(9716)] = 468420,
  [SMALL_STATE(9717)] = 468462,
  [SMALL_STATE(9718)] = 468498,
  [SMALL_STATE(9719)] = 468534,
  [SMALL_STATE(9720)] = 468570,
  [SMALL_STATE(9721)] = 468606,
  [SMALL_STATE(9722)] = 468642,
  [SMALL_STATE(9723)] = 468684,
  [SMALL_STATE(9724)] = 468720,
  [SMALL_STATE(9725)] = 468756,
  [SMALL_STATE(9726)] = 468808,
  [SMALL_STATE(9727)] = 468844,
  [SMALL_STATE(9728)] = 468880,
  [SMALL_STATE(9729)] = 468916,
  [SMALL_STATE(9730)] = 468952,
  [SMALL_STATE(9731)] = 468988,
  [SMALL_STATE(9732)] = 469024,
  [SMALL_STATE(9733)] = 469059,
  [SMALL_STATE(9734)] = 469108,
  [SMALL_STATE(9735)] = 469143,
  [SMALL_STATE(9736)] = 469178,
  [SMALL_STATE(9737)] = 469213,
  [SMALL_STATE(9738)] = 469248,
  [SMALL_STATE(9739)] = 469285,
  [SMALL_STATE(9740)] = 469320,
  [SMALL_STATE(9741)] = 469361,
  [SMALL_STATE(9742)] = 469400,
  [SMALL_STATE(9743)] = 469435,
  [SMALL_STATE(9744)] = 469470,
  [SMALL_STATE(9745)] = 469523,
  [SMALL_STATE(9746)] = 469558,
  [SMALL_STATE(9747)] = 469593,
  [SMALL_STATE(9748)] = 469628,
  [SMALL_STATE(9749)] = 469667,
  [SMALL_STATE(9750)] = 469702,
  [SMALL_STATE(9751)] = 469737,
  [SMALL_STATE(9752)] = 469772,
  [SMALL_STATE(9753)] = 469811,
  [SMALL_STATE(9754)] = 469846,
  [SMALL_STATE(9755)] = 469881,
  [SMALL_STATE(9756)] = 469922,
  [SMALL_STATE(9757)] = 469957,
  [SMALL_STATE(9758)] = 469992,
  [SMALL_STATE(9759)] = 470027,
  [SMALL_STATE(9760)] = 470062,
  [SMALL_STATE(9761)] = 470103,
  [SMALL_STATE(9762)] = 470138,
  [SMALL_STATE(9763)] = 470173,
  [SMALL_STATE(9764)] = 470208,
  [SMALL_STATE(9765)] = 470243,
  [SMALL_STATE(9766)] = 470278,
  [SMALL_STATE(9767)] = 470313,
  [SMALL_STATE(9768)] = 470348,
  [SMALL_STATE(9769)] = 470383,
  [SMALL_STATE(9770)] = 470420,
  [SMALL_STATE(9771)] = 470455,
  [SMALL_STATE(9772)] = 470490,
  [SMALL_STATE(9773)] = 470525,
  [SMALL_STATE(9774)] = 470560,
  [SMALL_STATE(9775)] = 470595,
  [SMALL_STATE(9776)] = 470630,
  [SMALL_STATE(9777)] = 470665,
  [SMALL_STATE(9778)] = 470700,
  [SMALL_STATE(9779)] = 470761,
  [SMALL_STATE(9780)] = 470822,
  [SMALL_STATE(9781)] = 470873,
  [SMALL_STATE(9782)] = 470908,
  [SMALL_STATE(9783)] = 470947,
  [SMALL_STATE(9784)] = 470982,
  [SMALL_STATE(9785)] = 471017,
  [SMALL_STATE(9786)] = 471058,
  [SMALL_STATE(9787)] = 471093,
  [SMALL_STATE(9788)] = 471128,
  [SMALL_STATE(9789)] = 471163,
  [SMALL_STATE(9790)] = 471198,
  [SMALL_STATE(9791)] = 471239,
  [SMALL_STATE(9792)] = 471274,
  [SMALL_STATE(9793)] = 471333,
  [SMALL_STATE(9794)] = 471368,
  [SMALL_STATE(9795)] = 471403,
  [SMALL_STATE(9796)] = 471454,
  [SMALL_STATE(9797)] = 471489,
  [SMALL_STATE(9798)] = 471524,
  [SMALL_STATE(9799)] = 471559,
  [SMALL_STATE(9800)] = 471618,
  [SMALL_STATE(9801)] = 471653,
  [SMALL_STATE(9802)] = 471702,
  [SMALL_STATE(9803)] = 471737,
  [SMALL_STATE(9804)] = 471772,
  [SMALL_STATE(9805)] = 471807,
  [SMALL_STATE(9806)] = 471842,
  [SMALL_STATE(9807)] = 471877,
  [SMALL_STATE(9808)] = 471912,
  [SMALL_STATE(9809)] = 471951,
  [SMALL_STATE(9810)] = 471990,
  [SMALL_STATE(9811)] = 472025,
  [SMALL_STATE(9812)] = 472060,
  [SMALL_STATE(9813)] = 472101,
  [SMALL_STATE(9814)] = 472136,
  [SMALL_STATE(9815)] = 472171,
  [SMALL_STATE(9816)] = 472206,
  [SMALL_STATE(9817)] = 472241,
  [SMALL_STATE(9818)] = 472276,
  [SMALL_STATE(9819)] = 472311,
  [SMALL_STATE(9820)] = 472346,
  [SMALL_STATE(9821)] = 472381,
  [SMALL_STATE(9822)] = 472416,
  [SMALL_STATE(9823)] = 472451,
  [SMALL_STATE(9824)] = 472486,
  [SMALL_STATE(9825)] = 472521,
  [SMALL_STATE(9826)] = 472556,
  [SMALL_STATE(9827)] = 472591,
  [SMALL_STATE(9828)] = 472632,
  [SMALL_STATE(9829)] = 472667,
  [SMALL_STATE(9830)] = 472716,
  [SMALL_STATE(9831)] = 472751,
  [SMALL_STATE(9832)] = 472786,
  [SMALL_STATE(9833)] = 472821,
  [SMALL_STATE(9834)] = 472882,
  [SMALL_STATE(9835)] = 472931,
  [SMALL_STATE(9836)] = 472970,
  [SMALL_STATE(9837)] = 473005,
  [SMALL_STATE(9838)] = 473040,
  [SMALL_STATE(9839)] = 473075,
  [SMALL_STATE(9840)] = 473110,
  [SMALL_STATE(9841)] = 473145,
  [SMALL_STATE(9842)] = 473180,
  [SMALL_STATE(9843)] = 473215,
  [SMALL_STATE(9844)] = 473250,
  [SMALL_STATE(9845)] = 473285,
  [SMALL_STATE(9846)] = 473320,
  [SMALL_STATE(9847)] = 473359,
  [SMALL_STATE(9848)] = 473394,
  [SMALL_STATE(9849)] = 473445,
  [SMALL_STATE(9850)] = 473480,
  [SMALL_STATE(9851)] = 473515,
  [SMALL_STATE(9852)] = 473576,
  [SMALL_STATE(9853)] = 473611,
  [SMALL_STATE(9854)] = 473672,
  [SMALL_STATE(9855)] = 473707,
  [SMALL_STATE(9856)] = 473742,
  [SMALL_STATE(9857)] = 473777,
  [SMALL_STATE(9858)] = 473818,
  [SMALL_STATE(9859)] = 473853,
  [SMALL_STATE(9860)] = 473904,
  [SMALL_STATE(9861)] = 473939,
  [SMALL_STATE(9862)] = 473978,
  [SMALL_STATE(9863)] = 474019,
  [SMALL_STATE(9864)] = 474058,
  [SMALL_STATE(9865)] = 474093,
  [SMALL_STATE(9866)] = 474128,
  [SMALL_STATE(9867)] = 474169,
  [SMALL_STATE(9868)] = 474204,
  [SMALL_STATE(9869)] = 474253,
  [SMALL_STATE(9870)] = 474288,
  [SMALL_STATE(9871)] = 474323,
  [SMALL_STATE(9872)] = 474358,
  [SMALL_STATE(9873)] = 474393,
  [SMALL_STATE(9874)] = 474432,
  [SMALL_STATE(9875)] = 474473,
  [SMALL_STATE(9876)] = 474508,
  [SMALL_STATE(9877)] = 474543,
  [SMALL_STATE(9878)] = 474578,
  [SMALL_STATE(9879)] = 474613,
  [SMALL_STATE(9880)] = 474648,
  [SMALL_STATE(9881)] = 474683,
  [SMALL_STATE(9882)] = 474718,
  [SMALL_STATE(9883)] = 474753,
  [SMALL_STATE(9884)] = 474788,
  [SMALL_STATE(9885)] = 474823,
  [SMALL_STATE(9886)] = 474858,
  [SMALL_STATE(9887)] = 474893,
  [SMALL_STATE(9888)] = 474928,
  [SMALL_STATE(9889)] = 474963,
  [SMALL_STATE(9890)] = 474998,
  [SMALL_STATE(9891)] = 475059,
  [SMALL_STATE(9892)] = 475098,
  [SMALL_STATE(9893)] = 475133,
  [SMALL_STATE(9894)] = 475168,
  [SMALL_STATE(9895)] = 475229,
  [SMALL_STATE(9896)] = 475268,
  [SMALL_STATE(9897)] = 475303,
  [SMALL_STATE(9898)] = 475338,
  [SMALL_STATE(9899)] = 475373,
  [SMALL_STATE(9900)] = 475424,
  [SMALL_STATE(9901)] = 475459,
  [SMALL_STATE(9902)] = 475494,
  [SMALL_STATE(9903)] = 475529,
  [SMALL_STATE(9904)] = 475564,
  [SMALL_STATE(9905)] = 475599,
  [SMALL_STATE(9906)] = 475634,
  [SMALL_STATE(9907)] = 475669,
  [SMALL_STATE(9908)] = 475704,
  [SMALL_STATE(9909)] = 475743,
  [SMALL_STATE(9910)] = 475778,
  [SMALL_STATE(9911)] = 475813,
  [SMALL_STATE(9912)] = 475852,
  [SMALL_STATE(9913)] = 475887,
  [SMALL_STATE(9914)] = 475948,
  [SMALL_STATE(9915)] = 476009,
  [SMALL_STATE(9916)] = 476044,
  [SMALL_STATE(9917)] = 476079,
  [SMALL_STATE(9918)] = 476114,
  [SMALL_STATE(9919)] = 476149,
  [SMALL_STATE(9920)] = 476200,
  [SMALL_STATE(9921)] = 476235,
  [SMALL_STATE(9922)] = 476272,
  [SMALL_STATE(9923)] = 476309,
  [SMALL_STATE(9924)] = 476344,
  [SMALL_STATE(9925)] = 476395,
  [SMALL_STATE(9926)] = 476430,
  [SMALL_STATE(9927)] = 476465,
  [SMALL_STATE(9928)] = 476500,
  [SMALL_STATE(9929)] = 476541,
  [SMALL_STATE(9930)] = 476580,
  [SMALL_STATE(9931)] = 476615,
  [SMALL_STATE(9932)] = 476650,
  [SMALL_STATE(9933)] = 476685,
  [SMALL_STATE(9934)] = 476724,
  [SMALL_STATE(9935)] = 476763,
  [SMALL_STATE(9936)] = 476798,
  [SMALL_STATE(9937)] = 476837,
  [SMALL_STATE(9938)] = 476876,
  [SMALL_STATE(9939)] = 476911,
  [SMALL_STATE(9940)] = 476946,
  [SMALL_STATE(9941)] = 476985,
  [SMALL_STATE(9942)] = 477020,
  [SMALL_STATE(9943)] = 477055,
  [SMALL_STATE(9944)] = 477094,
  [SMALL_STATE(9945)] = 477145,
  [SMALL_STATE(9946)] = 477196,
  [SMALL_STATE(9947)] = 477231,
  [SMALL_STATE(9948)] = 477266,
  [SMALL_STATE(9949)] = 477301,
  [SMALL_STATE(9950)] = 477336,
  [SMALL_STATE(9951)] = 477371,
  [SMALL_STATE(9952)] = 477410,
  [SMALL_STATE(9953)] = 477449,
  [SMALL_STATE(9954)] = 477484,
  [SMALL_STATE(9955)] = 477523,
  [SMALL_STATE(9956)] = 477564,
  [SMALL_STATE(9957)] = 477607,
  [SMALL_STATE(9958)] = 477642,
  [SMALL_STATE(9959)] = 477677,
  [SMALL_STATE(9960)] = 477738,
  [SMALL_STATE(9961)] = 477773,
  [SMALL_STATE(9962)] = 477810,
  [SMALL_STATE(9963)] = 477845,
  [SMALL_STATE(9964)] = 477880,
  [SMALL_STATE(9965)] = 477941,
  [SMALL_STATE(9966)] = 477980,
  [SMALL_STATE(9967)] = 478015,
  [SMALL_STATE(9968)] = 478050,
  [SMALL_STATE(9969)] = 478089,
  [SMALL_STATE(9970)] = 478130,
  [SMALL_STATE(9971)] = 478165,
  [SMALL_STATE(9972)] = 478200,
  [SMALL_STATE(9973)] = 478261,
  [SMALL_STATE(9974)] = 478296,
  [SMALL_STATE(9975)] = 478357,
  [SMALL_STATE(9976)] = 478392,
  [SMALL_STATE(9977)] = 478427,
  [SMALL_STATE(9978)] = 478462,
  [SMALL_STATE(9979)] = 478497,
  [SMALL_STATE(9980)] = 478532,
  [SMALL_STATE(9981)] = 478567,
  [SMALL_STATE(9982)] = 478602,
  [SMALL_STATE(9983)] = 478641,
  [SMALL_STATE(9984)] = 478676,
  [SMALL_STATE(9985)] = 478711,
  [SMALL_STATE(9986)] = 478746,
  [SMALL_STATE(9987)] = 478781,
  [SMALL_STATE(9988)] = 478816,
  [SMALL_STATE(9989)] = 478851,
  [SMALL_STATE(9990)] = 478886,
  [SMALL_STATE(9991)] = 478937,
  [SMALL_STATE(9992)] = 478972,
  [SMALL_STATE(9993)] = 479011,
  [SMALL_STATE(9994)] = 479046,
  [SMALL_STATE(9995)] = 479081,
  [SMALL_STATE(9996)] = 479116,
  [SMALL_STATE(9997)] = 479151,
  [SMALL_STATE(9998)] = 479200,
  [SMALL_STATE(9999)] = 479235,
  [SMALL_STATE(10000)] = 479270,
  [SMALL_STATE(10001)] = 479305,
  [SMALL_STATE(10002)] = 479344,
  [SMALL_STATE(10003)] = 479379,
  [SMALL_STATE(10004)] = 479430,
  [SMALL_STATE(10005)] = 479465,
  [SMALL_STATE(10006)] = 479500,
  [SMALL_STATE(10007)] = 479535,
  [SMALL_STATE(10008)] = 479572,
  [SMALL_STATE(10009)] = 479611,
  [SMALL_STATE(10010)] = 479646,
  [SMALL_STATE(10011)] = 479697,
  [SMALL_STATE(10012)] = 479732,
  [SMALL_STATE(10013)] = 479767,
  [SMALL_STATE(10014)] = 479802,
  [SMALL_STATE(10015)] = 479837,
  [SMALL_STATE(10016)] = 479872,
  [SMALL_STATE(10017)] = 479907,
  [SMALL_STATE(10018)] = 479958,
  [SMALL_STATE(10019)] = 479993,
  [SMALL_STATE(10020)] = 480028,
  [SMALL_STATE(10021)] = 480069,
  [SMALL_STATE(10022)] = 480120,
  [SMALL_STATE(10023)] = 480155,
  [SMALL_STATE(10024)] = 480194,
  [SMALL_STATE(10025)] = 480229,
  [SMALL_STATE(10026)] = 480264,
  [SMALL_STATE(10027)] = 480299,
  [SMALL_STATE(10028)] = 480334,
  [SMALL_STATE(10029)] = 480369,
  [SMALL_STATE(10030)] = 480404,
  [SMALL_STATE(10031)] = 480439,
  [SMALL_STATE(10032)] = 480474,
  [SMALL_STATE(10033)] = 480513,
  [SMALL_STATE(10034)] = 480548,
  [SMALL_STATE(10035)] = 480583,
  [SMALL_STATE(10036)] = 480622,
  [SMALL_STATE(10037)] = 480663,
  [SMALL_STATE(10038)] = 480698,
  [SMALL_STATE(10039)] = 480733,
  [SMALL_STATE(10040)] = 480768,
  [SMALL_STATE(10041)] = 480803,
  [SMALL_STATE(10042)] = 480854,
  [SMALL_STATE(10043)] = 480889,
  [SMALL_STATE(10044)] = 480924,
  [SMALL_STATE(10045)] = 480959,
  [SMALL_STATE(10046)] = 480994,
  [SMALL_STATE(10047)] = 481029,
  [SMALL_STATE(10048)] = 481064,
  [SMALL_STATE(10049)] = 481099,
  [SMALL_STATE(10050)] = 481134,
  [SMALL_STATE(10051)] = 481169,
  [SMALL_STATE(10052)] = 481218,
  [SMALL_STATE(10053)] = 481269,
  [SMALL_STATE(10054)] = 481304,
  [SMALL_STATE(10055)] = 481339,
  [SMALL_STATE(10056)] = 481372,
  [SMALL_STATE(10057)] = 481407,
  [SMALL_STATE(10058)] = 481442,
  [SMALL_STATE(10059)] = 481477,
  [SMALL_STATE(10060)] = 481512,
  [SMALL_STATE(10061)] = 481561,
  [SMALL_STATE(10062)] = 481612,
  [SMALL_STATE(10063)] = 481647,
  [SMALL_STATE(10064)] = 481682,
  [SMALL_STATE(10065)] = 481717,
  [SMALL_STATE(10066)] = 481752,
  [SMALL_STATE(10067)] = 481787,
  [SMALL_STATE(10068)] = 481822,
  [SMALL_STATE(10069)] = 481861,
  [SMALL_STATE(10070)] = 481900,
  [SMALL_STATE(10071)] = 481935,
  [SMALL_STATE(10072)] = 481996,
  [SMALL_STATE(10073)] = 482031,
  [SMALL_STATE(10074)] = 482070,
  [SMALL_STATE(10075)] = 482105,
  [SMALL_STATE(10076)] = 482140,
  [SMALL_STATE(10077)] = 482175,
  [SMALL_STATE(10078)] = 482210,
  [SMALL_STATE(10079)] = 482271,
  [SMALL_STATE(10080)] = 482306,
  [SMALL_STATE(10081)] = 482341,
  [SMALL_STATE(10082)] = 482376,
  [SMALL_STATE(10083)] = 482417,
  [SMALL_STATE(10084)] = 482478,
  [SMALL_STATE(10085)] = 482517,
  [SMALL_STATE(10086)] = 482552,
  [SMALL_STATE(10087)] = 482587,
  [SMALL_STATE(10088)] = 482648,
  [SMALL_STATE(10089)] = 482709,
  [SMALL_STATE(10090)] = 482750,
  [SMALL_STATE(10091)] = 482789,
  [SMALL_STATE(10092)] = 482824,
  [SMALL_STATE(10093)] = 482859,
  [SMALL_STATE(10094)] = 482894,
  [SMALL_STATE(10095)] = 482929,
  [SMALL_STATE(10096)] = 482964,
  [SMALL_STATE(10097)] = 482999,
  [SMALL_STATE(10098)] = 483034,
  [SMALL_STATE(10099)] = 483069,
  [SMALL_STATE(10100)] = 483104,
  [SMALL_STATE(10101)] = 483139,
  [SMALL_STATE(10102)] = 483174,
  [SMALL_STATE(10103)] = 483209,
  [SMALL_STATE(10104)] = 483248,
  [SMALL_STATE(10105)] = 483289,
  [SMALL_STATE(10106)] = 483324,
  [SMALL_STATE(10107)] = 483359,
  [SMALL_STATE(10108)] = 483394,
  [SMALL_STATE(10109)] = 483429,
  [SMALL_STATE(10110)] = 483474,
  [SMALL_STATE(10111)] = 483509,
  [SMALL_STATE(10112)] = 483544,
  [SMALL_STATE(10113)] = 483579,
  [SMALL_STATE(10114)] = 483614,
  [SMALL_STATE(10115)] = 483649,
  [SMALL_STATE(10116)] = 483684,
  [SMALL_STATE(10117)] = 483719,
  [SMALL_STATE(10118)] = 483754,
  [SMALL_STATE(10119)] = 483789,
  [SMALL_STATE(10120)] = 483846,
  [SMALL_STATE(10121)] = 483881,
  [SMALL_STATE(10122)] = 483916,
  [SMALL_STATE(10123)] = 483951,
  [SMALL_STATE(10124)] = 483986,
  [SMALL_STATE(10125)] = 484021,
  [SMALL_STATE(10126)] = 484066,
  [SMALL_STATE(10127)] = 484105,
  [SMALL_STATE(10128)] = 484139,
  [SMALL_STATE(10129)] = 484173,
  [SMALL_STATE(10130)] = 484207,
  [SMALL_STATE(10131)] = 484241,
  [SMALL_STATE(10132)] = 484277,
  [SMALL_STATE(10133)] = 484311,
  [SMALL_STATE(10134)] = 484345,
  [SMALL_STATE(10135)] = 484379,
  [SMALL_STATE(10136)] = 484435,
  [SMALL_STATE(10137)] = 484487,
  [SMALL_STATE(10138)] = 484527,
  [SMALL_STATE(10139)] = 484561,
  [SMALL_STATE(10140)] = 484595,
  [SMALL_STATE(10141)] = 484629,
  [SMALL_STATE(10142)] = 484679,
  [SMALL_STATE(10143)] = 484729,
  [SMALL_STATE(10144)] = 484763,
  [SMALL_STATE(10145)] = 484813,
  [SMALL_STATE(10146)] = 484847,
  [SMALL_STATE(10147)] = 484881,
  [SMALL_STATE(10148)] = 484915,
  [SMALL_STATE(10149)] = 484963,
  [SMALL_STATE(10150)] = 485003,
  [SMALL_STATE(10151)] = 485037,
  [SMALL_STATE(10152)] = 485089,
  [SMALL_STATE(10153)] = 485123,
  [SMALL_STATE(10154)] = 485157,
  [SMALL_STATE(10155)] = 485191,
  [SMALL_STATE(10156)] = 485251,
  [SMALL_STATE(10157)] = 485285,
  [SMALL_STATE(10158)] = 485319,
  [SMALL_STATE(10159)] = 485355,
  [SMALL_STATE(10160)] = 485389,
  [SMALL_STATE(10161)] = 485423,
  [SMALL_STATE(10162)] = 485457,
  [SMALL_STATE(10163)] = 485491,
  [SMALL_STATE(10164)] = 485525,
  [SMALL_STATE(10165)] = 485559,
  [SMALL_STATE(10166)] = 485611,
  [SMALL_STATE(10167)] = 485655,
  [SMALL_STATE(10168)] = 485689,
  [SMALL_STATE(10169)] = 485723,
  [SMALL_STATE(10170)] = 485773,
  [SMALL_STATE(10171)] = 485807,
  [SMALL_STATE(10172)] = 485841,
  [SMALL_STATE(10173)] = 485875,
  [SMALL_STATE(10174)] = 485915,
  [SMALL_STATE(10175)] = 485949,
  [SMALL_STATE(10176)] = 485983,
  [SMALL_STATE(10177)] = 486019,
  [SMALL_STATE(10178)] = 486053,
  [SMALL_STATE(10179)] = 486091,
  [SMALL_STATE(10180)] = 486125,
  [SMALL_STATE(10181)] = 486173,
  [SMALL_STATE(10182)] = 486219,
  [SMALL_STATE(10183)] = 486253,
  [SMALL_STATE(10184)] = 486287,
  [SMALL_STATE(10185)] = 486321,
  [SMALL_STATE(10186)] = 486355,
  [SMALL_STATE(10187)] = 486389,
  [SMALL_STATE(10188)] = 486423,
  [SMALL_STATE(10189)] = 486457,
  [SMALL_STATE(10190)] = 486493,
  [SMALL_STATE(10191)] = 486527,
  [SMALL_STATE(10192)] = 486561,
  [SMALL_STATE(10193)] = 486595,
  [SMALL_STATE(10194)] = 486647,
  [SMALL_STATE(10195)] = 486681,
  [SMALL_STATE(10196)] = 486719,
  [SMALL_STATE(10197)] = 486753,
  [SMALL_STATE(10198)] = 486787,
  [SMALL_STATE(10199)] = 486821,
  [SMALL_STATE(10200)] = 486857,
  [SMALL_STATE(10201)] = 486891,
  [SMALL_STATE(10202)] = 486943,
  [SMALL_STATE(10203)] = 486977,
  [SMALL_STATE(10204)] = 487011,
  [SMALL_STATE(10205)] = 487045,
  [SMALL_STATE(10206)] = 487079,
  [SMALL_STATE(10207)] = 487115,
  [SMALL_STATE(10208)] = 487149,
  [SMALL_STATE(10209)] = 487199,
  [SMALL_STATE(10210)] = 487247,
  [SMALL_STATE(10211)] = 487281,
  [SMALL_STATE(10212)] = 487329,
  [SMALL_STATE(10213)] = 487363,
  [SMALL_STATE(10214)] = 487397,
  [SMALL_STATE(10215)] = 487449,
  [SMALL_STATE(10216)] = 487483,
  [SMALL_STATE(10217)] = 487517,
  [SMALL_STATE(10218)] = 487551,
  [SMALL_STATE(10219)] = 487585,
  [SMALL_STATE(10220)] = 487619,
  [SMALL_STATE(10221)] = 487655,
  [SMALL_STATE(10222)] = 487689,
  [SMALL_STATE(10223)] = 487723,
  [SMALL_STATE(10224)] = 487759,
  [SMALL_STATE(10225)] = 487793,
  [SMALL_STATE(10226)] = 487827,
  [SMALL_STATE(10227)] = 487861,
  [SMALL_STATE(10228)] = 487921,
  [SMALL_STATE(10229)] = 487955,
  [SMALL_STATE(10230)] = 487989,
  [SMALL_STATE(10231)] = 488023,
  [SMALL_STATE(10232)] = 488057,
  [SMALL_STATE(10233)] = 488091,
  [SMALL_STATE(10234)] = 488141,
  [SMALL_STATE(10235)] = 488191,
  [SMALL_STATE(10236)] = 488247,
  [SMALL_STATE(10237)] = 488295,
  [SMALL_STATE(10238)] = 488345,
  [SMALL_STATE(10239)] = 488379,
  [SMALL_STATE(10240)] = 488413,
  [SMALL_STATE(10241)] = 488465,
  [SMALL_STATE(10242)] = 488499,
  [SMALL_STATE(10243)] = 488533,
  [SMALL_STATE(10244)] = 488585,
  [SMALL_STATE(10245)] = 488637,
  [SMALL_STATE(10246)] = 488671,
  [SMALL_STATE(10247)] = 488705,
  [SMALL_STATE(10248)] = 488739,
  [SMALL_STATE(10249)] = 488773,
  [SMALL_STATE(10250)] = 488807,
  [SMALL_STATE(10251)] = 488843,
  [SMALL_STATE(10252)] = 488899,
  [SMALL_STATE(10253)] = 488933,
  [SMALL_STATE(10254)] = 488967,
  [SMALL_STATE(10255)] = 489019,
  [SMALL_STATE(10256)] = 489075,
  [SMALL_STATE(10257)] = 489109,
  [SMALL_STATE(10258)] = 489143,
  [SMALL_STATE(10259)] = 489177,
  [SMALL_STATE(10260)] = 489237,
  [SMALL_STATE(10261)] = 489271,
  [SMALL_STATE(10262)] = 489305,
  [SMALL_STATE(10263)] = 489339,
  [SMALL_STATE(10264)] = 489391,
  [SMALL_STATE(10265)] = 489425,
  [SMALL_STATE(10266)] = 489459,
  [SMALL_STATE(10267)] = 489493,
  [SMALL_STATE(10268)] = 489527,
  [SMALL_STATE(10269)] = 489567,
  [SMALL_STATE(10270)] = 489601,
  [SMALL_STATE(10271)] = 489635,
  [SMALL_STATE(10272)] = 489669,
  [SMALL_STATE(10273)] = 489703,
  [SMALL_STATE(10274)] = 489737,
  [SMALL_STATE(10275)] = 489773,
  [SMALL_STATE(10276)] = 489825,
  [SMALL_STATE(10277)] = 489863,
  [SMALL_STATE(10278)] = 489897,
  [SMALL_STATE(10279)] = 489931,
  [SMALL_STATE(10280)] = 489983,
  [SMALL_STATE(10281)] = 490017,
  [SMALL_STATE(10282)] = 490057,
  [SMALL_STATE(10283)] = 490091,
  [SMALL_STATE(10284)] = 490125,
  [SMALL_STATE(10285)] = 490163,
  [SMALL_STATE(10286)] = 490197,
  [SMALL_STATE(10287)] = 490231,
  [SMALL_STATE(10288)] = 490267,
  [SMALL_STATE(10289)] = 490301,
  [SMALL_STATE(10290)] = 490351,
  [SMALL_STATE(10291)] = 490385,
  [SMALL_STATE(10292)] = 490421,
  [SMALL_STATE(10293)] = 490477,
  [SMALL_STATE(10294)] = 490511,
  [SMALL_STATE(10295)] = 490563,
  [SMALL_STATE(10296)] = 490597,
  [SMALL_STATE(10297)] = 490631,
  [SMALL_STATE(10298)] = 490665,
  [SMALL_STATE(10299)] = 490699,
  [SMALL_STATE(10300)] = 490733,
  [SMALL_STATE(10301)] = 490789,
  [SMALL_STATE(10302)] = 490823,
  [SMALL_STATE(10303)] = 490879,
  [SMALL_STATE(10304)] = 490913,
  [SMALL_STATE(10305)] = 490965,
  [SMALL_STATE(10306)] = 490999,
  [SMALL_STATE(10307)] = 491033,
  [SMALL_STATE(10308)] = 491067,
  [SMALL_STATE(10309)] = 491101,
  [SMALL_STATE(10310)] = 491135,
  [SMALL_STATE(10311)] = 491169,
  [SMALL_STATE(10312)] = 491221,
  [SMALL_STATE(10313)] = 491255,
  [SMALL_STATE(10314)] = 491289,
  [SMALL_STATE(10315)] = 491339,
  [SMALL_STATE(10316)] = 491373,
  [SMALL_STATE(10317)] = 491407,
  [SMALL_STATE(10318)] = 491463,
  [SMALL_STATE(10319)] = 491497,
  [SMALL_STATE(10320)] = 491531,
  [SMALL_STATE(10321)] = 491569,
  [SMALL_STATE(10322)] = 491603,
  [SMALL_STATE(10323)] = 491637,
  [SMALL_STATE(10324)] = 491671,
  [SMALL_STATE(10325)] = 491705,
  [SMALL_STATE(10326)] = 491741,
  [SMALL_STATE(10327)] = 491781,
  [SMALL_STATE(10328)] = 491815,
  [SMALL_STATE(10329)] = 491855,
  [SMALL_STATE(10330)] = 491889,
  [SMALL_STATE(10331)] = 491939,
  [SMALL_STATE(10332)] = 491977,
  [SMALL_STATE(10333)] = 492011,
  [SMALL_STATE(10334)] = 492045,
  [SMALL_STATE(10335)] = 492079,
  [SMALL_STATE(10336)] = 492119,
  [SMALL_STATE(10337)] = 492153,
  [SMALL_STATE(10338)] = 492187,
  [SMALL_STATE(10339)] = 492223,
  [SMALL_STATE(10340)] = 492259,
  [SMALL_STATE(10341)] = 492293,
  [SMALL_STATE(10342)] = 492333,
  [SMALL_STATE(10343)] = 492371,
  [SMALL_STATE(10344)] = 492423,
  [SMALL_STATE(10345)] = 492457,
  [SMALL_STATE(10346)] = 492491,
  [SMALL_STATE(10347)] = 492539,
  [SMALL_STATE(10348)] = 492573,
  [SMALL_STATE(10349)] = 492607,
  [SMALL_STATE(10350)] = 492641,
  [SMALL_STATE(10351)] = 492675,
  [SMALL_STATE(10352)] = 492727,
  [SMALL_STATE(10353)] = 492779,
  [SMALL_STATE(10354)] = 492815,
  [SMALL_STATE(10355)] = 492865,
  [SMALL_STATE(10356)] = 492899,
  [SMALL_STATE(10357)] = 492933,
  [SMALL_STATE(10358)] = 492967,
  [SMALL_STATE(10359)] = 493001,
  [SMALL_STATE(10360)] = 493037,
  [SMALL_STATE(10361)] = 493077,
  [SMALL_STATE(10362)] = 493127,
  [SMALL_STATE(10363)] = 493161,
  [SMALL_STATE(10364)] = 493195,
  [SMALL_STATE(10365)] = 493247,
  [SMALL_STATE(10366)] = 493281,
  [SMALL_STATE(10367)] = 493315,
  [SMALL_STATE(10368)] = 493349,
  [SMALL_STATE(10369)] = 493383,
  [SMALL_STATE(10370)] = 493417,
  [SMALL_STATE(10371)] = 493451,
  [SMALL_STATE(10372)] = 493503,
  [SMALL_STATE(10373)] = 493537,
  [SMALL_STATE(10374)] = 493571,
  [SMALL_STATE(10375)] = 493605,
  [SMALL_STATE(10376)] = 493645,
  [SMALL_STATE(10377)] = 493685,
  [SMALL_STATE(10378)] = 493723,
  [SMALL_STATE(10379)] = 493763,
  [SMALL_STATE(10380)] = 493813,
  [SMALL_STATE(10381)] = 493849,
  [SMALL_STATE(10382)] = 493883,
  [SMALL_STATE(10383)] = 493917,
  [SMALL_STATE(10384)] = 493961,
  [SMALL_STATE(10385)] = 493995,
  [SMALL_STATE(10386)] = 494029,
  [SMALL_STATE(10387)] = 494063,
  [SMALL_STATE(10388)] = 494099,
  [SMALL_STATE(10389)] = 494151,
  [SMALL_STATE(10390)] = 494185,
  [SMALL_STATE(10391)] = 494219,
  [SMALL_STATE(10392)] = 494255,
  [SMALL_STATE(10393)] = 494307,
  [SMALL_STATE(10394)] = 494341,
  [SMALL_STATE(10395)] = 494393,
  [SMALL_STATE(10396)] = 494429,
  [SMALL_STATE(10397)] = 494481,
  [SMALL_STATE(10398)] = 494515,
  [SMALL_STATE(10399)] = 494555,
  [SMALL_STATE(10400)] = 494589,
  [SMALL_STATE(10401)] = 494623,
  [SMALL_STATE(10402)] = 494657,
  [SMALL_STATE(10403)] = 494691,
  [SMALL_STATE(10404)] = 494725,
  [SMALL_STATE(10405)] = 494769,
  [SMALL_STATE(10406)] = 494819,
  [SMALL_STATE(10407)] = 494859,
  [SMALL_STATE(10408)] = 494909,
  [SMALL_STATE(10409)] = 494947,
  [SMALL_STATE(10410)] = 494981,
  [SMALL_STATE(10411)] = 495019,
  [SMALL_STATE(10412)] = 495053,
  [SMALL_STATE(10413)] = 495087,
  [SMALL_STATE(10414)] = 495121,
  [SMALL_STATE(10415)] = 495159,
  [SMALL_STATE(10416)] = 495195,
  [SMALL_STATE(10417)] = 495247,
  [SMALL_STATE(10418)] = 495283,
  [SMALL_STATE(10419)] = 495317,
  [SMALL_STATE(10420)] = 495351,
  [SMALL_STATE(10421)] = 495389,
  [SMALL_STATE(10422)] = 495441,
  [SMALL_STATE(10423)] = 495479,
  [SMALL_STATE(10424)] = 495513,
  [SMALL_STATE(10425)] = 495547,
  [SMALL_STATE(10426)] = 495581,
  [SMALL_STATE(10427)] = 495615,
  [SMALL_STATE(10428)] = 495649,
  [SMALL_STATE(10429)] = 495685,
  [SMALL_STATE(10430)] = 495719,
  [SMALL_STATE(10431)] = 495771,
  [SMALL_STATE(10432)] = 495805,
  [SMALL_STATE(10433)] = 495839,
  [SMALL_STATE(10434)] = 495873,
  [SMALL_STATE(10435)] = 495907,
  [SMALL_STATE(10436)] = 495961,
  [SMALL_STATE(10437)] = 495997,
  [SMALL_STATE(10438)] = 496047,
  [SMALL_STATE(10439)] = 496081,
  [SMALL_STATE(10440)] = 496115,
  [SMALL_STATE(10441)] = 496151,
  [SMALL_STATE(10442)] = 496203,
  [SMALL_STATE(10443)] = 496239,
  [SMALL_STATE(10444)] = 496275,
  [SMALL_STATE(10445)] = 496308,
  [SMALL_STATE(10446)] = 496355,
  [SMALL_STATE(10447)] = 496402,
  [SMALL_STATE(10448)] = 496441,
  [SMALL_STATE(10449)] = 496474,
  [SMALL_STATE(10450)] = 496507,
  [SMALL_STATE(10451)] = 496540,
  [SMALL_STATE(10452)] = 496577,
  [SMALL_STATE(10453)] = 496610,
  [SMALL_STATE(10454)] = 496657,
  [SMALL_STATE(10455)] = 496690,
  [SMALL_STATE(10456)] = 496737,
  [SMALL_STATE(10457)] = 496776,
  [SMALL_STATE(10458)] = 496809,
  [SMALL_STATE(10459)] = 496846,
  [SMALL_STATE(10460)] = 496879,
  [SMALL_STATE(10461)] = 496916,
  [SMALL_STATE(10462)] = 496949,
  [SMALL_STATE(10463)] = 496982,
  [SMALL_STATE(10464)] = 497015,
  [SMALL_STATE(10465)] = 497064,
  [SMALL_STATE(10466)] = 497113,
  [SMALL_STATE(10467)] = 497148,
  [SMALL_STATE(10468)] = 497181,
  [SMALL_STATE(10469)] = 497214,
  [SMALL_STATE(10470)] = 497247,
  [SMALL_STATE(10471)] = 497296,
  [SMALL_STATE(10472)] = 497329,
  [SMALL_STATE(10473)] = 497366,
  [SMALL_STATE(10474)] = 497421,
  [SMALL_STATE(10475)] = 497460,
  [SMALL_STATE(10476)] = 497515,
  [SMALL_STATE(10477)] = 497548,
  [SMALL_STATE(10478)] = 497587,
  [SMALL_STATE(10479)] = 497620,
  [SMALL_STATE(10480)] = 497653,
  [SMALL_STATE(10481)] = 497688,
  [SMALL_STATE(10482)] = 497739,
  [SMALL_STATE(10483)] = 497790,
  [SMALL_STATE(10484)] = 497827,
  [SMALL_STATE(10485)] = 497876,
  [SMALL_STATE(10486)] = 497909,
  [SMALL_STATE(10487)] = 497948,
  [SMALL_STATE(10488)] = 497981,
  [SMALL_STATE(10489)] = 498020,
  [SMALL_STATE(10490)] = 498057,
  [SMALL_STATE(10491)] = 498094,
  [SMALL_STATE(10492)] = 498131,
  [SMALL_STATE(10493)] = 498164,
  [SMALL_STATE(10494)] = 498197,
  [SMALL_STATE(10495)] = 498230,
  [SMALL_STATE(10496)] = 498263,
  [SMALL_STATE(10497)] = 498312,
  [SMALL_STATE(10498)] = 498351,
  [SMALL_STATE(10499)] = 498384,
  [SMALL_STATE(10500)] = 498439,
  [SMALL_STATE(10501)] = 498472,
  [SMALL_STATE(10502)] = 498519,
  [SMALL_STATE(10503)] = 498552,
  [SMALL_STATE(10504)] = 498607,
  [SMALL_STATE(10505)] = 498662,
  [SMALL_STATE(10506)] = 498695,
  [SMALL_STATE(10507)] = 498728,
  [SMALL_STATE(10508)] = 498783,
  [SMALL_STATE(10509)] = 498816,
  [SMALL_STATE(10510)] = 498863,
  [SMALL_STATE(10511)] = 498896,
  [SMALL_STATE(10512)] = 498935,
  [SMALL_STATE(10513)] = 498968,
  [SMALL_STATE(10514)] = 499023,
  [SMALL_STATE(10515)] = 499078,
  [SMALL_STATE(10516)] = 499125,
  [SMALL_STATE(10517)] = 499180,
  [SMALL_STATE(10518)] = 499213,
  [SMALL_STATE(10519)] = 499246,
  [SMALL_STATE(10520)] = 499279,
  [SMALL_STATE(10521)] = 499312,
  [SMALL_STATE(10522)] = 499345,
  [SMALL_STATE(10523)] = 499378,
  [SMALL_STATE(10524)] = 499411,
  [SMALL_STATE(10525)] = 499466,
  [SMALL_STATE(10526)] = 499499,
  [SMALL_STATE(10527)] = 499536,
  [SMALL_STATE(10528)] = 499569,
  [SMALL_STATE(10529)] = 499602,
  [SMALL_STATE(10530)] = 499635,
  [SMALL_STATE(10531)] = 499668,
  [SMALL_STATE(10532)] = 499715,
  [SMALL_STATE(10533)] = 499748,
  [SMALL_STATE(10534)] = 499781,
  [SMALL_STATE(10535)] = 499814,
  [SMALL_STATE(10536)] = 499853,
  [SMALL_STATE(10537)] = 499886,
  [SMALL_STATE(10538)] = 499933,
  [SMALL_STATE(10539)] = 499988,
  [SMALL_STATE(10540)] = 500021,
  [SMALL_STATE(10541)] = 500076,
  [SMALL_STATE(10542)] = 500109,
  [SMALL_STATE(10543)] = 500148,
  [SMALL_STATE(10544)] = 500203,
  [SMALL_STATE(10545)] = 500236,
  [SMALL_STATE(10546)] = 500273,
  [SMALL_STATE(10547)] = 500310,
  [SMALL_STATE(10548)] = 500357,
  [SMALL_STATE(10549)] = 500390,
  [SMALL_STATE(10550)] = 500423,
  [SMALL_STATE(10551)] = 500456,
  [SMALL_STATE(10552)] = 500489,
  [SMALL_STATE(10553)] = 500544,
  [SMALL_STATE(10554)] = 500577,
  [SMALL_STATE(10555)] = 500624,
  [SMALL_STATE(10556)] = 500657,
  [SMALL_STATE(10557)] = 500690,
  [SMALL_STATE(10558)] = 500723,
  [SMALL_STATE(10559)] = 500756,
  [SMALL_STATE(10560)] = 500789,
  [SMALL_STATE(10561)] = 500824,
  [SMALL_STATE(10562)] = 500857,
  [SMALL_STATE(10563)] = 500894,
  [SMALL_STATE(10564)] = 500927,
  [SMALL_STATE(10565)] = 500960,
  [SMALL_STATE(10566)] = 500993,
  [SMALL_STATE(10567)] = 501026,
  [SMALL_STATE(10568)] = 501073,
  [SMALL_STATE(10569)] = 501106,
  [SMALL_STATE(10570)] = 501139,
  [SMALL_STATE(10571)] = 501172,
  [SMALL_STATE(10572)] = 501221,
  [SMALL_STATE(10573)] = 501254,
  [SMALL_STATE(10574)] = 501287,
  [SMALL_STATE(10575)] = 501320,
  [SMALL_STATE(10576)] = 501359,
  [SMALL_STATE(10577)] = 501414,
  [SMALL_STATE(10578)] = 501469,
  [SMALL_STATE(10579)] = 501506,
  [SMALL_STATE(10580)] = 501539,
  [SMALL_STATE(10581)] = 501582,
  [SMALL_STATE(10582)] = 501615,
  [SMALL_STATE(10583)] = 501648,
  [SMALL_STATE(10584)] = 501681,
  [SMALL_STATE(10585)] = 501714,
  [SMALL_STATE(10586)] = 501761,
  [SMALL_STATE(10587)] = 501794,
  [SMALL_STATE(10588)] = 501827,
  [SMALL_STATE(10589)] = 501874,
  [SMALL_STATE(10590)] = 501921,
  [SMALL_STATE(10591)] = 501954,
  [SMALL_STATE(10592)] = 501987,
  [SMALL_STATE(10593)] = 502036,
  [SMALL_STATE(10594)] = 502083,
  [SMALL_STATE(10595)] = 502116,
  [SMALL_STATE(10596)] = 502149,
  [SMALL_STATE(10597)] = 502186,
  [SMALL_STATE(10598)] = 502219,
  [SMALL_STATE(10599)] = 502252,
  [SMALL_STATE(10600)] = 502285,
  [SMALL_STATE(10601)] = 502318,
  [SMALL_STATE(10602)] = 502351,
  [SMALL_STATE(10603)] = 502384,
  [SMALL_STATE(10604)] = 502417,
  [SMALL_STATE(10605)] = 502452,
  [SMALL_STATE(10606)] = 502485,
  [SMALL_STATE(10607)] = 502518,
  [SMALL_STATE(10608)] = 502551,
  [SMALL_STATE(10609)] = 502586,
  [SMALL_STATE(10610)] = 502619,
  [SMALL_STATE(10611)] = 502652,
  [SMALL_STATE(10612)] = 502699,
  [SMALL_STATE(10613)] = 502732,
  [SMALL_STATE(10614)] = 502765,
  [SMALL_STATE(10615)] = 502798,
  [SMALL_STATE(10616)] = 502837,
  [SMALL_STATE(10617)] = 502886,
  [SMALL_STATE(10618)] = 502919,
  [SMALL_STATE(10619)] = 502952,
  [SMALL_STATE(10620)] = 503001,
  [SMALL_STATE(10621)] = 503050,
  [SMALL_STATE(10622)] = 503101,
  [SMALL_STATE(10623)] = 503134,
  [SMALL_STATE(10624)] = 503167,
  [SMALL_STATE(10625)] = 503200,
  [SMALL_STATE(10626)] = 503247,
  [SMALL_STATE(10627)] = 503280,
  [SMALL_STATE(10628)] = 503329,
  [SMALL_STATE(10629)] = 503362,
  [SMALL_STATE(10630)] = 503395,
  [SMALL_STATE(10631)] = 503428,
  [SMALL_STATE(10632)] = 503477,
  [SMALL_STATE(10633)] = 503510,
  [SMALL_STATE(10634)] = 503543,
  [SMALL_STATE(10635)] = 503576,
  [SMALL_STATE(10636)] = 503609,
  [SMALL_STATE(10637)] = 503656,
  [SMALL_STATE(10638)] = 503689,
  [SMALL_STATE(10639)] = 503722,
  [SMALL_STATE(10640)] = 503755,
  [SMALL_STATE(10641)] = 503788,
  [SMALL_STATE(10642)] = 503821,
  [SMALL_STATE(10643)] = 503854,
  [SMALL_STATE(10644)] = 503887,
  [SMALL_STATE(10645)] = 503924,
  [SMALL_STATE(10646)] = 503957,
  [SMALL_STATE(10647)] = 503990,
  [SMALL_STATE(10648)] = 504023,
  [SMALL_STATE(10649)] = 504056,
  [SMALL_STATE(10650)] = 504089,
  [SMALL_STATE(10651)] = 504122,
  [SMALL_STATE(10652)] = 504159,
  [SMALL_STATE(10653)] = 504192,
  [SMALL_STATE(10654)] = 504231,
  [SMALL_STATE(10655)] = 504264,
  [SMALL_STATE(10656)] = 504297,
  [SMALL_STATE(10657)] = 504330,
  [SMALL_STATE(10658)] = 504363,
  [SMALL_STATE(10659)] = 504396,
  [SMALL_STATE(10660)] = 504429,
  [SMALL_STATE(10661)] = 504472,
  [SMALL_STATE(10662)] = 504505,
  [SMALL_STATE(10663)] = 504538,
  [SMALL_STATE(10664)] = 504570,
  [SMALL_STATE(10665)] = 504602,
  [SMALL_STATE(10666)] = 504648,
  [SMALL_STATE(10667)] = 504694,
  [SMALL_STATE(10668)] = 504748,
  [SMALL_STATE(10669)] = 504780,
  [SMALL_STATE(10670)] = 504812,
  [SMALL_STATE(10671)] = 504842,
  [SMALL_STATE(10672)] = 504874,
  [SMALL_STATE(10673)] = 504904,
  [SMALL_STATE(10674)] = 504952,
  [SMALL_STATE(10675)] = 505002,
  [SMALL_STATE(10676)] = 505034,
  [SMALL_STATE(10677)] = 505088,
  [SMALL_STATE(10678)] = 505120,
  [SMALL_STATE(10679)] = 505152,
  [SMALL_STATE(10680)] = 505184,
  [SMALL_STATE(10681)] = 505234,
  [SMALL_STATE(10682)] = 505266,
  [SMALL_STATE(10683)] = 505298,
  [SMALL_STATE(10684)] = 505330,
  [SMALL_STATE(10685)] = 505362,
  [SMALL_STATE(10686)] = 505394,
  [SMALL_STATE(10687)] = 505426,
  [SMALL_STATE(10688)] = 505458,
  [SMALL_STATE(10689)] = 505490,
  [SMALL_STATE(10690)] = 505522,
  [SMALL_STATE(10691)] = 505556,
  [SMALL_STATE(10692)] = 505588,
  [SMALL_STATE(10693)] = 505620,
  [SMALL_STATE(10694)] = 505652,
  [SMALL_STATE(10695)] = 505682,
  [SMALL_STATE(10696)] = 505714,
  [SMALL_STATE(10697)] = 505746,
  [SMALL_STATE(10698)] = 505792,
  [SMALL_STATE(10699)] = 505824,
  [SMALL_STATE(10700)] = 505856,
  [SMALL_STATE(10701)] = 505888,
  [SMALL_STATE(10702)] = 505920,
  [SMALL_STATE(10703)] = 505952,
  [SMALL_STATE(10704)] = 505984,
  [SMALL_STATE(10705)] = 506022,
  [SMALL_STATE(10706)] = 506058,
  [SMALL_STATE(10707)] = 506096,
  [SMALL_STATE(10708)] = 506128,
  [SMALL_STATE(10709)] = 506160,
  [SMALL_STATE(10710)] = 506192,
  [SMALL_STATE(10711)] = 506224,
  [SMALL_STATE(10712)] = 506256,
  [SMALL_STATE(10713)] = 506288,
  [SMALL_STATE(10714)] = 506320,
  [SMALL_STATE(10715)] = 506356,
  [SMALL_STATE(10716)] = 506392,
  [SMALL_STATE(10717)] = 506434,
  [SMALL_STATE(10718)] = 506480,
  [SMALL_STATE(10719)] = 506512,
  [SMALL_STATE(10720)] = 506544,
  [SMALL_STATE(10721)] = 506576,
  [SMALL_STATE(10722)] = 506606,
  [SMALL_STATE(10723)] = 506656,
  [SMALL_STATE(10724)] = 506706,
  [SMALL_STATE(10725)] = 506744,
  [SMALL_STATE(10726)] = 506776,
  [SMALL_STATE(10727)] = 506808,
  [SMALL_STATE(10728)] = 506840,
  [SMALL_STATE(10729)] = 506872,
  [SMALL_STATE(10730)] = 506904,
  [SMALL_STATE(10731)] = 506936,
  [SMALL_STATE(10732)] = 506976,
  [SMALL_STATE(10733)] = 507008,
  [SMALL_STATE(10734)] = 507040,
  [SMALL_STATE(10735)] = 507072,
  [SMALL_STATE(10736)] = 507104,
  [SMALL_STATE(10737)] = 507136,
  [SMALL_STATE(10738)] = 507168,
  [SMALL_STATE(10739)] = 507200,
  [SMALL_STATE(10740)] = 507232,
  [SMALL_STATE(10741)] = 507286,
  [SMALL_STATE(10742)] = 507340,
  [SMALL_STATE(10743)] = 507370,
  [SMALL_STATE(10744)] = 507424,
  [SMALL_STATE(10745)] = 507472,
  [SMALL_STATE(10746)] = 507504,
  [SMALL_STATE(10747)] = 507536,
  [SMALL_STATE(10748)] = 507568,
  [SMALL_STATE(10749)] = 507600,
  [SMALL_STATE(10750)] = 507632,
  [SMALL_STATE(10751)] = 507664,
  [SMALL_STATE(10752)] = 507696,
  [SMALL_STATE(10753)] = 507728,
  [SMALL_STATE(10754)] = 507760,
  [SMALL_STATE(10755)] = 507796,
  [SMALL_STATE(10756)] = 507828,
  [SMALL_STATE(10757)] = 507862,
  [SMALL_STATE(10758)] = 507894,
  [SMALL_STATE(10759)] = 507924,
  [SMALL_STATE(10760)] = 507956,
  [SMALL_STATE(10761)] = 507998,
  [SMALL_STATE(10762)] = 508028,
  [SMALL_STATE(10763)] = 508060,
  [SMALL_STATE(10764)] = 508092,
  [SMALL_STATE(10765)] = 508124,
  [SMALL_STATE(10766)] = 508162,
  [SMALL_STATE(10767)] = 508194,
  [SMALL_STATE(10768)] = 508244,
  [SMALL_STATE(10769)] = 508276,
  [SMALL_STATE(10770)] = 508318,
  [SMALL_STATE(10771)] = 508360,
  [SMALL_STATE(10772)] = 508412,
  [SMALL_STATE(10773)] = 508462,
  [SMALL_STATE(10774)] = 508494,
  [SMALL_STATE(10775)] = 508526,
  [SMALL_STATE(10776)] = 508558,
  [SMALL_STATE(10777)] = 508610,
  [SMALL_STATE(10778)] = 508642,
  [SMALL_STATE(10779)] = 508678,
  [SMALL_STATE(10780)] = 508710,
  [SMALL_STATE(10781)] = 508742,
  [SMALL_STATE(10782)] = 508774,
  [SMALL_STATE(10783)] = 508806,
  [SMALL_STATE(10784)] = 508838,
  [SMALL_STATE(10785)] = 508870,
  [SMALL_STATE(10786)] = 508900,
  [SMALL_STATE(10787)] = 508932,
  [SMALL_STATE(10788)] = 508974,
  [SMALL_STATE(10789)] = 509004,
  [SMALL_STATE(10790)] = 509040,
  [SMALL_STATE(10791)] = 509072,
  [SMALL_STATE(10792)] = 509102,
  [SMALL_STATE(10793)] = 509134,
  [SMALL_STATE(10794)] = 509166,
  [SMALL_STATE(10795)] = 509198,
  [SMALL_STATE(10796)] = 509236,
  [SMALL_STATE(10797)] = 509268,
  [SMALL_STATE(10798)] = 509314,
  [SMALL_STATE(10799)] = 509346,
  [SMALL_STATE(10800)] = 509378,
  [SMALL_STATE(10801)] = 509428,
  [SMALL_STATE(10802)] = 509460,
  [SMALL_STATE(10803)] = 509514,
  [SMALL_STATE(10804)] = 509546,
  [SMALL_STATE(10805)] = 509578,
  [SMALL_STATE(10806)] = 509616,
  [SMALL_STATE(10807)] = 509648,
  [SMALL_STATE(10808)] = 509680,
  [SMALL_STATE(10809)] = 509712,
  [SMALL_STATE(10810)] = 509750,
  [SMALL_STATE(10811)] = 509782,
  [SMALL_STATE(10812)] = 509814,
  [SMALL_STATE(10813)] = 509846,
  [SMALL_STATE(10814)] = 509898,
  [SMALL_STATE(10815)] = 509936,
  [SMALL_STATE(10816)] = 509990,
  [SMALL_STATE(10817)] = 510022,
  [SMALL_STATE(10818)] = 510054,
  [SMALL_STATE(10819)] = 510086,
  [SMALL_STATE(10820)] = 510118,
  [SMALL_STATE(10821)] = 510150,
  [SMALL_STATE(10822)] = 510182,
  [SMALL_STATE(10823)] = 510214,
  [SMALL_STATE(10824)] = 510266,
  [SMALL_STATE(10825)] = 510302,
  [SMALL_STATE(10826)] = 510334,
  [SMALL_STATE(10827)] = 510372,
  [SMALL_STATE(10828)] = 510404,
  [SMALL_STATE(10829)] = 510454,
  [SMALL_STATE(10830)] = 510492,
  [SMALL_STATE(10831)] = 510522,
  [SMALL_STATE(10832)] = 510554,
  [SMALL_STATE(10833)] = 510586,
  [SMALL_STATE(10834)] = 510618,
  [SMALL_STATE(10835)] = 510650,
  [SMALL_STATE(10836)] = 510682,
  [SMALL_STATE(10837)] = 510714,
  [SMALL_STATE(10838)] = 510746,
  [SMALL_STATE(10839)] = 510778,
  [SMALL_STATE(10840)] = 510832,
  [SMALL_STATE(10841)] = 510864,
  [SMALL_STATE(10842)] = 510900,
  [SMALL_STATE(10843)] = 510954,
  [SMALL_STATE(10844)] = 511000,
  [SMALL_STATE(10845)] = 511032,
  [SMALL_STATE(10846)] = 511064,
  [SMALL_STATE(10847)] = 511096,
  [SMALL_STATE(10848)] = 511128,
  [SMALL_STATE(10849)] = 511160,
  [SMALL_STATE(10850)] = 511198,
  [SMALL_STATE(10851)] = 511230,
  [SMALL_STATE(10852)] = 511262,
  [SMALL_STATE(10853)] = 511294,
  [SMALL_STATE(10854)] = 511348,
  [SMALL_STATE(10855)] = 511402,
  [SMALL_STATE(10856)] = 511434,
  [SMALL_STATE(10857)] = 511466,
  [SMALL_STATE(10858)] = 511498,
  [SMALL_STATE(10859)] = 511530,
  [SMALL_STATE(10860)] = 511564,
  [SMALL_STATE(10861)] = 511596,
  [SMALL_STATE(10862)] = 511650,
  [SMALL_STATE(10863)] = 511704,
  [SMALL_STATE(10864)] = 511736,
  [SMALL_STATE(10865)] = 511768,
  [SMALL_STATE(10866)] = 511800,
  [SMALL_STATE(10867)] = 511832,
  [SMALL_STATE(10868)] = 511864,
  [SMALL_STATE(10869)] = 511896,
  [SMALL_STATE(10870)] = 511946,
  [SMALL_STATE(10871)] = 511978,
  [SMALL_STATE(10872)] = 512026,
  [SMALL_STATE(10873)] = 512074,
  [SMALL_STATE(10874)] = 512106,
  [SMALL_STATE(10875)] = 512138,
  [SMALL_STATE(10876)] = 512188,
  [SMALL_STATE(10877)] = 512220,
  [SMALL_STATE(10878)] = 512252,
  [SMALL_STATE(10879)] = 512306,
  [SMALL_STATE(10880)] = 512338,
  [SMALL_STATE(10881)] = 512374,
  [SMALL_STATE(10882)] = 512406,
  [SMALL_STATE(10883)] = 512438,
  [SMALL_STATE(10884)] = 512490,
  [SMALL_STATE(10885)] = 512522,
  [SMALL_STATE(10886)] = 512554,
  [SMALL_STATE(10887)] = 512586,
  [SMALL_STATE(10888)] = 512640,
  [SMALL_STATE(10889)] = 512672,
  [SMALL_STATE(10890)] = 512722,
  [SMALL_STATE(10891)] = 512772,
  [SMALL_STATE(10892)] = 512826,
  [SMALL_STATE(10893)] = 512858,
  [SMALL_STATE(10894)] = 512890,
  [SMALL_STATE(10895)] = 512922,
  [SMALL_STATE(10896)] = 512954,
  [SMALL_STATE(10897)] = 513008,
  [SMALL_STATE(10898)] = 513040,
  [SMALL_STATE(10899)] = 513072,
  [SMALL_STATE(10900)] = 513104,
  [SMALL_STATE(10901)] = 513136,
  [SMALL_STATE(10902)] = 513166,
  [SMALL_STATE(10903)] = 513196,
  [SMALL_STATE(10904)] = 513228,
  [SMALL_STATE(10905)] = 513278,
  [SMALL_STATE(10906)] = 513310,
  [SMALL_STATE(10907)] = 513342,
  [SMALL_STATE(10908)] = 513374,
  [SMALL_STATE(10909)] = 513406,
  [SMALL_STATE(10910)] = 513444,
  [SMALL_STATE(10911)] = 513476,
  [SMALL_STATE(10912)] = 513508,
  [SMALL_STATE(10913)] = 513540,
  [SMALL_STATE(10914)] = 513572,
  [SMALL_STATE(10915)] = 513622,
  [SMALL_STATE(10916)] = 513664,
  [SMALL_STATE(10917)] = 513694,
  [SMALL_STATE(10918)] = 513726,
  [SMALL_STATE(10919)] = 513762,
  [SMALL_STATE(10920)] = 513814,
  [SMALL_STATE(10921)] = 513846,
  [SMALL_STATE(10922)] = 513878,
  [SMALL_STATE(10923)] = 513910,
  [SMALL_STATE(10924)] = 513958,
  [SMALL_STATE(10925)] = 513994,
  [SMALL_STATE(10926)] = 514048,
  [SMALL_STATE(10927)] = 514086,
  [SMALL_STATE(10928)] = 514124,
  [SMALL_STATE(10929)] = 514166,
  [SMALL_STATE(10930)] = 514198,
  [SMALL_STATE(10931)] = 514230,
  [SMALL_STATE(10932)] = 514262,
  [SMALL_STATE(10933)] = 514294,
  [SMALL_STATE(10934)] = 514326,
  [SMALL_STATE(10935)] = 514358,
  [SMALL_STATE(10936)] = 514390,
  [SMALL_STATE(10937)] = 514424,
  [SMALL_STATE(10938)] = 514456,
  [SMALL_STATE(10939)] = 514488,
  [SMALL_STATE(10940)] = 514536,
  [SMALL_STATE(10941)] = 514572,
  [SMALL_STATE(10942)] = 514624,
  [SMALL_STATE(10943)] = 514656,
  [SMALL_STATE(10944)] = 514692,
  [SMALL_STATE(10945)] = 514722,
  [SMALL_STATE(10946)] = 514752,
  [SMALL_STATE(10947)] = 514784,
  [SMALL_STATE(10948)] = 514814,
  [SMALL_STATE(10949)] = 514866,
  [SMALL_STATE(10950)] = 514902,
  [SMALL_STATE(10951)] = 514933,
  [SMALL_STATE(10952)] = 514968,
  [SMALL_STATE(10953)] = 514999,
  [SMALL_STATE(10954)] = 515030,
  [SMALL_STATE(10955)] = 515059,
  [SMALL_STATE(10956)] = 515090,
  [SMALL_STATE(10957)] = 515121,
  [SMALL_STATE(10958)] = 515152,
  [SMALL_STATE(10959)] = 515183,
  [SMALL_STATE(10960)] = 515214,
  [SMALL_STATE(10961)] = 515245,
  [SMALL_STATE(10962)] = 515280,
  [SMALL_STATE(10963)] = 515311,
  [SMALL_STATE(10964)] = 515342,
  [SMALL_STATE(10965)] = 515377,
  [SMALL_STATE(10966)] = 515408,
  [SMALL_STATE(10967)] = 515437,
  [SMALL_STATE(10968)] = 515468,
  [SMALL_STATE(10969)] = 515499,
  [SMALL_STATE(10970)] = 515530,
  [SMALL_STATE(10971)] = 515559,
  [SMALL_STATE(10972)] = 515590,
  [SMALL_STATE(10973)] = 515625,
  [SMALL_STATE(10974)] = 515660,
  [SMALL_STATE(10975)] = 515701,
  [SMALL_STATE(10976)] = 515730,
  [SMALL_STATE(10977)] = 515777,
  [SMALL_STATE(10978)] = 515808,
  [SMALL_STATE(10979)] = 515849,
  [SMALL_STATE(10980)] = 515880,
  [SMALL_STATE(10981)] = 515925,
  [SMALL_STATE(10982)] = 515956,
  [SMALL_STATE(10983)] = 515987,
  [SMALL_STATE(10984)] = 516022,
  [SMALL_STATE(10985)] = 516069,
  [SMALL_STATE(10986)] = 516116,
  [SMALL_STATE(10987)] = 516147,
  [SMALL_STATE(10988)] = 516178,
  [SMALL_STATE(10989)] = 516227,
  [SMALL_STATE(10990)] = 516266,
  [SMALL_STATE(10991)] = 516315,
  [SMALL_STATE(10992)] = 516356,
  [SMALL_STATE(10993)] = 516387,
  [SMALL_STATE(10994)] = 516436,
  [SMALL_STATE(10995)] = 516471,
  [SMALL_STATE(10996)] = 516518,
  [SMALL_STATE(10997)] = 516567,
  [SMALL_STATE(10998)] = 516596,
  [SMALL_STATE(10999)] = 516627,
  [SMALL_STATE(11000)] = 516676,
  [SMALL_STATE(11001)] = 516707,
  [SMALL_STATE(11002)] = 516738,
  [SMALL_STATE(11003)] = 516785,
  [SMALL_STATE(11004)] = 516814,
  [SMALL_STATE(11005)] = 516849,
  [SMALL_STATE(11006)] = 516880,
  [SMALL_STATE(11007)] = 516909,
  [SMALL_STATE(11008)] = 516958,
  [SMALL_STATE(11009)] = 516989,
  [SMALL_STATE(11010)] = 517020,
  [SMALL_STATE(11011)] = 517051,
  [SMALL_STATE(11012)] = 517082,
  [SMALL_STATE(11013)] = 517113,
  [SMALL_STATE(11014)] = 517162,
  [SMALL_STATE(11015)] = 517211,
  [SMALL_STATE(11016)] = 517260,
  [SMALL_STATE(11017)] = 517291,
  [SMALL_STATE(11018)] = 517322,
  [SMALL_STATE(11019)] = 517353,
  [SMALL_STATE(11020)] = 517384,
  [SMALL_STATE(11021)] = 517413,
  [SMALL_STATE(11022)] = 517454,
  [SMALL_STATE(11023)] = 517485,
  [SMALL_STATE(11024)] = 517516,
  [SMALL_STATE(11025)] = 517547,
  [SMALL_STATE(11026)] = 517578,
  [SMALL_STATE(11027)] = 517609,
  [SMALL_STATE(11028)] = 517640,
  [SMALL_STATE(11029)] = 517671,
  [SMALL_STATE(11030)] = 517706,
  [SMALL_STATE(11031)] = 517753,
  [SMALL_STATE(11032)] = 517804,
  [SMALL_STATE(11033)] = 517839,
  [SMALL_STATE(11034)] = 517874,
  [SMALL_STATE(11035)] = 517903,
  [SMALL_STATE(11036)] = 517938,
  [SMALL_STATE(11037)] = 517979,
  [SMALL_STATE(11038)] = 518010,
  [SMALL_STATE(11039)] = 518041,
  [SMALL_STATE(11040)] = 518072,
  [SMALL_STATE(11041)] = 518103,
  [SMALL_STATE(11042)] = 518134,
  [SMALL_STATE(11043)] = 518165,
  [SMALL_STATE(11044)] = 518196,
  [SMALL_STATE(11045)] = 518243,
  [SMALL_STATE(11046)] = 518274,
  [SMALL_STATE(11047)] = 518305,
  [SMALL_STATE(11048)] = 518336,
  [SMALL_STATE(11049)] = 518367,
  [SMALL_STATE(11050)] = 518396,
  [SMALL_STATE(11051)] = 518427,
  [SMALL_STATE(11052)] = 518456,
  [SMALL_STATE(11053)] = 518501,
  [SMALL_STATE(11054)] = 518536,
  [SMALL_STATE(11055)] = 518567,
  [SMALL_STATE(11056)] = 518596,
  [SMALL_STATE(11057)] = 518643,
  [SMALL_STATE(11058)] = 518672,
  [SMALL_STATE(11059)] = 518721,
  [SMALL_STATE(11060)] = 518752,
  [SMALL_STATE(11061)] = 518801,
  [SMALL_STATE(11062)] = 518836,
  [SMALL_STATE(11063)] = 518877,
  [SMALL_STATE(11064)] = 518926,
  [SMALL_STATE(11065)] = 518957,
  [SMALL_STATE(11066)] = 519006,
  [SMALL_STATE(11067)] = 519043,
  [SMALL_STATE(11068)] = 519074,
  [SMALL_STATE(11069)] = 519103,
  [SMALL_STATE(11070)] = 519152,
  [SMALL_STATE(11071)] = 519181,
  [SMALL_STATE(11072)] = 519228,
  [SMALL_STATE(11073)] = 519277,
  [SMALL_STATE(11074)] = 519326,
  [SMALL_STATE(11075)] = 519355,
  [SMALL_STATE(11076)] = 519386,
  [SMALL_STATE(11077)] = 519417,
  [SMALL_STATE(11078)] = 519466,
  [SMALL_STATE(11079)] = 519497,
  [SMALL_STATE(11080)] = 519528,
  [SMALL_STATE(11081)] = 519559,
  [SMALL_STATE(11082)] = 519590,
  [SMALL_STATE(11083)] = 519621,
  [SMALL_STATE(11084)] = 519650,
  [SMALL_STATE(11085)] = 519681,
  [SMALL_STATE(11086)] = 519712,
  [SMALL_STATE(11087)] = 519741,
  [SMALL_STATE(11088)] = 519780,
  [SMALL_STATE(11089)] = 519813,
  [SMALL_STATE(11090)] = 519846,
  [SMALL_STATE(11091)] = 519877,
  [SMALL_STATE(11092)] = 519914,
  [SMALL_STATE(11093)] = 519943,
  [SMALL_STATE(11094)] = 519980,
  [SMALL_STATE(11095)] = 520011,
  [SMALL_STATE(11096)] = 520042,
  [SMALL_STATE(11097)] = 520071,
  [SMALL_STATE(11098)] = 520106,
  [SMALL_STATE(11099)] = 520137,
  [SMALL_STATE(11100)] = 520172,
  [SMALL_STATE(11101)] = 520201,
  [SMALL_STATE(11102)] = 520232,
  [SMALL_STATE(11103)] = 520263,
  [SMALL_STATE(11104)] = 520298,
  [SMALL_STATE(11105)] = 520343,
  [SMALL_STATE(11106)] = 520376,
  [SMALL_STATE(11107)] = 520407,
  [SMALL_STATE(11108)] = 520436,
  [SMALL_STATE(11109)] = 520467,
  [SMALL_STATE(11110)] = 520498,
  [SMALL_STATE(11111)] = 520539,
  [SMALL_STATE(11112)] = 520570,
  [SMALL_STATE(11113)] = 520601,
  [SMALL_STATE(11114)] = 520632,
  [SMALL_STATE(11115)] = 520667,
  [SMALL_STATE(11116)] = 520698,
  [SMALL_STATE(11117)] = 520729,
  [SMALL_STATE(11118)] = 520760,
  [SMALL_STATE(11119)] = 520807,
  [SMALL_STATE(11120)] = 520838,
  [SMALL_STATE(11121)] = 520873,
  [SMALL_STATE(11122)] = 520902,
  [SMALL_STATE(11123)] = 520937,
  [SMALL_STATE(11124)] = 520972,
  [SMALL_STATE(11125)] = 521003,
  [SMALL_STATE(11126)] = 521034,
  [SMALL_STATE(11127)] = 521065,
  [SMALL_STATE(11128)] = 521114,
  [SMALL_STATE(11129)] = 521163,
  [SMALL_STATE(11130)] = 521196,
  [SMALL_STATE(11131)] = 521227,
  [SMALL_STATE(11132)] = 521276,
  [SMALL_STATE(11133)] = 521307,
  [SMALL_STATE(11134)] = 521338,
  [SMALL_STATE(11135)] = 521368,
  [SMALL_STATE(11136)] = 521396,
  [SMALL_STATE(11137)] = 521426,
  [SMALL_STATE(11138)] = 521456,
  [SMALL_STATE(11139)] = 521500,
  [SMALL_STATE(11140)] = 521530,
  [SMALL_STATE(11141)] = 521574,
  [SMALL_STATE(11142)] = 521602,
  [SMALL_STATE(11143)] = 521646,
  [SMALL_STATE(11144)] = 521676,
  [SMALL_STATE(11145)] = 521706,
  [SMALL_STATE(11146)] = 521750,
  [SMALL_STATE(11147)] = 521798,
  [SMALL_STATE(11148)] = 521844,
  [SMALL_STATE(11149)] = 521872,
  [SMALL_STATE(11150)] = 521918,
  [SMALL_STATE(11151)] = 521962,
  [SMALL_STATE(11152)] = 521992,
  [SMALL_STATE(11153)] = 522022,
  [SMALL_STATE(11154)] = 522050,
  [SMALL_STATE(11155)] = 522078,
  [SMALL_STATE(11156)] = 522106,
  [SMALL_STATE(11157)] = 522136,
  [SMALL_STATE(11158)] = 522184,
  [SMALL_STATE(11159)] = 522228,
  [SMALL_STATE(11160)] = 522272,
  [SMALL_STATE(11161)] = 522316,
  [SMALL_STATE(11162)] = 522344,
  [SMALL_STATE(11163)] = 522372,
  [SMALL_STATE(11164)] = 522416,
  [SMALL_STATE(11165)] = 522448,
  [SMALL_STATE(11166)] = 522478,
  [SMALL_STATE(11167)] = 522522,
  [SMALL_STATE(11168)] = 522552,
  [SMALL_STATE(11169)] = 522582,
  [SMALL_STATE(11170)] = 522626,
  [SMALL_STATE(11171)] = 522674,
  [SMALL_STATE(11172)] = 522704,
  [SMALL_STATE(11173)] = 522734,
  [SMALL_STATE(11174)] = 522778,
  [SMALL_STATE(11175)] = 522810,
  [SMALL_STATE(11176)] = 522844,
  [SMALL_STATE(11177)] = 522888,
  [SMALL_STATE(11178)] = 522936,
  [SMALL_STATE(11179)] = 522980,
  [SMALL_STATE(11180)] = 523010,
  [SMALL_STATE(11181)] = 523054,
  [SMALL_STATE(11182)] = 523082,
  [SMALL_STATE(11183)] = 523126,
  [SMALL_STATE(11184)] = 523170,
  [SMALL_STATE(11185)] = 523214,
  [SMALL_STATE(11186)] = 523258,
  [SMALL_STATE(11187)] = 523302,
  [SMALL_STATE(11188)] = 523346,
  [SMALL_STATE(11189)] = 523390,
  [SMALL_STATE(11190)] = 523436,
  [SMALL_STATE(11191)] = 523480,
  [SMALL_STATE(11192)] = 523526,
  [SMALL_STATE(11193)] = 523570,
  [SMALL_STATE(11194)] = 523598,
  [SMALL_STATE(11195)] = 523626,
  [SMALL_STATE(11196)] = 523654,
  [SMALL_STATE(11197)] = 523682,
  [SMALL_STATE(11198)] = 523726,
  [SMALL_STATE(11199)] = 523770,
  [SMALL_STATE(11200)] = 523814,
  [SMALL_STATE(11201)] = 523858,
  [SMALL_STATE(11202)] = 523888,
  [SMALL_STATE(11203)] = 523916,
  [SMALL_STATE(11204)] = 523946,
  [SMALL_STATE(11205)] = 523974,
  [SMALL_STATE(11206)] = 524018,
  [SMALL_STATE(11207)] = 524062,
  [SMALL_STATE(11208)] = 524106,
  [SMALL_STATE(11209)] = 524154,
  [SMALL_STATE(11210)] = 524200,
  [SMALL_STATE(11211)] = 524228,
  [SMALL_STATE(11212)] = 524258,
  [SMALL_STATE(11213)] = 524302,
  [SMALL_STATE(11214)] = 524346,
  [SMALL_STATE(11215)] = 524390,
  [SMALL_STATE(11216)] = 524418,
  [SMALL_STATE(11217)] = 524462,
  [SMALL_STATE(11218)] = 524492,
  [SMALL_STATE(11219)] = 524522,
  [SMALL_STATE(11220)] = 524552,
  [SMALL_STATE(11221)] = 524596,
  [SMALL_STATE(11222)] = 524626,
  [SMALL_STATE(11223)] = 524670,
  [SMALL_STATE(11224)] = 524714,
  [SMALL_STATE(11225)] = 524758,
  [SMALL_STATE(11226)] = 524786,
  [SMALL_STATE(11227)] = 524820,
  [SMALL_STATE(11228)] = 524864,
  [SMALL_STATE(11229)] = 524908,
  [SMALL_STATE(11230)] = 524936,
  [SMALL_STATE(11231)] = 524964,
  [SMALL_STATE(11232)] = 524994,
  [SMALL_STATE(11233)] = 525022,
  [SMALL_STATE(11234)] = 525066,
  [SMALL_STATE(11235)] = 525112,
  [SMALL_STATE(11236)] = 525156,
  [SMALL_STATE(11237)] = 525200,
  [SMALL_STATE(11238)] = 525232,
  [SMALL_STATE(11239)] = 525260,
  [SMALL_STATE(11240)] = 525288,
  [SMALL_STATE(11241)] = 525332,
  [SMALL_STATE(11242)] = 525362,
  [SMALL_STATE(11243)] = 525392,
  [SMALL_STATE(11244)] = 525420,
  [SMALL_STATE(11245)] = 525448,
  [SMALL_STATE(11246)] = 525492,
  [SMALL_STATE(11247)] = 525530,
  [SMALL_STATE(11248)] = 525558,
  [SMALL_STATE(11249)] = 525588,
  [SMALL_STATE(11250)] = 525632,
  [SMALL_STATE(11251)] = 525676,
  [SMALL_STATE(11252)] = 525720,
  [SMALL_STATE(11253)] = 525766,
  [SMALL_STATE(11254)] = 525794,
  [SMALL_STATE(11255)] = 525838,
  [SMALL_STATE(11256)] = 525884,
  [SMALL_STATE(11257)] = 525932,
  [SMALL_STATE(11258)] = 525980,
  [SMALL_STATE(11259)] = 526008,
  [SMALL_STATE(11260)] = 526052,
  [SMALL_STATE(11261)] = 526100,
  [SMALL_STATE(11262)] = 526148,
  [SMALL_STATE(11263)] = 526196,
  [SMALL_STATE(11264)] = 526244,
  [SMALL_STATE(11265)] = 526290,
  [SMALL_STATE(11266)] = 526334,
  [SMALL_STATE(11267)] = 526382,
  [SMALL_STATE(11268)] = 526426,
  [SMALL_STATE(11269)] = 526470,
  [SMALL_STATE(11270)] = 526498,
  [SMALL_STATE(11271)] = 526542,
  [SMALL_STATE(11272)] = 526588,
  [SMALL_STATE(11273)] = 526622,
  [SMALL_STATE(11274)] = 526666,
  [SMALL_STATE(11275)] = 526710,
  [SMALL_STATE(11276)] = 526754,
  [SMALL_STATE(11277)] = 526798,
  [SMALL_STATE(11278)] = 526842,
  [SMALL_STATE(11279)] = 526888,
  [SMALL_STATE(11280)] = 526928,
  [SMALL_STATE(11281)] = 526956,
  [SMALL_STATE(11282)] = 527002,
  [SMALL_STATE(11283)] = 527030,
  [SMALL_STATE(11284)] = 527074,
  [SMALL_STATE(11285)] = 527104,
  [SMALL_STATE(11286)] = 527132,
  [SMALL_STATE(11287)] = 527176,
  [SMALL_STATE(11288)] = 527204,
  [SMALL_STATE(11289)] = 527248,
  [SMALL_STATE(11290)] = 527278,
  [SMALL_STATE(11291)] = 527322,
  [SMALL_STATE(11292)] = 527366,
  [SMALL_STATE(11293)] = 527396,
  [SMALL_STATE(11294)] = 527426,
  [SMALL_STATE(11295)] = 527456,
  [SMALL_STATE(11296)] = 527490,
  [SMALL_STATE(11297)] = 527534,
  [SMALL_STATE(11298)] = 527564,
  [SMALL_STATE(11299)] = 527612,
  [SMALL_STATE(11300)] = 527656,
  [SMALL_STATE(11301)] = 527700,
  [SMALL_STATE(11302)] = 527730,
  [SMALL_STATE(11303)] = 527774,
  [SMALL_STATE(11304)] = 527818,
  [SMALL_STATE(11305)] = 527846,
  [SMALL_STATE(11306)] = 527890,
  [SMALL_STATE(11307)] = 527918,
  [SMALL_STATE(11308)] = 527946,
  [SMALL_STATE(11309)] = 527974,
  [SMALL_STATE(11310)] = 528002,
  [SMALL_STATE(11311)] = 528032,
  [SMALL_STATE(11312)] = 528062,
  [SMALL_STATE(11313)] = 528092,
  [SMALL_STATE(11314)] = 528126,
  [SMALL_STATE(11315)] = 528156,
  [SMALL_STATE(11316)] = 528200,
  [SMALL_STATE(11317)] = 528234,
  [SMALL_STATE(11318)] = 528264,
  [SMALL_STATE(11319)] = 528294,
  [SMALL_STATE(11320)] = 528330,
  [SMALL_STATE(11321)] = 528374,
  [SMALL_STATE(11322)] = 528404,
  [SMALL_STATE(11323)] = 528432,
  [SMALL_STATE(11324)] = 528476,
  [SMALL_STATE(11325)] = 528504,
  [SMALL_STATE(11326)] = 528548,
  [SMALL_STATE(11327)] = 528578,
  [SMALL_STATE(11328)] = 528608,
  [SMALL_STATE(11329)] = 528654,
  [SMALL_STATE(11330)] = 528684,
  [SMALL_STATE(11331)] = 528712,
  [SMALL_STATE(11332)] = 528752,
  [SMALL_STATE(11333)] = 528796,
  [SMALL_STATE(11334)] = 528824,
  [SMALL_STATE(11335)] = 528868,
  [SMALL_STATE(11336)] = 528896,
  [SMALL_STATE(11337)] = 528942,
  [SMALL_STATE(11338)] = 528970,
  [SMALL_STATE(11339)] = 528998,
  [SMALL_STATE(11340)] = 529042,
  [SMALL_STATE(11341)] = 529072,
  [SMALL_STATE(11342)] = 529100,
  [SMALL_STATE(11343)] = 529130,
  [SMALL_STATE(11344)] = 529160,
  [SMALL_STATE(11345)] = 529200,
  [SMALL_STATE(11346)] = 529244,
  [SMALL_STATE(11347)] = 529288,
  [SMALL_STATE(11348)] = 529332,
  [SMALL_STATE(11349)] = 529362,
  [SMALL_STATE(11350)] = 529406,
  [SMALL_STATE(11351)] = 529434,
  [SMALL_STATE(11352)] = 529462,
  [SMALL_STATE(11353)] = 529492,
  [SMALL_STATE(11354)] = 529522,
  [SMALL_STATE(11355)] = 529566,
  [SMALL_STATE(11356)] = 529596,
  [SMALL_STATE(11357)] = 529624,
  [SMALL_STATE(11358)] = 529654,
  [SMALL_STATE(11359)] = 529698,
  [SMALL_STATE(11360)] = 529726,
  [SMALL_STATE(11361)] = 529770,
  [SMALL_STATE(11362)] = 529816,
  [SMALL_STATE(11363)] = 529844,
  [SMALL_STATE(11364)] = 529888,
  [SMALL_STATE(11365)] = 529932,
  [SMALL_STATE(11366)] = 529960,
  [SMALL_STATE(11367)] = 530004,
  [SMALL_STATE(11368)] = 530038,
  [SMALL_STATE(11369)] = 530068,
  [SMALL_STATE(11370)] = 530098,
  [SMALL_STATE(11371)] = 530128,
  [SMALL_STATE(11372)] = 530158,
  [SMALL_STATE(11373)] = 530186,
  [SMALL_STATE(11374)] = 530230,
  [SMALL_STATE(11375)] = 530274,
  [SMALL_STATE(11376)] = 530304,
  [SMALL_STATE(11377)] = 530348,
  [SMALL_STATE(11378)] = 530392,
  [SMALL_STATE(11379)] = 530422,
  [SMALL_STATE(11380)] = 530466,
  [SMALL_STATE(11381)] = 530510,
  [SMALL_STATE(11382)] = 530554,
  [SMALL_STATE(11383)] = 530598,
  [SMALL_STATE(11384)] = 530642,
  [SMALL_STATE(11385)] = 530686,
  [SMALL_STATE(11386)] = 530730,
  [SMALL_STATE(11387)] = 530760,
  [SMALL_STATE(11388)] = 530804,
  [SMALL_STATE(11389)] = 530832,
  [SMALL_STATE(11390)] = 530876,
  [SMALL_STATE(11391)] = 530920,
  [SMALL_STATE(11392)] = 530964,
  [SMALL_STATE(11393)] = 530992,
  [SMALL_STATE(11394)] = 531020,
  [SMALL_STATE(11395)] = 531048,
  [SMALL_STATE(11396)] = 531092,
  [SMALL_STATE(11397)] = 531120,
  [SMALL_STATE(11398)] = 531150,
  [SMALL_STATE(11399)] = 531178,
  [SMALL_STATE(11400)] = 531222,
  [SMALL_STATE(11401)] = 531266,
  [SMALL_STATE(11402)] = 531294,
  [SMALL_STATE(11403)] = 531324,
  [SMALL_STATE(11404)] = 531368,
  [SMALL_STATE(11405)] = 531412,
  [SMALL_STATE(11406)] = 531456,
  [SMALL_STATE(11407)] = 531486,
  [SMALL_STATE(11408)] = 531530,
  [SMALL_STATE(11409)] = 531574,
  [SMALL_STATE(11410)] = 531618,
  [SMALL_STATE(11411)] = 531662,
  [SMALL_STATE(11412)] = 531706,
  [SMALL_STATE(11413)] = 531750,
  [SMALL_STATE(11414)] = 531798,
  [SMALL_STATE(11415)] = 531842,
  [SMALL_STATE(11416)] = 531886,
  [SMALL_STATE(11417)] = 531930,
  [SMALL_STATE(11418)] = 531960,
  [SMALL_STATE(11419)] = 532004,
  [SMALL_STATE(11420)] = 532048,
  [SMALL_STATE(11421)] = 532092,
  [SMALL_STATE(11422)] = 532122,
  [SMALL_STATE(11423)] = 532150,
  [SMALL_STATE(11424)] = 532194,
  [SMALL_STATE(11425)] = 532238,
  [SMALL_STATE(11426)] = 532282,
  [SMALL_STATE(11427)] = 532312,
  [SMALL_STATE(11428)] = 532344,
  [SMALL_STATE(11429)] = 532388,
  [SMALL_STATE(11430)] = 532432,
  [SMALL_STATE(11431)] = 532476,
  [SMALL_STATE(11432)] = 532504,
  [SMALL_STATE(11433)] = 532532,
  [SMALL_STATE(11434)] = 532560,
  [SMALL_STATE(11435)] = 532604,
  [SMALL_STATE(11436)] = 532634,
  [SMALL_STATE(11437)] = 532678,
  [SMALL_STATE(11438)] = 532722,
  [SMALL_STATE(11439)] = 532768,
  [SMALL_STATE(11440)] = 532816,
  [SMALL_STATE(11441)] = 532860,
  [SMALL_STATE(11442)] = 532906,
  [SMALL_STATE(11443)] = 532950,
  [SMALL_STATE(11444)] = 532994,
  [SMALL_STATE(11445)] = 533038,
  [SMALL_STATE(11446)] = 533082,
  [SMALL_STATE(11447)] = 533126,
  [SMALL_STATE(11448)] = 533172,
  [SMALL_STATE(11449)] = 533200,
  [SMALL_STATE(11450)] = 533240,
  [SMALL_STATE(11451)] = 533284,
  [SMALL_STATE(11452)] = 533312,
  [SMALL_STATE(11453)] = 533356,
  [SMALL_STATE(11454)] = 533400,
  [SMALL_STATE(11455)] = 533444,
  [SMALL_STATE(11456)] = 533488,
  [SMALL_STATE(11457)] = 533520,
  [SMALL_STATE(11458)] = 533564,
  [SMALL_STATE(11459)] = 533608,
  [SMALL_STATE(11460)] = 533635,
  [SMALL_STATE(11461)] = 533662,
  [SMALL_STATE(11462)] = 533691,
  [SMALL_STATE(11463)] = 533738,
  [SMALL_STATE(11464)] = 533765,
  [SMALL_STATE(11465)] = 533792,
  [SMALL_STATE(11466)] = 533819,
  [SMALL_STATE(11467)] = 533850,
  [SMALL_STATE(11468)] = 533877,
  [SMALL_STATE(11469)] = 533910,
  [SMALL_STATE(11470)] = 533937,
  [SMALL_STATE(11471)] = 533978,
  [SMALL_STATE(11472)] = 534025,
  [SMALL_STATE(11473)] = 534052,
  [SMALL_STATE(11474)] = 534083,
  [SMALL_STATE(11475)] = 534112,
  [SMALL_STATE(11476)] = 534159,
  [SMALL_STATE(11477)] = 534186,
  [SMALL_STATE(11478)] = 534213,
  [SMALL_STATE(11479)] = 534260,
  [SMALL_STATE(11480)] = 534287,
  [SMALL_STATE(11481)] = 534316,
  [SMALL_STATE(11482)] = 534343,
  [SMALL_STATE(11483)] = 534370,
  [SMALL_STATE(11484)] = 534397,
  [SMALL_STATE(11485)] = 534424,
  [SMALL_STATE(11486)] = 534471,
  [SMALL_STATE(11487)] = 534498,
  [SMALL_STATE(11488)] = 534527,
  [SMALL_STATE(11489)] = 534556,
  [SMALL_STATE(11490)] = 534583,
  [SMALL_STATE(11491)] = 534612,
  [SMALL_STATE(11492)] = 534639,
  [SMALL_STATE(11493)] = 534668,
  [SMALL_STATE(11494)] = 534697,
  [SMALL_STATE(11495)] = 534726,
  [SMALL_STATE(11496)] = 534759,
  [SMALL_STATE(11497)] = 534786,
  [SMALL_STATE(11498)] = 534813,
  [SMALL_STATE(11499)] = 534864,
  [SMALL_STATE(11500)] = 534905,
  [SMALL_STATE(11501)] = 534932,
  [SMALL_STATE(11502)] = 534959,
  [SMALL_STATE(11503)] = 535000,
  [SMALL_STATE(11504)] = 535041,
  [SMALL_STATE(11505)] = 535068,
  [SMALL_STATE(11506)] = 535109,
  [SMALL_STATE(11507)] = 535136,
  [SMALL_STATE(11508)] = 535177,
  [SMALL_STATE(11509)] = 535204,
  [SMALL_STATE(11510)] = 535231,
  [SMALL_STATE(11511)] = 535258,
  [SMALL_STATE(11512)] = 535285,
  [SMALL_STATE(11513)] = 535326,
  [SMALL_STATE(11514)] = 535353,
  [SMALL_STATE(11515)] = 535394,
  [SMALL_STATE(11516)] = 535435,
  [SMALL_STATE(11517)] = 535476,
  [SMALL_STATE(11518)] = 535523,
  [SMALL_STATE(11519)] = 535564,
  [SMALL_STATE(11520)] = 535591,
  [SMALL_STATE(11521)] = 535618,
  [SMALL_STATE(11522)] = 535659,
  [SMALL_STATE(11523)] = 535700,
  [SMALL_STATE(11524)] = 535727,
  [SMALL_STATE(11525)] = 535754,
  [SMALL_STATE(11526)] = 535781,
  [SMALL_STATE(11527)] = 535828,
  [SMALL_STATE(11528)] = 535857,
  [SMALL_STATE(11529)] = 535898,
  [SMALL_STATE(11530)] = 535925,
  [SMALL_STATE(11531)] = 535954,
  [SMALL_STATE(11532)] = 535993,
  [SMALL_STATE(11533)] = 536020,
  [SMALL_STATE(11534)] = 536047,
  [SMALL_STATE(11535)] = 536074,
  [SMALL_STATE(11536)] = 536101,
  [SMALL_STATE(11537)] = 536128,
  [SMALL_STATE(11538)] = 536157,
  [SMALL_STATE(11539)] = 536186,
  [SMALL_STATE(11540)] = 536233,
  [SMALL_STATE(11541)] = 536280,
  [SMALL_STATE(11542)] = 536321,
  [SMALL_STATE(11543)] = 536348,
  [SMALL_STATE(11544)] = 536375,
  [SMALL_STATE(11545)] = 536404,
  [SMALL_STATE(11546)] = 536431,
  [SMALL_STATE(11547)] = 536472,
  [SMALL_STATE(11548)] = 536513,
  [SMALL_STATE(11549)] = 536544,
  [SMALL_STATE(11550)] = 536585,
  [SMALL_STATE(11551)] = 536612,
  [SMALL_STATE(11552)] = 536653,
  [SMALL_STATE(11553)] = 536682,
  [SMALL_STATE(11554)] = 536709,
  [SMALL_STATE(11555)] = 536736,
  [SMALL_STATE(11556)] = 536763,
  [SMALL_STATE(11557)] = 536792,
  [SMALL_STATE(11558)] = 536833,
  [SMALL_STATE(11559)] = 536860,
  [SMALL_STATE(11560)] = 536887,
  [SMALL_STATE(11561)] = 536914,
  [SMALL_STATE(11562)] = 536943,
  [SMALL_STATE(11563)] = 536990,
  [SMALL_STATE(11564)] = 537031,
  [SMALL_STATE(11565)] = 537072,
  [SMALL_STATE(11566)] = 537119,
  [SMALL_STATE(11567)] = 537146,
  [SMALL_STATE(11568)] = 537187,
  [SMALL_STATE(11569)] = 537214,
  [SMALL_STATE(11570)] = 537255,
  [SMALL_STATE(11571)] = 537284,
  [SMALL_STATE(11572)] = 537311,
  [SMALL_STATE(11573)] = 537358,
  [SMALL_STATE(11574)] = 537387,
  [SMALL_STATE(11575)] = 537414,
  [SMALL_STATE(11576)] = 537455,
  [SMALL_STATE(11577)] = 537482,
  [SMALL_STATE(11578)] = 537523,
  [SMALL_STATE(11579)] = 537554,
  [SMALL_STATE(11580)] = 537595,
  [SMALL_STATE(11581)] = 537640,
  [SMALL_STATE(11582)] = 537681,
  [SMALL_STATE(11583)] = 537710,
  [SMALL_STATE(11584)] = 537751,
  [SMALL_STATE(11585)] = 537784,
  [SMALL_STATE(11586)] = 537813,
  [SMALL_STATE(11587)] = 537842,
  [SMALL_STATE(11588)] = 537873,
  [SMALL_STATE(11589)] = 537904,
  [SMALL_STATE(11590)] = 537931,
  [SMALL_STATE(11591)] = 537964,
  [SMALL_STATE(11592)] = 537995,
  [SMALL_STATE(11593)] = 538026,
  [SMALL_STATE(11594)] = 538065,
  [SMALL_STATE(11595)] = 538096,
  [SMALL_STATE(11596)] = 538137,
  [SMALL_STATE(11597)] = 538166,
  [SMALL_STATE(11598)] = 538207,
  [SMALL_STATE(11599)] = 538248,
  [SMALL_STATE(11600)] = 538277,
  [SMALL_STATE(11601)] = 538306,
  [SMALL_STATE(11602)] = 538335,
  [SMALL_STATE(11603)] = 538364,
  [SMALL_STATE(11604)] = 538393,
  [SMALL_STATE(11605)] = 538422,
  [SMALL_STATE(11606)] = 538451,
  [SMALL_STATE(11607)] = 538478,
  [SMALL_STATE(11608)] = 538505,
  [SMALL_STATE(11609)] = 538546,
  [SMALL_STATE(11610)] = 538573,
  [SMALL_STATE(11611)] = 538600,
  [SMALL_STATE(11612)] = 538641,
  [SMALL_STATE(11613)] = 538670,
  [SMALL_STATE(11614)] = 538711,
  [SMALL_STATE(11615)] = 538754,
  [SMALL_STATE(11616)] = 538781,
  [SMALL_STATE(11617)] = 538822,
  [SMALL_STATE(11618)] = 538863,
  [SMALL_STATE(11619)] = 538890,
  [SMALL_STATE(11620)] = 538917,
  [SMALL_STATE(11621)] = 538964,
  [SMALL_STATE(11622)] = 538991,
  [SMALL_STATE(11623)] = 539018,
  [SMALL_STATE(11624)] = 539047,
  [SMALL_STATE(11625)] = 539088,
  [SMALL_STATE(11626)] = 539129,
  [SMALL_STATE(11627)] = 539170,
  [SMALL_STATE(11628)] = 539211,
  [SMALL_STATE(11629)] = 539238,
  [SMALL_STATE(11630)] = 539267,
  [SMALL_STATE(11631)] = 539296,
  [SMALL_STATE(11632)] = 539323,
  [SMALL_STATE(11633)] = 539350,
  [SMALL_STATE(11634)] = 539397,
  [SMALL_STATE(11635)] = 539428,
  [SMALL_STATE(11636)] = 539471,
  [SMALL_STATE(11637)] = 539500,
  [SMALL_STATE(11638)] = 539531,
  [SMALL_STATE(11639)] = 539572,
  [SMALL_STATE(11640)] = 539599,
  [SMALL_STATE(11641)] = 539640,
  [SMALL_STATE(11642)] = 539667,
  [SMALL_STATE(11643)] = 539708,
  [SMALL_STATE(11644)] = 539737,
  [SMALL_STATE(11645)] = 539778,
  [SMALL_STATE(11646)] = 539807,
  [SMALL_STATE(11647)] = 539850,
  [SMALL_STATE(11648)] = 539877,
  [SMALL_STATE(11649)] = 539918,
  [SMALL_STATE(11650)] = 539945,
  [SMALL_STATE(11651)] = 539984,
  [SMALL_STATE(11652)] = 540025,
  [SMALL_STATE(11653)] = 540056,
  [SMALL_STATE(11654)] = 540097,
  [SMALL_STATE(11655)] = 540138,
  [SMALL_STATE(11656)] = 540165,
  [SMALL_STATE(11657)] = 540192,
  [SMALL_STATE(11658)] = 540221,
  [SMALL_STATE(11659)] = 540262,
  [SMALL_STATE(11660)] = 540289,
  [SMALL_STATE(11661)] = 540330,
  [SMALL_STATE(11662)] = 540371,
  [SMALL_STATE(11663)] = 540398,
  [SMALL_STATE(11664)] = 540445,
  [SMALL_STATE(11665)] = 540474,
  [SMALL_STATE(11666)] = 540503,
  [SMALL_STATE(11667)] = 540532,
  [SMALL_STATE(11668)] = 540573,
  [SMALL_STATE(11669)] = 540604,
  [SMALL_STATE(11670)] = 540631,
  [SMALL_STATE(11671)] = 540658,
  [SMALL_STATE(11672)] = 540693,
  [SMALL_STATE(11673)] = 540734,
  [SMALL_STATE(11674)] = 540775,
  [SMALL_STATE(11675)] = 540802,
  [SMALL_STATE(11676)] = 540843,
  [SMALL_STATE(11677)] = 540870,
  [SMALL_STATE(11678)] = 540911,
  [SMALL_STATE(11679)] = 540940,
  [SMALL_STATE(11680)] = 540981,
  [SMALL_STATE(11681)] = 541008,
  [SMALL_STATE(11682)] = 541047,
  [SMALL_STATE(11683)] = 541074,
  [SMALL_STATE(11684)] = 541103,
  [SMALL_STATE(11685)] = 541130,
  [SMALL_STATE(11686)] = 541171,
  [SMALL_STATE(11687)] = 541212,
  [SMALL_STATE(11688)] = 541253,
  [SMALL_STATE(11689)] = 541280,
  [SMALL_STATE(11690)] = 541311,
  [SMALL_STATE(11691)] = 541352,
  [SMALL_STATE(11692)] = 541379,
  [SMALL_STATE(11693)] = 541420,
  [SMALL_STATE(11694)] = 541447,
  [SMALL_STATE(11695)] = 541488,
  [SMALL_STATE(11696)] = 541529,
  [SMALL_STATE(11697)] = 541556,
  [SMALL_STATE(11698)] = 541603,
  [SMALL_STATE(11699)] = 541650,
  [SMALL_STATE(11700)] = 541679,
  [SMALL_STATE(11701)] = 541718,
  [SMALL_STATE(11702)] = 541759,
  [SMALL_STATE(11703)] = 541800,
  [SMALL_STATE(11704)] = 541829,
  [SMALL_STATE(11705)] = 541856,
  [SMALL_STATE(11706)] = 541889,
  [SMALL_STATE(11707)] = 541916,
  [SMALL_STATE(11708)] = 541957,
  [SMALL_STATE(11709)] = 541984,
  [SMALL_STATE(11710)] = 542013,
  [SMALL_STATE(11711)] = 542054,
  [SMALL_STATE(11712)] = 542081,
  [SMALL_STATE(11713)] = 542110,
  [SMALL_STATE(11714)] = 542137,
  [SMALL_STATE(11715)] = 542164,
  [SMALL_STATE(11716)] = 542191,
  [SMALL_STATE(11717)] = 542218,
  [SMALL_STATE(11718)] = 542247,
  [SMALL_STATE(11719)] = 542288,
  [SMALL_STATE(11720)] = 542317,
  [SMALL_STATE(11721)] = 542346,
  [SMALL_STATE(11722)] = 542373,
  [SMALL_STATE(11723)] = 542414,
  [SMALL_STATE(11724)] = 542441,
  [SMALL_STATE(11725)] = 542468,
  [SMALL_STATE(11726)] = 542501,
  [SMALL_STATE(11727)] = 542534,
  [SMALL_STATE(11728)] = 542561,
  [SMALL_STATE(11729)] = 542608,
  [SMALL_STATE(11730)] = 542647,
  [SMALL_STATE(11731)] = 542686,
  [SMALL_STATE(11732)] = 542733,
  [SMALL_STATE(11733)] = 542760,
  [SMALL_STATE(11734)] = 542787,
  [SMALL_STATE(11735)] = 542814,
  [SMALL_STATE(11736)] = 542855,
  [SMALL_STATE(11737)] = 542882,
  [SMALL_STATE(11738)] = 542909,
  [SMALL_STATE(11739)] = 542950,
  [SMALL_STATE(11740)] = 542979,
  [SMALL_STATE(11741)] = 543006,
  [SMALL_STATE(11742)] = 543035,
  [SMALL_STATE(11743)] = 543064,
  [SMALL_STATE(11744)] = 543091,
  [SMALL_STATE(11745)] = 543132,
  [SMALL_STATE(11746)] = 543173,
  [SMALL_STATE(11747)] = 543202,
  [SMALL_STATE(11748)] = 543231,
  [SMALL_STATE(11749)] = 543260,
  [SMALL_STATE(11750)] = 543287,
  [SMALL_STATE(11751)] = 543328,
  [SMALL_STATE(11752)] = 543369,
  [SMALL_STATE(11753)] = 543410,
  [SMALL_STATE(11754)] = 543437,
  [SMALL_STATE(11755)] = 543466,
  [SMALL_STATE(11756)] = 543499,
  [SMALL_STATE(11757)] = 543528,
  [SMALL_STATE(11758)] = 543555,
  [SMALL_STATE(11759)] = 543584,
  [SMALL_STATE(11760)] = 543625,
  [SMALL_STATE(11761)] = 543652,
  [SMALL_STATE(11762)] = 543679,
  [SMALL_STATE(11763)] = 543706,
  [SMALL_STATE(11764)] = 543733,
  [SMALL_STATE(11765)] = 543774,
  [SMALL_STATE(11766)] = 543801,
  [SMALL_STATE(11767)] = 543828,
  [SMALL_STATE(11768)] = 543855,
  [SMALL_STATE(11769)] = 543894,
  [SMALL_STATE(11770)] = 543921,
  [SMALL_STATE(11771)] = 543962,
  [SMALL_STATE(11772)] = 543989,
  [SMALL_STATE(11773)] = 544016,
  [SMALL_STATE(11774)] = 544043,
  [SMALL_STATE(11775)] = 544072,
  [SMALL_STATE(11776)] = 544105,
  [SMALL_STATE(11777)] = 544138,
  [SMALL_STATE(11778)] = 544165,
  [SMALL_STATE(11779)] = 544194,
  [SMALL_STATE(11780)] = 544223,
  [SMALL_STATE(11781)] = 544250,
  [SMALL_STATE(11782)] = 544279,
  [SMALL_STATE(11783)] = 544320,
  [SMALL_STATE(11784)] = 544351,
  [SMALL_STATE(11785)] = 544378,
  [SMALL_STATE(11786)] = 544404,
  [SMALL_STATE(11787)] = 544434,
  [SMALL_STATE(11788)] = 544460,
  [SMALL_STATE(11789)] = 544486,
  [SMALL_STATE(11790)] = 544512,
  [SMALL_STATE(11791)] = 544538,
  [SMALL_STATE(11792)] = 544566,
  [SMALL_STATE(11793)] = 544598,
  [SMALL_STATE(11794)] = 544624,
  [SMALL_STATE(11795)] = 544664,
  [SMALL_STATE(11796)] = 544690,
  [SMALL_STATE(11797)] = 544730,
  [SMALL_STATE(11798)] = 544756,
  [SMALL_STATE(11799)] = 544796,
  [SMALL_STATE(11800)] = 544822,
  [SMALL_STATE(11801)] = 544862,
  [SMALL_STATE(11802)] = 544902,
  [SMALL_STATE(11803)] = 544928,
  [SMALL_STATE(11804)] = 544954,
  [SMALL_STATE(11805)] = 544984,
  [SMALL_STATE(11806)] = 545016,
  [SMALL_STATE(11807)] = 545042,
  [SMALL_STATE(11808)] = 545082,
  [SMALL_STATE(11809)] = 545108,
  [SMALL_STATE(11810)] = 545134,
  [SMALL_STATE(11811)] = 545174,
  [SMALL_STATE(11812)] = 545214,
  [SMALL_STATE(11813)] = 545240,
  [SMALL_STATE(11814)] = 545268,
  [SMALL_STATE(11815)] = 545300,
  [SMALL_STATE(11816)] = 545326,
  [SMALL_STATE(11817)] = 545366,
  [SMALL_STATE(11818)] = 545406,
  [SMALL_STATE(11819)] = 545444,
  [SMALL_STATE(11820)] = 545470,
  [SMALL_STATE(11821)] = 545496,
  [SMALL_STATE(11822)] = 545536,
  [SMALL_STATE(11823)] = 545576,
  [SMALL_STATE(11824)] = 545602,
  [SMALL_STATE(11825)] = 545628,
  [SMALL_STATE(11826)] = 545654,
  [SMALL_STATE(11827)] = 545694,
  [SMALL_STATE(11828)] = 545734,
  [SMALL_STATE(11829)] = 545760,
  [SMALL_STATE(11830)] = 545800,
  [SMALL_STATE(11831)] = 545826,
  [SMALL_STATE(11832)] = 545852,
  [SMALL_STATE(11833)] = 545892,
  [SMALL_STATE(11834)] = 545918,
  [SMALL_STATE(11835)] = 545948,
  [SMALL_STATE(11836)] = 545974,
  [SMALL_STATE(11837)] = 546014,
  [SMALL_STATE(11838)] = 546054,
  [SMALL_STATE(11839)] = 546084,
  [SMALL_STATE(11840)] = 546114,
  [SMALL_STATE(11841)] = 546140,
  [SMALL_STATE(11842)] = 546180,
  [SMALL_STATE(11843)] = 546212,
  [SMALL_STATE(11844)] = 546252,
  [SMALL_STATE(11845)] = 546292,
  [SMALL_STATE(11846)] = 546322,
  [SMALL_STATE(11847)] = 546348,
  [SMALL_STATE(11848)] = 546378,
  [SMALL_STATE(11849)] = 546404,
  [SMALL_STATE(11850)] = 546444,
  [SMALL_STATE(11851)] = 546472,
  [SMALL_STATE(11852)] = 546498,
  [SMALL_STATE(11853)] = 546524,
  [SMALL_STATE(11854)] = 546550,
  [SMALL_STATE(11855)] = 546576,
  [SMALL_STATE(11856)] = 546604,
  [SMALL_STATE(11857)] = 546644,
  [SMALL_STATE(11858)] = 546670,
  [SMALL_STATE(11859)] = 546710,
  [SMALL_STATE(11860)] = 546736,
  [SMALL_STATE(11861)] = 546762,
  [SMALL_STATE(11862)] = 546788,
  [SMALL_STATE(11863)] = 546818,
  [SMALL_STATE(11864)] = 546844,
  [SMALL_STATE(11865)] = 546874,
  [SMALL_STATE(11866)] = 546914,
  [SMALL_STATE(11867)] = 546940,
  [SMALL_STATE(11868)] = 546980,
  [SMALL_STATE(11869)] = 547020,
  [SMALL_STATE(11870)] = 547046,
  [SMALL_STATE(11871)] = 547086,
  [SMALL_STATE(11872)] = 547126,
  [SMALL_STATE(11873)] = 547156,
  [SMALL_STATE(11874)] = 547182,
  [SMALL_STATE(11875)] = 547222,
  [SMALL_STATE(11876)] = 547248,
  [SMALL_STATE(11877)] = 547288,
  [SMALL_STATE(11878)] = 547314,
  [SMALL_STATE(11879)] = 547342,
  [SMALL_STATE(11880)] = 547368,
  [SMALL_STATE(11881)] = 547408,
  [SMALL_STATE(11882)] = 547436,
  [SMALL_STATE(11883)] = 547462,
  [SMALL_STATE(11884)] = 547488,
  [SMALL_STATE(11885)] = 547516,
  [SMALL_STATE(11886)] = 547546,
  [SMALL_STATE(11887)] = 547572,
  [SMALL_STATE(11888)] = 547598,
  [SMALL_STATE(11889)] = 547624,
  [SMALL_STATE(11890)] = 547650,
  [SMALL_STATE(11891)] = 547680,
  [SMALL_STATE(11892)] = 547706,
  [SMALL_STATE(11893)] = 547746,
  [SMALL_STATE(11894)] = 547786,
  [SMALL_STATE(11895)] = 547826,
  [SMALL_STATE(11896)] = 547854,
  [SMALL_STATE(11897)] = 547894,
  [SMALL_STATE(11898)] = 547920,
  [SMALL_STATE(11899)] = 547960,
  [SMALL_STATE(11900)] = 547986,
  [SMALL_STATE(11901)] = 548012,
  [SMALL_STATE(11902)] = 548052,
  [SMALL_STATE(11903)] = 548092,
  [SMALL_STATE(11904)] = 548132,
  [SMALL_STATE(11905)] = 548158,
  [SMALL_STATE(11906)] = 548198,
  [SMALL_STATE(11907)] = 548224,
  [SMALL_STATE(11908)] = 548250,
  [SMALL_STATE(11909)] = 548276,
  [SMALL_STATE(11910)] = 548316,
  [SMALL_STATE(11911)] = 548356,
  [SMALL_STATE(11912)] = 548382,
  [SMALL_STATE(11913)] = 548408,
  [SMALL_STATE(11914)] = 548434,
  [SMALL_STATE(11915)] = 548460,
  [SMALL_STATE(11916)] = 548490,
  [SMALL_STATE(11917)] = 548516,
  [SMALL_STATE(11918)] = 548542,
  [SMALL_STATE(11919)] = 548572,
  [SMALL_STATE(11920)] = 548598,
  [SMALL_STATE(11921)] = 548638,
  [SMALL_STATE(11922)] = 548664,
  [SMALL_STATE(11923)] = 548690,
  [SMALL_STATE(11924)] = 548716,
  [SMALL_STATE(11925)] = 548758,
  [SMALL_STATE(11926)] = 548784,
  [SMALL_STATE(11927)] = 548826,
  [SMALL_STATE(11928)] = 548866,
  [SMALL_STATE(11929)] = 548892,
  [SMALL_STATE(11930)] = 548932,
  [SMALL_STATE(11931)] = 548962,
  [SMALL_STATE(11932)] = 548990,
  [SMALL_STATE(11933)] = 549016,
  [SMALL_STATE(11934)] = 549042,
  [SMALL_STATE(11935)] = 549082,
  [SMALL_STATE(11936)] = 549108,
  [SMALL_STATE(11937)] = 549140,
  [SMALL_STATE(11938)] = 549166,
  [SMALL_STATE(11939)] = 549192,
  [SMALL_STATE(11940)] = 549218,
  [SMALL_STATE(11941)] = 549258,
  [SMALL_STATE(11942)] = 549284,
  [SMALL_STATE(11943)] = 549310,
  [SMALL_STATE(11944)] = 549348,
  [SMALL_STATE(11945)] = 549388,
  [SMALL_STATE(11946)] = 549414,
  [SMALL_STATE(11947)] = 549454,
  [SMALL_STATE(11948)] = 549494,
  [SMALL_STATE(11949)] = 549526,
  [SMALL_STATE(11950)] = 549566,
  [SMALL_STATE(11951)] = 549606,
  [SMALL_STATE(11952)] = 549632,
  [SMALL_STATE(11953)] = 549660,
  [SMALL_STATE(11954)] = 549700,
  [SMALL_STATE(11955)] = 549740,
  [SMALL_STATE(11956)] = 549766,
  [SMALL_STATE(11957)] = 549806,
  [SMALL_STATE(11958)] = 549836,
  [SMALL_STATE(11959)] = 549866,
  [SMALL_STATE(11960)] = 549892,
  [SMALL_STATE(11961)] = 549932,
  [SMALL_STATE(11962)] = 549966,
  [SMALL_STATE(11963)] = 550006,
  [SMALL_STATE(11964)] = 550046,
  [SMALL_STATE(11965)] = 550086,
  [SMALL_STATE(11966)] = 550112,
  [SMALL_STATE(11967)] = 550138,
  [SMALL_STATE(11968)] = 550170,
  [SMALL_STATE(11969)] = 550210,
  [SMALL_STATE(11970)] = 550236,
  [SMALL_STATE(11971)] = 550276,
  [SMALL_STATE(11972)] = 550316,
  [SMALL_STATE(11973)] = 550356,
  [SMALL_STATE(11974)] = 550384,
  [SMALL_STATE(11975)] = 550410,
  [SMALL_STATE(11976)] = 550450,
  [SMALL_STATE(11977)] = 550490,
  [SMALL_STATE(11978)] = 550516,
  [SMALL_STATE(11979)] = 550556,
  [SMALL_STATE(11980)] = 550582,
  [SMALL_STATE(11981)] = 550622,
  [SMALL_STATE(11982)] = 550662,
  [SMALL_STATE(11983)] = 550700,
  [SMALL_STATE(11984)] = 550728,
  [SMALL_STATE(11985)] = 550768,
  [SMALL_STATE(11986)] = 550808,
  [SMALL_STATE(11987)] = 550834,
  [SMALL_STATE(11988)] = 550860,
  [SMALL_STATE(11989)] = 550900,
  [SMALL_STATE(11990)] = 550942,
  [SMALL_STATE(11991)] = 550982,
  [SMALL_STATE(11992)] = 551022,
  [SMALL_STATE(11993)] = 551048,
  [SMALL_STATE(11994)] = 551076,
  [SMALL_STATE(11995)] = 551102,
  [SMALL_STATE(11996)] = 551140,
  [SMALL_STATE(11997)] = 551180,
  [SMALL_STATE(11998)] = 551220,
  [SMALL_STATE(11999)] = 551260,
  [SMALL_STATE(12000)] = 551300,
  [SMALL_STATE(12001)] = 551326,
  [SMALL_STATE(12002)] = 551352,
  [SMALL_STATE(12003)] = 551378,
  [SMALL_STATE(12004)] = 551410,
  [SMALL_STATE(12005)] = 551450,
  [SMALL_STATE(12006)] = 551490,
  [SMALL_STATE(12007)] = 551516,
  [SMALL_STATE(12008)] = 551542,
  [SMALL_STATE(12009)] = 551572,
  [SMALL_STATE(12010)] = 551598,
  [SMALL_STATE(12011)] = 551638,
  [SMALL_STATE(12012)] = 551668,
  [SMALL_STATE(12013)] = 551694,
  [SMALL_STATE(12014)] = 551720,
  [SMALL_STATE(12015)] = 551760,
  [SMALL_STATE(12016)] = 551790,
  [SMALL_STATE(12017)] = 551818,
  [SMALL_STATE(12018)] = 551846,
  [SMALL_STATE(12019)] = 551874,
  [SMALL_STATE(12020)] = 551912,
  [SMALL_STATE(12021)] = 551952,
  [SMALL_STATE(12022)] = 551980,
  [SMALL_STATE(12023)] = 552006,
  [SMALL_STATE(12024)] = 552032,
  [SMALL_STATE(12025)] = 552072,
  [SMALL_STATE(12026)] = 552112,
  [SMALL_STATE(12027)] = 552138,
  [SMALL_STATE(12028)] = 552164,
  [SMALL_STATE(12029)] = 552190,
  [SMALL_STATE(12030)] = 552220,
  [SMALL_STATE(12031)] = 552260,
  [SMALL_STATE(12032)] = 552290,
  [SMALL_STATE(12033)] = 552316,
  [SMALL_STATE(12034)] = 552342,
  [SMALL_STATE(12035)] = 552382,
  [SMALL_STATE(12036)] = 552410,
  [SMALL_STATE(12037)] = 552442,
  [SMALL_STATE(12038)] = 552474,
  [SMALL_STATE(12039)] = 552512,
  [SMALL_STATE(12040)] = 552552,
  [SMALL_STATE(12041)] = 552582,
  [SMALL_STATE(12042)] = 552622,
  [SMALL_STATE(12043)] = 552648,
  [SMALL_STATE(12044)] = 552688,
  [SMALL_STATE(12045)] = 552728,
  [SMALL_STATE(12046)] = 552754,
  [SMALL_STATE(12047)] = 552780,
  [SMALL_STATE(12048)] = 552820,
  [SMALL_STATE(12049)] = 552860,
  [SMALL_STATE(12050)] = 552900,
  [SMALL_STATE(12051)] = 552926,
  [SMALL_STATE(12052)] = 552966,
  [SMALL_STATE(12053)] = 552992,
  [SMALL_STATE(12054)] = 553018,
  [SMALL_STATE(12055)] = 553044,
  [SMALL_STATE(12056)] = 553084,
  [SMALL_STATE(12057)] = 553124,
  [SMALL_STATE(12058)] = 553164,
  [SMALL_STATE(12059)] = 553204,
  [SMALL_STATE(12060)] = 553230,
  [SMALL_STATE(12061)] = 553270,
  [SMALL_STATE(12062)] = 553296,
  [SMALL_STATE(12063)] = 553322,
  [SMALL_STATE(12064)] = 553348,
  [SMALL_STATE(12065)] = 553374,
  [SMALL_STATE(12066)] = 553400,
  [SMALL_STATE(12067)] = 553440,
  [SMALL_STATE(12068)] = 553470,
  [SMALL_STATE(12069)] = 553510,
  [SMALL_STATE(12070)] = 553550,
  [SMALL_STATE(12071)] = 553576,
  [SMALL_STATE(12072)] = 553616,
  [SMALL_STATE(12073)] = 553642,
  [SMALL_STATE(12074)] = 553668,
  [SMALL_STATE(12075)] = 553694,
  [SMALL_STATE(12076)] = 553734,
  [SMALL_STATE(12077)] = 553762,
  [SMALL_STATE(12078)] = 553802,
  [SMALL_STATE(12079)] = 553840,
  [SMALL_STATE(12080)] = 553866,
  [SMALL_STATE(12081)] = 553892,
  [SMALL_STATE(12082)] = 553918,
  [SMALL_STATE(12083)] = 553944,
  [SMALL_STATE(12084)] = 553970,
  [SMALL_STATE(12085)] = 554010,
  [SMALL_STATE(12086)] = 554050,
  [SMALL_STATE(12087)] = 554076,
  [SMALL_STATE(12088)] = 554104,
  [SMALL_STATE(12089)] = 554132,
  [SMALL_STATE(12090)] = 554162,
  [SMALL_STATE(12091)] = 554190,
  [SMALL_STATE(12092)] = 554216,
  [SMALL_STATE(12093)] = 554244,
  [SMALL_STATE(12094)] = 554284,
  [SMALL_STATE(12095)] = 554324,
  [SMALL_STATE(12096)] = 554364,
  [SMALL_STATE(12097)] = 554390,
  [SMALL_STATE(12098)] = 554416,
  [SMALL_STATE(12099)] = 554444,
  [SMALL_STATE(12100)] = 554484,
  [SMALL_STATE(12101)] = 554510,
  [SMALL_STATE(12102)] = 554550,
  [SMALL_STATE(12103)] = 554590,
  [SMALL_STATE(12104)] = 554620,
  [SMALL_STATE(12105)] = 554660,
  [SMALL_STATE(12106)] = 554698,
  [SMALL_STATE(12107)] = 554738,
  [SMALL_STATE(12108)] = 554768,
  [SMALL_STATE(12109)] = 554796,
  [SMALL_STATE(12110)] = 554822,
  [SMALL_STATE(12111)] = 554854,
  [SMALL_STATE(12112)] = 554894,
  [SMALL_STATE(12113)] = 554920,
  [SMALL_STATE(12114)] = 554948,
  [SMALL_STATE(12115)] = 554974,
  [SMALL_STATE(12116)] = 555014,
  [SMALL_STATE(12117)] = 555040,
  [SMALL_STATE(12118)] = 555068,
  [SMALL_STATE(12119)] = 555094,
  [SMALL_STATE(12120)] = 555120,
  [SMALL_STATE(12121)] = 555146,
  [SMALL_STATE(12122)] = 555174,
  [SMALL_STATE(12123)] = 555214,
  [SMALL_STATE(12124)] = 555240,
  [SMALL_STATE(12125)] = 555266,
  [SMALL_STATE(12126)] = 555292,
  [SMALL_STATE(12127)] = 555320,
  [SMALL_STATE(12128)] = 555360,
  [SMALL_STATE(12129)] = 555402,
  [SMALL_STATE(12130)] = 555442,
  [SMALL_STATE(12131)] = 555482,
  [SMALL_STATE(12132)] = 555522,
  [SMALL_STATE(12133)] = 555562,
  [SMALL_STATE(12134)] = 555602,
  [SMALL_STATE(12135)] = 555640,
  [SMALL_STATE(12136)] = 555680,
  [SMALL_STATE(12137)] = 555706,
  [SMALL_STATE(12138)] = 555734,
  [SMALL_STATE(12139)] = 555774,
  [SMALL_STATE(12140)] = 555814,
  [SMALL_STATE(12141)] = 555844,
  [SMALL_STATE(12142)] = 555884,
  [SMALL_STATE(12143)] = 555922,
  [SMALL_STATE(12144)] = 555950,
  [SMALL_STATE(12145)] = 555976,
  [SMALL_STATE(12146)] = 556016,
  [SMALL_STATE(12147)] = 556054,
  [SMALL_STATE(12148)] = 556084,
  [SMALL_STATE(12149)] = 556124,
  [SMALL_STATE(12150)] = 556150,
  [SMALL_STATE(12151)] = 556190,
  [SMALL_STATE(12152)] = 556230,
  [SMALL_STATE(12153)] = 556256,
  [SMALL_STATE(12154)] = 556296,
  [SMALL_STATE(12155)] = 556322,
  [SMALL_STATE(12156)] = 556348,
  [SMALL_STATE(12157)] = 556388,
  [SMALL_STATE(12158)] = 556414,
  [SMALL_STATE(12159)] = 556440,
  [SMALL_STATE(12160)] = 556480,
  [SMALL_STATE(12161)] = 556506,
  [SMALL_STATE(12162)] = 556532,
  [SMALL_STATE(12163)] = 556558,
  [SMALL_STATE(12164)] = 556584,
  [SMALL_STATE(12165)] = 556610,
  [SMALL_STATE(12166)] = 556636,
  [SMALL_STATE(12167)] = 556676,
  [SMALL_STATE(12168)] = 556716,
  [SMALL_STATE(12169)] = 556756,
  [SMALL_STATE(12170)] = 556796,
  [SMALL_STATE(12171)] = 556836,
  [SMALL_STATE(12172)] = 556876,
  [SMALL_STATE(12173)] = 556916,
  [SMALL_STATE(12174)] = 556942,
  [SMALL_STATE(12175)] = 556979,
  [SMALL_STATE(12176)] = 557016,
  [SMALL_STATE(12177)] = 557049,
  [SMALL_STATE(12178)] = 557086,
  [SMALL_STATE(12179)] = 557115,
  [SMALL_STATE(12180)] = 557152,
  [SMALL_STATE(12181)] = 557189,
  [SMALL_STATE(12182)] = 557226,
  [SMALL_STATE(12183)] = 557251,
  [SMALL_STATE(12184)] = 557276,
  [SMALL_STATE(12185)] = 557303,
  [SMALL_STATE(12186)] = 557340,
  [SMALL_STATE(12187)] = 557365,
  [SMALL_STATE(12188)] = 557402,
  [SMALL_STATE(12189)] = 557427,
  [SMALL_STATE(12190)] = 557464,
  [SMALL_STATE(12191)] = 557501,
  [SMALL_STATE(12192)] = 557538,
  [SMALL_STATE(12193)] = 557575,
  [SMALL_STATE(12194)] = 557602,
  [SMALL_STATE(12195)] = 557631,
  [SMALL_STATE(12196)] = 557668,
  [SMALL_STATE(12197)] = 557693,
  [SMALL_STATE(12198)] = 557730,
  [SMALL_STATE(12199)] = 557755,
  [SMALL_STATE(12200)] = 557780,
  [SMALL_STATE(12201)] = 557817,
  [SMALL_STATE(12202)] = 557854,
  [SMALL_STATE(12203)] = 557891,
  [SMALL_STATE(12204)] = 557916,
  [SMALL_STATE(12205)] = 557953,
  [SMALL_STATE(12206)] = 557990,
  [SMALL_STATE(12207)] = 558027,
  [SMALL_STATE(12208)] = 558064,
  [SMALL_STATE(12209)] = 558101,
  [SMALL_STATE(12210)] = 558126,
  [SMALL_STATE(12211)] = 558151,
  [SMALL_STATE(12212)] = 558176,
  [SMALL_STATE(12213)] = 558201,
  [SMALL_STATE(12214)] = 558238,
  [SMALL_STATE(12215)] = 558275,
  [SMALL_STATE(12216)] = 558312,
  [SMALL_STATE(12217)] = 558353,
  [SMALL_STATE(12218)] = 558390,
  [SMALL_STATE(12219)] = 558427,
  [SMALL_STATE(12220)] = 558464,
  [SMALL_STATE(12221)] = 558501,
  [SMALL_STATE(12222)] = 558534,
  [SMALL_STATE(12223)] = 558571,
  [SMALL_STATE(12224)] = 558604,
  [SMALL_STATE(12225)] = 558641,
  [SMALL_STATE(12226)] = 558678,
  [SMALL_STATE(12227)] = 558705,
  [SMALL_STATE(12228)] = 558738,
  [SMALL_STATE(12229)] = 558771,
  [SMALL_STATE(12230)] = 558808,
  [SMALL_STATE(12231)] = 558845,
  [SMALL_STATE(12232)] = 558882,
  [SMALL_STATE(12233)] = 558919,
  [SMALL_STATE(12234)] = 558944,
  [SMALL_STATE(12235)] = 558981,
  [SMALL_STATE(12236)] = 559018,
  [SMALL_STATE(12237)] = 559043,
  [SMALL_STATE(12238)] = 559080,
  [SMALL_STATE(12239)] = 559117,
  [SMALL_STATE(12240)] = 559154,
  [SMALL_STATE(12241)] = 559179,
  [SMALL_STATE(12242)] = 559206,
  [SMALL_STATE(12243)] = 559231,
  [SMALL_STATE(12244)] = 559268,
  [SMALL_STATE(12245)] = 559295,
  [SMALL_STATE(12246)] = 559326,
  [SMALL_STATE(12247)] = 559363,
  [SMALL_STATE(12248)] = 559400,
  [SMALL_STATE(12249)] = 559437,
  [SMALL_STATE(12250)] = 559474,
  [SMALL_STATE(12251)] = 559511,
  [SMALL_STATE(12252)] = 559548,
  [SMALL_STATE(12253)] = 559585,
  [SMALL_STATE(12254)] = 559622,
  [SMALL_STATE(12255)] = 559659,
  [SMALL_STATE(12256)] = 559696,
  [SMALL_STATE(12257)] = 559733,
  [SMALL_STATE(12258)] = 559758,
  [SMALL_STATE(12259)] = 559783,
  [SMALL_STATE(12260)] = 559820,
  [SMALL_STATE(12261)] = 559857,
  [SMALL_STATE(12262)] = 559884,
  [SMALL_STATE(12263)] = 559909,
  [SMALL_STATE(12264)] = 559934,
  [SMALL_STATE(12265)] = 559959,
  [SMALL_STATE(12266)] = 559996,
  [SMALL_STATE(12267)] = 560021,
  [SMALL_STATE(12268)] = 560046,
  [SMALL_STATE(12269)] = 560083,
  [SMALL_STATE(12270)] = 560108,
  [SMALL_STATE(12271)] = 560133,
  [SMALL_STATE(12272)] = 560170,
  [SMALL_STATE(12273)] = 560207,
  [SMALL_STATE(12274)] = 560234,
  [SMALL_STATE(12275)] = 560271,
  [SMALL_STATE(12276)] = 560308,
  [SMALL_STATE(12277)] = 560333,
  [SMALL_STATE(12278)] = 560370,
  [SMALL_STATE(12279)] = 560407,
  [SMALL_STATE(12280)] = 560444,
  [SMALL_STATE(12281)] = 560481,
  [SMALL_STATE(12282)] = 560506,
  [SMALL_STATE(12283)] = 560537,
  [SMALL_STATE(12284)] = 560562,
  [SMALL_STATE(12285)] = 560587,
  [SMALL_STATE(12286)] = 560624,
  [SMALL_STATE(12287)] = 560653,
  [SMALL_STATE(12288)] = 560678,
  [SMALL_STATE(12289)] = 560703,
  [SMALL_STATE(12290)] = 560740,
  [SMALL_STATE(12291)] = 560777,
  [SMALL_STATE(12292)] = 560814,
  [SMALL_STATE(12293)] = 560851,
  [SMALL_STATE(12294)] = 560888,
  [SMALL_STATE(12295)] = 560925,
  [SMALL_STATE(12296)] = 560952,
  [SMALL_STATE(12297)] = 560989,
  [SMALL_STATE(12298)] = 561026,
  [SMALL_STATE(12299)] = 561051,
  [SMALL_STATE(12300)] = 561076,
  [SMALL_STATE(12301)] = 561113,
  [SMALL_STATE(12302)] = 561146,
  [SMALL_STATE(12303)] = 561183,
  [SMALL_STATE(12304)] = 561220,
  [SMALL_STATE(12305)] = 561257,
  [SMALL_STATE(12306)] = 561294,
  [SMALL_STATE(12307)] = 561331,
  [SMALL_STATE(12308)] = 561360,
  [SMALL_STATE(12309)] = 561397,
  [SMALL_STATE(12310)] = 561434,
  [SMALL_STATE(12311)] = 561471,
  [SMALL_STATE(12312)] = 561508,
  [SMALL_STATE(12313)] = 561545,
  [SMALL_STATE(12314)] = 561582,
  [SMALL_STATE(12315)] = 561611,
  [SMALL_STATE(12316)] = 561644,
  [SMALL_STATE(12317)] = 561681,
  [SMALL_STATE(12318)] = 561718,
  [SMALL_STATE(12319)] = 561755,
  [SMALL_STATE(12320)] = 561780,
  [SMALL_STATE(12321)] = 561817,
  [SMALL_STATE(12322)] = 561854,
  [SMALL_STATE(12323)] = 561891,
  [SMALL_STATE(12324)] = 561928,
  [SMALL_STATE(12325)] = 561965,
  [SMALL_STATE(12326)] = 562002,
  [SMALL_STATE(12327)] = 562039,
  [SMALL_STATE(12328)] = 562076,
  [SMALL_STATE(12329)] = 562101,
  [SMALL_STATE(12330)] = 562138,
  [SMALL_STATE(12331)] = 562175,
  [SMALL_STATE(12332)] = 562212,
  [SMALL_STATE(12333)] = 562257,
  [SMALL_STATE(12334)] = 562294,
  [SMALL_STATE(12335)] = 562331,
  [SMALL_STATE(12336)] = 562368,
  [SMALL_STATE(12337)] = 562405,
  [SMALL_STATE(12338)] = 562442,
  [SMALL_STATE(12339)] = 562479,
  [SMALL_STATE(12340)] = 562516,
  [SMALL_STATE(12341)] = 562553,
  [SMALL_STATE(12342)] = 562590,
  [SMALL_STATE(12343)] = 562627,
  [SMALL_STATE(12344)] = 562658,
  [SMALL_STATE(12345)] = 562695,
  [SMALL_STATE(12346)] = 562732,
  [SMALL_STATE(12347)] = 562769,
  [SMALL_STATE(12348)] = 562796,
  [SMALL_STATE(12349)] = 562823,
  [SMALL_STATE(12350)] = 562848,
  [SMALL_STATE(12351)] = 562885,
  [SMALL_STATE(12352)] = 562910,
  [SMALL_STATE(12353)] = 562947,
  [SMALL_STATE(12354)] = 562984,
  [SMALL_STATE(12355)] = 563011,
  [SMALL_STATE(12356)] = 563036,
  [SMALL_STATE(12357)] = 563073,
  [SMALL_STATE(12358)] = 563098,
  [SMALL_STATE(12359)] = 563123,
  [SMALL_STATE(12360)] = 563148,
  [SMALL_STATE(12361)] = 563173,
  [SMALL_STATE(12362)] = 563210,
  [SMALL_STATE(12363)] = 563247,
  [SMALL_STATE(12364)] = 563284,
  [SMALL_STATE(12365)] = 563321,
  [SMALL_STATE(12366)] = 563346,
  [SMALL_STATE(12367)] = 563371,
  [SMALL_STATE(12368)] = 563396,
  [SMALL_STATE(12369)] = 563433,
  [SMALL_STATE(12370)] = 563470,
  [SMALL_STATE(12371)] = 563495,
  [SMALL_STATE(12372)] = 563532,
  [SMALL_STATE(12373)] = 563569,
  [SMALL_STATE(12374)] = 563606,
  [SMALL_STATE(12375)] = 563641,
  [SMALL_STATE(12376)] = 563666,
  [SMALL_STATE(12377)] = 563691,
  [SMALL_STATE(12378)] = 563732,
  [SMALL_STATE(12379)] = 563769,
  [SMALL_STATE(12380)] = 563806,
  [SMALL_STATE(12381)] = 563843,
  [SMALL_STATE(12382)] = 563880,
  [SMALL_STATE(12383)] = 563917,
  [SMALL_STATE(12384)] = 563954,
  [SMALL_STATE(12385)] = 563991,
  [SMALL_STATE(12386)] = 564028,
  [SMALL_STATE(12387)] = 564061,
  [SMALL_STATE(12388)] = 564098,
  [SMALL_STATE(12389)] = 564123,
  [SMALL_STATE(12390)] = 564160,
  [SMALL_STATE(12391)] = 564197,
  [SMALL_STATE(12392)] = 564234,
  [SMALL_STATE(12393)] = 564259,
  [SMALL_STATE(12394)] = 564296,
  [SMALL_STATE(12395)] = 564333,
  [SMALL_STATE(12396)] = 564370,
  [SMALL_STATE(12397)] = 564407,
  [SMALL_STATE(12398)] = 564444,
  [SMALL_STATE(12399)] = 564481,
  [SMALL_STATE(12400)] = 564518,
  [SMALL_STATE(12401)] = 564555,
  [SMALL_STATE(12402)] = 564592,
  [SMALL_STATE(12403)] = 564617,
  [SMALL_STATE(12404)] = 564642,
  [SMALL_STATE(12405)] = 564671,
  [SMALL_STATE(12406)] = 564708,
  [SMALL_STATE(12407)] = 564745,
  [SMALL_STATE(12408)] = 564782,
  [SMALL_STATE(12409)] = 564811,
  [SMALL_STATE(12410)] = 564848,
  [SMALL_STATE(12411)] = 564875,
  [SMALL_STATE(12412)] = 564912,
  [SMALL_STATE(12413)] = 564941,
  [SMALL_STATE(12414)] = 564978,
  [SMALL_STATE(12415)] = 565015,
  [SMALL_STATE(12416)] = 565052,
  [SMALL_STATE(12417)] = 565077,
  [SMALL_STATE(12418)] = 565114,
  [SMALL_STATE(12419)] = 565151,
  [SMALL_STATE(12420)] = 565182,
  [SMALL_STATE(12421)] = 565211,
  [SMALL_STATE(12422)] = 565240,
  [SMALL_STATE(12423)] = 565277,
  [SMALL_STATE(12424)] = 565304,
  [SMALL_STATE(12425)] = 565341,
  [SMALL_STATE(12426)] = 565378,
  [SMALL_STATE(12427)] = 565403,
  [SMALL_STATE(12428)] = 565428,
  [SMALL_STATE(12429)] = 565465,
  [SMALL_STATE(12430)] = 565490,
  [SMALL_STATE(12431)] = 565521,
  [SMALL_STATE(12432)] = 565558,
  [SMALL_STATE(12433)] = 565595,
  [SMALL_STATE(12434)] = 565632,
  [SMALL_STATE(12435)] = 565659,
  [SMALL_STATE(12436)] = 565696,
  [SMALL_STATE(12437)] = 565733,
  [SMALL_STATE(12438)] = 565762,
  [SMALL_STATE(12439)] = 565795,
  [SMALL_STATE(12440)] = 565820,
  [SMALL_STATE(12441)] = 565857,
  [SMALL_STATE(12442)] = 565894,
  [SMALL_STATE(12443)] = 565923,
  [SMALL_STATE(12444)] = 565960,
  [SMALL_STATE(12445)] = 565991,
  [SMALL_STATE(12446)] = 566024,
  [SMALL_STATE(12447)] = 566057,
  [SMALL_STATE(12448)] = 566090,
  [SMALL_STATE(12449)] = 566115,
  [SMALL_STATE(12450)] = 566152,
  [SMALL_STATE(12451)] = 566189,
  [SMALL_STATE(12452)] = 566214,
  [SMALL_STATE(12453)] = 566251,
  [SMALL_STATE(12454)] = 566282,
  [SMALL_STATE(12455)] = 566319,
  [SMALL_STATE(12456)] = 566356,
  [SMALL_STATE(12457)] = 566381,
  [SMALL_STATE(12458)] = 566418,
  [SMALL_STATE(12459)] = 566455,
  [SMALL_STATE(12460)] = 566492,
  [SMALL_STATE(12461)] = 566519,
  [SMALL_STATE(12462)] = 566556,
  [SMALL_STATE(12463)] = 566583,
  [SMALL_STATE(12464)] = 566620,
  [SMALL_STATE(12465)] = 566657,
  [SMALL_STATE(12466)] = 566694,
  [SMALL_STATE(12467)] = 566731,
  [SMALL_STATE(12468)] = 566756,
  [SMALL_STATE(12469)] = 566793,
  [SMALL_STATE(12470)] = 566818,
  [SMALL_STATE(12471)] = 566855,
  [SMALL_STATE(12472)] = 566884,
  [SMALL_STATE(12473)] = 566911,
  [SMALL_STATE(12474)] = 566936,
  [SMALL_STATE(12475)] = 566973,
  [SMALL_STATE(12476)] = 567002,
  [SMALL_STATE(12477)] = 567033,
  [SMALL_STATE(12478)] = 567058,
  [SMALL_STATE(12479)] = 567095,
  [SMALL_STATE(12480)] = 567124,
  [SMALL_STATE(12481)] = 567149,
  [SMALL_STATE(12482)] = 567174,
  [SMALL_STATE(12483)] = 567211,
  [SMALL_STATE(12484)] = 567242,
  [SMALL_STATE(12485)] = 567267,
  [SMALL_STATE(12486)] = 567296,
  [SMALL_STATE(12487)] = 567323,
  [SMALL_STATE(12488)] = 567360,
  [SMALL_STATE(12489)] = 567397,
  [SMALL_STATE(12490)] = 567434,
  [SMALL_STATE(12491)] = 567459,
  [SMALL_STATE(12492)] = 567484,
  [SMALL_STATE(12493)] = 567509,
  [SMALL_STATE(12494)] = 567546,
  [SMALL_STATE(12495)] = 567583,
  [SMALL_STATE(12496)] = 567608,
  [SMALL_STATE(12497)] = 567641,
  [SMALL_STATE(12498)] = 567678,
  [SMALL_STATE(12499)] = 567715,
  [SMALL_STATE(12500)] = 567740,
  [SMALL_STATE(12501)] = 567777,
  [SMALL_STATE(12502)] = 567814,
  [SMALL_STATE(12503)] = 567851,
  [SMALL_STATE(12504)] = 567888,
  [SMALL_STATE(12505)] = 567913,
  [SMALL_STATE(12506)] = 567938,
  [SMALL_STATE(12507)] = 567975,
  [SMALL_STATE(12508)] = 568012,
  [SMALL_STATE(12509)] = 568049,
  [SMALL_STATE(12510)] = 568086,
  [SMALL_STATE(12511)] = 568123,
  [SMALL_STATE(12512)] = 568156,
  [SMALL_STATE(12513)] = 568193,
  [SMALL_STATE(12514)] = 568222,
  [SMALL_STATE(12515)] = 568259,
  [SMALL_STATE(12516)] = 568284,
  [SMALL_STATE(12517)] = 568309,
  [SMALL_STATE(12518)] = 568346,
  [SMALL_STATE(12519)] = 568383,
  [SMALL_STATE(12520)] = 568420,
  [SMALL_STATE(12521)] = 568445,
  [SMALL_STATE(12522)] = 568482,
  [SMALL_STATE(12523)] = 568507,
  [SMALL_STATE(12524)] = 568544,
  [SMALL_STATE(12525)] = 568581,
  [SMALL_STATE(12526)] = 568618,
  [SMALL_STATE(12527)] = 568655,
  [SMALL_STATE(12528)] = 568688,
  [SMALL_STATE(12529)] = 568725,
  [SMALL_STATE(12530)] = 568756,
  [SMALL_STATE(12531)] = 568781,
  [SMALL_STATE(12532)] = 568818,
  [SMALL_STATE(12533)] = 568843,
  [SMALL_STATE(12534)] = 568880,
  [SMALL_STATE(12535)] = 568917,
  [SMALL_STATE(12536)] = 568954,
  [SMALL_STATE(12537)] = 568991,
  [SMALL_STATE(12538)] = 569028,
  [SMALL_STATE(12539)] = 569057,
  [SMALL_STATE(12540)] = 569082,
  [SMALL_STATE(12541)] = 569119,
  [SMALL_STATE(12542)] = 569156,
  [SMALL_STATE(12543)] = 569183,
  [SMALL_STATE(12544)] = 569220,
  [SMALL_STATE(12545)] = 569247,
  [SMALL_STATE(12546)] = 569272,
  [SMALL_STATE(12547)] = 569297,
  [SMALL_STATE(12548)] = 569328,
  [SMALL_STATE(12549)] = 569353,
  [SMALL_STATE(12550)] = 569390,
  [SMALL_STATE(12551)] = 569427,
  [SMALL_STATE(12552)] = 569464,
  [SMALL_STATE(12553)] = 569489,
  [SMALL_STATE(12554)] = 569526,
  [SMALL_STATE(12555)] = 569563,
  [SMALL_STATE(12556)] = 569600,
  [SMALL_STATE(12557)] = 569625,
  [SMALL_STATE(12558)] = 569662,
  [SMALL_STATE(12559)] = 569687,
  [SMALL_STATE(12560)] = 569722,
  [SMALL_STATE(12561)] = 569747,
  [SMALL_STATE(12562)] = 569784,
  [SMALL_STATE(12563)] = 569821,
  [SMALL_STATE(12564)] = 569848,
  [SMALL_STATE(12565)] = 569885,
  [SMALL_STATE(12566)] = 569910,
  [SMALL_STATE(12567)] = 569947,
  [SMALL_STATE(12568)] = 569976,
  [SMALL_STATE(12569)] = 570013,
  [SMALL_STATE(12570)] = 570038,
  [SMALL_STATE(12571)] = 570065,
  [SMALL_STATE(12572)] = 570090,
  [SMALL_STATE(12573)] = 570115,
  [SMALL_STATE(12574)] = 570152,
  [SMALL_STATE(12575)] = 570189,
  [SMALL_STATE(12576)] = 570226,
  [SMALL_STATE(12577)] = 570263,
  [SMALL_STATE(12578)] = 570300,
  [SMALL_STATE(12579)] = 570337,
  [SMALL_STATE(12580)] = 570374,
  [SMALL_STATE(12581)] = 570411,
  [SMALL_STATE(12582)] = 570436,
  [SMALL_STATE(12583)] = 570461,
  [SMALL_STATE(12584)] = 570486,
  [SMALL_STATE(12585)] = 570523,
  [SMALL_STATE(12586)] = 570552,
  [SMALL_STATE(12587)] = 570589,
  [SMALL_STATE(12588)] = 570614,
  [SMALL_STATE(12589)] = 570651,
  [SMALL_STATE(12590)] = 570688,
  [SMALL_STATE(12591)] = 570713,
  [SMALL_STATE(12592)] = 570754,
  [SMALL_STATE(12593)] = 570791,
  [SMALL_STATE(12594)] = 570828,
  [SMALL_STATE(12595)] = 570865,
  [SMALL_STATE(12596)] = 570902,
  [SMALL_STATE(12597)] = 570939,
  [SMALL_STATE(12598)] = 570964,
  [SMALL_STATE(12599)] = 571001,
  [SMALL_STATE(12600)] = 571038,
  [SMALL_STATE(12601)] = 571063,
  [SMALL_STATE(12602)] = 571098,
  [SMALL_STATE(12603)] = 571123,
  [SMALL_STATE(12604)] = 571158,
  [SMALL_STATE(12605)] = 571195,
  [SMALL_STATE(12606)] = 571232,
  [SMALL_STATE(12607)] = 571265,
  [SMALL_STATE(12608)] = 571302,
  [SMALL_STATE(12609)] = 571335,
  [SMALL_STATE(12610)] = 571372,
  [SMALL_STATE(12611)] = 571409,
  [SMALL_STATE(12612)] = 571446,
  [SMALL_STATE(12613)] = 571485,
  [SMALL_STATE(12614)] = 571510,
  [SMALL_STATE(12615)] = 571539,
  [SMALL_STATE(12616)] = 571564,
  [SMALL_STATE(12617)] = 571589,
  [SMALL_STATE(12618)] = 571626,
  [SMALL_STATE(12619)] = 571657,
  [SMALL_STATE(12620)] = 571682,
  [SMALL_STATE(12621)] = 571709,
  [SMALL_STATE(12622)] = 571734,
  [SMALL_STATE(12623)] = 571759,
  [SMALL_STATE(12624)] = 571796,
  [SMALL_STATE(12625)] = 571833,
  [SMALL_STATE(12626)] = 571866,
  [SMALL_STATE(12627)] = 571903,
  [SMALL_STATE(12628)] = 571928,
  [SMALL_STATE(12629)] = 571965,
  [SMALL_STATE(12630)] = 571996,
  [SMALL_STATE(12631)] = 572033,
  [SMALL_STATE(12632)] = 572070,
  [SMALL_STATE(12633)] = 572107,
  [SMALL_STATE(12634)] = 572144,
  [SMALL_STATE(12635)] = 572181,
  [SMALL_STATE(12636)] = 572208,
  [SMALL_STATE(12637)] = 572245,
  [SMALL_STATE(12638)] = 572282,
  [SMALL_STATE(12639)] = 572307,
  [SMALL_STATE(12640)] = 572332,
  [SMALL_STATE(12641)] = 572356,
  [SMALL_STATE(12642)] = 572380,
  [SMALL_STATE(12643)] = 572414,
  [SMALL_STATE(12644)] = 572448,
  [SMALL_STATE(12645)] = 572472,
  [SMALL_STATE(12646)] = 572506,
  [SMALL_STATE(12647)] = 572534,
  [SMALL_STATE(12648)] = 572558,
  [SMALL_STATE(12649)] = 572586,
  [SMALL_STATE(12650)] = 572620,
  [SMALL_STATE(12651)] = 572646,
  [SMALL_STATE(12652)] = 572670,
  [SMALL_STATE(12653)] = 572694,
  [SMALL_STATE(12654)] = 572722,
  [SMALL_STATE(12655)] = 572746,
  [SMALL_STATE(12656)] = 572790,
  [SMALL_STATE(12657)] = 572814,
  [SMALL_STATE(12658)] = 572838,
  [SMALL_STATE(12659)] = 572862,
  [SMALL_STATE(12660)] = 572896,
  [SMALL_STATE(12661)] = 572920,
  [SMALL_STATE(12662)] = 572944,
  [SMALL_STATE(12663)] = 572970,
  [SMALL_STATE(12664)] = 572994,
  [SMALL_STATE(12665)] = 573028,
  [SMALL_STATE(12666)] = 573062,
  [SMALL_STATE(12667)] = 573096,
  [SMALL_STATE(12668)] = 573120,
  [SMALL_STATE(12669)] = 573144,
  [SMALL_STATE(12670)] = 573180,
  [SMALL_STATE(12671)] = 573214,
  [SMALL_STATE(12672)] = 573244,
  [SMALL_STATE(12673)] = 573272,
  [SMALL_STATE(12674)] = 573296,
  [SMALL_STATE(12675)] = 573326,
  [SMALL_STATE(12676)] = 573360,
  [SMALL_STATE(12677)] = 573392,
  [SMALL_STATE(12678)] = 573426,
  [SMALL_STATE(12679)] = 573460,
  [SMALL_STATE(12680)] = 573492,
  [SMALL_STATE(12681)] = 573520,
  [SMALL_STATE(12682)] = 573552,
  [SMALL_STATE(12683)] = 573576,
  [SMALL_STATE(12684)] = 573600,
  [SMALL_STATE(12685)] = 573634,
  [SMALL_STATE(12686)] = 573668,
  [SMALL_STATE(12687)] = 573692,
  [SMALL_STATE(12688)] = 573726,
  [SMALL_STATE(12689)] = 573750,
  [SMALL_STATE(12690)] = 573774,
  [SMALL_STATE(12691)] = 573808,
  [SMALL_STATE(12692)] = 573832,
  [SMALL_STATE(12693)] = 573860,
  [SMALL_STATE(12694)] = 573892,
  [SMALL_STATE(12695)] = 573916,
  [SMALL_STATE(12696)] = 573940,
  [SMALL_STATE(12697)] = 573974,
  [SMALL_STATE(12698)] = 573998,
  [SMALL_STATE(12699)] = 574022,
  [SMALL_STATE(12700)] = 574056,
  [SMALL_STATE(12701)] = 574080,
  [SMALL_STATE(12702)] = 574104,
  [SMALL_STATE(12703)] = 574128,
  [SMALL_STATE(12704)] = 574154,
  [SMALL_STATE(12705)] = 574178,
  [SMALL_STATE(12706)] = 574212,
  [SMALL_STATE(12707)] = 574236,
  [SMALL_STATE(12708)] = 574260,
  [SMALL_STATE(12709)] = 574284,
  [SMALL_STATE(12710)] = 574314,
  [SMALL_STATE(12711)] = 574344,
  [SMALL_STATE(12712)] = 574378,
  [SMALL_STATE(12713)] = 574422,
  [SMALL_STATE(12714)] = 574456,
  [SMALL_STATE(12715)] = 574488,
  [SMALL_STATE(12716)] = 574512,
  [SMALL_STATE(12717)] = 574536,
  [SMALL_STATE(12718)] = 574560,
  [SMALL_STATE(12719)] = 574592,
  [SMALL_STATE(12720)] = 574624,
  [SMALL_STATE(12721)] = 574658,
  [SMALL_STATE(12722)] = 574694,
  [SMALL_STATE(12723)] = 574720,
  [SMALL_STATE(12724)] = 574748,
  [SMALL_STATE(12725)] = 574772,
  [SMALL_STATE(12726)] = 574796,
  [SMALL_STATE(12727)] = 574830,
  [SMALL_STATE(12728)] = 574854,
  [SMALL_STATE(12729)] = 574888,
  [SMALL_STATE(12730)] = 574912,
  [SMALL_STATE(12731)] = 574936,
  [SMALL_STATE(12732)] = 574960,
  [SMALL_STATE(12733)] = 574994,
  [SMALL_STATE(12734)] = 575028,
  [SMALL_STATE(12735)] = 575054,
  [SMALL_STATE(12736)] = 575078,
  [SMALL_STATE(12737)] = 575102,
  [SMALL_STATE(12738)] = 575134,
  [SMALL_STATE(12739)] = 575168,
  [SMALL_STATE(12740)] = 575202,
  [SMALL_STATE(12741)] = 575226,
  [SMALL_STATE(12742)] = 575254,
  [SMALL_STATE(12743)] = 575278,
  [SMALL_STATE(12744)] = 575302,
  [SMALL_STATE(12745)] = 575336,
  [SMALL_STATE(12746)] = 575360,
  [SMALL_STATE(12747)] = 575388,
  [SMALL_STATE(12748)] = 575412,
  [SMALL_STATE(12749)] = 575436,
  [SMALL_STATE(12750)] = 575460,
  [SMALL_STATE(12751)] = 575484,
  [SMALL_STATE(12752)] = 575518,
  [SMALL_STATE(12753)] = 575544,
  [SMALL_STATE(12754)] = 575578,
  [SMALL_STATE(12755)] = 575602,
  [SMALL_STATE(12756)] = 575632,
  [SMALL_STATE(12757)] = 575656,
  [SMALL_STATE(12758)] = 575680,
  [SMALL_STATE(12759)] = 575704,
  [SMALL_STATE(12760)] = 575728,
  [SMALL_STATE(12761)] = 575752,
  [SMALL_STATE(12762)] = 575776,
  [SMALL_STATE(12763)] = 575810,
  [SMALL_STATE(12764)] = 575838,
  [SMALL_STATE(12765)] = 575862,
  [SMALL_STATE(12766)] = 575886,
  [SMALL_STATE(12767)] = 575918,
  [SMALL_STATE(12768)] = 575952,
  [SMALL_STATE(12769)] = 575976,
  [SMALL_STATE(12770)] = 576000,
  [SMALL_STATE(12771)] = 576026,
  [SMALL_STATE(12772)] = 576050,
  [SMALL_STATE(12773)] = 576084,
  [SMALL_STATE(12774)] = 576112,
  [SMALL_STATE(12775)] = 576136,
  [SMALL_STATE(12776)] = 576162,
  [SMALL_STATE(12777)] = 576186,
  [SMALL_STATE(12778)] = 576210,
  [SMALL_STATE(12779)] = 576234,
  [SMALL_STATE(12780)] = 576262,
  [SMALL_STATE(12781)] = 576286,
  [SMALL_STATE(12782)] = 576310,
  [SMALL_STATE(12783)] = 576344,
  [SMALL_STATE(12784)] = 576368,
  [SMALL_STATE(12785)] = 576392,
  [SMALL_STATE(12786)] = 576426,
  [SMALL_STATE(12787)] = 576450,
  [SMALL_STATE(12788)] = 576474,
  [SMALL_STATE(12789)] = 576498,
  [SMALL_STATE(12790)] = 576526,
  [SMALL_STATE(12791)] = 576558,
  [SMALL_STATE(12792)] = 576592,
  [SMALL_STATE(12793)] = 576624,
  [SMALL_STATE(12794)] = 576648,
  [SMALL_STATE(12795)] = 576672,
  [SMALL_STATE(12796)] = 576702,
  [SMALL_STATE(12797)] = 576734,
  [SMALL_STATE(12798)] = 576768,
  [SMALL_STATE(12799)] = 576800,
  [SMALL_STATE(12800)] = 576824,
  [SMALL_STATE(12801)] = 576848,
  [SMALL_STATE(12802)] = 576882,
  [SMALL_STATE(12803)] = 576916,
  [SMALL_STATE(12804)] = 576946,
  [SMALL_STATE(12805)] = 576974,
  [SMALL_STATE(12806)] = 576998,
  [SMALL_STATE(12807)] = 577022,
  [SMALL_STATE(12808)] = 577046,
  [SMALL_STATE(12809)] = 577070,
  [SMALL_STATE(12810)] = 577094,
  [SMALL_STATE(12811)] = 577128,
  [SMALL_STATE(12812)] = 577152,
  [SMALL_STATE(12813)] = 577176,
  [SMALL_STATE(12814)] = 577200,
  [SMALL_STATE(12815)] = 577234,
  [SMALL_STATE(12816)] = 577258,
  [SMALL_STATE(12817)] = 577282,
  [SMALL_STATE(12818)] = 577314,
  [SMALL_STATE(12819)] = 577338,
  [SMALL_STATE(12820)] = 577366,
  [SMALL_STATE(12821)] = 577390,
  [SMALL_STATE(12822)] = 577416,
  [SMALL_STATE(12823)] = 577450,
  [SMALL_STATE(12824)] = 577480,
  [SMALL_STATE(12825)] = 577504,
  [SMALL_STATE(12826)] = 577538,
  [SMALL_STATE(12827)] = 577570,
  [SMALL_STATE(12828)] = 577604,
  [SMALL_STATE(12829)] = 577628,
  [SMALL_STATE(12830)] = 577672,
  [SMALL_STATE(12831)] = 577706,
  [SMALL_STATE(12832)] = 577740,
  [SMALL_STATE(12833)] = 577784,
  [SMALL_STATE(12834)] = 577814,
  [SMALL_STATE(12835)] = 577848,
  [SMALL_STATE(12836)] = 577876,
  [SMALL_STATE(12837)] = 577900,
  [SMALL_STATE(12838)] = 577924,
  [SMALL_STATE(12839)] = 577948,
  [SMALL_STATE(12840)] = 577980,
  [SMALL_STATE(12841)] = 578014,
  [SMALL_STATE(12842)] = 578058,
  [SMALL_STATE(12843)] = 578084,
  [SMALL_STATE(12844)] = 578118,
  [SMALL_STATE(12845)] = 578152,
  [SMALL_STATE(12846)] = 578176,
  [SMALL_STATE(12847)] = 578200,
  [SMALL_STATE(12848)] = 578224,
  [SMALL_STATE(12849)] = 578268,
  [SMALL_STATE(12850)] = 578300,
  [SMALL_STATE(12851)] = 578324,
  [SMALL_STATE(12852)] = 578348,
  [SMALL_STATE(12853)] = 578372,
  [SMALL_STATE(12854)] = 578396,
  [SMALL_STATE(12855)] = 578420,
  [SMALL_STATE(12856)] = 578444,
  [SMALL_STATE(12857)] = 578468,
  [SMALL_STATE(12858)] = 578502,
  [SMALL_STATE(12859)] = 578538,
  [SMALL_STATE(12860)] = 578562,
  [SMALL_STATE(12861)] = 578596,
  [SMALL_STATE(12862)] = 578630,
  [SMALL_STATE(12863)] = 578662,
  [SMALL_STATE(12864)] = 578694,
  [SMALL_STATE(12865)] = 578738,
  [SMALL_STATE(12866)] = 578764,
  [SMALL_STATE(12867)] = 578790,
  [SMALL_STATE(12868)] = 578814,
  [SMALL_STATE(12869)] = 578848,
  [SMALL_STATE(12870)] = 578876,
  [SMALL_STATE(12871)] = 578902,
  [SMALL_STATE(12872)] = 578946,
  [SMALL_STATE(12873)] = 578972,
  [SMALL_STATE(12874)] = 578996,
  [SMALL_STATE(12875)] = 579026,
  [SMALL_STATE(12876)] = 579060,
  [SMALL_STATE(12877)] = 579086,
  [SMALL_STATE(12878)] = 579120,
  [SMALL_STATE(12879)] = 579154,
  [SMALL_STATE(12880)] = 579188,
  [SMALL_STATE(12881)] = 579212,
  [SMALL_STATE(12882)] = 579244,
  [SMALL_STATE(12883)] = 579276,
  [SMALL_STATE(12884)] = 579312,
  [SMALL_STATE(12885)] = 579346,
  [SMALL_STATE(12886)] = 579380,
  [SMALL_STATE(12887)] = 579414,
  [SMALL_STATE(12888)] = 579438,
  [SMALL_STATE(12889)] = 579472,
  [SMALL_STATE(12890)] = 579496,
  [SMALL_STATE(12891)] = 579520,
  [SMALL_STATE(12892)] = 579554,
  [SMALL_STATE(12893)] = 579584,
  [SMALL_STATE(12894)] = 579608,
  [SMALL_STATE(12895)] = 579632,
  [SMALL_STATE(12896)] = 579656,
  [SMALL_STATE(12897)] = 579686,
  [SMALL_STATE(12898)] = 579720,
  [SMALL_STATE(12899)] = 579744,
  [SMALL_STATE(12900)] = 579778,
  [SMALL_STATE(12901)] = 579802,
  [SMALL_STATE(12902)] = 579836,
  [SMALL_STATE(12903)] = 579864,
  [SMALL_STATE(12904)] = 579892,
  [SMALL_STATE(12905)] = 579916,
  [SMALL_STATE(12906)] = 579942,
  [SMALL_STATE(12907)] = 579966,
  [SMALL_STATE(12908)] = 579998,
  [SMALL_STATE(12909)] = 580022,
  [SMALL_STATE(12910)] = 580056,
  [SMALL_STATE(12911)] = 580080,
  [SMALL_STATE(12912)] = 580114,
  [SMALL_STATE(12913)] = 580138,
  [SMALL_STATE(12914)] = 580162,
  [SMALL_STATE(12915)] = 580186,
  [SMALL_STATE(12916)] = 580220,
  [SMALL_STATE(12917)] = 580244,
  [SMALL_STATE(12918)] = 580268,
  [SMALL_STATE(12919)] = 580304,
  [SMALL_STATE(12920)] = 580338,
  [SMALL_STATE(12921)] = 580370,
  [SMALL_STATE(12922)] = 580404,
  [SMALL_STATE(12923)] = 580438,
  [SMALL_STATE(12924)] = 580472,
  [SMALL_STATE(12925)] = 580496,
  [SMALL_STATE(12926)] = 580520,
  [SMALL_STATE(12927)] = 580544,
  [SMALL_STATE(12928)] = 580570,
  [SMALL_STATE(12929)] = 580594,
  [SMALL_STATE(12930)] = 580618,
  [SMALL_STATE(12931)] = 580642,
  [SMALL_STATE(12932)] = 580666,
  [SMALL_STATE(12933)] = 580700,
  [SMALL_STATE(12934)] = 580724,
  [SMALL_STATE(12935)] = 580758,
  [SMALL_STATE(12936)] = 580802,
  [SMALL_STATE(12937)] = 580826,
  [SMALL_STATE(12938)] = 580850,
  [SMALL_STATE(12939)] = 580874,
  [SMALL_STATE(12940)] = 580898,
  [SMALL_STATE(12941)] = 580922,
  [SMALL_STATE(12942)] = 580950,
  [SMALL_STATE(12943)] = 580984,
  [SMALL_STATE(12944)] = 581016,
  [SMALL_STATE(12945)] = 581040,
  [SMALL_STATE(12946)] = 581066,
  [SMALL_STATE(12947)] = 581098,
  [SMALL_STATE(12948)] = 581132,
  [SMALL_STATE(12949)] = 581176,
  [SMALL_STATE(12950)] = 581200,
  [SMALL_STATE(12951)] = 581234,
  [SMALL_STATE(12952)] = 581258,
  [SMALL_STATE(12953)] = 581292,
  [SMALL_STATE(12954)] = 581326,
  [SMALL_STATE(12955)] = 581350,
  [SMALL_STATE(12956)] = 581382,
  [SMALL_STATE(12957)] = 581414,
  [SMALL_STATE(12958)] = 581448,
  [SMALL_STATE(12959)] = 581472,
  [SMALL_STATE(12960)] = 581496,
  [SMALL_STATE(12961)] = 581520,
  [SMALL_STATE(12962)] = 581554,
  [SMALL_STATE(12963)] = 581584,
  [SMALL_STATE(12964)] = 581618,
  [SMALL_STATE(12965)] = 581654,
  [SMALL_STATE(12966)] = 581680,
  [SMALL_STATE(12967)] = 581706,
  [SMALL_STATE(12968)] = 581730,
  [SMALL_STATE(12969)] = 581754,
  [SMALL_STATE(12970)] = 581788,
  [SMALL_STATE(12971)] = 581812,
  [SMALL_STATE(12972)] = 581846,
  [SMALL_STATE(12973)] = 581880,
  [SMALL_STATE(12974)] = 581904,
  [SMALL_STATE(12975)] = 581938,
  [SMALL_STATE(12976)] = 581962,
  [SMALL_STATE(12977)] = 581986,
  [SMALL_STATE(12978)] = 582020,
  [SMALL_STATE(12979)] = 582054,
  [SMALL_STATE(12980)] = 582078,
  [SMALL_STATE(12981)] = 582108,
  [SMALL_STATE(12982)] = 582134,
  [SMALL_STATE(12983)] = 582168,
  [SMALL_STATE(12984)] = 582202,
  [SMALL_STATE(12985)] = 582230,
  [SMALL_STATE(12986)] = 582258,
  [SMALL_STATE(12987)] = 582282,
  [SMALL_STATE(12988)] = 582314,
  [SMALL_STATE(12989)] = 582338,
  [SMALL_STATE(12990)] = 582362,
  [SMALL_STATE(12991)] = 582386,
  [SMALL_STATE(12992)] = 582410,
  [SMALL_STATE(12993)] = 582434,
  [SMALL_STATE(12994)] = 582458,
  [SMALL_STATE(12995)] = 582482,
  [SMALL_STATE(12996)] = 582516,
  [SMALL_STATE(12997)] = 582540,
  [SMALL_STATE(12998)] = 582564,
  [SMALL_STATE(12999)] = 582598,
  [SMALL_STATE(13000)] = 582632,
  [SMALL_STATE(13001)] = 582660,
  [SMALL_STATE(13002)] = 582684,
  [SMALL_STATE(13003)] = 582710,
  [SMALL_STATE(13004)] = 582734,
  [SMALL_STATE(13005)] = 582762,
  [SMALL_STATE(13006)] = 582790,
  [SMALL_STATE(13007)] = 582814,
  [SMALL_STATE(13008)] = 582848,
  [SMALL_STATE(13009)] = 582882,
  [SMALL_STATE(13010)] = 582906,
  [SMALL_STATE(13011)] = 582940,
  [SMALL_STATE(13012)] = 582964,
  [SMALL_STATE(13013)] = 582988,
  [SMALL_STATE(13014)] = 583022,
  [SMALL_STATE(13015)] = 583046,
  [SMALL_STATE(13016)] = 583070,
  [SMALL_STATE(13017)] = 583094,
  [SMALL_STATE(13018)] = 583128,
  [SMALL_STATE(13019)] = 583160,
  [SMALL_STATE(13020)] = 583194,
  [SMALL_STATE(13021)] = 583228,
  [SMALL_STATE(13022)] = 583260,
  [SMALL_STATE(13023)] = 583288,
  [SMALL_STATE(13024)] = 583312,
  [SMALL_STATE(13025)] = 583340,
  [SMALL_STATE(13026)] = 583363,
  [SMALL_STATE(13027)] = 583386,
  [SMALL_STATE(13028)] = 583409,
  [SMALL_STATE(13029)] = 583432,
  [SMALL_STATE(13030)] = 583459,
  [SMALL_STATE(13031)] = 583482,
  [SMALL_STATE(13032)] = 583505,
  [SMALL_STATE(13033)] = 583528,
  [SMALL_STATE(13034)] = 583551,
  [SMALL_STATE(13035)] = 583582,
  [SMALL_STATE(13036)] = 583605,
  [SMALL_STATE(13037)] = 583628,
  [SMALL_STATE(13038)] = 583653,
  [SMALL_STATE(13039)] = 583676,
  [SMALL_STATE(13040)] = 583699,
  [SMALL_STATE(13041)] = 583722,
  [SMALL_STATE(13042)] = 583749,
  [SMALL_STATE(13043)] = 583772,
  [SMALL_STATE(13044)] = 583799,
  [SMALL_STATE(13045)] = 583824,
  [SMALL_STATE(13046)] = 583847,
  [SMALL_STATE(13047)] = 583872,
  [SMALL_STATE(13048)] = 583895,
  [SMALL_STATE(13049)] = 583922,
  [SMALL_STATE(13050)] = 583951,
  [SMALL_STATE(13051)] = 583974,
  [SMALL_STATE(13052)] = 583997,
  [SMALL_STATE(13053)] = 584020,
  [SMALL_STATE(13054)] = 584045,
  [SMALL_STATE(13055)] = 584068,
  [SMALL_STATE(13056)] = 584095,
  [SMALL_STATE(13057)] = 584126,
  [SMALL_STATE(13058)] = 584149,
  [SMALL_STATE(13059)] = 584172,
  [SMALL_STATE(13060)] = 584195,
  [SMALL_STATE(13061)] = 584224,
  [SMALL_STATE(13062)] = 584247,
  [SMALL_STATE(13063)] = 584270,
  [SMALL_STATE(13064)] = 584293,
  [SMALL_STATE(13065)] = 584316,
  [SMALL_STATE(13066)] = 584351,
  [SMALL_STATE(13067)] = 584378,
  [SMALL_STATE(13068)] = 584401,
  [SMALL_STATE(13069)] = 584424,
  [SMALL_STATE(13070)] = 584451,
  [SMALL_STATE(13071)] = 584474,
  [SMALL_STATE(13072)] = 584497,
  [SMALL_STATE(13073)] = 584520,
  [SMALL_STATE(13074)] = 584551,
  [SMALL_STATE(13075)] = 584574,
  [SMALL_STATE(13076)] = 584597,
  [SMALL_STATE(13077)] = 584620,
  [SMALL_STATE(13078)] = 584643,
  [SMALL_STATE(13079)] = 584668,
  [SMALL_STATE(13080)] = 584691,
  [SMALL_STATE(13081)] = 584720,
  [SMALL_STATE(13082)] = 584743,
  [SMALL_STATE(13083)] = 584766,
  [SMALL_STATE(13084)] = 584789,
  [SMALL_STATE(13085)] = 584812,
  [SMALL_STATE(13086)] = 584835,
  [SMALL_STATE(13087)] = 584858,
  [SMALL_STATE(13088)] = 584881,
  [SMALL_STATE(13089)] = 584904,
  [SMALL_STATE(13090)] = 584927,
  [SMALL_STATE(13091)] = 584950,
  [SMALL_STATE(13092)] = 584973,
  [SMALL_STATE(13093)] = 584996,
  [SMALL_STATE(13094)] = 585019,
  [SMALL_STATE(13095)] = 585042,
  [SMALL_STATE(13096)] = 585065,
  [SMALL_STATE(13097)] = 585088,
  [SMALL_STATE(13098)] = 585115,
  [SMALL_STATE(13099)] = 585138,
  [SMALL_STATE(13100)] = 585161,
  [SMALL_STATE(13101)] = 585188,
  [SMALL_STATE(13102)] = 585215,
  [SMALL_STATE(13103)] = 585238,
  [SMALL_STATE(13104)] = 585261,
  [SMALL_STATE(13105)] = 585284,
  [SMALL_STATE(13106)] = 585307,
  [SMALL_STATE(13107)] = 585330,
  [SMALL_STATE(13108)] = 585353,
  [SMALL_STATE(13109)] = 585376,
  [SMALL_STATE(13110)] = 585399,
  [SMALL_STATE(13111)] = 585426,
  [SMALL_STATE(13112)] = 585449,
  [SMALL_STATE(13113)] = 585472,
  [SMALL_STATE(13114)] = 585495,
  [SMALL_STATE(13115)] = 585518,
  [SMALL_STATE(13116)] = 585541,
  [SMALL_STATE(13117)] = 585564,
  [SMALL_STATE(13118)] = 585587,
  [SMALL_STATE(13119)] = 585618,
  [SMALL_STATE(13120)] = 585641,
  [SMALL_STATE(13121)] = 585664,
  [SMALL_STATE(13122)] = 585687,
  [SMALL_STATE(13123)] = 585716,
  [SMALL_STATE(13124)] = 585739,
  [SMALL_STATE(13125)] = 585762,
  [SMALL_STATE(13126)] = 585785,
  [SMALL_STATE(13127)] = 585808,
  [SMALL_STATE(13128)] = 585831,
  [SMALL_STATE(13129)] = 585854,
  [SMALL_STATE(13130)] = 585877,
  [SMALL_STATE(13131)] = 585900,
  [SMALL_STATE(13132)] = 585923,
  [SMALL_STATE(13133)] = 585950,
  [SMALL_STATE(13134)] = 585977,
  [SMALL_STATE(13135)] = 586000,
  [SMALL_STATE(13136)] = 586023,
  [SMALL_STATE(13137)] = 586046,
  [SMALL_STATE(13138)] = 586069,
  [SMALL_STATE(13139)] = 586092,
  [SMALL_STATE(13140)] = 586115,
  [SMALL_STATE(13141)] = 586138,
  [SMALL_STATE(13142)] = 586161,
  [SMALL_STATE(13143)] = 586184,
  [SMALL_STATE(13144)] = 586207,
  [SMALL_STATE(13145)] = 586230,
  [SMALL_STATE(13146)] = 586253,
  [SMALL_STATE(13147)] = 586276,
  [SMALL_STATE(13148)] = 586299,
  [SMALL_STATE(13149)] = 586322,
  [SMALL_STATE(13150)] = 586345,
  [SMALL_STATE(13151)] = 586368,
  [SMALL_STATE(13152)] = 586391,
  [SMALL_STATE(13153)] = 586420,
  [SMALL_STATE(13154)] = 586447,
  [SMALL_STATE(13155)] = 586476,
  [SMALL_STATE(13156)] = 586499,
  [SMALL_STATE(13157)] = 586522,
  [SMALL_STATE(13158)] = 586545,
  [SMALL_STATE(13159)] = 586568,
  [SMALL_STATE(13160)] = 586597,
  [SMALL_STATE(13161)] = 586620,
  [SMALL_STATE(13162)] = 586643,
  [SMALL_STATE(13163)] = 586666,
  [SMALL_STATE(13164)] = 586701,
  [SMALL_STATE(13165)] = 586724,
  [SMALL_STATE(13166)] = 586747,
  [SMALL_STATE(13167)] = 586772,
  [SMALL_STATE(13168)] = 586799,
  [SMALL_STATE(13169)] = 586826,
  [SMALL_STATE(13170)] = 586859,
  [SMALL_STATE(13171)] = 586882,
  [SMALL_STATE(13172)] = 586905,
  [SMALL_STATE(13173)] = 586932,
  [SMALL_STATE(13174)] = 586963,
  [SMALL_STATE(13175)] = 586990,
  [SMALL_STATE(13176)] = 587013,
  [SMALL_STATE(13177)] = 587036,
  [SMALL_STATE(13178)] = 587059,
  [SMALL_STATE(13179)] = 587090,
  [SMALL_STATE(13180)] = 587119,
  [SMALL_STATE(13181)] = 587146,
  [SMALL_STATE(13182)] = 587169,
  [SMALL_STATE(13183)] = 587194,
  [SMALL_STATE(13184)] = 587217,
  [SMALL_STATE(13185)] = 587240,
  [SMALL_STATE(13186)] = 587263,
  [SMALL_STATE(13187)] = 587288,
  [SMALL_STATE(13188)] = 587311,
  [SMALL_STATE(13189)] = 587336,
  [SMALL_STATE(13190)] = 587359,
  [SMALL_STATE(13191)] = 587382,
  [SMALL_STATE(13192)] = 587407,
  [SMALL_STATE(13193)] = 587430,
  [SMALL_STATE(13194)] = 587453,
  [SMALL_STATE(13195)] = 587476,
  [SMALL_STATE(13196)] = 587503,
  [SMALL_STATE(13197)] = 587526,
  [SMALL_STATE(13198)] = 587549,
  [SMALL_STATE(13199)] = 587572,
  [SMALL_STATE(13200)] = 587595,
  [SMALL_STATE(13201)] = 587618,
  [SMALL_STATE(13202)] = 587643,
  [SMALL_STATE(13203)] = 587672,
  [SMALL_STATE(13204)] = 587695,
  [SMALL_STATE(13205)] = 587718,
  [SMALL_STATE(13206)] = 587743,
  [SMALL_STATE(13207)] = 587766,
  [SMALL_STATE(13208)] = 587789,
  [SMALL_STATE(13209)] = 587812,
  [SMALL_STATE(13210)] = 587835,
  [SMALL_STATE(13211)] = 587864,
  [SMALL_STATE(13212)] = 587891,
  [SMALL_STATE(13213)] = 587914,
  [SMALL_STATE(13214)] = 587939,
  [SMALL_STATE(13215)] = 587962,
  [SMALL_STATE(13216)] = 587991,
  [SMALL_STATE(13217)] = 588018,
  [SMALL_STATE(13218)] = 588041,
  [SMALL_STATE(13219)] = 588072,
  [SMALL_STATE(13220)] = 588095,
  [SMALL_STATE(13221)] = 588118,
  [SMALL_STATE(13222)] = 588141,
  [SMALL_STATE(13223)] = 588164,
  [SMALL_STATE(13224)] = 588191,
  [SMALL_STATE(13225)] = 588214,
  [SMALL_STATE(13226)] = 588239,
  [SMALL_STATE(13227)] = 588262,
  [SMALL_STATE(13228)] = 588289,
  [SMALL_STATE(13229)] = 588316,
  [SMALL_STATE(13230)] = 588339,
  [SMALL_STATE(13231)] = 588362,
  [SMALL_STATE(13232)] = 588385,
  [SMALL_STATE(13233)] = 588408,
  [SMALL_STATE(13234)] = 588431,
  [SMALL_STATE(13235)] = 588460,
  [SMALL_STATE(13236)] = 588487,
  [SMALL_STATE(13237)] = 588514,
  [SMALL_STATE(13238)] = 588541,
  [SMALL_STATE(13239)] = 588564,
  [SMALL_STATE(13240)] = 588591,
  [SMALL_STATE(13241)] = 588616,
  [SMALL_STATE(13242)] = 588641,
  [SMALL_STATE(13243)] = 588668,
  [SMALL_STATE(13244)] = 588691,
  [SMALL_STATE(13245)] = 588714,
  [SMALL_STATE(13246)] = 588737,
  [SMALL_STATE(13247)] = 588760,
  [SMALL_STATE(13248)] = 588783,
  [SMALL_STATE(13249)] = 588810,
  [SMALL_STATE(13250)] = 588833,
  [SMALL_STATE(13251)] = 588860,
  [SMALL_STATE(13252)] = 588895,
  [SMALL_STATE(13253)] = 588926,
  [SMALL_STATE(13254)] = 588949,
  [SMALL_STATE(13255)] = 588980,
  [SMALL_STATE(13256)] = 589003,
  [SMALL_STATE(13257)] = 589026,
  [SMALL_STATE(13258)] = 589053,
  [SMALL_STATE(13259)] = 589076,
  [SMALL_STATE(13260)] = 589101,
  [SMALL_STATE(13261)] = 589124,
  [SMALL_STATE(13262)] = 589153,
  [SMALL_STATE(13263)] = 589176,
  [SMALL_STATE(13264)] = 589199,
  [SMALL_STATE(13265)] = 589226,
  [SMALL_STATE(13266)] = 589253,
  [SMALL_STATE(13267)] = 589276,
  [SMALL_STATE(13268)] = 589305,
  [SMALL_STATE(13269)] = 589332,
  [SMALL_STATE(13270)] = 589363,
  [SMALL_STATE(13271)] = 589392,
  [SMALL_STATE(13272)] = 589415,
  [SMALL_STATE(13273)] = 589444,
  [SMALL_STATE(13274)] = 589467,
  [SMALL_STATE(13275)] = 589502,
  [SMALL_STATE(13276)] = 589525,
  [SMALL_STATE(13277)] = 589548,
  [SMALL_STATE(13278)] = 589575,
  [SMALL_STATE(13279)] = 589606,
  [SMALL_STATE(13280)] = 589629,
  [SMALL_STATE(13281)] = 589654,
  [SMALL_STATE(13282)] = 589677,
  [SMALL_STATE(13283)] = 589700,
  [SMALL_STATE(13284)] = 589723,
  [SMALL_STATE(13285)] = 589752,
  [SMALL_STATE(13286)] = 589775,
  [SMALL_STATE(13287)] = 589798,
  [SMALL_STATE(13288)] = 589821,
  [SMALL_STATE(13289)] = 589844,
  [SMALL_STATE(13290)] = 589867,
  [SMALL_STATE(13291)] = 589890,
  [SMALL_STATE(13292)] = 589923,
  [SMALL_STATE(13293)] = 589948,
  [SMALL_STATE(13294)] = 589971,
  [SMALL_STATE(13295)] = 589998,
  [SMALL_STATE(13296)] = 590025,
  [SMALL_STATE(13297)] = 590048,
  [SMALL_STATE(13298)] = 590071,
  [SMALL_STATE(13299)] = 590094,
  [SMALL_STATE(13300)] = 590117,
  [SMALL_STATE(13301)] = 590142,
  [SMALL_STATE(13302)] = 590165,
  [SMALL_STATE(13303)] = 590200,
  [SMALL_STATE(13304)] = 590223,
  [SMALL_STATE(13305)] = 590252,
  [SMALL_STATE(13306)] = 590277,
  [SMALL_STATE(13307)] = 590316,
  [SMALL_STATE(13308)] = 590339,
  [SMALL_STATE(13309)] = 590362,
  [SMALL_STATE(13310)] = 590385,
  [SMALL_STATE(13311)] = 590408,
  [SMALL_STATE(13312)] = 590439,
  [SMALL_STATE(13313)] = 590462,
  [SMALL_STATE(13314)] = 590485,
  [SMALL_STATE(13315)] = 590516,
  [SMALL_STATE(13316)] = 590539,
  [SMALL_STATE(13317)] = 590578,
  [SMALL_STATE(13318)] = 590601,
  [SMALL_STATE(13319)] = 590628,
  [SMALL_STATE(13320)] = 590655,
  [SMALL_STATE(13321)] = 590678,
  [SMALL_STATE(13322)] = 590700,
  [SMALL_STATE(13323)] = 590722,
  [SMALL_STATE(13324)] = 590744,
  [SMALL_STATE(13325)] = 590768,
  [SMALL_STATE(13326)] = 590790,
  [SMALL_STATE(13327)] = 590818,
  [SMALL_STATE(13328)] = 590840,
  [SMALL_STATE(13329)] = 590862,
  [SMALL_STATE(13330)] = 590884,
  [SMALL_STATE(13331)] = 590910,
  [SMALL_STATE(13332)] = 590932,
  [SMALL_STATE(13333)] = 590954,
  [SMALL_STATE(13334)] = 590976,
  [SMALL_STATE(13335)] = 591006,
  [SMALL_STATE(13336)] = 591028,
  [SMALL_STATE(13337)] = 591054,
  [SMALL_STATE(13338)] = 591076,
  [SMALL_STATE(13339)] = 591098,
  [SMALL_STATE(13340)] = 591126,
  [SMALL_STATE(13341)] = 591150,
  [SMALL_STATE(13342)] = 591174,
  [SMALL_STATE(13343)] = 591196,
  [SMALL_STATE(13344)] = 591218,
  [SMALL_STATE(13345)] = 591240,
  [SMALL_STATE(13346)] = 591262,
  [SMALL_STATE(13347)] = 591284,
  [SMALL_STATE(13348)] = 591308,
  [SMALL_STATE(13349)] = 591330,
  [SMALL_STATE(13350)] = 591356,
  [SMALL_STATE(13351)] = 591378,
  [SMALL_STATE(13352)] = 591404,
  [SMALL_STATE(13353)] = 591426,
  [SMALL_STATE(13354)] = 591448,
  [SMALL_STATE(13355)] = 591474,
  [SMALL_STATE(13356)] = 591496,
  [SMALL_STATE(13357)] = 591518,
  [SMALL_STATE(13358)] = 591540,
  [SMALL_STATE(13359)] = 591566,
  [SMALL_STATE(13360)] = 591588,
  [SMALL_STATE(13361)] = 591610,
  [SMALL_STATE(13362)] = 591638,
  [SMALL_STATE(13363)] = 591664,
  [SMALL_STATE(13364)] = 591686,
  [SMALL_STATE(13365)] = 591708,
  [SMALL_STATE(13366)] = 591734,
  [SMALL_STATE(13367)] = 591762,
  [SMALL_STATE(13368)] = 591790,
  [SMALL_STATE(13369)] = 591812,
  [SMALL_STATE(13370)] = 591834,
  [SMALL_STATE(13371)] = 591860,
  [SMALL_STATE(13372)] = 591882,
  [SMALL_STATE(13373)] = 591906,
  [SMALL_STATE(13374)] = 591928,
  [SMALL_STATE(13375)] = 591950,
  [SMALL_STATE(13376)] = 591972,
  [SMALL_STATE(13377)] = 591994,
  [SMALL_STATE(13378)] = 592016,
  [SMALL_STATE(13379)] = 592042,
  [SMALL_STATE(13380)] = 592064,
  [SMALL_STATE(13381)] = 592088,
  [SMALL_STATE(13382)] = 592110,
  [SMALL_STATE(13383)] = 592144,
  [SMALL_STATE(13384)] = 592166,
  [SMALL_STATE(13385)] = 592188,
  [SMALL_STATE(13386)] = 592210,
  [SMALL_STATE(13387)] = 592240,
  [SMALL_STATE(13388)] = 592262,
  [SMALL_STATE(13389)] = 592284,
  [SMALL_STATE(13390)] = 592306,
  [SMALL_STATE(13391)] = 592332,
  [SMALL_STATE(13392)] = 592356,
  [SMALL_STATE(13393)] = 592382,
  [SMALL_STATE(13394)] = 592408,
  [SMALL_STATE(13395)] = 592434,
  [SMALL_STATE(13396)] = 592456,
  [SMALL_STATE(13397)] = 592478,
  [SMALL_STATE(13398)] = 592500,
  [SMALL_STATE(13399)] = 592526,
  [SMALL_STATE(13400)] = 592548,
  [SMALL_STATE(13401)] = 592570,
  [SMALL_STATE(13402)] = 592592,
  [SMALL_STATE(13403)] = 592614,
  [SMALL_STATE(13404)] = 592636,
  [SMALL_STATE(13405)] = 592658,
  [SMALL_STATE(13406)] = 592680,
  [SMALL_STATE(13407)] = 592702,
  [SMALL_STATE(13408)] = 592724,
  [SMALL_STATE(13409)] = 592748,
  [SMALL_STATE(13410)] = 592774,
  [SMALL_STATE(13411)] = 592796,
  [SMALL_STATE(13412)] = 592822,
  [SMALL_STATE(13413)] = 592844,
  [SMALL_STATE(13414)] = 592866,
  [SMALL_STATE(13415)] = 592894,
  [SMALL_STATE(13416)] = 592920,
  [SMALL_STATE(13417)] = 592942,
  [SMALL_STATE(13418)] = 592964,
  [SMALL_STATE(13419)] = 592990,
  [SMALL_STATE(13420)] = 593012,
  [SMALL_STATE(13421)] = 593038,
  [SMALL_STATE(13422)] = 593060,
  [SMALL_STATE(13423)] = 593082,
  [SMALL_STATE(13424)] = 593104,
  [SMALL_STATE(13425)] = 593130,
  [SMALL_STATE(13426)] = 593156,
  [SMALL_STATE(13427)] = 593178,
  [SMALL_STATE(13428)] = 593200,
  [SMALL_STATE(13429)] = 593222,
  [SMALL_STATE(13430)] = 593244,
  [SMALL_STATE(13431)] = 593272,
  [SMALL_STATE(13432)] = 593294,
  [SMALL_STATE(13433)] = 593316,
  [SMALL_STATE(13434)] = 593338,
  [SMALL_STATE(13435)] = 593360,
  [SMALL_STATE(13436)] = 593386,
  [SMALL_STATE(13437)] = 593408,
  [SMALL_STATE(13438)] = 593430,
  [SMALL_STATE(13439)] = 593452,
  [SMALL_STATE(13440)] = 593474,
  [SMALL_STATE(13441)] = 593504,
  [SMALL_STATE(13442)] = 593532,
  [SMALL_STATE(13443)] = 593558,
  [SMALL_STATE(13444)] = 593580,
  [SMALL_STATE(13445)] = 593602,
  [SMALL_STATE(13446)] = 593630,
  [SMALL_STATE(13447)] = 593652,
  [SMALL_STATE(13448)] = 593678,
  [SMALL_STATE(13449)] = 593702,
  [SMALL_STATE(13450)] = 593724,
  [SMALL_STATE(13451)] = 593748,
  [SMALL_STATE(13452)] = 593776,
  [SMALL_STATE(13453)] = 593802,
  [SMALL_STATE(13454)] = 593828,
  [SMALL_STATE(13455)] = 593850,
  [SMALL_STATE(13456)] = 593874,
  [SMALL_STATE(13457)] = 593896,
  [SMALL_STATE(13458)] = 593918,
  [SMALL_STATE(13459)] = 593946,
  [SMALL_STATE(13460)] = 593968,
  [SMALL_STATE(13461)] = 593990,
  [SMALL_STATE(13462)] = 594012,
  [SMALL_STATE(13463)] = 594036,
  [SMALL_STATE(13464)] = 594058,
  [SMALL_STATE(13465)] = 594080,
  [SMALL_STATE(13466)] = 594104,
  [SMALL_STATE(13467)] = 594126,
  [SMALL_STATE(13468)] = 594148,
  [SMALL_STATE(13469)] = 594176,
  [SMALL_STATE(13470)] = 594200,
  [SMALL_STATE(13471)] = 594222,
  [SMALL_STATE(13472)] = 594250,
  [SMALL_STATE(13473)] = 594272,
  [SMALL_STATE(13474)] = 594298,
  [SMALL_STATE(13475)] = 594320,
  [SMALL_STATE(13476)] = 594342,
  [SMALL_STATE(13477)] = 594368,
  [SMALL_STATE(13478)] = 594398,
  [SMALL_STATE(13479)] = 594420,
  [SMALL_STATE(13480)] = 594442,
  [SMALL_STATE(13481)] = 594464,
  [SMALL_STATE(13482)] = 594486,
  [SMALL_STATE(13483)] = 594512,
  [SMALL_STATE(13484)] = 594534,
  [SMALL_STATE(13485)] = 594558,
  [SMALL_STATE(13486)] = 594588,
  [SMALL_STATE(13487)] = 594616,
  [SMALL_STATE(13488)] = 594638,
  [SMALL_STATE(13489)] = 594660,
  [SMALL_STATE(13490)] = 594682,
  [SMALL_STATE(13491)] = 594704,
  [SMALL_STATE(13492)] = 594726,
  [SMALL_STATE(13493)] = 594748,
  [SMALL_STATE(13494)] = 594778,
  [SMALL_STATE(13495)] = 594800,
  [SMALL_STATE(13496)] = 594826,
  [SMALL_STATE(13497)] = 594848,
  [SMALL_STATE(13498)] = 594870,
  [SMALL_STATE(13499)] = 594892,
  [SMALL_STATE(13500)] = 594918,
  [SMALL_STATE(13501)] = 594940,
  [SMALL_STATE(13502)] = 594966,
  [SMALL_STATE(13503)] = 594988,
  [SMALL_STATE(13504)] = 595010,
  [SMALL_STATE(13505)] = 595032,
  [SMALL_STATE(13506)] = 595058,
  [SMALL_STATE(13507)] = 595084,
  [SMALL_STATE(13508)] = 595106,
  [SMALL_STATE(13509)] = 595134,
  [SMALL_STATE(13510)] = 595158,
  [SMALL_STATE(13511)] = 595188,
  [SMALL_STATE(13512)] = 595210,
  [SMALL_STATE(13513)] = 595232,
  [SMALL_STATE(13514)] = 595254,
  [SMALL_STATE(13515)] = 595276,
  [SMALL_STATE(13516)] = 595298,
  [SMALL_STATE(13517)] = 595328,
  [SMALL_STATE(13518)] = 595356,
  [SMALL_STATE(13519)] = 595386,
  [SMALL_STATE(13520)] = 595414,
  [SMALL_STATE(13521)] = 595442,
  [SMALL_STATE(13522)] = 595464,
  [SMALL_STATE(13523)] = 595486,
  [SMALL_STATE(13524)] = 595512,
  [SMALL_STATE(13525)] = 595534,
  [SMALL_STATE(13526)] = 595556,
  [SMALL_STATE(13527)] = 595578,
  [SMALL_STATE(13528)] = 595602,
  [SMALL_STATE(13529)] = 595628,
  [SMALL_STATE(13530)] = 595658,
  [SMALL_STATE(13531)] = 595680,
  [SMALL_STATE(13532)] = 595702,
  [SMALL_STATE(13533)] = 595724,
  [SMALL_STATE(13534)] = 595746,
  [SMALL_STATE(13535)] = 595768,
  [SMALL_STATE(13536)] = 595790,
  [SMALL_STATE(13537)] = 595812,
  [SMALL_STATE(13538)] = 595842,
  [SMALL_STATE(13539)] = 595870,
  [SMALL_STATE(13540)] = 595892,
  [SMALL_STATE(13541)] = 595914,
  [SMALL_STATE(13542)] = 595944,
  [SMALL_STATE(13543)] = 595970,
  [SMALL_STATE(13544)] = 595992,
  [SMALL_STATE(13545)] = 596014,
  [SMALL_STATE(13546)] = 596042,
  [SMALL_STATE(13547)] = 596064,
  [SMALL_STATE(13548)] = 596086,
  [SMALL_STATE(13549)] = 596116,
  [SMALL_STATE(13550)] = 596142,
  [SMALL_STATE(13551)] = 596164,
  [SMALL_STATE(13552)] = 596186,
  [SMALL_STATE(13553)] = 596210,
  [SMALL_STATE(13554)] = 596236,
  [SMALL_STATE(13555)] = 596260,
  [SMALL_STATE(13556)] = 596288,
  [SMALL_STATE(13557)] = 596310,
  [SMALL_STATE(13558)] = 596332,
  [SMALL_STATE(13559)] = 596358,
  [SMALL_STATE(13560)] = 596382,
  [SMALL_STATE(13561)] = 596404,
  [SMALL_STATE(13562)] = 596434,
  [SMALL_STATE(13563)] = 596460,
  [SMALL_STATE(13564)] = 596482,
  [SMALL_STATE(13565)] = 596504,
  [SMALL_STATE(13566)] = 596526,
  [SMALL_STATE(13567)] = 596548,
  [SMALL_STATE(13568)] = 596574,
  [SMALL_STATE(13569)] = 596600,
  [SMALL_STATE(13570)] = 596626,
  [SMALL_STATE(13571)] = 596652,
  [SMALL_STATE(13572)] = 596674,
  [SMALL_STATE(13573)] = 596696,
  [SMALL_STATE(13574)] = 596718,
  [SMALL_STATE(13575)] = 596744,
  [SMALL_STATE(13576)] = 596766,
  [SMALL_STATE(13577)] = 596792,
  [SMALL_STATE(13578)] = 596814,
  [SMALL_STATE(13579)] = 596836,
  [SMALL_STATE(13580)] = 596862,
  [SMALL_STATE(13581)] = 596884,
  [SMALL_STATE(13582)] = 596910,
  [SMALL_STATE(13583)] = 596932,
  [SMALL_STATE(13584)] = 596956,
  [SMALL_STATE(13585)] = 596978,
  [SMALL_STATE(13586)] = 597000,
  [SMALL_STATE(13587)] = 597022,
  [SMALL_STATE(13588)] = 597044,
  [SMALL_STATE(13589)] = 597066,
  [SMALL_STATE(13590)] = 597088,
  [SMALL_STATE(13591)] = 597110,
  [SMALL_STATE(13592)] = 597138,
  [SMALL_STATE(13593)] = 597160,
  [SMALL_STATE(13594)] = 597182,
  [SMALL_STATE(13595)] = 597204,
  [SMALL_STATE(13596)] = 597226,
  [SMALL_STATE(13597)] = 597248,
  [SMALL_STATE(13598)] = 597270,
  [SMALL_STATE(13599)] = 597292,
  [SMALL_STATE(13600)] = 597316,
  [SMALL_STATE(13601)] = 597338,
  [SMALL_STATE(13602)] = 597364,
  [SMALL_STATE(13603)] = 597386,
  [SMALL_STATE(13604)] = 597408,
  [SMALL_STATE(13605)] = 597430,
  [SMALL_STATE(13606)] = 597456,
  [SMALL_STATE(13607)] = 597478,
  [SMALL_STATE(13608)] = 597500,
  [SMALL_STATE(13609)] = 597528,
  [SMALL_STATE(13610)] = 597550,
  [SMALL_STATE(13611)] = 597572,
  [SMALL_STATE(13612)] = 597594,
  [SMALL_STATE(13613)] = 597616,
  [SMALL_STATE(13614)] = 597646,
  [SMALL_STATE(13615)] = 597668,
  [SMALL_STATE(13616)] = 597694,
  [SMALL_STATE(13617)] = 597716,
  [SMALL_STATE(13618)] = 597738,
  [SMALL_STATE(13619)] = 597760,
  [SMALL_STATE(13620)] = 597782,
  [SMALL_STATE(13621)] = 597804,
  [SMALL_STATE(13622)] = 597834,
  [SMALL_STATE(13623)] = 597856,
  [SMALL_STATE(13624)] = 597878,
  [SMALL_STATE(13625)] = 597902,
  [SMALL_STATE(13626)] = 597928,
  [SMALL_STATE(13627)] = 597950,
  [SMALL_STATE(13628)] = 597972,
  [SMALL_STATE(13629)] = 597998,
  [SMALL_STATE(13630)] = 598020,
  [SMALL_STATE(13631)] = 598042,
  [SMALL_STATE(13632)] = 598064,
  [SMALL_STATE(13633)] = 598091,
  [SMALL_STATE(13634)] = 598112,
  [SMALL_STATE(13635)] = 598141,
  [SMALL_STATE(13636)] = 598174,
  [SMALL_STATE(13637)] = 598197,
  [SMALL_STATE(13638)] = 598226,
  [SMALL_STATE(13639)] = 598251,
  [SMALL_STATE(13640)] = 598278,
  [SMALL_STATE(13641)] = 598299,
  [SMALL_STATE(13642)] = 598320,
  [SMALL_STATE(13643)] = 598341,
  [SMALL_STATE(13644)] = 598366,
  [SMALL_STATE(13645)] = 598391,
  [SMALL_STATE(13646)] = 598424,
  [SMALL_STATE(13647)] = 598445,
  [SMALL_STATE(13648)] = 598472,
  [SMALL_STATE(13649)] = 598493,
  [SMALL_STATE(13650)] = 598514,
  [SMALL_STATE(13651)] = 598535,
  [SMALL_STATE(13652)] = 598560,
  [SMALL_STATE(13653)] = 598585,
  [SMALL_STATE(13654)] = 598606,
  [SMALL_STATE(13655)] = 598627,
  [SMALL_STATE(13656)] = 598660,
  [SMALL_STATE(13657)] = 598685,
  [SMALL_STATE(13658)] = 598710,
  [SMALL_STATE(13659)] = 598731,
  [SMALL_STATE(13660)] = 598752,
  [SMALL_STATE(13661)] = 598779,
  [SMALL_STATE(13662)] = 598810,
  [SMALL_STATE(13663)] = 598831,
  [SMALL_STATE(13664)] = 598856,
  [SMALL_STATE(13665)] = 598877,
  [SMALL_STATE(13666)] = 598910,
  [SMALL_STATE(13667)] = 598931,
  [SMALL_STATE(13668)] = 598954,
  [SMALL_STATE(13669)] = 598979,
  [SMALL_STATE(13670)] = 599002,
  [SMALL_STATE(13671)] = 599023,
  [SMALL_STATE(13672)] = 599048,
  [SMALL_STATE(13673)] = 599073,
  [SMALL_STATE(13674)] = 599098,
  [SMALL_STATE(13675)] = 599121,
  [SMALL_STATE(13676)] = 599146,
  [SMALL_STATE(13677)] = 599167,
  [SMALL_STATE(13678)] = 599192,
  [SMALL_STATE(13679)] = 599221,
  [SMALL_STATE(13680)] = 599242,
  [SMALL_STATE(13681)] = 599263,
  [SMALL_STATE(13682)] = 599284,
  [SMALL_STATE(13683)] = 599315,
  [SMALL_STATE(13684)] = 599336,
  [SMALL_STATE(13685)] = 599361,
  [SMALL_STATE(13686)] = 599382,
  [SMALL_STATE(13687)] = 599403,
  [SMALL_STATE(13688)] = 599428,
  [SMALL_STATE(13689)] = 599461,
  [SMALL_STATE(13690)] = 599488,
  [SMALL_STATE(13691)] = 599509,
  [SMALL_STATE(13692)] = 599534,
  [SMALL_STATE(13693)] = 599555,
  [SMALL_STATE(13694)] = 599576,
  [SMALL_STATE(13695)] = 599601,
  [SMALL_STATE(13696)] = 599628,
  [SMALL_STATE(13697)] = 599655,
  [SMALL_STATE(13698)] = 599688,
  [SMALL_STATE(13699)] = 599721,
  [SMALL_STATE(13700)] = 599750,
  [SMALL_STATE(13701)] = 599773,
  [SMALL_STATE(13702)] = 599802,
  [SMALL_STATE(13703)] = 599823,
  [SMALL_STATE(13704)] = 599850,
  [SMALL_STATE(13705)] = 599871,
  [SMALL_STATE(13706)] = 599892,
  [SMALL_STATE(13707)] = 599913,
  [SMALL_STATE(13708)] = 599946,
  [SMALL_STATE(13709)] = 599971,
  [SMALL_STATE(13710)] = 599998,
  [SMALL_STATE(13711)] = 600023,
  [SMALL_STATE(13712)] = 600050,
  [SMALL_STATE(13713)] = 600073,
  [SMALL_STATE(13714)] = 600094,
  [SMALL_STATE(13715)] = 600119,
  [SMALL_STATE(13716)] = 600146,
  [SMALL_STATE(13717)] = 600179,
  [SMALL_STATE(13718)] = 600204,
  [SMALL_STATE(13719)] = 600225,
  [SMALL_STATE(13720)] = 600248,
  [SMALL_STATE(13721)] = 600273,
  [SMALL_STATE(13722)] = 600294,
  [SMALL_STATE(13723)] = 600319,
  [SMALL_STATE(13724)] = 600342,
  [SMALL_STATE(13725)] = 600363,
  [SMALL_STATE(13726)] = 600384,
  [SMALL_STATE(13727)] = 600409,
  [SMALL_STATE(13728)] = 600430,
  [SMALL_STATE(13729)] = 600451,
  [SMALL_STATE(13730)] = 600480,
  [SMALL_STATE(13731)] = 600505,
  [SMALL_STATE(13732)] = 600530,
  [SMALL_STATE(13733)] = 600559,
  [SMALL_STATE(13734)] = 600584,
  [SMALL_STATE(13735)] = 600613,
  [SMALL_STATE(13736)] = 600646,
  [SMALL_STATE(13737)] = 600667,
  [SMALL_STATE(13738)] = 600696,
  [SMALL_STATE(13739)] = 600729,
  [SMALL_STATE(13740)] = 600762,
  [SMALL_STATE(13741)] = 600787,
  [SMALL_STATE(13742)] = 600818,
  [SMALL_STATE(13743)] = 600843,
  [SMALL_STATE(13744)] = 600868,
  [SMALL_STATE(13745)] = 600897,
  [SMALL_STATE(13746)] = 600924,
  [SMALL_STATE(13747)] = 600945,
  [SMALL_STATE(13748)] = 600966,
  [SMALL_STATE(13749)] = 600993,
  [SMALL_STATE(13750)] = 601018,
  [SMALL_STATE(13751)] = 601039,
  [SMALL_STATE(13752)] = 601064,
  [SMALL_STATE(13753)] = 601087,
  [SMALL_STATE(13754)] = 601108,
  [SMALL_STATE(13755)] = 601131,
  [SMALL_STATE(13756)] = 601152,
  [SMALL_STATE(13757)] = 601173,
  [SMALL_STATE(13758)] = 601194,
  [SMALL_STATE(13759)] = 601215,
  [SMALL_STATE(13760)] = 601240,
  [SMALL_STATE(13761)] = 601261,
  [SMALL_STATE(13762)] = 601282,
  [SMALL_STATE(13763)] = 601303,
  [SMALL_STATE(13764)] = 601324,
  [SMALL_STATE(13765)] = 601353,
  [SMALL_STATE(13766)] = 601378,
  [SMALL_STATE(13767)] = 601399,
  [SMALL_STATE(13768)] = 601422,
  [SMALL_STATE(13769)] = 601455,
  [SMALL_STATE(13770)] = 601476,
  [SMALL_STATE(13771)] = 601503,
  [SMALL_STATE(13772)] = 601526,
  [SMALL_STATE(13773)] = 601547,
  [SMALL_STATE(13774)] = 601580,
  [SMALL_STATE(13775)] = 601601,
  [SMALL_STATE(13776)] = 601630,
  [SMALL_STATE(13777)] = 601651,
  [SMALL_STATE(13778)] = 601678,
  [SMALL_STATE(13779)] = 601699,
  [SMALL_STATE(13780)] = 601720,
  [SMALL_STATE(13781)] = 601743,
  [SMALL_STATE(13782)] = 601764,
  [SMALL_STATE(13783)] = 601785,
  [SMALL_STATE(13784)] = 601810,
  [SMALL_STATE(13785)] = 601841,
  [SMALL_STATE(13786)] = 601862,
  [SMALL_STATE(13787)] = 601887,
  [SMALL_STATE(13788)] = 601912,
  [SMALL_STATE(13789)] = 601933,
  [SMALL_STATE(13790)] = 601956,
  [SMALL_STATE(13791)] = 601983,
  [SMALL_STATE(13792)] = 602006,
  [SMALL_STATE(13793)] = 602027,
  [SMALL_STATE(13794)] = 602052,
  [SMALL_STATE(13795)] = 602073,
  [SMALL_STATE(13796)] = 602096,
  [SMALL_STATE(13797)] = 602117,
  [SMALL_STATE(13798)] = 602144,
  [SMALL_STATE(13799)] = 602165,
  [SMALL_STATE(13800)] = 602192,
  [SMALL_STATE(13801)] = 602215,
  [SMALL_STATE(13802)] = 602238,
  [SMALL_STATE(13803)] = 602263,
  [SMALL_STATE(13804)] = 602286,
  [SMALL_STATE(13805)] = 602315,
  [SMALL_STATE(13806)] = 602344,
  [SMALL_STATE(13807)] = 602371,
  [SMALL_STATE(13808)] = 602396,
  [SMALL_STATE(13809)] = 602417,
  [SMALL_STATE(13810)] = 602442,
  [SMALL_STATE(13811)] = 602463,
  [SMALL_STATE(13812)] = 602484,
  [SMALL_STATE(13813)] = 602505,
  [SMALL_STATE(13814)] = 602526,
  [SMALL_STATE(13815)] = 602547,
  [SMALL_STATE(13816)] = 602568,
  [SMALL_STATE(13817)] = 602589,
  [SMALL_STATE(13818)] = 602616,
  [SMALL_STATE(13819)] = 602637,
  [SMALL_STATE(13820)] = 602664,
  [SMALL_STATE(13821)] = 602689,
  [SMALL_STATE(13822)] = 602718,
  [SMALL_STATE(13823)] = 602739,
  [SMALL_STATE(13824)] = 602766,
  [SMALL_STATE(13825)] = 602791,
  [SMALL_STATE(13826)] = 602812,
  [SMALL_STATE(13827)] = 602837,
  [SMALL_STATE(13828)] = 602858,
  [SMALL_STATE(13829)] = 602883,
  [SMALL_STATE(13830)] = 602910,
  [SMALL_STATE(13831)] = 602931,
  [SMALL_STATE(13832)] = 602958,
  [SMALL_STATE(13833)] = 602983,
  [SMALL_STATE(13834)] = 603008,
  [SMALL_STATE(13835)] = 603032,
  [SMALL_STATE(13836)] = 603056,
  [SMALL_STATE(13837)] = 603076,
  [SMALL_STATE(13838)] = 603096,
  [SMALL_STATE(13839)] = 603120,
  [SMALL_STATE(13840)] = 603144,
  [SMALL_STATE(13841)] = 603164,
  [SMALL_STATE(13842)] = 603186,
  [SMALL_STATE(13843)] = 603206,
  [SMALL_STATE(13844)] = 603226,
  [SMALL_STATE(13845)] = 603246,
  [SMALL_STATE(13846)] = 603272,
  [SMALL_STATE(13847)] = 603292,
  [SMALL_STATE(13848)] = 603316,
  [SMALL_STATE(13849)] = 603336,
  [SMALL_STATE(13850)] = 603356,
  [SMALL_STATE(13851)] = 603378,
  [SMALL_STATE(13852)] = 603402,
  [SMALL_STATE(13853)] = 603422,
  [SMALL_STATE(13854)] = 603444,
  [SMALL_STATE(13855)] = 603474,
  [SMALL_STATE(13856)] = 603496,
  [SMALL_STATE(13857)] = 603516,
  [SMALL_STATE(13858)] = 603536,
  [SMALL_STATE(13859)] = 603560,
  [SMALL_STATE(13860)] = 603584,
  [SMALL_STATE(13861)] = 603612,
  [SMALL_STATE(13862)] = 603636,
  [SMALL_STATE(13863)] = 603660,
  [SMALL_STATE(13864)] = 603684,
  [SMALL_STATE(13865)] = 603704,
  [SMALL_STATE(13866)] = 603726,
  [SMALL_STATE(13867)] = 603752,
  [SMALL_STATE(13868)] = 603780,
  [SMALL_STATE(13869)] = 603810,
  [SMALL_STATE(13870)] = 603830,
  [SMALL_STATE(13871)] = 603850,
  [SMALL_STATE(13872)] = 603874,
  [SMALL_STATE(13873)] = 603896,
  [SMALL_STATE(13874)] = 603918,
  [SMALL_STATE(13875)] = 603942,
  [SMALL_STATE(13876)] = 603966,
  [SMALL_STATE(13877)] = 603986,
  [SMALL_STATE(13878)] = 604010,
  [SMALL_STATE(13879)] = 604030,
  [SMALL_STATE(13880)] = 604054,
  [SMALL_STATE(13881)] = 604074,
  [SMALL_STATE(13882)] = 604094,
  [SMALL_STATE(13883)] = 604120,
  [SMALL_STATE(13884)] = 604144,
  [SMALL_STATE(13885)] = 604168,
  [SMALL_STATE(13886)] = 604194,
  [SMALL_STATE(13887)] = 604218,
  [SMALL_STATE(13888)] = 604240,
  [SMALL_STATE(13889)] = 604260,
  [SMALL_STATE(13890)] = 604280,
  [SMALL_STATE(13891)] = 604300,
  [SMALL_STATE(13892)] = 604320,
  [SMALL_STATE(13893)] = 604346,
  [SMALL_STATE(13894)] = 604370,
  [SMALL_STATE(13895)] = 604394,
  [SMALL_STATE(13896)] = 604414,
  [SMALL_STATE(13897)] = 604438,
  [SMALL_STATE(13898)] = 604462,
  [SMALL_STATE(13899)] = 604482,
  [SMALL_STATE(13900)] = 604512,
  [SMALL_STATE(13901)] = 604540,
  [SMALL_STATE(13902)] = 604560,
  [SMALL_STATE(13903)] = 604580,
  [SMALL_STATE(13904)] = 604606,
  [SMALL_STATE(13905)] = 604632,
  [SMALL_STATE(13906)] = 604654,
  [SMALL_STATE(13907)] = 604674,
  [SMALL_STATE(13908)] = 604700,
  [SMALL_STATE(13909)] = 604722,
  [SMALL_STATE(13910)] = 604742,
  [SMALL_STATE(13911)] = 604762,
  [SMALL_STATE(13912)] = 604786,
  [SMALL_STATE(13913)] = 604810,
  [SMALL_STATE(13914)] = 604830,
  [SMALL_STATE(13915)] = 604850,
  [SMALL_STATE(13916)] = 604874,
  [SMALL_STATE(13917)] = 604896,
  [SMALL_STATE(13918)] = 604922,
  [SMALL_STATE(13919)] = 604944,
  [SMALL_STATE(13920)] = 604976,
  [SMALL_STATE(13921)] = 605000,
  [SMALL_STATE(13922)] = 605028,
  [SMALL_STATE(13923)] = 605054,
  [SMALL_STATE(13924)] = 605086,
  [SMALL_STATE(13925)] = 605108,
  [SMALL_STATE(13926)] = 605132,
  [SMALL_STATE(13927)] = 605156,
  [SMALL_STATE(13928)] = 605176,
  [SMALL_STATE(13929)] = 605196,
  [SMALL_STATE(13930)] = 605216,
  [SMALL_STATE(13931)] = 605242,
  [SMALL_STATE(13932)] = 605266,
  [SMALL_STATE(13933)] = 605290,
  [SMALL_STATE(13934)] = 605314,
  [SMALL_STATE(13935)] = 605338,
  [SMALL_STATE(13936)] = 605358,
  [SMALL_STATE(13937)] = 605384,
  [SMALL_STATE(13938)] = 605404,
  [SMALL_STATE(13939)] = 605430,
  [SMALL_STATE(13940)] = 605460,
  [SMALL_STATE(13941)] = 605488,
  [SMALL_STATE(13942)] = 605512,
  [SMALL_STATE(13943)] = 605538,
  [SMALL_STATE(13944)] = 605562,
  [SMALL_STATE(13945)] = 605588,
  [SMALL_STATE(13946)] = 605608,
  [SMALL_STATE(13947)] = 605632,
  [SMALL_STATE(13948)] = 605658,
  [SMALL_STATE(13949)] = 605680,
  [SMALL_STATE(13950)] = 605700,
  [SMALL_STATE(13951)] = 605726,
  [SMALL_STATE(13952)] = 605746,
  [SMALL_STATE(13953)] = 605772,
  [SMALL_STATE(13954)] = 605792,
  [SMALL_STATE(13955)] = 605818,
  [SMALL_STATE(13956)] = 605844,
  [SMALL_STATE(13957)] = 605866,
  [SMALL_STATE(13958)] = 605890,
  [SMALL_STATE(13959)] = 605910,
  [SMALL_STATE(13960)] = 605936,
  [SMALL_STATE(13961)] = 605960,
  [SMALL_STATE(13962)] = 605982,
  [SMALL_STATE(13963)] = 606004,
  [SMALL_STATE(13964)] = 606024,
  [SMALL_STATE(13965)] = 606044,
  [SMALL_STATE(13966)] = 606064,
  [SMALL_STATE(13967)] = 606084,
  [SMALL_STATE(13968)] = 606108,
  [SMALL_STATE(13969)] = 606130,
  [SMALL_STATE(13970)] = 606150,
  [SMALL_STATE(13971)] = 606176,
  [SMALL_STATE(13972)] = 606200,
  [SMALL_STATE(13973)] = 606220,
  [SMALL_STATE(13974)] = 606246,
  [SMALL_STATE(13975)] = 606266,
  [SMALL_STATE(13976)] = 606292,
  [SMALL_STATE(13977)] = 606312,
  [SMALL_STATE(13978)] = 606332,
  [SMALL_STATE(13979)] = 606356,
  [SMALL_STATE(13980)] = 606382,
  [SMALL_STATE(13981)] = 606402,
  [SMALL_STATE(13982)] = 606426,
  [SMALL_STATE(13983)] = 606446,
  [SMALL_STATE(13984)] = 606466,
  [SMALL_STATE(13985)] = 606488,
  [SMALL_STATE(13986)] = 606508,
  [SMALL_STATE(13987)] = 606528,
  [SMALL_STATE(13988)] = 606556,
  [SMALL_STATE(13989)] = 606580,
  [SMALL_STATE(13990)] = 606602,
  [SMALL_STATE(13991)] = 606622,
  [SMALL_STATE(13992)] = 606646,
  [SMALL_STATE(13993)] = 606666,
  [SMALL_STATE(13994)] = 606688,
  [SMALL_STATE(13995)] = 606708,
  [SMALL_STATE(13996)] = 606740,
  [SMALL_STATE(13997)] = 606762,
  [SMALL_STATE(13998)] = 606782,
  [SMALL_STATE(13999)] = 606802,
  [SMALL_STATE(14000)] = 606822,
  [SMALL_STATE(14001)] = 606844,
  [SMALL_STATE(14002)] = 606870,
  [SMALL_STATE(14003)] = 606902,
  [SMALL_STATE(14004)] = 606926,
  [SMALL_STATE(14005)] = 606950,
  [SMALL_STATE(14006)] = 606974,
  [SMALL_STATE(14007)] = 606994,
  [SMALL_STATE(14008)] = 607018,
  [SMALL_STATE(14009)] = 607042,
  [SMALL_STATE(14010)] = 607065,
  [SMALL_STATE(14011)] = 607084,
  [SMALL_STATE(14012)] = 607103,
  [SMALL_STATE(14013)] = 607126,
  [SMALL_STATE(14014)] = 607151,
  [SMALL_STATE(14015)] = 607174,
  [SMALL_STATE(14016)] = 607197,
  [SMALL_STATE(14017)] = 607216,
  [SMALL_STATE(14018)] = 607235,
  [SMALL_STATE(14019)] = 607254,
  [SMALL_STATE(14020)] = 607273,
  [SMALL_STATE(14021)] = 607292,
  [SMALL_STATE(14022)] = 607321,
  [SMALL_STATE(14023)] = 607340,
  [SMALL_STATE(14024)] = 607361,
  [SMALL_STATE(14025)] = 607386,
  [SMALL_STATE(14026)] = 607405,
  [SMALL_STATE(14027)] = 607424,
  [SMALL_STATE(14028)] = 607447,
  [SMALL_STATE(14029)] = 607470,
  [SMALL_STATE(14030)] = 607489,
  [SMALL_STATE(14031)] = 607518,
  [SMALL_STATE(14032)] = 607537,
  [SMALL_STATE(14033)] = 607562,
  [SMALL_STATE(14034)] = 607585,
  [SMALL_STATE(14035)] = 607610,
  [SMALL_STATE(14036)] = 607629,
  [SMALL_STATE(14037)] = 607652,
  [SMALL_STATE(14038)] = 607671,
  [SMALL_STATE(14039)] = 607690,
  [SMALL_STATE(14040)] = 607719,
  [SMALL_STATE(14041)] = 607744,
  [SMALL_STATE(14042)] = 607773,
  [SMALL_STATE(14043)] = 607798,
  [SMALL_STATE(14044)] = 607827,
  [SMALL_STATE(14045)] = 607850,
  [SMALL_STATE(14046)] = 607869,
  [SMALL_STATE(14047)] = 607888,
  [SMALL_STATE(14048)] = 607907,
  [SMALL_STATE(14049)] = 607930,
  [SMALL_STATE(14050)] = 607951,
  [SMALL_STATE(14051)] = 607974,
  [SMALL_STATE(14052)] = 607993,
  [SMALL_STATE(14053)] = 608012,
  [SMALL_STATE(14054)] = 608031,
  [SMALL_STATE(14055)] = 608050,
  [SMALL_STATE(14056)] = 608069,
  [SMALL_STATE(14057)] = 608092,
  [SMALL_STATE(14058)] = 608121,
  [SMALL_STATE(14059)] = 608140,
  [SMALL_STATE(14060)] = 608163,
  [SMALL_STATE(14061)] = 608188,
  [SMALL_STATE(14062)] = 608211,
  [SMALL_STATE(14063)] = 608230,
  [SMALL_STATE(14064)] = 608249,
  [SMALL_STATE(14065)] = 608274,
  [SMALL_STATE(14066)] = 608299,
  [SMALL_STATE(14067)] = 608318,
  [SMALL_STATE(14068)] = 608337,
  [SMALL_STATE(14069)] = 608356,
  [SMALL_STATE(14070)] = 608379,
  [SMALL_STATE(14071)] = 608408,
  [SMALL_STATE(14072)] = 608427,
  [SMALL_STATE(14073)] = 608450,
  [SMALL_STATE(14074)] = 608475,
  [SMALL_STATE(14075)] = 608498,
  [SMALL_STATE(14076)] = 608517,
  [SMALL_STATE(14077)] = 608536,
  [SMALL_STATE(14078)] = 608555,
  [SMALL_STATE(14079)] = 608574,
  [SMALL_STATE(14080)] = 608599,
  [SMALL_STATE(14081)] = 608628,
  [SMALL_STATE(14082)] = 608647,
  [SMALL_STATE(14083)] = 608670,
  [SMALL_STATE(14084)] = 608695,
  [SMALL_STATE(14085)] = 608724,
  [SMALL_STATE(14086)] = 608747,
  [SMALL_STATE(14087)] = 608772,
  [SMALL_STATE(14088)] = 608801,
  [SMALL_STATE(14089)] = 608820,
  [SMALL_STATE(14090)] = 608839,
  [SMALL_STATE(14091)] = 608868,
  [SMALL_STATE(14092)] = 608889,
  [SMALL_STATE(14093)] = 608910,
  [SMALL_STATE(14094)] = 608929,
  [SMALL_STATE(14095)] = 608952,
  [SMALL_STATE(14096)] = 608971,
  [SMALL_STATE(14097)] = 609000,
  [SMALL_STATE(14098)] = 609019,
  [SMALL_STATE(14099)] = 609044,
  [SMALL_STATE(14100)] = 609073,
  [SMALL_STATE(14101)] = 609092,
  [SMALL_STATE(14102)] = 609111,
  [SMALL_STATE(14103)] = 609140,
  [SMALL_STATE(14104)] = 609169,
  [SMALL_STATE(14105)] = 609188,
  [SMALL_STATE(14106)] = 609207,
  [SMALL_STATE(14107)] = 609236,
  [SMALL_STATE(14108)] = 609259,
  [SMALL_STATE(14109)] = 609282,
  [SMALL_STATE(14110)] = 609311,
  [SMALL_STATE(14111)] = 609340,
  [SMALL_STATE(14112)] = 609369,
  [SMALL_STATE(14113)] = 609398,
  [SMALL_STATE(14114)] = 609423,
  [SMALL_STATE(14115)] = 609446,
  [SMALL_STATE(14116)] = 609465,
  [SMALL_STATE(14117)] = 609490,
  [SMALL_STATE(14118)] = 609519,
  [SMALL_STATE(14119)] = 609538,
  [SMALL_STATE(14120)] = 609559,
  [SMALL_STATE(14121)] = 609580,
  [SMALL_STATE(14122)] = 609609,
  [SMALL_STATE(14123)] = 609632,
  [SMALL_STATE(14124)] = 609651,
  [SMALL_STATE(14125)] = 609674,
  [SMALL_STATE(14126)] = 609695,
  [SMALL_STATE(14127)] = 609714,
  [SMALL_STATE(14128)] = 609735,
  [SMALL_STATE(14129)] = 609754,
  [SMALL_STATE(14130)] = 609775,
  [SMALL_STATE(14131)] = 609794,
  [SMALL_STATE(14132)] = 609813,
  [SMALL_STATE(14133)] = 609842,
  [SMALL_STATE(14134)] = 609867,
  [SMALL_STATE(14135)] = 609892,
  [SMALL_STATE(14136)] = 609915,
  [SMALL_STATE(14137)] = 609934,
  [SMALL_STATE(14138)] = 609963,
  [SMALL_STATE(14139)] = 609992,
  [SMALL_STATE(14140)] = 610011,
  [SMALL_STATE(14141)] = 610034,
  [SMALL_STATE(14142)] = 610063,
  [SMALL_STATE(14143)] = 610084,
  [SMALL_STATE(14144)] = 610107,
  [SMALL_STATE(14145)] = 610136,
  [SMALL_STATE(14146)] = 610155,
  [SMALL_STATE(14147)] = 610174,
  [SMALL_STATE(14148)] = 610203,
  [SMALL_STATE(14149)] = 610222,
  [SMALL_STATE(14150)] = 610243,
  [SMALL_STATE(14151)] = 610262,
  [SMALL_STATE(14152)] = 610285,
  [SMALL_STATE(14153)] = 610304,
  [SMALL_STATE(14154)] = 610323,
  [SMALL_STATE(14155)] = 610342,
  [SMALL_STATE(14156)] = 610371,
  [SMALL_STATE(14157)] = 610400,
  [SMALL_STATE(14158)] = 610429,
  [SMALL_STATE(14159)] = 610458,
  [SMALL_STATE(14160)] = 610481,
  [SMALL_STATE(14161)] = 610506,
  [SMALL_STATE(14162)] = 610535,
  [SMALL_STATE(14163)] = 610554,
  [SMALL_STATE(14164)] = 610573,
  [SMALL_STATE(14165)] = 610602,
  [SMALL_STATE(14166)] = 610628,
  [SMALL_STATE(14167)] = 610646,
  [SMALL_STATE(14168)] = 610666,
  [SMALL_STATE(14169)] = 610692,
  [SMALL_STATE(14170)] = 610710,
  [SMALL_STATE(14171)] = 610734,
  [SMALL_STATE(14172)] = 610758,
  [SMALL_STATE(14173)] = 610782,
  [SMALL_STATE(14174)] = 610800,
  [SMALL_STATE(14175)] = 610824,
  [SMALL_STATE(14176)] = 610842,
  [SMALL_STATE(14177)] = 610860,
  [SMALL_STATE(14178)] = 610886,
  [SMALL_STATE(14179)] = 610912,
  [SMALL_STATE(14180)] = 610930,
  [SMALL_STATE(14181)] = 610956,
  [SMALL_STATE(14182)] = 610980,
  [SMALL_STATE(14183)] = 610998,
  [SMALL_STATE(14184)] = 611016,
  [SMALL_STATE(14185)] = 611034,
  [SMALL_STATE(14186)] = 611052,
  [SMALL_STATE(14187)] = 611070,
  [SMALL_STATE(14188)] = 611088,
  [SMALL_STATE(14189)] = 611106,
  [SMALL_STATE(14190)] = 611132,
  [SMALL_STATE(14191)] = 611150,
  [SMALL_STATE(14192)] = 611168,
  [SMALL_STATE(14193)] = 611186,
  [SMALL_STATE(14194)] = 611204,
  [SMALL_STATE(14195)] = 611228,
  [SMALL_STATE(14196)] = 611252,
  [SMALL_STATE(14197)] = 611270,
  [SMALL_STATE(14198)] = 611296,
  [SMALL_STATE(14199)] = 611314,
  [SMALL_STATE(14200)] = 611338,
  [SMALL_STATE(14201)] = 611362,
  [SMALL_STATE(14202)] = 611386,
  [SMALL_STATE(14203)] = 611404,
  [SMALL_STATE(14204)] = 611422,
  [SMALL_STATE(14205)] = 611446,
  [SMALL_STATE(14206)] = 611464,
  [SMALL_STATE(14207)] = 611490,
  [SMALL_STATE(14208)] = 611508,
  [SMALL_STATE(14209)] = 611526,
  [SMALL_STATE(14210)] = 611552,
  [SMALL_STATE(14211)] = 611570,
  [SMALL_STATE(14212)] = 611596,
  [SMALL_STATE(14213)] = 611614,
  [SMALL_STATE(14214)] = 611638,
  [SMALL_STATE(14215)] = 611656,
  [SMALL_STATE(14216)] = 611682,
  [SMALL_STATE(14217)] = 611706,
  [SMALL_STATE(14218)] = 611730,
  [SMALL_STATE(14219)] = 611748,
  [SMALL_STATE(14220)] = 611766,
  [SMALL_STATE(14221)] = 611792,
  [SMALL_STATE(14222)] = 611816,
  [SMALL_STATE(14223)] = 611834,
  [SMALL_STATE(14224)] = 611852,
  [SMALL_STATE(14225)] = 611876,
  [SMALL_STATE(14226)] = 611894,
  [SMALL_STATE(14227)] = 611912,
  [SMALL_STATE(14228)] = 611930,
  [SMALL_STATE(14229)] = 611948,
  [SMALL_STATE(14230)] = 611966,
  [SMALL_STATE(14231)] = 611992,
  [SMALL_STATE(14232)] = 612010,
  [SMALL_STATE(14233)] = 612028,
  [SMALL_STATE(14234)] = 612052,
  [SMALL_STATE(14235)] = 612078,
  [SMALL_STATE(14236)] = 612096,
  [SMALL_STATE(14237)] = 612122,
  [SMALL_STATE(14238)] = 612140,
  [SMALL_STATE(14239)] = 612158,
  [SMALL_STATE(14240)] = 612184,
  [SMALL_STATE(14241)] = 612208,
  [SMALL_STATE(14242)] = 612226,
  [SMALL_STATE(14243)] = 612252,
  [SMALL_STATE(14244)] = 612272,
  [SMALL_STATE(14245)] = 612294,
  [SMALL_STATE(14246)] = 612320,
  [SMALL_STATE(14247)] = 612342,
  [SMALL_STATE(14248)] = 612360,
  [SMALL_STATE(14249)] = 612378,
  [SMALL_STATE(14250)] = 612404,
  [SMALL_STATE(14251)] = 612422,
  [SMALL_STATE(14252)] = 612446,
  [SMALL_STATE(14253)] = 612472,
  [SMALL_STATE(14254)] = 612498,
  [SMALL_STATE(14255)] = 612520,
  [SMALL_STATE(14256)] = 612538,
  [SMALL_STATE(14257)] = 612560,
  [SMALL_STATE(14258)] = 612578,
  [SMALL_STATE(14259)] = 612604,
  [SMALL_STATE(14260)] = 612624,
  [SMALL_STATE(14261)] = 612642,
  [SMALL_STATE(14262)] = 612660,
  [SMALL_STATE(14263)] = 612678,
  [SMALL_STATE(14264)] = 612696,
  [SMALL_STATE(14265)] = 612714,
  [SMALL_STATE(14266)] = 612734,
  [SMALL_STATE(14267)] = 612760,
  [SMALL_STATE(14268)] = 612782,
  [SMALL_STATE(14269)] = 612804,
  [SMALL_STATE(14270)] = 612822,
  [SMALL_STATE(14271)] = 612848,
  [SMALL_STATE(14272)] = 612872,
  [SMALL_STATE(14273)] = 612890,
  [SMALL_STATE(14274)] = 612916,
  [SMALL_STATE(14275)] = 612934,
  [SMALL_STATE(14276)] = 612952,
  [SMALL_STATE(14277)] = 612970,
  [SMALL_STATE(14278)] = 612994,
  [SMALL_STATE(14279)] = 613012,
  [SMALL_STATE(14280)] = 613038,
  [SMALL_STATE(14281)] = 613064,
  [SMALL_STATE(14282)] = 613090,
  [SMALL_STATE(14283)] = 613108,
  [SMALL_STATE(14284)] = 613134,
  [SMALL_STATE(14285)] = 613152,
  [SMALL_STATE(14286)] = 613178,
  [SMALL_STATE(14287)] = 613204,
  [SMALL_STATE(14288)] = 613224,
  [SMALL_STATE(14289)] = 613250,
  [SMALL_STATE(14290)] = 613276,
  [SMALL_STATE(14291)] = 613298,
  [SMALL_STATE(14292)] = 613316,
  [SMALL_STATE(14293)] = 613338,
  [SMALL_STATE(14294)] = 613364,
  [SMALL_STATE(14295)] = 613390,
  [SMALL_STATE(14296)] = 613408,
  [SMALL_STATE(14297)] = 613426,
  [SMALL_STATE(14298)] = 613444,
  [SMALL_STATE(14299)] = 613462,
  [SMALL_STATE(14300)] = 613480,
  [SMALL_STATE(14301)] = 613498,
  [SMALL_STATE(14302)] = 613524,
  [SMALL_STATE(14303)] = 613542,
  [SMALL_STATE(14304)] = 613566,
  [SMALL_STATE(14305)] = 613588,
  [SMALL_STATE(14306)] = 613606,
  [SMALL_STATE(14307)] = 613632,
  [SMALL_STATE(14308)] = 613650,
  [SMALL_STATE(14309)] = 613668,
  [SMALL_STATE(14310)] = 613686,
  [SMALL_STATE(14311)] = 613712,
  [SMALL_STATE(14312)] = 613730,
  [SMALL_STATE(14313)] = 613754,
  [SMALL_STATE(14314)] = 613772,
  [SMALL_STATE(14315)] = 613794,
  [SMALL_STATE(14316)] = 613820,
  [SMALL_STATE(14317)] = 613840,
  [SMALL_STATE(14318)] = 613858,
  [SMALL_STATE(14319)] = 613878,
  [SMALL_STATE(14320)] = 613896,
  [SMALL_STATE(14321)] = 613914,
  [SMALL_STATE(14322)] = 613940,
  [SMALL_STATE(14323)] = 613966,
  [SMALL_STATE(14324)] = 613984,
  [SMALL_STATE(14325)] = 614002,
  [SMALL_STATE(14326)] = 614020,
  [SMALL_STATE(14327)] = 614038,
  [SMALL_STATE(14328)] = 614056,
  [SMALL_STATE(14329)] = 614074,
  [SMALL_STATE(14330)] = 614094,
  [SMALL_STATE(14331)] = 614112,
  [SMALL_STATE(14332)] = 614132,
  [SMALL_STATE(14333)] = 614154,
  [SMALL_STATE(14334)] = 614172,
  [SMALL_STATE(14335)] = 614192,
  [SMALL_STATE(14336)] = 614218,
  [SMALL_STATE(14337)] = 614240,
  [SMALL_STATE(14338)] = 614258,
  [SMALL_STATE(14339)] = 614282,
  [SMALL_STATE(14340)] = 614300,
  [SMALL_STATE(14341)] = 614326,
  [SMALL_STATE(14342)] = 614348,
  [SMALL_STATE(14343)] = 614366,
  [SMALL_STATE(14344)] = 614384,
  [SMALL_STATE(14345)] = 614408,
  [SMALL_STATE(14346)] = 614434,
  [SMALL_STATE(14347)] = 614452,
  [SMALL_STATE(14348)] = 614470,
  [SMALL_STATE(14349)] = 614496,
  [SMALL_STATE(14350)] = 614522,
  [SMALL_STATE(14351)] = 614546,
  [SMALL_STATE(14352)] = 614564,
  [SMALL_STATE(14353)] = 614584,
  [SMALL_STATE(14354)] = 614610,
  [SMALL_STATE(14355)] = 614636,
  [SMALL_STATE(14356)] = 614660,
  [SMALL_STATE(14357)] = 614682,
  [SMALL_STATE(14358)] = 614708,
  [SMALL_STATE(14359)] = 614726,
  [SMALL_STATE(14360)] = 614744,
  [SMALL_STATE(14361)] = 614762,
  [SMALL_STATE(14362)] = 614780,
  [SMALL_STATE(14363)] = 614798,
  [SMALL_STATE(14364)] = 614818,
  [SMALL_STATE(14365)] = 614844,
  [SMALL_STATE(14366)] = 614866,
  [SMALL_STATE(14367)] = 614888,
  [SMALL_STATE(14368)] = 614910,
  [SMALL_STATE(14369)] = 614928,
  [SMALL_STATE(14370)] = 614950,
  [SMALL_STATE(14371)] = 614970,
  [SMALL_STATE(14372)] = 614988,
  [SMALL_STATE(14373)] = 615014,
  [SMALL_STATE(14374)] = 615040,
  [SMALL_STATE(14375)] = 615066,
  [SMALL_STATE(14376)] = 615084,
  [SMALL_STATE(14377)] = 615102,
  [SMALL_STATE(14378)] = 615122,
  [SMALL_STATE(14379)] = 615148,
  [SMALL_STATE(14380)] = 615166,
  [SMALL_STATE(14381)] = 615184,
  [SMALL_STATE(14382)] = 615210,
  [SMALL_STATE(14383)] = 615228,
  [SMALL_STATE(14384)] = 615248,
  [SMALL_STATE(14385)] = 615266,
  [SMALL_STATE(14386)] = 615284,
  [SMALL_STATE(14387)] = 615302,
  [SMALL_STATE(14388)] = 615326,
  [SMALL_STATE(14389)] = 615348,
  [SMALL_STATE(14390)] = 615374,
  [SMALL_STATE(14391)] = 615398,
  [SMALL_STATE(14392)] = 615416,
  [SMALL_STATE(14393)] = 615442,
  [SMALL_STATE(14394)] = 615462,
  [SMALL_STATE(14395)] = 615488,
  [SMALL_STATE(14396)] = 615506,
  [SMALL_STATE(14397)] = 615532,
  [SMALL_STATE(14398)] = 615550,
  [SMALL_STATE(14399)] = 615572,
  [SMALL_STATE(14400)] = 615590,
  [SMALL_STATE(14401)] = 615608,
  [SMALL_STATE(14402)] = 615626,
  [SMALL_STATE(14403)] = 615652,
  [SMALL_STATE(14404)] = 615670,
  [SMALL_STATE(14405)] = 615696,
  [SMALL_STATE(14406)] = 615722,
  [SMALL_STATE(14407)] = 615746,
  [SMALL_STATE(14408)] = 615764,
  [SMALL_STATE(14409)] = 615786,
  [SMALL_STATE(14410)] = 615804,
  [SMALL_STATE(14411)] = 615822,
  [SMALL_STATE(14412)] = 615848,
  [SMALL_STATE(14413)] = 615866,
  [SMALL_STATE(14414)] = 615884,
  [SMALL_STATE(14415)] = 615902,
  [SMALL_STATE(14416)] = 615928,
  [SMALL_STATE(14417)] = 615954,
  [SMALL_STATE(14418)] = 615976,
  [SMALL_STATE(14419)] = 615993,
  [SMALL_STATE(14420)] = 616010,
  [SMALL_STATE(14421)] = 616027,
  [SMALL_STATE(14422)] = 616050,
  [SMALL_STATE(14423)] = 616071,
  [SMALL_STATE(14424)] = 616094,
  [SMALL_STATE(14425)] = 616111,
  [SMALL_STATE(14426)] = 616132,
  [SMALL_STATE(14427)] = 616155,
  [SMALL_STATE(14428)] = 616178,
  [SMALL_STATE(14429)] = 616195,
  [SMALL_STATE(14430)] = 616218,
  [SMALL_STATE(14431)] = 616241,
  [SMALL_STATE(14432)] = 616264,
  [SMALL_STATE(14433)] = 616287,
  [SMALL_STATE(14434)] = 616308,
  [SMALL_STATE(14435)] = 616331,
  [SMALL_STATE(14436)] = 616352,
  [SMALL_STATE(14437)] = 616375,
  [SMALL_STATE(14438)] = 616396,
  [SMALL_STATE(14439)] = 616419,
  [SMALL_STATE(14440)] = 616442,
  [SMALL_STATE(14441)] = 616465,
  [SMALL_STATE(14442)] = 616488,
  [SMALL_STATE(14443)] = 616509,
  [SMALL_STATE(14444)] = 616530,
  [SMALL_STATE(14445)] = 616553,
  [SMALL_STATE(14446)] = 616576,
  [SMALL_STATE(14447)] = 616597,
  [SMALL_STATE(14448)] = 616620,
  [SMALL_STATE(14449)] = 616643,
  [SMALL_STATE(14450)] = 616666,
  [SMALL_STATE(14451)] = 616689,
  [SMALL_STATE(14452)] = 616712,
  [SMALL_STATE(14453)] = 616733,
  [SMALL_STATE(14454)] = 616756,
  [SMALL_STATE(14455)] = 616777,
  [SMALL_STATE(14456)] = 616800,
  [SMALL_STATE(14457)] = 616819,
  [SMALL_STATE(14458)] = 616842,
  [SMALL_STATE(14459)] = 616865,
  [SMALL_STATE(14460)] = 616888,
  [SMALL_STATE(14461)] = 616909,
  [SMALL_STATE(14462)] = 616932,
  [SMALL_STATE(14463)] = 616953,
  [SMALL_STATE(14464)] = 616976,
  [SMALL_STATE(14465)] = 616997,
  [SMALL_STATE(14466)] = 617020,
  [SMALL_STATE(14467)] = 617041,
  [SMALL_STATE(14468)] = 617062,
  [SMALL_STATE(14469)] = 617085,
  [SMALL_STATE(14470)] = 617108,
  [SMALL_STATE(14471)] = 617131,
  [SMALL_STATE(14472)] = 617152,
  [SMALL_STATE(14473)] = 617173,
  [SMALL_STATE(14474)] = 617194,
  [SMALL_STATE(14475)] = 617217,
  [SMALL_STATE(14476)] = 617238,
  [SMALL_STATE(14477)] = 617261,
  [SMALL_STATE(14478)] = 617284,
  [SMALL_STATE(14479)] = 617307,
  [SMALL_STATE(14480)] = 617330,
  [SMALL_STATE(14481)] = 617353,
  [SMALL_STATE(14482)] = 617376,
  [SMALL_STATE(14483)] = 617397,
  [SMALL_STATE(14484)] = 617420,
  [SMALL_STATE(14485)] = 617443,
  [SMALL_STATE(14486)] = 617466,
  [SMALL_STATE(14487)] = 617489,
  [SMALL_STATE(14488)] = 617510,
  [SMALL_STATE(14489)] = 617533,
  [SMALL_STATE(14490)] = 617556,
  [SMALL_STATE(14491)] = 617579,
  [SMALL_STATE(14492)] = 617602,
  [SMALL_STATE(14493)] = 617623,
  [SMALL_STATE(14494)] = 617646,
  [SMALL_STATE(14495)] = 617665,
  [SMALL_STATE(14496)] = 617686,
  [SMALL_STATE(14497)] = 617709,
  [SMALL_STATE(14498)] = 617728,
  [SMALL_STATE(14499)] = 617749,
  [SMALL_STATE(14500)] = 617772,
  [SMALL_STATE(14501)] = 617795,
  [SMALL_STATE(14502)] = 617818,
  [SMALL_STATE(14503)] = 617841,
  [SMALL_STATE(14504)] = 617862,
  [SMALL_STATE(14505)] = 617883,
  [SMALL_STATE(14506)] = 617906,
  [SMALL_STATE(14507)] = 617927,
  [SMALL_STATE(14508)] = 617948,
  [SMALL_STATE(14509)] = 617971,
  [SMALL_STATE(14510)] = 617992,
  [SMALL_STATE(14511)] = 618011,
  [SMALL_STATE(14512)] = 618032,
  [SMALL_STATE(14513)] = 618049,
  [SMALL_STATE(14514)] = 618072,
  [SMALL_STATE(14515)] = 618095,
  [SMALL_STATE(14516)] = 618114,
  [SMALL_STATE(14517)] = 618137,
  [SMALL_STATE(14518)] = 618158,
  [SMALL_STATE(14519)] = 618181,
  [SMALL_STATE(14520)] = 618198,
  [SMALL_STATE(14521)] = 618219,
  [SMALL_STATE(14522)] = 618242,
  [SMALL_STATE(14523)] = 618265,
  [SMALL_STATE(14524)] = 618288,
  [SMALL_STATE(14525)] = 618311,
  [SMALL_STATE(14526)] = 618334,
  [SMALL_STATE(14527)] = 618357,
  [SMALL_STATE(14528)] = 618380,
  [SMALL_STATE(14529)] = 618403,
  [SMALL_STATE(14530)] = 618424,
  [SMALL_STATE(14531)] = 618441,
  [SMALL_STATE(14532)] = 618464,
  [SMALL_STATE(14533)] = 618481,
  [SMALL_STATE(14534)] = 618504,
  [SMALL_STATE(14535)] = 618525,
  [SMALL_STATE(14536)] = 618548,
  [SMALL_STATE(14537)] = 618571,
  [SMALL_STATE(14538)] = 618594,
  [SMALL_STATE(14539)] = 618617,
  [SMALL_STATE(14540)] = 618638,
  [SMALL_STATE(14541)] = 618661,
  [SMALL_STATE(14542)] = 618678,
  [SMALL_STATE(14543)] = 618699,
  [SMALL_STATE(14544)] = 618722,
  [SMALL_STATE(14545)] = 618745,
  [SMALL_STATE(14546)] = 618768,
  [SMALL_STATE(14547)] = 618791,
  [SMALL_STATE(14548)] = 618812,
  [SMALL_STATE(14549)] = 618835,
  [SMALL_STATE(14550)] = 618858,
  [SMALL_STATE(14551)] = 618877,
  [SMALL_STATE(14552)] = 618898,
  [SMALL_STATE(14553)] = 618921,
  [SMALL_STATE(14554)] = 618944,
  [SMALL_STATE(14555)] = 618967,
  [SMALL_STATE(14556)] = 618988,
  [SMALL_STATE(14557)] = 619011,
  [SMALL_STATE(14558)] = 619032,
  [SMALL_STATE(14559)] = 619053,
  [SMALL_STATE(14560)] = 619074,
  [SMALL_STATE(14561)] = 619095,
  [SMALL_STATE(14562)] = 619118,
  [SMALL_STATE(14563)] = 619135,
  [SMALL_STATE(14564)] = 619158,
  [SMALL_STATE(14565)] = 619181,
  [SMALL_STATE(14566)] = 619204,
  [SMALL_STATE(14567)] = 619225,
  [SMALL_STATE(14568)] = 619246,
  [SMALL_STATE(14569)] = 619269,
  [SMALL_STATE(14570)] = 619288,
  [SMALL_STATE(14571)] = 619311,
  [SMALL_STATE(14572)] = 619334,
  [SMALL_STATE(14573)] = 619355,
  [SMALL_STATE(14574)] = 619378,
  [SMALL_STATE(14575)] = 619395,
  [SMALL_STATE(14576)] = 619418,
  [SMALL_STATE(14577)] = 619441,
  [SMALL_STATE(14578)] = 619464,
  [SMALL_STATE(14579)] = 619485,
  [SMALL_STATE(14580)] = 619508,
  [SMALL_STATE(14581)] = 619529,
  [SMALL_STATE(14582)] = 619552,
  [SMALL_STATE(14583)] = 619573,
  [SMALL_STATE(14584)] = 619596,
  [SMALL_STATE(14585)] = 619615,
  [SMALL_STATE(14586)] = 619636,
  [SMALL_STATE(14587)] = 619657,
  [SMALL_STATE(14588)] = 619680,
  [SMALL_STATE(14589)] = 619697,
  [SMALL_STATE(14590)] = 619720,
  [SMALL_STATE(14591)] = 619739,
  [SMALL_STATE(14592)] = 619762,
  [SMALL_STATE(14593)] = 619783,
  [SMALL_STATE(14594)] = 619802,
  [SMALL_STATE(14595)] = 619825,
  [SMALL_STATE(14596)] = 619846,
  [SMALL_STATE(14597)] = 619869,
  [SMALL_STATE(14598)] = 619890,
  [SMALL_STATE(14599)] = 619913,
  [SMALL_STATE(14600)] = 619936,
  [SMALL_STATE(14601)] = 619953,
  [SMALL_STATE(14602)] = 619976,
  [SMALL_STATE(14603)] = 619995,
  [SMALL_STATE(14604)] = 620018,
  [SMALL_STATE(14605)] = 620041,
  [SMALL_STATE(14606)] = 620062,
  [SMALL_STATE(14607)] = 620083,
  [SMALL_STATE(14608)] = 620100,
  [SMALL_STATE(14609)] = 620121,
  [SMALL_STATE(14610)] = 620144,
  [SMALL_STATE(14611)] = 620167,
  [SMALL_STATE(14612)] = 620188,
  [SMALL_STATE(14613)] = 620209,
  [SMALL_STATE(14614)] = 620230,
  [SMALL_STATE(14615)] = 620251,
  [SMALL_STATE(14616)] = 620274,
  [SMALL_STATE(14617)] = 620297,
  [SMALL_STATE(14618)] = 620320,
  [SMALL_STATE(14619)] = 620341,
  [SMALL_STATE(14620)] = 620364,
  [SMALL_STATE(14621)] = 620381,
  [SMALL_STATE(14622)] = 620404,
  [SMALL_STATE(14623)] = 620427,
  [SMALL_STATE(14624)] = 620450,
  [SMALL_STATE(14625)] = 620467,
  [SMALL_STATE(14626)] = 620484,
  [SMALL_STATE(14627)] = 620507,
  [SMALL_STATE(14628)] = 620524,
  [SMALL_STATE(14629)] = 620547,
  [SMALL_STATE(14630)] = 620564,
  [SMALL_STATE(14631)] = 620587,
  [SMALL_STATE(14632)] = 620610,
  [SMALL_STATE(14633)] = 620633,
  [SMALL_STATE(14634)] = 620650,
  [SMALL_STATE(14635)] = 620673,
  [SMALL_STATE(14636)] = 620690,
  [SMALL_STATE(14637)] = 620711,
  [SMALL_STATE(14638)] = 620732,
  [SMALL_STATE(14639)] = 620755,
  [SMALL_STATE(14640)] = 620772,
  [SMALL_STATE(14641)] = 620789,
  [SMALL_STATE(14642)] = 620806,
  [SMALL_STATE(14643)] = 620823,
  [SMALL_STATE(14644)] = 620846,
  [SMALL_STATE(14645)] = 620869,
  [SMALL_STATE(14646)] = 620892,
  [SMALL_STATE(14647)] = 620909,
  [SMALL_STATE(14648)] = 620926,
  [SMALL_STATE(14649)] = 620949,
  [SMALL_STATE(14650)] = 620972,
  [SMALL_STATE(14651)] = 620989,
  [SMALL_STATE(14652)] = 621012,
  [SMALL_STATE(14653)] = 621029,
  [SMALL_STATE(14654)] = 621046,
  [SMALL_STATE(14655)] = 621069,
  [SMALL_STATE(14656)] = 621086,
  [SMALL_STATE(14657)] = 621109,
  [SMALL_STATE(14658)] = 621126,
  [SMALL_STATE(14659)] = 621149,
  [SMALL_STATE(14660)] = 621166,
  [SMALL_STATE(14661)] = 621183,
  [SMALL_STATE(14662)] = 621200,
  [SMALL_STATE(14663)] = 621223,
  [SMALL_STATE(14664)] = 621246,
  [SMALL_STATE(14665)] = 621269,
  [SMALL_STATE(14666)] = 621286,
  [SMALL_STATE(14667)] = 621307,
  [SMALL_STATE(14668)] = 621324,
  [SMALL_STATE(14669)] = 621341,
  [SMALL_STATE(14670)] = 621358,
  [SMALL_STATE(14671)] = 621377,
  [SMALL_STATE(14672)] = 621400,
  [SMALL_STATE(14673)] = 621417,
  [SMALL_STATE(14674)] = 621434,
  [SMALL_STATE(14675)] = 621451,
  [SMALL_STATE(14676)] = 621474,
  [SMALL_STATE(14677)] = 621491,
  [SMALL_STATE(14678)] = 621514,
  [SMALL_STATE(14679)] = 621531,
  [SMALL_STATE(14680)] = 621548,
  [SMALL_STATE(14681)] = 621565,
  [SMALL_STATE(14682)] = 621588,
  [SMALL_STATE(14683)] = 621607,
  [SMALL_STATE(14684)] = 621630,
  [SMALL_STATE(14685)] = 621647,
  [SMALL_STATE(14686)] = 621664,
  [SMALL_STATE(14687)] = 621681,
  [SMALL_STATE(14688)] = 621698,
  [SMALL_STATE(14689)] = 621715,
  [SMALL_STATE(14690)] = 621738,
  [SMALL_STATE(14691)] = 621755,
  [SMALL_STATE(14692)] = 621772,
  [SMALL_STATE(14693)] = 621789,
  [SMALL_STATE(14694)] = 621806,
  [SMALL_STATE(14695)] = 621823,
  [SMALL_STATE(14696)] = 621840,
  [SMALL_STATE(14697)] = 621857,
  [SMALL_STATE(14698)] = 621880,
  [SMALL_STATE(14699)] = 621901,
  [SMALL_STATE(14700)] = 621918,
  [SMALL_STATE(14701)] = 621935,
  [SMALL_STATE(14702)] = 621952,
  [SMALL_STATE(14703)] = 621969,
  [SMALL_STATE(14704)] = 621986,
  [SMALL_STATE(14705)] = 622009,
  [SMALL_STATE(14706)] = 622032,
  [SMALL_STATE(14707)] = 622049,
  [SMALL_STATE(14708)] = 622066,
  [SMALL_STATE(14709)] = 622083,
  [SMALL_STATE(14710)] = 622100,
  [SMALL_STATE(14711)] = 622117,
  [SMALL_STATE(14712)] = 622134,
  [SMALL_STATE(14713)] = 622151,
  [SMALL_STATE(14714)] = 622168,
  [SMALL_STATE(14715)] = 622185,
  [SMALL_STATE(14716)] = 622202,
  [SMALL_STATE(14717)] = 622219,
  [SMALL_STATE(14718)] = 622236,
  [SMALL_STATE(14719)] = 622253,
  [SMALL_STATE(14720)] = 622272,
  [SMALL_STATE(14721)] = 622295,
  [SMALL_STATE(14722)] = 622312,
  [SMALL_STATE(14723)] = 622329,
  [SMALL_STATE(14724)] = 622346,
  [SMALL_STATE(14725)] = 622363,
  [SMALL_STATE(14726)] = 622380,
  [SMALL_STATE(14727)] = 622397,
  [SMALL_STATE(14728)] = 622414,
  [SMALL_STATE(14729)] = 622431,
  [SMALL_STATE(14730)] = 622448,
  [SMALL_STATE(14731)] = 622465,
  [SMALL_STATE(14732)] = 622482,
  [SMALL_STATE(14733)] = 622502,
  [SMALL_STATE(14734)] = 622522,
  [SMALL_STATE(14735)] = 622542,
  [SMALL_STATE(14736)] = 622562,
  [SMALL_STATE(14737)] = 622582,
  [SMALL_STATE(14738)] = 622602,
  [SMALL_STATE(14739)] = 622622,
  [SMALL_STATE(14740)] = 622642,
  [SMALL_STATE(14741)] = 622658,
  [SMALL_STATE(14742)] = 622676,
  [SMALL_STATE(14743)] = 622696,
  [SMALL_STATE(14744)] = 622716,
  [SMALL_STATE(14745)] = 622736,
  [SMALL_STATE(14746)] = 622756,
  [SMALL_STATE(14747)] = 622776,
  [SMALL_STATE(14748)] = 622794,
  [SMALL_STATE(14749)] = 622814,
  [SMALL_STATE(14750)] = 622834,
  [SMALL_STATE(14751)] = 622854,
  [SMALL_STATE(14752)] = 622874,
  [SMALL_STATE(14753)] = 622894,
  [SMALL_STATE(14754)] = 622914,
  [SMALL_STATE(14755)] = 622934,
  [SMALL_STATE(14756)] = 622954,
  [SMALL_STATE(14757)] = 622974,
  [SMALL_STATE(14758)] = 622994,
  [SMALL_STATE(14759)] = 623014,
  [SMALL_STATE(14760)] = 623034,
  [SMALL_STATE(14761)] = 623054,
  [SMALL_STATE(14762)] = 623074,
  [SMALL_STATE(14763)] = 623094,
  [SMALL_STATE(14764)] = 623114,
  [SMALL_STATE(14765)] = 623134,
  [SMALL_STATE(14766)] = 623154,
  [SMALL_STATE(14767)] = 623174,
  [SMALL_STATE(14768)] = 623192,
  [SMALL_STATE(14769)] = 623212,
  [SMALL_STATE(14770)] = 623230,
  [SMALL_STATE(14771)] = 623250,
  [SMALL_STATE(14772)] = 623270,
  [SMALL_STATE(14773)] = 623290,
  [SMALL_STATE(14774)] = 623310,
  [SMALL_STATE(14775)] = 623328,
  [SMALL_STATE(14776)] = 623348,
  [SMALL_STATE(14777)] = 623368,
  [SMALL_STATE(14778)] = 623388,
  [SMALL_STATE(14779)] = 623408,
  [SMALL_STATE(14780)] = 623428,
  [SMALL_STATE(14781)] = 623448,
  [SMALL_STATE(14782)] = 623468,
  [SMALL_STATE(14783)] = 623488,
  [SMALL_STATE(14784)] = 623508,
  [SMALL_STATE(14785)] = 623528,
  [SMALL_STATE(14786)] = 623548,
  [SMALL_STATE(14787)] = 623568,
  [SMALL_STATE(14788)] = 623588,
  [SMALL_STATE(14789)] = 623608,
  [SMALL_STATE(14790)] = 623628,
  [SMALL_STATE(14791)] = 623648,
  [SMALL_STATE(14792)] = 623668,
  [SMALL_STATE(14793)] = 623688,
  [SMALL_STATE(14794)] = 623708,
  [SMALL_STATE(14795)] = 623726,
  [SMALL_STATE(14796)] = 623746,
  [SMALL_STATE(14797)] = 623766,
  [SMALL_STATE(14798)] = 623786,
  [SMALL_STATE(14799)] = 623806,
  [SMALL_STATE(14800)] = 623826,
  [SMALL_STATE(14801)] = 623846,
  [SMALL_STATE(14802)] = 623866,
  [SMALL_STATE(14803)] = 623886,
  [SMALL_STATE(14804)] = 623906,
  [SMALL_STATE(14805)] = 623926,
  [SMALL_STATE(14806)] = 623946,
  [SMALL_STATE(14807)] = 623966,
  [SMALL_STATE(14808)] = 623986,
  [SMALL_STATE(14809)] = 624006,
  [SMALL_STATE(14810)] = 624026,
  [SMALL_STATE(14811)] = 624046,
  [SMALL_STATE(14812)] = 624066,
  [SMALL_STATE(14813)] = 624086,
  [SMALL_STATE(14814)] = 624106,
  [SMALL_STATE(14815)] = 624126,
  [SMALL_STATE(14816)] = 624146,
  [SMALL_STATE(14817)] = 624166,
  [SMALL_STATE(14818)] = 624186,
  [SMALL_STATE(14819)] = 624206,
  [SMALL_STATE(14820)] = 624226,
  [SMALL_STATE(14821)] = 624246,
  [SMALL_STATE(14822)] = 624266,
  [SMALL_STATE(14823)] = 624286,
  [SMALL_STATE(14824)] = 624306,
  [SMALL_STATE(14825)] = 624326,
  [SMALL_STATE(14826)] = 624346,
  [SMALL_STATE(14827)] = 624366,
  [SMALL_STATE(14828)] = 624386,
  [SMALL_STATE(14829)] = 624406,
  [SMALL_STATE(14830)] = 624426,
  [SMALL_STATE(14831)] = 624446,
  [SMALL_STATE(14832)] = 624466,
  [SMALL_STATE(14833)] = 624486,
  [SMALL_STATE(14834)] = 624506,
  [SMALL_STATE(14835)] = 624526,
  [SMALL_STATE(14836)] = 624546,
  [SMALL_STATE(14837)] = 624566,
  [SMALL_STATE(14838)] = 624586,
  [SMALL_STATE(14839)] = 624606,
  [SMALL_STATE(14840)] = 624626,
  [SMALL_STATE(14841)] = 624646,
  [SMALL_STATE(14842)] = 624664,
  [SMALL_STATE(14843)] = 624684,
  [SMALL_STATE(14844)] = 624704,
  [SMALL_STATE(14845)] = 624724,
  [SMALL_STATE(14846)] = 624744,
  [SMALL_STATE(14847)] = 624764,
  [SMALL_STATE(14848)] = 624784,
  [SMALL_STATE(14849)] = 624804,
  [SMALL_STATE(14850)] = 624824,
  [SMALL_STATE(14851)] = 624844,
  [SMALL_STATE(14852)] = 624864,
  [SMALL_STATE(14853)] = 624884,
  [SMALL_STATE(14854)] = 624904,
  [SMALL_STATE(14855)] = 624922,
  [SMALL_STATE(14856)] = 624942,
  [SMALL_STATE(14857)] = 624962,
  [SMALL_STATE(14858)] = 624982,
  [SMALL_STATE(14859)] = 625002,
  [SMALL_STATE(14860)] = 625022,
  [SMALL_STATE(14861)] = 625040,
  [SMALL_STATE(14862)] = 625060,
  [SMALL_STATE(14863)] = 625080,
  [SMALL_STATE(14864)] = 625100,
  [SMALL_STATE(14865)] = 625120,
  [SMALL_STATE(14866)] = 625140,
  [SMALL_STATE(14867)] = 625160,
  [SMALL_STATE(14868)] = 625180,
  [SMALL_STATE(14869)] = 625200,
  [SMALL_STATE(14870)] = 625220,
  [SMALL_STATE(14871)] = 625240,
  [SMALL_STATE(14872)] = 625260,
  [SMALL_STATE(14873)] = 625280,
  [SMALL_STATE(14874)] = 625300,
  [SMALL_STATE(14875)] = 625318,
  [SMALL_STATE(14876)] = 625338,
  [SMALL_STATE(14877)] = 625358,
  [SMALL_STATE(14878)] = 625378,
  [SMALL_STATE(14879)] = 625398,
  [SMALL_STATE(14880)] = 625418,
  [SMALL_STATE(14881)] = 625438,
  [SMALL_STATE(14882)] = 625458,
  [SMALL_STATE(14883)] = 625478,
  [SMALL_STATE(14884)] = 625498,
  [SMALL_STATE(14885)] = 625518,
  [SMALL_STATE(14886)] = 625536,
  [SMALL_STATE(14887)] = 625556,
  [SMALL_STATE(14888)] = 625576,
  [SMALL_STATE(14889)] = 625596,
  [SMALL_STATE(14890)] = 625616,
  [SMALL_STATE(14891)] = 625636,
  [SMALL_STATE(14892)] = 625656,
  [SMALL_STATE(14893)] = 625676,
  [SMALL_STATE(14894)] = 625696,
  [SMALL_STATE(14895)] = 625716,
  [SMALL_STATE(14896)] = 625736,
  [SMALL_STATE(14897)] = 625756,
  [SMALL_STATE(14898)] = 625776,
  [SMALL_STATE(14899)] = 625796,
  [SMALL_STATE(14900)] = 625816,
  [SMALL_STATE(14901)] = 625836,
  [SMALL_STATE(14902)] = 625856,
  [SMALL_STATE(14903)] = 625876,
  [SMALL_STATE(14904)] = 625896,
  [SMALL_STATE(14905)] = 625916,
  [SMALL_STATE(14906)] = 625936,
  [SMALL_STATE(14907)] = 625956,
  [SMALL_STATE(14908)] = 625976,
  [SMALL_STATE(14909)] = 625996,
  [SMALL_STATE(14910)] = 626016,
  [SMALL_STATE(14911)] = 626036,
  [SMALL_STATE(14912)] = 626056,
  [SMALL_STATE(14913)] = 626076,
  [SMALL_STATE(14914)] = 626096,
  [SMALL_STATE(14915)] = 626116,
  [SMALL_STATE(14916)] = 626136,
  [SMALL_STATE(14917)] = 626156,
  [SMALL_STATE(14918)] = 626176,
  [SMALL_STATE(14919)] = 626196,
  [SMALL_STATE(14920)] = 626216,
  [SMALL_STATE(14921)] = 626236,
  [SMALL_STATE(14922)] = 626256,
  [SMALL_STATE(14923)] = 626276,
  [SMALL_STATE(14924)] = 626296,
  [SMALL_STATE(14925)] = 626316,
  [SMALL_STATE(14926)] = 626336,
  [SMALL_STATE(14927)] = 626356,
  [SMALL_STATE(14928)] = 626376,
  [SMALL_STATE(14929)] = 626396,
  [SMALL_STATE(14930)] = 626416,
  [SMALL_STATE(14931)] = 626436,
  [SMALL_STATE(14932)] = 626456,
  [SMALL_STATE(14933)] = 626476,
  [SMALL_STATE(14934)] = 626496,
  [SMALL_STATE(14935)] = 626516,
  [SMALL_STATE(14936)] = 626536,
  [SMALL_STATE(14937)] = 626556,
  [SMALL_STATE(14938)] = 626576,
  [SMALL_STATE(14939)] = 626596,
  [SMALL_STATE(14940)] = 626616,
  [SMALL_STATE(14941)] = 626636,
  [SMALL_STATE(14942)] = 626656,
  [SMALL_STATE(14943)] = 626676,
  [SMALL_STATE(14944)] = 626696,
  [SMALL_STATE(14945)] = 626716,
  [SMALL_STATE(14946)] = 626736,
  [SMALL_STATE(14947)] = 626752,
  [SMALL_STATE(14948)] = 626772,
  [SMALL_STATE(14949)] = 626792,
  [SMALL_STATE(14950)] = 626812,
  [SMALL_STATE(14951)] = 626832,
  [SMALL_STATE(14952)] = 626852,
  [SMALL_STATE(14953)] = 626872,
  [SMALL_STATE(14954)] = 626892,
  [SMALL_STATE(14955)] = 626912,
  [SMALL_STATE(14956)] = 626932,
  [SMALL_STATE(14957)] = 626952,
  [SMALL_STATE(14958)] = 626972,
  [SMALL_STATE(14959)] = 626992,
  [SMALL_STATE(14960)] = 627012,
  [SMALL_STATE(14961)] = 627032,
  [SMALL_STATE(14962)] = 627052,
  [SMALL_STATE(14963)] = 627072,
  [SMALL_STATE(14964)] = 627092,
  [SMALL_STATE(14965)] = 627112,
  [SMALL_STATE(14966)] = 627132,
  [SMALL_STATE(14967)] = 627152,
  [SMALL_STATE(14968)] = 627172,
  [SMALL_STATE(14969)] = 627192,
  [SMALL_STATE(14970)] = 627212,
  [SMALL_STATE(14971)] = 627232,
  [SMALL_STATE(14972)] = 627250,
  [SMALL_STATE(14973)] = 627270,
  [SMALL_STATE(14974)] = 627290,
  [SMALL_STATE(14975)] = 627310,
  [SMALL_STATE(14976)] = 627330,
  [SMALL_STATE(14977)] = 627350,
  [SMALL_STATE(14978)] = 627370,
  [SMALL_STATE(14979)] = 627390,
  [SMALL_STATE(14980)] = 627410,
  [SMALL_STATE(14981)] = 627430,
  [SMALL_STATE(14982)] = 627450,
  [SMALL_STATE(14983)] = 627470,
  [SMALL_STATE(14984)] = 627490,
  [SMALL_STATE(14985)] = 627508,
  [SMALL_STATE(14986)] = 627528,
  [SMALL_STATE(14987)] = 627548,
  [SMALL_STATE(14988)] = 627568,
  [SMALL_STATE(14989)] = 627588,
  [SMALL_STATE(14990)] = 627608,
  [SMALL_STATE(14991)] = 627628,
  [SMALL_STATE(14992)] = 627648,
  [SMALL_STATE(14993)] = 627668,
  [SMALL_STATE(14994)] = 627688,
  [SMALL_STATE(14995)] = 627708,
  [SMALL_STATE(14996)] = 627728,
  [SMALL_STATE(14997)] = 627748,
  [SMALL_STATE(14998)] = 627768,
  [SMALL_STATE(14999)] = 627788,
  [SMALL_STATE(15000)] = 627808,
  [SMALL_STATE(15001)] = 627828,
  [SMALL_STATE(15002)] = 627848,
  [SMALL_STATE(15003)] = 627868,
  [SMALL_STATE(15004)] = 627888,
  [SMALL_STATE(15005)] = 627908,
  [SMALL_STATE(15006)] = 627928,
  [SMALL_STATE(15007)] = 627948,
  [SMALL_STATE(15008)] = 627968,
  [SMALL_STATE(15009)] = 627988,
  [SMALL_STATE(15010)] = 628008,
  [SMALL_STATE(15011)] = 628028,
  [SMALL_STATE(15012)] = 628048,
  [SMALL_STATE(15013)] = 628066,
  [SMALL_STATE(15014)] = 628086,
  [SMALL_STATE(15015)] = 628106,
  [SMALL_STATE(15016)] = 628126,
  [SMALL_STATE(15017)] = 628146,
  [SMALL_STATE(15018)] = 628166,
  [SMALL_STATE(15019)] = 628186,
  [SMALL_STATE(15020)] = 628206,
  [SMALL_STATE(15021)] = 628226,
  [SMALL_STATE(15022)] = 628246,
  [SMALL_STATE(15023)] = 628266,
  [SMALL_STATE(15024)] = 628286,
  [SMALL_STATE(15025)] = 628306,
  [SMALL_STATE(15026)] = 628326,
  [SMALL_STATE(15027)] = 628346,
  [SMALL_STATE(15028)] = 628366,
  [SMALL_STATE(15029)] = 628386,
  [SMALL_STATE(15030)] = 628406,
  [SMALL_STATE(15031)] = 628426,
  [SMALL_STATE(15032)] = 628446,
  [SMALL_STATE(15033)] = 628466,
  [SMALL_STATE(15034)] = 628486,
  [SMALL_STATE(15035)] = 628506,
  [SMALL_STATE(15036)] = 628526,
  [SMALL_STATE(15037)] = 628542,
  [SMALL_STATE(15038)] = 628562,
  [SMALL_STATE(15039)] = 628582,
  [SMALL_STATE(15040)] = 628602,
  [SMALL_STATE(15041)] = 628622,
  [SMALL_STATE(15042)] = 628642,
  [SMALL_STATE(15043)] = 628662,
  [SMALL_STATE(15044)] = 628682,
  [SMALL_STATE(15045)] = 628702,
  [SMALL_STATE(15046)] = 628722,
  [SMALL_STATE(15047)] = 628742,
  [SMALL_STATE(15048)] = 628762,
  [SMALL_STATE(15049)] = 628782,
  [SMALL_STATE(15050)] = 628802,
  [SMALL_STATE(15051)] = 628822,
  [SMALL_STATE(15052)] = 628842,
  [SMALL_STATE(15053)] = 628862,
  [SMALL_STATE(15054)] = 628882,
  [SMALL_STATE(15055)] = 628902,
  [SMALL_STATE(15056)] = 628922,
  [SMALL_STATE(15057)] = 628942,
  [SMALL_STATE(15058)] = 628962,
  [SMALL_STATE(15059)] = 628982,
  [SMALL_STATE(15060)] = 629002,
  [SMALL_STATE(15061)] = 629022,
  [SMALL_STATE(15062)] = 629042,
  [SMALL_STATE(15063)] = 629062,
  [SMALL_STATE(15064)] = 629082,
  [SMALL_STATE(15065)] = 629102,
  [SMALL_STATE(15066)] = 629122,
  [SMALL_STATE(15067)] = 629140,
  [SMALL_STATE(15068)] = 629160,
  [SMALL_STATE(15069)] = 629180,
  [SMALL_STATE(15070)] = 629200,
  [SMALL_STATE(15071)] = 629220,
  [SMALL_STATE(15072)] = 629240,
  [SMALL_STATE(15073)] = 629260,
  [SMALL_STATE(15074)] = 629280,
  [SMALL_STATE(15075)] = 629300,
  [SMALL_STATE(15076)] = 629320,
  [SMALL_STATE(15077)] = 629340,
  [SMALL_STATE(15078)] = 629360,
  [SMALL_STATE(15079)] = 629380,
  [SMALL_STATE(15080)] = 629400,
  [SMALL_STATE(15081)] = 629420,
  [SMALL_STATE(15082)] = 629440,
  [SMALL_STATE(15083)] = 629458,
  [SMALL_STATE(15084)] = 629478,
  [SMALL_STATE(15085)] = 629494,
  [SMALL_STATE(15086)] = 629514,
  [SMALL_STATE(15087)] = 629534,
  [SMALL_STATE(15088)] = 629554,
  [SMALL_STATE(15089)] = 629574,
  [SMALL_STATE(15090)] = 629594,
  [SMALL_STATE(15091)] = 629614,
  [SMALL_STATE(15092)] = 629634,
  [SMALL_STATE(15093)] = 629654,
  [SMALL_STATE(15094)] = 629674,
  [SMALL_STATE(15095)] = 629694,
  [SMALL_STATE(15096)] = 629714,
  [SMALL_STATE(15097)] = 629734,
  [SMALL_STATE(15098)] = 629754,
  [SMALL_STATE(15099)] = 629774,
  [SMALL_STATE(15100)] = 629794,
  [SMALL_STATE(15101)] = 629814,
  [SMALL_STATE(15102)] = 629834,
  [SMALL_STATE(15103)] = 629854,
  [SMALL_STATE(15104)] = 629874,
  [SMALL_STATE(15105)] = 629894,
  [SMALL_STATE(15106)] = 629914,
  [SMALL_STATE(15107)] = 629934,
  [SMALL_STATE(15108)] = 629954,
  [SMALL_STATE(15109)] = 629974,
  [SMALL_STATE(15110)] = 629994,
  [SMALL_STATE(15111)] = 630014,
  [SMALL_STATE(15112)] = 630034,
  [SMALL_STATE(15113)] = 630052,
  [SMALL_STATE(15114)] = 630072,
  [SMALL_STATE(15115)] = 630092,
  [SMALL_STATE(15116)] = 630112,
  [SMALL_STATE(15117)] = 630132,
  [SMALL_STATE(15118)] = 630152,
  [SMALL_STATE(15119)] = 630172,
  [SMALL_STATE(15120)] = 630192,
  [SMALL_STATE(15121)] = 630212,
  [SMALL_STATE(15122)] = 630232,
  [SMALL_STATE(15123)] = 630252,
  [SMALL_STATE(15124)] = 630272,
  [SMALL_STATE(15125)] = 630292,
  [SMALL_STATE(15126)] = 630312,
  [SMALL_STATE(15127)] = 630332,
  [SMALL_STATE(15128)] = 630352,
  [SMALL_STATE(15129)] = 630372,
  [SMALL_STATE(15130)] = 630392,
  [SMALL_STATE(15131)] = 630412,
  [SMALL_STATE(15132)] = 630432,
  [SMALL_STATE(15133)] = 630452,
  [SMALL_STATE(15134)] = 630472,
  [SMALL_STATE(15135)] = 630492,
  [SMALL_STATE(15136)] = 630512,
  [SMALL_STATE(15137)] = 630532,
  [SMALL_STATE(15138)] = 630552,
  [SMALL_STATE(15139)] = 630572,
  [SMALL_STATE(15140)] = 630592,
  [SMALL_STATE(15141)] = 630610,
  [SMALL_STATE(15142)] = 630630,
  [SMALL_STATE(15143)] = 630650,
  [SMALL_STATE(15144)] = 630670,
  [SMALL_STATE(15145)] = 630690,
  [SMALL_STATE(15146)] = 630708,
  [SMALL_STATE(15147)] = 630728,
  [SMALL_STATE(15148)] = 630748,
  [SMALL_STATE(15149)] = 630768,
  [SMALL_STATE(15150)] = 630788,
  [SMALL_STATE(15151)] = 630808,
  [SMALL_STATE(15152)] = 630826,
  [SMALL_STATE(15153)] = 630846,
  [SMALL_STATE(15154)] = 630866,
  [SMALL_STATE(15155)] = 630886,
  [SMALL_STATE(15156)] = 630906,
  [SMALL_STATE(15157)] = 630926,
  [SMALL_STATE(15158)] = 630946,
  [SMALL_STATE(15159)] = 630966,
  [SMALL_STATE(15160)] = 630986,
  [SMALL_STATE(15161)] = 631006,
  [SMALL_STATE(15162)] = 631026,
  [SMALL_STATE(15163)] = 631046,
  [SMALL_STATE(15164)] = 631066,
  [SMALL_STATE(15165)] = 631086,
  [SMALL_STATE(15166)] = 631104,
  [SMALL_STATE(15167)] = 631124,
  [SMALL_STATE(15168)] = 631144,
  [SMALL_STATE(15169)] = 631164,
  [SMALL_STATE(15170)] = 631184,
  [SMALL_STATE(15171)] = 631204,
  [SMALL_STATE(15172)] = 631224,
  [SMALL_STATE(15173)] = 631244,
  [SMALL_STATE(15174)] = 631264,
  [SMALL_STATE(15175)] = 631284,
  [SMALL_STATE(15176)] = 631304,
  [SMALL_STATE(15177)] = 631324,
  [SMALL_STATE(15178)] = 631344,
  [SMALL_STATE(15179)] = 631364,
  [SMALL_STATE(15180)] = 631384,
  [SMALL_STATE(15181)] = 631404,
  [SMALL_STATE(15182)] = 631424,
  [SMALL_STATE(15183)] = 631444,
  [SMALL_STATE(15184)] = 631464,
  [SMALL_STATE(15185)] = 631484,
  [SMALL_STATE(15186)] = 631504,
  [SMALL_STATE(15187)] = 631524,
  [SMALL_STATE(15188)] = 631544,
  [SMALL_STATE(15189)] = 631564,
  [SMALL_STATE(15190)] = 631584,
  [SMALL_STATE(15191)] = 631604,
  [SMALL_STATE(15192)] = 631622,
  [SMALL_STATE(15193)] = 631642,
  [SMALL_STATE(15194)] = 631662,
  [SMALL_STATE(15195)] = 631682,
  [SMALL_STATE(15196)] = 631702,
  [SMALL_STATE(15197)] = 631720,
  [SMALL_STATE(15198)] = 631740,
  [SMALL_STATE(15199)] = 631760,
  [SMALL_STATE(15200)] = 631780,
  [SMALL_STATE(15201)] = 631800,
  [SMALL_STATE(15202)] = 631820,
  [SMALL_STATE(15203)] = 631840,
  [SMALL_STATE(15204)] = 631860,
  [SMALL_STATE(15205)] = 631880,
  [SMALL_STATE(15206)] = 631900,
  [SMALL_STATE(15207)] = 631920,
  [SMALL_STATE(15208)] = 631940,
  [SMALL_STATE(15209)] = 631960,
  [SMALL_STATE(15210)] = 631980,
  [SMALL_STATE(15211)] = 631998,
  [SMALL_STATE(15212)] = 632018,
  [SMALL_STATE(15213)] = 632038,
  [SMALL_STATE(15214)] = 632058,
  [SMALL_STATE(15215)] = 632078,
  [SMALL_STATE(15216)] = 632098,
  [SMALL_STATE(15217)] = 632118,
  [SMALL_STATE(15218)] = 632138,
  [SMALL_STATE(15219)] = 632158,
  [SMALL_STATE(15220)] = 632178,
  [SMALL_STATE(15221)] = 632198,
  [SMALL_STATE(15222)] = 632218,
  [SMALL_STATE(15223)] = 632236,
  [SMALL_STATE(15224)] = 632256,
  [SMALL_STATE(15225)] = 632276,
  [SMALL_STATE(15226)] = 632296,
  [SMALL_STATE(15227)] = 632316,
  [SMALL_STATE(15228)] = 632336,
  [SMALL_STATE(15229)] = 632356,
  [SMALL_STATE(15230)] = 632376,
  [SMALL_STATE(15231)] = 632396,
  [SMALL_STATE(15232)] = 632416,
  [SMALL_STATE(15233)] = 632436,
  [SMALL_STATE(15234)] = 632456,
  [SMALL_STATE(15235)] = 632476,
  [SMALL_STATE(15236)] = 632496,
  [SMALL_STATE(15237)] = 632516,
  [SMALL_STATE(15238)] = 632536,
  [SMALL_STATE(15239)] = 632556,
  [SMALL_STATE(15240)] = 632576,
  [SMALL_STATE(15241)] = 632596,
  [SMALL_STATE(15242)] = 632616,
  [SMALL_STATE(15243)] = 632636,
  [SMALL_STATE(15244)] = 632656,
  [SMALL_STATE(15245)] = 632676,
  [SMALL_STATE(15246)] = 632696,
  [SMALL_STATE(15247)] = 632716,
  [SMALL_STATE(15248)] = 632736,
  [SMALL_STATE(15249)] = 632756,
  [SMALL_STATE(15250)] = 632776,
  [SMALL_STATE(15251)] = 632796,
  [SMALL_STATE(15252)] = 632816,
  [SMALL_STATE(15253)] = 632834,
  [SMALL_STATE(15254)] = 632854,
  [SMALL_STATE(15255)] = 632874,
  [SMALL_STATE(15256)] = 632894,
  [SMALL_STATE(15257)] = 632914,
  [SMALL_STATE(15258)] = 632934,
  [SMALL_STATE(15259)] = 632954,
  [SMALL_STATE(15260)] = 632974,
  [SMALL_STATE(15261)] = 632994,
  [SMALL_STATE(15262)] = 633014,
  [SMALL_STATE(15263)] = 633034,
  [SMALL_STATE(15264)] = 633054,
  [SMALL_STATE(15265)] = 633074,
  [SMALL_STATE(15266)] = 633094,
  [SMALL_STATE(15267)] = 633114,
  [SMALL_STATE(15268)] = 633134,
  [SMALL_STATE(15269)] = 633154,
  [SMALL_STATE(15270)] = 633174,
  [SMALL_STATE(15271)] = 633194,
  [SMALL_STATE(15272)] = 633214,
  [SMALL_STATE(15273)] = 633234,
  [SMALL_STATE(15274)] = 633254,
  [SMALL_STATE(15275)] = 633274,
  [SMALL_STATE(15276)] = 633294,
  [SMALL_STATE(15277)] = 633312,
  [SMALL_STATE(15278)] = 633332,
  [SMALL_STATE(15279)] = 633352,
  [SMALL_STATE(15280)] = 633372,
  [SMALL_STATE(15281)] = 633392,
  [SMALL_STATE(15282)] = 633412,
  [SMALL_STATE(15283)] = 633432,
  [SMALL_STATE(15284)] = 633452,
  [SMALL_STATE(15285)] = 633472,
  [SMALL_STATE(15286)] = 633492,
  [SMALL_STATE(15287)] = 633512,
  [SMALL_STATE(15288)] = 633532,
  [SMALL_STATE(15289)] = 633550,
  [SMALL_STATE(15290)] = 633570,
  [SMALL_STATE(15291)] = 633586,
  [SMALL_STATE(15292)] = 633606,
  [SMALL_STATE(15293)] = 633626,
  [SMALL_STATE(15294)] = 633646,
  [SMALL_STATE(15295)] = 633666,
  [SMALL_STATE(15296)] = 633686,
  [SMALL_STATE(15297)] = 633706,
  [SMALL_STATE(15298)] = 633726,
  [SMALL_STATE(15299)] = 633746,
  [SMALL_STATE(15300)] = 633766,
  [SMALL_STATE(15301)] = 633786,
  [SMALL_STATE(15302)] = 633806,
  [SMALL_STATE(15303)] = 633824,
  [SMALL_STATE(15304)] = 633844,
  [SMALL_STATE(15305)] = 633864,
  [SMALL_STATE(15306)] = 633884,
  [SMALL_STATE(15307)] = 633904,
  [SMALL_STATE(15308)] = 633924,
  [SMALL_STATE(15309)] = 633944,
  [SMALL_STATE(15310)] = 633964,
  [SMALL_STATE(15311)] = 633984,
  [SMALL_STATE(15312)] = 634004,
  [SMALL_STATE(15313)] = 634024,
  [SMALL_STATE(15314)] = 634044,
  [SMALL_STATE(15315)] = 634064,
  [SMALL_STATE(15316)] = 634084,
  [SMALL_STATE(15317)] = 634104,
  [SMALL_STATE(15318)] = 634124,
  [SMALL_STATE(15319)] = 634144,
  [SMALL_STATE(15320)] = 634164,
  [SMALL_STATE(15321)] = 634182,
  [SMALL_STATE(15322)] = 634202,
  [SMALL_STATE(15323)] = 634220,
  [SMALL_STATE(15324)] = 634240,
  [SMALL_STATE(15325)] = 634260,
  [SMALL_STATE(15326)] = 634280,
  [SMALL_STATE(15327)] = 634296,
  [SMALL_STATE(15328)] = 634316,
  [SMALL_STATE(15329)] = 634336,
  [SMALL_STATE(15330)] = 634356,
  [SMALL_STATE(15331)] = 634376,
  [SMALL_STATE(15332)] = 634396,
  [SMALL_STATE(15333)] = 634416,
  [SMALL_STATE(15334)] = 634436,
  [SMALL_STATE(15335)] = 634456,
  [SMALL_STATE(15336)] = 634476,
  [SMALL_STATE(15337)] = 634496,
  [SMALL_STATE(15338)] = 634516,
  [SMALL_STATE(15339)] = 634532,
  [SMALL_STATE(15340)] = 634552,
  [SMALL_STATE(15341)] = 634572,
  [SMALL_STATE(15342)] = 634592,
  [SMALL_STATE(15343)] = 634612,
  [SMALL_STATE(15344)] = 634632,
  [SMALL_STATE(15345)] = 634652,
  [SMALL_STATE(15346)] = 634672,
  [SMALL_STATE(15347)] = 634692,
  [SMALL_STATE(15348)] = 634712,
  [SMALL_STATE(15349)] = 634732,
  [SMALL_STATE(15350)] = 634752,
  [SMALL_STATE(15351)] = 634772,
  [SMALL_STATE(15352)] = 634792,
  [SMALL_STATE(15353)] = 634812,
  [SMALL_STATE(15354)] = 634832,
  [SMALL_STATE(15355)] = 634848,
  [SMALL_STATE(15356)] = 634868,
  [SMALL_STATE(15357)] = 634888,
  [SMALL_STATE(15358)] = 634908,
  [SMALL_STATE(15359)] = 634924,
  [SMALL_STATE(15360)] = 634944,
  [SMALL_STATE(15361)] = 634964,
  [SMALL_STATE(15362)] = 634982,
  [SMALL_STATE(15363)] = 634998,
  [SMALL_STATE(15364)] = 635018,
  [SMALL_STATE(15365)] = 635038,
  [SMALL_STATE(15366)] = 635058,
  [SMALL_STATE(15367)] = 635078,
  [SMALL_STATE(15368)] = 635098,
  [SMALL_STATE(15369)] = 635118,
  [SMALL_STATE(15370)] = 635138,
  [SMALL_STATE(15371)] = 635158,
  [SMALL_STATE(15372)] = 635178,
  [SMALL_STATE(15373)] = 635198,
  [SMALL_STATE(15374)] = 635216,
  [SMALL_STATE(15375)] = 635232,
  [SMALL_STATE(15376)] = 635252,
  [SMALL_STATE(15377)] = 635272,
  [SMALL_STATE(15378)] = 635292,
  [SMALL_STATE(15379)] = 635312,
  [SMALL_STATE(15380)] = 635332,
  [SMALL_STATE(15381)] = 635352,
  [SMALL_STATE(15382)] = 635372,
  [SMALL_STATE(15383)] = 635388,
  [SMALL_STATE(15384)] = 635406,
  [SMALL_STATE(15385)] = 635426,
  [SMALL_STATE(15386)] = 635444,
  [SMALL_STATE(15387)] = 635460,
  [SMALL_STATE(15388)] = 635480,
  [SMALL_STATE(15389)] = 635500,
  [SMALL_STATE(15390)] = 635520,
  [SMALL_STATE(15391)] = 635536,
  [SMALL_STATE(15392)] = 635554,
  [SMALL_STATE(15393)] = 635574,
  [SMALL_STATE(15394)] = 635594,
  [SMALL_STATE(15395)] = 635614,
  [SMALL_STATE(15396)] = 635630,
  [SMALL_STATE(15397)] = 635650,
  [SMALL_STATE(15398)] = 635670,
  [SMALL_STATE(15399)] = 635690,
  [SMALL_STATE(15400)] = 635706,
  [SMALL_STATE(15401)] = 635726,
  [SMALL_STATE(15402)] = 635746,
  [SMALL_STATE(15403)] = 635766,
  [SMALL_STATE(15404)] = 635786,
  [SMALL_STATE(15405)] = 635804,
  [SMALL_STATE(15406)] = 635824,
  [SMALL_STATE(15407)] = 635844,
  [SMALL_STATE(15408)] = 635864,
  [SMALL_STATE(15409)] = 635884,
  [SMALL_STATE(15410)] = 635904,
  [SMALL_STATE(15411)] = 635924,
  [SMALL_STATE(15412)] = 635942,
  [SMALL_STATE(15413)] = 635958,
  [SMALL_STATE(15414)] = 635978,
  [SMALL_STATE(15415)] = 635998,
  [SMALL_STATE(15416)] = 636018,
  [SMALL_STATE(15417)] = 636038,
  [SMALL_STATE(15418)] = 636058,
  [SMALL_STATE(15419)] = 636076,
  [SMALL_STATE(15420)] = 636096,
  [SMALL_STATE(15421)] = 636114,
  [SMALL_STATE(15422)] = 636134,
  [SMALL_STATE(15423)] = 636154,
  [SMALL_STATE(15424)] = 636174,
  [SMALL_STATE(15425)] = 636194,
  [SMALL_STATE(15426)] = 636214,
  [SMALL_STATE(15427)] = 636234,
  [SMALL_STATE(15428)] = 636254,
  [SMALL_STATE(15429)] = 636274,
  [SMALL_STATE(15430)] = 636294,
  [SMALL_STATE(15431)] = 636314,
  [SMALL_STATE(15432)] = 636334,
  [SMALL_STATE(15433)] = 636354,
  [SMALL_STATE(15434)] = 636374,
  [SMALL_STATE(15435)] = 636394,
  [SMALL_STATE(15436)] = 636414,
  [SMALL_STATE(15437)] = 636434,
  [SMALL_STATE(15438)] = 636454,
  [SMALL_STATE(15439)] = 636474,
  [SMALL_STATE(15440)] = 636492,
  [SMALL_STATE(15441)] = 636512,
  [SMALL_STATE(15442)] = 636532,
  [SMALL_STATE(15443)] = 636552,
  [SMALL_STATE(15444)] = 636572,
  [SMALL_STATE(15445)] = 636592,
  [SMALL_STATE(15446)] = 636612,
  [SMALL_STATE(15447)] = 636632,
  [SMALL_STATE(15448)] = 636652,
  [SMALL_STATE(15449)] = 636672,
  [SMALL_STATE(15450)] = 636692,
  [SMALL_STATE(15451)] = 636712,
  [SMALL_STATE(15452)] = 636732,
  [SMALL_STATE(15453)] = 636752,
  [SMALL_STATE(15454)] = 636772,
  [SMALL_STATE(15455)] = 636792,
  [SMALL_STATE(15456)] = 636810,
  [SMALL_STATE(15457)] = 636830,
  [SMALL_STATE(15458)] = 636850,
  [SMALL_STATE(15459)] = 636870,
  [SMALL_STATE(15460)] = 636888,
  [SMALL_STATE(15461)] = 636906,
  [SMALL_STATE(15462)] = 636924,
  [SMALL_STATE(15463)] = 636942,
  [SMALL_STATE(15464)] = 636960,
  [SMALL_STATE(15465)] = 636978,
  [SMALL_STATE(15466)] = 636996,
  [SMALL_STATE(15467)] = 637014,
  [SMALL_STATE(15468)] = 637032,
  [SMALL_STATE(15469)] = 637050,
  [SMALL_STATE(15470)] = 637068,
  [SMALL_STATE(15471)] = 637086,
  [SMALL_STATE(15472)] = 637104,
  [SMALL_STATE(15473)] = 637122,
  [SMALL_STATE(15474)] = 637140,
  [SMALL_STATE(15475)] = 637158,
  [SMALL_STATE(15476)] = 637176,
  [SMALL_STATE(15477)] = 637196,
  [SMALL_STATE(15478)] = 637216,
  [SMALL_STATE(15479)] = 637236,
  [SMALL_STATE(15480)] = 637254,
  [SMALL_STATE(15481)] = 637274,
  [SMALL_STATE(15482)] = 637294,
  [SMALL_STATE(15483)] = 637314,
  [SMALL_STATE(15484)] = 637334,
  [SMALL_STATE(15485)] = 637354,
  [SMALL_STATE(15486)] = 637374,
  [SMALL_STATE(15487)] = 637394,
  [SMALL_STATE(15488)] = 637414,
  [SMALL_STATE(15489)] = 637434,
  [SMALL_STATE(15490)] = 637454,
  [SMALL_STATE(15491)] = 637470,
  [SMALL_STATE(15492)] = 637490,
  [SMALL_STATE(15493)] = 637508,
  [SMALL_STATE(15494)] = 637528,
  [SMALL_STATE(15495)] = 637548,
  [SMALL_STATE(15496)] = 637568,
  [SMALL_STATE(15497)] = 637588,
  [SMALL_STATE(15498)] = 637606,
  [SMALL_STATE(15499)] = 637626,
  [SMALL_STATE(15500)] = 637646,
  [SMALL_STATE(15501)] = 637662,
  [SMALL_STATE(15502)] = 637682,
  [SMALL_STATE(15503)] = 637702,
  [SMALL_STATE(15504)] = 637722,
  [SMALL_STATE(15505)] = 637742,
  [SMALL_STATE(15506)] = 637762,
  [SMALL_STATE(15507)] = 637780,
  [SMALL_STATE(15508)] = 637800,
  [SMALL_STATE(15509)] = 637820,
  [SMALL_STATE(15510)] = 637840,
  [SMALL_STATE(15511)] = 637860,
  [SMALL_STATE(15512)] = 637880,
  [SMALL_STATE(15513)] = 637900,
  [SMALL_STATE(15514)] = 637920,
  [SMALL_STATE(15515)] = 637940,
  [SMALL_STATE(15516)] = 637960,
  [SMALL_STATE(15517)] = 637980,
  [SMALL_STATE(15518)] = 638000,
  [SMALL_STATE(15519)] = 638020,
  [SMALL_STATE(15520)] = 638040,
  [SMALL_STATE(15521)] = 638060,
  [SMALL_STATE(15522)] = 638080,
  [SMALL_STATE(15523)] = 638100,
  [SMALL_STATE(15524)] = 638120,
  [SMALL_STATE(15525)] = 638140,
  [SMALL_STATE(15526)] = 638160,
  [SMALL_STATE(15527)] = 638180,
  [SMALL_STATE(15528)] = 638200,
  [SMALL_STATE(15529)] = 638220,
  [SMALL_STATE(15530)] = 638240,
  [SMALL_STATE(15531)] = 638260,
  [SMALL_STATE(15532)] = 638280,
  [SMALL_STATE(15533)] = 638300,
  [SMALL_STATE(15534)] = 638318,
  [SMALL_STATE(15535)] = 638338,
  [SMALL_STATE(15536)] = 638358,
  [SMALL_STATE(15537)] = 638378,
  [SMALL_STATE(15538)] = 638398,
  [SMALL_STATE(15539)] = 638418,
  [SMALL_STATE(15540)] = 638438,
  [SMALL_STATE(15541)] = 638456,
  [SMALL_STATE(15542)] = 638476,
  [SMALL_STATE(15543)] = 638496,
  [SMALL_STATE(15544)] = 638516,
  [SMALL_STATE(15545)] = 638536,
  [SMALL_STATE(15546)] = 638554,
  [SMALL_STATE(15547)] = 638574,
  [SMALL_STATE(15548)] = 638592,
  [SMALL_STATE(15549)] = 638610,
  [SMALL_STATE(15550)] = 638628,
  [SMALL_STATE(15551)] = 638646,
  [SMALL_STATE(15552)] = 638664,
  [SMALL_STATE(15553)] = 638682,
  [SMALL_STATE(15554)] = 638700,
  [SMALL_STATE(15555)] = 638718,
  [SMALL_STATE(15556)] = 638738,
  [SMALL_STATE(15557)] = 638758,
  [SMALL_STATE(15558)] = 638778,
  [SMALL_STATE(15559)] = 638798,
  [SMALL_STATE(15560)] = 638818,
  [SMALL_STATE(15561)] = 638838,
  [SMALL_STATE(15562)] = 638858,
  [SMALL_STATE(15563)] = 638878,
  [SMALL_STATE(15564)] = 638898,
  [SMALL_STATE(15565)] = 638914,
  [SMALL_STATE(15566)] = 638930,
  [SMALL_STATE(15567)] = 638950,
  [SMALL_STATE(15568)] = 638970,
  [SMALL_STATE(15569)] = 638990,
  [SMALL_STATE(15570)] = 639010,
  [SMALL_STATE(15571)] = 639030,
  [SMALL_STATE(15572)] = 639050,
  [SMALL_STATE(15573)] = 639070,
  [SMALL_STATE(15574)] = 639088,
  [SMALL_STATE(15575)] = 639108,
  [SMALL_STATE(15576)] = 639128,
  [SMALL_STATE(15577)] = 639148,
  [SMALL_STATE(15578)] = 639168,
  [SMALL_STATE(15579)] = 639188,
  [SMALL_STATE(15580)] = 639208,
  [SMALL_STATE(15581)] = 639228,
  [SMALL_STATE(15582)] = 639246,
  [SMALL_STATE(15583)] = 639266,
  [SMALL_STATE(15584)] = 639286,
  [SMALL_STATE(15585)] = 639306,
  [SMALL_STATE(15586)] = 639326,
  [SMALL_STATE(15587)] = 639344,
  [SMALL_STATE(15588)] = 639364,
  [SMALL_STATE(15589)] = 639384,
  [SMALL_STATE(15590)] = 639404,
  [SMALL_STATE(15591)] = 639422,
  [SMALL_STATE(15592)] = 639442,
  [SMALL_STATE(15593)] = 639462,
  [SMALL_STATE(15594)] = 639482,
  [SMALL_STATE(15595)] = 639502,
  [SMALL_STATE(15596)] = 639522,
  [SMALL_STATE(15597)] = 639542,
  [SMALL_STATE(15598)] = 639562,
  [SMALL_STATE(15599)] = 639582,
  [SMALL_STATE(15600)] = 639600,
  [SMALL_STATE(15601)] = 639620,
  [SMALL_STATE(15602)] = 639640,
  [SMALL_STATE(15603)] = 639658,
  [SMALL_STATE(15604)] = 639676,
  [SMALL_STATE(15605)] = 639694,
  [SMALL_STATE(15606)] = 639712,
  [SMALL_STATE(15607)] = 639730,
  [SMALL_STATE(15608)] = 639748,
  [SMALL_STATE(15609)] = 639766,
  [SMALL_STATE(15610)] = 639784,
  [SMALL_STATE(15611)] = 639804,
  [SMALL_STATE(15612)] = 639824,
  [SMALL_STATE(15613)] = 639844,
  [SMALL_STATE(15614)] = 639864,
  [SMALL_STATE(15615)] = 639884,
  [SMALL_STATE(15616)] = 639902,
  [SMALL_STATE(15617)] = 639922,
  [SMALL_STATE(15618)] = 639942,
  [SMALL_STATE(15619)] = 639962,
  [SMALL_STATE(15620)] = 639982,
  [SMALL_STATE(15621)] = 640002,
  [SMALL_STATE(15622)] = 640022,
  [SMALL_STATE(15623)] = 640042,
  [SMALL_STATE(15624)] = 640062,
  [SMALL_STATE(15625)] = 640078,
  [SMALL_STATE(15626)] = 640098,
  [SMALL_STATE(15627)] = 640118,
  [SMALL_STATE(15628)] = 640138,
  [SMALL_STATE(15629)] = 640158,
  [SMALL_STATE(15630)] = 640178,
  [SMALL_STATE(15631)] = 640198,
  [SMALL_STATE(15632)] = 640218,
  [SMALL_STATE(15633)] = 640238,
  [SMALL_STATE(15634)] = 640258,
  [SMALL_STATE(15635)] = 640278,
  [SMALL_STATE(15636)] = 640298,
  [SMALL_STATE(15637)] = 640318,
  [SMALL_STATE(15638)] = 640338,
  [SMALL_STATE(15639)] = 640358,
  [SMALL_STATE(15640)] = 640378,
  [SMALL_STATE(15641)] = 640398,
  [SMALL_STATE(15642)] = 640414,
  [SMALL_STATE(15643)] = 640434,
  [SMALL_STATE(15644)] = 640454,
  [SMALL_STATE(15645)] = 640474,
  [SMALL_STATE(15646)] = 640494,
  [SMALL_STATE(15647)] = 640514,
  [SMALL_STATE(15648)] = 640534,
  [SMALL_STATE(15649)] = 640554,
  [SMALL_STATE(15650)] = 640574,
  [SMALL_STATE(15651)] = 640594,
  [SMALL_STATE(15652)] = 640612,
  [SMALL_STATE(15653)] = 640630,
  [SMALL_STATE(15654)] = 640648,
  [SMALL_STATE(15655)] = 640668,
  [SMALL_STATE(15656)] = 640688,
  [SMALL_STATE(15657)] = 640708,
  [SMALL_STATE(15658)] = 640726,
  [SMALL_STATE(15659)] = 640744,
  [SMALL_STATE(15660)] = 640764,
  [SMALL_STATE(15661)] = 640784,
  [SMALL_STATE(15662)] = 640802,
  [SMALL_STATE(15663)] = 640822,
  [SMALL_STATE(15664)] = 640842,
  [SMALL_STATE(15665)] = 640862,
  [SMALL_STATE(15666)] = 640882,
  [SMALL_STATE(15667)] = 640902,
  [SMALL_STATE(15668)] = 640920,
  [SMALL_STATE(15669)] = 640940,
  [SMALL_STATE(15670)] = 640960,
  [SMALL_STATE(15671)] = 640980,
  [SMALL_STATE(15672)] = 641000,
  [SMALL_STATE(15673)] = 641020,
  [SMALL_STATE(15674)] = 641040,
  [SMALL_STATE(15675)] = 641060,
  [SMALL_STATE(15676)] = 641080,
  [SMALL_STATE(15677)] = 641096,
  [SMALL_STATE(15678)] = 641116,
  [SMALL_STATE(15679)] = 641134,
  [SMALL_STATE(15680)] = 641154,
  [SMALL_STATE(15681)] = 641174,
  [SMALL_STATE(15682)] = 641194,
  [SMALL_STATE(15683)] = 641214,
  [SMALL_STATE(15684)] = 641234,
  [SMALL_STATE(15685)] = 641254,
  [SMALL_STATE(15686)] = 641274,
  [SMALL_STATE(15687)] = 641294,
  [SMALL_STATE(15688)] = 641312,
  [SMALL_STATE(15689)] = 641330,
  [SMALL_STATE(15690)] = 641350,
  [SMALL_STATE(15691)] = 641370,
  [SMALL_STATE(15692)] = 641390,
  [SMALL_STATE(15693)] = 641410,
  [SMALL_STATE(15694)] = 641430,
  [SMALL_STATE(15695)] = 641450,
  [SMALL_STATE(15696)] = 641470,
  [SMALL_STATE(15697)] = 641490,
  [SMALL_STATE(15698)] = 641510,
  [SMALL_STATE(15699)] = 641530,
  [SMALL_STATE(15700)] = 641550,
  [SMALL_STATE(15701)] = 641568,
  [SMALL_STATE(15702)] = 641588,
  [SMALL_STATE(15703)] = 641608,
  [SMALL_STATE(15704)] = 641628,
  [SMALL_STATE(15705)] = 641648,
  [SMALL_STATE(15706)] = 641668,
  [SMALL_STATE(15707)] = 641688,
  [SMALL_STATE(15708)] = 641708,
  [SMALL_STATE(15709)] = 641728,
  [SMALL_STATE(15710)] = 641748,
  [SMALL_STATE(15711)] = 641768,
  [SMALL_STATE(15712)] = 641788,
  [SMALL_STATE(15713)] = 641808,
  [SMALL_STATE(15714)] = 641826,
  [SMALL_STATE(15715)] = 641846,
  [SMALL_STATE(15716)] = 641866,
  [SMALL_STATE(15717)] = 641886,
  [SMALL_STATE(15718)] = 641906,
  [SMALL_STATE(15719)] = 641924,
  [SMALL_STATE(15720)] = 641944,
  [SMALL_STATE(15721)] = 641964,
  [SMALL_STATE(15722)] = 641984,
  [SMALL_STATE(15723)] = 642002,
  [SMALL_STATE(15724)] = 642022,
  [SMALL_STATE(15725)] = 642042,
  [SMALL_STATE(15726)] = 642060,
  [SMALL_STATE(15727)] = 642080,
  [SMALL_STATE(15728)] = 642100,
  [SMALL_STATE(15729)] = 642120,
  [SMALL_STATE(15730)] = 642140,
  [SMALL_STATE(15731)] = 642160,
  [SMALL_STATE(15732)] = 642180,
  [SMALL_STATE(15733)] = 642200,
  [SMALL_STATE(15734)] = 642220,
  [SMALL_STATE(15735)] = 642240,
  [SMALL_STATE(15736)] = 642260,
  [SMALL_STATE(15737)] = 642280,
  [SMALL_STATE(15738)] = 642300,
  [SMALL_STATE(15739)] = 642320,
  [SMALL_STATE(15740)] = 642340,
  [SMALL_STATE(15741)] = 642360,
  [SMALL_STATE(15742)] = 642380,
  [SMALL_STATE(15743)] = 642400,
  [SMALL_STATE(15744)] = 642420,
  [SMALL_STATE(15745)] = 642438,
  [SMALL_STATE(15746)] = 642456,
  [SMALL_STATE(15747)] = 642474,
  [SMALL_STATE(15748)] = 642494,
  [SMALL_STATE(15749)] = 642512,
  [SMALL_STATE(15750)] = 642530,
  [SMALL_STATE(15751)] = 642550,
  [SMALL_STATE(15752)] = 642570,
  [SMALL_STATE(15753)] = 642590,
  [SMALL_STATE(15754)] = 642608,
  [SMALL_STATE(15755)] = 642628,
  [SMALL_STATE(15756)] = 642648,
  [SMALL_STATE(15757)] = 642668,
  [SMALL_STATE(15758)] = 642688,
  [SMALL_STATE(15759)] = 642708,
  [SMALL_STATE(15760)] = 642726,
  [SMALL_STATE(15761)] = 642744,
  [SMALL_STATE(15762)] = 642764,
  [SMALL_STATE(15763)] = 642784,
  [SMALL_STATE(15764)] = 642804,
  [SMALL_STATE(15765)] = 642822,
  [SMALL_STATE(15766)] = 642842,
  [SMALL_STATE(15767)] = 642862,
  [SMALL_STATE(15768)] = 642882,
  [SMALL_STATE(15769)] = 642902,
  [SMALL_STATE(15770)] = 642922,
  [SMALL_STATE(15771)] = 642942,
  [SMALL_STATE(15772)] = 642962,
  [SMALL_STATE(15773)] = 642980,
  [SMALL_STATE(15774)] = 643000,
  [SMALL_STATE(15775)] = 643020,
  [SMALL_STATE(15776)] = 643040,
  [SMALL_STATE(15777)] = 643060,
  [SMALL_STATE(15778)] = 643080,
  [SMALL_STATE(15779)] = 643100,
  [SMALL_STATE(15780)] = 643120,
  [SMALL_STATE(15781)] = 643138,
  [SMALL_STATE(15782)] = 643158,
  [SMALL_STATE(15783)] = 643178,
  [SMALL_STATE(15784)] = 643198,
  [SMALL_STATE(15785)] = 643218,
  [SMALL_STATE(15786)] = 643238,
  [SMALL_STATE(15787)] = 643258,
  [SMALL_STATE(15788)] = 643278,
  [SMALL_STATE(15789)] = 643298,
  [SMALL_STATE(15790)] = 643318,
  [SMALL_STATE(15791)] = 643338,
  [SMALL_STATE(15792)] = 643358,
  [SMALL_STATE(15793)] = 643378,
  [SMALL_STATE(15794)] = 643398,
  [SMALL_STATE(15795)] = 643414,
  [SMALL_STATE(15796)] = 643434,
  [SMALL_STATE(15797)] = 643454,
  [SMALL_STATE(15798)] = 643474,
  [SMALL_STATE(15799)] = 643492,
  [SMALL_STATE(15800)] = 643512,
  [SMALL_STATE(15801)] = 643532,
  [SMALL_STATE(15802)] = 643550,
  [SMALL_STATE(15803)] = 643570,
  [SMALL_STATE(15804)] = 643588,
  [SMALL_STATE(15805)] = 643608,
  [SMALL_STATE(15806)] = 643626,
  [SMALL_STATE(15807)] = 643646,
  [SMALL_STATE(15808)] = 643666,
  [SMALL_STATE(15809)] = 643686,
  [SMALL_STATE(15810)] = 643706,
  [SMALL_STATE(15811)] = 643726,
  [SMALL_STATE(15812)] = 643746,
  [SMALL_STATE(15813)] = 643764,
  [SMALL_STATE(15814)] = 643784,
  [SMALL_STATE(15815)] = 643802,
  [SMALL_STATE(15816)] = 643822,
  [SMALL_STATE(15817)] = 643842,
  [SMALL_STATE(15818)] = 643862,
  [SMALL_STATE(15819)] = 643882,
  [SMALL_STATE(15820)] = 643902,
  [SMALL_STATE(15821)] = 643922,
  [SMALL_STATE(15822)] = 643942,
  [SMALL_STATE(15823)] = 643962,
  [SMALL_STATE(15824)] = 643982,
  [SMALL_STATE(15825)] = 644002,
  [SMALL_STATE(15826)] = 644022,
  [SMALL_STATE(15827)] = 644040,
  [SMALL_STATE(15828)] = 644058,
  [SMALL_STATE(15829)] = 644078,
  [SMALL_STATE(15830)] = 644098,
  [SMALL_STATE(15831)] = 644118,
  [SMALL_STATE(15832)] = 644138,
  [SMALL_STATE(15833)] = 644158,
  [SMALL_STATE(15834)] = 644178,
  [SMALL_STATE(15835)] = 644198,
  [SMALL_STATE(15836)] = 644218,
  [SMALL_STATE(15837)] = 644238,
  [SMALL_STATE(15838)] = 644258,
  [SMALL_STATE(15839)] = 644278,
  [SMALL_STATE(15840)] = 644298,
  [SMALL_STATE(15841)] = 644318,
  [SMALL_STATE(15842)] = 644338,
  [SMALL_STATE(15843)] = 644358,
  [SMALL_STATE(15844)] = 644376,
  [SMALL_STATE(15845)] = 644396,
  [SMALL_STATE(15846)] = 644412,
  [SMALL_STATE(15847)] = 644432,
  [SMALL_STATE(15848)] = 644452,
  [SMALL_STATE(15849)] = 644472,
  [SMALL_STATE(15850)] = 644492,
  [SMALL_STATE(15851)] = 644509,
  [SMALL_STATE(15852)] = 644524,
  [SMALL_STATE(15853)] = 644539,
  [SMALL_STATE(15854)] = 644556,
  [SMALL_STATE(15855)] = 644571,
  [SMALL_STATE(15856)] = 644586,
  [SMALL_STATE(15857)] = 644601,
  [SMALL_STATE(15858)] = 644616,
  [SMALL_STATE(15859)] = 644631,
  [SMALL_STATE(15860)] = 644648,
  [SMALL_STATE(15861)] = 644663,
  [SMALL_STATE(15862)] = 644678,
  [SMALL_STATE(15863)] = 644693,
  [SMALL_STATE(15864)] = 644710,
  [SMALL_STATE(15865)] = 644727,
  [SMALL_STATE(15866)] = 644744,
  [SMALL_STATE(15867)] = 644761,
  [SMALL_STATE(15868)] = 644776,
  [SMALL_STATE(15869)] = 644791,
  [SMALL_STATE(15870)] = 644806,
  [SMALL_STATE(15871)] = 644821,
  [SMALL_STATE(15872)] = 644836,
  [SMALL_STATE(15873)] = 644851,
  [SMALL_STATE(15874)] = 644866,
  [SMALL_STATE(15875)] = 644881,
  [SMALL_STATE(15876)] = 644896,
  [SMALL_STATE(15877)] = 644911,
  [SMALL_STATE(15878)] = 644926,
  [SMALL_STATE(15879)] = 644941,
  [SMALL_STATE(15880)] = 644956,
  [SMALL_STATE(15881)] = 644971,
  [SMALL_STATE(15882)] = 644986,
  [SMALL_STATE(15883)] = 645001,
  [SMALL_STATE(15884)] = 645016,
  [SMALL_STATE(15885)] = 645031,
  [SMALL_STATE(15886)] = 645046,
  [SMALL_STATE(15887)] = 645061,
  [SMALL_STATE(15888)] = 645078,
  [SMALL_STATE(15889)] = 645095,
  [SMALL_STATE(15890)] = 645110,
  [SMALL_STATE(15891)] = 645125,
  [SMALL_STATE(15892)] = 645140,
  [SMALL_STATE(15893)] = 645155,
  [SMALL_STATE(15894)] = 645172,
  [SMALL_STATE(15895)] = 645187,
  [SMALL_STATE(15896)] = 645204,
  [SMALL_STATE(15897)] = 645219,
  [SMALL_STATE(15898)] = 645234,
  [SMALL_STATE(15899)] = 645251,
  [SMALL_STATE(15900)] = 645266,
  [SMALL_STATE(15901)] = 645281,
  [SMALL_STATE(15902)] = 645296,
  [SMALL_STATE(15903)] = 645311,
  [SMALL_STATE(15904)] = 645326,
  [SMALL_STATE(15905)] = 645341,
  [SMALL_STATE(15906)] = 645356,
  [SMALL_STATE(15907)] = 645371,
  [SMALL_STATE(15908)] = 645388,
  [SMALL_STATE(15909)] = 645405,
  [SMALL_STATE(15910)] = 645420,
  [SMALL_STATE(15911)] = 645435,
  [SMALL_STATE(15912)] = 645450,
  [SMALL_STATE(15913)] = 645465,
  [SMALL_STATE(15914)] = 645482,
  [SMALL_STATE(15915)] = 645497,
  [SMALL_STATE(15916)] = 645512,
  [SMALL_STATE(15917)] = 645529,
  [SMALL_STATE(15918)] = 645544,
  [SMALL_STATE(15919)] = 645559,
  [SMALL_STATE(15920)] = 645574,
  [SMALL_STATE(15921)] = 645589,
  [SMALL_STATE(15922)] = 645606,
  [SMALL_STATE(15923)] = 645621,
  [SMALL_STATE(15924)] = 645636,
  [SMALL_STATE(15925)] = 645651,
  [SMALL_STATE(15926)] = 645666,
  [SMALL_STATE(15927)] = 645681,
  [SMALL_STATE(15928)] = 645696,
  [SMALL_STATE(15929)] = 645713,
  [SMALL_STATE(15930)] = 645728,
  [SMALL_STATE(15931)] = 645745,
  [SMALL_STATE(15932)] = 645760,
  [SMALL_STATE(15933)] = 645775,
  [SMALL_STATE(15934)] = 645790,
  [SMALL_STATE(15935)] = 645805,
  [SMALL_STATE(15936)] = 645820,
  [SMALL_STATE(15937)] = 645837,
  [SMALL_STATE(15938)] = 645852,
  [SMALL_STATE(15939)] = 645867,
  [SMALL_STATE(15940)] = 645882,
  [SMALL_STATE(15941)] = 645897,
  [SMALL_STATE(15942)] = 645912,
  [SMALL_STATE(15943)] = 645927,
  [SMALL_STATE(15944)] = 645942,
  [SMALL_STATE(15945)] = 645957,
  [SMALL_STATE(15946)] = 645974,
  [SMALL_STATE(15947)] = 645989,
  [SMALL_STATE(15948)] = 646004,
  [SMALL_STATE(15949)] = 646019,
  [SMALL_STATE(15950)] = 646036,
  [SMALL_STATE(15951)] = 646051,
  [SMALL_STATE(15952)] = 646068,
  [SMALL_STATE(15953)] = 646083,
  [SMALL_STATE(15954)] = 646098,
  [SMALL_STATE(15955)] = 646113,
  [SMALL_STATE(15956)] = 646128,
  [SMALL_STATE(15957)] = 646143,
  [SMALL_STATE(15958)] = 646158,
  [SMALL_STATE(15959)] = 646175,
  [SMALL_STATE(15960)] = 646190,
  [SMALL_STATE(15961)] = 646207,
  [SMALL_STATE(15962)] = 646222,
  [SMALL_STATE(15963)] = 646237,
  [SMALL_STATE(15964)] = 646254,
  [SMALL_STATE(15965)] = 646269,
  [SMALL_STATE(15966)] = 646284,
  [SMALL_STATE(15967)] = 646299,
  [SMALL_STATE(15968)] = 646314,
  [SMALL_STATE(15969)] = 646331,
  [SMALL_STATE(15970)] = 646346,
  [SMALL_STATE(15971)] = 646361,
  [SMALL_STATE(15972)] = 646376,
  [SMALL_STATE(15973)] = 646391,
  [SMALL_STATE(15974)] = 646408,
  [SMALL_STATE(15975)] = 646423,
  [SMALL_STATE(15976)] = 646438,
  [SMALL_STATE(15977)] = 646453,
  [SMALL_STATE(15978)] = 646468,
  [SMALL_STATE(15979)] = 646483,
  [SMALL_STATE(15980)] = 646498,
  [SMALL_STATE(15981)] = 646513,
  [SMALL_STATE(15982)] = 646528,
  [SMALL_STATE(15983)] = 646545,
  [SMALL_STATE(15984)] = 646560,
  [SMALL_STATE(15985)] = 646575,
  [SMALL_STATE(15986)] = 646592,
  [SMALL_STATE(15987)] = 646607,
  [SMALL_STATE(15988)] = 646624,
  [SMALL_STATE(15989)] = 646639,
  [SMALL_STATE(15990)] = 646654,
  [SMALL_STATE(15991)] = 646669,
  [SMALL_STATE(15992)] = 646684,
  [SMALL_STATE(15993)] = 646699,
  [SMALL_STATE(15994)] = 646714,
  [SMALL_STATE(15995)] = 646729,
  [SMALL_STATE(15996)] = 646744,
  [SMALL_STATE(15997)] = 646759,
  [SMALL_STATE(15998)] = 646774,
  [SMALL_STATE(15999)] = 646789,
  [SMALL_STATE(16000)] = 646804,
  [SMALL_STATE(16001)] = 646819,
  [SMALL_STATE(16002)] = 646834,
  [SMALL_STATE(16003)] = 646851,
  [SMALL_STATE(16004)] = 646866,
  [SMALL_STATE(16005)] = 646881,
  [SMALL_STATE(16006)] = 646896,
  [SMALL_STATE(16007)] = 646911,
  [SMALL_STATE(16008)] = 646928,
  [SMALL_STATE(16009)] = 646945,
  [SMALL_STATE(16010)] = 646960,
  [SMALL_STATE(16011)] = 646975,
  [SMALL_STATE(16012)] = 646990,
  [SMALL_STATE(16013)] = 647007,
  [SMALL_STATE(16014)] = 647024,
  [SMALL_STATE(16015)] = 647039,
  [SMALL_STATE(16016)] = 647054,
  [SMALL_STATE(16017)] = 647069,
  [SMALL_STATE(16018)] = 647084,
  [SMALL_STATE(16019)] = 647099,
  [SMALL_STATE(16020)] = 647114,
  [SMALL_STATE(16021)] = 647129,
  [SMALL_STATE(16022)] = 647144,
  [SMALL_STATE(16023)] = 647159,
  [SMALL_STATE(16024)] = 647174,
  [SMALL_STATE(16025)] = 647189,
  [SMALL_STATE(16026)] = 647206,
  [SMALL_STATE(16027)] = 647221,
  [SMALL_STATE(16028)] = 647238,
  [SMALL_STATE(16029)] = 647255,
  [SMALL_STATE(16030)] = 647270,
  [SMALL_STATE(16031)] = 647287,
  [SMALL_STATE(16032)] = 647302,
  [SMALL_STATE(16033)] = 647317,
  [SMALL_STATE(16034)] = 647332,
  [SMALL_STATE(16035)] = 647349,
  [SMALL_STATE(16036)] = 647366,
  [SMALL_STATE(16037)] = 647381,
  [SMALL_STATE(16038)] = 647396,
  [SMALL_STATE(16039)] = 647411,
  [SMALL_STATE(16040)] = 647426,
  [SMALL_STATE(16041)] = 647443,
  [SMALL_STATE(16042)] = 647458,
  [SMALL_STATE(16043)] = 647473,
  [SMALL_STATE(16044)] = 647488,
  [SMALL_STATE(16045)] = 647503,
  [SMALL_STATE(16046)] = 647518,
  [SMALL_STATE(16047)] = 647535,
  [SMALL_STATE(16048)] = 647550,
  [SMALL_STATE(16049)] = 647565,
  [SMALL_STATE(16050)] = 647580,
  [SMALL_STATE(16051)] = 647597,
  [SMALL_STATE(16052)] = 647612,
  [SMALL_STATE(16053)] = 647627,
  [SMALL_STATE(16054)] = 647644,
  [SMALL_STATE(16055)] = 647661,
  [SMALL_STATE(16056)] = 647676,
  [SMALL_STATE(16057)] = 647691,
  [SMALL_STATE(16058)] = 647704,
  [SMALL_STATE(16059)] = 647719,
  [SMALL_STATE(16060)] = 647734,
  [SMALL_STATE(16061)] = 647749,
  [SMALL_STATE(16062)] = 647764,
  [SMALL_STATE(16063)] = 647779,
  [SMALL_STATE(16064)] = 647796,
  [SMALL_STATE(16065)] = 647811,
  [SMALL_STATE(16066)] = 647826,
  [SMALL_STATE(16067)] = 647843,
  [SMALL_STATE(16068)] = 647858,
  [SMALL_STATE(16069)] = 647873,
  [SMALL_STATE(16070)] = 647888,
  [SMALL_STATE(16071)] = 647903,
  [SMALL_STATE(16072)] = 647920,
  [SMALL_STATE(16073)] = 647935,
  [SMALL_STATE(16074)] = 647950,
  [SMALL_STATE(16075)] = 647965,
  [SMALL_STATE(16076)] = 647980,
  [SMALL_STATE(16077)] = 647995,
  [SMALL_STATE(16078)] = 648010,
  [SMALL_STATE(16079)] = 648025,
  [SMALL_STATE(16080)] = 648040,
  [SMALL_STATE(16081)] = 648055,
  [SMALL_STATE(16082)] = 648070,
  [SMALL_STATE(16083)] = 648085,
  [SMALL_STATE(16084)] = 648102,
  [SMALL_STATE(16085)] = 648117,
  [SMALL_STATE(16086)] = 648134,
  [SMALL_STATE(16087)] = 648149,
  [SMALL_STATE(16088)] = 648164,
  [SMALL_STATE(16089)] = 648181,
  [SMALL_STATE(16090)] = 648196,
  [SMALL_STATE(16091)] = 648211,
  [SMALL_STATE(16092)] = 648226,
  [SMALL_STATE(16093)] = 648241,
  [SMALL_STATE(16094)] = 648256,
  [SMALL_STATE(16095)] = 648271,
  [SMALL_STATE(16096)] = 648286,
  [SMALL_STATE(16097)] = 648301,
  [SMALL_STATE(16098)] = 648316,
  [SMALL_STATE(16099)] = 648331,
  [SMALL_STATE(16100)] = 648346,
  [SMALL_STATE(16101)] = 648361,
  [SMALL_STATE(16102)] = 648376,
  [SMALL_STATE(16103)] = 648391,
  [SMALL_STATE(16104)] = 648406,
  [SMALL_STATE(16105)] = 648421,
  [SMALL_STATE(16106)] = 648438,
  [SMALL_STATE(16107)] = 648453,
  [SMALL_STATE(16108)] = 648468,
  [SMALL_STATE(16109)] = 648485,
  [SMALL_STATE(16110)] = 648500,
  [SMALL_STATE(16111)] = 648515,
  [SMALL_STATE(16112)] = 648530,
  [SMALL_STATE(16113)] = 648545,
  [SMALL_STATE(16114)] = 648560,
  [SMALL_STATE(16115)] = 648575,
  [SMALL_STATE(16116)] = 648590,
  [SMALL_STATE(16117)] = 648605,
  [SMALL_STATE(16118)] = 648622,
  [SMALL_STATE(16119)] = 648637,
  [SMALL_STATE(16120)] = 648652,
  [SMALL_STATE(16121)] = 648667,
  [SMALL_STATE(16122)] = 648682,
  [SMALL_STATE(16123)] = 648699,
  [SMALL_STATE(16124)] = 648714,
  [SMALL_STATE(16125)] = 648729,
  [SMALL_STATE(16126)] = 648744,
  [SMALL_STATE(16127)] = 648759,
  [SMALL_STATE(16128)] = 648774,
  [SMALL_STATE(16129)] = 648791,
  [SMALL_STATE(16130)] = 648808,
  [SMALL_STATE(16131)] = 648823,
  [SMALL_STATE(16132)] = 648838,
  [SMALL_STATE(16133)] = 648855,
  [SMALL_STATE(16134)] = 648870,
  [SMALL_STATE(16135)] = 648887,
  [SMALL_STATE(16136)] = 648904,
  [SMALL_STATE(16137)] = 648921,
  [SMALL_STATE(16138)] = 648936,
  [SMALL_STATE(16139)] = 648951,
  [SMALL_STATE(16140)] = 648966,
  [SMALL_STATE(16141)] = 648981,
  [SMALL_STATE(16142)] = 648998,
  [SMALL_STATE(16143)] = 649013,
  [SMALL_STATE(16144)] = 649028,
  [SMALL_STATE(16145)] = 649043,
  [SMALL_STATE(16146)] = 649058,
  [SMALL_STATE(16147)] = 649073,
  [SMALL_STATE(16148)] = 649087,
  [SMALL_STATE(16149)] = 649101,
  [SMALL_STATE(16150)] = 649115,
  [SMALL_STATE(16151)] = 649129,
  [SMALL_STATE(16152)] = 649143,
  [SMALL_STATE(16153)] = 649157,
  [SMALL_STATE(16154)] = 649171,
  [SMALL_STATE(16155)] = 649185,
  [SMALL_STATE(16156)] = 649199,
  [SMALL_STATE(16157)] = 649213,
  [SMALL_STATE(16158)] = 649227,
  [SMALL_STATE(16159)] = 649241,
  [SMALL_STATE(16160)] = 649255,
  [SMALL_STATE(16161)] = 649269,
  [SMALL_STATE(16162)] = 649283,
  [SMALL_STATE(16163)] = 649297,
  [SMALL_STATE(16164)] = 649311,
  [SMALL_STATE(16165)] = 649325,
  [SMALL_STATE(16166)] = 649339,
  [SMALL_STATE(16167)] = 649353,
  [SMALL_STATE(16168)] = 649367,
  [SMALL_STATE(16169)] = 649381,
  [SMALL_STATE(16170)] = 649395,
  [SMALL_STATE(16171)] = 649409,
  [SMALL_STATE(16172)] = 649423,
  [SMALL_STATE(16173)] = 649437,
  [SMALL_STATE(16174)] = 649451,
  [SMALL_STATE(16175)] = 649465,
  [SMALL_STATE(16176)] = 649479,
  [SMALL_STATE(16177)] = 649493,
  [SMALL_STATE(16178)] = 649507,
  [SMALL_STATE(16179)] = 649521,
  [SMALL_STATE(16180)] = 649535,
  [SMALL_STATE(16181)] = 649549,
  [SMALL_STATE(16182)] = 649563,
  [SMALL_STATE(16183)] = 649577,
  [SMALL_STATE(16184)] = 649591,
  [SMALL_STATE(16185)] = 649605,
  [SMALL_STATE(16186)] = 649619,
  [SMALL_STATE(16187)] = 649633,
  [SMALL_STATE(16188)] = 649647,
  [SMALL_STATE(16189)] = 649661,
  [SMALL_STATE(16190)] = 649675,
  [SMALL_STATE(16191)] = 649689,
  [SMALL_STATE(16192)] = 649703,
  [SMALL_STATE(16193)] = 649717,
  [SMALL_STATE(16194)] = 649731,
  [SMALL_STATE(16195)] = 649745,
  [SMALL_STATE(16196)] = 649759,
  [SMALL_STATE(16197)] = 649773,
  [SMALL_STATE(16198)] = 649787,
  [SMALL_STATE(16199)] = 649801,
  [SMALL_STATE(16200)] = 649815,
  [SMALL_STATE(16201)] = 649829,
  [SMALL_STATE(16202)] = 649843,
  [SMALL_STATE(16203)] = 649857,
  [SMALL_STATE(16204)] = 649871,
  [SMALL_STATE(16205)] = 649885,
  [SMALL_STATE(16206)] = 649899,
  [SMALL_STATE(16207)] = 649913,
  [SMALL_STATE(16208)] = 649927,
  [SMALL_STATE(16209)] = 649941,
  [SMALL_STATE(16210)] = 649955,
  [SMALL_STATE(16211)] = 649969,
  [SMALL_STATE(16212)] = 649983,
  [SMALL_STATE(16213)] = 649997,
  [SMALL_STATE(16214)] = 650011,
  [SMALL_STATE(16215)] = 650025,
  [SMALL_STATE(16216)] = 650039,
  [SMALL_STATE(16217)] = 650053,
  [SMALL_STATE(16218)] = 650067,
  [SMALL_STATE(16219)] = 650081,
  [SMALL_STATE(16220)] = 650095,
  [SMALL_STATE(16221)] = 650109,
  [SMALL_STATE(16222)] = 650123,
  [SMALL_STATE(16223)] = 650137,
  [SMALL_STATE(16224)] = 650151,
  [SMALL_STATE(16225)] = 650165,
  [SMALL_STATE(16226)] = 650179,
  [SMALL_STATE(16227)] = 650193,
  [SMALL_STATE(16228)] = 650207,
  [SMALL_STATE(16229)] = 650221,
  [SMALL_STATE(16230)] = 650235,
  [SMALL_STATE(16231)] = 650249,
  [SMALL_STATE(16232)] = 650263,
  [SMALL_STATE(16233)] = 650277,
  [SMALL_STATE(16234)] = 650291,
  [SMALL_STATE(16235)] = 650305,
  [SMALL_STATE(16236)] = 650319,
  [SMALL_STATE(16237)] = 650333,
  [SMALL_STATE(16238)] = 650347,
  [SMALL_STATE(16239)] = 650361,
  [SMALL_STATE(16240)] = 650375,
  [SMALL_STATE(16241)] = 650389,
  [SMALL_STATE(16242)] = 650403,
  [SMALL_STATE(16243)] = 650417,
  [SMALL_STATE(16244)] = 650431,
  [SMALL_STATE(16245)] = 650445,
  [SMALL_STATE(16246)] = 650459,
  [SMALL_STATE(16247)] = 650473,
  [SMALL_STATE(16248)] = 650487,
  [SMALL_STATE(16249)] = 650501,
  [SMALL_STATE(16250)] = 650515,
  [SMALL_STATE(16251)] = 650529,
  [SMALL_STATE(16252)] = 650543,
  [SMALL_STATE(16253)] = 650557,
  [SMALL_STATE(16254)] = 650571,
  [SMALL_STATE(16255)] = 650585,
  [SMALL_STATE(16256)] = 650599,
  [SMALL_STATE(16257)] = 650613,
  [SMALL_STATE(16258)] = 650627,
  [SMALL_STATE(16259)] = 650641,
  [SMALL_STATE(16260)] = 650655,
  [SMALL_STATE(16261)] = 650669,
  [SMALL_STATE(16262)] = 650683,
  [SMALL_STATE(16263)] = 650697,
  [SMALL_STATE(16264)] = 650711,
  [SMALL_STATE(16265)] = 650725,
  [SMALL_STATE(16266)] = 650739,
  [SMALL_STATE(16267)] = 650753,
  [SMALL_STATE(16268)] = 650767,
  [SMALL_STATE(16269)] = 650781,
  [SMALL_STATE(16270)] = 650795,
  [SMALL_STATE(16271)] = 650809,
  [SMALL_STATE(16272)] = 650823,
  [SMALL_STATE(16273)] = 650837,
  [SMALL_STATE(16274)] = 650851,
  [SMALL_STATE(16275)] = 650865,
  [SMALL_STATE(16276)] = 650879,
  [SMALL_STATE(16277)] = 650893,
  [SMALL_STATE(16278)] = 650907,
  [SMALL_STATE(16279)] = 650921,
  [SMALL_STATE(16280)] = 650935,
  [SMALL_STATE(16281)] = 650949,
  [SMALL_STATE(16282)] = 650963,
  [SMALL_STATE(16283)] = 650977,
  [SMALL_STATE(16284)] = 650991,
  [SMALL_STATE(16285)] = 651005,
  [SMALL_STATE(16286)] = 651019,
  [SMALL_STATE(16287)] = 651033,
  [SMALL_STATE(16288)] = 651047,
  [SMALL_STATE(16289)] = 651061,
  [SMALL_STATE(16290)] = 651075,
  [SMALL_STATE(16291)] = 651089,
  [SMALL_STATE(16292)] = 651103,
  [SMALL_STATE(16293)] = 651117,
  [SMALL_STATE(16294)] = 651131,
  [SMALL_STATE(16295)] = 651145,
  [SMALL_STATE(16296)] = 651159,
  [SMALL_STATE(16297)] = 651173,
  [SMALL_STATE(16298)] = 651187,
  [SMALL_STATE(16299)] = 651201,
  [SMALL_STATE(16300)] = 651215,
  [SMALL_STATE(16301)] = 651229,
  [SMALL_STATE(16302)] = 651243,
  [SMALL_STATE(16303)] = 651257,
  [SMALL_STATE(16304)] = 651271,
  [SMALL_STATE(16305)] = 651285,
  [SMALL_STATE(16306)] = 651299,
  [SMALL_STATE(16307)] = 651313,
  [SMALL_STATE(16308)] = 651327,
  [SMALL_STATE(16309)] = 651341,
  [SMALL_STATE(16310)] = 651355,
  [SMALL_STATE(16311)] = 651369,
  [SMALL_STATE(16312)] = 651383,
  [SMALL_STATE(16313)] = 651397,
  [SMALL_STATE(16314)] = 651411,
  [SMALL_STATE(16315)] = 651425,
  [SMALL_STATE(16316)] = 651439,
  [SMALL_STATE(16317)] = 651453,
  [SMALL_STATE(16318)] = 651467,
  [SMALL_STATE(16319)] = 651481,
  [SMALL_STATE(16320)] = 651495,
  [SMALL_STATE(16321)] = 651509,
  [SMALL_STATE(16322)] = 651523,
  [SMALL_STATE(16323)] = 651537,
  [SMALL_STATE(16324)] = 651551,
  [SMALL_STATE(16325)] = 651565,
  [SMALL_STATE(16326)] = 651579,
  [SMALL_STATE(16327)] = 651593,
  [SMALL_STATE(16328)] = 651607,
  [SMALL_STATE(16329)] = 651621,
  [SMALL_STATE(16330)] = 651635,
  [SMALL_STATE(16331)] = 651649,
  [SMALL_STATE(16332)] = 651663,
  [SMALL_STATE(16333)] = 651677,
  [SMALL_STATE(16334)] = 651691,
  [SMALL_STATE(16335)] = 651705,
  [SMALL_STATE(16336)] = 651719,
  [SMALL_STATE(16337)] = 651733,
  [SMALL_STATE(16338)] = 651747,
  [SMALL_STATE(16339)] = 651761,
  [SMALL_STATE(16340)] = 651775,
  [SMALL_STATE(16341)] = 651789,
  [SMALL_STATE(16342)] = 651803,
  [SMALL_STATE(16343)] = 651817,
  [SMALL_STATE(16344)] = 651831,
  [SMALL_STATE(16345)] = 651845,
  [SMALL_STATE(16346)] = 651859,
  [SMALL_STATE(16347)] = 651873,
  [SMALL_STATE(16348)] = 651887,
  [SMALL_STATE(16349)] = 651901,
  [SMALL_STATE(16350)] = 651915,
  [SMALL_STATE(16351)] = 651929,
  [SMALL_STATE(16352)] = 651943,
  [SMALL_STATE(16353)] = 651957,
  [SMALL_STATE(16354)] = 651971,
  [SMALL_STATE(16355)] = 651985,
  [SMALL_STATE(16356)] = 651999,
  [SMALL_STATE(16357)] = 652013,
  [SMALL_STATE(16358)] = 652027,
  [SMALL_STATE(16359)] = 652041,
  [SMALL_STATE(16360)] = 652055,
  [SMALL_STATE(16361)] = 652069,
  [SMALL_STATE(16362)] = 652083,
  [SMALL_STATE(16363)] = 652097,
  [SMALL_STATE(16364)] = 652111,
  [SMALL_STATE(16365)] = 652125,
  [SMALL_STATE(16366)] = 652139,
  [SMALL_STATE(16367)] = 652153,
  [SMALL_STATE(16368)] = 652167,
  [SMALL_STATE(16369)] = 652181,
  [SMALL_STATE(16370)] = 652195,
  [SMALL_STATE(16371)] = 652209,
  [SMALL_STATE(16372)] = 652223,
  [SMALL_STATE(16373)] = 652237,
  [SMALL_STATE(16374)] = 652251,
  [SMALL_STATE(16375)] = 652265,
  [SMALL_STATE(16376)] = 652279,
  [SMALL_STATE(16377)] = 652293,
  [SMALL_STATE(16378)] = 652307,
  [SMALL_STATE(16379)] = 652321,
  [SMALL_STATE(16380)] = 652335,
  [SMALL_STATE(16381)] = 652349,
  [SMALL_STATE(16382)] = 652363,
  [SMALL_STATE(16383)] = 652377,
  [SMALL_STATE(16384)] = 652391,
  [SMALL_STATE(16385)] = 652405,
  [SMALL_STATE(16386)] = 652419,
  [SMALL_STATE(16387)] = 652433,
  [SMALL_STATE(16388)] = 652447,
  [SMALL_STATE(16389)] = 652461,
  [SMALL_STATE(16390)] = 652475,
  [SMALL_STATE(16391)] = 652489,
  [SMALL_STATE(16392)] = 652503,
  [SMALL_STATE(16393)] = 652517,
  [SMALL_STATE(16394)] = 652531,
  [SMALL_STATE(16395)] = 652545,
  [SMALL_STATE(16396)] = 652559,
  [SMALL_STATE(16397)] = 652573,
  [SMALL_STATE(16398)] = 652587,
  [SMALL_STATE(16399)] = 652601,
  [SMALL_STATE(16400)] = 652615,
  [SMALL_STATE(16401)] = 652629,
  [SMALL_STATE(16402)] = 652643,
  [SMALL_STATE(16403)] = 652657,
  [SMALL_STATE(16404)] = 652671,
  [SMALL_STATE(16405)] = 652685,
  [SMALL_STATE(16406)] = 652699,
  [SMALL_STATE(16407)] = 652713,
  [SMALL_STATE(16408)] = 652727,
  [SMALL_STATE(16409)] = 652741,
  [SMALL_STATE(16410)] = 652755,
  [SMALL_STATE(16411)] = 652769,
  [SMALL_STATE(16412)] = 652783,
  [SMALL_STATE(16413)] = 652797,
  [SMALL_STATE(16414)] = 652811,
  [SMALL_STATE(16415)] = 652825,
  [SMALL_STATE(16416)] = 652839,
  [SMALL_STATE(16417)] = 652853,
  [SMALL_STATE(16418)] = 652867,
  [SMALL_STATE(16419)] = 652881,
  [SMALL_STATE(16420)] = 652895,
  [SMALL_STATE(16421)] = 652909,
  [SMALL_STATE(16422)] = 652923,
  [SMALL_STATE(16423)] = 652937,
  [SMALL_STATE(16424)] = 652951,
  [SMALL_STATE(16425)] = 652965,
  [SMALL_STATE(16426)] = 652979,
  [SMALL_STATE(16427)] = 652993,
  [SMALL_STATE(16428)] = 653007,
  [SMALL_STATE(16429)] = 653021,
  [SMALL_STATE(16430)] = 653035,
  [SMALL_STATE(16431)] = 653049,
  [SMALL_STATE(16432)] = 653063,
  [SMALL_STATE(16433)] = 653077,
  [SMALL_STATE(16434)] = 653091,
  [SMALL_STATE(16435)] = 653105,
  [SMALL_STATE(16436)] = 653119,
  [SMALL_STATE(16437)] = 653133,
  [SMALL_STATE(16438)] = 653147,
  [SMALL_STATE(16439)] = 653161,
  [SMALL_STATE(16440)] = 653175,
  [SMALL_STATE(16441)] = 653189,
  [SMALL_STATE(16442)] = 653203,
  [SMALL_STATE(16443)] = 653217,
  [SMALL_STATE(16444)] = 653231,
  [SMALL_STATE(16445)] = 653245,
  [SMALL_STATE(16446)] = 653259,
  [SMALL_STATE(16447)] = 653273,
  [SMALL_STATE(16448)] = 653287,
  [SMALL_STATE(16449)] = 653301,
  [SMALL_STATE(16450)] = 653315,
  [SMALL_STATE(16451)] = 653329,
  [SMALL_STATE(16452)] = 653343,
  [SMALL_STATE(16453)] = 653357,
  [SMALL_STATE(16454)] = 653371,
  [SMALL_STATE(16455)] = 653385,
  [SMALL_STATE(16456)] = 653399,
  [SMALL_STATE(16457)] = 653413,
  [SMALL_STATE(16458)] = 653427,
  [SMALL_STATE(16459)] = 653441,
  [SMALL_STATE(16460)] = 653455,
  [SMALL_STATE(16461)] = 653469,
  [SMALL_STATE(16462)] = 653483,
  [SMALL_STATE(16463)] = 653497,
  [SMALL_STATE(16464)] = 653511,
  [SMALL_STATE(16465)] = 653525,
  [SMALL_STATE(16466)] = 653539,
  [SMALL_STATE(16467)] = 653553,
  [SMALL_STATE(16468)] = 653567,
  [SMALL_STATE(16469)] = 653581,
  [SMALL_STATE(16470)] = 653595,
  [SMALL_STATE(16471)] = 653609,
  [SMALL_STATE(16472)] = 653623,
  [SMALL_STATE(16473)] = 653637,
  [SMALL_STATE(16474)] = 653651,
  [SMALL_STATE(16475)] = 653665,
  [SMALL_STATE(16476)] = 653679,
  [SMALL_STATE(16477)] = 653693,
  [SMALL_STATE(16478)] = 653707,
  [SMALL_STATE(16479)] = 653721,
  [SMALL_STATE(16480)] = 653735,
  [SMALL_STATE(16481)] = 653749,
  [SMALL_STATE(16482)] = 653763,
  [SMALL_STATE(16483)] = 653777,
  [SMALL_STATE(16484)] = 653791,
  [SMALL_STATE(16485)] = 653805,
  [SMALL_STATE(16486)] = 653819,
  [SMALL_STATE(16487)] = 653833,
  [SMALL_STATE(16488)] = 653847,
  [SMALL_STATE(16489)] = 653861,
  [SMALL_STATE(16490)] = 653875,
  [SMALL_STATE(16491)] = 653889,
  [SMALL_STATE(16492)] = 653903,
  [SMALL_STATE(16493)] = 653917,
  [SMALL_STATE(16494)] = 653931,
  [SMALL_STATE(16495)] = 653945,
  [SMALL_STATE(16496)] = 653959,
  [SMALL_STATE(16497)] = 653973,
  [SMALL_STATE(16498)] = 653987,
  [SMALL_STATE(16499)] = 654001,
  [SMALL_STATE(16500)] = 654015,
  [SMALL_STATE(16501)] = 654029,
  [SMALL_STATE(16502)] = 654043,
  [SMALL_STATE(16503)] = 654057,
  [SMALL_STATE(16504)] = 654071,
  [SMALL_STATE(16505)] = 654085,
  [SMALL_STATE(16506)] = 654099,
  [SMALL_STATE(16507)] = 654113,
  [SMALL_STATE(16508)] = 654127,
  [SMALL_STATE(16509)] = 654141,
  [SMALL_STATE(16510)] = 654155,
  [SMALL_STATE(16511)] = 654169,
  [SMALL_STATE(16512)] = 654183,
  [SMALL_STATE(16513)] = 654197,
  [SMALL_STATE(16514)] = 654211,
  [SMALL_STATE(16515)] = 654225,
  [SMALL_STATE(16516)] = 654239,
  [SMALL_STATE(16517)] = 654253,
  [SMALL_STATE(16518)] = 654267,
  [SMALL_STATE(16519)] = 654281,
  [SMALL_STATE(16520)] = 654295,
  [SMALL_STATE(16521)] = 654309,
  [SMALL_STATE(16522)] = 654323,
  [SMALL_STATE(16523)] = 654337,
  [SMALL_STATE(16524)] = 654351,
  [SMALL_STATE(16525)] = 654365,
  [SMALL_STATE(16526)] = 654379,
  [SMALL_STATE(16527)] = 654393,
  [SMALL_STATE(16528)] = 654407,
  [SMALL_STATE(16529)] = 654421,
  [SMALL_STATE(16530)] = 654435,
  [SMALL_STATE(16531)] = 654449,
  [SMALL_STATE(16532)] = 654463,
  [SMALL_STATE(16533)] = 654477,
  [SMALL_STATE(16534)] = 654491,
  [SMALL_STATE(16535)] = 654505,
  [SMALL_STATE(16536)] = 654519,
  [SMALL_STATE(16537)] = 654533,
  [SMALL_STATE(16538)] = 654547,
  [SMALL_STATE(16539)] = 654561,
  [SMALL_STATE(16540)] = 654575,
  [SMALL_STATE(16541)] = 654589,
  [SMALL_STATE(16542)] = 654603,
  [SMALL_STATE(16543)] = 654617,
  [SMALL_STATE(16544)] = 654631,
  [SMALL_STATE(16545)] = 654645,
  [SMALL_STATE(16546)] = 654659,
  [SMALL_STATE(16547)] = 654673,
  [SMALL_STATE(16548)] = 654687,
  [SMALL_STATE(16549)] = 654701,
  [SMALL_STATE(16550)] = 654715,
  [SMALL_STATE(16551)] = 654729,
  [SMALL_STATE(16552)] = 654743,
  [SMALL_STATE(16553)] = 654757,
  [SMALL_STATE(16554)] = 654771,
  [SMALL_STATE(16555)] = 654785,
  [SMALL_STATE(16556)] = 654799,
  [SMALL_STATE(16557)] = 654813,
  [SMALL_STATE(16558)] = 654827,
  [SMALL_STATE(16559)] = 654841,
  [SMALL_STATE(16560)] = 654855,
  [SMALL_STATE(16561)] = 654869,
  [SMALL_STATE(16562)] = 654883,
  [SMALL_STATE(16563)] = 654897,
  [SMALL_STATE(16564)] = 654911,
  [SMALL_STATE(16565)] = 654925,
  [SMALL_STATE(16566)] = 654939,
  [SMALL_STATE(16567)] = 654953,
  [SMALL_STATE(16568)] = 654967,
  [SMALL_STATE(16569)] = 654981,
  [SMALL_STATE(16570)] = 654995,
  [SMALL_STATE(16571)] = 655009,
  [SMALL_STATE(16572)] = 655023,
  [SMALL_STATE(16573)] = 655037,
  [SMALL_STATE(16574)] = 655051,
  [SMALL_STATE(16575)] = 655065,
  [SMALL_STATE(16576)] = 655079,
  [SMALL_STATE(16577)] = 655093,
  [SMALL_STATE(16578)] = 655107,
  [SMALL_STATE(16579)] = 655121,
  [SMALL_STATE(16580)] = 655135,
  [SMALL_STATE(16581)] = 655149,
  [SMALL_STATE(16582)] = 655163,
  [SMALL_STATE(16583)] = 655177,
  [SMALL_STATE(16584)] = 655191,
  [SMALL_STATE(16585)] = 655205,
  [SMALL_STATE(16586)] = 655219,
  [SMALL_STATE(16587)] = 655233,
  [SMALL_STATE(16588)] = 655247,
  [SMALL_STATE(16589)] = 655261,
  [SMALL_STATE(16590)] = 655275,
  [SMALL_STATE(16591)] = 655289,
  [SMALL_STATE(16592)] = 655303,
  [SMALL_STATE(16593)] = 655317,
  [SMALL_STATE(16594)] = 655331,
  [SMALL_STATE(16595)] = 655345,
  [SMALL_STATE(16596)] = 655359,
  [SMALL_STATE(16597)] = 655373,
  [SMALL_STATE(16598)] = 655387,
  [SMALL_STATE(16599)] = 655401,
  [SMALL_STATE(16600)] = 655415,
  [SMALL_STATE(16601)] = 655429,
  [SMALL_STATE(16602)] = 655443,
  [SMALL_STATE(16603)] = 655457,
  [SMALL_STATE(16604)] = 655471,
  [SMALL_STATE(16605)] = 655485,
  [SMALL_STATE(16606)] = 655499,
  [SMALL_STATE(16607)] = 655513,
  [SMALL_STATE(16608)] = 655527,
  [SMALL_STATE(16609)] = 655541,
  [SMALL_STATE(16610)] = 655555,
  [SMALL_STATE(16611)] = 655569,
  [SMALL_STATE(16612)] = 655583,
  [SMALL_STATE(16613)] = 655597,
  [SMALL_STATE(16614)] = 655611,
  [SMALL_STATE(16615)] = 655625,
  [SMALL_STATE(16616)] = 655639,
  [SMALL_STATE(16617)] = 655653,
  [SMALL_STATE(16618)] = 655667,
  [SMALL_STATE(16619)] = 655681,
  [SMALL_STATE(16620)] = 655695,
  [SMALL_STATE(16621)] = 655709,
  [SMALL_STATE(16622)] = 655723,
  [SMALL_STATE(16623)] = 655737,
  [SMALL_STATE(16624)] = 655751,
  [SMALL_STATE(16625)] = 655765,
  [SMALL_STATE(16626)] = 655779,
  [SMALL_STATE(16627)] = 655793,
  [SMALL_STATE(16628)] = 655807,
  [SMALL_STATE(16629)] = 655821,
  [SMALL_STATE(16630)] = 655835,
  [SMALL_STATE(16631)] = 655849,
  [SMALL_STATE(16632)] = 655863,
  [SMALL_STATE(16633)] = 655877,
  [SMALL_STATE(16634)] = 655891,
  [SMALL_STATE(16635)] = 655905,
  [SMALL_STATE(16636)] = 655919,
  [SMALL_STATE(16637)] = 655933,
  [SMALL_STATE(16638)] = 655947,
  [SMALL_STATE(16639)] = 655961,
  [SMALL_STATE(16640)] = 655975,
  [SMALL_STATE(16641)] = 655989,
  [SMALL_STATE(16642)] = 656003,
  [SMALL_STATE(16643)] = 656017,
  [SMALL_STATE(16644)] = 656031,
  [SMALL_STATE(16645)] = 656045,
  [SMALL_STATE(16646)] = 656059,
  [SMALL_STATE(16647)] = 656073,
  [SMALL_STATE(16648)] = 656087,
  [SMALL_STATE(16649)] = 656101,
  [SMALL_STATE(16650)] = 656115,
  [SMALL_STATE(16651)] = 656129,
  [SMALL_STATE(16652)] = 656143,
  [SMALL_STATE(16653)] = 656157,
  [SMALL_STATE(16654)] = 656171,
  [SMALL_STATE(16655)] = 656185,
  [SMALL_STATE(16656)] = 656199,
  [SMALL_STATE(16657)] = 656213,
  [SMALL_STATE(16658)] = 656227,
  [SMALL_STATE(16659)] = 656241,
  [SMALL_STATE(16660)] = 656255,
  [SMALL_STATE(16661)] = 656269,
  [SMALL_STATE(16662)] = 656283,
  [SMALL_STATE(16663)] = 656297,
  [SMALL_STATE(16664)] = 656311,
  [SMALL_STATE(16665)] = 656325,
  [SMALL_STATE(16666)] = 656339,
  [SMALL_STATE(16667)] = 656353,
  [SMALL_STATE(16668)] = 656367,
  [SMALL_STATE(16669)] = 656381,
  [SMALL_STATE(16670)] = 656395,
  [SMALL_STATE(16671)] = 656409,
  [SMALL_STATE(16672)] = 656423,
  [SMALL_STATE(16673)] = 656437,
  [SMALL_STATE(16674)] = 656451,
  [SMALL_STATE(16675)] = 656465,
  [SMALL_STATE(16676)] = 656479,
  [SMALL_STATE(16677)] = 656493,
  [SMALL_STATE(16678)] = 656507,
  [SMALL_STATE(16679)] = 656521,
  [SMALL_STATE(16680)] = 656535,
  [SMALL_STATE(16681)] = 656549,
  [SMALL_STATE(16682)] = 656563,
  [SMALL_STATE(16683)] = 656577,
  [SMALL_STATE(16684)] = 656591,
  [SMALL_STATE(16685)] = 656605,
  [SMALL_STATE(16686)] = 656619,
  [SMALL_STATE(16687)] = 656633,
  [SMALL_STATE(16688)] = 656647,
  [SMALL_STATE(16689)] = 656661,
  [SMALL_STATE(16690)] = 656675,
  [SMALL_STATE(16691)] = 656689,
  [SMALL_STATE(16692)] = 656703,
  [SMALL_STATE(16693)] = 656717,
  [SMALL_STATE(16694)] = 656731,
  [SMALL_STATE(16695)] = 656745,
  [SMALL_STATE(16696)] = 656759,
  [SMALL_STATE(16697)] = 656773,
  [SMALL_STATE(16698)] = 656787,
  [SMALL_STATE(16699)] = 656801,
  [SMALL_STATE(16700)] = 656815,
  [SMALL_STATE(16701)] = 656829,
  [SMALL_STATE(16702)] = 656843,
  [SMALL_STATE(16703)] = 656857,
  [SMALL_STATE(16704)] = 656871,
  [SMALL_STATE(16705)] = 656885,
  [SMALL_STATE(16706)] = 656899,
  [SMALL_STATE(16707)] = 656913,
  [SMALL_STATE(16708)] = 656927,
  [SMALL_STATE(16709)] = 656941,
  [SMALL_STATE(16710)] = 656955,
  [SMALL_STATE(16711)] = 656969,
  [SMALL_STATE(16712)] = 656983,
  [SMALL_STATE(16713)] = 656997,
  [SMALL_STATE(16714)] = 657011,
  [SMALL_STATE(16715)] = 657025,
  [SMALL_STATE(16716)] = 657039,
  [SMALL_STATE(16717)] = 657053,
  [SMALL_STATE(16718)] = 657067,
  [SMALL_STATE(16719)] = 657081,
  [SMALL_STATE(16720)] = 657095,
  [SMALL_STATE(16721)] = 657109,
  [SMALL_STATE(16722)] = 657123,
  [SMALL_STATE(16723)] = 657137,
  [SMALL_STATE(16724)] = 657151,
  [SMALL_STATE(16725)] = 657165,
  [SMALL_STATE(16726)] = 657179,
  [SMALL_STATE(16727)] = 657193,
  [SMALL_STATE(16728)] = 657207,
  [SMALL_STATE(16729)] = 657221,
  [SMALL_STATE(16730)] = 657235,
  [SMALL_STATE(16731)] = 657249,
  [SMALL_STATE(16732)] = 657263,
  [SMALL_STATE(16733)] = 657277,
  [SMALL_STATE(16734)] = 657291,
  [SMALL_STATE(16735)] = 657305,
  [SMALL_STATE(16736)] = 657319,
  [SMALL_STATE(16737)] = 657333,
  [SMALL_STATE(16738)] = 657347,
  [SMALL_STATE(16739)] = 657361,
  [SMALL_STATE(16740)] = 657375,
  [SMALL_STATE(16741)] = 657389,
  [SMALL_STATE(16742)] = 657403,
  [SMALL_STATE(16743)] = 657417,
  [SMALL_STATE(16744)] = 657431,
  [SMALL_STATE(16745)] = 657445,
  [SMALL_STATE(16746)] = 657459,
  [SMALL_STATE(16747)] = 657473,
  [SMALL_STATE(16748)] = 657487,
  [SMALL_STATE(16749)] = 657501,
  [SMALL_STATE(16750)] = 657515,
  [SMALL_STATE(16751)] = 657529,
  [SMALL_STATE(16752)] = 657543,
  [SMALL_STATE(16753)] = 657557,
  [SMALL_STATE(16754)] = 657571,
  [SMALL_STATE(16755)] = 657585,
  [SMALL_STATE(16756)] = 657599,
  [SMALL_STATE(16757)] = 657613,
  [SMALL_STATE(16758)] = 657627,
  [SMALL_STATE(16759)] = 657641,
  [SMALL_STATE(16760)] = 657655,
  [SMALL_STATE(16761)] = 657669,
  [SMALL_STATE(16762)] = 657683,
  [SMALL_STATE(16763)] = 657697,
  [SMALL_STATE(16764)] = 657711,
  [SMALL_STATE(16765)] = 657725,
  [SMALL_STATE(16766)] = 657739,
  [SMALL_STATE(16767)] = 657753,
  [SMALL_STATE(16768)] = 657767,
  [SMALL_STATE(16769)] = 657781,
  [SMALL_STATE(16770)] = 657795,
  [SMALL_STATE(16771)] = 657809,
  [SMALL_STATE(16772)] = 657823,
  [SMALL_STATE(16773)] = 657837,
  [SMALL_STATE(16774)] = 657851,
  [SMALL_STATE(16775)] = 657865,
  [SMALL_STATE(16776)] = 657879,
  [SMALL_STATE(16777)] = 657893,
  [SMALL_STATE(16778)] = 657907,
  [SMALL_STATE(16779)] = 657921,
  [SMALL_STATE(16780)] = 657935,
  [SMALL_STATE(16781)] = 657949,
  [SMALL_STATE(16782)] = 657963,
  [SMALL_STATE(16783)] = 657977,
  [SMALL_STATE(16784)] = 657991,
  [SMALL_STATE(16785)] = 658005,
  [SMALL_STATE(16786)] = 658019,
  [SMALL_STATE(16787)] = 658033,
  [SMALL_STATE(16788)] = 658047,
  [SMALL_STATE(16789)] = 658061,
  [SMALL_STATE(16790)] = 658075,
  [SMALL_STATE(16791)] = 658089,
  [SMALL_STATE(16792)] = 658103,
  [SMALL_STATE(16793)] = 658117,
  [SMALL_STATE(16794)] = 658131,
  [SMALL_STATE(16795)] = 658145,
  [SMALL_STATE(16796)] = 658159,
  [SMALL_STATE(16797)] = 658173,
  [SMALL_STATE(16798)] = 658187,
  [SMALL_STATE(16799)] = 658201,
  [SMALL_STATE(16800)] = 658215,
  [SMALL_STATE(16801)] = 658229,
  [SMALL_STATE(16802)] = 658243,
  [SMALL_STATE(16803)] = 658257,
  [SMALL_STATE(16804)] = 658271,
  [SMALL_STATE(16805)] = 658285,
  [SMALL_STATE(16806)] = 658299,
  [SMALL_STATE(16807)] = 658313,
  [SMALL_STATE(16808)] = 658327,
  [SMALL_STATE(16809)] = 658341,
  [SMALL_STATE(16810)] = 658355,
  [SMALL_STATE(16811)] = 658369,
  [SMALL_STATE(16812)] = 658383,
  [SMALL_STATE(16813)] = 658397,
  [SMALL_STATE(16814)] = 658411,
  [SMALL_STATE(16815)] = 658425,
  [SMALL_STATE(16816)] = 658439,
  [SMALL_STATE(16817)] = 658453,
  [SMALL_STATE(16818)] = 658467,
  [SMALL_STATE(16819)] = 658481,
  [SMALL_STATE(16820)] = 658495,
  [SMALL_STATE(16821)] = 658509,
  [SMALL_STATE(16822)] = 658523,
  [SMALL_STATE(16823)] = 658537,
  [SMALL_STATE(16824)] = 658551,
  [SMALL_STATE(16825)] = 658565,
  [SMALL_STATE(16826)] = 658579,
  [SMALL_STATE(16827)] = 658593,
  [SMALL_STATE(16828)] = 658607,
  [SMALL_STATE(16829)] = 658621,
  [SMALL_STATE(16830)] = 658635,
  [SMALL_STATE(16831)] = 658649,
  [SMALL_STATE(16832)] = 658663,
  [SMALL_STATE(16833)] = 658677,
  [SMALL_STATE(16834)] = 658691,
  [SMALL_STATE(16835)] = 658705,
  [SMALL_STATE(16836)] = 658719,
  [SMALL_STATE(16837)] = 658733,
  [SMALL_STATE(16838)] = 658747,
  [SMALL_STATE(16839)] = 658761,
  [SMALL_STATE(16840)] = 658775,
  [SMALL_STATE(16841)] = 658789,
  [SMALL_STATE(16842)] = 658803,
  [SMALL_STATE(16843)] = 658817,
  [SMALL_STATE(16844)] = 658831,
  [SMALL_STATE(16845)] = 658845,
  [SMALL_STATE(16846)] = 658859,
  [SMALL_STATE(16847)] = 658873,
  [SMALL_STATE(16848)] = 658887,
  [SMALL_STATE(16849)] = 658901,
  [SMALL_STATE(16850)] = 658915,
  [SMALL_STATE(16851)] = 658929,
  [SMALL_STATE(16852)] = 658943,
  [SMALL_STATE(16853)] = 658957,
  [SMALL_STATE(16854)] = 658971,
  [SMALL_STATE(16855)] = 658985,
  [SMALL_STATE(16856)] = 658999,
  [SMALL_STATE(16857)] = 659013,
  [SMALL_STATE(16858)] = 659027,
  [SMALL_STATE(16859)] = 659041,
  [SMALL_STATE(16860)] = 659055,
  [SMALL_STATE(16861)] = 659069,
  [SMALL_STATE(16862)] = 659083,
  [SMALL_STATE(16863)] = 659097,
  [SMALL_STATE(16864)] = 659111,
  [SMALL_STATE(16865)] = 659125,
  [SMALL_STATE(16866)] = 659139,
  [SMALL_STATE(16867)] = 659153,
  [SMALL_STATE(16868)] = 659167,
  [SMALL_STATE(16869)] = 659181,
  [SMALL_STATE(16870)] = 659195,
  [SMALL_STATE(16871)] = 659209,
  [SMALL_STATE(16872)] = 659223,
  [SMALL_STATE(16873)] = 659237,
  [SMALL_STATE(16874)] = 659251,
  [SMALL_STATE(16875)] = 659265,
  [SMALL_STATE(16876)] = 659279,
  [SMALL_STATE(16877)] = 659293,
  [SMALL_STATE(16878)] = 659307,
  [SMALL_STATE(16879)] = 659321,
  [SMALL_STATE(16880)] = 659335,
  [SMALL_STATE(16881)] = 659349,
  [SMALL_STATE(16882)] = 659363,
  [SMALL_STATE(16883)] = 659377,
  [SMALL_STATE(16884)] = 659391,
  [SMALL_STATE(16885)] = 659405,
  [SMALL_STATE(16886)] = 659419,
  [SMALL_STATE(16887)] = 659433,
  [SMALL_STATE(16888)] = 659447,
  [SMALL_STATE(16889)] = 659461,
  [SMALL_STATE(16890)] = 659475,
  [SMALL_STATE(16891)] = 659489,
  [SMALL_STATE(16892)] = 659503,
  [SMALL_STATE(16893)] = 659517,
  [SMALL_STATE(16894)] = 659531,
  [SMALL_STATE(16895)] = 659545,
  [SMALL_STATE(16896)] = 659559,
  [SMALL_STATE(16897)] = 659573,
  [SMALL_STATE(16898)] = 659587,
  [SMALL_STATE(16899)] = 659601,
  [SMALL_STATE(16900)] = 659615,
  [SMALL_STATE(16901)] = 659629,
  [SMALL_STATE(16902)] = 659643,
  [SMALL_STATE(16903)] = 659657,
  [SMALL_STATE(16904)] = 659671,
  [SMALL_STATE(16905)] = 659685,
  [SMALL_STATE(16906)] = 659699,
  [SMALL_STATE(16907)] = 659713,
  [SMALL_STATE(16908)] = 659727,
  [SMALL_STATE(16909)] = 659741,
  [SMALL_STATE(16910)] = 659755,
  [SMALL_STATE(16911)] = 659769,
  [SMALL_STATE(16912)] = 659783,
  [SMALL_STATE(16913)] = 659797,
  [SMALL_STATE(16914)] = 659811,
  [SMALL_STATE(16915)] = 659825,
  [SMALL_STATE(16916)] = 659839,
  [SMALL_STATE(16917)] = 659853,
  [SMALL_STATE(16918)] = 659867,
  [SMALL_STATE(16919)] = 659881,
  [SMALL_STATE(16920)] = 659895,
  [SMALL_STATE(16921)] = 659909,
  [SMALL_STATE(16922)] = 659923,
  [SMALL_STATE(16923)] = 659937,
  [SMALL_STATE(16924)] = 659951,
  [SMALL_STATE(16925)] = 659965,
  [SMALL_STATE(16926)] = 659979,
  [SMALL_STATE(16927)] = 659993,
  [SMALL_STATE(16928)] = 660007,
  [SMALL_STATE(16929)] = 660021,
  [SMALL_STATE(16930)] = 660035,
  [SMALL_STATE(16931)] = 660049,
  [SMALL_STATE(16932)] = 660063,
  [SMALL_STATE(16933)] = 660077,
  [SMALL_STATE(16934)] = 660091,
  [SMALL_STATE(16935)] = 660105,
  [SMALL_STATE(16936)] = 660119,
  [SMALL_STATE(16937)] = 660133,
  [SMALL_STATE(16938)] = 660147,
  [SMALL_STATE(16939)] = 660161,
  [SMALL_STATE(16940)] = 660175,
  [SMALL_STATE(16941)] = 660189,
  [SMALL_STATE(16942)] = 660203,
  [SMALL_STATE(16943)] = 660217,
  [SMALL_STATE(16944)] = 660231,
  [SMALL_STATE(16945)] = 660245,
  [SMALL_STATE(16946)] = 660259,
  [SMALL_STATE(16947)] = 660273,
  [SMALL_STATE(16948)] = 660287,
  [SMALL_STATE(16949)] = 660301,
  [SMALL_STATE(16950)] = 660315,
  [SMALL_STATE(16951)] = 660329,
  [SMALL_STATE(16952)] = 660343,
  [SMALL_STATE(16953)] = 660357,
  [SMALL_STATE(16954)] = 660371,
  [SMALL_STATE(16955)] = 660385,
  [SMALL_STATE(16956)] = 660399,
  [SMALL_STATE(16957)] = 660413,
  [SMALL_STATE(16958)] = 660427,
  [SMALL_STATE(16959)] = 660441,
  [SMALL_STATE(16960)] = 660455,
  [SMALL_STATE(16961)] = 660469,
  [SMALL_STATE(16962)] = 660483,
  [SMALL_STATE(16963)] = 660497,
  [SMALL_STATE(16964)] = 660511,
  [SMALL_STATE(16965)] = 660525,
  [SMALL_STATE(16966)] = 660539,
  [SMALL_STATE(16967)] = 660553,
  [SMALL_STATE(16968)] = 660567,
  [SMALL_STATE(16969)] = 660581,
  [SMALL_STATE(16970)] = 660595,
  [SMALL_STATE(16971)] = 660609,
  [SMALL_STATE(16972)] = 660623,
  [SMALL_STATE(16973)] = 660637,
  [SMALL_STATE(16974)] = 660651,
  [SMALL_STATE(16975)] = 660665,
  [SMALL_STATE(16976)] = 660679,
  [SMALL_STATE(16977)] = 660693,
  [SMALL_STATE(16978)] = 660707,
  [SMALL_STATE(16979)] = 660721,
  [SMALL_STATE(16980)] = 660735,
  [SMALL_STATE(16981)] = 660749,
  [SMALL_STATE(16982)] = 660763,
  [SMALL_STATE(16983)] = 660777,
  [SMALL_STATE(16984)] = 660791,
  [SMALL_STATE(16985)] = 660805,
  [SMALL_STATE(16986)] = 660819,
  [SMALL_STATE(16987)] = 660833,
  [SMALL_STATE(16988)] = 660847,
  [SMALL_STATE(16989)] = 660861,
  [SMALL_STATE(16990)] = 660875,
  [SMALL_STATE(16991)] = 660889,
  [SMALL_STATE(16992)] = 660903,
  [SMALL_STATE(16993)] = 660917,
  [SMALL_STATE(16994)] = 660931,
  [SMALL_STATE(16995)] = 660945,
  [SMALL_STATE(16996)] = 660959,
  [SMALL_STATE(16997)] = 660973,
  [SMALL_STATE(16998)] = 660987,
  [SMALL_STATE(16999)] = 661001,
  [SMALL_STATE(17000)] = 661015,
  [SMALL_STATE(17001)] = 661029,
  [SMALL_STATE(17002)] = 661043,
  [SMALL_STATE(17003)] = 661057,
  [SMALL_STATE(17004)] = 661071,
  [SMALL_STATE(17005)] = 661085,
  [SMALL_STATE(17006)] = 661099,
  [SMALL_STATE(17007)] = 661113,
  [SMALL_STATE(17008)] = 661127,
  [SMALL_STATE(17009)] = 661141,
  [SMALL_STATE(17010)] = 661155,
  [SMALL_STATE(17011)] = 661169,
  [SMALL_STATE(17012)] = 661183,
  [SMALL_STATE(17013)] = 661197,
  [SMALL_STATE(17014)] = 661211,
  [SMALL_STATE(17015)] = 661225,
  [SMALL_STATE(17016)] = 661239,
  [SMALL_STATE(17017)] = 661253,
  [SMALL_STATE(17018)] = 661267,
  [SMALL_STATE(17019)] = 661281,
  [SMALL_STATE(17020)] = 661295,
  [SMALL_STATE(17021)] = 661309,
  [SMALL_STATE(17022)] = 661323,
  [SMALL_STATE(17023)] = 661337,
  [SMALL_STATE(17024)] = 661351,
  [SMALL_STATE(17025)] = 661365,
  [SMALL_STATE(17026)] = 661379,
  [SMALL_STATE(17027)] = 661393,
  [SMALL_STATE(17028)] = 661407,
  [SMALL_STATE(17029)] = 661421,
  [SMALL_STATE(17030)] = 661435,
  [SMALL_STATE(17031)] = 661449,
  [SMALL_STATE(17032)] = 661463,
  [SMALL_STATE(17033)] = 661477,
  [SMALL_STATE(17034)] = 661491,
  [SMALL_STATE(17035)] = 661505,
  [SMALL_STATE(17036)] = 661519,
  [SMALL_STATE(17037)] = 661533,
  [SMALL_STATE(17038)] = 661547,
  [SMALL_STATE(17039)] = 661561,
  [SMALL_STATE(17040)] = 661575,
  [SMALL_STATE(17041)] = 661589,
  [SMALL_STATE(17042)] = 661603,
  [SMALL_STATE(17043)] = 661617,
  [SMALL_STATE(17044)] = 661631,
  [SMALL_STATE(17045)] = 661645,
  [SMALL_STATE(17046)] = 661659,
  [SMALL_STATE(17047)] = 661673,
  [SMALL_STATE(17048)] = 661687,
  [SMALL_STATE(17049)] = 661701,
  [SMALL_STATE(17050)] = 661715,
  [SMALL_STATE(17051)] = 661729,
  [SMALL_STATE(17052)] = 661743,
  [SMALL_STATE(17053)] = 661757,
  [SMALL_STATE(17054)] = 661771,
  [SMALL_STATE(17055)] = 661785,
  [SMALL_STATE(17056)] = 661799,
  [SMALL_STATE(17057)] = 661813,
  [SMALL_STATE(17058)] = 661827,
  [SMALL_STATE(17059)] = 661841,
  [SMALL_STATE(17060)] = 661855,
  [SMALL_STATE(17061)] = 661869,
  [SMALL_STATE(17062)] = 661883,
  [SMALL_STATE(17063)] = 661897,
  [SMALL_STATE(17064)] = 661911,
  [SMALL_STATE(17065)] = 661925,
  [SMALL_STATE(17066)] = 661939,
  [SMALL_STATE(17067)] = 661953,
  [SMALL_STATE(17068)] = 661967,
  [SMALL_STATE(17069)] = 661981,
  [SMALL_STATE(17070)] = 661995,
  [SMALL_STATE(17071)] = 662009,
  [SMALL_STATE(17072)] = 662023,
  [SMALL_STATE(17073)] = 662037,
  [SMALL_STATE(17074)] = 662051,
  [SMALL_STATE(17075)] = 662065,
  [SMALL_STATE(17076)] = 662079,
  [SMALL_STATE(17077)] = 662093,
  [SMALL_STATE(17078)] = 662107,
  [SMALL_STATE(17079)] = 662121,
  [SMALL_STATE(17080)] = 662135,
  [SMALL_STATE(17081)] = 662149,
  [SMALL_STATE(17082)] = 662163,
  [SMALL_STATE(17083)] = 662177,
  [SMALL_STATE(17084)] = 662191,
  [SMALL_STATE(17085)] = 662205,
  [SMALL_STATE(17086)] = 662219,
  [SMALL_STATE(17087)] = 662233,
  [SMALL_STATE(17088)] = 662247,
  [SMALL_STATE(17089)] = 662261,
  [SMALL_STATE(17090)] = 662275,
  [SMALL_STATE(17091)] = 662289,
  [SMALL_STATE(17092)] = 662303,
  [SMALL_STATE(17093)] = 662317,
  [SMALL_STATE(17094)] = 662331,
  [SMALL_STATE(17095)] = 662345,
  [SMALL_STATE(17096)] = 662359,
  [SMALL_STATE(17097)] = 662373,
  [SMALL_STATE(17098)] = 662387,
  [SMALL_STATE(17099)] = 662401,
  [SMALL_STATE(17100)] = 662415,
  [SMALL_STATE(17101)] = 662429,
  [SMALL_STATE(17102)] = 662443,
  [SMALL_STATE(17103)] = 662457,
  [SMALL_STATE(17104)] = 662471,
  [SMALL_STATE(17105)] = 662485,
  [SMALL_STATE(17106)] = 662499,
  [SMALL_STATE(17107)] = 662513,
  [SMALL_STATE(17108)] = 662527,
  [SMALL_STATE(17109)] = 662541,
  [SMALL_STATE(17110)] = 662555,
  [SMALL_STATE(17111)] = 662569,
  [SMALL_STATE(17112)] = 662583,
  [SMALL_STATE(17113)] = 662597,
  [SMALL_STATE(17114)] = 662611,
  [SMALL_STATE(17115)] = 662625,
  [SMALL_STATE(17116)] = 662639,
  [SMALL_STATE(17117)] = 662653,
  [SMALL_STATE(17118)] = 662667,
  [SMALL_STATE(17119)] = 662681,
  [SMALL_STATE(17120)] = 662695,
  [SMALL_STATE(17121)] = 662709,
  [SMALL_STATE(17122)] = 662723,
  [SMALL_STATE(17123)] = 662737,
  [SMALL_STATE(17124)] = 662751,
  [SMALL_STATE(17125)] = 662765,
  [SMALL_STATE(17126)] = 662779,
  [SMALL_STATE(17127)] = 662793,
  [SMALL_STATE(17128)] = 662807,
  [SMALL_STATE(17129)] = 662821,
  [SMALL_STATE(17130)] = 662835,
  [SMALL_STATE(17131)] = 662849,
  [SMALL_STATE(17132)] = 662863,
  [SMALL_STATE(17133)] = 662877,
  [SMALL_STATE(17134)] = 662891,
  [SMALL_STATE(17135)] = 662905,
  [SMALL_STATE(17136)] = 662919,
  [SMALL_STATE(17137)] = 662933,
  [SMALL_STATE(17138)] = 662947,
  [SMALL_STATE(17139)] = 662961,
  [SMALL_STATE(17140)] = 662975,
  [SMALL_STATE(17141)] = 662989,
  [SMALL_STATE(17142)] = 663003,
  [SMALL_STATE(17143)] = 663017,
  [SMALL_STATE(17144)] = 663031,
  [SMALL_STATE(17145)] = 663045,
  [SMALL_STATE(17146)] = 663059,
  [SMALL_STATE(17147)] = 663073,
  [SMALL_STATE(17148)] = 663087,
  [SMALL_STATE(17149)] = 663101,
  [SMALL_STATE(17150)] = 663115,
  [SMALL_STATE(17151)] = 663129,
  [SMALL_STATE(17152)] = 663143,
  [SMALL_STATE(17153)] = 663157,
  [SMALL_STATE(17154)] = 663171,
  [SMALL_STATE(17155)] = 663185,
  [SMALL_STATE(17156)] = 663199,
  [SMALL_STATE(17157)] = 663213,
  [SMALL_STATE(17158)] = 663227,
  [SMALL_STATE(17159)] = 663241,
  [SMALL_STATE(17160)] = 663255,
  [SMALL_STATE(17161)] = 663269,
  [SMALL_STATE(17162)] = 663283,
  [SMALL_STATE(17163)] = 663297,
  [SMALL_STATE(17164)] = 663311,
  [SMALL_STATE(17165)] = 663325,
  [SMALL_STATE(17166)] = 663339,
  [SMALL_STATE(17167)] = 663353,
  [SMALL_STATE(17168)] = 663367,
  [SMALL_STATE(17169)] = 663381,
  [SMALL_STATE(17170)] = 663395,
  [SMALL_STATE(17171)] = 663409,
  [SMALL_STATE(17172)] = 663423,
  [SMALL_STATE(17173)] = 663437,
  [SMALL_STATE(17174)] = 663451,
  [SMALL_STATE(17175)] = 663465,
  [SMALL_STATE(17176)] = 663479,
  [SMALL_STATE(17177)] = 663493,
  [SMALL_STATE(17178)] = 663507,
  [SMALL_STATE(17179)] = 663521,
  [SMALL_STATE(17180)] = 663535,
  [SMALL_STATE(17181)] = 663549,
  [SMALL_STATE(17182)] = 663563,
  [SMALL_STATE(17183)] = 663577,
  [SMALL_STATE(17184)] = 663591,
  [SMALL_STATE(17185)] = 663605,
  [SMALL_STATE(17186)] = 663619,
  [SMALL_STATE(17187)] = 663633,
  [SMALL_STATE(17188)] = 663647,
  [SMALL_STATE(17189)] = 663661,
  [SMALL_STATE(17190)] = 663675,
  [SMALL_STATE(17191)] = 663689,
  [SMALL_STATE(17192)] = 663703,
  [SMALL_STATE(17193)] = 663717,
  [SMALL_STATE(17194)] = 663731,
  [SMALL_STATE(17195)] = 663745,
  [SMALL_STATE(17196)] = 663759,
  [SMALL_STATE(17197)] = 663773,
  [SMALL_STATE(17198)] = 663787,
  [SMALL_STATE(17199)] = 663801,
  [SMALL_STATE(17200)] = 663815,
  [SMALL_STATE(17201)] = 663829,
  [SMALL_STATE(17202)] = 663843,
  [SMALL_STATE(17203)] = 663857,
  [SMALL_STATE(17204)] = 663871,
  [SMALL_STATE(17205)] = 663885,
  [SMALL_STATE(17206)] = 663899,
  [SMALL_STATE(17207)] = 663913,
  [SMALL_STATE(17208)] = 663927,
  [SMALL_STATE(17209)] = 663941,
  [SMALL_STATE(17210)] = 663955,
  [SMALL_STATE(17211)] = 663969,
  [SMALL_STATE(17212)] = 663983,
  [SMALL_STATE(17213)] = 663997,
  [SMALL_STATE(17214)] = 664011,
  [SMALL_STATE(17215)] = 664025,
  [SMALL_STATE(17216)] = 664039,
  [SMALL_STATE(17217)] = 664053,
  [SMALL_STATE(17218)] = 664067,
  [SMALL_STATE(17219)] = 664081,
  [SMALL_STATE(17220)] = 664095,
  [SMALL_STATE(17221)] = 664109,
  [SMALL_STATE(17222)] = 664123,
  [SMALL_STATE(17223)] = 664137,
  [SMALL_STATE(17224)] = 664151,
  [SMALL_STATE(17225)] = 664165,
  [SMALL_STATE(17226)] = 664179,
  [SMALL_STATE(17227)] = 664193,
  [SMALL_STATE(17228)] = 664207,
  [SMALL_STATE(17229)] = 664221,
  [SMALL_STATE(17230)] = 664235,
  [SMALL_STATE(17231)] = 664249,
  [SMALL_STATE(17232)] = 664263,
  [SMALL_STATE(17233)] = 664277,
  [SMALL_STATE(17234)] = 664291,
  [SMALL_STATE(17235)] = 664305,
  [SMALL_STATE(17236)] = 664319,
  [SMALL_STATE(17237)] = 664333,
  [SMALL_STATE(17238)] = 664347,
  [SMALL_STATE(17239)] = 664361,
  [SMALL_STATE(17240)] = 664375,
  [SMALL_STATE(17241)] = 664389,
  [SMALL_STATE(17242)] = 664403,
  [SMALL_STATE(17243)] = 664417,
  [SMALL_STATE(17244)] = 664431,
  [SMALL_STATE(17245)] = 664445,
  [SMALL_STATE(17246)] = 664459,
  [SMALL_STATE(17247)] = 664473,
  [SMALL_STATE(17248)] = 664487,
  [SMALL_STATE(17249)] = 664501,
  [SMALL_STATE(17250)] = 664515,
  [SMALL_STATE(17251)] = 664529,
  [SMALL_STATE(17252)] = 664543,
  [SMALL_STATE(17253)] = 664557,
  [SMALL_STATE(17254)] = 664571,
  [SMALL_STATE(17255)] = 664585,
  [SMALL_STATE(17256)] = 664599,
  [SMALL_STATE(17257)] = 664613,
  [SMALL_STATE(17258)] = 664627,
  [SMALL_STATE(17259)] = 664641,
  [SMALL_STATE(17260)] = 664655,
  [SMALL_STATE(17261)] = 664669,
  [SMALL_STATE(17262)] = 664683,
  [SMALL_STATE(17263)] = 664697,
  [SMALL_STATE(17264)] = 664711,
  [SMALL_STATE(17265)] = 664725,
  [SMALL_STATE(17266)] = 664739,
  [SMALL_STATE(17267)] = 664753,
  [SMALL_STATE(17268)] = 664767,
  [SMALL_STATE(17269)] = 664781,
  [SMALL_STATE(17270)] = 664795,
  [SMALL_STATE(17271)] = 664809,
  [SMALL_STATE(17272)] = 664823,
  [SMALL_STATE(17273)] = 664837,
  [SMALL_STATE(17274)] = 664851,
  [SMALL_STATE(17275)] = 664865,
  [SMALL_STATE(17276)] = 664879,
  [SMALL_STATE(17277)] = 664893,
  [SMALL_STATE(17278)] = 664907,
  [SMALL_STATE(17279)] = 664921,
  [SMALL_STATE(17280)] = 664935,
  [SMALL_STATE(17281)] = 664949,
  [SMALL_STATE(17282)] = 664963,
  [SMALL_STATE(17283)] = 664977,
  [SMALL_STATE(17284)] = 664991,
  [SMALL_STATE(17285)] = 665005,
  [SMALL_STATE(17286)] = 665019,
  [SMALL_STATE(17287)] = 665033,
  [SMALL_STATE(17288)] = 665047,
  [SMALL_STATE(17289)] = 665061,
  [SMALL_STATE(17290)] = 665075,
  [SMALL_STATE(17291)] = 665089,
  [SMALL_STATE(17292)] = 665103,
  [SMALL_STATE(17293)] = 665117,
  [SMALL_STATE(17294)] = 665131,
  [SMALL_STATE(17295)] = 665145,
  [SMALL_STATE(17296)] = 665159,
  [SMALL_STATE(17297)] = 665173,
  [SMALL_STATE(17298)] = 665187,
  [SMALL_STATE(17299)] = 665201,
  [SMALL_STATE(17300)] = 665215,
  [SMALL_STATE(17301)] = 665229,
  [SMALL_STATE(17302)] = 665243,
  [SMALL_STATE(17303)] = 665257,
  [SMALL_STATE(17304)] = 665271,
  [SMALL_STATE(17305)] = 665285,
  [SMALL_STATE(17306)] = 665299,
  [SMALL_STATE(17307)] = 665313,
  [SMALL_STATE(17308)] = 665327,
  [SMALL_STATE(17309)] = 665341,
  [SMALL_STATE(17310)] = 665355,
  [SMALL_STATE(17311)] = 665369,
  [SMALL_STATE(17312)] = 665383,
  [SMALL_STATE(17313)] = 665397,
  [SMALL_STATE(17314)] = 665411,
  [SMALL_STATE(17315)] = 665425,
  [SMALL_STATE(17316)] = 665439,
  [SMALL_STATE(17317)] = 665453,
  [SMALL_STATE(17318)] = 665467,
  [SMALL_STATE(17319)] = 665481,
  [SMALL_STATE(17320)] = 665495,
  [SMALL_STATE(17321)] = 665509,
  [SMALL_STATE(17322)] = 665523,
  [SMALL_STATE(17323)] = 665537,
  [SMALL_STATE(17324)] = 665551,
  [SMALL_STATE(17325)] = 665565,
  [SMALL_STATE(17326)] = 665579,
  [SMALL_STATE(17327)] = 665593,
  [SMALL_STATE(17328)] = 665607,
  [SMALL_STATE(17329)] = 665621,
  [SMALL_STATE(17330)] = 665635,
  [SMALL_STATE(17331)] = 665649,
  [SMALL_STATE(17332)] = 665663,
  [SMALL_STATE(17333)] = 665677,
  [SMALL_STATE(17334)] = 665691,
  [SMALL_STATE(17335)] = 665705,
  [SMALL_STATE(17336)] = 665719,
  [SMALL_STATE(17337)] = 665733,
  [SMALL_STATE(17338)] = 665747,
  [SMALL_STATE(17339)] = 665761,
  [SMALL_STATE(17340)] = 665775,
  [SMALL_STATE(17341)] = 665789,
  [SMALL_STATE(17342)] = 665803,
  [SMALL_STATE(17343)] = 665817,
  [SMALL_STATE(17344)] = 665831,
  [SMALL_STATE(17345)] = 665845,
  [SMALL_STATE(17346)] = 665859,
  [SMALL_STATE(17347)] = 665873,
  [SMALL_STATE(17348)] = 665887,
  [SMALL_STATE(17349)] = 665901,
  [SMALL_STATE(17350)] = 665915,
  [SMALL_STATE(17351)] = 665929,
  [SMALL_STATE(17352)] = 665943,
  [SMALL_STATE(17353)] = 665957,
  [SMALL_STATE(17354)] = 665971,
  [SMALL_STATE(17355)] = 665985,
  [SMALL_STATE(17356)] = 665999,
  [SMALL_STATE(17357)] = 666013,
  [SMALL_STATE(17358)] = 666027,
  [SMALL_STATE(17359)] = 666041,
  [SMALL_STATE(17360)] = 666055,
  [SMALL_STATE(17361)] = 666069,
  [SMALL_STATE(17362)] = 666083,
  [SMALL_STATE(17363)] = 666097,
  [SMALL_STATE(17364)] = 666111,
  [SMALL_STATE(17365)] = 666125,
  [SMALL_STATE(17366)] = 666139,
  [SMALL_STATE(17367)] = 666153,
  [SMALL_STATE(17368)] = 666167,
  [SMALL_STATE(17369)] = 666181,
  [SMALL_STATE(17370)] = 666195,
  [SMALL_STATE(17371)] = 666209,
  [SMALL_STATE(17372)] = 666223,
  [SMALL_STATE(17373)] = 666237,
  [SMALL_STATE(17374)] = 666251,
  [SMALL_STATE(17375)] = 666265,
  [SMALL_STATE(17376)] = 666279,
  [SMALL_STATE(17377)] = 666293,
  [SMALL_STATE(17378)] = 666307,
  [SMALL_STATE(17379)] = 666321,
  [SMALL_STATE(17380)] = 666335,
  [SMALL_STATE(17381)] = 666349,
  [SMALL_STATE(17382)] = 666363,
  [SMALL_STATE(17383)] = 666377,
  [SMALL_STATE(17384)] = 666391,
  [SMALL_STATE(17385)] = 666405,
  [SMALL_STATE(17386)] = 666419,
  [SMALL_STATE(17387)] = 666433,
  [SMALL_STATE(17388)] = 666447,
  [SMALL_STATE(17389)] = 666461,
  [SMALL_STATE(17390)] = 666475,
  [SMALL_STATE(17391)] = 666489,
  [SMALL_STATE(17392)] = 666503,
  [SMALL_STATE(17393)] = 666517,
  [SMALL_STATE(17394)] = 666531,
  [SMALL_STATE(17395)] = 666545,
  [SMALL_STATE(17396)] = 666559,
  [SMALL_STATE(17397)] = 666573,
  [SMALL_STATE(17398)] = 666587,
  [SMALL_STATE(17399)] = 666601,
  [SMALL_STATE(17400)] = 666615,
  [SMALL_STATE(17401)] = 666629,
  [SMALL_STATE(17402)] = 666643,
  [SMALL_STATE(17403)] = 666657,
  [SMALL_STATE(17404)] = 666671,
  [SMALL_STATE(17405)] = 666685,
  [SMALL_STATE(17406)] = 666699,
  [SMALL_STATE(17407)] = 666713,
  [SMALL_STATE(17408)] = 666727,
  [SMALL_STATE(17409)] = 666741,
  [SMALL_STATE(17410)] = 666755,
  [SMALL_STATE(17411)] = 666769,
  [SMALL_STATE(17412)] = 666783,
  [SMALL_STATE(17413)] = 666797,
  [SMALL_STATE(17414)] = 666811,
  [SMALL_STATE(17415)] = 666825,
  [SMALL_STATE(17416)] = 666839,
  [SMALL_STATE(17417)] = 666853,
  [SMALL_STATE(17418)] = 666867,
  [SMALL_STATE(17419)] = 666881,
  [SMALL_STATE(17420)] = 666895,
  [SMALL_STATE(17421)] = 666909,
  [SMALL_STATE(17422)] = 666923,
  [SMALL_STATE(17423)] = 666937,
  [SMALL_STATE(17424)] = 666951,
  [SMALL_STATE(17425)] = 666965,
  [SMALL_STATE(17426)] = 666979,
  [SMALL_STATE(17427)] = 666993,
  [SMALL_STATE(17428)] = 667007,
  [SMALL_STATE(17429)] = 667021,
  [SMALL_STATE(17430)] = 667035,
  [SMALL_STATE(17431)] = 667049,
  [SMALL_STATE(17432)] = 667063,
  [SMALL_STATE(17433)] = 667077,
  [SMALL_STATE(17434)] = 667091,
  [SMALL_STATE(17435)] = 667105,
  [SMALL_STATE(17436)] = 667119,
  [SMALL_STATE(17437)] = 667133,
  [SMALL_STATE(17438)] = 667147,
  [SMALL_STATE(17439)] = 667161,
  [SMALL_STATE(17440)] = 667175,
  [SMALL_STATE(17441)] = 667189,
  [SMALL_STATE(17442)] = 667203,
  [SMALL_STATE(17443)] = 667217,
  [SMALL_STATE(17444)] = 667231,
  [SMALL_STATE(17445)] = 667245,
  [SMALL_STATE(17446)] = 667259,
  [SMALL_STATE(17447)] = 667273,
  [SMALL_STATE(17448)] = 667287,
  [SMALL_STATE(17449)] = 667301,
  [SMALL_STATE(17450)] = 667315,
  [SMALL_STATE(17451)] = 667329,
  [SMALL_STATE(17452)] = 667343,
  [SMALL_STATE(17453)] = 667357,
  [SMALL_STATE(17454)] = 667371,
  [SMALL_STATE(17455)] = 667385,
  [SMALL_STATE(17456)] = 667399,
  [SMALL_STATE(17457)] = 667413,
  [SMALL_STATE(17458)] = 667427,
  [SMALL_STATE(17459)] = 667441,
  [SMALL_STATE(17460)] = 667455,
  [SMALL_STATE(17461)] = 667469,
  [SMALL_STATE(17462)] = 667483,
  [SMALL_STATE(17463)] = 667497,
  [SMALL_STATE(17464)] = 667511,
  [SMALL_STATE(17465)] = 667525,
  [SMALL_STATE(17466)] = 667539,
  [SMALL_STATE(17467)] = 667553,
  [SMALL_STATE(17468)] = 667567,
  [SMALL_STATE(17469)] = 667581,
  [SMALL_STATE(17470)] = 667595,
  [SMALL_STATE(17471)] = 667609,
  [SMALL_STATE(17472)] = 667623,
  [SMALL_STATE(17473)] = 667637,
  [SMALL_STATE(17474)] = 667651,
  [SMALL_STATE(17475)] = 667665,
  [SMALL_STATE(17476)] = 667679,
  [SMALL_STATE(17477)] = 667693,
  [SMALL_STATE(17478)] = 667707,
  [SMALL_STATE(17479)] = 667721,
  [SMALL_STATE(17480)] = 667735,
  [SMALL_STATE(17481)] = 667749,
  [SMALL_STATE(17482)] = 667763,
  [SMALL_STATE(17483)] = 667777,
  [SMALL_STATE(17484)] = 667791,
  [SMALL_STATE(17485)] = 667805,
  [SMALL_STATE(17486)] = 667819,
  [SMALL_STATE(17487)] = 667833,
  [SMALL_STATE(17488)] = 667847,
  [SMALL_STATE(17489)] = 667861,
  [SMALL_STATE(17490)] = 667875,
  [SMALL_STATE(17491)] = 667889,
  [SMALL_STATE(17492)] = 667903,
  [SMALL_STATE(17493)] = 667917,
  [SMALL_STATE(17494)] = 667931,
  [SMALL_STATE(17495)] = 667945,
  [SMALL_STATE(17496)] = 667959,
  [SMALL_STATE(17497)] = 667973,
  [SMALL_STATE(17498)] = 667987,
  [SMALL_STATE(17499)] = 668001,
  [SMALL_STATE(17500)] = 668015,
  [SMALL_STATE(17501)] = 668029,
  [SMALL_STATE(17502)] = 668043,
  [SMALL_STATE(17503)] = 668057,
  [SMALL_STATE(17504)] = 668071,
  [SMALL_STATE(17505)] = 668085,
  [SMALL_STATE(17506)] = 668099,
  [SMALL_STATE(17507)] = 668113,
  [SMALL_STATE(17508)] = 668127,
  [SMALL_STATE(17509)] = 668141,
  [SMALL_STATE(17510)] = 668155,
  [SMALL_STATE(17511)] = 668169,
  [SMALL_STATE(17512)] = 668183,
  [SMALL_STATE(17513)] = 668197,
  [SMALL_STATE(17514)] = 668211,
  [SMALL_STATE(17515)] = 668225,
  [SMALL_STATE(17516)] = 668239,
  [SMALL_STATE(17517)] = 668253,
  [SMALL_STATE(17518)] = 668267,
  [SMALL_STATE(17519)] = 668281,
  [SMALL_STATE(17520)] = 668295,
  [SMALL_STATE(17521)] = 668309,
  [SMALL_STATE(17522)] = 668323,
  [SMALL_STATE(17523)] = 668337,
  [SMALL_STATE(17524)] = 668351,
  [SMALL_STATE(17525)] = 668365,
  [SMALL_STATE(17526)] = 668379,
  [SMALL_STATE(17527)] = 668393,
  [SMALL_STATE(17528)] = 668407,
  [SMALL_STATE(17529)] = 668421,
  [SMALL_STATE(17530)] = 668435,
  [SMALL_STATE(17531)] = 668449,
  [SMALL_STATE(17532)] = 668463,
  [SMALL_STATE(17533)] = 668477,
  [SMALL_STATE(17534)] = 668491,
  [SMALL_STATE(17535)] = 668505,
  [SMALL_STATE(17536)] = 668519,
  [SMALL_STATE(17537)] = 668533,
  [SMALL_STATE(17538)] = 668547,
  [SMALL_STATE(17539)] = 668561,
  [SMALL_STATE(17540)] = 668575,
  [SMALL_STATE(17541)] = 668589,
  [SMALL_STATE(17542)] = 668603,
  [SMALL_STATE(17543)] = 668617,
  [SMALL_STATE(17544)] = 668631,
  [SMALL_STATE(17545)] = 668645,
  [SMALL_STATE(17546)] = 668659,
  [SMALL_STATE(17547)] = 668673,
  [SMALL_STATE(17548)] = 668687,
  [SMALL_STATE(17549)] = 668701,
  [SMALL_STATE(17550)] = 668715,
  [SMALL_STATE(17551)] = 668729,
  [SMALL_STATE(17552)] = 668743,
  [SMALL_STATE(17553)] = 668757,
  [SMALL_STATE(17554)] = 668771,
  [SMALL_STATE(17555)] = 668785,
  [SMALL_STATE(17556)] = 668799,
  [SMALL_STATE(17557)] = 668813,
  [SMALL_STATE(17558)] = 668827,
  [SMALL_STATE(17559)] = 668841,
  [SMALL_STATE(17560)] = 668855,
  [SMALL_STATE(17561)] = 668869,
  [SMALL_STATE(17562)] = 668883,
  [SMALL_STATE(17563)] = 668897,
  [SMALL_STATE(17564)] = 668911,
  [SMALL_STATE(17565)] = 668925,
  [SMALL_STATE(17566)] = 668939,
  [SMALL_STATE(17567)] = 668953,
  [SMALL_STATE(17568)] = 668967,
  [SMALL_STATE(17569)] = 668981,
  [SMALL_STATE(17570)] = 668995,
  [SMALL_STATE(17571)] = 669009,
  [SMALL_STATE(17572)] = 669023,
  [SMALL_STATE(17573)] = 669037,
  [SMALL_STATE(17574)] = 669051,
  [SMALL_STATE(17575)] = 669065,
  [SMALL_STATE(17576)] = 669079,
  [SMALL_STATE(17577)] = 669093,
  [SMALL_STATE(17578)] = 669107,
  [SMALL_STATE(17579)] = 669121,
  [SMALL_STATE(17580)] = 669135,
  [SMALL_STATE(17581)] = 669149,
  [SMALL_STATE(17582)] = 669163,
  [SMALL_STATE(17583)] = 669177,
  [SMALL_STATE(17584)] = 669191,
  [SMALL_STATE(17585)] = 669205,
  [SMALL_STATE(17586)] = 669219,
  [SMALL_STATE(17587)] = 669233,
  [SMALL_STATE(17588)] = 669247,
  [SMALL_STATE(17589)] = 669261,
  [SMALL_STATE(17590)] = 669275,
  [SMALL_STATE(17591)] = 669289,
  [SMALL_STATE(17592)] = 669303,
  [SMALL_STATE(17593)] = 669317,
  [SMALL_STATE(17594)] = 669331,
  [SMALL_STATE(17595)] = 669345,
  [SMALL_STATE(17596)] = 669359,
  [SMALL_STATE(17597)] = 669373,
  [SMALL_STATE(17598)] = 669387,
  [SMALL_STATE(17599)] = 669401,
  [SMALL_STATE(17600)] = 669415,
  [SMALL_STATE(17601)] = 669429,
  [SMALL_STATE(17602)] = 669443,
  [SMALL_STATE(17603)] = 669457,
  [SMALL_STATE(17604)] = 669471,
  [SMALL_STATE(17605)] = 669485,
  [SMALL_STATE(17606)] = 669499,
  [SMALL_STATE(17607)] = 669513,
  [SMALL_STATE(17608)] = 669527,
  [SMALL_STATE(17609)] = 669541,
  [SMALL_STATE(17610)] = 669555,
  [SMALL_STATE(17611)] = 669569,
  [SMALL_STATE(17612)] = 669583,
  [SMALL_STATE(17613)] = 669597,
  [SMALL_STATE(17614)] = 669611,
  [SMALL_STATE(17615)] = 669625,
  [SMALL_STATE(17616)] = 669639,
  [SMALL_STATE(17617)] = 669653,
  [SMALL_STATE(17618)] = 669667,
  [SMALL_STATE(17619)] = 669681,
  [SMALL_STATE(17620)] = 669695,
  [SMALL_STATE(17621)] = 669709,
  [SMALL_STATE(17622)] = 669723,
  [SMALL_STATE(17623)] = 669737,
  [SMALL_STATE(17624)] = 669751,
  [SMALL_STATE(17625)] = 669765,
  [SMALL_STATE(17626)] = 669779,
  [SMALL_STATE(17627)] = 669793,
  [SMALL_STATE(17628)] = 669807,
  [SMALL_STATE(17629)] = 669821,
  [SMALL_STATE(17630)] = 669835,
  [SMALL_STATE(17631)] = 669849,
  [SMALL_STATE(17632)] = 669863,
  [SMALL_STATE(17633)] = 669877,
  [SMALL_STATE(17634)] = 669891,
  [SMALL_STATE(17635)] = 669905,
  [SMALL_STATE(17636)] = 669919,
  [SMALL_STATE(17637)] = 669933,
  [SMALL_STATE(17638)] = 669947,
  [SMALL_STATE(17639)] = 669961,
  [SMALL_STATE(17640)] = 669975,
  [SMALL_STATE(17641)] = 669989,
  [SMALL_STATE(17642)] = 670003,
  [SMALL_STATE(17643)] = 670017,
  [SMALL_STATE(17644)] = 670031,
  [SMALL_STATE(17645)] = 670045,
  [SMALL_STATE(17646)] = 670059,
  [SMALL_STATE(17647)] = 670073,
  [SMALL_STATE(17648)] = 670087,
  [SMALL_STATE(17649)] = 670101,
  [SMALL_STATE(17650)] = 670115,
  [SMALL_STATE(17651)] = 670129,
  [SMALL_STATE(17652)] = 670143,
  [SMALL_STATE(17653)] = 670157,
  [SMALL_STATE(17654)] = 670171,
  [SMALL_STATE(17655)] = 670185,
  [SMALL_STATE(17656)] = 670199,
  [SMALL_STATE(17657)] = 670213,
  [SMALL_STATE(17658)] = 670227,
  [SMALL_STATE(17659)] = 670241,
  [SMALL_STATE(17660)] = 670255,
  [SMALL_STATE(17661)] = 670269,
  [SMALL_STATE(17662)] = 670283,
  [SMALL_STATE(17663)] = 670297,
  [SMALL_STATE(17664)] = 670311,
  [SMALL_STATE(17665)] = 670325,
  [SMALL_STATE(17666)] = 670339,
  [SMALL_STATE(17667)] = 670353,
  [SMALL_STATE(17668)] = 670367,
  [SMALL_STATE(17669)] = 670381,
  [SMALL_STATE(17670)] = 670395,
  [SMALL_STATE(17671)] = 670409,
  [SMALL_STATE(17672)] = 670423,
  [SMALL_STATE(17673)] = 670437,
  [SMALL_STATE(17674)] = 670451,
  [SMALL_STATE(17675)] = 670465,
  [SMALL_STATE(17676)] = 670479,
  [SMALL_STATE(17677)] = 670493,
  [SMALL_STATE(17678)] = 670507,
  [SMALL_STATE(17679)] = 670521,
  [SMALL_STATE(17680)] = 670535,
  [SMALL_STATE(17681)] = 670549,
  [SMALL_STATE(17682)] = 670563,
  [SMALL_STATE(17683)] = 670577,
  [SMALL_STATE(17684)] = 670591,
  [SMALL_STATE(17685)] = 670605,
  [SMALL_STATE(17686)] = 670619,
  [SMALL_STATE(17687)] = 670633,
  [SMALL_STATE(17688)] = 670647,
  [SMALL_STATE(17689)] = 670661,
  [SMALL_STATE(17690)] = 670675,
  [SMALL_STATE(17691)] = 670689,
  [SMALL_STATE(17692)] = 670703,
  [SMALL_STATE(17693)] = 670717,
  [SMALL_STATE(17694)] = 670731,
  [SMALL_STATE(17695)] = 670745,
  [SMALL_STATE(17696)] = 670759,
  [SMALL_STATE(17697)] = 670773,
  [SMALL_STATE(17698)] = 670787,
  [SMALL_STATE(17699)] = 670801,
  [SMALL_STATE(17700)] = 670815,
  [SMALL_STATE(17701)] = 670829,
  [SMALL_STATE(17702)] = 670843,
  [SMALL_STATE(17703)] = 670857,
  [SMALL_STATE(17704)] = 670871,
  [SMALL_STATE(17705)] = 670885,
  [SMALL_STATE(17706)] = 670899,
  [SMALL_STATE(17707)] = 670913,
  [SMALL_STATE(17708)] = 670927,
  [SMALL_STATE(17709)] = 670941,
  [SMALL_STATE(17710)] = 670955,
  [SMALL_STATE(17711)] = 670969,
  [SMALL_STATE(17712)] = 670983,
  [SMALL_STATE(17713)] = 670997,
  [SMALL_STATE(17714)] = 671011,
  [SMALL_STATE(17715)] = 671025,
  [SMALL_STATE(17716)] = 671039,
  [SMALL_STATE(17717)] = 671053,
  [SMALL_STATE(17718)] = 671067,
  [SMALL_STATE(17719)] = 671081,
  [SMALL_STATE(17720)] = 671095,
  [SMALL_STATE(17721)] = 671109,
  [SMALL_STATE(17722)] = 671123,
  [SMALL_STATE(17723)] = 671137,
  [SMALL_STATE(17724)] = 671151,
  [SMALL_STATE(17725)] = 671165,
  [SMALL_STATE(17726)] = 671179,
  [SMALL_STATE(17727)] = 671193,
  [SMALL_STATE(17728)] = 671207,
  [SMALL_STATE(17729)] = 671221,
  [SMALL_STATE(17730)] = 671235,
  [SMALL_STATE(17731)] = 671249,
  [SMALL_STATE(17732)] = 671263,
  [SMALL_STATE(17733)] = 671277,
  [SMALL_STATE(17734)] = 671291,
  [SMALL_STATE(17735)] = 671305,
  [SMALL_STATE(17736)] = 671319,
  [SMALL_STATE(17737)] = 671333,
  [SMALL_STATE(17738)] = 671347,
  [SMALL_STATE(17739)] = 671361,
  [SMALL_STATE(17740)] = 671375,
  [SMALL_STATE(17741)] = 671389,
  [SMALL_STATE(17742)] = 671403,
  [SMALL_STATE(17743)] = 671417,
  [SMALL_STATE(17744)] = 671431,
  [SMALL_STATE(17745)] = 671445,
  [SMALL_STATE(17746)] = 671459,
  [SMALL_STATE(17747)] = 671473,
  [SMALL_STATE(17748)] = 671487,
  [SMALL_STATE(17749)] = 671501,
  [SMALL_STATE(17750)] = 671515,
  [SMALL_STATE(17751)] = 671529,
  [SMALL_STATE(17752)] = 671543,
  [SMALL_STATE(17753)] = 671557,
  [SMALL_STATE(17754)] = 671571,
  [SMALL_STATE(17755)] = 671585,
  [SMALL_STATE(17756)] = 671599,
  [SMALL_STATE(17757)] = 671613,
  [SMALL_STATE(17758)] = 671627,
  [SMALL_STATE(17759)] = 671641,
  [SMALL_STATE(17760)] = 671655,
  [SMALL_STATE(17761)] = 671669,
  [SMALL_STATE(17762)] = 671683,
  [SMALL_STATE(17763)] = 671697,
  [SMALL_STATE(17764)] = 671711,
  [SMALL_STATE(17765)] = 671725,
  [SMALL_STATE(17766)] = 671739,
  [SMALL_STATE(17767)] = 671753,
  [SMALL_STATE(17768)] = 671767,
  [SMALL_STATE(17769)] = 671781,
  [SMALL_STATE(17770)] = 671795,
  [SMALL_STATE(17771)] = 671809,
  [SMALL_STATE(17772)] = 671823,
  [SMALL_STATE(17773)] = 671837,
  [SMALL_STATE(17774)] = 671851,
  [SMALL_STATE(17775)] = 671865,
  [SMALL_STATE(17776)] = 671879,
  [SMALL_STATE(17777)] = 671893,
  [SMALL_STATE(17778)] = 671907,
  [SMALL_STATE(17779)] = 671921,
  [SMALL_STATE(17780)] = 671935,
  [SMALL_STATE(17781)] = 671949,
  [SMALL_STATE(17782)] = 671963,
  [SMALL_STATE(17783)] = 671977,
  [SMALL_STATE(17784)] = 671991,
  [SMALL_STATE(17785)] = 672005,
  [SMALL_STATE(17786)] = 672019,
  [SMALL_STATE(17787)] = 672033,
  [SMALL_STATE(17788)] = 672047,
  [SMALL_STATE(17789)] = 672061,
  [SMALL_STATE(17790)] = 672075,
  [SMALL_STATE(17791)] = 672089,
  [SMALL_STATE(17792)] = 672103,
  [SMALL_STATE(17793)] = 672117,
  [SMALL_STATE(17794)] = 672131,
  [SMALL_STATE(17795)] = 672145,
  [SMALL_STATE(17796)] = 672159,
  [SMALL_STATE(17797)] = 672173,
  [SMALL_STATE(17798)] = 672187,
  [SMALL_STATE(17799)] = 672201,
  [SMALL_STATE(17800)] = 672215,
  [SMALL_STATE(17801)] = 672229,
  [SMALL_STATE(17802)] = 672243,
  [SMALL_STATE(17803)] = 672257,
  [SMALL_STATE(17804)] = 672271,
  [SMALL_STATE(17805)] = 672285,
  [SMALL_STATE(17806)] = 672299,
  [SMALL_STATE(17807)] = 672313,
  [SMALL_STATE(17808)] = 672327,
  [SMALL_STATE(17809)] = 672341,
  [SMALL_STATE(17810)] = 672355,
  [SMALL_STATE(17811)] = 672369,
  [SMALL_STATE(17812)] = 672383,
  [SMALL_STATE(17813)] = 672397,
  [SMALL_STATE(17814)] = 672411,
  [SMALL_STATE(17815)] = 672425,
  [SMALL_STATE(17816)] = 672439,
  [SMALL_STATE(17817)] = 672453,
  [SMALL_STATE(17818)] = 672467,
  [SMALL_STATE(17819)] = 672481,
  [SMALL_STATE(17820)] = 672495,
  [SMALL_STATE(17821)] = 672509,
  [SMALL_STATE(17822)] = 672523,
  [SMALL_STATE(17823)] = 672537,
  [SMALL_STATE(17824)] = 672551,
  [SMALL_STATE(17825)] = 672565,
  [SMALL_STATE(17826)] = 672579,
  [SMALL_STATE(17827)] = 672593,
  [SMALL_STATE(17828)] = 672607,
  [SMALL_STATE(17829)] = 672621,
  [SMALL_STATE(17830)] = 672635,
  [SMALL_STATE(17831)] = 672649,
  [SMALL_STATE(17832)] = 672663,
  [SMALL_STATE(17833)] = 672677,
  [SMALL_STATE(17834)] = 672691,
  [SMALL_STATE(17835)] = 672705,
  [SMALL_STATE(17836)] = 672719,
  [SMALL_STATE(17837)] = 672733,
  [SMALL_STATE(17838)] = 672747,
  [SMALL_STATE(17839)] = 672761,
  [SMALL_STATE(17840)] = 672775,
  [SMALL_STATE(17841)] = 672789,
  [SMALL_STATE(17842)] = 672803,
  [SMALL_STATE(17843)] = 672817,
  [SMALL_STATE(17844)] = 672831,
  [SMALL_STATE(17845)] = 672845,
  [SMALL_STATE(17846)] = 672859,
  [SMALL_STATE(17847)] = 672873,
  [SMALL_STATE(17848)] = 672887,
  [SMALL_STATE(17849)] = 672901,
  [SMALL_STATE(17850)] = 672915,
  [SMALL_STATE(17851)] = 672929,
  [SMALL_STATE(17852)] = 672943,
  [SMALL_STATE(17853)] = 672957,
  [SMALL_STATE(17854)] = 672971,
  [SMALL_STATE(17855)] = 672985,
  [SMALL_STATE(17856)] = 672999,
  [SMALL_STATE(17857)] = 673013,
  [SMALL_STATE(17858)] = 673027,
  [SMALL_STATE(17859)] = 673041,
  [SMALL_STATE(17860)] = 673055,
  [SMALL_STATE(17861)] = 673069,
  [SMALL_STATE(17862)] = 673083,
  [SMALL_STATE(17863)] = 673097,
  [SMALL_STATE(17864)] = 673111,
  [SMALL_STATE(17865)] = 673125,
  [SMALL_STATE(17866)] = 673139,
  [SMALL_STATE(17867)] = 673153,
  [SMALL_STATE(17868)] = 673167,
  [SMALL_STATE(17869)] = 673181,
  [SMALL_STATE(17870)] = 673195,
  [SMALL_STATE(17871)] = 673209,
  [SMALL_STATE(17872)] = 673223,
  [SMALL_STATE(17873)] = 673237,
  [SMALL_STATE(17874)] = 673251,
  [SMALL_STATE(17875)] = 673265,
  [SMALL_STATE(17876)] = 673269,
  [SMALL_STATE(17877)] = 673273,
  [SMALL_STATE(17878)] = 673277,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15000),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14860),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4485),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12409),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16105),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11946),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12468),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12482),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12503),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7509),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11871),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11849),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4267),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4253),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9374),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8765),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9456),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12153),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12250),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7366),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6644),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5442),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5437),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4142),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4144),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12300),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12323),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9472),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10306),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10306),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10296),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10305),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10432),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5080),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6480),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4143),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4250),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3874),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4396),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11996),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12174),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6757),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5066),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4163),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14443),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12329),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12383),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8953),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7602),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7603),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7605),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9570),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10917),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10963),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10568),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10308),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9816),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9438),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13271),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13099),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10368),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10005),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10290),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9764),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12936),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10654),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11570),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10663),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10198),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11733),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7963),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11040),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13614),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10006),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12683),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13327),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11139),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9858),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9802),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10709),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11141),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14307),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14037),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10269),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11657),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8328),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10793),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14071),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10522),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12793),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10520),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10340),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11900),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10911),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12046),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10033),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10164),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9603),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9296),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9142),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9957),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12808),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10605),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13138),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10245),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9308),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9645),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11682),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10182),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13428),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8244),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11017),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9791),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13460),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9443),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13062),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15986),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10806),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12240),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13299),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14025),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10623),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10687),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11802),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13058),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9882),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10607),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11431),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16589),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10438),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10755),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10097),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4072),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9523),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 2, 0, 0),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9263),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10885),
  [441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 3, 0, 0),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8276),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 1, 0, 0),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9640),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9403),
  [463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 4, 0, 0),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9627),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10282),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5547),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12391),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4064),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12464),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12459),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12450),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7698),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11960),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11962),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4252),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4425),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4249),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11972),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12387),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6852),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4157),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14618),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12206),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12494),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9663),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9490),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9497),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9662),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16141),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8757),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16883),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9257),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14191),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16536),
  [569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 2, 0, 25),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3877),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4246),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5085),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14369),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8784),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 2, 0, 25),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16079),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3892),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4247),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5076),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14398),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8841),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16075),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14291),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14657),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14652),
  [637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 2, 0, 0),
  [639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 2, 0, 0),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14512),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14665),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11189),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5277),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14235),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14669),
  [653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 3, 0, 0),
  [655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 3, 0, 0),
  [657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_block, 3, 0, 0),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11447),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5556),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_block, 2, 0, 0),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5547),
  [668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0),
  [670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(140),
  [673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(7698),
  [676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2318),
  [679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5556),
  [682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(674),
  [685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1004),
  [688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(3880),
  [691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(981),
  [694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(4425),
  [697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12666),
  [700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2350),
  [703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1803),
  [706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2151),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12206),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12494),
  [717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5547),
  [720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9663),
  [723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9490),
  [726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9490),
  [729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9497),
  [732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9662),
  [735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(695),
  [738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2132),
  [741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2270),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9489),
  [749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5080),
  [752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(148),
  [755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(6480),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2300),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5277),
  [764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(641),
  [767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1257),
  [770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(3874),
  [773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1248),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(4396),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12915),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2348),
  [785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(1808),
  [788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2323),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12329),
  [794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(12383),
  [797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(5080),
  [800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(9523),
  [803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(7602),
  [806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(7602),
  [809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(7603),
  [812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(7605),
  [815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(724),
  [818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2242),
  [821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(2178),
  [824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(157),
  [827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_self_type, 2, 1, 0), SHIFT(7591),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5885),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8027),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5947),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4401),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12179),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12407),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8258),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8255),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8253),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9616),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4544),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10275),
  [892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2, 0, 0),
  [896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2, 0, 0),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4871),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4524),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4430),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12699),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12401),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12215),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5635),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5606),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4617),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10343),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5256),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4741),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4393),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12577),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12463),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6131),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6642),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4603),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10136),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5359),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4613),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4405),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12247),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12330),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5360),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6307),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6311),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6041),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4947),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10193),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5725),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4958),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4440),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12231),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12364),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5795),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6958),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6960),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6943),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10351),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5630),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4876),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4435),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12636),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12514),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5789),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6914),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6918),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7151),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6911),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5433),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10201),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6523),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5429),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4418),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12363),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12578),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6388),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7578),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7579),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7406),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5011),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10254),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5538),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5028),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4447),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12312),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12292),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5718),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7200),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7167),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7276),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 1, 0, 0),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [1158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12785),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6491),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [1166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [1172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [1174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3847),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12942),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7193),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [1190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5670),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10421),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7283),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5671),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4388),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12553),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12356),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6818),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8537),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8538),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8388),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [1232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12978),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7125),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [1244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5231),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10392),
  [1250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6219),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5338),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4390),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12630),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12175),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6631),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8009),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [1276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8010),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7626),
  [1280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5590),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10441),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7123),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5591),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4443),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12254),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12518),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6811),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8127),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8127),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8131),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8592),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8110),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4415),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10396),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7528),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4458),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12498),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12399),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7467),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8942),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8942),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8848),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9085),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12886),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7152),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6647),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10165),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7625),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6577),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4428),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12291),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12507),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7879),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8909),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8912),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9273),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12677),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7997),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3878),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12950),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7905),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5464),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10416),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6957),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5475),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4436),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12500),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12610),
  [1466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [1468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6679),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8628),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [1474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8623),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8423),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [1482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3868),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12884),
  [1488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6986),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [1498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3891),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12649),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7082),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5790),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10214),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6985),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [1522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5782),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12345),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12557),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [1536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6913),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8382),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8381),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8426),
  [1546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12830),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7026),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [1560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12645),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7571),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [1584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3865),
  [1586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12705),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6443),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [1596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10371),
  [1598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6422),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4478),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10279),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8576),
  [1608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4481),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3764),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12506),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12551),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8243),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9434),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9434),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9432),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9651),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9435),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12791),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7395),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4557),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10244),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8413),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4559),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4389),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12541),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12501),
  [1674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8390),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9467),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9467),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9470),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9454),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12782),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7523),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6198),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10243),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7481),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6189),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4452),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12435),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12631),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7812),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9096),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9051),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8768),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9111),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12665),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7696),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12947),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8081),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12831),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6649),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12868),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8419),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12814),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8011),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6565),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10151),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7505),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6526),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4423),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3841),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12214),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12436),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7989),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8727),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8727),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8732),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8863),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3861),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12875),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7835),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3895),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12739),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8337),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3855),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12861),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8096),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4744),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10352),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9232),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4716),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4462),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3842),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12611),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12311),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9194),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10026),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10026),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10024),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9825),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10107),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3844),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12696),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8315),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12921),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8172),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4691),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10294),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9266),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4616),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4433),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3843),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12326),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12255),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8833),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9852),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9852),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9849),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9946),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9855),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12844),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7740),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12972),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7135),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10263),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3845),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8119),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3853),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12726),
  [2074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7962),
  [2076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [2078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3857),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12885),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8465),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13007),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8108),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4105),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12952),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8107),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [2138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4090),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4080),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3902),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12772),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8786),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3849),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12713),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8266),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12919),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9921),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4102),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12857),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4083),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4119),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4121),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4082),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3869),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13010),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10007),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12909),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10364),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8084),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9357),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4088),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4084),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12810),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9396),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4126),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3888),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12767),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9503),
  [2308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12998),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8962),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4109),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13017),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8317),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [2352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4118),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4104),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4092),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12762),
  [2376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8804),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [2380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [2382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [2386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3875),
  [2390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [2392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12690),
  [2394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7759),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4081),
  [2402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [2404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [2406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [2408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [2410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12670),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8882),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [2418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4085),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4115),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [2426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3848),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12879),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7733),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4098),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3872),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12751),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8297),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4103),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3864),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12977),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8115),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3883),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12840),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9229),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4106),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10311),
  [2506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3846),
  [2508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5885),
  [2511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [2513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(145),
  [2516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [2518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5947),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3866),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12834),
  [2531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3846),
  [2534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1822),
  [2537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5885),
  [2540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(10325),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [2547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2184),
  [2550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4544),
  [2553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(131),
  [2556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4524),
  [2559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2487),
  [2562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1824),
  [2565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4544),
  [2568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6491),
  [2571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2330),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8258),
  [2581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6565),
  [2584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(129),
  [2587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6526),
  [2590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3841),
  [2593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1827),
  [2596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6565),
  [2599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(10007),
  [2602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2333),
  [2605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5590),
  [2608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(135),
  [2611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5591),
  [2614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2980),
  [2617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1828),
  [2620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5590),
  [2623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7696),
  [2626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2308),
  [2629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5231),
  [2632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(123),
  [2635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5338),
  [2638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3010),
  [2641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1806),
  [2644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5231),
  [2647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7523),
  [2650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2153),
  [2653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4557),
  [2656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(143),
  [2659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4559),
  [2662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3838),
  [2665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1820),
  [2668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4557),
  [2671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8081),
  [2674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2147),
  [2677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4889),
  [2680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(138),
  [2683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4876),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [2688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2576),
  [2691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1816),
  [2694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4889),
  [2697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7733),
  [2700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2278),
  [2703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8804),
  [2706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4947),
  [2709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(130),
  [2712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4958),
  [2715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2579),
  [2718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1811),
  [2721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4947),
  [2724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7193),
  [2727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2304),
  [2730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4603),
  [2733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(142),
  [2736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4613),
  [2739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2570),
  [2742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1817),
  [2745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4603),
  [2748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7026),
  [2751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5011),
  [2754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(146),
  [2757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5028),
  [2760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2578),
  [2763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1800),
  [2766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5011),
  [2769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8172),
  [2772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2332),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12999),
  [2785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(10443),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [2792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4415),
  [2795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(141),
  [2798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4387),
  [2801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2601),
  [2804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1821),
  [2807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4415),
  [2810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7997),
  [2813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6647),
  [2816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(128),
  [2819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6577),
  [2822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [2824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3089),
  [2827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1825),
  [2830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6647),
  [2833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8297),
  [2836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2268),
  [2839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7740),
  [2842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7905),
  [2845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5080),
  [2848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(148),
  [2851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5277),
  [2854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [2856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2348),
  [2859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1808),
  [2862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5080),
  [2865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8115),
  [2868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2178),
  [2871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5790),
  [2874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(139),
  [2877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5782),
  [2880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3482),
  [2883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1805),
  [2886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5790),
  [2889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8419),
  [2892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2248),
  [2895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5464),
  [2898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(137),
  [2901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5475),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [2910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12720),
  [2914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3442),
  [2917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1826),
  [2920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5464),
  [2923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9410),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [2928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [2930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2291),
  [2933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8108),
  [2936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4485),
  [2939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(147),
  [2942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8084),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13008),
  [2947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2349),
  [2950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1814),
  [2953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4485),
  [2956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9472),
  [2959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4478),
  [2962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(125),
  [2965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4481),
  [2968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3764),
  [2971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1804),
  [2974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4478),
  [2977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8096),
  [2980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2177),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [2985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7962),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12666),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12738),
  [2998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8331),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [3004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5547),
  [3007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(140),
  [3010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5556),
  [3013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2350),
  [3016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1803),
  [3019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5547),
  [3022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9663),
  [3025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2270),
  [3028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3845),
  [3031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8784),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [3036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8331),
  [3039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6443),
  [3042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6198),
  [3045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(126),
  [3048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6189),
  [3051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3107),
  [3054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1810),
  [3057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6198),
  [3060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8465),
  [3063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2189),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12915),
  [3068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9523),
  [3071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7152),
  [3074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4691),
  [3077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(120),
  [3080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4616),
  [3083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3843),
  [3086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1809),
  [3089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4691),
  [3092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9229),
  [3095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7759),
  [3098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4617),
  [3101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(124),
  [3104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4741),
  [3107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2566),
  [3110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1801),
  [3113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4617),
  [3116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7395),
  [3119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9396),
  [3122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5433),
  [3125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(127),
  [3128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5429),
  [3131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2577),
  [3134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1819),
  [3137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5433),
  [3140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7125),
  [3143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2226),
  [3146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8882),
  [3149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8317),
  [3152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8962),
  [3155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9503),
  [3158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6986),
  [3161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8315),
  [3164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5670),
  [3167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(134),
  [3170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5671),
  [3173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2604),
  [3176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1818),
  [3179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(5670),
  [3182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7571),
  [3185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2235),
  [3188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3844),
  [3191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8841),
  [3194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9921),
  [3197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7082),
  [3200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [3204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [3206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [3208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12802),
  [3210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(9522),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12982),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8853),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [3231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7835),
  [3234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8266),
  [3237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8107),
  [3240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(7135),
  [3243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(6649),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [3248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8853),
  [3251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8337),
  [3254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4744),
  [3257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(121),
  [3260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4716),
  [3263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3842),
  [3266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1813),
  [3269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(4744),
  [3272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8786),
  [3275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(8011),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10325),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [3290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9410),
  [3292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9522),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10304),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4419),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12523),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12229),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10458),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10679),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10679),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10688),
  [3316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10804),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10681),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10443),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12484),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [3330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8286),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8363),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9186),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12416),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [3390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [3394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [3398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [3406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10246),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10145),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [3422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8395),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [3430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [3454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [3458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9164),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14226),
  [3486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [3490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [3494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9165),
  [3502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [3514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13094),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [3522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9274),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9260),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9441),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [3562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13446),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13846),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8294),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [3618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11368),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9987),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [3646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10739),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13001),
  [3686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14324),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8111),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [3738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12887),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [3778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12212),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9463),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12757),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9862),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8216),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10480),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8943),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8099),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9910),
  [3866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [3868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9591),
  [3874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [3876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10221),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [3886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [3888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [3894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8563),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9539),
  [3906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10798),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [3922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [3930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10092),
  [3942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [3946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [3972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [3978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [3982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exprs_in_parens, 3, 0, 0),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [4000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [4012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [4014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [4016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exprs_in_parens, 2, 0, 0),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9316),
  [4020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [4024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [4026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [4028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [4032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [4038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [4040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [4042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [4044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [4046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [4048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [4050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [4052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [4056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [4058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [4062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [4068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [4074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [4076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [4078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [4080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [4084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [4086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [4088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [4090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [4092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [4096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [4098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [4102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [4104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [4106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [4108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [4110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [4112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [4114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [4116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [4118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [4122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [4130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_modifier, 1, 0, 0),
  [4132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__soft_identifier, 1, 0, 0),
  [4134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_modifier, 1, 0, 0),
  [4136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__soft_identifier, 1, 0, 0),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5535),
  [4140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17444),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6385),
  [4146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11515),
  [4150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5578),
  [4152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8914),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10008),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10461),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10461),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10459),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10468),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9954),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7140),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4931),
  [4180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17786),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5435),
  [4186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3131),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11707),
  [4190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4930),
  [4192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8817),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [4198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5127),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9920),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9920),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9925),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9918),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6542),
  [4212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17557),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7126),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11581),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6579),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9295),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [4230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7349),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10866),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10866),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10810),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10855),
  [4242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9951),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8053),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17409),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8377),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11470),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7912),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8951),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8583),
  [4268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11143),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11143),
  [4272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11144),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11297),
  [4278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10126),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4713),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17757),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [4290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3235),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11658),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4674),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8839),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4796),
  [4304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9355),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9355),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9354),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5658),
  [4316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17788),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6197),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11718),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5662),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8846),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6321),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10565),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10565),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10574),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10563),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5171),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17545),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [4352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3612),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11577),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5156),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9236),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [4368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10323),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10323),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10324),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10319),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10035),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5755),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17722),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6508),
  [4390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11642),
  [4394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5775),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9029),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [4402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6532),
  [4404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10452),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10452),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10450),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10457),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9895),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10069),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9952),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5702),
  [4426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17766),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6068),
  [4432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3169),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11677),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5706),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8769),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6275),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10602),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10602),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10606),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10566),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5710),
  [4456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17763),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6122),
  [4462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11675),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5713),
  [4468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8813),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6457),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10498),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10498),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10467),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10495),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9943),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9933),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5408),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17677),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5672),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11613),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5392),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9140),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5449),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10207),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10207),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10156),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10162),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7346),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17732),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7773),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11653),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7339),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8981),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8065),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11084),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11084),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11085),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11080),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5032),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17806),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5719),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11750),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5041),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9059),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [4570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5759),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10264),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10264),
  [4576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10265),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10262),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6355),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17790),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7312),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11745),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6351),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8888),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7015),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10907),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10907),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10905),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10920),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4612),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4852),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3268),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11661),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4574),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5027),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9729),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9729),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9723),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9731),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10001),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [4642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6812),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17569),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [4648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7825),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3504),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11583),
  [4654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6770),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9310),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7553),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11119),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11119),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11115),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11132),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9965),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10032),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9940),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5438),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17707),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [4686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5469),
  [4688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11617),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9081),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5490),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10365),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10365),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10363),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10366),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9891),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9861),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [4718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4537),
  [4720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3300),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11654),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4463),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4549),
  [4732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8444),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8442),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [4742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4468),
  [4744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4721),
  [4746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11751),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4486),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4626),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9021),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9022),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [4766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9968),
  [4768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10023),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4578),
  [4772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5022),
  [4774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11597),
  [4778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4570),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [4784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4836),
  [4786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9375),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9375),
  [4790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9376),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [4796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10090),
  [4798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10103),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9741),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4953),
  [4806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17796),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5446),
  [4812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3119),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11770),
  [4816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [4818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8964),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [4824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5108),
  [4826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9941),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9941),
  [4830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9942),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9935),
  [4836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9863),
  [4838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10073),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [4842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5288),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11514),
  [4848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [4854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5119),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9923),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9923),
  [4860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9927),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9917),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9992),
  [4866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4496),
  [4868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17485),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [4872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4712),
  [4874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11541),
  [4878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4512),
  [4880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9108),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [4886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4740),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8843),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8875),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6026),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7206),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11516),
  [4904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6089),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [4910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7005),
  [4912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10790),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10790),
  [4916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10764),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10903),
  [4920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_type, 3, 1, 0),
  [4922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_type, 3, 1, 0),
  [4924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_pattern, 2, 0, 52),
  [4926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_pattern, 2, 0, 52),
  [4928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_pattern, 3, 0, 52),
  [4930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_pattern, 3, 0, 52),
  [4932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__shebang, 1, 0, 0),
  [4934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__shebang, 1, 0, 0),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5037),
  [4938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17370),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [4942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5545),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11507),
  [4946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5067),
  [4948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8885),
  [4950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10815),
  [4952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9653),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [4956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13515),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9630),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9092),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9258),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15864),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9124),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15909),
  [4976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13724),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9400),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13686),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8007),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10100),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8593),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10785),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13575),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9315),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16042),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9269),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10742),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16112),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13546),
  [5112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3726),
  [5114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_wildcard, 1, 0, 0),
  [5116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5249),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12491),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13466),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11670),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12054),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11780),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9750),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9735),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12780),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13331),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12065),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12776),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12778),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6310),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11335),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11337),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10954),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9872),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9978),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11655),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11477),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10203),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12182),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11945),
  [5310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12183),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13185),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [5336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [5340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13374),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [5344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [5346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11853),
  [5352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10979),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11749),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8329),
  [5376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13136),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11904),
  [5382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12009),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11891),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8963),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11766),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11482),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11362),
  [5406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6363),
  [5412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12654),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12809),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12812),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12924),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11869),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12123),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12112),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13089),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11812),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13467),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11879),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8346),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8367),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9641),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9784),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11835),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6755),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13096),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8158),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9097),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13929),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12086),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10745),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13997),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11621),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8634),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13881),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10734),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12764),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12851),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6656),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11107),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13389),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13578),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11732),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9781),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6397),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8109),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6269),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9561),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11239),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12448),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10059),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10064),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11133),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10998),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12490),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11606),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11483),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13067),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12656),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11908),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11917),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11351),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11229),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11525),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11704),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11479),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11253),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13193),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11524),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9424),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9660),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13123),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12199),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9631),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12912),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12900),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11691),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9426),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6963),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10971),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12120),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8883),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12800),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12439),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12806),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9387),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13079),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12930),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11068),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11057),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8753),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11225),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13497),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13547),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11761),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11763),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5909),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12203),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5917),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11649),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13849),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9452),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11767),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5815),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13087),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12908),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11987),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11942),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13128),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13141),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13107),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12162),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9423),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10157),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11528),
  [6116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17527),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11564),
  [6122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7778),
  [6124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17317),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [6128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8289),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11782),
  [6132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7682),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [6138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7753),
  [6140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7223),
  [6142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17772),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [6146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11759),
  [6150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7226),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [6156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7004),
  [6158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6371),
  [6160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17767),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [6164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7341),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11685),
  [6168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6369),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [6174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6141),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11567),
  [6178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5650),
  [6180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17515),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [6184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6418),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11563),
  [6188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5691),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [6194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5500),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10638),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10638),
  [6200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10635),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10649),
  [6204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4614),
  [6206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11738),
  [6210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4707),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [6216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [6218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8360),
  [6220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8734),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11569),
  [6224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8077),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [6230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8457),
  [6232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11605),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11605),
  [6236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11604),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11623),
  [6240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5046),
  [6242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17781),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [6246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5735),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11651),
  [6250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5079),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [6256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5345),
  [6258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [6260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17765),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [6264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5762),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11764),
  [6268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5124),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [6274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5304),
  [6276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7671),
  [6278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8641),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11575),
  [6282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7780),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7671),
  [6288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7785),
  [6290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11355),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11355),
  [6294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11289),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11369),
  [6298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4973),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5414),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11557),
  [6304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5010),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [6310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4841),
  [6312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5646),
  [6314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17799),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6273),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11744),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5647),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [6328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5109),
  [6334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4607),
  [6336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17395),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [6340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11598),
  [6344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4590),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [6350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4643),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6162),
  [6356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6346),
  [6358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17701),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [6362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7301),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11710),
  [6366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6344),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [6372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6576),
  [6374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6339),
  [6376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7094),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11551),
  [6380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6255),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [6386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6512),
  [6388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11111),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11111),
  [6392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11079),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11048),
  [6396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6274),
  [6398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17402),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [6402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7277),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11502),
  [6406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6374),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [6412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6455),
  [6414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11050),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11050),
  [6418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11041),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11064),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [6424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6879),
  [6426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6024),
  [6428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17497),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [6432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6664),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11522),
  [6436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5995),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [6442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6622),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10730),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10730),
  [6448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10857),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10817),
  [6452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6938),
  [6454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7917),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11595),
  [6458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6900),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [6464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7212),
  [6466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6334),
  [6468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17683),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [6472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7271),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11702),
  [6476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6329),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [6482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6648),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11547),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [6488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4700),
  [6490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [6492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17671),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [6496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11701),
  [6500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [6506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4933),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11546),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5172),
  [6514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [6516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17575),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [6520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5418),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11695),
  [6524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [6528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [6530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4945),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [6534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4471),
  [6536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6206),
  [6538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17465),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [6542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6653),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11624),
  [6546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6201),
  [6548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [6552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6414),
  [6554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [6556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17458),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [6560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6400),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11616),
  [6564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5806),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [6570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5508),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [6574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5213),
  [6576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4509),
  [6578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17563),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [6582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4685),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11692),
  [6586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4552),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [6592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4474),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11672),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11626),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [6600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5555),
  [6602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7451),
  [6604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8366),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11690),
  [6608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7448),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7451),
  [6614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7808),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11638),
  [6618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7078),
  [6620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7848),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11518),
  [6624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7124),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [6630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6877),
  [6632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11348),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11348),
  [6636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11342),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11343),
  [6640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6211),
  [6642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6669),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11627),
  [6646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6202),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [6652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6365),
  [6654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11125),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11125),
  [6658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11130),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11106),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11679),
  [6664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6195),
  [6666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17388),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [6670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6688),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11499),
  [6674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6043),
  [6676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [6680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6108),
  [6682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10819),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10819),
  [6686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10812),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10912),
  [6690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6303),
  [6692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7089),
  [6694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11687),
  [6696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6302),
  [6698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [6700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [6702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6230),
  [6704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5777),
  [6706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17712),
  [6708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [6710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6581),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11640),
  [6714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5780),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [6720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5696),
  [6722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10463),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10463),
  [6726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10553),
  [6728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10471),
  [6730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [6732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6775),
  [6734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5700),
  [6736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17551),
  [6738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [6740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6031),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11686),
  [6744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5701),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [6750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5884),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [6754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6127),
  [6756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7410),
  [6758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17472),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [6762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8461),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11648),
  [6766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7420),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [6770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [6772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7449),
  [6774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5717),
  [6776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17539),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [6780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6178),
  [6782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11673),
  [6784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5726),
  [6786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [6790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5955),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [6794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [6796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4816),
  [6798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5284),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11660),
  [6802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4818),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [6808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4955),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [6812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4585),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [6816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [6818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8731),
  [6820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17795),
  [6822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [6824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9422),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11752),
  [6828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8729),
  [6830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [6834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9115),
  [6836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12348),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12348),
  [6840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12347),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12354),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [6846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4610),
  [6848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17423),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11512),
  [6854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11171),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11171),
  [6858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11172),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11167),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [6864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5746),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [6868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5802),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [6872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7377),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [6876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [6880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [6884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5978),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [6888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6011),
  [6890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [6892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4762),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [6896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5419),
  [6898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9671),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [6902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [6904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10850),
  [6906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [6908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9684),
  [6910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [6914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12536),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9671),
  [6918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10135),
  [6920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11118),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [6932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [6934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [6938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [7088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [7090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [7148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4150),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [7152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8978),
  [7154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10302),
  [7156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10300),
  [7158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10985),
  [7160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 2, 0, 0),
  [7162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 3, 0, 0),
  [7164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerators, 2, 0, 0),
  [7166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerators, 3, 0, 0),
  [7168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [7170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [7172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10235),
  [7174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11044),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14600),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14574),
  [7180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10333),
  [7182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12474),
  [7184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11340),
  [7186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [7188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11934),
  [7190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10253),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [7194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12207),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10333),
  [7198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10083),
  [7200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10883),
  [7202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym__if_condition, 1, 4, 0),
  [7205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym__if_condition, 1, 4, 0),
  [7208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_condition, 1, 4, 0),
  [7210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_condition, 1, 4, 0),
  [7212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12272),
  [7214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12094),
  [7216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9833),
  [7218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10776),
  [7220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [7222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [7224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9766),
  [7226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10955),
  [7228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [7230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9841),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11406),
  [7236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12344),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9766),
  [7240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10071),
  [7242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10919),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11629),
  [7246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10251),
  [7248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11071),
  [7250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9972),
  [7252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11278),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11010),
  [7256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9779),
  [7258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10823),
  [7260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9974),
  [7262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11281),
  [7264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9894),
  [7266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11147),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11748),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11538),
  [7272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9959),
  [7274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10813),
  [7276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9851),
  [7278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11271),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11116),
  [7282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9853),
  [7284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11264),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11075),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11219),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11201),
  [7292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9914),
  [7294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11441),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9913),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11438),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10088),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11252),
  [7304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9890),
  [7306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11149),
  [7308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10087),
  [7310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11255),
  [7312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11432),
  [7314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11668),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [7318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11740),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [7322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11181),
  [7324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11432),
  [7328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10620),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14448),
  [7332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11460),
  [7334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11861),
  [7336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11711),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11460),
  [7342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10744),
  [7344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_modifier, 1, 0, 0),
  [7346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_modifier, 1, 0, 0),
  [7348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transparent_modifier, 1, 0, 0),
  [7350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10078),
  [7352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10941),
  [7354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10317),
  [7356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10976),
  [7358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10255),
  [7360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11030),
  [7362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10292),
  [7364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10995),
  [7366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9778),
  [7368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10948),
  [7370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9707),
  [7372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10472),
  [7374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9705),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10484),
  [7378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9698),
  [7380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10491),
  [7382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10404),
  [7384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11004),
  [7386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10109),
  [7388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10918),
  [7390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10119),
  [7392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10923),
  [7394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10435),
  [7396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10980),
  [7398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10125),
  [7400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10924),
  [7402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10383),
  [7404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10961),
  [7406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9964),
  [7408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10771),
  [7410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 1, 0, 0),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [7414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8405),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [7418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8406),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [7424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7583),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [7428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7580),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [7434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8930),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [7438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8929),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [7444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9130),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [7448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9129),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9131),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [7454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8323),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [7458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8320),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8326),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10190),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10202),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10187),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9181),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [7478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9180),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [7484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9209),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [7488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9208),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [7494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8361),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8362),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [7504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9036),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [7508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9070),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [7514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10827),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10827),
  [7518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10816),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10831),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [7524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10402),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10402),
  [7528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10397),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10403),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [7534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10086),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10086),
  [7538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10076),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10094),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [7544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10114),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10114),
  [7548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10110),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10117),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [7554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10062),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10062),
  [7558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10063),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10057),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [7564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8123),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [7568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8122),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [7574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8213),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [7578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8211),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [7584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10042),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [7588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10040),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [7594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6816),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [7598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6817),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [7604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10624),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10624),
  [7608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10618),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10628),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [7614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9898),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9898),
  [7618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9902),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9893),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [7624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10370),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10370),
  [7628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10372),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10362),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [7634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10226),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10226),
  [7638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10228),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10222),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [7644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9736),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9736),
  [7648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9737),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9734),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [7654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10691),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10691),
  [7658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10684),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10696),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [7664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10327),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10327),
  [7668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10295),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10286),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [7674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7731),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [7678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7732),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [7684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9915),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9915),
  [7688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9909),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9916),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [7694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10633),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10633),
  [7698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10573),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10581),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [7704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10002),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10002),
  [7708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9947),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10018),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [7714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9656),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9656),
  [7718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9655),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9680),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [7724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10307),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10307),
  [7728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10399),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10409),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [7734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9109),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [7738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9110),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [7744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9999),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9999),
  [7748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10122),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10116),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [7754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10634),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10634),
  [7758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10645),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [7764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10847),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10847),
  [7768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10848),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10844),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [7774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11492),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11492),
  [7778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11494),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11487),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [7784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9983),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9983),
  [7788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9984),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9980),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [7794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10675),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10675),
  [7798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10678),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10685),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [7804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9383),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [7808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9380),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9386),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [7814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10143),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10143),
  [7818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10140),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10147),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [7824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9836),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [7828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9843),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9828),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [7834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10293),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10293),
  [7838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10249),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10334),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [7844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7906),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [7848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7902),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [7854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9517),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9517),
  [7858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9521),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [7864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9554),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9554),
  [7868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9553),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9555),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [7874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11037),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11037),
  [7878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10950),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11043),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [7884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10646),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10646),
  [7888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10643),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10657),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [7894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10933),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10933),
  [7898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10932),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10938),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [7904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10130),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10130),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10152),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10129),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10594),
  [7916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10594),
  [7918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10610),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10579),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10655),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10655),
  [7928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10656),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10662),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [7934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10539),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10539),
  [7938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10528),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10549),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [7944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9267),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9267),
  [7948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9262),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9268),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [7954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8607),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [7958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8609),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [7964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10177),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10177),
  [7968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10174),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10188),
  [7972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [7974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9939),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9939),
  [7978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9938),
  [7980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9906),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [7984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9484),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9484),
  [7988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9483),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9494),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [7994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9464),
  [7996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [7998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9462),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9469),
  [8002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_condition, 2, 4, 0),
  [8004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_condition, 2, 4, 0),
  [8006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7),
  [8008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stable_identifier, 3, 0, 0),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12387),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [8028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10155),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12174),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [8040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stable_type_identifier, 3, 0, 0),
  [8042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6670),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9509),
  [8046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6674),
  [8048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9492),
  [8050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9491),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12250),
  [8054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14424),
  [8056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14420),
  [8058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12888),
  [8060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4287),
  [8062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8319),
  [8064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8102),
  [8066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8101),
  [8068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8085),
  [8070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13288),
  [8074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14424),
  [8076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14506),
  [8078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4340),
  [8080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4338),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14278),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4372),
  [8086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4375),
  [8088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13224),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12336),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11328),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12474),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11827),
  [8102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9596),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9597),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11832),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12593),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17256),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12251),
  [8114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16007),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12272),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12094),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12106),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12104),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12265),
  [8128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 2, 0, 3),
  [8130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 2, 0, 3),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12543),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12066),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12099),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12339),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16134),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [8150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_application, 1, 0, 0),
  [8152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_application, 1, 0, 0),
  [8154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7368),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [8158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4349),
  [8160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13290),
  [8164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4296),
  [8166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4297),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13611),
  [8170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4351),
  [8172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4350),
  [8174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14361),
  [8176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4307),
  [8178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4308),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14190),
  [8182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4277),
  [8184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13610),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11234),
  [8190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4291),
  [8192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4293),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13429),
  [8196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__annotated_type, 1, 0, 0),
  [8198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__annotated_type, 1, 0, 0),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [8202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8928),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [8206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12588),
  [8208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4361),
  [8210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4376),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14368),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13376),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13413),
  [8218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11280),
  [8220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17437),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [8224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11560),
  [8226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11215),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11280),
  [8232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11312),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13116),
  [8236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 2, 0, 42),
  [8238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 2, 0, 42),
  [8240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17379),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [8244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11720),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13115),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [8250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11357),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [8254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8711),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [8258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12607),
  [8260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__infix_type_choice, 1, 0, 0),
  [8262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17778),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [8266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__infix_type_choice, 1, 0, 0),
  [8268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7739),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13416),
  [8272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8740),
  [8274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [8276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [8278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_projected_type, 3, 0, 85),
  [8280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_singleton_type, 3, 0, 0),
  [8282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [8284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17776),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14407),
  [8290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 43),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13375),
  [8294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [8296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17742),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13400),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13403),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13417),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [8310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12224),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14382),
  [8314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7842),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [8320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12432),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [8324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9160),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [8328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12605),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13296),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [8336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12342),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13313),
  [8342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [8344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14185),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14198),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13301),
  [8352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [8354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [8356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_types, 1, 0, 0),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13279),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14205),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14232),
  [8364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7985),
  [8366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11589),
  [8368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17695),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [8372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11806),
  [8374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11737),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11589),
  [8380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11719),
  [8382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [8384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [8386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16005),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15337),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13204),
  [8392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13157),
  [8394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17416),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [8398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13524),
  [8400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13273),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13157),
  [8406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13201),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13631),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14175),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14269),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13187),
  [8416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17785),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [8420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4077),
  [8422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__postfix_expression_choice, 1, 0, 0),
  [8424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_body, 2, 0, 0),
  [8426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_body, 2, 0, 0),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12822),
  [8430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4075),
  [8432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [8436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [8438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17804),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [8442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8060),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [8448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12531),
  [8450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6368),
  [8452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6225),
  [8454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6367),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [8460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6228),
  [8462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7465),
  [8464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8008),
  [8466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7593),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [8472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7433),
  [8474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5677),
  [8476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5807),
  [8478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5678),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [8484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5534),
  [8486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [8488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6644),
  [8491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5437),
  [8494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6605),
  [8497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6604),
  [8500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6603),
  [8503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6597),
  [8506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [8508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_identifier, 1, 0, 7),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12130),
  [8512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4880),
  [8514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17777),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [8518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [8520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4872),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [8526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4746),
  [8528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5788),
  [8530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17348),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [8534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5501),
  [8536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5813),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [8542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5705),
  [8544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17605),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [8550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7438),
  [8552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7462),
  [8554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7889),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [8560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7846),
  [8562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17629),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [8566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7691),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [8570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8849),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [8574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12181),
  [8576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7425),
  [8578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7830),
  [8580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7423),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [8586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8024),
  [8588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4912),
  [8590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17430),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [8594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [8596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4892),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [8602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4763),
  [8604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17793),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [8608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7990),
  [8610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7434),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [8614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8880),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [8618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12461),
  [8620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6596),
  [8622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6100),
  [8624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6629),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [8630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6468),
  [8632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9228),
  [8634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 1, 0, 0),
  [8636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5708),
  [8638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5868),
  [8640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5711),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [8646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5945),
  [8648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10115),
  [8650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17611),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [8654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10028),
  [8656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9993),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10115),
  [8662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9961),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [8668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12628),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [8674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12327),
  [8676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 66),
  [8678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 66),
  [8680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7245),
  [8682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6819),
  [8684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7199),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [8690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6759),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [8694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9242),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [8698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12395),
  [8700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7690),
  [8702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [8704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7683),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [8710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7932),
  [8712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7397),
  [8714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7298),
  [8716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6716),
  [8718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7274),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [8724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7106),
  [8726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4564),
  [8728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17617),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [8732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4595),
  [8734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4622),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [8740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4592),
  [8742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17653),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [8746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8589),
  [8748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8683),
  [8750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8695),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [8756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8670),
  [8758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5033),
  [8760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17509),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [8764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5307),
  [8766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5093),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [8772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5192),
  [8774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6494),
  [8776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6210),
  [8778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6417),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [8784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6256),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15430),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [8790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [8792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [8794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5384),
  [8796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5117),
  [8798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5365),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [8804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5198),
  [8806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 0),
  [8808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 0),
  [8810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6626),
  [8812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6067),
  [8814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6623),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [8820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6078),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [8826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12478),
  [8828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [8830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [8832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5352),
  [8834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17623),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [8838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5078),
  [8840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5343),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [8846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5091),
  [8848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [8850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [8852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9025),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15810),
  [8856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7334),
  [8858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7037),
  [8860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7336),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [8866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7033),
  [8868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7541),
  [8870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8933),
  [8872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 3, 0, 55),
  [8874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, 0, 55),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [8880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12318),
  [8882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6748),
  [8884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7097),
  [8886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6700),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [8892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7079),
  [8894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0),
  [8896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0),
  [8898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1719),
  [8901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9324),
  [8903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9123),
  [8905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9235),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9324),
  [8911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8916),
  [8913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8252),
  [8915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8230),
  [8917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8389),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [8923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8373),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [8927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8774),
  [8929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0),
  [8931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0),
  [8933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8740),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12675),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12071),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [8944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12428),
  [8946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12051),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [8956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12524),
  [8958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7643),
  [8960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [8963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7911),
  [8965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotated_type, 2, 0, 0),
  [8967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotated_type, 2, 0, 0),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [8973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12294),
  [8975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17810),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [8979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7995),
  [8981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8905),
  [8983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17752),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [8987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7418),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [8993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12576),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [8999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12190),
  [9001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [9003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17747),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [9007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7374),
  [9009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8003),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12687),
  [9013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [9017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8809),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [9021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12380),
  [9023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9088),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15057),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14771),
  [9029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17780),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [9033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7787),
  [9035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8928),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [9040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8763),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [9044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8956),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [9048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12564),
  [9050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8867),
  [9052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11865),
  [9056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17782),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [9060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7686),
  [9062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_projected_type, 3, 0, 85),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [9068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12411),
  [9070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_singleton_type, 3, 0, 0),
  [9072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 43),
  [9074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [9076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12825),
  [9078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14558),
  [9080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stable_type_identifier, 3, 0, 0),
  [9082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wildcard, 1, 0, 0),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15681),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [9088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8966),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [9092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12290),
  [9094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1684),
  [9097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1758),
  [9100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [9102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [9104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1690),
  [9107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [9109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15764),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [9115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12573),
  [9117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14756),
  [9121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17521),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [9125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7822),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15755),
  [9129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11800),
  [9133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17805),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [9137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8062),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11940),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [9143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9053),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [9147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12413),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12899),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11807),
  [9153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7658),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12971),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15364),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [9161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17635),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [9165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7813),
  [9167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9160),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [9174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12309),
  [9176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17779),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [9180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7768),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [9188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12562),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11985),
  [9192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17800),
  [9194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [9196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8032),
  [9198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1695),
  [9201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8755),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [9205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9155),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [9209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12249),
  [9211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8941),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [9215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9094),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [9219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12303),
  [9221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15497),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [9225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9227),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [9229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12313),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12685),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [9237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12561),
  [9239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1664),
  [9242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [9244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8992),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12169),
  [9248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8023),
  [9250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1750),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [9257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12632),
  [9259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [9261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8979),
  [9263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15),
  [9265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17617),
  [9268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(44),
  [9271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12256),
  [9279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1702),
  [9282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [9284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [9286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17797),
  [9288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [9290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8012),
  [9292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7610),
  [9294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9025),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [9301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12595),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12268),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11927),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [9313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9045),
  [9315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17794),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [9319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7996),
  [9321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9201),
  [9323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1764),
  [9326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1739),
  [9329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8711),
  [9332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7676),
  [9334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8933),
  [9337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9228),
  [9340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_annotation_repeat1, 1, 0, 0),
  [9342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1708),
  [9345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15276),
  [9347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9170),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [9353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12400),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12093),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15487),
  [9359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17762),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [9363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7455),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [9369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12575),
  [9371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9242),
  [9374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [9376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9047),
  [9378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [9380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12361),
  [9382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7836),
  [9384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17768),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [9388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7572),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15775),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11949),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11801),
  [9396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17451),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [9400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7873),
  [9402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8993),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12141),
  [9406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8849),
  [9409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15391),
  [9411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [9413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1673),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [9418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8819),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [9422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12633),
  [9424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7457),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12877),
  [9430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [9436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12331),
  [9438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17812),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [9442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7970),
  [9444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [9447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17811),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [9451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7993),
  [9453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17689),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [9457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7650),
  [9459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8867),
  [9462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1734),
  [9465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15533),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15703),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12101),
  [9471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3890),
  [9473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [9475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [9477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [9479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [9483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [9485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8827),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [9489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8838),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [9493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12519),
  [9495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [9497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1752),
  [9500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8880),
  [9503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17807),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [9507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8021),
  [9509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7531),
  [9511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9088),
  [9514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9113),
  [9516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9118),
  [9518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9104),
  [9520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [9522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [9524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8759),
  [9526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8905),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [9533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12362),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [9537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [9539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [9546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12205),
  [9548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [9550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [9556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12246),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15720),
  [9560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [9562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2, 0, 0),
  [9564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2, 0, 0),
  [9566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bindings, 2, 0, 0),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [9572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12584),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11981),
  [9576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9072),
  [9578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17777),
  [9581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(60),
  [9584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84),
  [9586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84),
  [9588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7739),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12932),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11841),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [9599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12372),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12659),
  [9603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [9605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1698),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11837),
  [9610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 1, 0, 0),
  [9612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 1, 0, 0),
  [9614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1720),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12057),
  [9619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1696),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [9626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12305),
  [9628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17430),
  [9631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(61),
  [9634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1714),
  [9637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8763),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [9644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12586),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [9650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12414),
  [9652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8774),
  [9655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [9661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12232),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [9665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7368),
  [9668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1728),
  [9671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7431),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [9675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8779),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [9679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12382),
  [9681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [9683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15599),
  [9685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8809),
  [9688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17783),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [9692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7857),
  [9694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17784),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [9698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7894),
  [9700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_template_body, 5, 0, 0),
  [9702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_template_body, 5, 0, 0),
  [9704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1755),
  [9707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4025),
  [9709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [9711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [9715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [9717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [9719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [9723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15961),
  [9725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8720),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [9731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12465),
  [9733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16137),
  [9735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [9737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17813),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [9741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7961),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12728),
  [9745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [9749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15889),
  [9751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_template_body, 4, 0, 0),
  [9753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_template_body, 4, 0, 0),
  [9755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15570),
  [9757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 83),
  [9759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 83),
  [9761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15860),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [9767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12195),
  [9769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8730),
  [9771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17787),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [9775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7920),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12048),
  [9779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8058),
  [9781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [9783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7691),
  [9786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body, 3, 0, 0),
  [9788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__braced_template_body, 3, 0, 0),
  [9790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7987),
  [9792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15718),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12069),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [9798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9011),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [9802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12280),
  [9804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7985),
  [9807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8755),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [9812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1725),
  [9815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14854),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [9821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12259),
  [9823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [9827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9078),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [9831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12378),
  [9833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9004),
  [9835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17789),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [9839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7952),
  [9841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14774),
  [9843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7990),
  [9846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body, 2, 0, 0),
  [9848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__braced_template_body, 2, 0, 0),
  [9850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17773),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [9854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7665),
  [9856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8941),
  [9859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [9861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8956),
  [9864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8979),
  [9867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9170),
  [9870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [9872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8992),
  [9875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3916),
  [9877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3942),
  [9879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [9883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [9885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_body, 1, 0, 0),
  [9887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_body, 1, 0, 0),
  [9889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8060),
  [9892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12901),
  [9894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [9896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1793),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11798),
  [9901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8966),
  [9904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1682),
  [9907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9190),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [9911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [9913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17533),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [9917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7742),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12024),
  [9921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11997),
  [9925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17802),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [9929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8045),
  [9931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [9933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [9935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [9939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [9941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [9943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3948),
  [9945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3913),
  [9947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [9951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [9953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9045),
  [9956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11901),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15115),
  [9960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [9962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8870),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [9968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12320),
  [9970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8797),
  [9972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [9976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12441),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11858),
  [9980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9128),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14838),
  [9984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9185),
  [9986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [9990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12594),
  [9992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [9994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17671),
  [9997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(30),
  [10000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1756),
  [10003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [10005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [10007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postfix_expression_choice, 1, 0, 0),
  [10009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [10013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [10015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15828),
  [10019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1745),
  [10022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [10024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17509),
  [10027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(105),
  [10030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_block, 3, 0, 0),
  [10032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_block, 3, 0, 0),
  [10034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7618),
  [10036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12145),
  [10040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [10042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [10044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8826),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [10050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12335),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [10056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12310),
  [10058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_cases, 3, 0, 0),
  [10060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_cases, 3, 0, 0),
  [10062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1744),
  [10065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indented_block, 4, 0, 0),
  [10067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indented_block, 4, 0, 0),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [10073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12225),
  [10075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [10079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12389),
  [10081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17764),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [10085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7527),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12801),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11811),
  [10091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8792),
  [10093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__end_marker, 2, 0, 13),
  [10095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__end_marker, 2, 0, 13),
  [10097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [10105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12599),
  [10107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [10109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__end_marker, 2, 0, 0),
  [10111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__end_marker, 2, 0, 0),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [10115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9279),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [10119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12457),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12891),
  [10123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1663),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [10130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12248),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [10136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12235),
  [10138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [10140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9201),
  [10143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_block, 3, 0, 0),
  [10145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_block, 3, 0, 0),
  [10147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [10152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8876),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [10156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12279),
  [10158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17623),
  [10161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(39),
  [10164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7842),
  [10167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1724),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11844),
  [10172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8780),
  [10174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifiers, 1, 0, 0),
  [10176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7956),
  [10178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_modifier, 1, 0, 0),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12843),
  [10182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_modifier, 1, 0, 0),
  [10184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16023),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12953),
  [10188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9301),
  [10190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15586),
  [10192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17798),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [10196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8028),
  [10198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1791),
  [10201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1671),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [10206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7559),
  [10208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17791),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [10212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7960),
  [10214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1778),
  [10217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17717),
  [10219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [10221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7595),
  [10223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7541),
  [10226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [10228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9074),
  [10230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15661),
  [10232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7434),
  [10235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17801),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [10239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7942),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12150),
  [10243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [10245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [10247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [10251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [10253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [10255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1796),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12039),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [10262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9320),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [10266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12528),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [10270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7925),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12711),
  [10274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1786),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [10279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [10281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1762),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [10286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9053),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15785),
  [10291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9259),
  [10293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17803),
  [10295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [10297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8050),
  [10299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1779),
  [10302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11876),
  [10304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [10306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1691),
  [10309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [10311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [10313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [10317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [10319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7418),
  [10322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13013),
  [10324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12168),
  [10328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [10330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9072),
  [10333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8827),
  [10336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [10338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [10340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4026),
  [10342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [10344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [10346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [10348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [10350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4033),
  [10352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [10354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [10356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [10358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12797),
  [10360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15541),
  [10362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [10364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [10366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12417),
  [10368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9062),
  [10370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7995),
  [10373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4046),
  [10375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [10377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [10381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [10383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [10385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [10387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [10389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [10391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17348),
  [10394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(23),
  [10397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [10399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [10401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [10403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 2, 0, 0),
  [10405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 2, 0, 0),
  [10407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [10409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7397),
  [10412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9056),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15243),
  [10416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [10418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [10420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 0),
  [10422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 0),
  [10424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7463),
  [10426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splice_expression, 2, 0, 0),
  [10428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splice_expression, 2, 0, 0),
  [10430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_expression, 2, 0, 21),
  [10432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_expression, 2, 0, 21),
  [10434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_function, 2, 0, 19),
  [10436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_function, 2, 0, 19),
  [10438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17769),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [10442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7584),
  [10444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 0),
  [10446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 0),
  [10448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 20),
  [10450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 20),
  [10452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [10454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [10456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__non_null_literal, 1, 0, 0),
  [10458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__non_null_literal, 1, 0, 0),
  [10460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [10462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [10464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_expression, 3, 0, 15),
  [10466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_expression, 3, 0, 15),
  [10468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 64),
  [10470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 64),
  [10472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_argument, 1, 0, 0),
  [10474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_colon_argument, 1, 0, 0),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [10478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [10480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12278),
  [10482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 67),
  [10484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 67),
  [10486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1747),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [10493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12497),
  [10495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7374),
  [10498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 3, 0, 42),
  [10500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 3, 0, 42),
  [10502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17581),
  [10504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [10506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7500),
  [10508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_type, 2, 0, 40),
  [10510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_type, 2, 0, 40),
  [10512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9016),
  [10514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__refinement, 1, 0, 39),
  [10516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__refinement, 1, 0, 39),
  [10518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17781),
  [10521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(53),
  [10524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1776),
  [10527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17647),
  [10530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [10532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [10534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9104),
  [10537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splice_expression, 4, 0, 0),
  [10539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splice_expression, 4, 0, 0),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [10543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8997),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [10547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12454),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14968),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11898),
  [10553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8759),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12075),
  [10558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9122),
  [10560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [10562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9113),
  [10565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9000),
  [10567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string, 2, 0, 0),
  [10569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string, 2, 0, 0),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [10573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [10575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [10577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_argument, 3, 0, 138),
  [10579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_colon_argument, 3, 0, 138),
  [10581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11968),
  [10583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [10585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17808),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [10589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8019),
  [10591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17765),
  [10594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(92),
  [10597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8993),
  [10600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15827),
  [10602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [10604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 4, 0, 0),
  [10606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 4, 0, 0),
  [10608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4042),
  [10610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [10612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [10616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [10618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8902),
  [10620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8742),
  [10622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string, 3, 0, 0),
  [10624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string, 3, 0, 0),
  [10626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11816),
  [10630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [10632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1774),
  [10635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [10639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12521),
  [10641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15361),
  [10643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12156),
  [10645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8754),
  [10647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8986),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [10651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7558),
  [10653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9094),
  [10656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1701),
  [10659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_type, 3, 0, 66),
  [10661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_type, 3, 0, 66),
  [10663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [10665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [10667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11868),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11909),
  [10671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7787),
  [10674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9193),
  [10676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [10678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1735),
  [10681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9118),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [10688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12371),
  [10690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [10692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7686),
  [10695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12171),
  [10697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9227),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12041),
  [10702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1668),
  [10705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_application, 2, 0, 41),
  [10707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_application, 2, 0, 41),
  [10709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9155),
  [10712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17771),
  [10715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11988),
  [10717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17809),
  [10719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [10721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8017),
  [10723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17737),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [10727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7422),
  [10729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8965),
  [10731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1730),
  [10734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17775),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [10738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7705),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11956),
  [10742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17799),
  [10745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(20),
  [10748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7911),
  [10751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1658),
  [10754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [10756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8780),
  [10759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1694),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12034),
  [10764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8792),
  [10767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [10769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4055),
  [10771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [10775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12878),
  [10779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7768),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12122),
  [10784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17458),
  [10787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(22),
  [10790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1746),
  [10793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1707),
  [10796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8720),
  [10799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [10801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11821),
  [10803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [10805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12296),
  [10807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [10809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8046),
  [10811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12060),
  [10813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17770),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [10817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7609),
  [10819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12010),
  [10821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15610),
  [10823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8826),
  [10826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7813),
  [10829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [10831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [10833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [10835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [10837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [10839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1726),
  [10842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17727),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [10846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7521),
  [10848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8838),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [10853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7945),
  [10855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13019),
  [10857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1760),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12055),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11892),
  [10864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8870),
  [10867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9128),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [10874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12604),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12102),
  [10878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7643),
  [10881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9047),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12923),
  [10886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14841),
  [10888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [10890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1771),
  [10893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1763),
  [10896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17641),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [10900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7844),
  [10902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [10905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [10907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9190),
  [10910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15066),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [10916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12219),
  [10918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8779),
  [10921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7996),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11843),
  [10926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12744),
  [10930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4056),
  [10932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [10936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [10938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8003),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [10943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [10945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12200),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [10951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12253),
  [10953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8012),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [10960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12415),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12172),
  [10964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1781),
  [10967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(3596),
  [10970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [10972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [10974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4058),
  [10976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [10978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [10980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [10982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [10984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17479),
  [10987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [10989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [10991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [10993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8797),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [10998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [11000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [11002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4052),
  [11004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [11006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [11010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11794),
  [11014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15112),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [11018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8927),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [11022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12191),
  [11024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12056),
  [11028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8819),
  [11031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [11033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [11035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15729),
  [11037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [11039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8032),
  [11042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [11044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [11046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [11048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1653),
  [11051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12133),
  [11053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7822),
  [11056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_qualifier, 3, 0, 0),
  [11058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_qualifier, 3, 0, 0),
  [11060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15713),
  [11062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [11064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1656),
  [11067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17599),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [11072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7424),
  [11074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8728),
  [11076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [11078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9500),
  [11080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12466),
  [11086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10982),
  [11088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9543),
  [11090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [11092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11001),
  [11096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9500),
  [11100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15153),
  [11104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [11106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [11110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8765),
  [11113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12068),
  [11115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [11117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_modifier, 2, 0, 0),
  [11119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_modifier, 2, 0, 0),
  [11121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1788),
  [11124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9271),
  [11126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9008),
  [11128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transparent_modifier, 1, 0, 0),
  [11130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17539),
  [11133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(110),
  [11136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17551),
  [11139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(93),
  [11142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_modifier, 1, 0, 0),
  [11144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_modifier, 1, 0, 0),
  [11146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4059),
  [11148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4050),
  [11150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [11154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [11156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7647),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11950),
  [11160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9004),
  [11163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8062),
  [11166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9082),
  [11168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [11170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12129),
  [11174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), SHIFT(29),
  [11177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7455),
  [11180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15351),
  [11184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1687),
  [11187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9286),
  [11189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17593),
  [11191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [11193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7412),
  [11195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8023),
  [11198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9000),
  [11201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 0),
  [11203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 0),
  [11205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8021),
  [11208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9078),
  [11211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12890),
  [11215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11505),
  [11217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11503),
  [11219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8816),
  [11221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11498),
  [11223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alternative_pattern, 3, 0, 0),
  [11225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alternative_pattern, 3, 0, 0),
  [11227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_pattern, 3, 0, 66),
  [11229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_pattern, 3, 0, 66),
  [11231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8986),
  [11234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_capture_pattern, 3, 0, 91),
  [11236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_capture_pattern, 3, 0, 91),
  [11238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9301),
  [11241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1652),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13016),
  [11246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_opaque_modifier, 1, 0, 0),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11963),
  [11250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifiers, 1, 0, 0),
  [11252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17683),
  [11255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(85),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12044),
  [11260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9074),
  [11263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7993),
  [11266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1676),
  [11269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7676),
  [11272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17792),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [11276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7973),
  [11278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7970),
  [11281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1693),
  [11284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1662),
  [11287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17563),
  [11290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(73),
  [11293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11894),
  [11295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8902),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11953),
  [11300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7650),
  [11303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1655),
  [11306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17491),
  [11309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8876),
  [11312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9185),
  [11315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1769),
  [11318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17503),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [11322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7918),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12684),
  [11326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13098),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13063),
  [11332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7610),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12376),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12258),
  [11339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17587),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [11343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7472),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14139),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14104),
  [11349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [11351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9136),
  [11353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7572),
  [11356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11954),
  [11358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15210),
  [11360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [11362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7873),
  [11365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15302),
  [11367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), SHIFT(84),
  [11370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [11372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [11374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [11378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [11380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11990),
  [11384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17701),
  [11387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(108),
  [11390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1773),
  [11393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8716),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11857),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12160),
  [11399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9279),
  [11402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9169),
  [11404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1660),
  [11407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9016),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11976),
  [11412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [11414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1666),
  [11417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11867),
  [11419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17767),
  [11422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(88),
  [11425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17774),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [11429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7694),
  [11431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [11433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [11435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [11437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [11439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [11441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15082),
  [11443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [11445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [11447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [11449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1654),
  [11452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4065),
  [11454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4074),
  [11456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [11460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10791),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10944),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11905),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [11470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8915),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12897),
  [11474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7658),
  [11477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8730),
  [11480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9011),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [11487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12202),
  [11489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [11491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1674),
  [11494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9062),
  [11497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4069),
  [11499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4070),
  [11501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [11505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [11507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4071),
  [11509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4068),
  [11511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [11513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [11515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [11517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1784),
  [11520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [11522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15411),
  [11524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8754),
  [11527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12177),
  [11529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15308),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11971),
  [11535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4078),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12934),
  [11539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4076),
  [11541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [11545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12005),
  [11549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [11551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11910),
  [11553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8742),
  [11556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17465),
  [11559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(77),
  [11562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2569),
  [11565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym_binding, 1, 10, 2),
  [11568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [11570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12974),
  [11574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11371),
  [11576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [11578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [11580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [11582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3192),
  [11584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [11586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12325),
  [11590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11781),
  [11592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [11594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [11596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4175),
  [11598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [11600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15378),
  [11604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7665),
  [11607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13810),
  [11609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14006),
  [11611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13827),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [11615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13810),
  [11617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13669),
  [11619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [11621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11426),
  [11623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1686),
  [11626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7457),
  [11629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9008),
  [11632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8045),
  [11635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [11637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7754),
  [11639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [11641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11082),
  [11643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15479),
  [11645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1697),
  [11648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9122),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [11653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8945),
  [11655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [11657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12550),
  [11659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), SHIFT(63),
  [11662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [11664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3800),
  [11666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [11668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [11670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [11672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11537),
  [11676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8997),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12077),
  [11681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11292),
  [11685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7527),
  [11688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8728),
  [11691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9082),
  [11694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9177),
  [11696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1665),
  [11699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1772),
  [11702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [11704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [11706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11998),
  [11708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7857),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12127),
  [11713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [11715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1661),
  [11718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9193),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12020),
  [11723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7961),
  [11726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7894),
  [11729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9320),
  [11732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7742),
  [11735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12084),
  [11737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17772),
  [11740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(2),
  [11743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17665),
  [11746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [11748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [11750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [11752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [11754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8965),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11665),
  [11761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [11765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12574),
  [11767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7920),
  [11770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17370),
  [11773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(3),
  [11776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7389),
  [11778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7531),
  [11781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9259),
  [11784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9056),
  [11787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11947),
  [11789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7836),
  [11792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [11794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7431),
  [11797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [11799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7952),
  [11802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1736),
  [11805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1753),
  [11808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12085),
  [11810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [11812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17395),
  [11815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(40),
  [11818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [11820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [11822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [11824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [11826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3650),
  [11828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [11830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [11832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [11834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15744),
  [11836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7960),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [11841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8025),
  [11843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7595),
  [11846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [11848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7500),
  [11851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1692),
  [11854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17575),
  [11857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(69),
  [11860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [11862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7618),
  [11865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9136),
  [11868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7584),
  [11871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7956),
  [11874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [11876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8927),
  [11879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [11881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8915),
  [11884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9271),
  [11887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7925),
  [11890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [11892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [11894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1722),
  [11897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8058),
  [11900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [11902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11929),
  [11904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9038),
  [11906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8716),
  [11909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8028),
  [11912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12166),
  [11914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structural_type, 1, 0, 8),
  [11916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structural_type, 1, 0, 8),
  [11918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7558),
  [11921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 7, 0, 186),
  [11923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 7, 0, 186),
  [11925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 6, 0, 180),
  [11927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 6, 0, 180),
  [11929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 6, 0, 179),
  [11931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 6, 0, 179),
  [11933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_type_cases, 3, 0, 0),
  [11935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_type_cases, 3, 0, 0),
  [11937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_lambda, 5, 0, 168),
  [11939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_lambda, 5, 0, 168),
  [11941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_class_pattern_repeat1, 2, 0, 0),
  [11943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arrow_then_type, 2, 0, 10),
  [11945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_then_type, 2, 0, 10),
  [11947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_type, 3, 0, 0),
  [11949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_type, 3, 0, 0),
  [11951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7942),
  [11954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1792),
  [11957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, 0, 79),
  [11959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, 0, 79),
  [11961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15798),
  [11963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8019),
  [11966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [11968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8050),
  [11971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [11973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17472),
  [11976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(80),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11893),
  [11983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 4, 0, 115),
  [11985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 4, 0, 115),
  [11987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9286),
  [11990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17659),
  [11993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7987),
  [11996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11086),
  [11998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11489),
  [12000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11121),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11086),
  [12006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11321),
  [12008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9169),
  [12011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [12015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4260),
  [12017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12731),
  [12019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13076),
  [12021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12730),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12731),
  [12027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12927),
  [12029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7609),
  [12032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7705),
  [12035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7844),
  [12038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12724),
  [12040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13246),
  [12042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12717),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12724),
  [12048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12945),
  [12050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10934),
  [12052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11101),
  [12054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10895),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10934),
  [12060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10859),
  [12062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11916),
  [12064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12516),
  [12066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11913),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11916),
  [12072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12121),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12753),
  [12076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11769),
  [12078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11823),
  [12080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11771),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [12084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11769),
  [12086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11712),
  [12088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [12090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12758),
  [12092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13064),
  [12094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12756),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12758),
  [12100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12821),
  [12102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8071),
  [12104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7807),
  [12106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8495),
  [12108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7644),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [12114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7681),
  [12116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7424),
  [12119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11070),
  [12121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11422),
  [12123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11074),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [12127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11070),
  [12129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11018),
  [12131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7559),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12148),
  [12136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8017),
  [12139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [12141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4170),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [12145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [12147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17317),
  [12150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(8),
  [12153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7521),
  [12156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10055),
  [12158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12074),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [12162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10055),
  [12164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11636),
  [12166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11933),
  [12168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12298),
  [12170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11932),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11933),
  [12176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12021),
  [12178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7463),
  [12181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11155),
  [12183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11708),
  [12185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11148),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [12189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11155),
  [12191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11168),
  [12193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10672),
  [12195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11049),
  [12197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10670),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10672),
  [12203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10738),
  [12205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7422),
  [12208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12473),
  [12210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12742),
  [12212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12477),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12473),
  [12218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12434),
  [12220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8046),
  [12223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12499),
  [12225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12895),
  [12227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12587),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12499),
  [12233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12472),
  [12235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10970),
  [12237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11365),
  [12239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11034),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [12243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10970),
  [12245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11112),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11829),
  [12249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8885),
  [12252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(2569),
  [12255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), REDUCE(sym_binding, 1, 10, 2),
  [12258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12530),
  [12260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12855),
  [12262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12427),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12530),
  [12268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12563),
  [12270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(17451),
  [12273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(1648),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15534),
  [12278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12403),
  [12280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12989),
  [12282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12480),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [12286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12403),
  [12288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12486),
  [12290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [12292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11162),
  [12294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12079),
  [12296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11388),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11162),
  [12302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11778),
  [12304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1742),
  [12307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7945),
  [12310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11083),
  [12312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13431),
  [12314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11055),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [12318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11083),
  [12320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13205),
  [12322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11341),
  [12324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11553),
  [12326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11322),
  [12328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11341),
  [12332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11151),
  [12334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8621),
  [12336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8608),
  [12338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7694),
  [12341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [12344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7412),
  [12347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7647),
  [12350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5823),
  [12352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5824),
  [12354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 1, 0, 0),
  [12356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 1, 0, 0),
  [12358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9177),
  [12361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5910),
  [12363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5915),
  [12365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7861),
  [12367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7855),
  [12369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7918),
  [12372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 1, 0, 0),
  [12374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 1, 0, 0),
  [12376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7973),
  [12379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8938),
  [12381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9052),
  [12383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7472),
  [12386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8945),
  [12389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8229),
  [12391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8235),
  [12393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7937),
  [12395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7930),
  [12397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1678),
  [12400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6102),
  [12402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6103),
  [12404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 2, 0, 0),
  [12406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 2, 0, 0),
  [12408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 2, 0, 0),
  [12410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 2, 0, 0),
  [12412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8632),
  [12414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8631),
  [12416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8752),
  [12418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8751),
  [12420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9687),
  [12422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9638),
  [12424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8313),
  [12426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8076),
  [12428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8834),
  [12430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8825),
  [12432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0), SHIFT(2572),
  [12435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0), REDUCE(sym_binding, 1, 10, 0),
  [12438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5358),
  [12440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5347),
  [12442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6926),
  [12444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6927),
  [12446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_val, 3, 0, 0),
  [12448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_val, 3, 0, 0),
  [12450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__start_var, 3, 0, 0),
  [12452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__start_var, 3, 0, 0),
  [12454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6609),
  [12456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6606),
  [12458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7754),
  [12461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extension_definition_repeat1, 2, 0, 0),
  [12463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extension_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(10155),
  [12466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12643),
  [12468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0), SHIFT(2572),
  [12471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0), REDUCE(sym_binding, 1, 10, 0),
  [12474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(17611),
  [12477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_instance_expression, 2, 0, 15), SHIFT(48),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11836),
  [12482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9038),
  [12485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15814),
  [12487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8025),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11209),
  [12492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16848),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14162),
  [12496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15873),
  [12498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [12500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14608),
  [12502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16243),
  [12504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10896),
  [12506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10830),
  [12510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17093),
  [12512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16203),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12440),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14148),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [12524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12379),
  [12526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16281),
  [12528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16167),
  [12530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7389),
  [12533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16807),
  [12535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10740),
  [12537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13648),
  [12541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 1, 0, 2),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8736),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12437),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [12551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 1, 0, 2), SHIFT(15359),
  [12554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16165),
  [12556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16934),
  [12558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16326),
  [12560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16763),
  [12562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16370),
  [12564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16195),
  [12566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16697),
  [12568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16416),
  [12570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17039),
  [12572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16225),
  [12574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16660),
  [12576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16473),
  [12578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17011),
  [12580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17180),
  [12582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14379),
  [12584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16255),
  [12586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16514),
  [12588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14371),
  [12590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16609),
  [12592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16282),
  [12594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16574),
  [12596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14372),
  [12598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14415),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10445),
  [12602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14330),
  [12604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13872),
  [12606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stable_identifier, 3, 0, 0),
  [12608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [12610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [12612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [12614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12384),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10446),
  [12618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14100),
  [12620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13700),
  [12622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(8071),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12508),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [12631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(12035),
  [12634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12030),
  [12636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(7404),
  [12639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(10259),
  [12642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 7), SHIFT(14480),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9272),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12789),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [12653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 1, 0, 2), SHIFT(14759),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12455),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12368),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12220),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13437),
  [12676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extension_definition_repeat1, 1, 0, 0),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [12680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1740),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12526),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12170),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13736),
  [12691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__using_parameters_clause, 6, 0, 0),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13592),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11991),
  [12697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 1, 0, 0),
  [12699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 6, 0, 0),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [12705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12596),
  [12707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__using_parameters_clause, 5, 0, 0),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [12711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 5, 0, 0),
  [12713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 126),
  [12715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 22),
  [12717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 22), SHIFT(15359),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13706),
  [12722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 3, 0, 90),
  [12724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 4, 0, 105),
  [12726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 4, 0, 105),
  [12728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [12730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 3, 0, 90),
  [12732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_declaration, 4, 0, 105),
  [12734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_val_declaration, 4, 0, 105),
  [12736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13357),
  [12740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [12742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13685),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10761),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11999),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13721),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13404),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10788),
  [12756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10902),
  [12758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 16),
  [12760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [12764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__using_parameters_clause, 4, 0, 0),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10947),
  [12768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12425),
  [12774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1751),
  [12777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 16),
  [12779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 126),
  [12781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [12783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [12785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [12787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [12789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12385),
  [12793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_pattern, 2, 0, 52),
  [12795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_pattern, 2, 0, 52),
  [12797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_given_pattern, 2, 0, 50),
  [12799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_pattern, 2, 0, 50),
  [12801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [12803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12396),
  [12809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [12811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [12813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [12815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [12817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 3, 0, 92),
  [12819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 3, 0, 92),
  [12821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3711),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11896),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [12827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12213),
  [12831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8816),
  [12834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [12836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9255),
  [12840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12592),
  [12846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [12848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [12850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3620),
  [12852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 6, 0, 173),
  [12854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 6, 0, 173),
  [12856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 4, 0, 0),
  [12858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 4, 0, 0),
  [12860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 4, 0, 132),
  [12862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 4, 0, 132),
  [12864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1727),
  [12867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [12869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [12871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 22), SHIFT(14759),
  [12874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1675),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11874),
  [12881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_class_pattern, 5, 0, 156),
  [12883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_class_pattern, 5, 0, 156),
  [12885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9670),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16157),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17154),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17161),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16162),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17379),
  [12899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 144),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16190),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12049),
  [12907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 1, 0, 12),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17317),
  [12911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11644),
  [12915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 1, 0, 12), SHIFT(14204),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16196),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16170),
  [12922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16233),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16172),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16200),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11822),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16202),
  [12934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 118),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16230),
  [12940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1782),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16232),
  [12945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 111),
  [12947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16262),
  [12951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16236),
  [12953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16287),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16289),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16311),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16313),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16334),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16336),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16357),
  [12967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13840),
  [12969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13953),
  [12971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13840),
  [12973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12377),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16359),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15942),
  [12979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15826),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16378),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16380),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16399),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16274),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16401),
  [12991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16420),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16422),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16441),
  [12997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 61),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16393),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16443),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16462),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16464),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16483),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16485),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16504),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16506),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16260),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16525),
  [13021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12626),
  [13023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11810),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16277),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16308),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16527),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16545),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16547),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17010),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17657),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17645),
  [13041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 2, 0, 10),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [13045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 38),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17002),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16565),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16912),
  [13065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16567),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16909),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16585),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16587),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16605),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16844),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16607),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12623),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16842),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16625),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16627),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16645),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16802),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16647),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16665),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16794),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16667),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16194),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11920),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11796),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17489),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17478),
  [13113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13914),
  [13115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12517),
  [13117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11902),
  [13119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13927),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13914),
  [13123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12216),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12208),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16745),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16738),
  [13133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 1, 0, 2),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16692),
  [13137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 2),
  [13139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 2), SHIFT(15359),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16682),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16684),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17371),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17364),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16643),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16686),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16636),
  [13156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15882),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16703),
  [13160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16451),
  [13162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16705),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16722),
  [13166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16724),
  [13168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ascription_expression, 3, 4, 0),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11536),
  [13172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16888),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16741),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16600),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16743),
  [13180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16318),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16597),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16760),
  [13186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16762),
  [13188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16554),
  [13190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17019),
  [13192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16210),
  [13194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17017),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16360),
  [13198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17008),
  [13200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17006),
  [13202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16778),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16997),
  [13206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16986),
  [13208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16984),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16975),
  [13212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16549),
  [13214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16973),
  [13216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16964),
  [13218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16962),
  [13220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16508),
  [13222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16840),
  [13224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16953),
  [13226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16501),
  [13228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16951),
  [13230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16942),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16940),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16930),
  [13236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16928),
  [13238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16456),
  [13240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16918),
  [13242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [13244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16916),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16906),
  [13248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16904),
  [13250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16995),
  [13252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16886),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16870),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15359),
  [13258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16868),
  [13260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16852),
  [13262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16850),
  [13264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16408),
  [13266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16834),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16832),
  [13270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 22),
  [13272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 22), SHIFT(15359),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16816),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16814),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16798),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16796),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16403),
  [13285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1672),
  [13288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16780),
  [13290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16365),
  [13292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [13294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1670),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [13299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1790),
  [13302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [13304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 3, 0, 14),
  [13306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [13310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 44),
  [13312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 63),
  [13314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [13316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 1, 0, 2),
  [13318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [13324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [13326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 89),
  [13328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 4, 0, 93),
  [13330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 0),
  [13332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 94),
  [13334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [13336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [13338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 14),
  [13340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14510),
  [13342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 101),
  [13344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [13346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_while_expression, 4, 0, 104),
  [13348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 114),
  [13350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 63), REDUCE(sym_match_expression, 4, 0, 114),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12340),
  [13357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_block, 2, 0, 0),
  [13359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_parameter_type, 2, 0, 50),
  [13361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeated_parameter_type, 2, 0, 92),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9715),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17776),
  [13371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 130),
  [13373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 6, 0, 154),
  [13375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 6, 0, 155),
  [13377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 7, 0, 174),
  [13379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 6, 0, 154), REDUCE(sym_if_expression, 7, 0, 174),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [13384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17465),
  [13386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11667),
  [13390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 1, 0, 12), SHIFT(14387),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [13395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8906),
  [13398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13391),
  [13400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indentable_expression, 1, 0, 0),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [13404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14492),
  [13406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 6, 0, 160),
  [13408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 130), REDUCE(sym_if_expression, 6, 0, 160),
  [13411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2, 0, 0),
  [13413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [13415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 49),
  [13417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 65),
  [13419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 5, 0, 131),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12322),
  [13425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr_case_clause, 3, 0, 74),
  [13427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [13429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4199),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11969),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [13437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13712),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [13441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9537),
  [13443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [13445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11980),
  [13447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1651),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12555),
  [13454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9172),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [13459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 1, 0, 0),
  [13461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 1, 0, 0),
  [13463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [13467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12493),
  [13469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1733),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12025),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12151),
  [13480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 1, 0, 2),
  [13482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10259),
  [13484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12674),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [13488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 22), SHIFT(14759),
  [13491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 2), SHIFT(14759),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [13496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17742),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12059),
  [13500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12004),
  [13502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1732),
  [13505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9255),
  [13508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6886),
  [13510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6524),
  [13512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11713),
  [13514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11301),
  [13516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5637),
  [13518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5177),
  [13520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [13522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4562),
  [13524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [13526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [13528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1757),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14433),
  [13535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [13537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4699),
  [13539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10240),
  [13541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5928),
  [13543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5412),
  [13545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6438),
  [13547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5526),
  [13549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11100),
  [13551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14351),
  [13553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7296),
  [13555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6538),
  [13557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11669),
  [13559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11242),
  [13561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12233),
  [13563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12143),
  [13565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10621),
  [13567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9379),
  [13569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9238),
  [13571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12504),
  [13573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9763),
  [13575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9922),
  [13577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5218),
  [13579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [13581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5225),
  [13583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [13585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7103),
  [13587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6066),
  [13589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5860),
  [13591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5426),
  [13593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 44),
  [13595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 44),
  [13597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12996),
  [13599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12410),
  [13601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5954),
  [13603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5270),
  [13605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1743),
  [13608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4671),
  [13610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4553),
  [13612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7214),
  [13614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7084),
  [13616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6145),
  [13618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5804),
  [13620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [13622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10227),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13152),
  [13626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1783),
  [13629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11287),
  [13631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11039),
  [13633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5565),
  [13635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5667),
  [13637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 80),
  [13639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 80),
  [13641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12970),
  [13643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12295),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9676),
  [13647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6686),
  [13649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6594),
  [13651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8386),
  [13653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8678),
  [13655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7799),
  [13657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6871),
  [13659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 36),
  [13661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 36),
  [13663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11232),
  [13665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10977),
  [13667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [13669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5869),
  [13671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5882),
  [13673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5106),
  [13675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7367),
  [13677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6859),
  [13679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6513),
  [13681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5478),
  [13683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8169),
  [13685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8074),
  [13687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11724),
  [13689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11221),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12321),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [13701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4790),
  [13703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4664),
  [13705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8547),
  [13707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8410),
  [13709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1798),
  [13712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 22),
  [13714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 22),
  [13716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5003),
  [13718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4718),
  [13720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [13722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12302),
  [13724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12243),
  [13726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13835),
  [13728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7613),
  [13730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7793),
  [13732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5334),
  [13734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [13736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6668),
  [13738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6223),
  [13740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 2),
  [13742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 2),
  [13744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8037),
  [13746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6717),
  [13748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7818),
  [13750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7160),
  [13752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6959),
  [13754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6120),
  [13756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_applications, 1, 0, 70),
  [13758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [13762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7272),
  [13764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7284),
  [13766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6384),
  [13768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5571),
  [13770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8694),
  [13772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8066),
  [13774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12838),
  [13776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12226),
  [13778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7149),
  [13780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6652),
  [13782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12013),
  [13784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10929),
  [13786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5237),
  [13788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4869),
  [13790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12597),
  [13792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4979),
  [13794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4726),
  [13796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6207),
  [13798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5831),
  [13800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 46),
  [13802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 46), SHIFT(14204),
  [13805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6761),
  [13807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6699),
  [13809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11803),
  [13811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11703),
  [13813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 44),
  [13815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 44),
  [13817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12983),
  [13819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14586),
  [13821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5329),
  [13823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5226),
  [13825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8170),
  [13827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7669),
  [13829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11095),
  [13831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10690),
  [13833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12161),
  [13835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11709),
  [13837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7596),
  [13839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7636),
  [13841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7252),
  [13843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6573),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [13847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13217),
  [13849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12722),
  [13851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12262),
  [13853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 36),
  [13855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 36),
  [13857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14126),
  [13859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8690),
  [13861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7506),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11826),
  [13865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5377),
  [13867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5264),
  [13869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12050),
  [13871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11739),
  [13873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11716),
  [13875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11218),
  [13877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6284),
  [13879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6501),
  [13881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 2),
  [13883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 2),
  [13885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14566),
  [13887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [13889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12308),
  [13891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6292),
  [13893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5814),
  [13895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6322),
  [13897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5616),
  [13899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13158),
  [13901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12876),
  [13903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8033),
  [13905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6920),
  [13907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13544),
  [13909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13186),
  [13911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5389),
  [13913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5290),
  [13915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11500),
  [13917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11317),
  [13919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4661),
  [13921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4530),
  [13923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6077),
  [13925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6023),
  [13927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6332),
  [13929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [13931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5065),
  [13933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [13935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13401),
  [13937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11791),
  [13939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7055),
  [13941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5990),
  [13943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4304),
  [13945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4245),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [13949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6932),
  [13951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6180),
  [13953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5778),
  [13955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5060),
  [13957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4569),
  [13959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4532),
  [13961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5888),
  [13963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5720),
  [13965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8527),
  [13967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8022),
  [13969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7550),
  [13971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7867),
  [13973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7493),
  [13975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [13977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 22),
  [13979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 22),
  [13981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 99),
  [13983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 99),
  [13985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8787),
  [13988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 57),
  [13990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 57),
  [13992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 4, 0, 80),
  [13994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 4, 0, 80),
  [13996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [13998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4884),
  [14000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 2, 0, 0),
  [14002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 2, 0, 0),
  [14004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5299),
  [14006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [14008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6140),
  [14010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6357),
  [14012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15994),
  [14014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 5, 0, 99),
  [14016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 5, 0, 99),
  [14018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, 0, 31),
  [14020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12138),
  [14022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7359),
  [14024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6628),
  [14026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__given_constructor, 3, 0, 57),
  [14028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__given_constructor, 3, 0, 57),
  [14030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8398),
  [14032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7390),
  [14034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6828),
  [14036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6231),
  [14038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4523),
  [14040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4410),
  [14042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13966),
  [14044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13801),
  [14046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6989),
  [14048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6069),
  [14050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16100),
  [14052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12456),
  [14054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12113),
  [14056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12701),
  [14058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12570),
  [14060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5273),
  [14062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4838),
  [14064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5918),
  [14066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5357),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12218),
  [14072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1711),
  [14075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9309),
  [14077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9027),
  [14079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6056),
  [14081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5825),
  [14083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11854),
  [14085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11645),
  [14087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6244),
  [14089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [14091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8857),
  [14093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8663),
  [14095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13260),
  [14097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12966),
  [14099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6039),
  [14101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5834),
  [14103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4749),
  [14105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4561),
  [14107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10966),
  [14109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10892),
  [14111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5617),
  [14113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5543),
  [14115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7153),
  [14117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6040),
  [14119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11722),
  [14121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7514),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [14127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7484),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [14131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 2, 0, 14),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [14137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10756),
  [14139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1738),
  [14142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9365),
  [14144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [14146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [14148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9560),
  [14150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [14152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15887),
  [14154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4212),
  [14156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5314),
  [14158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15895),
  [14160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4218),
  [14162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16002),
  [14164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [14166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5268),
  [14168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8737),
  [14170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15928),
  [14172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [14174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [14176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7091),
  [14178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14135),
  [14180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8476),
  [14182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15958),
  [14184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [14186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8991),
  [14188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16117),
  [14190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [14192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6237),
  [14194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9334),
  [14196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [14198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [14200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9352),
  [14202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [14204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [14206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [14208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12366),
  [14210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11941),
  [14212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8934),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [14218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8984),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [14222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5902),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [14228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5849),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [14232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_enum_case, 1, 0, 2),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [14238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15863),
  [14240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [14242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13129),
  [14244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8186),
  [14246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11825),
  [14248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 121),
  [14250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 121), SHIFT(15359),
  [14253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15893),
  [14255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [14257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 120),
  [14259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 120), SHIFT(15359),
  [14262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4669),
  [14264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6921),
  [14266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 22),
  [14268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 22), SHIFT(15359),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [14275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10906),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [14279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [14281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10935),
  [14283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10906),
  [14285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16071),
  [14287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4233),
  [14289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7170),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [14295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7105),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [14299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [14301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15853),
  [14303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4182),
  [14305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7050),
  [14307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13945),
  [14309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4232),
  [14311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11580),
  [14313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11336),
  [14315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6427),
  [14317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6099),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [14323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6033),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [14327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7080),
  [14329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6186),
  [14331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11439),
  [14333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [14335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8710),
  [14337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8633),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [14343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8706),
  [14345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [14347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9803),
  [14349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [14353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10013),
  [14355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9803),
  [14357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4285),
  [14359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7010),
  [14361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15908),
  [14363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [14365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5730),
  [14367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4213),
  [14369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4240),
  [14371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16040),
  [14373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8018),
  [14375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7502),
  [14377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7490),
  [14379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0),
  [14381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(4256),
  [14384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(15359),
  [14387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9415),
  [14391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16085),
  [14393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4230),
  [14395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5859),
  [14397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8808),
  [14399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [14403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8828),
  [14405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [14407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7076),
  [14409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [14413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7045),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [14417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5279),
  [14419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8205),
  [14421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [14423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10219),
  [14425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [14429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10266),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10219),
  [14433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 5, 0, 148),
  [14435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 5, 0, 148), SHIFT(15359),
  [14438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13196),
  [14440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6330),
  [14442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15859),
  [14444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [14446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6028),
  [14448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13244),
  [14450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5911),
  [14452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6822),
  [14454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9826),
  [14456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [14458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [14460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9746),
  [14462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9826),
  [14464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [14466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [14468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6529),
  [14470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [14472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [14474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [14476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [14478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4810),
  [14480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6692),
  [14482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13504),
  [14484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13011),
  [14486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [14488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [14490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16025),
  [14492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4204),
  [14494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11088),
  [14496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [14498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [14500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5006),
  [14502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7943),
  [14504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [14506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [14508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7957),
  [14510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7943),
  [14512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [14516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6216),
  [14518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 2, 0, 22),
  [14520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15907),
  [14522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [14524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4234),
  [14526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7189),
  [14528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16028),
  [14530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [14532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15865),
  [14534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4219),
  [14536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12695),
  [14538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15921),
  [14540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4209),
  [14542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4725),
  [14544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14517),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [14548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [14550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8318),
  [14552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [14554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [14556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8488),
  [14558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [14560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16132),
  [14562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [14564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4206),
  [14566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4241),
  [14568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8505),
  [14570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [14574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8515),
  [14576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8505),
  [14578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7062),
  [14580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6505),
  [14582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7402),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [14588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7400),
  [14590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [14592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [14594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [14596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11559),
  [14598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4237),
  [14600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7824),
  [14602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6316),
  [14604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15982),
  [14606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [14608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [14610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [14612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7396),
  [14614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11098),
  [14616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5627),
  [14618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4231),
  [14620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7198),
  [14622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [14624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [14626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11753),
  [14628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11951),
  [14630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0),
  [14632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(10259),
  [14635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(15685),
  [14638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11870),
  [14640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6953),
  [14642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [14644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4224),
  [14646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5350),
  [14648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12114),
  [14650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [14652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8976),
  [14654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [14656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [14658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8892),
  [14660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [14662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5654),
  [14664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [14666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [14668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [14670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4205),
  [14672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4239),
  [14674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [14676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [14678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5214),
  [14680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6087),
  [14682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6252),
  [14684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8270),
  [14686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7816),
  [14688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16108),
  [14690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [14692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14503),
  [14694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [14696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12725),
  [14698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4242),
  [14700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11680),
  [14702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5084),
  [14704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4687),
  [14706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [14708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11880),
  [14710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8718),
  [14712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [14714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [14716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8719),
  [14718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [14720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [14722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [14724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12860),
  [14726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 69),
  [14728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 69), SHIFT(15359),
  [14731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11020),
  [14733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6768),
  [14735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1748),
  [14738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4243),
  [14740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 2),
  [14742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 2), SHIFT(15359),
  [14745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 68),
  [14747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 68), SHIFT(15359),
  [14750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4220),
  [14752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13851),
  [14754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8595),
  [14756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11247),
  [14758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7468),
  [14760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15945),
  [14762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7783),
  [14765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5417),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12788),
  [14769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6314),
  [14771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [14773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [14775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6313),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [14779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7119),
  [14781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10466),
  [14783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4196),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [14787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11975),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14460),
  [14791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [14793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13783),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12139),
  [14797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15963),
  [14799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [14801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16053),
  [14803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [14805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12867),
  [14807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [14811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [14813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7464),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [14819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8536),
  [14821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [14823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [14825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8452),
  [14827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [14829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9571),
  [14831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [14835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9593),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [14839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [14841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9330),
  [14843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [14845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [14847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9331),
  [14849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9330),
  [14851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [14853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [14855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11243),
  [14857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4210),
  [14859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [14861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [14863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [14865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1683),
  [14868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6981),
  [14870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [14874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7011),
  [14876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [14878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [14880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [14882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6769),
  [14884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7486),
  [14886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [14888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [14890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5191),
  [14892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [14894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11504),
  [14896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [14898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [14900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8327),
  [14902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4780),
  [14904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14044),
  [14906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4227),
  [14908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [14910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [14912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [14914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [14916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1713),
  [14919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [14921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [14923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4526),
  [14925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15985),
  [14927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [14929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9753),
  [14931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [14933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [14935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [14937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [14939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [14941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13015),
  [14943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [14945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [14947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 3, 0, 99),
  [14949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12962),
  [14951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5770),
  [14953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5914),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11856),
  [14957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5559),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12509),
  [14963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [14965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5330),
  [14967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9369),
  [14969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6136),
  [14971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [14975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [14977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [14979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [14981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [14983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4235),
  [14985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6378),
  [14987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6017),
  [14989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4732),
  [14991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [14993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 46), SHIFT(14387),
  [14996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6732),
  [14998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5871),
  [15000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11743),
  [15002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6908),
  [15004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 2, 0, 22),
  [15006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12709),
  [15008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 2, 0, 57),
  [15010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12710),
  [15012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8544),
  [15014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4934),
  [15016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4957),
  [15018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 23),
  [15020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 23), SHIFT(15359),
  [15023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [15025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [15027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [15029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [15031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [15033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9487),
  [15035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12242),
  [15037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4208),
  [15039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [15041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [15043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [15045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [15049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [15051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5936),
  [15053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7315),
  [15055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [15057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [15059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [15061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 0),
  [15063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [15065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [15067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14466),
  [15069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15870),
  [15071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16096),
  [15073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [15075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16102),
  [15077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7416),
  [15079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13438),
  [15081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15886),
  [15083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 87),
  [15085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 87), SHIFT(14204),
  [15088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16087),
  [15090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14547),
  [15092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 2, 0, 2),
  [15094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6005),
  [15096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [15098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [15100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15943),
  [15102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16465),
  [15104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [15106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [15108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1716),
  [15111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(10227),
  [15114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(14836),
  [15117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9871),
  [15119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6901),
  [15121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6544),
  [15123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16082),
  [15125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9633),
  [15127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [15129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15852),
  [15131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16089),
  [15133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16078),
  [15135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 3, 0, 22),
  [15137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 3, 0, 57),
  [15139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9015),
  [15141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16109),
  [15143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 2, 0, 23), SHIFT(14759),
  [15146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [15148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [15150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16006),
  [15152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 1, 0, 2),
  [15154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [15156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [15158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16069),
  [15160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8204),
  [15162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13159),
  [15164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13154),
  [15166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [15168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [15170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16073),
  [15172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15871),
  [15174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [15176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9682),
  [15178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16062),
  [15180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10753),
  [15182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16051),
  [15184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [15186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [15188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15900),
  [15190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16127),
  [15192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13070),
  [15194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [15196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16049),
  [15198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16114),
  [15200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12969),
  [15202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [15204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [15206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16033),
  [15208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [15210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [15212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14578),
  [15214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [15216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [15218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8854),
  [15220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [15222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [15224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8681),
  [15226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16115),
  [15228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(4273),
  [15231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 2, 0, 0), SHIFT_REPEAT(14759),
  [15234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15922),
  [15236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16121),
  [15238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12014),
  [15240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5640),
  [15242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 5, 0, 148), SHIFT(14759),
  [15245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16015),
  [15247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16133),
  [15249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16122),
  [15251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12517),
  [15253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [15255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11902),
  [15257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11944),
  [15259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9704),
  [15261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9711),
  [15263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11903),
  [15265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12452),
  [15267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16055),
  [15269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1705),
  [15272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15940),
  [15274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17078),
  [15276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15999),
  [15278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [15280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [15282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 47),
  [15284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 47), SHIFT(14204),
  [15287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17835),
  [15289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15991),
  [15291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 68), SHIFT(14759),
  [15294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 2), SHIFT(14759),
  [15297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15936),
  [15299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12626),
  [15301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [15303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11810),
  [15305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11970),
  [15307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12115),
  [15309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12306),
  [15311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122),
  [15313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122), SHIFT_REPEAT(4429),
  [15316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15974),
  [15318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122),
  [15320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122), SHIFT_REPEAT(4431),
  [15323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [15325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16021),
  [15327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7453),
  [15329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9339),
  [15331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16026),
  [15333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 3, 0, 69), SHIFT(14759),
  [15336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [15338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [15340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [15342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15969),
  [15344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15979),
  [15346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16061),
  [15348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8455),
  [15350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10016),
  [15352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7081),
  [15354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8512),
  [15356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [15358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [15360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, 0, 76),
  [15362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15954),
  [15364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [15366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16001),
  [15368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 4, 0, 0),
  [15370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9721),
  [15372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12043),
  [15374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7660),
  [15376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10356),
  [15378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [15380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15931),
  [15382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [15384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12167),
  [15386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [15388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16036),
  [15390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [15392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11817),
  [15394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12393),
  [15396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15992),
  [15398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15948),
  [15400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9126),
  [15402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [15404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [15406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 22), SHIFT(14759),
  [15409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14093),
  [15411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_constructor, 4, 0, 99),
  [15413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13179),
  [15415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13120),
  [15417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17591),
  [15419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6780),
  [15421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15938),
  [15423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15927),
  [15425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15970),
  [15427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15915),
  [15429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14606),
  [15431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [15433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, 0, 32),
  [15435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15867),
  [15437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16018),
  [15439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1718),
  [15442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7535),
  [15445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_applications, 2, 0, 122),
  [15447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15879),
  [15449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15905),
  [15451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9148),
  [15453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15897),
  [15455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 121), SHIFT(14759),
  [15458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9572),
  [15460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_constructor, 4, 0, 120), SHIFT(14759),
  [15463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9604),
  [15465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9478),
  [15467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [15469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [15471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14442),
  [15473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13543),
  [15475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [15477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [15479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 47), SHIFT(14387),
  [15482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [15484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [15486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [15488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14482),
  [15490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1712),
  [15493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 4, 0, 0),
  [15495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 3, 0, 0), REDUCE(sym_class_parameters, 4, 0, 0),
  [15498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [15500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [15502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14592),
  [15504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_constructor_repeat1, 1, 0, 0),
  [15506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [15508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [15510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12237),
  [15512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [15514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [15516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [15518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [15520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [15522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [15524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 4, 0, 0), REDUCE(sym_class_parameters, 5, 0, 0),
  [15527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12047),
  [15529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 5, 0, 0),
  [15531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12058),
  [15533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122), SHIFT_REPEAT(4381),
  [15536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), REDUCE(sym_if_expression, 4, 0, 113),
  [15539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113),
  [15541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17043),
  [15544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [15546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [15548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [15550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 2, 0, 0),
  [15552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13530),
  [15554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48),
  [15556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17035),
  [15559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [15561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17755),
  [15564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(866),
  [15567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17743),
  [15570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(869),
  [15573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9610),
  [15575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [15577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122), SHIFT_REPEAT(4382),
  [15580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13479),
  [15582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9214),
  [15584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [15586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [15588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [15590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17572),
  [15593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1171),
  [15596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, 0, 71),
  [15598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17297),
  [15601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [15603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17290),
  [15606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [15608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [15610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14471),
  [15612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [15614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [15616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 15),
  [15618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 15),
  [15620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17565),
  [15623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1181),
  [15626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [15628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [15630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 6, 0, 0),
  [15632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 2, 0, 0), REDUCE(sym_class_parameters, 3, 0, 0),
  [15635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 3, 0, 0),
  [15637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 7, 0, 0),
  [15639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13384),
  [15641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 5, 0, 0), REDUCE(sym_class_parameters, 6, 0, 0),
  [15644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 87), SHIFT(14387),
  [15647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 3, 0, 97),
  [15649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [15651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_parameters, 6, 0, 0), REDUCE(sym_class_parameters, 7, 0, 0),
  [15654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [15656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 2, 0, 56),
  [15658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7977),
  [15661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16494),
  [15664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1273),
  [15667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [15669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [15671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [15673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 151),
  [15675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 151), SHIFT_REPEAT(11579),
  [15678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17685),
  [15681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(933),
  [15684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 0),
  [15686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [15688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17696),
  [15691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(928),
  [15694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [15696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14555),
  [15698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_constructor_repeat1, 1, 0, 0),
  [15700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17601),
  [15703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [15705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [15707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [15709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12540),
  [15711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7713),
  [15714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16323),
  [15717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1400),
  [15720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [15722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16303),
  [15725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1327),
  [15728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9592),
  [15730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14539),
  [15732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17149),
  [15735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1131),
  [15738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0),
  [15740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [15742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17267),
  [15745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [15747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17250),
  [15750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [15752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13653),
  [15754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9146),
  [15757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17824),
  [15760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [15762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17843),
  [15765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [15767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17604),
  [15770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [15772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derives_clause, 2, 0, 50),
  [15774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11579),
  [15776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [15778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [15780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [15782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14529),
  [15784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [15786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [15788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16716),
  [15791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1117),
  [15794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17157),
  [15797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1169),
  [15800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13778),
  [15802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [15804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [15806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [15808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16672),
  [15811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1145),
  [15814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [15816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [15818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16470),
  [15821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1186),
  [15824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17860),
  [15827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(822),
  [15830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [15832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [15834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [15836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 2, 0, 22),
  [15838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17870),
  [15841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(921),
  [15844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [15846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [15848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16434),
  [15851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [15853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [15855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16439),
  [15858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [15860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derives_clause, 3, 0, 123),
  [15862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17174),
  [15865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [15867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13794),
  [15869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17102),
  [15871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [15873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17109),
  [15875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [15877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9620),
  [15879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17166),
  [15882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [15884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [15886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0),
  [15888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0), SHIFT_REPEAT(2054),
  [15891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1731),
  [15894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16860),
  [15897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [15899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17310),
  [15902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [15904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17199),
  [15907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [15909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17438),
  [15912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1561),
  [15915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [15917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [15919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17660),
  [15922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(982),
  [15925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [15927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 3, 0, 98),
  [15929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 1, 0, 0),
  [15931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [15933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13949),
  [15935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12132),
  [15937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [15939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 151), SHIFT_REPEAT(11625),
  [15942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17191),
  [15945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [15947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [15949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [15951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14452),
  [15953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [15955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [15957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 166),
  [15959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 166), SHIFT(16924),
  [15962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16391),
  [15965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [15967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16413),
  [15970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [15972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [15974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12019),
  [15976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17441),
  [15979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1556),
  [15982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 50),
  [15984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 1, 0, 150),
  [15986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [15988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 1, 0, 150), SHIFT(17178),
  [15991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17715),
  [15994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [15996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17725),
  [15999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [16001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17383),
  [16004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1626),
  [16007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17397),
  [16010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1610),
  [16013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12271),
  [16015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17124),
  [16018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(979),
  [16021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17112),
  [16024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(991),
  [16027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 1, 0, 150), SHIFT(16924),
  [16030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11625),
  [16032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16580),
  [16034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [16036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [16038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [16040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 4, 0, 133),
  [16042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 4, 0, 153),
  [16044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17320),
  [16047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1587),
  [16050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [16052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [16054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17338),
  [16057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1636),
  [16060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17664),
  [16063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(969),
  [16066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, 0, 71),
  [16068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16193),
  [16071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [16073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 166), SHIFT(17178),
  [16076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16767),
  [16078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [16080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 5, 0, 169),
  [16082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 2, 0, 3),
  [16084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17301),
  [16087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [16089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [16091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 51),
  [16093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 1, 0, 5),
  [16095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10567),
  [16097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16188),
  [16100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [16102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 2, 0, 33),
  [16104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10554),
  [16106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(12664),
  [16109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16354),
  [16112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1266),
  [16115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13762),
  [16117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14422),
  [16119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17535),
  [16122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1256),
  [16125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16346),
  [16128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1364),
  [16131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17541),
  [16134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1244),
  [16137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16959),
  [16140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [16142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10455),
  [16144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_identifier, 1, 0, 0),
  [16146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13020),
  [16148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17525),
  [16150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [16152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [16154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 2, 0, 17),
  [16156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 1, 0, 0),
  [16158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17228),
  [16161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1365),
  [16164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 2, 0, 56),
  [16166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [16168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 3, 0, 62),
  [16170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10515),
  [16172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122), SHIFT_REPEAT(4395),
  [16175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [16177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16735),
  [16180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1120),
  [16183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 3, 0, 97),
  [16185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [16187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [16189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [16191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16757),
  [16194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1163),
  [16197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [16199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [16201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [16203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_block, 1, 0, 0),
  [16205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_identifier, 2, 0, 0),
  [16207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11818),
  [16209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3, 0, 34),
  [16211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12488),
  [16213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_declaration, 3, 0, 34),
  [16215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16173),
  [16218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [16220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(1759),
  [16223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_declaration, 2, 0, 6),
  [16225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2, 0, 6),
  [16227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122), SHIFT_REPEAT(4411),
  [16230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0),
  [16232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [16234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [16236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [16238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [16240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17462),
  [16242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [16244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 6, 0, 163),
  [16246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0),
  [16248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(4275),
  [16251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(17178),
  [16254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [16256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 4, 0, 119),
  [16258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16753),
  [16260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [16262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7876),
  [16265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17227),
  [16267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [16269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [16271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11521),
  [16273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [16275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [16277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17065),
  [16280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(941),
  [16283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17055),
  [16286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(930),
  [16289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16911),
  [16292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [16294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9214),
  [16297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16898),
  [16300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [16302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16758),
  [16304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [16306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [16308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 1, 0, 1),
  [16310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [16312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [16314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [16316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16693),
  [16319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [16321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16700),
  [16324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [16326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [16328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [16330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(12957),
  [16333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16179),
  [16336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [16338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17512),
  [16341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1335),
  [16344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16516),
  [16347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1633),
  [16350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(13020),
  [16353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17504),
  [16356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1348),
  [16359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16818),
  [16362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1471),
  [16365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16806),
  [16368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1319),
  [16371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 78),
  [16373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 78), SHIFT_REPEAT(12488),
  [16376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16601),
  [16379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(892),
  [16382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16616),
  [16385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(829),
  [16388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 5, 0, 137),
  [16390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16674),
  [16393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [16395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(4269),
  [16398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 2, 0, 0), SHIFT_REPEAT(16924),
  [16401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lower_bound, 2, 0, 50),
  [16403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16662),
  [16406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [16408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16823),
  [16410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [16412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration, 4, 0, 100),
  [16414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16828),
  [16416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [16418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [16420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16521),
  [16423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1344),
  [16426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17219),
  [16429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1340),
  [16432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [16434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17351),
  [16436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [16438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [16440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [16442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [16444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16921),
  [16447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1129),
  [16450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [16452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [16454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [16456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [16458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [16460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [16462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15953),
  [16464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15955),
  [16466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17726),
  [16469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [16471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16397),
  [16474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [16476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 2, 0, 0),
  [16478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(3605),
  [16481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8112),
  [16483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17673),
  [16486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [16488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10747),
  [16490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [16492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15964),
  [16494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15984),
  [16496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [16498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 4, 0, 133),
  [16500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_constructor, 3, 0, 98),
  [16502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [16504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16725),
  [16506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [16508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16859),
  [16510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [16512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_upper_bound, 2, 0, 50),
  [16514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__enum_block_repeat1, 2, 0, 0),
  [16516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17482),
  [16519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1449),
  [16522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0),
  [16524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16935),
  [16527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1143),
  [16530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [16532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17474),
  [16535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1475),
  [16538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_definition, 1, 0, 0),
  [16540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17037),
  [16543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [16545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 4, 0, 33),
  [16547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [16549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [16551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17100),
  [16553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [16555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17120),
  [16557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [16559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12088),
  [16561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14571),
  [16563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(17626),
  [16566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1049),
  [16569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17632),
  [16572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1035),
  [16575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [16577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [16579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 78), SHIFT_REPEAT(12617),
  [16582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0), SHIFT_REPEAT(2087),
  [16585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 6),
  [16587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [16589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_expression, 3, 0, 5),
  [16591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(17027),
  [16594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [16596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12018),
  [16598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14481),
  [16600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [16602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [16604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [16606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12617),
  [16608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [16610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11993),
  [16612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14484),
  [16614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9251),
  [16616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [16618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [16620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122), SHIFT_REPEAT(4397),
  [16623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat2, 2, 0, 122), SHIFT_REPEAT(4451),
  [16626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [16628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selectors, 3, 0, 0),
  [16630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_renamed_identifier, 3, 0, 152),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [16634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122), SHIFT_REPEAT(4394),
  [16637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 5, 0, 0),
  [16639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [16641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [16643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [16645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [16647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exprs_in_parens, 1, 0, 0),
  [16649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [16651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [16653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [16655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [16657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selectors, 5, 0, 0),
  [16659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_applications_repeat1, 2, 0, 122), SHIFT_REPEAT(4408),
  [16662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [16664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12126),
  [16666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14525),
  [16668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [16670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11878),
  [16672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14528),
  [16674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16786),
  [16677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [16679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11931),
  [16681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14523),
  [16683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selectors, 4, 0, 0),
  [16685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [16687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [16689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [16691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 4, 0, 129),
  [16693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_case_definitions_repeat1, 2, 0, 0),
  [16695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_case_definitions_repeat1, 2, 0, 0), SHIFT_REPEAT(12197),
  [16698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [16700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8546),
  [16702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 5, 0, 170),
  [16704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 171),
  [16706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_template_body, 4, 0, 0),
  [16708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [16710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [16712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 6, 0, 158),
  [16714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [16716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9149),
  [16718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [16720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9306),
  [16722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [16724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [16726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, 0, 164),
  [16728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 2, 0, 45),
  [16730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 37),
  [16732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 3, 0, 54),
  [16734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 5, 0, 141),
  [16736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 6, 0, 162),
  [16738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [16740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [16742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 7, 0, 175),
  [16744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 7, 0, 176),
  [16746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, 0, 171),
  [16748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, 0, 177),
  [16750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 58),
  [16752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [16754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [16756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_parameter, 6, 0, 181),
  [16758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 182),
  [16760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, 0, 182),
  [16762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__definition_body, 1, 0, 30),
  [16764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 2, 0, 29),
  [16766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [16768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10096),
  [16770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, 0, 27),
  [16772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 3, 0, 26),
  [16774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [16776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [16778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 3, 0, 60),
  [16780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 3, 0, 24),
  [16782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, 0, 185),
  [16784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 3, 0, 53),
  [16786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [16788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [16790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 187),
  [16792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 7, 0, 187),
  [16794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, 0, 11),
  [16796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 18),
  [16798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [16800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [16802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 8, 0, 188),
  [16804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 6, 0, 161),
  [16806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 159),
  [16808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_definition, 6, 0, 157),
  [16810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_definition, 6, 0, 157),
  [16812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_template_body, 3, 0, 0),
  [16814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [16816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [16818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [16820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [16822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2, 0, 0),
  [16824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [16826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [16828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 2, 0, 14),
  [16830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [16832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [16834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 1, 0, 0),
  [16836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [16838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [16840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [16842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 16),
  [16844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [16846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case_definitions, 3, 0, 0),
  [16848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12197),
  [16850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [16852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [16854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 2, 0, 11),
  [16856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, 0, 72),
  [16858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [16860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [16862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, 0, 73),
  [16864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [16866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [16868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [16870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [16872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [16874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [16876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__full_enum_def_repeat1, 1, 0, 0),
  [16878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 0),
  [16880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [16882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [16884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [16886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__definition_body, 2, 0, 14),
  [16888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, 0, 75),
  [16890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 2, 0, 9),
  [16892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 3, 0, 27),
  [16894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 59),
  [16896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [16898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [16900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [16902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat2, 2, 0, 0), SHIFT_REPEAT(3644),
  [16905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat2, 2, 0, 0),
  [16907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [16909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [16911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, 0, 146),
  [16913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 143),
  [16915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [16917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [16919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 142),
  [16921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [16923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [16925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [16927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [16929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [16931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [16933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 2, 0, 4),
  [16935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [16937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [16939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [16941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [16943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [16945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [16947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 112),
  [16949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [16951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [16953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [16955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [16957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [16959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12533),
  [16961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case_definitions, 2, 0, 0),
  [16963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extension_template_body, 2, 0, 0),
  [16965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case_definitions, 4, 0, 0),
  [16967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [16969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [16971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [16973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7009),
  [16975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, 0, 140),
  [16977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structural_instance, 3, 0, 81),
  [16979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, 0, 139),
  [16981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [16983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [16985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16246),
  [16988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1111),
  [16991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16229),
  [16994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1075),
  [16997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 82),
  [16999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [17001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5931),
  [17003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 136),
  [17005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [17007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [17009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17231),
  [17011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [17013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17241),
  [17015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [17017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [17019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [17021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compound_type_repeat1, 2, 0, 84), SHIFT_REPEAT(7494),
  [17024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 86),
  [17026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 145),
  [17028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [17030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_definition, 3, 0, 88),
  [17032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 135),
  [17034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [17036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7959),
  [17038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [17040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [17042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 5, 0, 134),
  [17044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 3, 0, 77),
  [17046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0), SHIFT_REPEAT(4044),
  [17049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0), SHIFT_REPEAT(4038),
  [17052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extension_template_body, 3, 0, 0),
  [17054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [17057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [17059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [17061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17375),
  [17063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [17065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_definition, 4, 0, 95),
  [17067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [17069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [17071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 96),
  [17073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_declaration, 5, 0, 134),
  [17075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [17077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [17079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [17081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [17083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [17085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [17087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [17089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0),
  [17091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(516),
  [17094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [17096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [17098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [17100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [17102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(16253),
  [17105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 113), SHIFT(1138),
  [17108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(16267),
  [17111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 48), SHIFT(1303),
  [17114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [17116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9293),
  [17118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_val_definition, 4, 0, 106),
  [17120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 5, 0, 128),
  [17122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_case_definitions_repeat1, 2, 0, 0), SHIFT_REPEAT(12533),
  [17125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [17127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [17129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17393),
  [17131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [17133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [17135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [17137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14347),
  [17139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10407),
  [17141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12134),
  [17143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12105),
  [17145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [17147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [17149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_definition, 4, 0, 106),
  [17151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_definition, 4, 0, 108),
  [17153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [17155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [17157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [17159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 110),
  [17161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [17163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [17165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [17167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 109),
  [17169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [17171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 4, 0, 116),
  [17173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [17175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [17177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [17179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [17181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9275),
  [17183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_given_definition, 4, 0, 117),
  [17185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_definition, 4, 0, 109),
  [17187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [17189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [17191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [17193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9360),
  [17195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [17197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [17199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 0),
  [17201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [17203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [17205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 5, 0, 124),
  [17207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_definition, 4, 0, 125),
  [17209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14123),
  [17211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10141),
  [17213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [17215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [17217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [17219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [17221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14426),
  [17223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14787),
  [17225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [17227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [17229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13909),
  [17231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [17233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10916),
  [17235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16924),
  [17237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [17239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11417),
  [17241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9691),
  [17243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14436),
  [17245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15400),
  [17247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [17249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12028),
  [17251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [17253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [17255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13692),
  [17257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11202),
  [17259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [17261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14447),
  [17263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15524),
  [17265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [17267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [17269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13620),
  [17271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12098),
  [17273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11561),
  [17275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5982),
  [17277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14455),
  [17279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15583),
  [17281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [17283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13958),
  [17285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [17287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12026),
  [17289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [17291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14465),
  [17293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15638),
  [17295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15951),
  [17297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [17299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [17301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12615),
  [17303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14499),
  [17305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15528),
  [17307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11631),
  [17309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9590),
  [17311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14476),
  [17313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15675),
  [17315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [17317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 2, 0, 0),
  [17319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4095),
  [17322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [17324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13381),
  [17326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11026),
  [17328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [17330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11952),
  [17332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11895),
  [17334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14488),
  [17336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15709),
  [17338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [17340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11850),
  [17342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [17344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [17346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [17348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14532),
  [17350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13550),
  [17352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10711),
  [17354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [17356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14496),
  [17358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15743),
  [17360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [17362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0),
  [17364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(160),
  [17367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11532),
  [17369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [17371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12771),
  [17373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16427),
  [17375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [17377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14508),
  [17379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15776),
  [17381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [17383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [17385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [17387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 1, 0, 2),
  [17389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [17391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12267),
  [17393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12293),
  [17395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11694),
  [17397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13139),
  [17399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(509),
  [17402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [17404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14527),
  [17406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15809),
  [17408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [17410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat1, 1, 0, 0),
  [17412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [17414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13410),
  [17416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12916),
  [17418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12087),
  [17420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12090),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12729),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12092),
  [17428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14535),
  [17430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15842),
  [17432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [17434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [17436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13772),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12045),
  [17440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14543),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15761),
  [17446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8899),
  [17448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13798),
  [17450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13093),
  [17452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10818),
  [17454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14552),
  [17456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15655),
  [17458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 3), REDUCE(sym_identifiers, 3, 0, 0),
  [17461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 3), SHIFT(13034),
  [17464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifiers, 3, 0, 0),
  [17466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [17468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [17470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13131),
  [17472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [17474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14561),
  [17476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15535),
  [17478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13103),
  [17480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [17482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [17484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 2, 0, 3),
  [17486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [17488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13664),
  [17490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_view_bound, 2, 0, 50),
  [17492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10835),
  [17494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [17496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14573),
  [17498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15428),
  [17500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 102),
  [17502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [17504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [17506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3395),
  [17509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [17511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9338),
  [17513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12108),
  [17515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11935),
  [17517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 4, 0, 0),
  [17519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11398),
  [17521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [17523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14583),
  [17525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15340),
  [17527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifiers, 4, 0, 0),
  [17529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13034),
  [17531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [17533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13231),
  [17535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [17537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, 0, 102),
  [17539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [17541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [17543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, 0, 147),
  [17545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [17547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17178),
  [17549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_enum_case, 2, 0, 31),
  [17551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11925),
  [17553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__enum_block_repeat1, 2, 0, 0), SHIFT_REPEAT(519),
  [17556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14596),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15203),
  [17562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derives_clause_repeat1, 2, 0, 151), SHIFT_REPEAT(11694),
  [17565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [17567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13582),
  [17569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 105),
  [17571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [17573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [17575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerators, 5, 0, 0),
  [17577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12590),
  [17579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_identifiers_repeat1, 2, 0, 0),
  [17581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_identifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(13034),
  [17584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [17588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, 0, 105),
  [17590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [17594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, 0, 165),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [17598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_selectors_repeat1, 2, 0, 0),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13563),
  [17602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [17604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__indented_type_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4189),
  [17607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__indented_type_cases_repeat1, 2, 0, 0),
  [17609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 172),
  [17611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [17613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, 0, 172),
  [17615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [17617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, 0, 184),
  [17619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [17621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13612),
  [17623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8818),
  [17625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [17627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10701),
  [17629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12783),
  [17631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [17633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16027),
  [17635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [17637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15960),
  [17639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13328),
  [17641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [17643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15913),
  [17645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [17647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [17649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4091),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15850),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11558),
  [17656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [17658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15866),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8212),
  [17662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15888),
  [17664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16104),
  [17666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [17668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15898),
  [17670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [17672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15916),
  [17674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12975),
  [17676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15930),
  [17678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(514),
  [17681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15949),
  [17683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13039),
  [17685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15968),
  [17687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15987),
  [17689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerators_repeat1, 2, 0, 0), SHIFT_REPEAT(4048),
  [17692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16008),
  [17694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16030),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16046),
  [17698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [17700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16083),
  [17702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__enum_block_repeat1, 2, 0, 0), SHIFT_REPEAT(520),
  [17705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16128),
  [17707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [17709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [17711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [17713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13176),
  [17715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [17717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13489),
  [17719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15540),
  [17721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [17723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15545),
  [17725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [17727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [17729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [17731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 3, 0, 178),
  [17733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [17735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [17737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [17739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [17741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [17743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [17745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [17747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [17749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [17751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [17753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [17755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [17757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [17759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [17761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8776),
  [17763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [17765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [17767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6398),
  [17769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [17771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17034),
  [17773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [17775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [17777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [17779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [17781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [17783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10901),
  [17785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10925),
  [17787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [17789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9307),
  [17791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [17793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [17795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [17797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11154),
  [17799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [17801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [17803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [17805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [17807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [17809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [17811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [17813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [17815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [17817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [17819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [17821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [17823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [17825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [17827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [17829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [17831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [17833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [17835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [17837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [17839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [17841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [17843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [17845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [17847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [17849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [17851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [17853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [17855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11387),
  [17857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17018),
  [17859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [17861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11390),
  [17863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17016),
  [17865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [17867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [17869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11395),
  [17871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17007),
  [17873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [17875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11399),
  [17877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17005),
  [17879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11403),
  [17881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16996),
  [17883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [17885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [17887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [17889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [17891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10945),
  [17893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [17895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [17897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11434),
  [17899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16994),
  [17901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10891),
  [17903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11404),
  [17905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16985),
  [17907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [17909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [17911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [17913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10887),
  [17915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11405),
  [17917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16983),
  [17919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11407),
  [17921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16974),
  [17923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [17925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11409),
  [17927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16972),
  [17929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [17931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [17933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [17935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [17937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [17939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16963),
  [17941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [17943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [17945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [17947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11411),
  [17949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16961),
  [17951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [17953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [17955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12707),
  [17957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [17959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11414),
  [17961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16952),
  [17963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [17965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11416),
  [17967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16950),
  [17969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [17971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11418),
  [17973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16941),
  [17975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11293),
  [17977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11419),
  [17979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16939),
  [17981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [17983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [17985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11420),
  [17987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16929),
  [17989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11423),
  [17991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16927),
  [17993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [17995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [17997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [17999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11425),
  [18001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16917),
  [18003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [18005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [18007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11428),
  [18009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16915),
  [18011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [18013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11429),
  [18015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16905),
  [18017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [18019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11430),
  [18021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16903),
  [18023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [18025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [18027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16057),
  [18029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14860),
  [18031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17876),
  [18033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11376),
  [18035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16887),
  [18037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [18039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12211),
  [18041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [18043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [18045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [18047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [18049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [18051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11436),
  [18053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16885),
  [18055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [18057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [18059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [18061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [18063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11437),
  [18065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16869),
  [18067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_selectors_repeat1, 2, 0, 0), SHIFT_REPEAT(10625),
  [18070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11440),
  [18072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16867),
  [18074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [18076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [18078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11442),
  [18080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16851),
  [18082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11443),
  [18084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16849),
  [18086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [18088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [18090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [18092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [18094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12937),
  [18096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11445),
  [18098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16833),
  [18100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [18102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11446),
  [18104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16831),
  [18106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [18108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [18110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [18112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10854),
  [18114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10853),
  [18116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11450),
  [18118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16815),
  [18120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [18122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [18124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [18126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11452),
  [18128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16813),
  [18130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [18132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11453),
  [18134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16797),
  [18136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [18138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6979),
  [18140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [18142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [18144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11454),
  [18146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16795),
  [18148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [18150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [18152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [18154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [18156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [18160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [18162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [18164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11457),
  [18166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16779),
  [18168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11400),
  [18170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16777),
  [18172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [18174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [18176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [18178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [18180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11384),
  [18182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16761),
  [18184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [18186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [18188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11383),
  [18190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16759),
  [18192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [18194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [18196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [18198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10379),
  [18200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [18202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [18204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11380),
  [18206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16742),
  [18208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11377),
  [18210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16740),
  [18212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11374),
  [18214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16723),
  [18216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [18218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [18220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [18222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11373),
  [18224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16721),
  [18226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [18228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11366),
  [18230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16704),
  [18232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [18234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [18236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [18238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11363),
  [18240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16702),
  [18242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [18244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [18246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [18248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [18250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11358),
  [18252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16685),
  [18254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [18256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [18258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [18260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [18262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11463),
  [18264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11346),
  [18266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16683),
  [18268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [18270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [18272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [18274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [18276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [18278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11303),
  [18280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16666),
  [18282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__full_enum_def, 2, 0, 167),
  [18284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11300),
  [18286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16664),
  [18288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [18290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13108),
  [18292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [18294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11299),
  [18296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16646),
  [18298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [18300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [18302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [18304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [18306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [18308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [18310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11290),
  [18312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16644),
  [18314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [18316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [18318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11288),
  [18320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16626),
  [18322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [18324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [18326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8969),
  [18328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11286),
  [18330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16624),
  [18332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [18334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [18336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [18338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [18340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11277),
  [18342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16606),
  [18344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [18346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [18348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9689),
  [18350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11275),
  [18352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16604),
  [18354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [18356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [18358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [18360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [18362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [18364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11274),
  [18366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16586),
  [18368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [18370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12081),
  [18372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [18374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [18376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [18378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11273),
  [18380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16584),
  [18382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10802),
  [18384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [18386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [18388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11268),
  [18390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16566),
  [18392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [18394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [18396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11265),
  [18398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16564),
  [18400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11249),
  [18402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16546),
  [18404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [18406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [18408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [18410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11245),
  [18412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16544),
  [18414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [18416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12794),
  [18418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11240),
  [18420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16526),
  [18422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [18424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9649),
  [18426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11228),
  [18428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16524),
  [18430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [18432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [18434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [18436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [18438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11224),
  [18440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16505),
  [18442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11223),
  [18444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16503),
  [18446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15000),
  [18448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17875),
  [18450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17470),
  [18452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11222),
  [18454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16484),
  [18456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [18458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [18460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [18462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11220),
  [18464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16482),
  [18466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [18468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9544),
  [18470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [18472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [18474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [18476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [18478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [18480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [18482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11216),
  [18484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16306),
  [18486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [18488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [18490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [18492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [18494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11213),
  [18496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16461),
  [18498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [18500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11212),
  [18502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16442),
  [18504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [18506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11609),
  [18508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [18510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11207),
  [18512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16440),
  [18514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [18516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [18518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [18520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11206),
  [18522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16421),
  [18524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11205),
  [18526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16419),
  [18528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [18530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [18532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [18534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9617),
  [18536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [18538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [18540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [18542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11200),
  [18544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16400),
  [18546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [18548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11198),
  [18550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16398),
  [18552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [18554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [18556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [18558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [18560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11197),
  [18562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16379),
  [18564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11192),
  [18566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16377),
  [18568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [18570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12944),
  [18572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [18574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [18576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [18578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12163),
  [18580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [18582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11051),
  [18584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11190),
  [18586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16358),
  [18588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10839),
  [18590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [18592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [18594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11188),
  [18596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16356),
  [18598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [18600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10842),
  [18602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [18604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11187),
  [18606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16335),
  [18608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [18610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11186),
  [18612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16333),
  [18614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [18616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [18618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [18620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11185),
  [18622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16312),
  [18624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [18626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8312),
  [18628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [18630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11184),
  [18632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16309),
  [18634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [18636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [18638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [18640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [18642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11183),
  [18644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16288),
  [18646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11664),
  [18648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11182),
  [18650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16285),
  [18652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [18654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [18656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11178),
  [18658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16261),
  [18660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [18662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [18664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [18666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [18668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14595),
  [18670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11227),
  [18672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16258),
  [18674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [18676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11734),
  [18678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11176),
  [18680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16231),
  [18682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [18684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [18686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [18688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11173),
  [18690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16228),
  [18692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [18694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [18696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11169),
  [18698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16201),
  [18700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11166),
  [18702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16198),
  [18704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [18706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10861),
  [18708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [18710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [18712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [18714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11163),
  [18716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16171),
  [18718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [18720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [18722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10862),
  [18724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11159),
  [18726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16168),
  [18728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [18730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [18732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [18734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [18736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [18738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [18740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11662),
  [18742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11138),
  [18744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16158),
  [18746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [18748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11145),
  [18750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16163),
  [18752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [18754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [18756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11150),
  [18758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16192),
  [18760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [18762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [18764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [18766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11158),
  [18768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16197),
  [18770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [18772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [18776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11160),
  [18778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16235),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [18782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [18784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11180),
  [18786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16239),
  [18788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [18790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11199),
  [18792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16276),
  [18794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [18796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [18798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [18800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11235),
  [18802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16278),
  [18804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [18806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11381),
  [18808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16319),
  [18810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [18812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5862),
  [18814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11389),
  [18816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16322),
  [18818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [18820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [18822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [18824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [18826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11391),
  [18828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16364),
  [18830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11458),
  [18832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16366),
  [18834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [18836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [18838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [18840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17877),
  [18842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [18844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [18846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11455),
  [18848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16407),
  [18850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [18852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [18854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [18856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11444),
  [18858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16410),
  [18860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [18862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [18864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [18866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [18868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [18870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [18872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [18874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11024),
  [18876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11364),
  [18878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16455),
  [18880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [18882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [18884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [18886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11424),
  [18888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16457),
  [18890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [18892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14054),
  [18894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11415),
  [18896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16507),
  [18898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [18900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [18902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11412),
  [18904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16511),
  [18906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [18908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [18910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11408),
  [18912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16553),
  [18914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [18916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [18918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [18920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [18922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [18924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [18926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11385),
  [18928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16555),
  [18930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [18932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [18934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [18936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [18938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [18940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11382),
  [18942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16598),
  [18944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11379),
  [18946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16603),
  [18948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [18950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10750),
  [18952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [18954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9398),
  [18956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11360),
  [18958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16637),
  [18960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11354),
  [18962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16655),
  [18964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [18966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12022),
  [18968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11345),
  [18970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16688),
  [18972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [18974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9395),
  [18976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [18978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11339),
  [18980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16695),
  [18982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11047),
  [18984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [18986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [18988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11334),
  [18990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16739),
  [18992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__using_parameters_clause_repeat1, 2, 0, 0),
  [18994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [18996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [18998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11332),
  [19000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16750),
  [19002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [19004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__using_parameters_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [19007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [19009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [19011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14105),
  [19013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11302),
  [19015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16800),
  [19017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [19019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [19021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9634),
  [19023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11296),
  [19025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16803),
  [19027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [19029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13230),
  [19031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11283),
  [19033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16843),
  [19035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11276),
  [19037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16845),
  [19039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [19041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [19043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [19045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [19047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11270),
  [19049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16910),
  [19051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [19053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [19055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11267),
  [19057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16913),
  [19059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [19061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [19063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11259),
  [19065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17003),
  [19067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [19069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [19071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [19073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11250),
  [19075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16148),
  [19077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__using_parameters_clause_repeat1, 2, 0, 0), REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [19080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [19082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11937),
  [19084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [19086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [19088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [19090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [19092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [19094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [19096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11140),
  [19098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17156),
  [19100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11142),
  [19102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17162),
  [19104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [19106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11465),
  [19108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [19110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [19112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [19114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14582),
  [19116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [19118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [19120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [19122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [19124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12777),
  [19126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9528),
  [19128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [19130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [19132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [19134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [19136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13222),
  [19138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12388),
  [19142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [19144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [19146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [19148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [19150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [19152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [19154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6190),
  [19156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [19158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [19160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [19162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [19164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [19166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [19168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [19170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [19172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [19174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [19176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [19178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [19180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [19182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [19184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [19186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [19188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [19190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12264),
  [19192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [19194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [19196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [19198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [19200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [19202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9430),
  [19204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [19206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [19208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [19210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [19212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [19214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [19216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [19218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13395),
  [19220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [19222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [19224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [19226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [19228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [19230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [19232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [19234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [19236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9249),
  [19238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [19240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_lambda_repeat1, 2, 0, 127), SHIFT_REPEAT(11611),
  [19243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_lambda_repeat1, 2, 0, 127),
  [19245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [19247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12469),
  [19249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [19251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [19253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [19255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [19257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [19259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [19261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [19263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13126),
  [19265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [19267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [19269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11361),
  [19271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15957),
  [19273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [19275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [19277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [19279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [19281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11350),
  [19283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [19285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [19287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11203),
  [19289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [19291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [19293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [19295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [19297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [19299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [19301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [19303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13243),
  [19305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [19307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [19309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [19311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [19313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12186),
  [19315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [19317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [19319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [19321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [19323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [19325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [19327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [19329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [19331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [19333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [19335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [19337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [19339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [19341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [19343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [19345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [19347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12787),
  [19349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [19351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13253),
  [19353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [19355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [19357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11992),
  [19359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10169),
  [19361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [19363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [19365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [19367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [19369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9090),
  [19371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11152),
  [19373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [19375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14498),
  [19377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [19379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [19381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13068),
  [19383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [19385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [19387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [19389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10401),
  [19391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14572),
  [19393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [19395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [19397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [19399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(16057),
  [19402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 2, 0, 0),
  [19404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [19406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16971),
  [19408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [19410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12063),
  [19412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [19414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [19416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [19418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [19420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [19424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [19426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [19428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [19432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [19434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12061),
  [19436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [19438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14425),
  [19440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11717),
  [19442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [19444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [19446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [19448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11674),
  [19450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_object, 3, 0, 26),
  [19452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [19454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [19456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11919),
  [19458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [19460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 3, 0, 28),
  [19462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [19464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [19466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [19468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [19470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [19472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_full_enum_case, 2, 0, 149),
  [19474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [19476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [19478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [19480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [19482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [19484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [19486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11678),
  [19488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [19490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [19492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [19494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4398),
  [19497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_parameters_repeat1, 2, 0, 0),
  [19499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [19501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9768),
  [19503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [19505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12837),
  [19507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [19509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11607),
  [19511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [19513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [19515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11251),
  [19517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17687),
  [19519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10878),
  [19521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [19523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11706),
  [19525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [19527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12898),
  [19529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [19531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [19533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [19535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [19537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11254),
  [19539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17655),
  [19541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [19543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [19545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [19547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [19549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11006),
  [19551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [19553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [19555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [19557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [19559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [19561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [19563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [19565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [19567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13623),
  [19569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [19571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [19573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10898),
  [19575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [19577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [19579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [19581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [19583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10070),
  [19585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14560),
  [19587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [19589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [19591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [19593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [19595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7851),
  [19597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [19599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [19601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [19603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [19605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [19607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [19609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [19611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [19613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [19615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [19617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [19619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [19621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [19623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [19625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [19627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [19629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [19631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [19633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [19635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [19637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [19639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [19641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [19643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [19645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [19647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [19649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [19651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [19653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [19655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [19657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [19659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [19661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [19663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [19665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [19667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [19669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [19671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [19673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11886),
  [19675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [19677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [19679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [19681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [19683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [19685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [19687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [19689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [19691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8877),
  [19693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [19695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [19697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [19699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [19701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [19703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [19705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10345),
  [19707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [19709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11191),
  [19711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [19713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [19715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [19717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [19719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [19721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [19723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [19725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [19727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [19729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [19731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [19733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14435),
  [19735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [19737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [19739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [19741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [19743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [19745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [19747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [19749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [19751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [19753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [19755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [19757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [19759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [19761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [19763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [19765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8265),
  [19767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10677),
  [19769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [19771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [19773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [19775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [19777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10309),
  [19779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [19781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12012),
  [19783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [19785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [19787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11323),
  [19789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17505),
  [19791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [19793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11325),
  [19795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17487),
  [19797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [19799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14032),
  [19801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9567),
  [19803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [19805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [19807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10297),
  [19809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14042),
  [19811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [19813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [19815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [19817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [19819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [19821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [19823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [19825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [19827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [19829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [19831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [19833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11610),
  [19835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [19837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [19839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [19841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14551),
  [19843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [19845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [19847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [19849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [19851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [19853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [19855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [19857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [19859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [19861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [19863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [19865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [19867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14446),
  [19869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [19871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11875),
  [19873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9581),
  [19875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [19877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [19879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [19881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [19883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12328),
  [19885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_class_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4149),
  [19888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [19890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [19892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [19894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [19896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11347),
  [19902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17377),
  [19904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [19908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [19910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [19912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11349),
  [19914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17361),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [19918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [19924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [19926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [19928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [19930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [19932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [19934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [19936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [19938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [19940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [19942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [19944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9794),
  [19946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [19948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [19950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11045),
  [19952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [19954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [19956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [19958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [19960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [19962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [19964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11236),
  [19966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16529),
  [19968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [19970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [19972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [19974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10037),
  [19976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [19978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [19980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_parameter_repeat2, 1, 0, 0),
  [19982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [19984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [19986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [19988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [19990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [19992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [19994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14454),
  [19996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [19998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [20000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [20002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [20004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [20006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [20008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12893),
  [20010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [20012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [20014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [20016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10743),
  [20018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [20020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9786),
  [20022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [20024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15894),
  [20026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10741),
  [20028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [20030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [20032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [20034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [20036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [20038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [20040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [20042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [20044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [20046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(11031),
  [20049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [20051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [20053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10025),
  [20055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [20057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [20059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [20061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11727),
  [20063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [20065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [20067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [20069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [20071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [20073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14542),
  [20075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14464),
  [20077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [20079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [20081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [20083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [20085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [20087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10667),
  [20089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [20091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [20093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9033),
  [20095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [20097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [20099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [20101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [20103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [20105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [20107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8528),
  [20109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [20111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [20113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [20115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8994),
  [20117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [20119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [20121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13983),
  [20123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11076),
  [20125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [20127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [20129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9675),
  [20131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [20133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [20135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [20137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [20139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [20141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14475),
  [20143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [20145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [20147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [20149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [20151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [20153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [20155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [20157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9867),
  [20159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10676),
  [20161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [20163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [20165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [20167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [20169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [20171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13836),
  [20173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [20175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [20177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9900),
  [20179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [20181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [20183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [20185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [20187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [20189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [20191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [20193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [20195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [20197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [20199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [20201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12979),
  [20203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [20205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [20207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [20209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14487),
  [20211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [20213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [20215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [20217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [20219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [20221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, 10, 102),
  [20223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [20225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [20227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 127), SHIFT_REPEAT(7587),
  [20230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 127),
  [20232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2082),
  [20235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [20237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [20239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 1, 10, 0),
  [20241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [20243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [20245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [20247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [20249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [20251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [20253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [20255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(11646),
  [20258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_bindings_repeat1, 2, 0, 0),
  [20260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, 10, 103),
  [20262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [20264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11330),
  [20266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [20268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9973),
  [20270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [20272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14534),
  [20274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [20276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [20278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [20280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14495),
  [20282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 107),
  [20284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 107), SHIFT_REPEAT(12643),
  [20287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [20289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [20291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [20293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [20295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [20297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [20299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [20301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [20303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [20305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [20307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [20309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10693),
  [20311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [20313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [20315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [20317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [20319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [20321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [20323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [20325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10047),
  [20327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [20329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_context_bound, 2, 0, 50),
  [20331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [20333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [20335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [20337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [20339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [20341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8179),
  [20343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [20345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [20347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat2, 2, 0, 0), SHIFT_REPEAT(15540),
  [20350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat2, 2, 0, 0),
  [20352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14507),
  [20354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [20356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [20358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11135),
  [20360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11305),
  [20362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17213),
  [20364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [20366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [20368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [20370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(15545),
  [20373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_repeat1, 2, 0, 0),
  [20375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [20377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [20379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [20381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [20383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [20385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [20387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [20389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [20391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [20393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [20395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 1, 10, 2),
  [20397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [20399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [20401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [20403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [20405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [20407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [20409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9348),
  [20411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [20413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13502),
  [20415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14520),
  [20417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [20419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11109),
  [20421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [20423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9482),
  [20425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [20427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11923),
  [20429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [20431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [20433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [20435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [20437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [20439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [20441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [20443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [20445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [20447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15233),
  [20449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [20451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [20453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [20455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [20457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15407),
  [20459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [20461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15518),
  [20463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 2, 0, 0),
  [20465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 2, 1, 0),
  [20467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15304),
  [20469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [20471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [20473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 3, 0, 74),
  [20475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [20477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_val_declaration_repeat1, 2, 0, 3),
  [20479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [20481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [20483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [20485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [20487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [20489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [20491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [20493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [20495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 4, 0, 0),
  [20497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 16),
  [20499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [20501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [20503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15628),
  [20505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [20507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [20509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [20511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [20513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [20515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15751),
  [20517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 3, 1, 0),
  [20519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15142),
  [20521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [20523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [20525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [20527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [20529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [20531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [20533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [20535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [20537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [20539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15636),
  [20541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15849),
  [20543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 2, 0, 16),
  [20545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 2, 0, 0),
  [20547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [20549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [20551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [20553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [20555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [20557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [20559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contravariant_type_parameter, 2, 0, 16),
  [20561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_covariant_type_parameter, 2, 0, 16),
  [20563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15333),
  [20565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [20567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [20569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [20571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [20573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [20575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15816),
  [20577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [20579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [20581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [20583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [20585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [20587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [20589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [20591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12431),
  [20593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [20595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [20597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [20599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [20601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [20603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [20605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 5, 0, 0),
  [20607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [20609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [20611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15783),
  [20613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [20615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [20617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [20619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [20621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [20623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [20625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [20627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dollar_escape, 2, 0, 0),
  [20629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [20631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__aliased_interpolation_identifier, 1, 0, 0),
  [20633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 2, 0, 0),
  [20635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bindings, 3, 0, 0),
  [20637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15004),
  [20639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [20641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [20643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [20645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [20647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15750),
  [20649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [20651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [20653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [20655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [20657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [20659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [20661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [20663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [20665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [20667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [20669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [20671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [20673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 35),
  [20675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_type_parameter, 1, 0, 0),
  [20677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15173),
  [20679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15716),
  [20681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [20683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [20685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [20687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [20689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [20691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [20693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [20695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [20697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [20699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [20701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [20703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [20705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [20707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [20709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15682),
  [20711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [20713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [20715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolated_string_start, 1, 0, 0),
  [20717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [20719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [20721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [20723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_given_by_type, 2, 0, 0),
  [20725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [20727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [20729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [20731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [20733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [20735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [20737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [20739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [20741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [20743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [20745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_lambda_repeat1, 2, 0, 16),
  [20747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [20749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [20751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [20753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [20755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14881),
  [20757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [20759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [20761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15645),
  [20763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [20765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [20767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [20769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [20771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [20773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [20775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [20777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [20779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [20781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [20783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [20785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15594),
  [20787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [20789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 4, 1, 0),
  [20791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [20793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_indented_cases_repeat1, 1, 0, 0),
  [20795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [20797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [20799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [20801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [20803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [20805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [20807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [20809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__indented_type_cases_repeat1, 1, 0, 0),
  [20811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15023),
  [20813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [20815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [20817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [20819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [20821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 1, 0, 0),
  [20823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [20825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [20827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [20829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [20831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [20833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [20835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [20837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [20839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [20841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [20843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [20845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [20847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [20849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [20851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15538),
  [20853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [20855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [20857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [20859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [20861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [20863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [20865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [20867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [20869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [20871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [20873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [20875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14768),
  [20877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [20879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [20881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [20883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [20885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [20887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [20889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [20891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [20893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [20895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [20897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [20899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_renamed_identifier, 3, 0, 152),
  [20901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [20903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [20905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [20907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [20909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14870),
  [20911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [20913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [20915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_types, 5, 1, 0),
  [20917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [20919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [20921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [20923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [20925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15423),
  [20927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [20929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [20931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [20933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [20935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12239),
  [20937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12131),
  [20939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [20941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [20943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [20945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [20947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [20949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [20951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [20953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14745),
  [20955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [20957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [20959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [20961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [20963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [20965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [20967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [20969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [20971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [20973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case_clause, 3, 0, 183),
  [20975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [20977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [20979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [20981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [20983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [20985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [20987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [20989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [20991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [20993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [20995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [20997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8733),
  [20999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [21001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [21003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10172),
  [21005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15066),
  [21007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10175),
  [21009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14774),
  [21011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [21013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10505),
  [21015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [21017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [21019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [21021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [21023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [21025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10161),
  [21027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [21029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [21031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [21033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9989),
  [21035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14045),
  [21037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [21039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16091),
  [21041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16142),
  [21043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [21045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [21047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [21049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11472),
  [21051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [21053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [21055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [21057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [21059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [21061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15302),
  [21063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [21065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [21067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [21069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11090),
  [21071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [21073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [21075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [21077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14841),
  [21079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11534),
  [21081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [21083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [21085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [21087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [21089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [21091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [21093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9991),
  [21095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8961),
  [21097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [21099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14047),
  [21101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [21103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [21105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15497),
  [21107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [21109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [21111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [21113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [21115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [21117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [21119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [21121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [21123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13420),
  [21125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [21127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [21129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [21131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [21133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11784),
  [21135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [21137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10523),
  [21139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15112),
  [21141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11008),
  [21143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [21145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [21147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10476),
  [21149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11210),
  [21151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [21153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9173),
  [21155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [21157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [21159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [21161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10205),
  [21163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15718),
  [21165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [21167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11042),
  [21169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [21171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10726),
  [21173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [21175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [21177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [21179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12360),
  [21181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [21183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [21185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14173),
  [21187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [21189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14067),
  [21191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [21193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [21195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10212),
  [21197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [21199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [21201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [21203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [21205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [21207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [21209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12565),
  [21211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15391),
  [21213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15827),
  [21215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9632),
  [21217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [21219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [21221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [21223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [21225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12158),
  [21227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [21229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [21231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [21233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [21235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9252),
  [21237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10762),
  [21239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [21241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [21243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9814),
  [21245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [21247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [21249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [21251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [21253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [21255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [21257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [21259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [21261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body2, 4, 0, 0),
  [21263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10779),
  [21265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [21267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [21269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [21271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [21273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10239),
  [21275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [21277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [21279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [21281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10529),
  [21283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15599),
  [21285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [21287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9226),
  [21289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [21291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [21293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [21295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11269),
  [21297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [21299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [21301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [21303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [21305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [21307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [21309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [21311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [21313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [21315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [21317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [21319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [21321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12118),
  [21323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10502),
  [21325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [21327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11310),
  [21329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [21331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [21333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [21335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [21337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [21339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [21341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [21343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8306),
  [21345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [21347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [21349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [21351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [21353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [21355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [21357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15764),
  [21359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11324),
  [21361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [21363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10584),
  [21365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11353),
  [21367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [21369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [21371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [21373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [21375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [21377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10127),
  [21379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [21381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [21383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10886),
  [21385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [21387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [21389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [21391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [21393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [21395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [21397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [21399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [21401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [21403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [21405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [21407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [21409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [21411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [21413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [21415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [21417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [21419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10521),
  [21421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [21423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [21425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [21427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10541),
  [21429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15814),
  [21431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [21433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [21435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [21437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [21439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [21441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [21443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9549),
  [21445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [21447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [21449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [21451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [21453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [21455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10683),
  [21457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [21459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [21461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9102),
  [21463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12365),
  [21465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [21467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [21469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [21471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [21473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [21475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [21477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12614),
  [21479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10930),
  [21481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [21483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10389),
  [21485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [21487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [21489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12429),
  [21491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14229),
  [21493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [21495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [21497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [21499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [21501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10011),
  [21503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10500),
  [21505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [21507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [21509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13236),
  [21511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [21513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [21515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [21517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [21519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [21521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [21523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15744),
  [21525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14031),
  [21527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [21529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10879),
  [21531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13168),
  [21533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [21535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [21537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [21539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [21541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [21543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [21545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10763),
  [21547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [21549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [21551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [21553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [21555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10881),
  [21557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [21559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10894),
  [21561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [21563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10921),
  [21565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [21567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [21569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [21571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [21573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [21575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [21577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [21579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [21581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [21583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [21585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [21587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [21589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [21591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [21593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15713),
  [21595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [21597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [21599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [21601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10426),
  [21603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13057),
  [21605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10820),
  [21607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [21609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [21611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [21613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [21615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [21617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [21619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [21621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [21623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [21625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [21627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13172),
  [21629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [21631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__self_type_ascription, 2, 0, 0),
  [21633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16314),
  [21635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body2, 3, 0, 0),
  [21637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16017),
  [21639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [21641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [21643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [21645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13266),
  [21647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [21649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [21651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [21653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [21655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10913),
  [21657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [21659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [21661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14020),
  [21663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [21665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [21667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [21669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [21671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [21673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [21675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [21677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [21679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [21681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [21683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [21685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [21687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14257),
  [21689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [21691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14019),
  [21693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11890),
  [21695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15661),
  [21697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [21699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [21701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [21703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9305),
  [21705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [21707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10075),
  [21709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [21711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9240),
  [21713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [21715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [21717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [21719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [21721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [21723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [21725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [21727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [21729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [21731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [21733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [21735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13910),
  [21737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [21739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [21741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [21743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [21745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [21747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [21749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [21751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [21753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [21755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15586),
  [21757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [21759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [21761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17237),
  [21763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [21765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10803),
  [21767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [21769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [21771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [21773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8959),
  [21775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [21777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [21779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [21781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [21783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [21785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [21787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [21789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [21791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [21793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [21795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17463),
  [21797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [21799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [21801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [21803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [21805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10777),
  [21807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12152),
  [21809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [21811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [21813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [21815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [21817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [21819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [21821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [21823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10066),
  [21825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [21827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [21829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [21831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [21833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [21835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [21837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [21839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15533),
  [21841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9075),
  [21843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [21845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [21847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [21849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [21851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [21853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [21855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17471),
  [21857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10773),
  [21859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [21861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [21863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [21865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [21867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13256),
  [21869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [21871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [21873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [21875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10825),
  [21877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9889),
  [21879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [21881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [21883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [21885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [21887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [21889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [21891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [21893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [21895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [21897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [21899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [21901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [21903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11899),
  [21905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [21907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9885),
  [21909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15479),
  [21911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [21913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11164),
  [21915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [21917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [21919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [21921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [21923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [21925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [21927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11851),
  [21929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [21931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [21933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13870),
  [21935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [21937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [21939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10056),
  [21941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [21943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [21945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9901),
  [21947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [21949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [21951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [21953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [21955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [21957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [21959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [21961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [21963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [21965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [21967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11883),
  [21969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [21971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [21973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [21975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [21977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [21979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [21981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [21983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [21985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [21987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [21989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [21991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [21993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9854),
  [21995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [21997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [21999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [22001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [22003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12694),
  [22005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9892),
  [22007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14184),
  [22009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [22011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [22013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [22015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [22017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [22019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [22021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15411),
  [22023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [22025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12647),
  [22027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [22029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8339),
  [22031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14169),
  [22033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [22035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [22037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [22039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [22041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [22043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [22045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [22047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [22049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [22051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [22053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [22055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [22057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [22059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [22061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11548),
  [22063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [22065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [22067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [22069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [22071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [22073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [22075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [22077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12708),
  [22079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [22081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [22083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [22085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [22087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [22089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [22091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15361),
  [22093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [22095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [22097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [22099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [22101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [22103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [22105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [22107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [22109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [22111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [22113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [22115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [22117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [22119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13181),
  [22121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [22123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [22125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [22127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12359),
  [22129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [22131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [22133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13090),
  [22135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [22137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [22139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [22141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [22143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [22145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [22147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6396),
  [22149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [22151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [22153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [22155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [22157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [22159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9277),
  [22161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13232),
  [22163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15276),
  [22165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [22167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [22169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [22171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [22173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12539),
  [22175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [22177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9318),
  [22179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13155),
  [22181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [22183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [22185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [22187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [22189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [22191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [22193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [22195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [22197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [22199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [22201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [22203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [22205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [22207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [22209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10608),
  [22211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body1, 2, 0, 0),
  [22213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [22215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [22217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body2, 2, 0, 0),
  [22219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15857),
  [22221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [22223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [22225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [22227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [22229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [22231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [22233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [22235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [22237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [22239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9977),
  [22241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [22243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [22245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [22247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [22249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [22251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [22253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [22255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [22257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [22259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8523),
  [22261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [22263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [22265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [22267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [22269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [22271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [22273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [22275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [22277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [22279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [22281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [22283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [22285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [22287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11630),
  [22289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [22291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9975),
  [22293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [22295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [22297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [22299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [22301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [22303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [22305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15210),
  [22307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [22309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12813),
  [22311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14409),
  [22313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [22315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [22317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [22319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [22321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [22323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [22325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11643),
  [22327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13206),
  [22329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [22331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [22333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [22335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [22337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [22339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [22341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10312),
  [22343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12949),
  [22345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12492),
  [22347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [22349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [22351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9580),
  [22353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [22355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [22357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [22359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [22361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [22363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [22365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13006),
  [22367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [22369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [22371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [22373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [22375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [22377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17878),
  [22379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11984),
  [22381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [22383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [22385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11129),
  [22387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [22389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [22391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [22393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [22395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [22397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [22399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11599),
  [22401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9967),
  [22403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [22405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [22407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [22409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [22411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [22413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [22415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [22417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [22419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [22421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [22423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [22425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [22427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [22429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [22431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [22433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15798),
  [22435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [22437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13626),
  [22439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [22441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [22443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [22445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [22447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [22449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [22451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [22453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12426),
  [22455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [22457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6516),
  [22459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [22461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14075),
  [22463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [22465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9237),
  [22467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [22469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [22471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [22473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10564),
  [22475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [22477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15082),
  [22479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [22481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14063),
  [22483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [22485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [22487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9254),
  [22489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [22491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [22493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11907),
  [22495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12286),
  [22497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [22499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [22501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12144),
  [22503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [22505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8254),
  [22507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6856),
  [22509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [22511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [22513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11955),
  [22515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [22517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [22519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10313),
  [22521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [22523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [22525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [22527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [22529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12692),
  [22531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [22533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [22535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [22537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14029),
  [22539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [22541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10556),
  [22543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [22545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [22547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [22549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [22551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14337),
  [22553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [22555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14333),
  [22557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [22559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [22561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [22563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [22565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [22567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11161),
  [22569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [22571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [22573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [22575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [22577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11683),
  [22579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [22581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11153),
  [22583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9175),
  [22585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [22587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [22589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [22591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [22593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [22595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [22597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [22599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [22601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10582),
  [22603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13605),
  [22605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10072),
  [22607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [22609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [22611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [22613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9595),
  [22615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13022),
  [22617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10231),
  [22619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [22621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [22623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [22625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11196),
  [22627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10367),
  [22629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [22631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13536),
  [22633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8721),
  [22635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10425),
  [22637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [22639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [22641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [22643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [22645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9888),
  [22647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9988),
  [22649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [22651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [22653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [22655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [22657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [22659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10617),
  [22661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [22663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11217),
  [22665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [22667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [22669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [22671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [22673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [22675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11978),
  [22677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14854),
  [22679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11284),
  [22681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [22683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10661),
  [22685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_template_body1, 1, 0, 0),
  [22687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15920),
  [22689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [22691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [22693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [22695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [22697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [22699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10658),
  [22701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [22703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9550),
  [22705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [22707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [22709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13514),
  [22711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [22713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [22715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10877),
  [22717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12779),
  [22719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11156),
  [22721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9887),
  [22723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [22725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [22727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [22729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10780),
  [22731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10411),
  [22733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [22735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [22737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [22739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [22741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10737),
  [22743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9594),
  [22745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [22747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [22749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8262),
  [22751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [22753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [22755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [22757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [22759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [22761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16977),
  [22763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [22765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [22767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [22769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [22771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [22773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16129),
  [22775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10433),
  [22777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [22779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5933),
  [22781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9875),
  [22783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [22785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opaque_modifier, 1, 0, 0),
  [22787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [22789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [22791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13456),
  [22793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [22795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [22797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9776),
  [22799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10382),
  [22801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [22803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11137),
  [22805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [22807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [22809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [22811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [22813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9738),
  [22815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14385),
  [22817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [22819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [22821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9179),
  [22823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [22825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [22827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14326),
  [22829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14395),
  [22831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9611),
  [22833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [22835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9189),
  [22837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14328),
  [22839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [22841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14400),
  [22843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [22845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [22847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [22849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [22851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9771),
  [22853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [22855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10718),
  [22857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11012),
  [22859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [22861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [22863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [22865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [22867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [22869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [22871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [22873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [22875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11016),
  [22877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [22879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10766),
  [22881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [22883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [22885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [22887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [22889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [22891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9614),
  [22893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [22895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9574),
  [22897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [22899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6038),
  [22901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [22903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [22905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [22907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [22909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [22911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12067),
  [22913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10799),
  [22915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [22917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [22919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [22921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11028),
  [22923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [22925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [22927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9797),
  [22929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [22931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [22933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [22935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9804),
  [22937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [22939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [22941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9811),
  [22943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [22945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [22947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [22949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [22951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [22953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [22955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [22957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9618),
  [22959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [22961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [22963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9767),
  [22965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15973),
  [22967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [22969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13388),
  [22971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [22973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [22975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [22977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [22979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [22981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [22983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [22985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8181),
  [22987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9585),
  [22989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [22991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [22993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [22995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13622),
  [22997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [22999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8241),
  [23001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [23003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [23005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [23007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [23009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [23011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [23013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [23015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [23017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [23019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [23021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [23023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [23025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10601),
  [23027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [23029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [23031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [23033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10597),
  [23035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [23037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10587),
  [23039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [23041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [23043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9623),
  [23045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [23047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10288),
  [23049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10257),
  [23051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [23053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [23055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10303),
  [23057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10952),
  [23059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [23061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10252),
  [23063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10310),
  [23065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9384),
  [23067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [23069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [23071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [23073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12784),
  [23075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9457),
  [23077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [23079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [23081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [23083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9453),
  [23085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [23087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11634),
  [23089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [23091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9625),
  [23093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [23095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [23097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12807),
  [23099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [23101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [23103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [23105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8144),
  [23107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [23109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13165),
  [23111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [23113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [23115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13198),
  [23117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [23119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [23121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [23123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13229),
  [23125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [23127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [23129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [23131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [23133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [23135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [23137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [23139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9287),
  [23141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [23143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [23145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [23147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12906),
  [23149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [23151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [23153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9363),
  [23155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17238),
  [23157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [23159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9294),
  [23161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [23163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12929),
  [23165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [23167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [23169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [23171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [23173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [23175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [23177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [23179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [23181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [23183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [23185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [23187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [23189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [23191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [23193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [23195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [23197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8305),
  [23199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [23201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10400),
  [23203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [23205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [23207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13009),
  [23209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10390),
  [23211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [23213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [23215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [23217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [23219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [23221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [23223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12641),
  [23225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [23227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [23229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [23231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10053),
  [23233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [23235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [23237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10050),
  [23239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [23241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [23243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8001),
  [23245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [23247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10019),
  [23249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [23251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [23253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [23255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10632),
  [23257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [23259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [23261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10318),
  [23263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [23265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [23267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10315),
  [23269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [23271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [23273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [23275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10298),
  [23277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [23279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [23281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10591),
  [23283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9220),
  [23285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [23287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [23289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [23291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [23293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [23295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [23297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [23299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [23301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [23303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [23305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9751),
  [23307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [23309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [23311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [23313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [23315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [23317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [23319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [23321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [23323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [23325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9278),
  [23327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9742),
  [23329] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [23331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [23333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [23335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [23337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [23339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9132),
  [23341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9749),
  [23343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [23345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10191),
  [23347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [23349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [23351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10185),
  [23353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [23355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [23357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [23359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10171),
  [23361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13026),
  [23363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9643),
  [23365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [23367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [23369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9103),
  [23371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9644),
  [23373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [23375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [23377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [23379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9099),
  [23381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13353),
  [23383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [23385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [23387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [23389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13233),
  [23391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [23393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13024),
  [23395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [23397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [23399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [23401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [23403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13262),
  [23405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [23407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [23409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12759),
  [23411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9219),
  [23413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [23415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [23417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12799),
  [23419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [23421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9215),
  [23423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12889),
  [23425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10953),
  [23427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [23429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [23431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [23433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11527),
  [23435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [23437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [23439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10960),
  [23441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [23443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11493),
  [23445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [23447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [23449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11490),
  [23451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [23453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [23455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10958),
  [23457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9690),
  [23459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [23461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [23463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [23465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [23467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [23469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [23471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [23473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [23475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [23477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [23479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [23481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [23483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9158),
  [23485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [23487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [23489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [23491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10893),
  [23493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14729),
  [23495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [23497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [23499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10910),
  [23501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [23503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [23505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [23507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [23509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [23511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [23513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [23515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [23517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10874),
  [23519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [23521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [23523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [23525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [23527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10786),
  [23529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [23531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10808),
  [23533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [23535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [23537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [23539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7353),
  [23541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10864),
  [23543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14721),
  [23545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [23547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [23549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [23551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [23553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10369),
  [23555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [23557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [23559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [23561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10349),
  [23563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [23565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [23567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [23569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [23571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [23573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10283),
  [23575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [23577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14717),
  [23579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [23581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [23583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [23585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11762),
  [23587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [23589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13084),
  [23591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [23593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11772),
  [23595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [23597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8924),
  [23599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [23601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11509),
  [23603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [23605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9017),
  [23607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13203),
  [23609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10074),
  [23611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [23613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [23615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [23617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [23619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10077),
  [23621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [23623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [23625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [23627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9001),
  [23629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [23631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [23633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13027),
  [23635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10101),
  [23637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [23639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [23641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [23643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [23645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13566),
  [23647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [23649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [23651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [23653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13419),
  [23655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [23657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [23659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [23661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13609),
  [23663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [23665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9311),
  [23667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13629),
  [23669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [23671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [23673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10045),
  [23675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [23677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [23679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [23681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10043),
  [23683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [23685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9299),
  [23687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [23689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10038),
  [23691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [23693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [23695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [23697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [23699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [23701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12938),
  [23703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [23705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14699),
  [23707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [23709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [23711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [23713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [23715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [23717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [23719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [23721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [23723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [23725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [23727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [23729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [23731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [23733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [23735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [23737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [23739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [23741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [23743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [23745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [23747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [23749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [23751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [23753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [23755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [23757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [23759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [23761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [23763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [23765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [23767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [23769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [23771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [23773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [23775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [23777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [23779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [23781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [23783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [23785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [23787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [23789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [23791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [23793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [23795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [23797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [23799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [23801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [23803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [23805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [23807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [23809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [23811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [23813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12135),
  [23815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12853),
  [23817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [23819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [23821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [23823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12846),
  [23825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8137),
  [23827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [23829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [23831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13432),
  [23833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [23835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8152),
  [23837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13397),
  [23839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [23841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [23843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [23845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [23847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13144),
  [23849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10150),
  [23851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14685),
  [23853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14684),
  [23855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [23857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12581),
  [23859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11427),
  [23861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [23863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13342),
  [23865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [23867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13214),
  [23869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9880),
  [23871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [23873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [23875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [23877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9877),
  [23879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [23881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13595),
  [23883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [23885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9869),
  [23887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13175),
  [23889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [23891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [23893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [23895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9876),
  [23897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10153),
  [23899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [23901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [23903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13192),
  [23905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [23907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9823),
  [23909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [23911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 2, 0, 0),
  [23913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 2, 0, 0),
  [23915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 3, 0, 0),
  [23917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 4, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__indent = 1,
  ts_external_token__interpolated_string_middle = 2,
  ts_external_token__interpolated_string_end = 3,
  ts_external_token__interpolated_multiline_string_middle = 4,
  ts_external_token__interpolated_multiline_string_end = 5,
  ts_external_token__outdent = 6,
  ts_external_token__simple_multiline_string = 7,
  ts_external_token__simple_string = 8,
  ts_external_token_else = 9,
  ts_external_token_catch = 10,
  ts_external_token_finally = 11,
  ts_external_token_extends = 12,
  ts_external_token_derives = 13,
  ts_external_token_with = 14,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__interpolated_string_middle] = sym__interpolated_string_middle,
  [ts_external_token__interpolated_string_end] = sym__interpolated_string_end,
  [ts_external_token__interpolated_multiline_string_middle] = sym__interpolated_multiline_string_middle,
  [ts_external_token__interpolated_multiline_string_end] = sym__interpolated_multiline_string_end,
  [ts_external_token__outdent] = sym__outdent,
  [ts_external_token__simple_multiline_string] = sym__simple_multiline_string,
  [ts_external_token__simple_string] = sym__simple_string,
  [ts_external_token_else] = anon_sym_else,
  [ts_external_token_catch] = anon_sym_catch,
  [ts_external_token_finally] = anon_sym_finally,
  [ts_external_token_extends] = anon_sym_extends,
  [ts_external_token_derives] = anon_sym_derives,
  [ts_external_token_with] = anon_sym_with,
};

static const bool ts_external_scanner_states[74][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__interpolated_string_middle] = true,
    [ts_external_token__interpolated_string_end] = true,
    [ts_external_token__interpolated_multiline_string_middle] = true,
    [ts_external_token__interpolated_multiline_string_end] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [2] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [3] = {
    [ts_external_token__indent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [4] = {
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [5] = {
    [ts_external_token__indent] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [7] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [8] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [9] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [10] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
  },
  [11] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [12] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_finally] = true,
  },
  [13] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [14] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [15] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [16] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
  },
  [17] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_else] = true,
  },
  [18] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [19] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [20] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_finally] = true,
  },
  [21] = {
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
    [ts_external_token_finally] = true,
  },
  [22] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token__simple_multiline_string] = true,
    [ts_external_token__simple_string] = true,
  },
  [23] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [24] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
  },
  [25] = {
    [ts_external_token__indent] = true,
  },
  [26] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [27] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [28] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [29] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [30] = {
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [31] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [32] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [33] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [34] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [35] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_with] = true,
  },
  [36] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [37] = {
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [38] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_finally] = true,
  },
  [39] = {
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [40] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_else] = true,
  },
  [41] = {
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [42] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [43] = {
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [44] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [45] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [46] = {
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [47] = {
    [ts_external_token_with] = true,
  },
  [48] = {
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [49] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [50] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_catch] = true,
    [ts_external_token_finally] = true,
  },
  [51] = {
    [ts_external_token_finally] = true,
    [ts_external_token_with] = true,
  },
  [52] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_finally] = true,
  },
  [53] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
    [ts_external_token_with] = true,
  },
  [54] = {
    [ts_external_token_else] = true,
  },
  [55] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_with] = true,
  },
  [56] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_finally] = true,
  },
  [57] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_else] = true,
  },
  [58] = {
    [ts_external_token_finally] = true,
  },
  [59] = {
    [ts_external_token__outdent] = true,
    [ts_external_token_with] = true,
  },
  [60] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
  },
  [61] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [62] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
  },
  [63] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [64] = {
    [ts_external_token__outdent] = true,
  },
  [65] = {
    [ts_external_token_derives] = true,
    [ts_external_token_with] = true,
  },
  [66] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_derives] = true,
  },
  [67] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_extends] = true,
  },
  [68] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_extends] = true,
  },
  [69] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__outdent] = true,
    [ts_external_token_derives] = true,
  },
  [70] = {
    [ts_external_token_extends] = true,
    [ts_external_token_derives] = true,
  },
  [71] = {
    [ts_external_token_derives] = true,
  },
  [72] = {
    [ts_external_token__interpolated_multiline_string_middle] = true,
    [ts_external_token__interpolated_multiline_string_end] = true,
  },
  [73] = {
    [ts_external_token__interpolated_string_middle] = true,
    [ts_external_token__interpolated_string_end] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_scala_external_scanner_create(void);
void tree_sitter_scala_external_scanner_destroy(void *);
bool tree_sitter_scala_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_scala_external_scanner_serialize(void *, char *);
void tree_sitter_scala_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_scala(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__alpha_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_scala_external_scanner_create,
      tree_sitter_scala_external_scanner_destroy,
      tree_sitter_scala_external_scanner_scan,
      tree_sitter_scala_external_scanner_serialize,
      tree_sitter_scala_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
